diff -pruN 3.10.0-1/appveyor.yml 3.11.0-1/appveyor.yml
--- 3.10.0-1/appveyor.yml	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/appveyor.yml	2020-05-01 06:22:49.000000000 +0000
@@ -6,11 +6,11 @@ image:
 
 environment:
   matrix:
-    - QTDIR: C:\Qt\5.12.6\mingw73_32
+    - QTDIR: C:\Qt\5.13\mingw73_32
       CMAKE_GENERATOR: MinGW Makefiles
       MINGW_PATH: C:\Qt\Tools\mingw730_32
 
-    - QTDIR: C:\Qt\5.12.6\mingw73_64
+    - QTDIR: C:\Qt\5.13\mingw73_64
       CMAKE_GENERATOR: MinGW Makefiles
       MINGW_PATH: C:\Qt\Tools\mingw730_64
 
diff -pruN 3.10.0-1/CHANGES 3.11.0-1/CHANGES
--- 3.10.0-1/CHANGES	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/CHANGES	2020-05-01 06:22:49.000000000 +0000
@@ -1,3 +1,85 @@
+v3.11.0
+
+- Tab character size can now be set (number of spaces) and maps more accurately
+  to space character width (#1341). The default value is 8 spaces which is
+  smaller than before. This can be changed on command line:
+
+      copyq config text_tab_width 4
+
+- New `move()` script function moves selected items within tab.
+
+- New `menuItems()` script function creates custom menus.
+
+- CSS stylesheet files to fully customize appearance
+
+- Allow keyboard navigation in item preview dock
+
+- "Show Preview" is now available in File menu instead of Item menu
+
+- Shortcuts Ctrl+P and Ctrl+N selects previous/next action in Action dialog.
+
+- New synchronized item/files are now added to item list ordered alphabetically
+  by filename which is faster and more consistent on multiple platforms than
+  ordering by modification-time (#833).
+
+- Improved performance when synchronizing items/files
+
+- Non-owned synchronized files at the end of item list are now dropped (but not
+  deleted) if the list is full.
+
+- Updated icons (Font Awesome 5.13.0)
+
+- Simpler item scrollbar style
+
+- Omit showing new notification under mouse pointer (#1310)
+
+- Duplicate "CopyQ Error" notification are not shown
+
+- Bind x to Delete in Vi style navigation mode
+
+- Left/Right arrow keys now work in FakeVim editor mode by default
+
+- FakeVim editor mode now supports cutting text to given register
+
+- If FakeVim editor mode is active in a dialog, Esc key allows to close the
+
+- Consistent window and dialog titles in application (" - CopyQ" suffix)
+  dialog.
+
+- Fix opening tray menu with empty search
+
+- Fix search in main window and tray with different keyboard layouts (#1316)
+
+- Fix restoring search when closing internal editor
+
+- Fix crash when synchronizing pinned items/files (#1311)
+
+- Fix pasting synchronized file instead of its content (#1309)
+
+- Fix enabling menu items with filters in commands (#1284)
+
+- Fix commands for removing tags from items (#1332)
+
+- Fix copying from item preview dock (#1326)
+
+- Fix position of main window on current screen (#1216)
+
+- Fix copying "text/plain;charset=utf-8" format as a text (#1324)
+
+- Fix preview search highlight in Appearance configuration (#1354)
+
+- Fix hover/mouse-over style for items (#1347)
+
+- Fix wrapping long notification text
+
+- Fix jitter when scrolling in item list
+
+- Fix item width
+
+- X11: Fix re-getting clipboard content after aborted (#1356)
+
+- Windows: Use builds with Qt 5.13
+
 v3.10.0
 
 - Use environment variable `COPYQ_DEFAULT_ICON=1` to show the original
diff -pruN 3.10.0-1/CMakeLists.txt 3.11.0-1/CMakeLists.txt
--- 3.10.0-1/CMakeLists.txt	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/CMakeLists.txt	2020-05-01 06:22:49.000000000 +0000
@@ -172,7 +172,7 @@ if (UNIX AND NOT APPLE)
     endforeach()
 
     set(copyq_THEME_INSTALL_PREFIX ${THEME_INSTALL_PREFIX})
-    file(GLOB copyq_THEMES shared/themes/*.ini)
+    file(GLOB copyq_THEMES shared/themes/*.css shared/themes/*.ini)
     install(FILES ${copyq_THEMES} DESTINATION ${THEME_INSTALL_PREFIX})
 
     add_definitions( -DCOPYQ_ICON_PREFIX="${ICON_INSTALL_PREFIX}/${ICON_NAME}" )
@@ -188,7 +188,7 @@ if (UNIX AND NOT APPLE)
     endif()
 elseif (APPLE)
     set(copyq_themes_dest_dir "${COPYQ_EXECUTABLE_NAME}.app/Contents/Resources/themes")
-    file(GLOB copyq_THEMES shared/themes/*.ini)
+    file(GLOB copyq_THEMES shared/themes/*.css shared/themes/*.ini)
     install(FILES ${copyq_THEMES} DESTINATION "${copyq_themes_dest_dir}" COMPONENT Runtime)
 endif()
 
diff -pruN 3.10.0-1/debian/changelog 3.11.0-1/debian/changelog
--- 3.10.0-1/debian/changelog	2020-02-03 01:36:56.000000000 +0000
+++ 3.11.0-1/debian/changelog	2020-05-07 19:43:38.000000000 +0000
@@ -1,3 +1,11 @@
+copyq (3.11.0-1) unstable; urgency=medium
+
+  * New upstream release 3.11.0.
+  * debian/control:
+    + Bump debhelper compat to v13.
+
+ -- Boyuan Yang <byang@debian.org>  Thu, 07 May 2020 15:43:38 -0400
+
 copyq (3.10.0-1) unstable; urgency=medium
 
   * New upstream release 3.10.0. 
diff -pruN 3.10.0-1/debian/control 3.11.0-1/debian/control
--- 3.10.0-1/debian/control	2020-02-03 01:36:56.000000000 +0000
+++ 3.11.0-1/debian/control	2020-05-07 19:43:38.000000000 +0000
@@ -6,7 +6,7 @@ Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Build-Depends-Arch:
  libqt5svg5-dev,
  libqt5x11extras5-dev,
diff -pruN 3.10.0-1/debian/rules 3.11.0-1/debian/rules
--- 3.10.0-1/debian/rules	2019-02-07 14:26:53.000000000 +0000
+++ 3.11.0-1/debian/rules	2020-05-07 19:43:38.000000000 +0000
@@ -10,7 +10,7 @@ export DEB_BUILD_MAINT_OPTIONS = hardeni
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 export QT_SELECT := 5
 
@@ -42,6 +42,3 @@ _build/html/: docs/conf.py $(wildcard do
 	python3 -m sphinx docs/ $@
 
 override_dh_auto_install-indep:
-
-override_dh_missing:
-	dh_missing --fail-missing
diff -pruN 3.10.0-1/docs/backup.rst 3.11.0-1/docs/backup.rst
--- 3.10.0-1/docs/backup.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/backup.rst	2020-05-01 06:22:49.000000000 +0000
@@ -28,8 +28,8 @@ Path to configuration is usually:
 
 To copy the configuration path to clipboard from CopyQ:
 
-1. open Action dialog (``F5`` shortcut),
-2. enter command
+1. Open Action dialog (``F5`` shortcut).
+2. Enter the command:
 
 .. code-block:: js
 
@@ -37,7 +37,7 @@ To copy the configuration path to clipbo
     dir = Dir(info('config') + '/..')
     copy(dir.absolutePath())
 
-3. click OK dialog button.
+3. Click OK dialog button.
 
 To restore the backup, exit the application and replace the
 configuration directory.
diff -pruN 3.10.0-1/docs/basic-usage.rst 3.11.0-1/docs/basic-usage.rst
--- 3.10.0-1/docs/basic-usage.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/basic-usage.rst	2020-05-01 06:22:49.000000000 +0000
@@ -7,11 +7,12 @@ First Start
 -----------
 
 To start CopyQ, double-click the program icon or run command ``copyq``.
-This starts the graphical interface which can be accessed from the tray.
+This starts the graphical interface which can be accessed from the tray (NOTE: on OS X the tray defaults to the top-right of the screen and is not to be confused with Launchpad).
 Click the tray icon to show application window or right-click the tray icon and select "Show/Hide" or run ``copyq show`` command.
 
-The central element in the application window is **list with clipboard history**.
-By default the application **stores any new clipboard content** in the list.
+The central element in the application window is **item list** containing
+**clipboard history**. By default, the application **stores any new clipboard
+content** in the list.
 
 If you copy some text it will immediately show at the top of the list.
 Try copying text or images from various application to see how this works.
@@ -23,12 +24,13 @@ Try copying text or images from various
 Basic Item Manipulation
 -----------------------
 
-You can **edit selected text items** in the list by pressing ``F2``.
-After editing **save the text** with ``F2``.
+In the item list, press ``F2`` to **edit selected text items**.
+After editing, press ``F2`` again to **save the text**.
 
-Create **new item** with ``Ctrl+N``, type some text and press ``F2``.
+Create **new item** with ``Ctrl+N``, type some text and press ``F2`` to save
+the new item.
 
-**Copy the selected items** back to clipboard with Enter or ``Ctrl+C``.
+**Copy the selected items** back to clipboard with Enter key or ``Ctrl+C``.
 
 **Move items** around with ``Ctrl+Down`` and ``Ctrl+Up``.
 
@@ -38,20 +40,20 @@ You can move important or special items
 Search
 ------
 
-In the list you can simply **search for text by typing some text**.
+In the list you can **filter items by typing some text**.
 
-For example typing "Example" will hide items that don't contain
-"Example" text. Press Enter to copy the first found item.
+For example, typing "Example" hides items that don't contain
+"Example" text. Press Enter key to copy the first found item.
 
 Tray
 ----
 
-To quickly copy item to clipboard you can select the item from tray
+To quickly copy item to clipboard, you can select the item from tray
 menu. To display the menu either right-click on tray icon, run command
 ``copyq menu`` or use a custom system shortcut.
 
 After selecting an item in tray menu and pressing enter (pressing a
-number key works as well) the item is copied to the clipboard.
+number key works as well), the item is copied to the clipboard.
 
 .. seealso::
 
diff -pruN 3.10.0-1/docs/build-source-code.rst 3.11.0-1/docs/build-source-code.rst
--- 3.10.0-1/docs/build-source-code.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/build-source-code.rst	2020-05-01 06:22:49.000000000 +0000
@@ -109,7 +109,7 @@ On OS X, required Qt 5 libraries and uti
 
     brew install qt5
 
-Build with the following commands.
+Build with the following commands:
 
 ::
 
diff -pruN 3.10.0-1/docs/command-line.rst 3.11.0-1/docs/command-line.rst
--- 3.10.0-1/docs/command-line.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/command-line.rst	2020-05-01 06:22:49.000000000 +0000
@@ -38,10 +38,10 @@ This will print:
 
 Among other things that are possible with CopyQ are:
 
-* open video player if text copied in clipboard is URL with multimedia,
-* store text copied from a code editor in "code" tab,
-* store URLs in different tab,
-* save screenshots (print-screen),
-* load all files from directory to items (create image gallery),
-* replace a text in all matching items,
-* run item as a Python script.
+* open video player if text copied in clipboard is URL with multimedia
+* store text copied from a code editor in "code" tab
+* store URLs in different tab
+* save screenshots (print-screen)
+* load all files from directory to items (create image gallery)
+* replace a text in all matching items
+* run item as a Python script
diff -pruN 3.10.0-1/docs/commands-script.rst 3.11.0-1/docs/commands-script.rst
--- 3.10.0-1/docs/commands-script.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/commands-script.rst	2020-05-01 06:22:49.000000000 +0000
@@ -16,7 +16,7 @@ Extending Command Line Interface
 --------------------------------
 
 By adding following script command you can use ``hello()`` from other script
-or on command line (``copyq hello``).
+or on command line (``copyq hello``):
 
 .. code-block:: js
 
@@ -41,7 +41,7 @@ Specifically :any:`onClipboardChanged` a
 overridden to customize handling of new clipboard content.
 
 E.g. following command saves only textual clipboard data and removes any
-formatted text.
+formatted text:
 
 .. code-block:: js
 
@@ -58,7 +58,7 @@ formatted text.
     }
 
 E.g. following command overrides ``paste()`` to use an external utility for
-pasting clipboard.
+pasting clipboard:
 
 .. code-block:: js
 
diff -pruN 3.10.0-1/docs/conf.py 3.11.0-1/docs/conf.py
--- 3.10.0-1/docs/conf.py	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/conf.py	2020-05-01 06:22:49.000000000 +0000
@@ -47,7 +47,7 @@ master_doc = 'index'
 
 # General information about the project.
 project = 'CopyQ'
-copyright = '2019, Lukas Holecek'
+copyright = '2020, Lukas Holecek'
 author = 'Lukas Holecek'
 
 # The version info for the project you're documenting, acts as replacement for
diff -pruN 3.10.0-1/docs/customize-and-build-the-windows-installer.rst 3.11.0-1/docs/customize-and-build-the-windows-installer.rst
--- 3.10.0-1/docs/customize-and-build-the-windows-installer.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/customize-and-build-the-windows-installer.rst	2020-05-01 06:22:49.000000000 +0000
@@ -21,14 +21,14 @@ which executes
 to generate portable app folder from build files and runs Inno Setup
 (the last line).
 
-So you basically don't have to build the app, you just need:
-- the unzipped portable version of the app,
-- clone of this repository and
-- `Inno Setup <http://www.jrsoftware.org/isinfo.php>`__.
+You don't have to build the app again, you just need:
 
-Open
-`shared/copyq.iss <https://github.com/hluk/CopyQ/blob/master/shared/copyq.iss>`__
-in Inno Setup and add few lines at the beginning of the file.
+1. Download the unzipped portable version of the app.
+2. Clone of this repository.
+3. Install `Inno Setup <http://www.jrsoftware.org/isinfo.php>`__.
+4. Open
+   `shared/copyq.iss <https://github.com/hluk/CopyQ/blob/master/shared/copyq.iss>`__
+   in Inno Setup and add few lines at the beginning of the file.
 
 ::
 
diff -pruN 3.10.0-1/docs/faq.rst 3.11.0-1/docs/faq.rst
--- 3.10.0-1/docs/faq.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/faq.rst	2020-05-01 06:22:49.000000000 +0000
@@ -8,13 +8,13 @@ How to open application window or tray m
 
 Add new command to open window or menu with global shortcut:
 
-1. open "Command" dialog (``F6`` shortcut),
-2. click "Add" button in the dialog,
-3. select "Show/hide main window" or "Show the tray menu" from the list
-   and click "OK" button,
-4. click the button next to "Global Shortcut" label and set the
-   shortcut,
-5. click "OK" button to save the changes.
+1. Open "Command" dialog (``F6`` shortcut).
+2. Click "Add" button in the dialog.
+3. Select "Show/hide main window" or "Show the tray menu" from the list
+   and click "OK" button.
+4. Click the button next to "Global Shortcut" label and set the
+   shortcut.
+5. Click "OK" button to save the changes.
 
 For more information about commands see :ref:`writing-commands`.
 
@@ -23,9 +23,9 @@ For more information about commands see
 How to paste double-clicked item from application window?
 ---------------------------------------------------------
 
-1. Open "Preferences" (``Ctrl+P`` shortcut),
-2. go to "History" tab,
-3. enable "Paste to current window" option.
+1. Open "Preferences" (``Ctrl+P`` shortcut).
+2. Go to "History" tab.
+3. Enable "Paste to current window" option.
 
 Next time you open main window and activate an item it should be pasted.
 
@@ -36,11 +36,11 @@ How to paste as plain text?
 
 To **paste clipboard as plain text**:
 
-1. open "Command" dialog (``F6`` shortcut),
-2. click "Add" button in the dialog,
-3. select "Paste clipboard as plain text" from the list and click "OK" button,
-4. click the button next to "Global Shortcut" label and set the shortcut,
-5. click "OK" button to save the changes.
+1. Open "Command" dialog (``F6`` shortcut).
+2. Click "Add" button in the dialog.
+3. Select "Paste clipboard as plain text" from the list and click "OK" button.
+4. Click the button next to "Global Shortcut" label and set the shortcut.
+5. Click "OK" button to save the changes.
 
 To **paste selected items as plain text** (from application window) follow the steps above
 but add "Paste as Plain Text" command instead and change "Shortcut".
@@ -52,21 +52,21 @@ How to store only plain text?
 
 To **disallow storing HTML and rich text**:
 
-1. Open "Preferences" (``Ctrl+P`` shortcut),
-2. go to "Items" tab,
-3. disable "Web" item in the list,
-4. select "Text" item,
-5. and disable "Save and display HTML and rich text".
+1. Open "Preferences" (``Ctrl+P`` shortcut).
+2. Go to "Items" tab.
+3. Disable "Web" item in the list.
+4. Select "Text" item.
+5. Disable "Save and display HTML and rich text".
 
 Similarly you can also disable "Images" in the list to avoid storing and
 rendering images.
 
 Existing items won't be affected but **any data formats can be removed**:
 
-1. Select an item,
-2. press ``F4`` shortcut ("Item - Show Content..." in menu),
-3. select format from list,
-4. press ``Delete`` key.
+1. Select an item.
+2. Press ``F4`` shortcut ("Item - Show Content..." in menu).
+3. Select format from list.
+4. Press ``Delete`` key.
 
 .. _faq-disable-clipboard-storing:
 
@@ -79,9 +79,9 @@ To re-enable the functionality select "F
 
 To permanently disable storing clipboard:
 
-1. Open "Preferences" (``Ctrl+P`` shortcut),
-2. go to "History" tab,
-3. clear "Tab for storing clipboard" field.
+1. And pen "Preferences" (``Ctrl+P`` shortcut).
+2. Go to "History" tab.
+3. Clear "Tab for storing clipboard" field.
 
 How to back up tabs, configuration and commands?
 ------------------------------------------------
@@ -101,11 +101,11 @@ How to enable or disable displaying noti
 
 To enable displaying the notifications:
 
-1. open "Preferences" (``Ctrl+P`` shortcut),
-2. go to "Notifications" tab,
-3. set non-zero value for "Interval in seconds to display notifications",
-4. set non-zero value for "Number of lines for clipboard notification",
-5. click "OK" button.
+1. Open "Preferences" (``Ctrl+P`` shortcut).
+2. Go to "Notifications" tab.
+3. Set non-zero value for "Interval in seconds to display notifications".
+4. Set non-zero value for "Number of lines for clipboard notification".
+5. Click "OK" button.
 
 To enable displaying the notifications, set either of the options
 mentioned above to zero.
@@ -128,10 +128,10 @@ You can stumble upon code that looks lik
 This code represents a command that can used in CopyQ (specifically it
 opens main window on Ctrl+Shift+1). To use the command in CopyQ:
 
-1. copy the code above,
-2. open "Command" dialog (``F6`` shortcut),
-3. click "Paste Commands" button at the bottom of the dialog,
-4. click OK button.
+1. Copy the code above.
+2. Open "Command" dialog (``F6`` shortcut).
+3. Click "Paste Commands" button at the bottom of the dialog.
+4. Click OK button.
 
 (Now you should be able to open main window with Ctrl+Shift+1.)
 
@@ -143,14 +143,14 @@ How to omit storing text copied from spe
 
 Add and modify automatic command to ignore text copied from the window:
 
-1. open "Command" dialog (``F6`` shortcut),
-2. click "Add" button in the dialog,
-3. select "Ignore *Password* window" from the list and click "OK"
-   button,
-4. select "Show Advanced"
-5. change "Window" text box to match the title (or part of it) of the
-   window to ignore (e.g. ``KeePass``),
-6. click "OK" button to save the changes.
+1. Open "Command" dialog (``F6`` shortcut).
+2. Click "Add" button in the dialog.
+3. Select "Ignore *Password* window" from the list and click "OK"
+   Button.
+4. Select "Show Advanced"
+5. Change "Window" text box to match the title (or part of it) of the
+   Window to ignore (e.g. ``KeePass``).
+6. Click "OK" button to save the changes.
 
 .. note::
 
@@ -181,8 +181,8 @@ by entering command ``copyq 'copy(info("
 How to preserve the order of copied items on copy or pasting multiple items?
 ----------------------------------------------------------------------------
 
-a. Reverse order of selected items with ``Ctrl+Shift+R`` and copy them or
-b. select items in reverse order and copy.
+a. Reverse order of selected items with ``Ctrl+Shift+R`` and copy them.
+b. Alternatively, select items in reverse order and copy.
 
 See `#165 <https://github.com/hluk/CopyQ/issues/165#issuecomment-34745058>`__.
 
@@ -211,9 +211,9 @@ workaround from `#27
 
 First, check if you have the appropriate options enabled.
 
-1. For pasting from main window, enable "Paste to current window" in "History"
+a. For pasting from main window, enable "Paste to current window" in "History"
    configuration tab.
-2. For pasting from tray menu, enable "Paste activated item to current window"
+b. For pasting from tray menu, enable "Paste activated item to current window"
    in "Tray" configuration tab.
 
 If the pasting still doesn't work, check if ``Shift+Insert`` shortcut pastes to
@@ -221,10 +221,10 @@ the target window. That's the shortcut C
 ``Ctrl+V`` see `#633
 <https://github.com/hluk/CopyQ/issues/633#issuecomment-278326916>`__.
 
-If pasting still doesn't work it could mean that:
+If pasting still doesn't work, it could be caused by any of these problems:
 
-a. CopyQ fails to focus the window correctly,
-b. the format copied to clipboard is not supported by the target application,
+- CopyQ fails to focus the window correctly.
+- The format copied to clipboard is not supported by the target application.
 
 How to open the menu or context menu with only the keyboard?
 ------------------------------------------------------------
@@ -237,11 +237,11 @@ How to hide menu bar in main window?
 
 Menu bar can be hidden by modifying style sheet of current theme.
 
-1. Open "Preferences" (``Ctrl+P`` shortcut),
-2. go to "Appearance" tab,
-3. enable checkbox "Set colors for tabs, tool bar and menus",
-4. click "Edit Theme" button,
-5. find ``menu_bar_css`` option and add ``height: 0``:
+1. Open "Preferences" (``Ctrl+P`` shortcut).
+2. Go to "Appearance" tab.
+3. Enable checkbox "Set colors for tabs, tool bar and menus".
+4. Click "Edit Theme" button.
+5. Find ``menu_bar_css`` option and add ``height: 0``:
 
 .. code-block:: ini
 
@@ -314,11 +314,11 @@ Otherwise you can check it in command:
 Why can I no longer paste from the application on macOS?
 --------------------------------------------------------
 
-To fix this you can try following steps.
+To fix this you can try following steps:
 
 1. Go to System Preferences -> Security & Privacy -> Privacy -> Accessibility
-   (or just search for "Allow apps to use Accessibility"),
-2. Click the unlock button,
+   (or just search for "Allow apps to use Accessibility").
+2. Click the unlock button.
 3. Select CopyQ from the list and remove it (with the "-" button).
 
 See also Issues `#1030 <https://github.com/hluk/CopyQ/issues/1030>`__ and `#1245 <https://github.com/hluk/CopyQ/issues/1245>`__.
@@ -332,9 +332,9 @@ modified.
 
 Usual issues are:
 
-- external editor opens an empty file,
-- external editor warns that the file is missing or
-- saving the file doesn't have any effect on the origin item.
+- External editor opens an empty file.
+- External editor warns that the file is missing.
+- Saving the file doesn't have any effect on the origin item.
 
 This happens if **the command to launch editor exits but the editor
 application itself is still running**. Since the command exited, CopyQ assumes
@@ -354,9 +354,10 @@ Where to find saved items and configurat
 
 You can find configuration and saved items in:
 
-- Windows folder ``%APPDATA%\copyq`` for installed version of the app or ``config``
-  folder in unzipped portable version,
-- Linux directory ``~/.config/copyq``.
+a. Windows folder ``%APPDATA%\copyq`` for installed version of the app or
+   ``config`` folder in unzipped portable version.
+b. Windows sub-folder ``config`` in unzipped portable version.
+c. Linux directory ``~/.config/copyq``.
 
 Run ``copyq info config`` to get absolute path to the configuration file
 (parent directory contains saved items).
@@ -379,10 +380,10 @@ As a workaround, you can try to assign t
 
 To get the command to launch for a shortcut:
 
-1. open Command dialog (F6 from main window),
-2. in left panel, click on the command with the global shortcut,
-3. enable "Show Advanced" checkbox,
-4. copy the content of "Command" text field.
+1. Open Command dialog (F6 from main window).
+2. Click on the command with the global shortcut in the left panel.
+3. Enable "Show Advanced" checkbox.
+4. Copy the content of "Command" text field.
 
 .. note::
 
@@ -444,10 +445,10 @@ details in a comment.
 If you cannot find any such issue, `report a new bug
 <https://github.com/hluk/CopyQ/issues/new>`__.
 
-Try to provide following detail.
+Try to provide following details:
 
-1. Application version
-2. Operating System (desktop environment, window manager etc.)
-3. Steps to reproduce the issue.
-4. Application log (see :ref:`faq-share-commands`)
-5. Back trace if available (e.g. on Linux ``coredumpctl dump --reverse copyq``)
+- application version
+- operating System (desktop environment, window manager etc.)
+- steps to reproduce the issue
+- application log (see :ref:`faq-share-commands`)
+- stacktrace if available (e.g. on Linux ``coredumpctl dump --reverse copyq``)
diff -pruN 3.10.0-1/docs/installation.rst 3.11.0-1/docs/installation.rst
--- 3.10.0-1/docs/installation.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/installation.rst	2020-05-01 06:22:49.000000000 +0000
@@ -2,11 +2,11 @@ Installation
 ============
 
 Packages and installation files are available at `Releases page <https://github.com/hluk/CopyQ/releases>`__.
-Alternatively you can install the app with one of the following methods.
 
-On **Windows** you can install `Chocolatey package <https://chocolatey.org/packages/copyq>`__.
+Alternatively, you can install the app with one of the following methods:
 
-On **OS X** you can use `Homebrew <https://brew.sh/>`__ to install the app.
+a. On **Windows**, you can install `Chocolatey package <https://chocolatey.org/packages/copyq>`__.
+b. On **OS X**, you can use `Homebrew <https://brew.sh/>`__ to install the app.
 
 .. code-block:: bash
 
@@ -20,7 +20,7 @@ install stable version from official rep
     sudo apt install copyq
     # copyq-plugins and copyq-doc is splitted out and can be installed independently
 
-On **Ubuntu** set up the official PPA repository and install the app from terminal.
+On **Ubuntu** set up the official PPA repository and install the app from terminal:
 
 .. code-block:: bash
 
@@ -29,14 +29,14 @@ On **Ubuntu** set up the official PPA re
     sudo apt update
     sudo apt install copyq
 
-On **Fedora**, install "copyq" package.
+On **Fedora**, install "copyq" package:
 
 .. code-block:: bash
 
     sudo dnf install copyq
 
 On other Linux distributions, you can use `Flapak <https://www.flatpak.org/>`__
-to install the app.
+to install the app:
 
 .. code-block:: bash
 
diff -pruN 3.10.0-1/docs/keyboard.rst 3.11.0-1/docs/keyboard.rst
--- 3.10.0-1/docs/keyboard.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/keyboard.rst	2020-05-01 06:22:49.000000000 +0000
@@ -40,11 +40,11 @@ Change Shortcuts
 
 To change the shortcuts:
 
-- open "File - Preferences",
-- select "Shortcuts" tab,
-- click the button next to action you need to change,
-- press a shortcut on keyboard,
-- click OK to save the dialog.
+1. Open "File - Preferences".
+2. Select "Shortcuts" tab.
+3. Click the button next to action you need to change.
+4. Press a shortcut on keyboard.
+5. Click OK to save the dialog.
 
 Create new Shortcut
 -------------------
@@ -52,8 +52,8 @@ Create new Shortcut
 If and action with shortcut is missing in the Shortcuts configuration
 tab, you can use predefined ones:
 
-- open "File - Commands/Global Shortcuts...",
-- click "Add" button,
-- select command (e.g. "Show/hide main window"),
-- press a shortcut on keyboard,
-- click OK to save the dialog.
+1. Open "File - Commands/Global Shortcuts...".
+2. Click "Add" button.
+3. Select command (e.g. "Show/hide main window").
+4. Press a shortcut on keyboard.
+5. Click OK to save the dialog.
diff -pruN 3.10.0-1/docs/scripting-api.rst 3.11.0-1/docs/scripting-api.rst
--- 3.10.0-1/docs/scripting-api.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/scripting-api.rst	2020-05-01 06:22:49.000000000 +0000
@@ -12,24 +12,24 @@ In addition to features provided by Qt S
 Execute Script
 --------------
 
-The scripts can be executed:
+The scripts can be executed from:
 
--  from commands (in Action or Command dialogs -- F5, F6 shortcuts) if
-   the first line starts with ``copyq:``,
--  from command line as ``copyq eval '<SCRIPT>'``,
--  from command line as ``cat script.js | copyq eval -``,
--  from command line as
-   ``copyq <SCRIPT_FUNCTION> <FUNCTION_ARGUMENT_1> <FUNCTION_ARGUMENT_2> ...``.
+a.  Action or Command dialogs (F5, F6 shortcuts), if
+    the first line starts with ``copyq:``
+b.  command line as ``copyq eval '<SCRIPT>'``
+c.  command line as ``cat script.js | copyq eval -``
+d.  command line as
+    ``copyq <SCRIPT_FUNCTION> <FUNCTION_ARGUMENT_1> <FUNCTION_ARGUMENT_2> ...``
 
 When run from command line, result of last expression is printed on
 stdout.
 
 Command exit values are:
 
--  0 - script finished without error,
--  1 - ``fail()`` was called,
--  2 - bad syntax,
--  3 - exception was thrown.
+-  0 - script finished without error
+-  1 - ``fail()`` was called
+-  2 - bad syntax
+-  3 - exception was thrown
 
 Command Line
 ------------
@@ -245,7 +245,7 @@ omitted.
 
    Sets current tab for the script.
 
-   E.g. following script selects third item (index is 2) from tab "Notes".
+   E.g. following script selects third item (index is 2) from tab "Notes":
 
    .. code-block:: js
 
@@ -324,6 +324,10 @@ omitted.
 
    Throws an exception if some items cannot be removed.
 
+.. js:function:: move(row)
+
+    Moves selected items to given row in same tab.
+
 .. js:function:: edit([row|text] ...)
 
    Edits items in current tab.
@@ -463,7 +467,7 @@ omitted.
 
    Returns paths and flags used by the application.
 
-   E.g. following command prints path to configuration file.
+   E.g. following command prints path to configuration file:
 
    .. code-block:: bash
 
@@ -544,7 +548,7 @@ omitted.
    This is also the data used to create new item from clipboard.
 
    E.g. following automatic command will add creation time data and tag to
-   new items.
+   new items:
 
    ::
 
@@ -553,7 +557,7 @@ omitted.
        setData('application/x-copyq-user-copy-time', dateString(timeFormat))
        setData(mimeTags, 'copied: ' + time)
 
-   E.g. following menu command will add tag to selected items.
+   E.g. following menu command will add tag to selected items:
 
    ::
 
@@ -791,6 +795,17 @@ omitted.
          'Search', ''
          )
 
+.. js:function:: String menuItems(text...)
+
+    Opens menu with given items and returns selected item or an empty string.
+
+.. js:function:: int menuItems(items[])
+
+    Opens menu with given items and returns index of selected item or -1.
+
+    Menu item label is taken from ``mimeText`` format an icon is taken from
+    ``mimeIcon`` format.
+
 .. js:function:: String[] settings()
 
    Returns array with names of all custom user options.
@@ -1148,7 +1163,7 @@ Types
    - `openAppend()` - write only, appends to the file
 
    Following code reads contents of "README.md" file from current
-   directory.
+   directory:
 
    .. code-block:: js
 
@@ -1157,7 +1172,7 @@ Types
          throw 'Failed to open the file: ' + f.errorString()
        var bytes = f.readAll()
 
-   Following code writes to a file in home directory.
+   Following code writes to a file in home directory:
 
    .. code-block:: js
 
@@ -1292,6 +1307,10 @@ These MIME types values are assigned to
 
    Data contains notes for item.
 
+.. js:data:: mimeIcon (application/x-copyq-item-icon)
+
+   Data contains icon for item.
+
 .. js:data:: mimeOwner (application/x-copyq-owner)
 
    If available, the clipboard was set from CopyQ (from script or copied items).
@@ -1307,7 +1326,7 @@ These MIME types values are assigned to
 
    Current tab name when invoking command from main window.
 
-   Following command print the tab name when invoked from main window.
+   Following command print the tab name when invoked from main window:
 
    ::
 
@@ -1328,7 +1347,7 @@ These MIME types values are assigned to
 
    This won't hide notes and tags.
 
-   E.g. if you run following, window title and tool tip will be cleared.
+   E.g. if you run following, window title and tool tip will be cleared:
 
    ::
 
@@ -1360,7 +1379,7 @@ These MIME types values are assigned to
    Clear or remove the format to omit storing the data.
 
    E.g. to omit storing the clipboard data use following in an automatic
-   command.
+   command:
 
    .. code-block:: js
 
diff -pruN 3.10.0-1/docs/source-code-overview.rst 3.11.0-1/docs/source-code-overview.rst
--- 3.10.0-1/docs/source-code-overview.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/source-code-overview.rst	2020-05-01 06:22:49.000000000 +0000
@@ -27,9 +27,9 @@ Application Processes
 
 There are these system processes:
 
--  main GUI application,
--  clipboard monitor (started from main application),
--  multiple clients (run scripts in main application).
+-  main GUI application
+-  clipboard monitor (started from main application)
+-  multiple clients (run scripts in main application)
 
 Main GUI Application
 ~~~~~~~~~~~~~~~~~~~~
@@ -156,13 +156,13 @@ and ``platformNativeInterface()``.
 
 The implementations can contain:
 
--  creating Qt application objects,
--  clipboard handling (for clipboard monitor),
--  focusing window and getting window titles,
--  getting system paths,
--  setting "autostart" option,
+-  creating Qt application objects
+-  clipboard handling (for clipboard monitor)
+-  focusing window and getting window titles
+-  getting system paths
+-  setting "autostart" option
 -  handling global shortcuts (**note:** this part is in
-   `qxt/ <https://github.com/hluk/CopyQ/tree/master/qxt>`__).
+   `qxt/ <https://github.com/hluk/CopyQ/tree/master/qxt>`__)
 
 For unsupported platforms there is `simple
 implementation <https://github.com/hluk/CopyQ/tree/master/src/platform/dummy>`__
diff -pruN 3.10.0-1/docs/synchronize.rst 3.11.0-1/docs/synchronize.rst
--- 3.10.0-1/docs/synchronize.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/synchronize.rst	2020-05-01 06:22:49.000000000 +0000
@@ -14,17 +14,17 @@ Configuration
 
 Set path synchronization directory for a tab.
 
-1. Open "Preferences" (``Ctrl+P`` shortcut),
-2. go to "Items" tab,
-3. select "Synchronize",
+1. Open "Preferences" (``Ctrl+P`` shortcut).
+2. Go to "Items" tab.
+3. Select "Synchronize".
 
     .. image:: images/synchronize-config.png
        :scale: 50%
        :alt: Configure synchronization directory
 
-4. double-click an empty space in **Tab Name** column and enter name of the tab to synchronize,
-5. click the browse button on the same row and select directory for the tab,
-6. click OK to save changes.
+4. Double-click an empty space in **Tab Name** column and enter name of the tab to synchronize.
+5. Click the browse button on the same row and select directory for the tab.
+6. Click OK to save changes.
 
 Now any items in the synchronized tab will be saved in the directory and
 existing files will show up in the tab even if the tab or a file is created
@@ -35,10 +35,11 @@ Synchronized items can be copied and edi
 File Types
 ----------
 
-Only files with known format can be shown as items. By default
-files with ``.txt`` suffix show up as text items,
-files with ``.html`` suffix show up as formatted text items,
-files with ``.png`` suffix show up as images etc.
+Only files with known format can be shown as items. By default:
+
+- Files with ``.txt`` suffix show up as text items.
+- Files with ``.html`` suffix show up as formatted text items.
+- Files with ``.png`` suffix (and others) show up as images.
 
 To show other files as items you need to set their file suffix in the second
 table in the configuration. Here you can set icon and MIME format for the file
diff -pruN 3.10.0-1/docs/writing-commands-and-adding-functionality.rst 3.11.0-1/docs/writing-commands-and-adding-functionality.rst
--- 3.10.0-1/docs/writing-commands-and-adding-functionality.rst	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/docs/writing-commands-and-adding-functionality.rst	2020-05-01 06:22:49.000000000 +0000
@@ -4,13 +4,13 @@ Writing Commands and Adding Functionalit
 =========================================
 
 CopyQ allows you to extend its functionality through commands in
-following ways.
+following ways:
 
-1. Add custom commands to context menu for selected items in history.
-2. Run custom commands automatically when clipboard changes.
-3. Assign global/system-wide shortcuts to custom commands.
+- Add custom commands to context menu for selected items in history.
+- Run custom commands automatically when clipboard changes.
+- Assign global/system-wide shortcuts to custom commands.
 
-Here are some examples what can be achieved by using commands.
+Here are some examples what can be achieved by using commands:
 
 -  Automatically store web links or other types of clipboard content in
    special tabs to keep the history clean.
@@ -27,16 +27,16 @@ Command Dialog
 You can create new commands in Command dialog. To open the dialog
 either:
 
-- press default shortcut F6 or
-- select menu item "Commands/Global Shortcuts..." in "File" menu.
+a. Press default shortcut F6.
+b. Select menu item "Commands/Global Shortcuts..." in "File" menu.
 
 Command dialog contains:
 
-- list of custom commands on the left,
-- settings for currently selected command on the right,
-- command filter text field at the top,
-- buttons to modify the command list (add, remove and move commands) at the top,
-- buttons to save, load, copy and paste commands at the bottom.
+- list of custom commands on the left
+- settings for currently selected command on the right
+- command filter text field at the top
+- buttons to modify the command list (add, remove and move commands) at the top
+- buttons to save, load, copy and paste commands at the bottom
 
 Create New Command
 ~~~~~~~~~~~~~~~~~~
@@ -194,9 +194,9 @@ The command to run.
 
 This can contain either:
 
-- simple command line (e.g. ``copyq popup %1`` - expression ``%1`` means text of the selected item or clipboard),
-- input for command interpreter (prefixed with ``bash:``, ``powershell:``, ``python:`` etc.) or
-- CopyQ script (prefixed with ``copyq:``).
+a. simple command line (e.g. ``copyq popup %1`` - expression ``%1`` means text of the selected item or clipboard)
+b. input for command interpreter (prefixed with ``bash:``, ``powershell:``, ``python:`` etc.)
+c. CopyQ script (prefixed with ``copyq:``)
 
 You can use ``COPYQ`` environment variable to get path of application
 binary.
diff -pruN 3.10.0-1/plugins/itemencrypted/itemencrypted.cpp 3.11.0-1/plugins/itemencrypted/itemencrypted.cpp
--- 3.10.0-1/plugins/itemencrypted/itemencrypted.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemencrypted/itemencrypted.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemencrypted/itemencrypted.h 3.11.0-1/plugins/itemencrypted/itemencrypted.h
--- 3.10.0-1/plugins/itemencrypted/itemencrypted.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemencrypted/itemencrypted.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemencrypted/tests/itemencryptedtests.cpp 3.11.0-1/plugins/itemencrypted/tests/itemencryptedtests.cpp
--- 3.10.0-1/plugins/itemencrypted/tests/itemencryptedtests.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemencrypted/tests/itemencryptedtests.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemencrypted/tests/itemencryptedtests.h 3.11.0-1/plugins/itemencrypted/tests/itemencryptedtests.h
--- 3.10.0-1/plugins/itemencrypted/tests/itemencryptedtests.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemencrypted/tests/itemencryptedtests.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemfakevim/fakevim/fakevimhandler.cpp 3.11.0-1/plugins/itemfakevim/fakevim/fakevimhandler.cpp
--- 3.10.0-1/plugins/itemfakevim/fakevim/fakevimhandler.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemfakevim/fakevim/fakevimhandler.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -321,7 +321,6 @@ private:
     QString m_fileName;
 };
 using Marks = QHash<QChar, Mark>;
-using MarksIterator = QHashIterator<QChar, Mark>;
 
 struct State
 {
@@ -2069,7 +2068,7 @@ public:
 
     void pasteText(bool afterCursor);
 
-    void cutSelectedText();
+    void cutSelectedText(int reg = 0);
 
     void joinLines(int count, bool preserveSpace = false);
 
@@ -2701,12 +2700,15 @@ void FakeVimHandler::Private::updateEdit
 
 void FakeVimHandler::Private::setTabSize(int tabSize)
 {
+    const QLatin1Char space(' ');
+    const QFontMetricsF metrics(EDITOR(fontMetrics()));
+
 #if QT_VERSION >= QT_VERSION_CHECK(5,11,0)
-    const int charWidth = QFontMetrics(EDITOR(font())).horizontalAdvance(QLatin1Char(' '));
+    const qreal width = metrics.horizontalAdvance(QString(tabSize, space));
 #else
-    const int charWidth = QFontMetrics(EDITOR(font())).width(QLatin1Char(' '));
+    const qreal width = metrics.width(space) * tabSize;
 #endif
-    const int width = charWidth * tabSize;
+
 #if QT_VERSION >= QT_VERSION_CHECK(5,10,0)
     EDITOR(setTabStopDistance(width));
 #else
@@ -3621,8 +3623,7 @@ void FakeVimHandler::Private::updateSele
 {
     QList<QTextEdit::ExtraSelection> selections = m_extraSelections;
     if (hasConfig(ConfigShowMarks)) {
-        for (MarksIterator it(m_buffer->marks); it.hasNext(); ) {
-            it.next();
+        for (auto it = m_buffer->marks.cbegin(), end = m_buffer->marks.cend(); it != end; ++it) {
             QTextEdit::ExtraSelection sel;
             sel.cursor = m_cursor;
             setCursorPosition(&sel.cursor, it.value().position(document()));
@@ -4155,6 +4156,8 @@ EventResult FakeVimHandler::Private::han
     // Process input for a sub-mode.
     if (input.isEscape()) {
         handled = handleEscape();
+    } else if (m_wasReadOnly) {
+        return EventUnhandled;
     } else if (g.subsubmode != NoSubSubMode) {
         handled = handleCommandSubSubMode(input);
     } else if (g.submode == NoSubMode) {
@@ -5738,9 +5741,7 @@ bool FakeVimHandler::Private::handleExRe
     QByteArray regs = cmd.args.toLatin1();
     if (regs.isEmpty()) {
         regs = "\"0123456789";
-        QHashIterator<int, Register> it(g.registers);
-        while (it.hasNext()) {
-            it.next();
+        for (auto it = g.registers.cbegin(), end = g.registers.cend(); it != end; ++it) {
             if (it.key() > '9')
                 regs += char(it.key());
         }
@@ -6684,7 +6685,7 @@ static int someInt(const QString &str)
 {
     if (str.toInt())
         return str.toInt();
-    if (str.size())
+    if (!str.isEmpty())
         return str.at(0).unicode();
     return 0;
 }
@@ -7253,7 +7254,7 @@ void FakeVimHandler::Private::pasteText(
     bool pasteAfter = isVisualMode() ? false : afterCursor;
 
     if (isVisualMode())
-        cutSelectedText();
+        cutSelectedText('"');
 
     switch (rangeMode) {
         case RangeCharMode: {
@@ -7334,7 +7335,7 @@ void FakeVimHandler::Private::pasteText(
     endEditBlock();
 }
 
-void FakeVimHandler::Private::cutSelectedText()
+void FakeVimHandler::Private::cutSelectedText(int reg)
 {
     pushUndoState();
 
@@ -7345,8 +7346,11 @@ void FakeVimHandler::Private::cutSelecte
     if (visualMode && g.rangemode == RangeCharMode)
         ++range.endPos;
 
+    if (!reg)
+        reg = m_register;
+
     g.submode = DeleteSubMode;
-    yankText(range, m_register);
+    yankText(range, reg);
     removeText(range);
     g.submode = NoSubMode;
 
@@ -8274,7 +8278,7 @@ void FakeVimHandler::Private::selectWORD
 
 void FakeVimHandler::Private::selectSentenceTextObject(bool inner)
 {
-    Q_UNUSED(inner);
+    Q_UNUSED(inner)
 }
 
 void FakeVimHandler::Private::selectParagraphTextObject(bool inner)
@@ -8552,10 +8556,8 @@ bool FakeVimHandler::Private::jumpToMark
 
 void FakeVimHandler::Private::updateMarks(const Marks &newMarks)
 {
-    for (MarksIterator it(newMarks); it.hasNext(); ) {
-        it.next();
+    for (auto it = newMarks.cbegin(), end = newMarks.cend(); it != end; ++it)
         m_buffer->marks[it.key()] = it.value();
-    }
 }
 
 RangeMode FakeVimHandler::Private::registerRangeMode(int reg) const
@@ -8713,6 +8715,8 @@ bool FakeVimHandler::eventFilter(QObject
          || (Private::g.mode == ExMode || Private::g.subsubmode == SearchSubSubMode))) {
         auto kev = static_cast<QKeyEvent *>(ev);
         KEY_DEBUG("KEYPRESS" << kev->key() << kev->text() << QChar(kev->key()));
+        if ( kev->key() == Key_Escape && !d->wantsOverride(kev) )
+            return false;
         EventResult res = d->handleEvent(kev);
         //if (Private::g.mode == InsertMode)
         //    completionRequested();
diff -pruN 3.10.0-1/plugins/itemfakevim/fakevim/fakevimhandler.h 3.11.0-1/plugins/itemfakevim/fakevim/fakevimhandler.h
--- 3.10.0-1/plugins/itemfakevim/fakevim/fakevimhandler.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemfakevim/fakevim/fakevimhandler.h	2020-05-01 06:22:49.000000000 +0000
@@ -104,6 +104,8 @@ private:
 
 class FakeVimHandler final : public QObject
 {
+    Q_OBJECT
+
 public:
     explicit FakeVimHandler(QWidget *widget, QObject *parent = nullptr);
     ~FakeVimHandler() override;
diff -pruN 3.10.0-1/plugins/itemfakevim/itemfakevim.cpp 3.11.0-1/plugins/itemfakevim/itemfakevim.cpp
--- 3.10.0-1/plugins/itemfakevim/itemfakevim.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemfakevim/itemfakevim.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -629,6 +629,7 @@ bool installEditor(QAbstractScrollArea *
     wrapper->setTextCursor( QTextCursor(wrapper->document()) );
 
     QStatusBar *statusBar = new QStatusBar(textEdit);
+    statusBar->setObjectName("item_child");
 
     const auto layout = textEdit->parentWidget()->layout();
     if (layout)
diff -pruN 3.10.0-1/plugins/itemfakevim/itemfakevim.h 3.11.0-1/plugins/itemfakevim/itemfakevim.h
--- 3.10.0-1/plugins/itemfakevim/itemfakevim.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemfakevim/itemfakevim.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemfakevim/tests/itemfakevimtests.cpp 3.11.0-1/plugins/itemfakevim/tests/itemfakevimtests.cpp
--- 3.10.0-1/plugins/itemfakevim/tests/itemfakevimtests.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemfakevim/tests/itemfakevimtests.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemfakevim/tests/itemfakevimtests.h 3.11.0-1/plugins/itemfakevim/tests/itemfakevimtests.h
--- 3.10.0-1/plugins/itemfakevim/tests/itemfakevimtests.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemfakevim/tests/itemfakevimtests.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemimage/itemimage.cpp 3.11.0-1/plugins/itemimage/itemimage.cpp
--- 3.10.0-1/plugins/itemimage/itemimage.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemimage/itemimage.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemimage/itemimage.h 3.11.0-1/plugins/itemimage/itemimage.h
--- 3.10.0-1/plugins/itemimage/itemimage.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemimage/itemimage.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemnotes/itemnotes.cpp 3.11.0-1/plugins/itemnotes/itemnotes.cpp
--- 3.10.0-1/plugins/itemnotes/itemnotes.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemnotes/itemnotes.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -46,9 +46,6 @@ namespace {
 // Limit number of characters for performance reasons.
 const int defaultMaxBytes = 10*1024;
 
-const char mimeNotes[] = "application/x-copyq-item-notes";
-const char mimeIcon[] = "application/x-copyq-item-icon";
-
 const int notesIndent = 16;
 
 QWidget *createIconWidget(const QByteArray &icon, QWidget *parent)
@@ -269,7 +266,7 @@ ItemNotesLoader::~ItemNotesLoader() = de
 
 QStringList ItemNotesLoader::formatsToSave() const
 {
-    return QStringList() << mimeNotes << mimeIcon;
+    return QStringList() << mimeItemNotes << mimeIcon;
 }
 
 QVariantMap ItemNotesLoader::applySettings()
diff -pruN 3.10.0-1/plugins/itemnotes/itemnotes.h 3.11.0-1/plugins/itemnotes/itemnotes.h
--- 3.10.0-1/plugins/itemnotes/itemnotes.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemnotes/itemnotes.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itempinned/itempinned.cpp 3.11.0-1/plugins/itempinned/itempinned.cpp
--- 3.10.0-1/plugins/itempinned/itempinned.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itempinned/itempinned.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -202,6 +202,11 @@ bool ItemPinnedSaver::canRemoveItems(con
     return false;
 }
 
+bool ItemPinnedSaver::canDropItem(const QModelIndex &index)
+{
+    return !isPinned(index) && m_saver->canDropItem(index);
+}
+
 bool ItemPinnedSaver::canMoveItems(const QList<QModelIndex> &indexList)
 {
     return !containsPinnedItems(indexList)
diff -pruN 3.10.0-1/plugins/itempinned/itempinned.h 3.11.0-1/plugins/itempinned/itempinned.h
--- 3.10.0-1/plugins/itempinned/itempinned.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itempinned/itempinned.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -62,6 +62,8 @@ public:
 
     bool canRemoveItems(const QList<QModelIndex> &indexList, QString *error) override;
 
+    bool canDropItem(const QModelIndex &index) override;
+
     bool canMoveItems(const QList<QModelIndex> &indexList) override;
 
     void itemsRemovedByUser(const QList<QModelIndex> &indexList) override;
diff -pruN 3.10.0-1/plugins/itempinned/tests/itempinnedtests.cpp 3.11.0-1/plugins/itempinned/tests/itempinnedtests.cpp
--- 3.10.0-1/plugins/itempinned/tests/itempinnedtests.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itempinned/tests/itempinnedtests.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itempinned/tests/itempinnedtests.h 3.11.0-1/plugins/itempinned/tests/itempinnedtests.h
--- 3.10.0-1/plugins/itempinned/tests/itempinnedtests.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itempinned/tests/itempinnedtests.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemsync/filewatcher.cpp 3.11.0-1/plugins/itemsync/filewatcher.cpp
--- 3.10.0-1/plugins/itemsync/filewatcher.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemsync/filewatcher.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -28,6 +28,7 @@
 #include <QCryptographicHash>
 #include <QDateTime>
 #include <QDir>
+#include <QElapsedTimer>
 #include <QMimeData>
 #include <QRegularExpression>
 #include <QUrl>
@@ -66,6 +67,7 @@ const char dataFileSuffix[] = "_copyq.da
 const char noteFileSuffix[] = "_note.txt";
 
 const int defaultUpdateFocusItemsIntervalMs = 10000;
+const int batchItemUpdateIntervalMs = 100;
 
 const qint64 sizeLimit = 10 << 20;
 
@@ -197,7 +199,7 @@ bool saveItemFile(const QString &filePat
     return true;
 }
 
-bool canUseFile(QFileInfo &info)
+bool canUseFile(const QFileInfo &info)
 {
     return !info.isHidden() && !info.fileName().startsWith('.') && info.isReadable();
 }
@@ -244,16 +246,16 @@ BaseNameExtensionsList listFiles(const Q
 }
 
 /// Load hash of all existing files to map (hash -> filename).
-QStringList listFiles(const QDir &dir, QDir::SortFlags sortFlags = QDir::NoSort)
+QStringList listFiles(const QDir &dir)
 {
     QStringList files;
 
     const QDir::Filters itemFileFilter = QDir::Files | QDir::Readable | QDir::Writable;
-    for ( const auto &fileName : dir.entryList(itemFileFilter, sortFlags) ) {
-        const QString path = dir.absoluteFilePath(fileName);
-        QFileInfo info(path);
+    // Get files ordered by name to achive same result on multiple platforms.
+    // NOTE: Sorting by modification time can be slow.
+    for ( const auto &info : dir.entryInfoList(itemFileFilter, QDir::Name) ) {
         if ( canUseFile(info) )
-            files.append(path);
+            files.append(info.absoluteFilePath());
     }
 
     return files;
@@ -417,7 +419,7 @@ FileWatcher::FileWatcher(
 
     bool ok;
     const int interval = qgetenv("COPYQ_SYNC_UPDATE_INTERVAL_MS").toInt(&ok);
-    m_updateTimer.setInterval(ok && interval > 0 ? interval : defaultUpdateFocusItemsIntervalMs);
+    m_interval = ok && interval > 0 ? interval : defaultUpdateFocusItemsIntervalMs;
 
     connect( &m_updateTimer, &QTimer::timeout,
              this, &FileWatcher::updateItems );
@@ -449,7 +451,7 @@ void FileWatcher::unlock()
     m_valid = true;
 }
 
-bool FileWatcher::createItemFromFiles(const QDir &dir, const BaseNameExtensions &baseNameWithExts, int targetRow)
+void FileWatcher::createItemFromFiles(const QDir &dir, const BaseNameExtensions &baseNameWithExts, int targetRow)
 {
     QVariantMap dataMap;
     QVariantMap mimeToExtension;
@@ -459,74 +461,111 @@ bool FileWatcher::createItemFromFiles(co
     if ( !mimeToExtension.isEmpty() ) {
         dataMap.insert( mimeBaseName, QFileInfo(baseNameWithExts.baseName).fileName() );
         dataMap.insert(mimeExtensionMap, mimeToExtension);
-
-        if ( !createItem(dataMap, targetRow) )
-            return false;
+        createItem(dataMap, targetRow);
     }
-
-    return true;
 }
 
 void FileWatcher::createItemsFromFiles(const QDir &dir, const BaseNameExtensionsList &fileList)
 {
     for (const auto &baseNameWithExts : fileList) {
-        if ( !createItemFromFiles(dir, baseNameWithExts, 0)
-             || m_model->rowCount() >= m_maxItems )
-        {
+        if ( m_model->rowCount() >= m_maxItems )
             break;
-        }
+
+        createItemFromFiles(dir, baseNameWithExts, 0);
     }
 }
 
 void FileWatcher::updateItems()
 {
     if ( !lock() ) {
-        m_updateTimer.start();
+        m_updateTimer.start(m_interval);
         return;
     }
 
+    QElapsedTimer t;
+    t.start();
+
     m_lastUpdateTimeMs = QDateTime::currentMSecsSinceEpoch();
 
     const QDir dir(m_path);
-    const QStringList files = listFiles(dir, QDir::Time | QDir::Reversed);
-    BaseNameExtensionsList fileList = listFiles(files, m_formatSettings);
 
-    for ( int row = 0; row < m_model->rowCount(); ++row ) {
-        const QModelIndex index = m_model->index(row, 0);
-        const QString baseName = getBaseName(index);
+    if ( m_batchIndexData.isEmpty() ) {
+        const QStringList files = listFiles(dir);
+        m_fileList = listFiles(files, m_formatSettings);
+        m_batchIndexData = m_indexData;
+
+        // Sort so that top rows get updated first.
+        std::sort(
+            std::begin(m_batchIndexData), std::end(m_batchIndexData),
+            [](const IndexData &lhs, const IndexData &rhs){
+                return lhs.index.row() < rhs.index.row();
+            });
+
+        m_lastBatchIndex = -1;
+        if ( t.elapsed() > 100 )
+            log( QString("ItemSync: Files listed in %1 ms").arg(t.elapsed()) );
+    }
+
+    for ( int i = m_lastBatchIndex + 1; i < m_batchIndexData.size(); ++i ) {
+        const IndexData &indexData = m_batchIndexData[i];
+        const QPersistentModelIndex &index = indexData.index;
+        if ( !index.isValid() )
+            continue;
+        const QString baseName = indexData.baseName;
+        if ( baseName.isEmpty() )
+            continue;
 
-        int i = 0;
-        for ( i = 0; i < fileList.size() && fileList[i].baseName != baseName; ++i ) {}
+        int j = 0;
+        for ( j = 0; j < m_fileList.size() && m_fileList[j].baseName != baseName; ++j ) {}
 
         QVariantMap dataMap;
         QVariantMap mimeToExtension;
 
-        if ( i < fileList.size() ) {
-            updateDataAndWatchFile(dir, fileList[i], &dataMap, &mimeToExtension);
-            fileList.removeAt(i);
+        if ( j < m_fileList.size() ) {
+            updateDataAndWatchFile(dir, m_fileList[j], &dataMap, &mimeToExtension);
+            m_fileList.removeAt(j);
         }
 
         if ( mimeToExtension.isEmpty() ) {
-            m_model->removeRow(row--);
+            m_model->removeRow(index.row());
         } else {
             dataMap.insert(mimeBaseName, baseName);
             dataMap.insert(mimeExtensionMap, mimeToExtension);
             updateIndexData(index, dataMap);
         }
+
+        if ( t.elapsed() > 20 ) {
+            COPYQ_LOG_VERBOSE( QString("ItemSync: Items updated in %1 ms, last row %2/%3")
+                 .arg(t.elapsed())
+                 .arg(i + 1)
+                 .arg(m_batchIndexData.size()) );
+            m_lastBatchIndex = i;
+            unlock();
+            m_updateTimer.start(batchItemUpdateIntervalMs);
+            return;
+        }
     }
 
-    createItemsFromFiles(dir, fileList);
+    t.restart();
+
+    createItemsFromFiles(dir, m_fileList);
+
+    if ( t.elapsed() > 100 )
+        log( QString("ItemSync: Items created in %1 ms").arg(t.elapsed()) );
+
+    m_fileList.clear();
+    m_batchIndexData.clear();
 
     unlock();
 
     if (m_updatesEnabled)
-        m_updateTimer.start();
+        m_updateTimer.start(m_interval);
 }
 
 void FileWatcher::updateItemsIfNeeded()
 {
     const auto time = QDateTime::currentMSecsSinceEpoch();
-    if (time < m_lastUpdateTimeMs + m_updateTimer.interval())
+    if (time < m_lastUpdateTimeMs + m_interval)
         return;
 
     updateItems();
@@ -537,7 +576,7 @@ void FileWatcher::setUpdatesEnabled(bool
     m_updatesEnabled = enabled;
     if (enabled)
         updateItems();
-    else
+    else if ( m_batchIndexData.isEmpty() )
         m_updateTimer.stop();
 }
 
@@ -554,9 +593,13 @@ void FileWatcher::onDataChanged(const QM
 void FileWatcher::onRowsRemoved(const QModelIndex &, int first, int last)
 {
     for ( const auto &index : indexList(first, last) ) {
-        Q_ASSERT(index.isValid());
+        if ( !index.isValid() )
+            continue;
+
         IndexDataList::iterator it = findIndexData(index);
-        Q_ASSERT( it != m_indexData.end() );
+        if ( it == m_indexData.end() )
+            continue;
+
         if ( isOwnBaseName(it->baseName) )
             removeFilesForRemovedIndex(m_path, index);
         m_indexData.erase(it);
@@ -576,16 +619,22 @@ FileWatcher::IndexData &FileWatcher::ind
     return *it;
 }
 
-bool FileWatcher::createItem(const QVariantMap &dataMap, int targetRow)
+void FileWatcher::createItem(const QVariantMap &dataMap, int targetRow)
 {
     const int row = qMax( 0, qMin(targetRow, m_model->rowCount()) );
-    if ( m_model->insertRow(row) ) {
-        const QModelIndex &index = m_model->index(row, 0);
-        updateIndexData(index, dataMap);
-        return true;
-    }
+    if ( !m_model->insertRow(row) )
+        return;
 
-    return false;
+    // Find index if it was moved after inserted.
+    const int rows = m_model->rowCount();
+    for ( int i = 0; i < rows; ++i ) {
+        const int row2 = (row + i) % rows;
+        auto index = m_model->index(row2, 0);
+        if ( getBaseName(index).isEmpty() ) {
+            updateIndexData(index, dataMap);
+            return;
+        }
+    }
 }
 
 void FileWatcher::updateIndexData(const QModelIndex &index, const QVariantMap &itemData)
@@ -594,7 +643,8 @@ void FileWatcher::updateIndexData(const
 
     // Item base name is non-empty.
     const QString baseName = getBaseName(index);
-    Q_ASSERT( !baseName.isEmpty() );
+    if ( baseName.isEmpty() )
+        return;
 
     const QVariantMap mimeToExtension = itemData.value(mimeExtensionMap).toMap();
 
@@ -767,7 +817,8 @@ void FileWatcher::updateDataAndWatchFile
     const QString basePath = dir.absoluteFilePath(baseNameWithExts.baseName);
 
     for (const auto &ext : baseNameWithExts.exts) {
-        Q_ASSERT( !ext.format.isEmpty() );
+        if ( ext.format.isEmpty() )
+            continue;
 
         const QString fileName = basePath + ext.extension;
 
@@ -775,8 +826,9 @@ void FileWatcher::updateDataAndWatchFile
         if ( !f.open(QIODevice::ReadOnly) )
             continue;
 
-        if ( ext.extension == dataFileSuffix && deserializeData(dataMap, f.readAll()) ) {
-            mimeToExtension->insert(mimeUnknownFormats, dataFileSuffix);
+        if ( ext.extension == dataFileSuffix ) {
+            if ( deserializeData(dataMap, f.readAll()) )
+                mimeToExtension->insert(mimeUnknownFormats, dataFileSuffix);
         } else if ( f.size() > sizeLimit || ext.format.startsWith(mimeNoFormat)
                     || dataMap->contains(ext.format) )
         {
diff -pruN 3.10.0-1/plugins/itemsync/filewatcher.h 3.11.0-1/plugins/itemsync/filewatcher.h
--- 3.10.0-1/plugins/itemsync/filewatcher.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemsync/filewatcher.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -79,7 +79,7 @@ public:
 
     void unlock();
 
-    bool createItemFromFiles(const QDir &dir, const BaseNameExtensions &baseNameWithExts, int targetRow);
+    void createItemFromFiles(const QDir &dir, const BaseNameExtensions &baseNameWithExts, int targetRow);
 
     void createItemsFromFiles(const QDir &dir, const BaseNameExtensionsList &fileList);
 
@@ -115,7 +115,7 @@ private:
 
     IndexData &indexData(const QModelIndex &index);
 
-    bool createItem(const QVariantMap &dataMap, int targetRow);
+    void createItem(const QVariantMap &dataMap, int targetRow);
 
     void updateIndexData(const QModelIndex &index, const QVariantMap &itemData);
 
@@ -133,6 +133,7 @@ private:
 
     QAbstractItemModel *m_model;
     QTimer m_updateTimer;
+    int m_interval = 0;
     const QList<FileFormat> &m_formatSettings;
     QString m_path;
     bool m_valid;
@@ -140,6 +141,10 @@ private:
     int m_maxItems;
     bool m_updatesEnabled = false;
     qint64 m_lastUpdateTimeMs = 0;
+
+    IndexDataList m_batchIndexData;
+    BaseNameExtensionsList m_fileList;
+    int m_lastBatchIndex = -1;
 };
 
 #endif // FILEWATCHER_H
diff -pruN 3.10.0-1/plugins/itemsync/itemsync.cpp 3.11.0-1/plugins/itemsync/itemsync.cpp
--- 3.10.0-1/plugins/itemsync/itemsync.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemsync/itemsync.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -340,6 +340,16 @@ void setNormalStretchFixedColumns(QTable
     table->resizeColumnToContents(normalColumn);
 }
 
+bool hasOnlyInternalData(const QVariantMap &data)
+{
+    for (auto it = data.constBegin(); it != data.constEnd(); ++it) {
+        const auto &format = it.key();
+        if ( !format.startsWith(COPYQ_MIME_PREFIX) )
+            return false;
+    }
+    return true;
+}
+
 } // namespace
 
 ItemSync::ItemSync(const QString &label, const QString &icon, ItemWidget *childItem)
@@ -539,12 +549,9 @@ QVariantMap ItemSyncSaver::copyItem(cons
     QVariantMap copiedItemData = itemData;
     copiedItemData.insert(mimeSyncPath, m_tabPath);
 
-    // Add text/plain and text/uri-list if not present.
-    bool updateUriData = !copiedItemData.contains(mimeUriList);
-    bool updateTextData = !copiedItemData.contains(mimeText);
-    if (updateUriData || updateTextData) {
+    // Add text/uri-list if no data are present.
+    if ( hasOnlyInternalData(copiedItemData) ) {
         QByteArray uriData;
-        QByteArray textData;
 
         const QVariantMap mimeToExtension = itemData.value(mimeExtensionMap).toMap();
         const QString basePath = m_tabPath + '/' + itemData.value(mimeBaseName).toString();
@@ -552,31 +559,14 @@ QVariantMap ItemSyncSaver::copyItem(cons
         for (const auto &extension : mimeToExtension) {
             const QString filePath = basePath + extension.toString();
 
-            if (updateUriData) {
-                if ( !uriData.isEmpty() )
-                    uriData.append("\n");
-                uriData.append( QUrl::fromLocalFile(filePath).toEncoded() );
-            }
-
-            if (updateTextData) {
-                if ( !textData.isEmpty() )
-                    textData.append("\n");
-                textData.append( filePath.toUtf8()
-                                 .replace('\\', "\\\\")
-                                 .replace('\n', "\\n")
-                                 .replace('\r', "\\r") );
-            }
+            if ( !uriData.isEmpty() )
+                uriData.append("\n");
+            uriData.append( QUrl::fromLocalFile(filePath).toEncoded() );
         }
 
         QVariantMap noSaveData;
-        if (updateUriData) {
-            noSaveData.insert(mimeUriList, FileWatcher::calculateHash(uriData));
-            copiedItemData.insert(mimeUriList, uriData);
-        }
-        if (updateTextData) {
-            noSaveData.insert(mimeText, FileWatcher::calculateHash(textData));
-            copiedItemData.insert(mimeText, textData);
-        }
+        noSaveData.insert(mimeUriList, FileWatcher::calculateHash(uriData));
+        copiedItemData.insert(mimeUriList, uriData);
         copiedItemData.insert(mimeNoSave, noSaveData);
     }
 
@@ -807,14 +797,17 @@ ItemScriptable *ItemSyncLoader::scriptab
 
 void ItemSyncLoader::onBrowseButtonClicked()
 {
-    QTableWidget *t = ui->tableWidgetSyncTabs;
-
     QObject *button = sender();
-    Q_ASSERT(button != nullptr);
+    if (button == nullptr)
+        return;
+
+    QTableWidget *t = ui->tableWidgetSyncTabs;
 
     int row = 0;
     for ( ; row < t->rowCount() && t->cellWidget(row, syncTabsTableColumns::browse) != button; ++row ) {}
-    Q_ASSERT(row != t->rowCount());
+    Q_ASSERT( row == t->rowCount() );
+    if ( row == t->rowCount() )
+        return;
 
     QTableWidgetItem *item = t->item(row, syncTabsTableColumns::path);
     const QString path =
diff -pruN 3.10.0-1/plugins/itemsync/itemsync.h 3.11.0-1/plugins/itemsync/itemsync.h
--- 3.10.0-1/plugins/itemsync/itemsync.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemsync/itemsync.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemsync/itemsyncsettings.ui 3.11.0-1/plugins/itemsync/itemsyncsettings.ui
--- 3.10.0-1/plugins/itemsync/itemsyncsettings.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemsync/itemsyncsettings.ui	2020-05-01 06:22:49.000000000 +0000
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>400</width>
-    <height>348</height>
+    <width>809</width>
+    <height>676</height>
    </rect>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_3">
@@ -103,8 +103,8 @@
           <item>
            <widget class="QLabel" name="label_3">
             <property name="text">
-             <string>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
-&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</string>
+             <string>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</string>
             </property>
             <property name="wordWrap">
              <bool>true</bool>
@@ -123,7 +123,7 @@
             </column>
             <column>
              <property name="text">
-              <string>Item MIME Type</string>
+              <string>Item Media Type</string>
              </property>
             </column>
             <column>
diff -pruN 3.10.0-1/plugins/itemsync/tests/itemsynctests.cpp 3.11.0-1/plugins/itemsync/tests/itemsynctests.cpp
--- 3.10.0-1/plugins/itemsync/tests/itemsynctests.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemsync/tests/itemsynctests.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -502,9 +502,14 @@ void ItemSyncTests::notes()
 
     // One new file for notes.
     const QStringList files2 = dir1.files();
-    const QSet<QString> filesDiff = files2.toSet() - files1.toSet();
-    QCOMPARE( filesDiff.size(), 1 );
-    const QString fileNote = *filesDiff.begin();
+    QCOMPARE( files2.size(), files1.size() + 1 );
+    QString fileNote;
+    for (const auto &file : files2) {
+        if ( !files1.contains(file) ) {
+            fileNote = file;
+            break;
+        }
+    }
 
     // Read file with the notes.
     FilePtr file = dir1.file(fileNote);
@@ -639,3 +644,42 @@ void ItemSyncTests::getAbsoluteFilePath(
 
     RUN(args << code, dir1.filePath("test1"));
 }
+
+void ItemSyncTests::addItemsWhenFull()
+{
+    TestDir dir1(1);
+    const QString tab1 = testTab(1);
+    const Args args = Args() << "separator" << ";" << "tab" << tab1;
+    RUN(args << "show" << tab1, "");
+
+    RUN("config" << "maxitems" << "2", "2\n");
+    RUN(args << "add" << "A" << "B", "");
+    RUN(args << "read" << "0" << "1" << "2", "B;A;");
+    RUN(args << "add" << "C", "");
+    RUN(args << "read" << "0" << "1" << "2", "C;B;");
+}
+
+void ItemSyncTests::addItemsWhenFullOmitDeletingNotOwned()
+{
+    TestDir dir1(1);
+    const QString tab1 = testTab(1);
+    const Args args = Args() << "separator" << ";" << "tab" << tab1;
+    RUN(args << "show" << tab1, "");
+
+    RUN("config" << "maxitems" << "1", "1\n");
+
+    const QString testFileName1 = "test1.txt";
+    createFile(dir1, testFileName1, "NOT-OWNED");
+    WAIT_ON_OUTPUT(args << "size", "1\n");
+    RUN(args << "read" << "0" << "1", "NOT-OWNED;");
+
+    RUN(args << "add" << "A", "");
+    RUN(args << "read" << "0" << "1", "A;");
+    RUN(args << "remove" << "0", "");
+
+    WAIT_ON_OUTPUT(args << "size", "1\n");
+    RUN(args << "read" << "0" << "1", "NOT-OWNED;");
+
+    FilePtr f1(dir1.file(testFileName1));
+    QVERIFY(f1->exists());
+}
diff -pruN 3.10.0-1/plugins/itemsync/tests/itemsynctests.h 3.11.0-1/plugins/itemsync/tests/itemsynctests.h
--- 3.10.0-1/plugins/itemsync/tests/itemsynctests.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemsync/tests/itemsynctests.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -60,6 +60,10 @@ private slots:
 
     void getAbsoluteFilePath();
 
+    void addItemsWhenFull();
+
+    void addItemsWhenFullOmitDeletingNotOwned();
+
 private:
     TestInterfacePtr m_test;
 };
diff -pruN 3.10.0-1/plugins/itemtags/itemtags.cpp 3.11.0-1/plugins/itemtags/itemtags.cpp
--- 3.10.0-1/plugins/itemtags/itemtags.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemtags/itemtags.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -347,19 +347,16 @@ ItemTags::ItemTags(ItemWidget *childItem
     layout->setMargin(0);
     layout->setSpacing(0);
 
-    layout->addWidget(m_tagWidget);
-    layout->addWidget( childItem->widget() );
+    layout->addWidget(m_tagWidget, 0);
+    layout->addWidget( childItem->widget(), 1 );
 }
 
 void ItemTags::updateSize(QSize maximumSize, int idealWidth)
 {
     setMaximumSize(maximumSize);
-
-    m_tagWidget->adjustSize();
     m_tagWidget->setFixedWidth(idealWidth);
-    setFixedWidth(idealWidth);
-
     ItemWidgetWrapper::updateSize(maximumSize, idealWidth);
+    adjustSize();
 }
 
 QStringList ItemTagsScriptable::getUserTags() const
diff -pruN 3.10.0-1/plugins/itemtags/itemtags.h 3.11.0-1/plugins/itemtags/itemtags.h
--- 3.10.0-1/plugins/itemtags/itemtags.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemtags/itemtags.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemtags/tests/itemtagstests.cpp 3.11.0-1/plugins/itemtags/tests/itemtagstests.cpp
--- 3.10.0-1/plugins/itemtags/tests/itemtagstests.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemtags/tests/itemtagstests.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -199,17 +199,17 @@ void ItemTagsTests::searchTags()
     RUN(args << "-e" << "plugins.itemtags.tags(2)", "tag2\ntag3\n");
 
     RUN(args << "keys" << "RIGHT", "");
-    RUN(args << "keys" << ":tag1", "");
+    RUN(args << "keys" << "t" << "a" << "g" << "1", "");
     RUN(args << "keys" << "TAB" << "CTRL+A", "");
     RUN(args << "testSelected", tab1 + " 0 0 1\n");
 
     RUN(args << "keys" << "ESCAPE", "");
-    RUN(args << "keys" << ":tag2", "");
+    RUN(args << "keys" << "t" << "a" << "g" << "2", "");
     RUN(args << "keys" << "TAB" << "CTRL+A", "");
     RUN(args << "testSelected", tab1 + " 1 1 2\n");
 
     RUN(args << "keys" << "ESCAPE", "");
-    RUN(args << "keys" << ":tag3", "");
+    RUN(args << "keys" << "t" << "a" << "g" << "3", "");
     RUN(args << "keys" << "TAB" << "CTRL+A", "");
     RUN(args << "testSelected", tab1 + " 2 2\n");
 }
diff -pruN 3.10.0-1/plugins/itemtags/tests/itemtagstests.h 3.11.0-1/plugins/itemtags/tests/itemtagstests.h
--- 3.10.0-1/plugins/itemtags/tests/itemtagstests.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemtags/tests/itemtagstests.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemtext/itemtext.cpp 3.11.0-1/plugins/itemtext/itemtext.cpp
--- 3.10.0-1/plugins/itemtext/itemtext.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemtext/itemtext.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -124,14 +124,10 @@ ItemText::ItemText(const QString &text,
 
     setReadOnly(true);
     setUndoRedoEnabled(false);
-    setTextInteractionFlags(
-                textInteractionFlags() | Qt::LinksAccessibleByMouse);
 
     setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
     setFrameStyle(QFrame::NoFrame);
 
-    setContextMenuPolicy(Qt::NoContextMenu);
-
     if ( !richText.isEmpty() ) {
         m_textDocument.setHtml(richText);
         // Use plain text instead if rendering HTML fails or result is empty.
@@ -141,8 +137,6 @@ ItemText::ItemText(const QString &text,
     if (!m_isRichText)
         m_textDocument.setPlainText(text);
 
-    m_textDocument.setDocumentMargin(0);
-
     if (maxLines > 0) {
         QTextBlock block = m_textDocument.findBlockByLineNumber(maxLines);
         if (block.isValid()) {
@@ -214,7 +208,12 @@ void ItemText::highlight(const QRegularE
 
 void ItemText::updateSize(QSize maximumSize, int idealWidth)
 {
-    const int scrollBarWidth = verticalScrollBar()->isVisible() ? verticalScrollBar()->width() : 0;
+    if ( m_textDocument.isEmpty() ) {
+        setFixedSize(0, 0);
+        return;
+    }
+
+    const int scrollBarWidth = verticalScrollBar()->width();
     setMaximumHeight( maximumSize.height() );
     setFixedWidth(idealWidth);
     m_textDocument.setTextWidth(idealWidth - scrollBarWidth);
@@ -231,9 +230,6 @@ void ItemText::updateSize(QSize maximumS
     if (document() != &m_textDocument)
         setDocument(&m_textDocument);
 
-    const QRectF rect = m_textDocument.documentLayout()->frameBoundingRect(m_textDocument.rootFrame());
-    setFixedWidth( static_cast<int>(rect.right()) );
-
     QTextCursor tc(&m_textDocument);
     tc.movePosition(QTextCursor::End, QTextCursor::KeepAnchor);
     const auto h = static_cast<int>( cursorRect(tc).bottom() + 2 * logicalDpiY() / 96.0 );
@@ -310,9 +306,14 @@ ItemWidget *ItemTextLoader::create(const
     text = normalizeText(text);
 
     ItemText *item = nullptr;
+    Qt::TextInteractionFlags interactionFlags(Qt::LinksAccessibleByMouse);
     // Always limit text size for performance reasons.
     if (preview) {
         item = new ItemText(text, richText, maxLineCountInPreview, maxLineLengthInPreview, 0, parent);
+        item->setFocusPolicy(Qt::StrongFocus);
+        interactionFlags = interactionFlags
+                | Qt::TextSelectableByKeyboard
+                | Qt::LinksAccessibleByKeyboard;
     } else {
         int maxLines = m_settings.value(optionMaximumLines, maxLineCount).toInt();
         if (maxLines <= 0 || maxLines > maxLineCount)
@@ -320,7 +321,9 @@ ItemWidget *ItemTextLoader::create(const
         const int maxHeight = m_settings.value(optionMaximumHeight, 0).toInt();
         item = new ItemText(text, richText, maxLines, maxLineLength, maxHeight, parent);
         item->viewport()->installEventFilter(item);
+        item->setContextMenuPolicy(Qt::NoContextMenu);
     }
+    item->setTextInteractionFlags(item->textInteractionFlags() | interactionFlags);
 
     return item;
 }
diff -pruN 3.10.0-1/plugins/itemtext/itemtext.h 3.11.0-1/plugins/itemtext/itemtext.h
--- 3.10.0-1/plugins/itemtext/itemtext.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemtext/itemtext.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemweb/itemweb.cpp 3.11.0-1/plugins/itemweb/itemweb.cpp
--- 3.10.0-1/plugins/itemweb/itemweb.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemweb/itemweb.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/plugins/itemweb/itemweb.h 3.11.0-1/plugins/itemweb/itemweb.h
--- 3.10.0-1/plugins/itemweb/itemweb.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/plugins/itemweb/itemweb.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/README.md 3.11.0-1/README.md
--- 3.10.0-1/README.md	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/README.md	2020-05-01 06:22:49.000000000 +0000
@@ -7,6 +7,7 @@
 [![Coverage Status](https://coveralls.io/repos/hluk/CopyQ/badge.svg?branch=master)](https://coveralls.io/r/hluk/CopyQ?branch=master)
 
 CopyQ is advanced clipboard manager with editing and scripting features.
+
 - [Downloads](https://github.com/hluk/CopyQ/releases)
 - [Web Site](https://hluk.github.io/CopyQ/)
 - [Documentation](https://copyq.readthedocs.io)
@@ -112,7 +113,7 @@ Install [Flatpak](https://www.flatpak.or
 flatpak install flathub com.github.hluk.copyq
 ```
 
-Start the application from menu or with following command.
+Start the application from menu or with following command:
 
 ```bash
 flatpak run com.github.hluk.copyq
@@ -128,12 +129,13 @@ or running `copyq toggle`.
 Copying text or image to clipboard will create new item in the list.
 
 Selected items can be:
-* edited (`F2`),
-* removed (`Delete`),
-* sorted (`Ctrl+Shift+S`, `Ctrl+Shift+R`),
-* moved around (with mouse or `Ctrl+Up/Down`),
-* copied back to clipboard (`Ctrl+C`) or
-* pasted to previously active window (`Enter`).
+
+* edited (`F2`)
+* removed (`Delete`)
+* sorted (`Ctrl+Shift+S`, `Ctrl+Shift+R`)
+* moved around (with mouse or `Ctrl+Up/Down`)
+* copied back to clipboard (`Ctrl+C`)
+* pasted to previously active window (`Enter`)
 
 All items will be restored when application is started next time.
 
@@ -141,6 +143,7 @@ To exit the application select Exit from
 application window.
 
 Read more:
+
 - [Basic Usage](https://copyq.readthedocs.io/en/latest/basic-usage.html)
 - [Keyboard](https://copyq.readthedocs.io/en/latest/keyboard.html)
 
@@ -156,6 +159,7 @@ from menu, with shortcut or when clipboa
 One of very useful predefined commands there is "Show/hide main window".
 
 Read more:
+
 - [Writing Commands](https://copyq.readthedocs.io/en/latest/writing-commands-and-adding-functionality.html)
 - [CopyQ Commands Repository](https://github.com/hluk/copyq-commands)
 
@@ -210,17 +214,19 @@ Create image items:
     copyq write image/svg - < image.svg
 
 Read more:
+
 - [Scripting](https://copyq.readthedocs.io/en/latest/scripting.html)
 - [Scripting API](https://copyq.readthedocs.io/en/latest/scripting-api.html)
 
 ## Build from Source Code
 
 To build the application from source code, first install the required dependencies:
+
 - [Git](https://git-scm.com/)
 - [CMake](https://cmake.org/download/)
 - [Qt](https://download.qt.io/archive/qt/)
-- Optionally on Linux/X11: development files and libraries for [Xtst](https://t2-project.org/packages/libxtst.html) and [Xfixes](https://www.x.org/archive/X11R7.5/doc/man/man3/Xfixes.3.html)
-- Optionally [QtWebKit](https://trac.webkit.org/wiki/QtWebKit) (more advanced HTML rendering)
+- optional on Linux/X11: development files and libraries for [Xtst](https://t2-project.org/packages/libxtst.html) and [Xfixes](https://www.x.org/archive/X11R7.5/doc/man/man3/Xfixes.3.html)
+- optional [QtWebKit](https://trac.webkit.org/wiki/QtWebKit) (more advanced HTML rendering)
 
 ### Install Dependencies
 
@@ -277,6 +283,7 @@ or help [fix issues and implement new fe
 [![Translations](https://hosted.weblate.org/widgets/copyq/-/287x66-white.png)](https://hosted.weblate.org/engage/copyq/?utm_source=widget)
 
 Read more:
+
 - [Build from Source Code](https://copyq.readthedocs.io/en/latest/build-source-code.html)
 - [Fixing Bugs and Adding Features](https://copyq.readthedocs.io/en/latest/fixing-bugs.html)
 - [Translations](https://copyq.readthedocs.io/en/latest/translations.html)
diff -pruN 3.10.0-1/RELEASE.md 3.11.0-1/RELEASE.md
--- 3.10.0-1/RELEASE.md	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/RELEASE.md	2020-05-01 06:22:49.000000000 +0000
@@ -36,19 +36,20 @@ Build on [OBS](https://build.opensuse.or
 
 Update [flathub package](https://github.com/flathub/com.github.hluk.copyq):
 
-- update "tag" and "commit" in "com.github.hluk.copyq.json" file,
-- push to fork,
-- [create pull request](https://github.com/flathub/com.github.hluk.copyq/compare/master...hluk:master),
-- wait for build to finish (flathubbot will add comments),
-- [verify the build](https://flathub.org/builds/#/),
-- merge the changes if build is OK.
+1. Update "tag" and "commit" in "com.github.hluk.copyq.json" file.
+2. Push to your fork.
+3. [Create pull request](https://github.com/flathub/com.github.hluk.copyq/compare/master...hluk:master).
+4. Wait for build to finish (flathubbot will add comments).
+5. [Verify the build](https://flathub.org/builds/#/).
+6. Merge the changes if build is OK.
 
 # Publish Release
 
 Download:
-- binaries for Windows from [AppVeyor](https://ci.appveyor.com/project/hluk/copyq).
-- binary for OS X from [github](https://github.com/hluk/CopyQ/releases).
-- source package from [github](https://github.com/hluk/CopyQ/releases).
+
+- binaries for Windows from [AppVeyor](https://ci.appveyor.com/project/hluk/copyq)
+- binary for OS X from [github](https://github.com/hluk/CopyQ/releases)
+- source package from [github](https://github.com/hluk/CopyQ/releases)
 - OBS packages
 
       utils/download_obs_packages.sh 3.3.1 1.1
@@ -56,6 +57,7 @@ Download:
 Create [release on github](https://github.com/hluk/CopyQ/releases) for the new version tag.
 
 Upload packages and binaries to:
+
 - [github](https://github.com/hluk/CopyQ/releases)
 - [sourceforge](https://sourceforge.net/projects/copyq/files/)
 - [fosshub](https://www.fosshub.com/CopyQ.html)
diff -pruN 3.10.0-1/shared/com.github.hluk.copyq.appdata.xml 3.11.0-1/shared/com.github.hluk.copyq.appdata.xml
--- 3.10.0-1/shared/com.github.hluk.copyq.appdata.xml	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/shared/com.github.hluk.copyq.appdata.xml	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="utf-8"?>
-<!-- Copyright 2019 Lukáš Holeček <hluk@email.cz> -->
+<!-- Copyright 2020 Lukáš Holeček <hluk@email.cz> -->
 <component type="desktop">
     <id>com.github.hluk.copyq.desktop</id>
     <metadata_license>CC0-1.0</metadata_license>
@@ -26,6 +26,7 @@
     <url type="translate">https://hosted.weblate.org/engage/copyq/</url>
 
     <releases>
+        <release version="3.11.0" date="2020-05-01" />
         <release version="3.10.0" date="2020-02-02" />
         <release version="3.9.3" date="2019-11-16" />
         <release version="3.9.2" date="2019-08-25" />
diff -pruN 3.10.0-1/shared/themes/items.css 3.11.0-1/shared/themes/items.css
--- 3.10.0-1/shared/themes/items.css	1970-01-01 00:00:00.000000000 +0000
+++ 3.11.0-1/shared/themes/items.css	2020-05-01 06:22:49.000000000 +0000
@@ -0,0 +1,63 @@
+#ClipboardBrowser,#item,#item_child{
+    ;${font}
+    ;color: ${fg}
+    ;background: ${bg}
+}
+
+#ClipboardBrowser::item:alternate:!hover:!selected{
+    ;color: ${alt_fg}
+    ;background: ${alt_bg}
+}
+
+#ClipboardBrowser::item:selected
+,#item[CopyQ_selected="true"]
+,#item[CopyQ_selected="true"] #item_child
+{
+    ;color: ${sel_fg}
+    ;background: ${sel_bg}
+}
+
+#item #item_child
+,#item[CopyQ_selected="true"] #item_child
+{
+    ;background: transparent
+}
+
+${hsv_saturation_factor = 0.5}
+    #ClipboardBrowser::item:selected:!active
+    {
+        ;background:${sel_bg}
+        ;${sel_item_css}
+    }
+${hsv_saturation_factor = 2}
+${hsv_value_factor = 0.9}
+    #ClipboardBrowser::item:hover:selected
+    {
+        ;background:${sel_bg}
+    }
+    #ClipboardBrowser::item:hover:!selected
+    {
+        ;background:${bg}
+    }
+${hsv_saturation_factor = 1}
+${hsv_value_factor = 1}
+
+/* Omit showing current item outline. */
+#ClipboardBrowser::focus{outline:0}
+
+#ClipboardBrowser::item:focus{ ${cur_item_css} }
+
+/* Allow user to change CSS. */
+#ClipboardBrowser{ ${item_css} }
+#ClipboardBrowser::item:alternate:!hover:!selected{ ${alt_item_css} }
+#ClipboardBrowser::item:selected{ ${sel_item_css} }
+#ClipboardBrowser::item:hover{ ${hover_item_css} }
+
+#item_child[CopyQ_item_type="notes"] {
+    ;${notes_font}
+    ;background: ${notes_bg}
+    ;color: ${notes_fg}
+}
+
+${css:scrollbar}
+${css:tooltip}
diff -pruN 3.10.0-1/shared/themes/main_window.css 3.11.0-1/shared/themes/main_window.css
--- 3.10.0-1/shared/themes/main_window.css	1970-01-01 00:00:00.000000000 +0000
+++ 3.11.0-1/shared/themes/main_window.css	2020-05-01 06:22:49.000000000 +0000
@@ -0,0 +1,45 @@
+#searchBar{${search_bar}}
+
+#searchBar:focus{${search_bar_focused}}
+
+#tab_bar{${tab_bar_css}}
+#tab_bar::tab:selected{${tab_bar_tab_selected_css}}
+#tab_bar::tab:!selected{${tab_bar_tab_unselected_css}}
+#tab_bar #tab_item_counter{${tab_bar_item_counter}}
+#tab_bar #tab_item_counter[CopyQ_selected="true"]{
+    ;${tab_bar_sel_item_counter}
+}
+
+#tab_bar QToolButton{${tab_bar_scroll_buttons_css}}
+
+#tab_tree, #tab_tree_item{${tab_tree_css}}
+
+#tab_tree::item:selected
+,#tab_tree_item[CopyQ_selected="true"]
+{
+    ;${tab_tree_sel_item_css}
+}
+
+#tab_tree_item[CopyQ_selected="false"]
+,#tab_tree_item[CopyQ_selected="true"]
+{
+    ;background: transparent
+}
+
+#tab_tree #tab_item_counter{${tab_tree_item_counter}}
+#tab_tree #tab_item_counter[CopyQ_selected="true"]{
+    ;${tab_tree_sel_item_counter}
+}
+
+QToolBar QToolButton{
+    ;color: ${fg}
+    ;background: ${bg}
+}
+QToolBar{${tool_bar_css}}
+QToolBar QToolButton{${tool_button_css}}
+QToolBar QToolButton:hover{${tool_button_selected_css}}
+QToolBar QToolButton:pressed{${tool_button_pressed_css}}
+
+${css:menu}
+
+${css}
diff -pruN 3.10.0-1/shared/themes/menu.css 3.11.0-1/shared/themes/menu.css
--- 3.10.0-1/shared/themes/menu.css	1970-01-01 00:00:00.000000000 +0000
+++ 3.11.0-1/shared/themes/menu.css	2020-05-01 06:22:49.000000000 +0000
@@ -0,0 +1,33 @@
+/* Remove icon border in menus. */
+#MainWindow QMenu::item:selected{border:none}
+
+#MainWindow QMenu::item
+{
+    ;padding: 0.2em 1em 0.2em 1em
+    ;padding-left: ${scale=2}${icon_size}${scale=1}px
+}
+
+#MainWindow QMenu::icon
+{
+    ;padding-left: ${scale=0.5}${icon_size}${scale=1}px
+}
+
+/* Keep default item highlighted (removing icon border resets the style). */
+#MainWindow QMenu::item:default{font-weight:bold}
+
+#MainWindow QMenu{${menu_css}}
+
+#MainWindow QMenu::item,
+#MainWindow QMenu::separator
+{
+    ${menu_bar_css}
+}
+
+#MainWindow QMenu::item:selected
+{
+    ${menu_bar_selected_css}
+}
+
+#menu_bar, #menu_bar::item{${menu_bar_css}}
+#menu_bar::item:selected{${menu_bar_selected_css}}
+#menu_bar::item:disabled{${menu_bar_disabled_css}}
diff -pruN 3.10.0-1/shared/themes/notification.css 3.11.0-1/shared/themes/notification.css
--- 3.10.0-1/shared/themes/notification.css	1970-01-01 00:00:00.000000000 +0000
+++ 3.11.0-1/shared/themes/notification.css	2020-05-01 06:22:49.000000000 +0000
@@ -0,0 +1,15 @@
+Notification, Notification QWidget
+{
+    /* Resets notification opacity. It will be set in NotificationDaemon::setNotificationOpacity(). */
+    ;background: ${notification_bg + #000}
+}
+Notification QWidget{
+    ;color: ${notification_fg}
+    ;${fontString}
+}
+Notification #NotificationTitle{
+    ;${scale=1.2}${fontString}${scale=1}
+}
+Notification #NotificationTip{
+    ;font-style: italic
+}
diff -pruN 3.10.0-1/shared/themes/scrollbar.css 3.11.0-1/shared/themes/scrollbar.css
--- 3.10.0-1/shared/themes/scrollbar.css	1970-01-01 00:00:00.000000000 +0000
+++ 3.11.0-1/shared/themes/scrollbar.css	2020-05-01 06:22:49.000000000 +0000
@@ -0,0 +1,44 @@
+QScrollBar
+{
+    ;border: 0
+    ;margin: 0
+    ;background: ${bg}
+}
+QScrollBar::handle
+{
+    ;border: 0
+    ;margin: 0
+    ;min-width: 4px
+    ;min-height: 4px
+    ;background: ${bg - #666}
+}
+QScrollBar:horizontal {height:4px}
+QScrollBar:vertical {width:4px}
+
+QScrollBar::left-arrow
+,QScrollBar::right-arrow
+,QScrollBar::up-arrow
+,QScrollBar::down-arrow
+{
+    ;border: 0
+    ;margin: 0
+    ;width: 0
+    ;height: 0
+    ;background: ${bg}
+}
+
+QScrollBar::add-page
+,QScrollBar::sub-page
+{
+    ;background: ${bg - #222}
+}
+
+#item[CopyQ_selected="true"] QScrollBar::add-page
+,#item[CopyQ_selected="true"] QScrollBar::sub-page
+{
+    ;background: ${sel_bg + #666}
+}
+#item[CopyQ_selected="true"] QScrollBar::handle
+{
+    ;background: ${sel_bg - #666}
+}
diff -pruN 3.10.0-1/shared/themes/tooltip.css 3.11.0-1/shared/themes/tooltip.css
--- 3.10.0-1/shared/themes/tooltip.css	1970-01-01 00:00:00.000000000 +0000
+++ 3.11.0-1/shared/themes/tooltip.css	2020-05-01 06:22:49.000000000 +0000
@@ -0,0 +1,8 @@
+#item QToolTip, QMenu QToolTip {
+    ;${notes_font}
+    ;background: ${notes_bg}
+    ;color: ${fg}
+    /* Reseting border helps in some cases to set correct background color. */
+    ;border: 1px solid ${fg}
+    ;${notes_css}
+}
diff -pruN 3.10.0-1/src/app/app.cpp 3.11.0-1/src/app/app.cpp
--- 3.10.0-1/src/app/app.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/app.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/app/app.h 3.11.0-1/src/app/app.h
--- 3.10.0-1/src/app/app.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/app.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/app/applicationexceptionhandler.cpp 3.11.0-1/src/app/applicationexceptionhandler.cpp
--- 3.10.0-1/src/app/applicationexceptionhandler.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/applicationexceptionhandler.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/app/applicationexceptionhandler.h 3.11.0-1/src/app/applicationexceptionhandler.h
--- 3.10.0-1/src/app/applicationexceptionhandler.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/applicationexceptionhandler.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/app/clipboardclient.cpp 3.11.0-1/src/app/clipboardclient.cpp
--- 3.10.0-1/src/app/clipboardclient.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/clipboardclient.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -62,12 +62,12 @@ QCoreApplication *createClientApplicatio
         QGuiApplication::setDesktopSettingsAware(false);
         const auto app = platformNativeInterface()
                 ->createClipboardProviderApplication(argc, argv);
-        setCurrentThreadName(arguments[1]);
+        setLogLabel(arguments[1].toUtf8());
         return app;
     }
 
     const auto app = platformNativeInterface()->createClientApplication(argc, argv);
-    setCurrentThreadName("Client");
+    setLogLabel("Client");
     return app;
 }
 
diff -pruN 3.10.0-1/src/app/clipboardclient.h 3.11.0-1/src/app/clipboardclient.h
--- 3.10.0-1/src/app/clipboardclient.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/clipboardclient.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/app/clipboardmonitor.cpp 3.11.0-1/src/app/clipboardmonitor.cpp
--- 3.10.0-1/src/app/clipboardmonitor.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/clipboardmonitor.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/app/clipboardmonitor.h 3.11.0-1/src/app/clipboardmonitor.h
--- 3.10.0-1/src/app/clipboardmonitor.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/clipboardmonitor.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/app/clipboardownermonitor.cpp 3.11.0-1/src/app/clipboardownermonitor.cpp
--- 3.10.0-1/src/app/clipboardownermonitor.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/clipboardownermonitor.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/app/clipboardownermonitor.h 3.11.0-1/src/app/clipboardownermonitor.h
--- 3.10.0-1/src/app/clipboardownermonitor.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/clipboardownermonitor.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/app/clipboardserver.cpp 3.11.0-1/src/app/clipboardserver.cpp
--- 3.10.0-1/src/app/clipboardserver.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/clipboardserver.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -20,6 +20,7 @@
 #include "clipboardserver.h"
 
 #include "common/action.h"
+#include "common/appconfig.h"
 #include "common/clientsocket.h"
 #include "common/client_server.h"
 #include "common/commandstatus.h"
@@ -44,6 +45,7 @@
 #include <QMessageBox>
 #include <QMimeData>
 #include <QSessionManager>
+#include <QTextEdit>
 
 #ifdef NO_GLOBAL_SHORTCUTS
 class QxtGlobalShortcut final {};
@@ -67,6 +69,24 @@ uint monitorCommandStateHash(const QVect
     return hash;
 }
 
+void setTabWidth(QTextEdit *editor, int spaces)
+{
+    const QLatin1Char space(' ');
+    const QFontMetricsF metrics(editor->fontMetrics());
+
+#if QT_VERSION >= QT_VERSION_CHECK(5,11,0)
+    const qreal width = metrics.horizontalAdvance(QString(spaces, space));
+#else
+    const qreal width = metrics.width(space) * spaces;
+#endif
+
+#if QT_VERSION >= QT_VERSION_CHECK(5,10,0)
+    editor->setTabStopDistance(width);
+#else
+    editor->setTabStopWidth(width);
+#endif
+}
+
 } // namespace
 
 ClipboardServer::ClipboardServer(QApplication *app, const QString &sessionName)
@@ -76,7 +96,7 @@ ClipboardServer::ClipboardServer(QApplic
     , m_shortcutActions()
     , m_ignoreKeysTimer()
 {
-    setCurrentThreadName("Server");
+    setLogLabel("Server");
 
     const QString serverName = clipboardServerName();
     m_server = new Server(serverName, this);
@@ -93,6 +113,13 @@ ClipboardServer::ClipboardServer(QApplic
         return;
     }
 
+    if ( sessionName.isEmpty() ) {
+        QGuiApplication::setApplicationDisplayName("CopyQ");
+    } else {
+        QGuiApplication::setApplicationDisplayName(
+            QString("CopyQ-%1").arg(sessionName));
+    }
+
     QCoreApplication::setAttribute(Qt::AA_UseHighDpiPixmaps, true);
 
     QApplication::setQuitOnLastWindowClosed(false);
@@ -529,9 +556,28 @@ bool ClipboardServer::eventFilter(QObjec
                 else
                     m_wnd->enterSearchMode();
             }
+        // Omit overriding arrow keys in text editors.
+        } else if ( type == QEvent::ShortcutOverride &&
+                    object->property("textInteractionFlags")
+                    .value<Qt::TextInteractionFlags>()
+                    .testFlag(Qt::TextSelectableByKeyboard) )
+        {
+            QKeyEvent *keyevent = static_cast<QKeyEvent *>(ev);
+            if ( keyevent->key() == Qt::Key_Left
+                 || keyevent->key() == Qt::Key_Right
+                 || keyevent->key() == Qt::Key_Up
+                 || keyevent->key() == Qt::Key_Down)
+            {
+                ev->accept();
+                return true;
+            }
         }
     } else if (type == QEvent::Paint) {
         setActivePaintDevice(object);
+    } else if (type == QEvent::FontChange) {
+        QTextEdit *editor = qobject_cast<QTextEdit*>(object);
+        if (editor)
+            setTabWidth(editor, m_textTabSize);
     }
 
     return false;
@@ -539,6 +585,8 @@ bool ClipboardServer::eventFilter(QObjec
 
 void ClipboardServer::loadSettings()
 {
+    m_textTabSize = AppConfig().option<Config::text_tab_width>();
+
     if (m_monitor) {
         stopMonitoring();
         startMonitoring();
diff -pruN 3.10.0-1/src/app/clipboardserver.h 3.11.0-1/src/app/clipboardserver.h
--- 3.10.0-1/src/app/clipboardserver.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/app/clipboardserver.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -138,6 +138,7 @@ private:
     QTimer m_ignoreKeysTimer;
     ItemFactory *m_itemFactory;
     uint m_monitorCommandsStateHash = 0;
+    int m_textTabSize = 8;
 
     QMap<int, QByteArray> m_actionDataToSend;
     QTimer m_timerClearUnsentActionData;
diff -pruN 3.10.0-1/src/common/action.cpp 3.11.0-1/src/common/action.cpp
--- 3.10.0-1/src/common/action.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/action.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/action.h 3.11.0-1/src/common/action.h
--- 3.10.0-1/src/common/action.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/action.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/actionoutput.cpp 3.11.0-1/src/common/actionoutput.cpp
--- 3.10.0-1/src/common/actionoutput.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/actionoutput.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/actionoutput.h 3.11.0-1/src/common/actionoutput.h
--- 3.10.0-1/src/common/actionoutput.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/actionoutput.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/actiontablemodel.cpp 3.11.0-1/src/common/actiontablemodel.cpp
--- 3.10.0-1/src/common/actiontablemodel.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/actiontablemodel.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/actiontablemodel.h 3.11.0-1/src/common/actiontablemodel.h
--- 3.10.0-1/src/common/actiontablemodel.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/actiontablemodel.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/appconfig.cpp 3.11.0-1/src/common/appconfig.cpp
--- 3.10.0-1/src/common/appconfig.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/appconfig.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/appconfig.h 3.11.0-1/src/common/appconfig.h
--- 3.10.0-1/src/common/appconfig.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/appconfig.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -199,6 +199,11 @@ struct text_wrap : Config<bool> {
     static Value defaultValue() { return true; }
 };
 
+struct text_tab_width : Config<int> {
+    static QString name() { return "text_tab_width"; }
+    static Value defaultValue() { return 8; }
+};
+
 struct activate_closes : Config<bool> {
     static QString name() { return "activate_closes"; }
     static Value defaultValue() { return true; }
diff -pruN 3.10.0-1/src/common/client_server.cpp 3.11.0-1/src/common/client_server.cpp
--- 3.10.0-1/src/common/client_server.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/client_server.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/client_server.h 3.11.0-1/src/common/client_server.h
--- 3.10.0-1/src/common/client_server.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/client_server.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/clientsocket.cpp 3.11.0-1/src/common/clientsocket.cpp
--- 3.10.0-1/src/common/clientsocket.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/clientsocket.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/clientsocket.h 3.11.0-1/src/common/clientsocket.h
--- 3.10.0-1/src/common/clientsocket.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/clientsocket.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/clipboardmode.h 3.11.0-1/src/common/clipboardmode.h
--- 3.10.0-1/src/common/clipboardmode.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/clipboardmode.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/command.h 3.11.0-1/src/common/command.h
--- 3.10.0-1/src/common/command.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/command.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/commandstatus.h 3.11.0-1/src/common/commandstatus.h
--- 3.10.0-1/src/common/commandstatus.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/commandstatus.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/commandstore.cpp 3.11.0-1/src/common/commandstore.cpp
--- 3.10.0-1/src/common/commandstore.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/commandstore.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/commandstore.h 3.11.0-1/src/common/commandstore.h
--- 3.10.0-1/src/common/commandstore.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/commandstore.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/common.cpp 3.11.0-1/src/common/common.cpp
--- 3.10.0-1/src/common/common.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/common.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -144,6 +144,18 @@ public:
         return refresh() ? m_dataGuard->urls() : QList<QUrl>();
     }
 
+    QString text()
+    {
+        ElapsedGuard _("text");
+        return refresh() ? m_dataGuard->text() : QString();
+    }
+
+    bool hasText()
+    {
+        ElapsedGuard _("hasText");
+        return refresh() && m_dataGuard->hasText();
+    }
+
     QImage getImageData()
     {
         ElapsedGuard _("imageData");
@@ -174,6 +186,9 @@ public:
             return bytes;
         }
 
+        if ( format == mimeText && !hasFormat(mimeText) )
+            return text().toUtf8();
+
         if ( format.startsWith("text/") )
             return dataToText( data(format), format ).toUtf8();
 
@@ -355,7 +370,7 @@ QVariantMap cloneData(const QMimeData &r
      Images in SVG and other XML formats are expected to be relatively small
      so these doesn't have to be ignored.
      */
-    if ( formats.contains(mimeText) && data.hasFormat(mimeText) ) {
+    if ( formats.contains(mimeText) && data.hasText() ) {
         const QString mimeImagePrefix = "image/";
         const auto first = std::remove_if(
                     std::begin(formats), std::end(formats),
@@ -407,6 +422,19 @@ QVariantMap cloneData(const QMimeData &d
             formats.append(mime);
     }
 
+    if ( !formats.contains(mimeText) ) {
+        const QString textPrefix(QLatin1String(mimeText) + ";");
+        bool containsText = false;
+        for (int i = formats.size() - 1; i >= 0; --i) {
+            if ( formats[i].startsWith(textPrefix) ) {
+                formats.removeAt(i);
+                containsText = true;
+            }
+        }
+        if (containsText)
+            formats.append(mimeText);
+    }
+
     return cloneData(data, formats);
 }
 
@@ -442,19 +470,37 @@ bool anySessionOwnsClipboardData(const Q
 QString elideText(const QString &text, const QFont &font, const QString &format,
                   bool escapeAmpersands, int maxWidthPixels, int maxLines)
 {
+    if ( text.isEmpty() )
+        return QString();
+
     if (maxWidthPixels <= 0)
         maxWidthPixels = smallIconSize() * 20;
 
     QStringList lines = text.split('\n');
 
-    // Ignore empty lines at beginning.
-    static const QRegularExpression reNonEmpty(".*\\S.*");
-    const int firstLine = qMax(0, lines.indexOf(reNonEmpty));
-    const int lastLine = qMax(0, lines.lastIndexOf(reNonEmpty, firstLine + maxLines - 1));
+    int firstLine = -1;
+    int lastLine = -1;
+    int commonIndent = text.size();
+    static const QRegularExpression reNonSpace("\\S");
+    for (int i = 0; i < lines.size(); ++i) {
+        const auto &line = lines[i];
+        const int lineIndent = line.indexOf(reNonSpace);
+        if (lineIndent == -1)
+            continue;
 
-    // If empty lines are at beginning, prepend triple dot.
-    if (firstLine != 0)
-        lines[firstLine].prepend("...");
+        if (firstLine == -1)
+            firstLine = i;
+
+        lastLine = i;
+        if (lineIndent < commonIndent)
+            commonIndent = lineIndent;
+
+        if (firstLine - lastLine + 1 >= maxLines)
+            break;
+    }
+
+    if (lastLine == -1)
+        return QString("...");
 
     // If there are too many lines, append triple dot.
     if (lastLine + 1 != lines.size())
@@ -470,19 +516,9 @@ QString elideText(const QString &text, c
 #endif
 
     // Remove redundant spaces from single line text.
-    if (lines.size() == 1)
+    if (lines.size() == 1) {
         lines[0] = lines[0].simplified();
-
-    // Find common indentation.
-    int commonIndent = lines.value(0).size();
-    static const QRegularExpression reNonSpace("\\S");
-    for (const auto &line : lines) {
-        const int lineIndent = line.indexOf(reNonSpace);
-        if (lineIndent != -1 && lineIndent < commonIndent) {
-            commonIndent = lineIndent;
-            if (commonIndent == 0)
-                break;
-        }
+        commonIndent = 0;
     }
 
     // Remove common indentation each line and elide text if too long.
@@ -496,6 +532,14 @@ QString elideText(const QString &text, c
         line = fm.elidedText(line, Qt::ElideMiddle, maxWidthPixels - formatWidth);
     }
 
+    // If empty lines are at beginning, prepend triple dot.
+    if (firstLine != 0) {
+        if (lines.size() == 1)
+            lines.first().prepend("...");
+        else
+            lines.prepend("...");
+    }
+
     QString result = lines.join("\n");
 
     // Escape all ampersands.
@@ -609,6 +653,9 @@ bool handleViKey(QKeyEvent *event, QObje
             return false;
         }
         break;
+    case Qt::Key_X:
+        key = Qt::Key_Delete;
+        break;
     case Qt::Key_BracketLeft:
         if (mods & Qt::ControlModifier) {
             key = Qt::Key_Escape;
@@ -665,7 +712,7 @@ QByteArray makeClipboardOwnerData()
 {
     static int id = 0;
     return qgetenv("COPYQ_SESSION_NAME")
-           + " " + currentThreadLabel()
+           + " " + logLabel()
            + "/" + QByteArray::number(++id);
 }
 
diff -pruN 3.10.0-1/src/common/common.h 3.11.0-1/src/common/common.h
--- 3.10.0-1/src/common/common.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/common.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/config.cpp 3.11.0-1/src/common/config.cpp
--- 3.10.0-1/src/common/config.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/config.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -106,21 +106,48 @@ QString resolutionTag(const QWidget &wid
     return tag;
 }
 
-/// Make top of the window always visible on screen so it's possible to move and resize the window.
-QPoint sanitizeWindowPosition(QPoint pos)
+void ensureWindowOnScreen(QWidget *widget, QPoint pos)
 {
+    const QSize size = widget->size();
     const QRect availableGeometry = screenAvailableGeometry(pos);
-    const int x = qBound(availableGeometry.left(), pos.x(), availableGeometry.right() - 10);
-    const int y = qBound(availableGeometry.top(), pos.y(), availableGeometry.bottom() - 10);
-    return QPoint(x, y);
+
+    int x = pos.x();
+    int y = pos.y();
+    int w = size.width();
+    int h = size.height();
+
+    // Ensure that the window fits the screen, otherwise it may be moved
+    // to a neighboring screen.
+    w = qMin(w, availableGeometry.width());
+    h = qMin(h, availableGeometry.height());
+
+    if ( x + w > availableGeometry.right() )
+        x = availableGeometry.right() - w;
+
+    if ( x < availableGeometry.left() )
+        x = availableGeometry.left();
+
+    if ( y + h > availableGeometry.bottom() )
+        y = availableGeometry.bottom() - h;
+
+    if ( y < availableGeometry.top())
+        y = availableGeometry.top();
+
+    if ( size != QSize(w, h) ) {
+        GEOMETRY_LOG( widget, QString("Resize window: %1x%2").arg(w).arg(h) );
+        widget->resize(w, h);
+    }
+
+    if ( widget->pos() != QPoint(x, y) ) {
+        GEOMETRY_LOG( widget, QString("Move window: %1, %2").arg(x).arg(y) );
+        widget->move(x, y);
+    }
 }
 
 void ensureWindowOnScreen(QWidget *w)
 {
     const QPoint pos = w->pos();
-    const QPoint newPos = sanitizeWindowPosition(pos);
-    if (pos != newPos)
-        w->move(pos);
+    ensureWindowOnScreen(w, pos);
 }
 
 } // namespace
@@ -248,11 +275,7 @@ void moveToCurrentWorkspace(QWidget *w)
 
 void moveWindowOnScreen(QWidget *w, QPoint pos)
 {
-    const QPoint newPos = sanitizeWindowPosition(pos);
-    GEOMETRY_LOG( w, QString("Move window [%1, %2]")
-                  .arg(newPos.x())
-                  .arg(newPos.y()) );
-    w->move(newPos);
+    ensureWindowOnScreen(w, pos);
     moveToCurrentWorkspace(w);
 }
 
diff -pruN 3.10.0-1/src/common/config.h 3.11.0-1/src/common/config.h
--- 3.10.0-1/src/common/config.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/config.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/contenttype.h 3.11.0-1/src/common/contenttype.h
--- 3.10.0-1/src/common/contenttype.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/contenttype.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/display.cpp 3.11.0-1/src/common/display.cpp
--- 3.10.0-1/src/common/display.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/display.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/display.h 3.11.0-1/src/common/display.h
--- 3.10.0-1/src/common/display.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/display.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/globalshortcutcommands.cpp 3.11.0-1/src/common/globalshortcutcommands.cpp
--- 3.10.0-1/src/common/globalshortcutcommands.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/globalshortcutcommands.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/globalshortcutcommands.h 3.11.0-1/src/common/globalshortcutcommands.h
--- 3.10.0-1/src/common/globalshortcutcommands.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/globalshortcutcommands.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/log.cpp 3.11.0-1/src/common/log.cpp
--- 3.10.0-1/src/common/log.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/log.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -25,7 +25,6 @@
 #include <QFile>
 #include <QString>
 #include <QSystemSemaphore>
-#include <QThread>
 #include <QtGlobal>
 #include <QVariant>
 
@@ -35,12 +34,6 @@
 #include <cmath>
 #include <memory>
 
-#ifdef Q_OS_MAC
-#   define THREAD_LOCAL __thread
-#else
-#   define THREAD_LOCAL thread_local
-#endif
-
 /// System-wide mutex
 class SystemMutex final {
 public:
@@ -82,11 +75,6 @@ Q_DECLARE_METATYPE(SystemMutexPtr)
 
 namespace {
 
-// Avoid heap allocation for thread local variable.
-constexpr int maxThreadLabelSize = 48;
-THREAD_LOCAL char currentThreadLabel_[maxThreadLabelSize] = "";
-
-
 const int logFileSize = 512 * 1024;
 const int logFileCount = 10;
 
@@ -243,7 +231,7 @@ bool writeLogFile(const QByteArray &mess
     if ( !f.open(QIODevice::Append) )
         return false;
 
-    if ( !f.write(message) )
+    if ( f.write(message) <= 0 )
         return false;
 
     f.close();
@@ -268,7 +256,7 @@ QByteArray createLogMessage(const QByteA
 {
     const auto timeStamp =
             QDateTime::currentDateTime().toString(" [yyyy-MM-dd hh:mm:ss.zzz] ").toUtf8();
-    const auto label = "CopyQ " + logLevelLabel(level) + timeStamp + currentThreadLabel() + ": ";
+    const auto label = "CopyQ " + logLevelLabel(level) + timeStamp + logLabel() + ": ";
     return createLogMessage(label, text);
 }
 
@@ -364,17 +352,14 @@ void log(const QString &text, const LogL
     }
 }
 
-void setCurrentThreadName(const QString &name)
+void setLogLabel(const QByteArray &name)
 {
-    Q_ASSERT(qApp != nullptr);
-
     const auto id = QCoreApplication::applicationPid();
-    const auto threadLabel = "<" + name.toUtf8() + "-" + QByteArray::number(id) + ">";
-    const auto size = std::min( maxThreadLabelSize, threadLabel.size() );
-    std::memcpy( currentThreadLabel_, threadLabel.constData(), static_cast<size_t>(size) );
+    logLabel() = "<" + name + "-" + QByteArray::number(id) + ">";
 }
 
-QByteArray currentThreadLabel()
+QByteArray &logLabel()
 {
-    return QByteArray(currentThreadLabel_);
+    static QByteArray label;
+    return label;
 }
diff -pruN 3.10.0-1/src/common/log.h 3.11.0-1/src/common/log.h
--- 3.10.0-1/src/common/log.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/log.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -49,8 +49,8 @@ QByteArray logLevelLabel(LogLevel level)
 
 void log(const QString &text, LogLevel level = LogNote);
 
-void setCurrentThreadName(const QString &name);
+void setLogLabel(const QByteArray &name);
 
-QByteArray currentThreadLabel();
+QByteArray &logLabel();
 
 #endif // LOG_H
diff -pruN 3.10.0-1/src/common/messagehandlerforqt.cpp 3.11.0-1/src/common/messagehandlerforqt.cpp
--- 3.10.0-1/src/common/messagehandlerforqt.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/messagehandlerforqt.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/messagehandlerforqt.h 3.11.0-1/src/common/messagehandlerforqt.h
--- 3.10.0-1/src/common/messagehandlerforqt.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/messagehandlerforqt.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/mimetypes.cpp 3.11.0-1/src/common/mimetypes.cpp
--- 3.10.0-1/src/common/mimetypes.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/mimetypes.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -25,6 +25,7 @@ const char mimeUriList[] = "text/uri-lis
 const char mimeWindowTitle[] = COPYQ_MIME_PREFIX "owner-window-title";
 const char mimeItems[] = COPYQ_MIME_PREFIX "item";
 const char mimeItemNotes[] = COPYQ_MIME_PREFIX "item-notes";
+const char mimeIcon[] = COPYQ_MIME_PREFIX "item-icon";
 const char mimeOwner[] = COPYQ_MIME_PREFIX "owner";
 const char mimeClipboardMode[] = COPYQ_MIME_PREFIX "clipboard-mode";
 const char mimeCurrentTab[] = COPYQ_MIME_PREFIX "current-tab";
diff -pruN 3.10.0-1/src/common/mimetypes.h 3.11.0-1/src/common/mimetypes.h
--- 3.10.0-1/src/common/mimetypes.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/mimetypes.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -27,6 +27,7 @@ extern const char mimeUriList[];
 extern const char mimeWindowTitle[];
 extern const char mimeItems[];
 extern const char mimeItemNotes[];
+extern const char mimeIcon[];
 extern const char mimeOwner[];
 extern const char mimeClipboardMode[];
 extern const char mimeCurrentTab[];
diff -pruN 3.10.0-1/src/common/option.cpp 3.11.0-1/src/common/option.cpp
--- 3.10.0-1/src/common/option.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/option.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/option.h 3.11.0-1/src/common/option.h
--- 3.10.0-1/src/common/option.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/option.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/predefinedcommands.cpp 3.11.0-1/src/common/predefinedcommands.cpp
--- 3.10.0-1/src/common/predefinedcommands.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/predefinedcommands.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/predefinedcommands.h 3.11.0-1/src/common/predefinedcommands.h
--- 3.10.0-1/src/common/predefinedcommands.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/predefinedcommands.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/sanitize_text_document.cpp 3.11.0-1/src/common/sanitize_text_document.cpp
--- 3.10.0-1/src/common/sanitize_text_document.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/sanitize_text_document.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/sanitize_text_document.h 3.11.0-1/src/common/sanitize_text_document.h
--- 3.10.0-1/src/common/sanitize_text_document.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/sanitize_text_document.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/server.cpp 3.11.0-1/src/common/server.cpp
--- 3.10.0-1/src/common/server.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/server.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/server.h 3.11.0-1/src/common/server.h
--- 3.10.0-1/src/common/server.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/server.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/settings.cpp 3.11.0-1/src/common/settings.cpp
--- 3.10.0-1/src/common/settings.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/settings.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/settings.h 3.11.0-1/src/common/settings.h
--- 3.10.0-1/src/common/settings.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/settings.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/shortcuts.cpp 3.11.0-1/src/common/shortcuts.cpp
--- 3.10.0-1/src/common/shortcuts.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/shortcuts.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/shortcuts.h 3.11.0-1/src/common/shortcuts.h
--- 3.10.0-1/src/common/shortcuts.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/shortcuts.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/sleeptimer.h 3.11.0-1/src/common/sleeptimer.h
--- 3.10.0-1/src/common/sleeptimer.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/sleeptimer.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/tabs.cpp 3.11.0-1/src/common/tabs.cpp
--- 3.10.0-1/src/common/tabs.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/tabs.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/tabs.h 3.11.0-1/src/common/tabs.h
--- 3.10.0-1/src/common/tabs.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/tabs.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/temporaryfile.cpp 3.11.0-1/src/common/temporaryfile.cpp
--- 3.10.0-1/src/common/temporaryfile.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/temporaryfile.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/temporaryfile.h 3.11.0-1/src/common/temporaryfile.h
--- 3.10.0-1/src/common/temporaryfile.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/temporaryfile.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/temporarysettings.cpp 3.11.0-1/src/common/temporarysettings.cpp
--- 3.10.0-1/src/common/temporarysettings.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/temporarysettings.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/temporarysettings.h 3.11.0-1/src/common/temporarysettings.h
--- 3.10.0-1/src/common/temporarysettings.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/temporarysettings.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/textdata.cpp 3.11.0-1/src/common/textdata.cpp
--- 3.10.0-1/src/common/textdata.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/textdata.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/common/textdata.h 3.11.0-1/src/common/textdata.h
--- 3.10.0-1/src/common/textdata.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/common/textdata.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/aboutdialog.cpp 3.11.0-1/src/gui/aboutdialog.cpp
--- 3.10.0-1/src/gui/aboutdialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/aboutdialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -119,7 +119,7 @@ QString AboutDialog::aboutPage()
         "</table>"
         "</p>"
 
-        "<p class='copyright'>Copyright (c) 2009 - 2019</p>"
+        "<p class='copyright'>Copyright (c) 2009 - 2020</p>"
 
         "<p></p>"
 
diff -pruN 3.10.0-1/src/gui/aboutdialog.h 3.11.0-1/src/gui/aboutdialog.h
--- 3.10.0-1/src/gui/aboutdialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/aboutdialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/actiondialog.cpp 3.11.0-1/src/gui/actiondialog.cpp
--- 3.10.0-1/src/gui/actiondialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/actiondialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -30,6 +30,7 @@
 #include <QAbstractButton>
 #include <QFile>
 #include <QMessageBox>
+#include <QShortcut>
 
 #include <memory>
 
@@ -73,6 +74,11 @@ ActionDialog::ActionDialog(QWidget *pare
     ui->comboBoxCommands->setFont( ui->commandEdit->commandFont() );
     ui->commandEdit->setFocus();
 
+    auto shortcut = new QShortcut(QKeySequence(Qt::CTRL | Qt::Key_P), this);
+    connect(shortcut, &QShortcut::activated, this, &ActionDialog::previousCommand);
+    shortcut = new QShortcut(QKeySequence(Qt::CTRL | Qt::Key_N), this);
+    connect(shortcut, &QShortcut::activated, this, &ActionDialog::nextCommand);
+
     connect(ui->buttonBox, &QDialogButtonBox::clicked,
             this, &ActionDialog::onButtonBoxClicked);
     connect(ui->comboBoxCommands, static_cast<void (QComboBox::*)(int)>(&QComboBox::currentIndexChanged),
@@ -295,6 +301,18 @@ void ActionDialog::onSeparatorEditTextEd
     setChangedByUser(ui->separatorEdit);
 }
 
+void ActionDialog::nextCommand()
+{
+    const int index = ui->comboBoxCommands->currentIndex();
+    ui->comboBoxCommands->setCurrentIndex(index - 1);
+}
+
+void ActionDialog::previousCommand()
+{
+    const int index = ui->comboBoxCommands->currentIndex();
+    ui->comboBoxCommands->setCurrentIndex(index + 1);
+}
+
 void ActionDialog::acceptCommand()
 {
     const auto command = this->command();
diff -pruN 3.10.0-1/src/gui/actiondialog.h 3.11.0-1/src/gui/actiondialog.h
--- 3.10.0-1/src/gui/actiondialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/actiondialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -78,6 +78,9 @@ private:
     void onComboBoxOutputTabEditTextChanged(const QString &text);
     void onSeparatorEditTextEdited(const QString &text);
 
+    void previousCommand();
+    void nextCommand();
+
     void acceptCommand();
     QVariant createCurrentItemData();
     void saveCurrentCommandToHistory();
diff -pruN 3.10.0-1/src/gui/actionhandler.cpp 3.11.0-1/src/gui/actionhandler.cpp
--- 3.10.0-1/src/gui/actionhandler.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/actionhandler.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/actionhandlerdialog.cpp 3.11.0-1/src/gui/actionhandlerdialog.cpp
--- 3.10.0-1/src/gui/actionhandlerdialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/actionhandlerdialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/actionhandlerdialog.h 3.11.0-1/src/gui/actionhandlerdialog.h
--- 3.10.0-1/src/gui/actionhandlerdialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/actionhandlerdialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/actionhandler.h 3.11.0-1/src/gui/actionhandler.h
--- 3.10.0-1/src/gui/actionhandler.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/actionhandler.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/addcommanddialog.cpp 3.11.0-1/src/gui/addcommanddialog.cpp
--- 3.10.0-1/src/gui/addcommanddialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/addcommanddialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/addcommanddialog.h 3.11.0-1/src/gui/addcommanddialog.h
--- 3.10.0-1/src/gui/addcommanddialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/addcommanddialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/clipboardbrowser.cpp 3.11.0-1/src/gui/clipboardbrowser.cpp
--- 3.10.0-1/src/gui/clipboardbrowser.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/clipboardbrowser.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -460,7 +460,7 @@ void ClipboardBrowser::setEditorWidget(I
             if ( oldSearch.isEmpty() )
                 emit searchHideRequest();
             else
-                emit searchShowRequest(d.searchExpression().pattern());
+                emit searchShowRequest(oldSearch);
         }
 
         emit internalEditorStateChanged(this);
@@ -576,9 +576,7 @@ void ClipboardBrowser::connectModelAndDe
 
 void ClipboardBrowser::updateItemMaximumSize()
 {
-    QSize minSize = viewport()->contentsRect().size();
-    if (verticalScrollBarPolicy() != Qt::ScrollBarAlwaysOff)
-         minSize -= QSize(verticalScrollBar()->width(), 0);
+    const QSize minSize = viewport()->contentsRect().size();
     if ( minSize.width() > 0 )
         d.setItemSizes(m_sharedData->textWrap ? minSize : QSize(2048, 2048), minSize.width());
 }
@@ -643,7 +641,7 @@ void ClipboardBrowser::preload(int pixel
 
     const auto margins = m_sharedData->theme.margins();
     const auto rowNumberSize = m_sharedData->theme.rowNumberSize();
-    const auto padding = QPoint(rowNumberSize.width() + margins.width() - s, margins.height() - s);
+    const auto padding = QPoint(rowNumberSize.width() + margins.width() - s, margins.height());
 
     int items = 0;
     bool anyShown = false;
@@ -810,44 +808,6 @@ int ClipboardBrowser::removeIndexes(cons
     return dropIndexes(indexes);
 }
 
-void ClipboardBrowser::paste(const QVariantMap &data, int destinationRow)
-{
-    if ( !isLoaded() ) {
-        loadItems();
-        if ( !isLoaded() )
-            return;
-    }
-
-    // Insert items from clipboard or just clipboard content.
-    if ( data.contains(mimeItems) ) {
-        const QByteArray bytes = data[mimeItems].toByteArray();
-        QDataStream stream(bytes);
-
-        QList<QVariantMap> dataList;
-        while ( !stream.atEnd() ) {
-            QVariantMap dataMap;
-            stream >> dataMap;
-            dataList.append(dataMap);
-        }
-
-        // list size limit
-        if ( !allocateSpaceForNewItems(dataList.size()) ) {
-            QMessageBox::information(
-                        this, tr("Cannot Add New Items"),
-                        tr("Tab is full. Failed to remove any items.") );
-            return;
-        }
-
-        // create new item
-        const int newRow = destinationRow < 0 ? m.rowCount() : qMin(destinationRow, m.rowCount());
-        m.insertItems(dataList, newRow);
-    } else {
-        add(data, destinationRow);
-    }
-
-    saveItems();
-}
-
 QPixmap ClipboardBrowser::renderItemPreview(const QModelIndexList &indexes, int maxWidth, int maxHeight)
 {
     int h = 0;
@@ -979,15 +939,8 @@ void ClipboardBrowser::contextMenuEvent(
 void ClipboardBrowser::resizeEvent(QResizeEvent *event)
 {
     QListView::resizeEvent(event);
-
     // WORKAROUND: Omit calling resizeEvent() recursively.
-    if (m_resizing) {
-        m_timerUpdateSizes.start();
-    } else {
-        m_resizing = true;
-        updateSizes();
-        m_resizing = false;
-    }
+    m_timerUpdateSizes.start();
 }
 
 void ClipboardBrowser::showEvent(QShowEvent *event)
@@ -1077,7 +1030,7 @@ void ClipboardBrowser::dropEvent(QDropEv
         return; // handled in mouseMoveEvent()
 
     const QVariantMap data = cloneData( *event->mimeData() );
-    paste(data, m_dragTargetRow);
+    add(data, m_dragTargetRow);
     m_dragTargetRow = -1;
 }
 
@@ -1314,13 +1267,6 @@ bool ClipboardBrowser::openEditor(const
     return false;
 }
 
-void ClipboardBrowser::addItems(const QStringList &items)
-{
-    for(int i=items.count()-1; i>=0; --i) {
-        add(items[i]);
-    }
-}
-
 void ClipboardBrowser::editNotes()
 {
     QModelIndex ind = currentIndex();
@@ -1619,15 +1565,20 @@ bool ClipboardBrowser::allocateSpaceForN
         return true;
 
     QModelIndexList indexesToRemove;
-    QString error;
     for (int row = m.rowCount() - 1; row >= 0 && indexesToRemove.size() < toRemove; --row) {
         const auto index = m.index(row);
-        if ( m_itemSaver->canRemoveItems(QModelIndexList() << index, &error) )
+        if ( m_itemSaver->canDropItem(index) )
             indexesToRemove.append(index);
     }
 
-    if (indexesToRemove.size() < toRemove)
+    if (indexesToRemove.size() < toRemove) {
+        log( QString("Cannot add new items. Tab \"%1\" reached the maximum number of items.")
+             .arg(m_tabName), LogWarning );
+        emit error(
+            tr("Cannot add new items to tab %1. Please remove items manually to make space.")
+            .arg(quoteString(m_tabName)) );
         return false;
+    }
 
     dropIndexes(indexesToRemove);
     return true;
@@ -1642,22 +1593,37 @@ bool ClipboardBrowser::add(const QVarian
 {
     if ( !isLoaded() ) {
         loadItems();
-        if ( !isLoaded() )
+        if ( !isLoaded() ) {
+            log( QString("Cannot add new items. Tab %1 is not loaded.").arg(m_tabName), LogWarning );
             return false;
+        }
     }
 
-    // list size limit
-    if ( !allocateSpaceForNewItems(1) ) {
-        QMessageBox::information(
-                    this, tr("Cannot Add New Items"),
-                    tr("Tab is full. Failed to remove any items.") );
-        return false;
-    }
-
-    // create new item
     const int newRow = row < 0 ? m.rowCount() : qMin(row, m.rowCount());
-    m.insertItem(data, newRow);
 
+    if ( data.contains(mimeItems) ) {
+        const QByteArray bytes = data[mimeItems].toByteArray();
+        QDataStream stream(bytes);
+
+        QList<QVariantMap> dataList;
+        while ( !stream.atEnd() ) {
+            QVariantMap dataMap;
+            stream >> dataMap;
+            dataList.append(dataMap);
+        }
+
+        if ( !allocateSpaceForNewItems(dataList.size()) )
+            return false;
+
+        m.insertItems(dataList, newRow);
+    } else {
+        if ( !allocateSpaceForNewItems(1) )
+            return false;
+
+        m.insertItem(data, newRow);
+    }
+
+    saveItems();
     return true;
 }
 
@@ -1684,15 +1650,13 @@ void ClipboardBrowser::addUnique(const Q
             const auto oldText = getTextData(previousData);
             if ( (mode == ClipboardMode::Clipboard)
                  ? (newText == oldText)
-                 : getTextData(data).contains(getTextData(previousData)) )
+                 : newText.contains(oldText) )
             {
                 COPYQ_LOG("New item: Merging with top item");
 
-                const QSet<QString> formatsToAdd = previousData.keys().toSet() - data.keys().toSet();
-
-                auto newData = data;
-                for (const auto &format : formatsToAdd)
-                    newData.insert(format, previousData[format]);
+                auto newData = previousData;
+                for (auto it = data.constBegin(); it != data.constEnd(); ++it)
+                    newData.insert(it.key(), it.value());
 
                 m.setData(firstIndex, newData, contentType::data);
 
@@ -1759,8 +1723,15 @@ void ClipboardBrowser::delayedSaveItems(
 
 void ClipboardBrowser::updateSizes()
 {
+    if (m_resizing) {
+        m_timerUpdateSizes.start();
+        return;
+    }
+
+    m_resizing = true;
     updateItemMaximumSize();
     updateEditorGeometry();
+    m_resizing = false;
 }
 
 void ClipboardBrowser::updateCurrent()
@@ -1843,6 +1814,11 @@ void ClipboardBrowser::move(int key)
     scrollTo( currentIndex() );
 }
 
+void ClipboardBrowser::move(const QModelIndexList &indexes, int targetRow)
+{
+    moveIndexes( indexes, targetRow, &m, MoveType::Absolute );
+}
+
 QWidget *ClipboardBrowser::currentItemPreview(QWidget *parent)
 {
     if (!isLoaded())
@@ -1900,3 +1876,8 @@ bool ClipboardBrowser::maybeCloseEditors
 
     return true;
 }
+
+void ClipboardBrowser::keyboardSearch(const QString &text)
+{
+    emit searchShowRequest(text);
+}
diff -pruN 3.10.0-1/src/gui/clipboardbrowser.h 3.11.0-1/src/gui/clipboardbrowser.h
--- 3.10.0-1/src/gui/clipboardbrowser.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/clipboardbrowser.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -109,7 +109,7 @@ class ClipboardBrowser final : public QL
         /**
          * Override to disable default QAbstractItemView search.
          */
-        void keyboardSearch(const QString &) override {}
+        void keyboardSearch(const QString &text) override;
 
         QVariantMap copyIndex(const QModelIndex &index) const;
 
@@ -118,9 +118,6 @@ class ClipboardBrowser final : public QL
         /** Remove items and return smallest row number (new current item if selection was removed). */
         int removeIndexes(const QModelIndexList &indexes, QString *error = nullptr);
 
-        /** Paste items. */
-        void paste(const QVariantMap &data, int destinationRow);
-
         /** Render preview image with items. */
         QPixmap renderItemPreview(const QModelIndexList &indexes, int maxWidth, int maxHeight);
 
@@ -162,8 +159,6 @@ class ClipboardBrowser final : public QL
         bool openEditor(const QByteArray &textData, bool changeClipboard = false);
         /** Open editor for an item. */
         bool openEditor(const QModelIndex &index);
-        /** Add items. */
-        void addItems(const QStringList &items);
 
         /** Set current item. */
         void setCurrent(int row, bool keepSelection = false, bool setCurrentOnly = false);
@@ -192,6 +187,8 @@ class ClipboardBrowser final : public QL
 
         void move(int key);
 
+        void move(const QModelIndexList &indexes, int targetRow);
+
         QWidget *currentItemPreview(QWidget *parent);
 
         void findNext();
diff -pruN 3.10.0-1/src/gui/clipboardbrowserplaceholder.cpp 3.11.0-1/src/gui/clipboardbrowserplaceholder.cpp
--- 3.10.0-1/src/gui/clipboardbrowserplaceholder.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/clipboardbrowserplaceholder.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/clipboardbrowserplaceholder.h 3.11.0-1/src/gui/clipboardbrowserplaceholder.h
--- 3.10.0-1/src/gui/clipboardbrowserplaceholder.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/clipboardbrowserplaceholder.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/clipboardbrowsershared.h 3.11.0-1/src/gui/clipboardbrowsershared.h
--- 3.10.0-1/src/gui/clipboardbrowsershared.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/clipboardbrowsershared.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/clipboarddialog.cpp 3.11.0-1/src/gui/clipboarddialog.cpp
--- 3.10.0-1/src/gui/clipboarddialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/clipboarddialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -103,7 +103,7 @@ ClipboardDialog::ClipboardDialog(
 {
     init();
 
-    setWindowTitle( tr("CopyQ Item Content") );
+    setWindowTitle( tr("Item Content") );
     connect( m_model.data(), &QAbstractItemModel::dataChanged,
              this, &ClipboardDialog::onDataChanged );
     onDataChanged(m_index, m_index);
@@ -168,8 +168,13 @@ void ClipboardDialog::onListWidgetFormat
         addText();
     }
 
-    ui->labelProperties->setText(
-                tr("<strong>Size:</strong> %1 bytes", "Size of data in bytes").arg(bytes.size()) );
+    if (current) {
+        ui->labelProperties->setText(
+                tr("<strong>Size:</strong> %1 bytes", "Size of clipboard/item data in bytes")
+                .arg(bytes.size()) );
+    } else {
+        ui->labelProperties->setText(QString());
+    }
 }
 
 void ClipboardDialog::onActionRemoveFormatTriggered()
diff -pruN 3.10.0-1/src/gui/clipboarddialog.h 3.11.0-1/src/gui/clipboarddialog.h
--- 3.10.0-1/src/gui/clipboarddialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/clipboarddialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/clipboardspy.cpp 3.11.0-1/src/gui/clipboardspy.cpp
--- 3.10.0-1/src/gui/clipboardspy.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/clipboardspy.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/clipboardspy.h 3.11.0-1/src/gui/clipboardspy.h
--- 3.10.0-1/src/gui/clipboardspy.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/clipboardspy.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commandaction.cpp 3.11.0-1/src/gui/commandaction.cpp
--- 3.10.0-1/src/gui/commandaction.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandaction.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commandaction.h 3.11.0-1/src/gui/commandaction.h
--- 3.10.0-1/src/gui/commandaction.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandaction.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commandcompleter.cpp 3.11.0-1/src/gui/commandcompleter.cpp
--- 3.10.0-1/src/gui/commandcompleter.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandcompleter.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commandcompleterdocumentation.h 3.11.0-1/src/gui/commandcompleterdocumentation.h
--- 3.10.0-1/src/gui/commandcompleterdocumentation.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandcompleterdocumentation.h	2020-05-01 06:22:49.000000000 +0000
@@ -48,6 +48,7 @@ void addDocumentation(AddDocumentationCa
     addDocumentation("add", "add(text|item...)", "Same as `insert(0, ...)`.");
     addDocumentation("insert", "insert(row, text|item...)", "Inserts new items to current tab.");
     addDocumentation("remove", "remove(row, ...)", "Removes items in current tab.");
+    addDocumentation("move", "move(row)", "Moves selected items to given row in same tab.");
     addDocumentation("edit", "edit([row|text] ...)", "Edits items in current tab.");
     addDocumentation("read", "ByteArray read([mimeType])", "Same as `clipboard()`.");
     addDocumentation("read", "ByteArray read(mimeType, row, ...)", "Returns concatenated data from items, or clipboard if row is negative.");
@@ -111,6 +112,8 @@ void addDocumentation(AddDocumentationCa
     addDocumentation("execute", "FinishedCommand execute(argument, ..., null, stdinData, ...)", "Executes a command.");
     addDocumentation("currentWindowTitle", "String currentWindowTitle()", "Returns window title of currently focused window.");
     addDocumentation("dialog", "Value dialog(...)", "Shows messages or asks user for input.");
+    addDocumentation("menuItems", "String menuItems(text...)", "Opens menu with given items and returns selected item or an empty string.");
+    addDocumentation("menuItems", "int menuItems(items[])", "Opens menu with given items and returns index of selected item or -1.");
     addDocumentation("settings", "String[] settings()", "Returns array with names of all custom user options.");
     addDocumentation("settings", "Value settings(optionName)", "Returns value for a custom user option.");
     addDocumentation("settings", "settings(optionName, value)", "Sets value for a new custom user option or overrides existing one.");
@@ -169,6 +172,7 @@ void addDocumentation(AddDocumentationCa
     addDocumentation("mimeWindowTitle", "(application/x-copyq-owner-window-title)", "Current window title for copied clipboard.");
     addDocumentation("mimeItems", "(application/x-copyq-item)", "Serialized items.");
     addDocumentation("mimeItemNotes", "(application/x-copyq-item-notes)", "Data contains notes for item.");
+    addDocumentation("mimeIcon", "(application/x-copyq-item-icon)", "Data contains icon for item.");
     addDocumentation("mimeOwner", "(application/x-copyq-owner)", "If available, the clipboard was set from CopyQ (from script or copied items).");
     addDocumentation("mimeClipboardMode", "(application/x-copyq-clipboard-mode)", "Contains `selection` if data is from X11 mouse selection.");
     addDocumentation("mimeCurrentTab", "(application/x-copyq-current-tab)", "Current tab name when invoking command from main window.");
diff -pruN 3.10.0-1/src/gui/commandcompleter.h 3.11.0-1/src/gui/commandcompleter.h
--- 3.10.0-1/src/gui/commandcompleter.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandcompleter.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commanddialog.cpp 3.11.0-1/src/gui/commanddialog.cpp
--- 3.10.0-1/src/gui/commanddialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commanddialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commanddialog.h 3.11.0-1/src/gui/commanddialog.h
--- 3.10.0-1/src/gui/commanddialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commanddialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commandedit.cpp 3.11.0-1/src/gui/commandedit.cpp
--- 3.10.0-1/src/gui/commandedit.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandedit.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commandedit.h 3.11.0-1/src/gui/commandedit.h
--- 3.10.0-1/src/gui/commandedit.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandedit.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commandhelpbutton.cpp 3.11.0-1/src/gui/commandhelpbutton.cpp
--- 3.10.0-1/src/gui/commandhelpbutton.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandhelpbutton.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commandhelpbutton.h 3.11.0-1/src/gui/commandhelpbutton.h
--- 3.10.0-1/src/gui/commandhelpbutton.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandhelpbutton.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commandsyntaxhighlighter.cpp 3.11.0-1/src/gui/commandsyntaxhighlighter.cpp
--- 3.10.0-1/src/gui/commandsyntaxhighlighter.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandsyntaxhighlighter.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -56,7 +56,6 @@ QRegularExpression commandLabelRegExp()
             "|\\bperl:"
             "|\\bpython:"
             "|\\bruby:"
-            "|\\bpowershell:"
                 );
 }
 
diff -pruN 3.10.0-1/src/gui/commandsyntaxhighlighter.h 3.11.0-1/src/gui/commandsyntaxhighlighter.h
--- 3.10.0-1/src/gui/commandsyntaxhighlighter.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandsyntaxhighlighter.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commandwidget.cpp 3.11.0-1/src/gui/commandwidget.cpp
--- 3.10.0-1/src/gui/commandwidget.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandwidget.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/commandwidget.h 3.11.0-1/src/gui/commandwidget.h
--- 3.10.0-1/src/gui/commandwidget.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/commandwidget.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/configtabappearance.cpp 3.11.0-1/src/gui/configtabappearance.cpp
--- 3.10.0-1/src/gui/configtabappearance.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/configtabappearance.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -34,7 +34,6 @@
 #include "gui/theme.h"
 #include "item/itemeditor.h"
 #include "item/itemdelegate.h"
-#include "platform/platformnativeinterface.h"
 
 #include <QAbstractScrollArea>
 #include <QAction>
@@ -47,19 +46,6 @@
 #include <QSettings>
 #include <QTemporaryFile>
 
-namespace {
-
-QString themePrefix()
-{
-#ifdef COPYQ_THEME_PREFIX
-    return COPYQ_THEME_PREFIX;
-#else
-    return platformNativeInterface()->themePrefix();
-#endif
-}
-
-} // namespace
-
 ConfigTabAppearance::ConfigTabAppearance(QWidget *parent)
     : QWidget(parent)
     , ui(new Ui::ConfigTabAppearance)
@@ -225,14 +211,7 @@ void ConfigTabAppearance::onComboBoxThem
     if ( text.isEmpty() )
         return;
 
-    QString fileName = defaultUserThemePath() + "/" + text + ".ini";
-    if ( !QFile(fileName).exists() ) {
-        fileName = themePrefix();
-        if ( fileName.isEmpty() || !QFile(fileName).exists() )
-            return;
-        fileName.append("/" + text + ".ini");
-    }
-
+    const QString fileName = findThemeFile(text + ".ini");
     QSettings settings(fileName, QSettings::IniFormat);
     loadTheme(settings);
 }
@@ -256,18 +235,8 @@ void ConfigTabAppearance::updateThemes()
     ui->comboBoxThemes->clear();
     ui->comboBoxThemes->addItem(QString());
 
-    const QString userThemesPath = defaultUserThemePath();
-    QDir themesDir(userThemesPath);
-    if ( themesDir.mkpath(".") )
-        addThemes(userThemesPath);
-
-    const QByteArray customThemsPath = qgetenv("COPYQ_THEME_PREFIX");
-    if ( !customThemsPath.isEmpty() )
-        addThemes(QString::fromLocal8Bit(customThemsPath));
-
-    const QString themesPath = themePrefix();
-    if ( !themesPath.isEmpty() )
-        addThemes(themesPath);
+    for (const QString &path : themePaths())
+        addThemes(path);
 }
 
 void ConfigTabAppearance::addThemes(const QString &path)
@@ -300,8 +269,10 @@ void ConfigTabAppearance::updateStyle()
 void ConfigTabAppearance::fontButtonClicked(QObject *button)
 {
     QFont font = m_theme.themeFontFromString( button->property("VALUE").toString() );
-    QFontDialog dialog(font, this);
-    dialog.setOptions(dialog.options() | QFontDialog::DontUseNativeDialog);
+    QFontDialog dialog(this);
+    dialog.setOption(QFontDialog::DontUseNativeDialog);
+    // WORKAROUND: DontUseNativeDialog must be set before current font (QTBUG-79637).
+    dialog.setCurrentFont(font);
     if ( dialog.exec() == QDialog::Accepted ) {
         font = dialog.selectedFont();
         button->setProperty( "VALUE", font.toString() );
@@ -397,14 +368,6 @@ void ConfigTabAppearance::updateFontButt
     }
 }
 
-QString ConfigTabAppearance::defaultUserThemePath() const
-{
-    QSettings settings(QSettings::IniFormat, QSettings::UserScope,
-                       QCoreApplication::organizationName(),
-                       QCoreApplication::applicationName());
-    return QDir::cleanPath(settings.fileName() + "/../themes");
-}
-
 QIcon ConfigTabAppearance::createThemeIcon(const QString &fileName)
 {
     QSettings settings(fileName, QSettings::IniFormat);
@@ -477,10 +440,8 @@ void ConfigTabAppearance::decoratePrevie
 
     const QString searchFor = tr("item", "Search expression in preview in Appearance tab.");
 
-    c->addItems( QStringList()
-                 << tr("Search string is %1.").arg( quoteString(searchFor) )
-                 << tr("Select an item and\n"
-                       "press F2 to edit.") );
+    c->add( tr("Search string is %1.").arg(quoteString(searchFor)) );
+    c->add( tr("Select an item and\npress F2 to edit.") );
     for (int i = 1; i <= 20; ++i)
         c->add( tr("Example item %1").arg(i), -1 );
 
@@ -491,7 +452,7 @@ void ConfigTabAppearance::decoratePrevie
     model->setData(index, dataMap, contentType::updateData);
 
     // Highlight found text but don't filter out any items.
-    c->filterItems( QRegularExpression(QString("|") + searchFor, QRegularExpression::CaseInsensitiveOption) );
+    c->filterItems( QRegularExpression(QString("^|") + searchFor, QRegularExpression::CaseInsensitiveOption) );
 
     QAction *act;
 
diff -pruN 3.10.0-1/src/gui/configtabappearance.h 3.11.0-1/src/gui/configtabappearance.h
--- 3.10.0-1/src/gui/configtabappearance.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/configtabappearance.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -79,7 +79,6 @@ private:
     void updateColorButtons();
     void updateFontButtons();
 
-    QString defaultUserThemePath() const;
     QIcon createThemeIcon(const QString &fileName);
 
     void decoratePreview();
diff -pruN 3.10.0-1/src/gui/configtabtabs.cpp 3.11.0-1/src/gui/configtabtabs.cpp
--- 3.10.0-1/src/gui/configtabtabs.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/configtabtabs.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/configtabtabs.h 3.11.0-1/src/gui/configtabtabs.h
--- 3.10.0-1/src/gui/configtabtabs.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/configtabtabs.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/configurationmanager.cpp 3.11.0-1/src/gui/configurationmanager.cpp
--- 3.10.0-1/src/gui/configurationmanager.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/configurationmanager.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -323,6 +323,7 @@ void ConfigurationManager::initOptions()
     bind<Config::hide_main_window_in_task_bar>();
     bind<Config::max_process_manager_rows>();
     bind<Config::show_advanced_command_settings>();
+    bind<Config::text_tab_width>();
 }
 
 template <typename Config, typename Widget>
diff -pruN 3.10.0-1/src/gui/configurationmanager.h 3.11.0-1/src/gui/configurationmanager.h
--- 3.10.0-1/src/gui/configurationmanager.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/configurationmanager.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/filedialog.cpp 3.11.0-1/src/gui/filedialog.cpp
--- 3.10.0-1/src/gui/filedialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/filedialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/filedialog.h 3.11.0-1/src/gui/filedialog.h
--- 3.10.0-1/src/gui/filedialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/filedialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/filtercompleter.cpp 3.11.0-1/src/gui/filtercompleter.cpp
--- 3.10.0-1/src/gui/filtercompleter.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/filtercompleter.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/filtercompleter.h 3.11.0-1/src/gui/filtercompleter.h
--- 3.10.0-1/src/gui/filtercompleter.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/filtercompleter.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/fix_icon_id.h 3.11.0-1/src/gui/fix_icon_id.h
--- 3.10.0-1/src/gui/fix_icon_id.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/fix_icon_id.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/iconfactory.cpp 3.11.0-1/src/gui/iconfactory.cpp
--- 3.10.0-1/src/gui/iconfactory.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/iconfactory.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/iconfactory.h 3.11.0-1/src/gui/iconfactory.h
--- 3.10.0-1/src/gui/iconfactory.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/iconfactory.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/iconfont.cpp 3.11.0-1/src/gui/iconfont.cpp
--- 3.10.0-1/src/gui/iconfont.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/iconfont.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/iconfont.h 3.11.0-1/src/gui/iconfont.h
--- 3.10.0-1/src/gui/iconfont.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/iconfont.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/icon_list.h 3.11.0-1/src/gui/icon_list.h
--- 3.10.0-1/src/gui/icon_list.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/icon_list.h	2020-05-01 06:22:49.000000000 +0000
@@ -7,32 +7,32 @@ struct Icon {
 };
 
 constexpr Icon iconList[] = {
-{0xf641, false, "ad"},
-{0xf2b9, false, "address book"},
-{0xf2bb, false, "address card"},
-{0xf042, false, "adjust|contrast"},
-{0xf5d0, false, "air freshener"},
-{0xf037, false, "align-center|middle|text"},
-{0xf039, false, "align-justify|text"},
-{0xf036, false, "align-left|text"},
-{0xf038, false, "align-right|text"},
-{0xf461, false, "allergies|freckles|hand|intolerances|pox|spots"},
-{0xf0f9, false, "ambulance|help|machine|support|vehicle"},
-{0xf2a3, false, "american sign language interpreting"},
-{0xf13d, false, "anchor|link"},
-{0xf103, false, "angle double down|arrows"},
-{0xf100, false, "angle double left|arrows|back|laquo|previous|quote"},
-{0xf101, false, "angle double right|arrows|forward|next|quote|raquo"},
-{0xf102, false, "angle double up|arrows"},
-{0xf107, false, "angle-down|arrow"},
-{0xf104, false, "angle-left|arrow|back|previous"},
-{0xf105, false, "angle-right|arrow|forward|next"},
-{0xf106, false, "angle-up|arrow"},
+{0xf641, false, "ad|advertisement|media|newspaper|promotion|publicity"},
+{0xf2b9, false, "address book|contact|directory|index|little black book|rolodex"},
+{0xf2bb, false, "address card|about|contact|id|identification|postcard|profile"},
+{0xf042, false, "adjust|contrast|dark|light|saturation"},
+{0xf5d0, false, "air freshener|car|deodorize|fresh|pine|scent"},
+{0xf037, false, "align-center|format|middle|paragraph|text"},
+{0xf039, false, "align-justify|format|paragraph|text"},
+{0xf036, false, "align-left|format|paragraph|text"},
+{0xf038, false, "align-right|format|paragraph|text"},
+{0xf461, false, "allergies|allergy|freckles|hand|hives|pox|skin|spots"},
+{0xf0f9, false, "ambulance|covid-19|emergency|emt|er|help|hospital|support|vehicle"},
+{0xf2a3, false, "american sign language interpreting|asl|deaf|finger|hand|interpret|speak"},
+{0xf13d, false, "anchor|berth|boat|dock|embed|link|maritime|moor|secure"},
+{0xf103, false, "angle double down|arrows|caret|download|expand"},
+{0xf100, false, "angle double left|arrows|back|caret|laquo|previous|quote"},
+{0xf101, false, "angle double right|arrows|caret|forward|more|next|quote|raquo"},
+{0xf102, false, "angle double up|arrows|caret|collapse|upload"},
+{0xf107, false, "angle-down|arrow|caret|download|expand"},
+{0xf104, false, "angle-left|arrow|back|caret|less|previous"},
+{0xf105, false, "angle-right|arrow|care|forward|more|next"},
+{0xf106, false, "angle-up|arrow|caret|collapse|upload"},
 {0xf556, false, "angry face|disapprove|emoticon|face|mad|upset"},
-{0xf644, false, "ankh|amulet|copper|coptic christianity|copts|crux ansata|egyptian|venus"},
-{0xf5d1, false, "fruit apple|fall|food|fruit|fuji|macintosh|seasonal"},
-{0xf187, false, "archive|box|package|storage"},
-{0xf557, false, "archway|arc|monument|road|street"},
+{0xf644, false, "ankh|amulet|copper|coptic christianity|copts|crux ansata|egypt|venus"},
+{0xf5d1, false, "fruit apple|fall|fruit|fuji|macintosh|orchard|seasonal|vegan"},
+{0xf187, false, "archive|box|package|save|storage"},
+{0xf557, false, "archway|arc|monument|road|street|tunnel"},
 {0xf358, false, "alternate arrow circle down|arrow-circle-o-down|download"},
 {0xf359, false, "alternate arrow circle left|arrow-circle-o-left|back|previous"},
 {0xf35a, false, "alternate arrow circle right|arrow-circle-o-right|forward|next"},
@@ -40,205 +40,222 @@ constexpr Icon iconList[] = {
 {0xf0ab, false, "arrow circle down|download"},
 {0xf0a8, false, "arrow circle left|back|previous"},
 {0xf0a9, false, "arrow circle right|forward|next"},
-{0xf0aa, false, "arrow circle up"},
+{0xf0aa, false, "arrow circle up|upload"},
 {0xf063, false, "arrow-down|download"},
 {0xf060, false, "arrow-left|back|previous"},
 {0xf061, false, "arrow-right|forward|next"},
-{0xf062, false, "arrow-up"},
+{0xf062, false, "arrow-up|forward|upload"},
 {0xf0b2, false, "alternate arrows|arrow|arrows|bigger|enlarge|expand|fullscreen|move|position|reorder|resize"},
-{0xf337, false, "alternate arrows horizontal|arrows-h|resize"},
-{0xf338, false, "alternate arrows vertical|arrows-v|resize"},
-{0xf2a2, false, "assistive listening systems"},
-{0xf069, false, "asterisk|details"},
-{0xf1fa, false, "at|e-mail|email"},
-{0xf558, false, "atlas|book|directions|geography|map|wayfinding"},
-{0xf5d2, false, "atom|atheism|chemistry|science"},
-{0xf29e, false, "audio description"},
-{0xf559, false, "award|honor|praise|prize|recognition|ribbon"},
-{0xf77c, false, "baby|diaper|human|infant|kid|offspring|person|sprout"},
+{0xf337, false, "alternate arrows horizontal|arrows-h|expand|horizontal|landscape|resize|wide"},
+{0xf338, false, "alternate arrows vertical|arrows-v|expand|portrait|resize|tall|vertical"},
+{0xf2a2, false, "assistive listening systems|amplify|audio|deaf|ear|headset|hearing|sound"},
+{0xf069, false, "asterisk|annotation|details|reference|star"},
+{0xf1fa, false, "at|address|author|e-mail|email|handle"},
+{0xf558, false, "atlas|book|directions|geography|globe|map|travel|wayfinding"},
+{0xf5d2, false, "atom|atheism|chemistry|electron|ion|isotope|neutron|nuclear|proton|science"},
+{0xf29e, false, "audio description|blind|narration|video|visual"},
+{0xf559, false, "award|honor|praise|prize|recognition|ribbon|trophy"},
+{0xf77c, false, "baby|child|diaper|doll|human|infant|kid|offspring|person|sprout"},
 {0xf77d, false, "baby carriage|buggy|carrier|infant|push|stroller|transportation|walk|wheels"},
-{0xf55a, false, "backspace|command|delete|keyboard|undo"},
+{0xf55a, false, "backspace|command|delete|erase|keyboard|undo"},
 {0xf04a, false, "backward|previous|rewind"},
+{0xf7e5, false, "bacon|blt|breakfast|ham|lard|meat|pancetta|pork|rasher"},
+{0xf666, false, "bahá'í|bahai|bahá'í|star"},
 {0xf24e, false, "balance scale|balanced|justice|legal|measure|weight"},
+{0xf515, false, "balance scale (left-weighted)|justice|legal|measure|unbalanced|weight"},
+{0xf516, false, "balance scale (right-weighted)|justice|legal|measure|unbalanced|weight"},
 {0xf05e, false, "ban|abort|ban|block|cancel|delete|hide|prohibit|remove|stop|trash"},
-{0xf462, false, "band-aid|bandage|boo boo|ouch"},
-{0xf02a, false, "barcode|scan"},
+{0xf462, false, "band-aid|bandage|boo boo|first aid|ouch"},
+{0xf02a, false, "barcode|info|laser|price|scan|upc"},
 {0xf0c9, false, "bars|checklist|drag|hamburger|list|menu|nav|navigation|ol|reorder|settings|todo|ul"},
-{0xf433, false, "baseball ball"},
-{0xf434, false, "basketball ball"},
-{0xf2cd, false, "bath"},
-{0xf244, false, "battery empty|power|status"},
-{0xf240, false, "battery full|power|status"},
-{0xf242, false, "battery 1/2 full|power|status"},
-{0xf243, false, "battery 1/4 full|power|status"},
-{0xf241, false, "battery 3/4 full|power|status"},
-{0xf236, false, "bed|lodging|sleep|travel"},
-{0xf0fc, false, "beer|alcohol|bar|beverage|drink|liquor|mug|stein"},
-{0xf0f3, false, "bell|alert|notification|reminder"},
+{0xf433, false, "baseball ball|foul|hardball|league|leather|mlb|softball|sport"},
+{0xf434, false, "basketball ball|dribble|dunk|hoop|nba"},
+{0xf2cd, false, "bath|clean|shower|tub|wash"},
+{0xf244, false, "battery empty|charge|dead|power|status"},
+{0xf240, false, "battery full|charge|power|status"},
+{0xf242, false, "battery 1/2 full|charge|power|status"},
+{0xf243, false, "battery 1/4 full|charge|low|power|status"},
+{0xf241, false, "battery 3/4 full|charge|power|status"},
+{0xf236, false, "bed|lodging|mattress|rest|sleep|travel"},
+{0xf0fc, false, "beer|alcohol|ale|bar|beverage|brewery|drink|lager|liquor|mug|stein"},
+{0xf0f3, false, "bell|alarm|alert|chime|notification|reminder"},
 {0xf1f6, false, "bell slash|alert|cancel|disabled|notification|off|reminder"},
 {0xf55b, false, "bezier curve|curves|illustrator|lines|path|vector"},
-{0xf647, false, "bible|book|catholicism|christianity"},
-{0xf206, false, "bicycle|bike|gears|transportation|vehicle"},
-{0xf1e5, false, "binoculars"},
-{0xf780, false, "biohazard|danger|dangerous|medical|waste"},
-{0xf1fd, false, "birthday cake"},
-{0xf517, false, "blender"},
-{0xf6b6, false, "blender phone|appliance|fantasy|silly"},
+{0xf647, false, "bible|book|catholicism|christianity|god|holy"},
+{0xf206, false, "bicycle|bike|gears|pedal|transportation|vehicle"},
+{0xf84a, false, "biking|bicycle|bike|cycle|cycling|ride|wheel"},
+{0xf1e5, false, "binoculars|glasses|magnify|scenic|spyglass|view"},
+{0xf780, false, "biohazard|covid-19|danger|dangerous|hazmat|medical|radioactive|toxic|waste|zombie"},
+{0xf1fd, false, "birthday cake|anniversary|bakery|candles|celebration|dessert|frosting|holiday|party|pastry"},
+{0xf517, false, "blender|cocktail|milkshake|mixer|puree|smoothie"},
+{0xf6b6, false, "blender phone|appliance|cocktail|communication|fantasy|milkshake|mixer|puree|silly|smoothie"},
 {0xf29d, false, "blind|cane|disability|person|sight"},
 {0xf781, false, "blog|journal|log|online|personal|post|web 2.0|wordpress|writing"},
-{0xf032, false, "bold"},
+{0xf032, false, "bold|emphasis|format|text"},
 {0xf0e7, false, "lightning bolt|electricity|lightning|weather|zap"},
-{0xf1e2, false, "bomb"},
-{0xf5d7, false, "bone"},
+{0xf1e2, false, "bomb|error|explode|fuse|grenade|warning"},
+{0xf5d7, false, "bone|calcium|dog|skeletal|skeleton|tibia"},
 {0xf55c, false, "bong|aparatus|cannabis|marijuana|pipe|smoke|smoking"},
-{0xf02d, false, "book|documentation|read"},
-{0xf6b7, false, "book of the dead|Dungeons & Dragons|crossbones|d&d|dark arts|death|dnd|documentation|evil|fantasy|halloween|holiday|read|skull|spell"},
-{0xf518, false, "book open|flyer|notebook|open book|pamphlet|reading"},
-{0xf5da, false, "book reader|library"},
-{0xf02e, false, "bookmark|save"},
-{0xf436, false, "bowling ball"},
-{0xf466, false, "box|package"},
-{0xf49e, false, "box open"},
-{0xf468, false, "boxes"},
-{0xf2a1, false, "braille"},
+{0xf02d, false, "book|diary|documentation|journal|library|read"},
+{0xf6b7, false, "book of the dead|Dungeons & Dragons|crossbones|d&d|dark arts|death|dnd|documentation|evil|fantasy|halloween|holiday|necronomicon|read|skull|spell"},
+{0xf7e6, false, "medical book|diary|documentation|health|history|journal|library|read|record"},
+{0xf518, false, "book open|flyer|library|notebook|open book|pamphlet|reading"},
+{0xf5da, false, "book reader|flyer|library|notebook|open book|pamphlet|reading"},
+{0xf02e, false, "bookmark|favorite|marker|read|remember|save"},
+{0xf84c, false, "border all|cell|grid|outline|stroke|table"},
+{0xf850, false, "border none|cell|grid|outline|stroke|table"},
+{0xf853, false, "border style"},
+{0xf436, false, "bowling ball|alley|candlepin|gutter|lane|strike|tenpin"},
+{0xf466, false, "box|archive|container|package|storage"},
+{0xf49e, false, "box open|archive|container|package|storage|unpack"},
+{0xf95b, false, "tissue box|cough|covid-19|kleenex|mucus|nose|sneeze|snot"},
+{0xf468, false, "boxes|archives|inventory|storage|warehouse"},
+{0xf2a1, false, "braille|alphabet|blind|dots|raised|vision"},
 {0xf5dc, false, "brain|cerebellum|gray matter|intellect|medulla oblongata|mind|noodle|wit"},
+{0xf7ec, false, "bread slice|bake|bakery|baking|dough|flour|gluten|grain|sandwich|sourdough|toast|wheat|yeast"},
 {0xf0b1, false, "briefcase|bag|business|luggage|office|work"},
-{0xf469, false, "medical briefcase|health briefcase"},
-{0xf519, false, "broadcast tower|airwaves|radio|waves"},
-{0xf51a, false, "broom|clean|firebolt|fly|halloween|holiday|nimbus 2000|quidditch|sweep|witch"},
-{0xf55d, false, "brush|bristles|color|handle|painting"},
-{0xf188, false, "bug|insect|report"},
-{0xf1ad, false, "building|apartment|business|company|office|work"},
+{0xf469, false, "medical briefcase|doctor|emt|first aid|health"},
+{0xf519, false, "broadcast tower|airwaves|antenna|radio|reception|waves"},
+{0xf51a, false, "broom|clean|firebolt|fly|halloween|nimbus 2000|quidditch|sweep|witch"},
+{0xf55d, false, "brush|art|bristles|color|handle|paint"},
+{0xf188, false, "bug|beetle|error|insect|report"},
+{0xf1ad, false, "building|apartment|business|city|company|office|work"},
 {0xf0a1, false, "bullhorn|announcement|broadcast|louder|megaphone|share"},
-{0xf140, false, "bullseye|target"},
-{0xf46a, false, "burn|energy"},
-{0xf207, false, "bus|machine|public transportation|transportation|vehicle"},
-{0xf55e, false, "bus alt|machine|public transportation|transportation|vehicle"},
-{0xf64a, false, "business time|briefcase|business socks|clock|flight of the conchords|wednesday"},
-{0xf1ec, false, "calculator"},
+{0xf140, false, "bullseye|archery|goal|objective|target"},
+{0xf46a, false, "burn|caliente|energy|fire|flame|gas|heat|hot"},
+{0xf207, false, "bus|public transportation|transportation|travel|vehicle"},
+{0xf55e, false, "bus alt|mta|public transportation|transportation|travel|vehicle"},
+{0xf64a, false, "business time|alarm|briefcase|business socks|clock|flight of the conchords|reminder|wednesday"},
+{0xf1ec, false, "calculator|abacus|addition|arithmetic|counting|math|multiplication|subtraction"},
 {0xf133, false, "calendar|calendar-o|date|event|schedule|time|when"},
 {0xf073, false, "alternate calendar|calendar|date|event|schedule|time|when"},
-{0xf274, false, "calendar check|accept|agree|appointment|confirm|correct|date|done|event|ok|schedule|select|success|time|todo|when"},
+{0xf274, false, "calendar check|accept|agree|appointment|confirm|correct|date|done|event|ok|schedule|select|success|tick|time|todo|when"},
 {0xf783, false, "calendar with day focus|date|detail|event|focus|schedule|single day|time|today|when"},
-{0xf272, false, "calendar minus|delete|negative|remove"},
-{0xf271, false, "calendar plus|add|create|new|positive"},
-{0xf273, false, "calendar times|archive|delete|remove|x"},
+{0xf272, false, "calendar minus|calendar|date|delete|event|negative|remove|schedule|time|when"},
+{0xf271, false, "calendar plus|add|calendar|create|date|event|new|positive|schedule|time|when"},
+{0xf273, false, "calendar times|archive|calendar|date|delete|event|remove|schedule|time|when|x"},
 {0xf784, false, "calendar with week focus|date|detail|event|focus|schedule|single week|time|today|when"},
-{0xf030, false, "camera|photo|picture|record"},
-{0xf083, false, "retro camera|photo|picture|record"},
-{0xf6bb, false, "campground|camping|fall|outdoors|seasonal|tent"},
-{0xf786, false, "candy cane|candy|christmas|food|holiday|mint|peppermint|striped|xmas"},
+{0xf030, false, "camera|image|lens|photo|picture|record|shutter|video"},
+{0xf083, false, "retro camera|image|lens|photo|picture|record|shutter|video"},
+{0xf6bb, false, "campground|camping|fall|outdoors|teepee|tent|tipi"},
+{0xf786, false, "candy cane|candy|christmas|holiday|mint|peppermint|striped|xmas"},
 {0xf55f, false, "cannabis|bud|chronic|drugs|endica|endo|ganja|marijuana|mary jane|pot|reefer|sativa|spliff|weed|whacky-tabacky"},
-{0xf46b, false, "capsules|drugs|medicine"},
-{0xf1b9, false, "car|machine|transportation|vehicle"},
-{0xf5de, false, "alternate car"},
-{0xf5df, false, "car battery"},
-{0xf5e1, false, "car crash"},
-{0xf5e4, false, "car side"},
-{0xf0d7, false, "caret down|arrow|dropdown|menu|more|triangle down"},
-{0xf0d9, false, "caret left|arrow|back|previous|triangle left"},
-{0xf0da, false, "caret right|arrow|forward|next|triangle right"},
-{0xf150, false, "caret square down|caret-square-o-down|dropdown|menu|more"},
-{0xf191, false, "caret square left|back|caret-square-o-left|previous"},
-{0xf152, false, "caret square right|caret-square-o-right|forward|next"},
-{0xf151, false, "caret square up|caret-square-o-up"},
-{0xf0d8, false, "caret up|arrow|triangle up"},
-{0xf787, false, "carrot|bugs bunny|food|holiday|orange|vegetable"},
-{0xf218, false, "shopping cart arrow down|shopping"},
+{0xf46b, false, "capsules|drugs|medicine|pills|prescription"},
+{0xf1b9, false, "car|auto|automobile|sedan|transportation|travel|vehicle"},
+{0xf5de, false, "alternate car|auto|automobile|sedan|transportation|travel|vehicle"},
+{0xf5df, false, "car battery|auto|electric|mechanic|power"},
+{0xf5e1, false, "car crash|accident|auto|automobile|insurance|sedan|transportation|vehicle|wreck"},
+{0xf5e4, false, "car side|auto|automobile|sedan|transportation|travel|vehicle"},
+{0xf8ff, false, "caravan|camper|motor home|rv|trailer|travel"},
+{0xf0d7, false, "caret down|arrow|dropdown|expand|menu|more|triangle"},
+{0xf0d9, false, "caret left|arrow|back|previous|triangle"},
+{0xf0da, false, "caret right|arrow|forward|next|triangle"},
+{0xf150, false, "caret square down|arrow|caret-square-o-down|dropdown|expand|menu|more|triangle"},
+{0xf191, false, "caret square left|arrow|back|caret-square-o-left|previous|triangle"},
+{0xf152, false, "caret square right|arrow|caret-square-o-right|forward|next|triangle"},
+{0xf151, false, "caret square up|arrow|caret-square-o-up|collapse|triangle|upload"},
+{0xf0d8, false, "caret up|arrow|collapse|triangle"},
+{0xf787, false, "carrot|bugs bunny|orange|vegan|vegetable"},
+{0xf218, false, "shopping cart arrow down|download|save|shopping"},
 {0xf217, false, "add to shopping cart|add|create|new|positive|shopping"},
 {0xf788, false, "cash register|buy|cha-ching|change|checkout|commerce|leaerboard|machine|pay|payment|purchase|store"},
 {0xf6be, false, "cat|feline|halloween|holiday|kitten|kitty|meow|pet"},
-{0xf0a3, false, "certificate|badge|star"},
-{0xf6c0, false, "chair|furniture|seat"},
+{0xf0a3, false, "certificate|badge|star|verified"},
+{0xf6c0, false, "chair|furniture|seat|sit"},
 {0xf51b, false, "chalkboard|blackboard|learning|school|teaching|whiteboard|writing"},
 {0xf51c, false, "chalkboard teacher|blackboard|instructor|learning|professor|school|whiteboard|writing"},
-{0xf5e7, false, "charging station"},
-{0xf1fe, false, "area chart|analytics|area-chart|graph"},
-{0xf080, false, "bar chart|analytics|bar-chart|graph"},
-{0xf201, false, "line chart|activity|analytics|dashboard|gain|graph|increase|line-chart"},
-{0xf200, false, "pie chart|analytics|graph|pie-chart"},
+{0xf5e7, false, "charging station|electric|ev|tesla|vehicle"},
+{0xf1fe, false, "area chart|analytics|area|chart|graph"},
+{0xf080, false, "bar chart|analytics|bar|chart|graph"},
+{0xf201, false, "line chart|activity|analytics|chart|dashboard|gain|graph|increase|line"},
+{0xf200, false, "pie chart|analytics|chart|diagram|graph|pie"},
 {0xf00c, false, "check|accept|agree|checkmark|confirm|correct|done|notice|notification|notify|ok|select|success|tick|todo|yes"},
-{0xf058, false, "check circle|accept|agree|confirm|correct|done|ok|select|success|todo|yes"},
-{0xf560, false, "check double|accept|agree|checkmark|confirm|correct|done|notice|notification|notify|ok|select|success|tick|todo"},
-{0xf14a, false, "check square|accept|agree|checkmark|confirm|correct|done|ok|select|success|todo|yes"},
-{0xf439, false, "chess"},
-{0xf43a, false, "chess bishop"},
-{0xf43c, false, "chess board"},
-{0xf43f, false, "chess king"},
-{0xf441, false, "chess knight"},
-{0xf443, false, "chess pawn"},
-{0xf445, false, "chess queen"},
-{0xf447, false, "chess rook"},
-{0xf13a, false, "chevron circle down|arrow|dropdown|menu|more"},
+{0xf058, false, "check circle|accept|agree|confirm|correct|done|ok|select|success|tick|todo|yes"},
+{0xf560, false, "double check|accept|agree|checkmark|confirm|correct|done|notice|notification|notify|ok|select|success|tick|todo"},
+{0xf14a, false, "check square|accept|agree|checkmark|confirm|correct|done|ok|select|success|tick|todo|yes"},
+{0xf7ef, false, "cheese|cheddar|curd|gouda|melt|parmesan|sandwich|swiss|wedge"},
+{0xf439, false, "chess|board|castle|checkmate|game|king|rook|strategy|tournament"},
+{0xf43a, false, "chess bishop|board|checkmate|game|strategy"},
+{0xf43c, false, "chess board|board|checkmate|game|strategy"},
+{0xf43f, false, "chess king|board|checkmate|game|strategy"},
+{0xf441, false, "chess knight|board|checkmate|game|horse|strategy"},
+{0xf443, false, "chess pawn|board|checkmate|game|strategy"},
+{0xf445, false, "chess queen|board|checkmate|game|strategy"},
+{0xf447, false, "chess rook|board|castle|checkmate|game|strategy"},
+{0xf13a, false, "chevron circle down|arrow|download|dropdown|menu|more"},
 {0xf137, false, "chevron circle left|arrow|back|previous"},
 {0xf138, false, "chevron circle right|arrow|forward|next"},
-{0xf139, false, "chevron circle up|arrow"},
-{0xf078, false, "chevron-down"},
-{0xf053, false, "chevron-left|back|bracket|previous"},
-{0xf054, false, "chevron-right|bracket|forward|next"},
-{0xf077, false, "chevron-up"},
-{0xf1ae, false, "child"},
-{0xf51d, false, "church|building|community|religion"},
-{0xf111, false, "circle|circle-thin|dot|notification"},
-{0xf1ce, false, "circle notched|circle-o-notch"},
+{0xf139, false, "chevron circle up|arrow|collapse|upload"},
+{0xf078, false, "chevron-down|arrow|download|expand"},
+{0xf053, false, "chevron-left|arrow|back|bracket|previous"},
+{0xf054, false, "chevron-right|arrow|bracket|forward|next"},
+{0xf077, false, "chevron-up|arrow|collapse|upload"},
+{0xf1ae, false, "child|boy|girl|kid|toddler|young"},
+{0xf51d, false, "church|building|cathedral|chapel|community|religion"},
+{0xf111, false, "circle|circle-thin|diameter|dot|ellipse|notification|round"},
+{0xf1ce, false, "circle notched|circle-o-notch|diameter|dot|ellipse|round|spinner"},
 {0xf64f, false, "city|buildings|busy|skyscrapers|urban|windows"},
-{0xf328, false, "clipboard|paste"},
-{0xf46c, false, "clipboard with check|accept|agree|confirm|done|ok|select|success|todo|yes"},
-{0xf46d, false, "clipboard list|checklist|completed|done|finished|intinerary|ol|schedule|todo|ul"},
-{0xf017, false, "clock|date|late|schedule|timer|timestamp|watch"},
-{0xf24d, false, "clone|copy|duplicate"},
-{0xf20a, false, "closed captioning|cc"},
-{0xf0c2, false, "cloud|save"},
-{0xf381, false, "alternate cloud download|import"},
-{0xf73b, false, "cloud with (a chance of) meatball"},
-{0xf6c3, false, "cloud with moon|crescent|evening|halloween|holiday|lunar|night|sky"},
-{0xf73c, false, "cloud with moon and rain"},
-{0xf73d, false, "cloud with rain|precipitation"},
-{0xf740, false, "cloud with heavy showers|precipitation|rain|storm"},
-{0xf6c4, false, "cloud with sun|day|daytime|fall|outdoors|seasonal"},
-{0xf743, false, "cloud with sun and rain"},
-{0xf382, false, "alternate cloud upload|cloud-upload"},
-{0xf561, false, "cocktail|alcohol|beverage|drink"},
-{0xf121, false, "code|brackets|html"},
+{0xf7f2, false, "medical clinic|covid-19|doctor|general practitioner|hospital|infirmary|medicine|office|outpatient"},
+{0xf328, false, "clipboard|copy|notes|paste|record"},
+{0xf46c, false, "clipboard with check|accept|agree|confirm|done|ok|select|success|tick|todo|yes"},
+{0xf46d, false, "clipboard list|checklist|completed|done|finished|intinerary|ol|schedule|tick|todo|ul"},
+{0xf017, false, "clock|date|late|schedule|time|timer|timestamp|watch"},
+{0xf24d, false, "clone|arrange|copy|duplicate|paste"},
+{0xf20a, false, "closed captioning|cc|deaf|hearing|subtitle|subtitling|text|video"},
+{0xf0c2, false, "cloud|atmosphere|fog|overcast|save|upload|weather"},
+{0xf381, false, "alternate cloud download|download|export|save"},
+{0xf73b, false, "cloud with (a chance of) meatball|FLDSMDFR|food|spaghetti|storm"},
+{0xf6c3, false, "cloud with moon|crescent|evening|lunar|night|partly cloudy|sky"},
+{0xf73c, false, "cloud with moon and rain|crescent|evening|lunar|night|partly cloudy|precipitation|rain|sky|storm"},
+{0xf73d, false, "cloud with rain|precipitation|rain|sky|storm"},
+{0xf740, false, "cloud with heavy showers|precipitation|rain|sky|storm"},
+{0xf6c4, false, "cloud with sun|clear|day|daytime|fall|outdoors|overcast|partly cloudy"},
+{0xf743, false, "cloud with sun and rain|day|overcast|precipitation|storm|summer|sunshower"},
+{0xf382, false, "alternate cloud upload|cloud-upload|import|save|upload"},
+{0xf561, false, "cocktail|alcohol|beverage|drink|gin|glass|margarita|martini|vodka"},
+{0xf121, false, "code|brackets|code|development|html"},
 {0xf126, false, "code branch|branch|code-fork|fork|git|github|rebase|svn|vcs|version"},
 {0xf0f4, false, "coffee|beverage|breakfast|cafe|drink|fall|morning|mug|seasonal|tea"},
-{0xf013, false, "cog|settings"},
-{0xf085, false, "cogs|gears|settings"},
-{0xf51e, false, "coins"},
-{0xf0db, false, "columns|dashboard|panes|split"},
-{0xf075, false, "comment|bubble|chat|conversation|feedback|message|note|notification|sms|speech|texting"},
+{0xf013, false, "cog|gear|mechanical|settings|sprocket|wheel"},
+{0xf085, false, "cogs|gears|mechanical|settings|sprocket|wheel"},
+{0xf51e, false, "coins|currency|dime|financial|gold|money|penny"},
+{0xf0db, false, "columns|browser|dashboard|organize|panes|split"},
+{0xf075, false, "comment|bubble|chat|commenting|conversation|feedback|message|note|notification|sms|speech|texting"},
 {0xf27a, false, "alternate comment|bubble|chat|commenting|conversation|feedback|message|note|notification|sms|speech|texting"},
-{0xf651, false, "comment dollar"},
-{0xf4ad, false, "comment dots"},
-{0xf4b3, false, "comment slash"},
-{0xf086, false, "comments|bubble|chat|conversation|feedback|message|note|notification|sms|speech|texting"},
-{0xf653, false, "comments dollar"},
-{0xf51f, false, "compact disc|bluray|cd|disc|media"},
-{0xf14e, false, "compass|directory|location|menu|safari"},
-{0xf066, false, "compress|collapse|combine|contract|merge|smaller"},
-{0xf78c, false, "alternate compress arrows|arrows-alt|collapse|fullscreen|minimize|move|resize|shrink|smaller"},
-{0xf562, false, "concierge bell|attention|hotel|service|support"},
-{0xf563, false, "cookie|baked good|chips|food|snack|sweet|treat"},
-{0xf564, false, "cookie bite|baked good|bitten|chips|eating|food|snack|sweet|treat"},
-{0xf0c5, false, "copy|clone|duplicate|file|files-o"},
-{0xf1f9, false, "copyright"},
-{0xf4b8, false, "couch|furniture|sofa"},
+{0xf651, false, "comment dollar|bubble|chat|commenting|conversation|feedback|message|money|note|notification|pay|sms|speech|spend|texting|transfer"},
+{0xf4ad, false, "comment dots|bubble|chat|commenting|conversation|feedback|message|more|note|notification|reply|sms|speech|texting"},
+{0xf7f5, false, "alternate medical chat|advice|bubble|chat|commenting|conversation|diagnose|feedback|message|note|notification|prescription|sms|speech|texting"},
+{0xf4b3, false, "comment slash|bubble|cancel|chat|commenting|conversation|feedback|message|mute|note|notification|quiet|sms|speech|texting"},
+{0xf086, false, "comments|bubble|chat|commenting|conversation|feedback|message|note|notification|sms|speech|texting"},
+{0xf653, false, "comments dollar|bubble|chat|commenting|conversation|feedback|message|money|note|notification|pay|sms|speech|spend|texting|transfer"},
+{0xf51f, false, "compact disc|album|bluray|cd|disc|dvd|media|movie|music|record|video|vinyl"},
+{0xf14e, false, "compass|directions|directory|location|menu|navigation|safari|travel"},
+{0xf066, false, "compress|collapse|fullscreen|minimize|move|resize|shrink|smaller"},
+{0xf422, false, "alternate compress|collapse|fullscreen|minimize|move|resize|shrink|smaller"},
+{0xf78c, false, "alternate compress arrows|collapse|fullscreen|minimize|move|resize|shrink|smaller"},
+{0xf562, false, "concierge bell|attention|hotel|receptionist|service|support"},
+{0xf563, false, "cookie|baked good|chips|chocolate|eat|snack|sweet|treat"},
+{0xf564, false, "cookie bite|baked good|bitten|chips|chocolate|eat|snack|sweet|treat"},
+{0xf0c5, false, "copy|clone|duplicate|file|files-o|paper|paste"},
+{0xf1f9, false, "copyright|brand|mark|register|trademark"},
+{0xf4b8, false, "couch|chair|cushion|furniture|relax|sofa"},
 {0xf09d, false, "credit card|buy|checkout|credit-card-alt|debit|money|payment|purchase"},
-{0xf125, false, "crop|design"},
-{0xf565, false, "alternate crop"},
-{0xf654, false, "cross|catholicism|christianity"},
-{0xf05b, false, "crosshairs|gpd|picker|position"},
+{0xf125, false, "crop|design|frame|mask|resize|shrink"},
+{0xf565, false, "alternate crop|design|frame|mask|resize|shrink"},
+{0xf654, false, "cross|catholicism|christianity|church|jesus"},
+{0xf05b, false, "crosshairs|aim|bullseye|gpd|picker|position"},
 {0xf520, false, "crow|bird|bullfrog|fauna|halloween|holiday|toad"},
-{0xf521, false, "crown"},
-{0xf1b2, false, "cube|package"},
-{0xf1b3, false, "cubes|packages"},
-{0xf0c4, false, "cut|scissors"},
-{0xf1c0, false, "database"},
-{0xf2a4, false, "deaf"},
+{0xf521, false, "crown|award|favorite|king|queen|royal|tiara"},
+{0xf7f7, false, "crutch|cane|injury|mobility|wheelchair"},
+{0xf1b2, false, "cube|3d|block|dice|package|square|tesseract"},
+{0xf1b3, false, "cubes|3d|block|dice|package|pyramid|square|stack|tesseract"},
+{0xf0c4, false, "cut|clip|scissors|snip"},
+{0xf1c0, false, "database|computer|development|directory|memory|storage"},
+{0xf2a4, false, "deaf|ear|hearing|sign language"},
 {0xf747, false, "democrat|american|democratic party|donkey|election|left|left-wing|liberal|politics|usa"},
-{0xf108, false, "desktop|computer|cpu|demo|desktop|device|machine|monitor|pc|screen"},
+{0xf108, false, "desktop|computer|cpu|demo|desktop|device|imac|machine|monitor|pc|screen"},
 {0xf655, false, "dharmachakra|buddhism|buddhist|wheel of dharma"},
-{0xf470, false, "diagnoses"},
+{0xf470, false, "diagnoses|analyze|detect|diagnosis|examine|medicine"},
 {0xf522, false, "dice|chance|gambling|game|roll"},
 {0xf6cf, false, "dice d20|Dungeons & Dragons|chance|d&d|dnd|fantasy|gambling|game|roll"},
 {0xf6d1, false, "dice d6|Dungeons & Dragons|chance|d&d|dnd|fantasy|gambling|game|roll"},
@@ -248,141 +265,146 @@ constexpr Icon iconList[] = {
 {0xf526, false, "dice six|chance|gambling|game|roll"},
 {0xf527, false, "dice three|chance|gambling|game|roll"},
 {0xf528, false, "dice two|chance|gambling|game|roll"},
-{0xf566, false, "digital tachograph"},
-{0xf5eb, false, "directions"},
-{0xf529, false, "divide"},
-{0xf567, false, "dizzy face|dazed|disapprove|emoticon|face"},
-{0xf471, false, "dna|double helix|helix"},
-{0xf6d3, false, "dog|canine|fauna|mammmal|pet|pooch|puppy|woof"},
-{0xf155, false, "dollar sign|$|dollar-sign|money|price|usd"},
-{0xf472, false, "dolly"},
-{0xf474, false, "dolly flatbed"},
-{0xf4b9, false, "donate|generosity|give"},
-{0xf52a, false, "door closed"},
-{0xf52b, false, "door open"},
+{0xf566, false, "digital tachograph|data|distance|speed|tachometer"},
+{0xf5eb, false, "directions|map|navigation|sign|turn"},
+{0xf7fa, false, "disease|bacteria|cancer|covid-19|illness|infection|sickness|virus"},
+{0xf529, false, "divide|arithmetic|calculus|division|math"},
+{0xf567, false, "dizzy face|dazed|dead|disapprove|emoticon|face"},
+{0xf471, false, "dna|double helix|genetic|helix|molecule|protein"},
+{0xf6d3, false, "dog|animal|canine|fauna|mammal|pet|pooch|puppy|woof"},
+{0xf155, false, "dollar sign|$|cost|dollar-sign|money|price|usd"},
+{0xf472, false, "dolly|carry|shipping|transport"},
+{0xf474, false, "dolly flatbed|carry|inventory|shipping|transport"},
+{0xf4b9, false, "donate|contribute|generosity|gift|give"},
+{0xf52a, false, "door closed|enter|exit|locked"},
+{0xf52b, false, "door open|enter|exit|welcome"},
 {0xf192, false, "dot circle|bullseye|notification|target"},
-{0xf4ba, false, "dove|bird|fauna|flying|peace"},
-{0xf019, false, "download|import"},
-{0xf568, false, "drafting compass|mechanical drawing|plot|plotting"},
-{0xf6d5, false, "dragon|Dungeons & Dragons|d&d|dnd|fantasy"},
-{0xf5ee, false, "draw polygon"},
+{0xf4ba, false, "dove|bird|fauna|flying|peace|war"},
+{0xf019, false, "download|export|hard drive|save|transfer"},
+{0xf568, false, "drafting compass|design|map|mechanical drawing|plot|plotting"},
+{0xf6d5, false, "dragon|Dungeons & Dragons|d&d|dnd|fantasy|fire|lizard|serpent"},
+{0xf5ee, false, "draw polygon|anchors|lines|object|render|shape"},
 {0xf569, false, "drum|instrument|music|percussion|snare|sound"},
 {0xf56a, false, "drum steelpan|calypso|instrument|music|percussion|reggae|snare|sound|steel|tropical"},
-{0xf6d7, false, "drumstick with bite taken out"},
+{0xf6d7, false, "drumstick with bite taken out|bone|chicken|leg|meat|poultry|turkey"},
 {0xf44b, false, "dumbbell|exercise|gym|strength|weight|weight-lifting"},
 {0xf793, false, "dumpster|alley|bin|commercial|trash|waste"},
 {0xf794, false, "dumpster fire|alley|bin|commercial|danger|dangerous|euphemism|flame|heat|hot|trash|waste"},
 {0xf6d9, false, "dungeon|Dungeons & Dragons|building|d&d|dnd|door|entrance|fantasy|gate"},
 {0xf044, false, "edit|edit|pen|pencil|update|write"},
-{0xf052, false, "eject"},
+{0xf7fb, false, "egg|breakfast|chicken|easter|shell|yolk"},
+{0xf052, false, "eject|abort|cancel|cd|discharge"},
 {0xf141, false, "horizontal ellipsis|dots|drag|kebab|list|menu|nav|navigation|ol|reorder|settings|ul"},
 {0xf142, false, "vertical ellipsis|dots|drag|kebab|list|menu|nav|navigation|ol|reorder|settings|ul"},
 {0xf0e0, false, "envelope|e-mail|email|letter|mail|message|notification|support"},
 {0xf2b6, false, "envelope open|e-mail|email|letter|mail|message|notification|support"},
-{0xf658, false, "envelope open-text"},
+{0xf658, false, "envelope open-text|e-mail|email|letter|mail|message|notification|support"},
 {0xf199, false, "envelope square|e-mail|email|letter|mail|message|notification|support"},
-{0xf52c, false, "equals"},
-{0xf12d, false, "eraser|delete|remove"},
+{0xf52c, false, "equals|arithmetic|even|match|math"},
+{0xf12d, false, "eraser|art|delete|remove|rubber"},
 {0xf796, false, "ethernet|cable|cat 5|cat 6|connection|hardware|internet|network|wired"},
-{0xf153, false, "euro sign|eur"},
+{0xf153, false, "euro sign|currency|dollar|exchange|money"},
 {0xf362, false, "alternate exchange|arrow|arrows|exchange|reciprocate|return|swap|transfer"},
 {0xf12a, false, "exclamation|alert|danger|error|important|notice|notification|notify|problem|warning"},
 {0xf06a, false, "exclamation circle|alert|danger|error|important|notice|notification|notify|problem|warning"},
 {0xf071, false, "exclamation triangle|alert|danger|error|important|notice|notification|notify|problem|warning"},
-{0xf065, false, "expand|bigger|enlarge|resize"},
+{0xf065, false, "expand|arrow|bigger|enlarge|resize"},
+{0xf424, false, "alternate expand|arrow|bigger|enlarge|resize"},
 {0xf31e, false, "alternate expand arrows|arrows-alt|bigger|enlarge|move|resize"},
-{0xf35d, false, "alternate external link|external-link|new|open"},
-{0xf360, false, "alternate external link square|external-link-square|new|open"},
-{0xf06e, false, "eye|optic|see|seen|show|sight|views|visible"},
-{0xf1fb, false, "eye dropper|eyedropper"},
+{0xf35d, false, "alternate external link|external-link|new|open|share"},
+{0xf360, false, "alternate external link square|external-link-square|new|open|share"},
+{0xf06e, false, "eye|look|optic|see|seen|show|sight|views|visible"},
+{0xf1fb, false, "eye dropper|beaker|clone|color|copy|eyedropper|pipette"},
 {0xf070, false, "eye slash|blind|hide|show|toggle|unseen|views|visible|visiblity"},
+{0xf863, false, "fan|ac|air conditioning|blade|blower|cool|hot"},
 {0xf049, false, "fast-backward|beginning|first|previous|rewind|start"},
 {0xf050, false, "fast-forward|end|last|next"},
-{0xf1ac, false, "fax"},
-{0xf52d, false, "feather|bird|light|plucked|quill"},
-{0xf56b, false, "alternate feather|bird|light|plucked|quill"},
+{0xf905, false, "faucet|covid-19|drip|house|hygiene|kitchen|sink|water"},
+{0xf1ac, false, "fax|business|communicate|copy|facsimile|send"},
+{0xf52d, false, "feather|bird|light|plucked|quill|write"},
+{0xf56b, false, "alternate feather|bird|light|plucked|quill|write"},
 {0xf182, false, "female|human|person|profile|user|woman"},
 {0xf0fb, false, "fighter-jet|airplane|fast|fly|goose|maverick|plane|quick|top gun|transportation|travel"},
 {0xf15b, false, "file|document|new|page|pdf|resume"},
 {0xf15c, false, "alternate file|document|file-text|invoice|new|page|pdf"},
 {0xf1c6, false, "archive file|.zip|bundle|compress|compression|download|zip"},
-{0xf1c7, false, "audio file"},
-{0xf1c9, false, "code file"},
+{0xf1c7, false, "audio file|document|mp3|music|page|play|sound"},
+{0xf1c9, false, "code file|css|development|document|html"},
 {0xf56c, false, "file contract|agreement|binding|document|legal|signature"},
-{0xf6dd, false, "file csv|spreadsheets"},
-{0xf56d, false, "file download"},
-{0xf1c3, false, "excel file"},
-{0xf56e, false, "file export"},
-{0xf1c5, false, "image file"},
-{0xf56f, false, "file import"},
-{0xf570, false, "file invoice|bill|document|receipt"},
-{0xf571, false, "file invoice with us dollar|$|bill|document|dollar-sign|money|receipt|usd"},
-{0xf477, false, "medical file"},
-{0xf478, false, "alternate medical file"},
-{0xf1c1, false, "pdf file"},
-{0xf1c4, false, "powerpoint file"},
-{0xf572, false, "file prescription|drugs|medical|medicine|rx"},
+{0xf6dd, false, "file csv|document|excel|numbers|spreadsheets|table"},
+{0xf56d, false, "file download|document|export|save"},
+{0xf1c3, false, "excel file|csv|document|numbers|spreadsheets|table"},
+{0xf56e, false, "file export|download|save"},
+{0xf1c5, false, "image file|document|image|jpg|photo|png"},
+{0xf56f, false, "file import|copy|document|send|upload"},
+{0xf570, false, "file invoice|account|bill|charge|document|payment|receipt"},
+{0xf571, false, "file invoice with us dollar|$|account|bill|charge|document|dollar-sign|money|payment|receipt|usd"},
+{0xf477, false, "medical file|document|health|history|prescription|record"},
+{0xf478, false, "alternate medical file|document|health|history|prescription|record"},
+{0xf1c1, false, "pdf file|acrobat|document|preview|save"},
+{0xf1c4, false, "powerpoint file|display|document|keynote|presentation"},
+{0xf572, false, "file prescription|document|drugs|medical|medicine|rx"},
 {0xf573, false, "file signature|John Hancock|contract|document|name"},
-{0xf574, false, "file upload"},
-{0xf1c8, false, "video file"},
-{0xf1c2, false, "word file"},
+{0xf574, false, "file upload|document|import|page|save"},
+{0xf1c8, false, "video file|document|m4v|movie|mp4|play"},
+{0xf1c2, false, "word file|document|edit|page|text|writing"},
 {0xf575, false, "fill|bucket|color|paint|paint bucket"},
 {0xf576, false, "fill drip|bucket|color|drop|paint|paint bucket|spill"},
-{0xf008, false, "film|movie"},
-{0xf0b0, false, "filter|funnel|options"},
+{0xf008, false, "film|cinema|movie|strip|video"},
+{0xf0b0, false, "filter|funnel|options|separate|sort"},
 {0xf577, false, "fingerprint|human|id|identification|lock|smudge|touch|unique|unlock"},
-{0xf06d, false, "fire|caliente|flame|heat|hot|popular"},
-{0xf7e4, false, "alternate fire|caliente|flame|heat|hot|popular"},
-{0xf134, false, "fire-extinguisher"},
-{0xf479, false, "first aid"},
-{0xf578, false, "fish|fauna|gold|swimming"},
+{0xf06d, false, "fire|burn|caliente|flame|heat|hot|popular"},
+{0xf7e4, false, "alternate fire|burn|caliente|flame|heat|hot|popular"},
+{0xf134, false, "fire-extinguisher|burn|caliente|fire fighter|flame|heat|hot|rescue"},
+{0xf479, false, "first aid|emergency|emt|health|medical|rescue"},
+{0xf578, false, "fish|fauna|gold|seafood|swimming"},
 {0xf6de, false, "raised fist|Dungeons & Dragons|d&d|dnd|fantasy|hand|ki|monk|resist|strength|unarmed combat"},
 {0xf024, false, "flag|country|notice|notification|notify|pole|report|symbol"},
 {0xf11e, false, "flag-checkered|notice|notification|notify|pole|racing|report|symbol"},
 {0xf74d, false, "united states of america flag|betsy ross|country|old glory|stars|stripes|symbol"},
 {0xf0c3, false, "flask|beaker|experimental|labs|science"},
 {0xf579, false, "flushed face|embarrassed|emoticon|face"},
-{0xf07b, false, "folder"},
-{0xf65d, false, "folder minus|archive|delete|negative|remove"},
-{0xf07c, false, "folder open"},
-{0xf65e, false, "folder plus|add|create|new|positive"},
-{0xf031, false, "font|text"},
+{0xf07b, false, "folder|archive|directory|document|file"},
+{0xf65d, false, "folder minus|archive|delete|directory|document|file|negative|remove"},
+{0xf07c, false, "folder open|archive|directory|document|empty|file|new"},
+{0xf65e, false, "folder plus|add|archive|create|directory|document|file|new|positive"},
+{0xf031, false, "font|alphabet|glyph|text|type|typeface"},
 {0xf4e6, false, "font awesome full logo"},
-{0xf44e, false, "football ball|fall|pigskin|seasonal"},
-{0xf04e, false, "forward|forward|next"},
+{0xf44e, false, "football ball|ball|fall|nfl|pigskin|seasonal"},
+{0xf04e, false, "forward|forward|next|skip"},
 {0xf52e, false, "frog|amphibian|bullfrog|fauna|hop|kermit|kiss|prince|ribbit|toad|wart"},
 {0xf119, false, "frowning face|disapprove|emoticon|face|rating|sad"},
 {0xf57a, false, "frowning face with open mouth|disapprove|emoticon|face|rating|sad"},
-{0xf662, false, "funnel dollar"},
-{0xf1e3, false, "futbol|ball|football|soccer"},
-{0xf11b, false, "gamepad|controller"},
-{0xf52f, false, "gas pump"},
-{0xf0e3, false, "gavel|hammer|judge|lawyer|opinion"},
-{0xf3a5, false, "gem|diamond"},
-{0xf22d, false, "genderless"},
+{0xf662, false, "funnel dollar|filter|money|options|separate|sort"},
+{0xf1e3, false, "futbol|ball|football|mls|soccer"},
+{0xf11b, false, "gamepad|arcade|controller|d-pad|joystick|video|video game"},
+{0xf52f, false, "gas pump|car|fuel|gasoline|petrol"},
+{0xf0e3, false, "gavel|hammer|judge|law|lawyer|opinion"},
+{0xf3a5, false, "gem|diamond|jewelry|sapphire|stone|treasure"},
+{0xf22d, false, "genderless|androgynous|asexual|sexless"},
 {0xf6e2, false, "ghost|apparition|blinky|clyde|floating|halloween|holiday|inky|pinky|spirit"},
 {0xf06b, false, "gift|christmas|generosity|giving|holiday|party|present|wrapped|xmas"},
 {0xf79c, false, "gifts|christmas|generosity|giving|holiday|party|present|wrapped|xmas"},
 {0xf79f, false, "glass cheers|alcohol|bar|beverage|celebration|champagne|clink|drink|holiday|new year's eve|party|toast"},
 {0xf000, false, "martini glass|alcohol|bar|beverage|drink|liquor"},
-{0xf57b, false, "alternate glass martini"},
-{0xf7a0, false, "glass whiskey|alcohol|bar|beverage|drink|liquor|neat|seasonal"},
-{0xf530, false, "glasses|foureyes|hipster|nerd|reading|sight|spectacles"},
+{0xf57b, false, "alternate glass martini|alcohol|bar|beverage|drink|liquor"},
+{0xf7a0, false, "glass whiskey|alcohol|bar|beverage|bourbon|drink|liquor|neat|rye|scotch|whisky"},
+{0xf530, false, "glasses|hipster|nerd|reading|sight|spectacles|vision"},
 {0xf0ac, false, "globe|all|coordinates|country|earth|global|gps|language|localize|location|map|online|place|planet|translate|travel|world"},
 {0xf57c, false, "globe with africa shown|all|country|earth|global|gps|language|localize|location|map|online|place|planet|translate|travel|world"},
 {0xf57d, false, "globe with americas shown|all|country|earth|global|gps|language|localize|location|map|online|place|planet|translate|travel|world"},
 {0xf57e, false, "globe with asia shown|all|country|earth|global|gps|language|localize|location|map|online|place|planet|translate|travel|world"},
 {0xf7a2, false, "globe with europe shown|all|country|earth|global|gps|language|localize|location|map|online|place|planet|translate|travel|world"},
-{0xf450, false, "golf ball"},
+{0xf450, false, "golf ball|caddy|eagle|putt|tee"},
 {0xf664, false, "gopuram|building|entrance|hinduism|temple|tower"},
-{0xf19d, false, "graduation cap|learning|school|student"},
-{0xf531, false, "greater than"},
-{0xf532, false, "greater than equal to"},
-{0xf57f, false, "grimacing face|cringe|emoticon|face"},
+{0xf19d, false, "graduation cap|ceremony|college|graduate|learning|school|student"},
+{0xf531, false, "greater than|arithmetic|compare|math"},
+{0xf532, false, "greater than equal to|arithmetic|compare|math"},
+{0xf57f, false, "grimacing face|cringe|emoticon|face|teeth"},
 {0xf580, false, "grinning face|emoticon|face|laugh|smile"},
 {0xf581, false, "alternate grinning face|emoticon|face|laugh|smile"},
 {0xf582, false, "grinning face with smiling eyes|emoticon|face|laugh|smile"},
-{0xf583, false, "grinning face with sweat|emoticon|face|smile"},
+{0xf583, false, "grinning face with sweat|embarass|emoticon|face|smile"},
 {0xf584, false, "smiling face with heart-eyes|emoticon|face|love|smile"},
 {0xf585, false, "grinning squinting face|emoticon|face|laugh|smile"},
 {0xf586, false, "rolling on the floor laughing|emoticon|face|happy|smile"},
@@ -397,530 +419,588 @@ constexpr Icon iconList[] = {
 {0xf7a5, false, "grip lines vertical|affordance|drag|drop|grab|handle"},
 {0xf58e, false, "grip vertical|affordance|drag|drop|grab|handle"},
 {0xf7a6, false, "guitar|acoustic|instrument|music|rock|rock and roll|song|strings"},
-{0xf0fd, false, "h square|hospital|hotel"},
+{0xf0fd, false, "h square|directions|emergency|hospital|hotel|map"},
+{0xf805, false, "hamburger|bacon|beef|burger|burger king|cheeseburger|fast food|grill|ground beef|mcdonalds|sandwich"},
 {0xf6e3, false, "hammer|admin|fix|repair|settings|tool"},
 {0xf665, false, "hamsa|amulet|christianity|islam|jewish|judaism|muslim|protection"},
-{0xf4bd, false, "hand holding"},
-{0xf4be, false, "hand holding heart"},
-{0xf4c0, false, "hand holding us dollar|$|dollar sign|donation|giving|money|price"},
-{0xf258, false, "lizard (hand)"},
-{0xf256, false, "paper (hand)|stop"},
-{0xf25b, false, "peace (hand)"},
+{0xf4bd, false, "hand holding|carry|lift"},
+{0xf4be, false, "hand holding heart|carry|charity|gift|lift|package"},
+{0xf95c, false, "hand holding medical cross|care|covid-19|donate|help"},
+{0xf4c0, false, "hand holding us dollar|$|carry|dollar sign|donation|giving|lift|money|price"},
+{0xf4c1, false, "hand holding water|carry|covid-19|drought|grow|lift"},
+{0xf258, false, "lizard (hand)|game|roshambo"},
+{0xf806, false, "hand with middle finger raised|flip the bird|gesture|hate|rude"},
+{0xf256, false, "paper (hand)|game|halt|roshambo|stop"},
+{0xf25b, false, "peace (hand)|rest|truce"},
 {0xf0a7, false, "hand pointing down|finger|hand-o-down|point"},
 {0xf0a5, false, "hand pointing left|back|finger|hand-o-left|left|point|previous"},
 {0xf0a4, false, "hand pointing right|finger|forward|hand-o-right|next|point|right"},
 {0xf0a6, false, "hand pointing up|finger|hand-o-up|point"},
-{0xf25a, false, "pointer (hand)|select"},
-{0xf255, false, "rock (hand)"},
-{0xf257, false, "scissors (hand)"},
-{0xf259, false, "spock (hand)"},
-{0xf4c2, false, "hands"},
-{0xf4c4, false, "helping hands|aid|assistance|partnership|volunteering"},
-{0xf2b5, false, "handshake|greeting|partnership"},
+{0xf25a, false, "pointer (hand)|arrow|cursor|select"},
+{0xf255, false, "rock (hand)|fist|game|roshambo"},
+{0xf257, false, "scissors (hand)|cut|game|roshambo"},
+{0xf95d, false, "hand sparkles|clean|covid-19|hygiene|magic|soap|wash"},
+{0xf259, false, "spock (hand)|live long|prosper|salute|star trek|vulcan"},
+{0xf4c2, false, "hands|carry|hold|lift"},
+{0xf4c4, false, "helping hands|aid|assistance|handshake|partnership|volunteering"},
+{0xf95e, false, "hands wash|covid-19|hygiene|soap|wash"},
+{0xf2b5, false, "handshake|agreement|greeting|meeting|partnership"},
+{0xf95f, false, "handshake alternate slash|broken|covid-19|social distance"},
+{0xf960, false, "handshake slash|broken|covid-19|social distance"},
 {0xf6e6, false, "hanukiah|candle|hanukkah|jewish|judaism|light"},
-{0xf292, false, "hashtag"},
+{0xf807, false, "hard hat|construction|hardhat|helmet|safety"},
+{0xf292, false, "hashtag|Twitter|instagram|pound|social media|tag"},
+{0xf8c0, false, "cowboy hat|buckaroo|horse|jackeroo|john b.|old west|pardner|ranch|rancher|rodeo|western|wrangler"},
+{0xf8c1, false, "cowboy hat side|buckaroo|horse|jackeroo|john b.|old west|pardner|ranch|rancher|rodeo|western|wrangler"},
 {0xf6e8, false, "wizard's hat|Dungeons & Dragons|accessory|buckle|clothing|d&d|dnd|fantasy|halloween|head|holiday|mage|magic|pointy|witch"},
-{0xf666, false, "haykal|bahai|bahá'í|star"},
 {0xf0a0, false, "hdd|cpu|hard drive|harddrive|machine|save|storage"},
-{0xf1dc, false, "heading|header"},
+{0xf961, false, "head side cough|cough|covid-19|germs|lungs|respiratory|sick"},
+{0xf962, false, "head side-cough-slash|cough|covid-19|germs|lungs|respiratory|sick"},
+{0xf963, false, "head side mask|breath|covid-19|filter|respirator|virus"},
+{0xf964, false, "head side virus|cold|covid-19|flu|sick"},
+{0xf1dc, false, "heading|format|header|text|title"},
 {0xf025, false, "headphones|audio|listen|music|sound|speaker"},
 {0xf58f, false, "alternate headphones|audio|listen|music|sound|speaker"},
 {0xf590, false, "headset|audio|gamer|gaming|listen|live chat|microphone|shot caller|sound|support|telemarketer"},
-{0xf004, false, "heart|favorite|like|love|relationship"},
+{0xf004, false, "heart|favorite|like|love|relationship|valentine"},
 {0xf7a9, false, "heart broken|breakup|crushed|dislike|dumped|grief|love|lovesick|relationship|sad"},
-{0xf21e, false, "heartbeat|ekg|lifeline|vital signs"},
-{0xf533, false, "helicopter|airwolf|apache|chopper|flight|fly"},
+{0xf21e, false, "heartbeat|ekg|electrocardiogram|health|lifeline|vital signs"},
+{0xf533, false, "helicopter|airwolf|apache|chopper|flight|fly|travel"},
 {0xf591, false, "highlighter|edit|marker|sharpie|update|write"},
 {0xf6ec, false, "hiking|activity|backpack|fall|fitness|outdoors|person|seasonal|walking"},
-{0xf6ed, false, "hippo|fauna|hungry|mammmal"},
-{0xf1da, false, "history"},
-{0xf453, false, "hockey puck"},
+{0xf6ed, false, "hippo|animal|fauna|hippopotamus|hungry|mammal"},
+{0xf1da, false, "history|Rewind|clock|reverse|time|time machine"},
+{0xf453, false, "hockey puck|ice|nhl|sport"},
 {0xf7aa, false, "holly berry|catwoman|christmas|decoration|flora|halle|holiday|ororo munroe|plant|storm|xmas"},
-{0xf015, false, "home|building|house|main"},
-{0xf6f0, false, "horse|equus|fauna|mammmal|neigh"},
-{0xf7ab, false, "horse head|equus|fauna|mammmal|neigh"},
-{0xf0f8, false, "hospital|building|emergency room|medical center"},
-{0xf47d, false, "alternate hospital|building|emergency room|medical center"},
-{0xf47e, false, "hospital symbol"},
-{0xf593, false, "hot tub"},
-{0xf594, false, "hotel|building|lodging"},
-{0xf254, false, "hourglass"},
-{0xf253, false, "hourglass end"},
-{0xf252, false, "hourglass half"},
-{0xf251, false, "hourglass start"},
-{0xf6f1, false, "damaged house|building|devastation|home"},
-{0xf6f2, false, "hryvnia|money"},
-{0xf246, false, "i beam cursor"},
+{0xf015, false, "home|abode|building|house|main"},
+{0xf6f0, false, "horse|equus|fauna|mammmal|mare|neigh|pony"},
+{0xf7ab, false, "horse head|equus|fauna|mammmal|mare|neigh|pony"},
+{0xf0f8, false, "hospital|building|covid-19|emergency room|medical center"},
+{0xf47d, false, "alternate hospital|building|covid-19|emergency room|medical center"},
+{0xf47e, false, "hospital symbol|clinic|covid-19|emergency|map"},
+{0xf80d, false, "hospital with user|covid-19|doctor|network|patient|primary care"},
+{0xf593, false, "hot tub|bath|jacuzzi|massage|sauna|spa"},
+{0xf80f, false, "hot dog|bun|chili|frankfurt|frankfurter|kosher|polish|sandwich|sausage|vienna|weiner"},
+{0xf594, false, "hotel|building|inn|lodging|motel|resort|travel"},
+{0xf254, false, "hourglass|hour|minute|sand|stopwatch|time"},
+{0xf253, false, "hourglass end|hour|minute|sand|stopwatch|time"},
+{0xf252, false, "hourglass half|hour|minute|sand|stopwatch|time"},
+{0xf251, false, "hourglass start|hour|minute|sand|stopwatch|time"},
+{0xf6f1, false, "damaged house|building|devastation|disaster|home|insurance"},
+{0xf965, false, "house user|covid-19|home|isolation|quarantine"},
+{0xf6f2, false, "hryvnia|currency|money|ukraine|ukrainian"},
+{0xf246, false, "i beam cursor|editing|i-beam|type|writing"},
+{0xf810, false, "ice cream|chocolate|cone|dessert|frozen|scoop|sorbet|vanilla|yogurt"},
 {0xf7ad, false, "icicles|cold|frozen|hanging|ice|seasonal|sharp"},
-{0xf2c1, false, "identification badge"},
-{0xf2c2, false, "identification card|document|identification|issued"},
-{0xf47f, false, "alternate identification card|demographics"},
-{0xf7ae, false, "igloo|dome|dwelling|eskimo|home|house|ice|seasonal"},
-{0xf03e, false, "image|album|photo|picture"},
-{0xf302, false, "images|album|photo|picture"},
-{0xf01c, false, "inbox"},
-{0xf03c, false, "indent"},
-{0xf275, false, "industry|building|factory|manufacturing"},
-{0xf534, false, "infinity"},
-{0xf129, false, "info|details|help|information|more"},
-{0xf05a, false, "info circle|details|help|information|more"},
-{0xf033, false, "italic|italics"},
-{0xf669, false, "jedi|star wars"},
+{0xf86d, false, "icons|bolt|emoji|heart|image|music|photo|symbols"},
+{0xf2c1, false, "identification badge|address|contact|identification|license|profile"},
+{0xf2c2, false, "identification card|contact|demographics|document|identification|issued|profile"},
+{0xf47f, false, "alternate identification card|contact|demographics|document|identification|issued|profile"},
+{0xf7ae, false, "igloo|dome|dwelling|eskimo|home|house|ice|snow"},
+{0xf03e, false, "image|album|landscape|photo|picture"},
+{0xf302, false, "images|album|landscape|photo|picture"},
+{0xf01c, false, "inbox|archive|desk|email|mail|message"},
+{0xf03c, false, "indent|align|justify|paragraph|tab"},
+{0xf275, false, "industry|building|factory|industrial|manufacturing|mill|warehouse"},
+{0xf534, false, "infinity|eternity|forever|math"},
+{0xf129, false, "info|details|help|information|more|support"},
+{0xf05a, false, "info circle|details|help|information|more|support"},
+{0xf033, false, "italic|edit|emphasis|font|format|text|type"},
+{0xf669, false, "jedi|crest|force|sith|skywalker|star wars|yoda"},
 {0xf595, false, "joint|blunt|cannabis|doobie|drugs|marijuana|roach|smoke|smoking|spliff"},
-{0xf66a, false, "journal of the whills|book|jedi|star wars|the force"},
+{0xf66a, false, "journal of the whills|book|force|jedi|sith|star wars|yoda"},
 {0xf66b, false, "kaaba|building|cube|islam|muslim"},
-{0xf084, false, "key|password|unlock"},
-{0xf11c, false, "keyboard|input|type"},
+{0xf084, false, "key|lock|password|private|secret|unlock"},
+{0xf11c, false, "keyboard|accessory|edit|input|text|type|write"},
 {0xf66d, false, "khanda|chakkar|sikh|sikhism|sword"},
 {0xf596, false, "kissing face|beso|emoticon|face|love|smooch"},
 {0xf597, false, "kissing face with smiling eyes|beso|emoticon|face|love|smooch"},
 {0xf598, false, "face blowing a kiss|beso|emoticon|face|love|smooch"},
-{0xf535, false, "kiwi bird|bird|fauna"},
-{0xf66f, false, "landmark|building|historic|memoroable|politics"},
+{0xf535, false, "kiwi bird|bird|fauna|new zealand"},
+{0xf66f, false, "landmark|building|historic|memorable|monument|politics"},
 {0xf1ab, false, "language|dialect|idiom|localize|speech|translate|vernacular"},
-{0xf109, false, "laptop|computer|cpu|dell|demo|device|dude you're getting|mac|macbook|machine|pc"},
-{0xf5fc, false, "laptop code"},
-{0xf599, false, "grinning face with big eyes|LOL|emoticon|face|laugh"},
-{0xf59a, false, "laugh face with beaming eyes|LOL|emoticon|face"},
-{0xf59b, false, "laughing squinting face|LOL|emoticon|face"},
-{0xf59c, false, "laughing winking face|LOL|emoticon|face"},
-{0xf5fd, false, "layer group|layers"},
-{0xf06c, false, "leaf|eco|flora|nature|plant"},
-{0xf094, false, "lemon|food"},
-{0xf536, false, "less than"},
-{0xf537, false, "less than equal to"},
-{0xf3be, false, "alternate level down|level-down"},
-{0xf3bf, false, "alternate level up|level-up"},
-{0xf1cd, false, "life ring|support"},
-{0xf0eb, false, "lightbulb|idea|inspiration"},
-{0xf0c1, false, "link|chain"},
-{0xf195, false, "turkish lira sign|try|turkish"},
+{0xf109, false, "laptop|computer|cpu|dell|demo|device|mac|macbook|machine|pc"},
+{0xf5fc, false, "laptop code|computer|cpu|dell|demo|develop|device|mac|macbook|machine|pc"},
+{0xf966, false, "laptop house|computer|covid-19|device|office|remote|work from home"},
+{0xf812, false, "laptop medical|computer|device|ehr|electronic health records|history"},
+{0xf599, false, "grinning face with big eyes|LOL|emoticon|face|laugh|smile"},
+{0xf59a, false, "laugh face with beaming eyes|LOL|emoticon|face|happy|smile"},
+{0xf59b, false, "laughing squinting face|LOL|emoticon|face|happy|smile"},
+{0xf59c, false, "laughing winking face|LOL|emoticon|face|happy|smile"},
+{0xf5fd, false, "layer group|arrange|develop|layers|map|stack"},
+{0xf06c, false, "leaf|eco|flora|nature|plant|vegan"},
+{0xf094, false, "lemon|citrus|lemonade|lime|tart"},
+{0xf536, false, "less than|arithmetic|compare|math"},
+{0xf537, false, "less than equal to|arithmetic|compare|math"},
+{0xf3be, false, "alternate level down|arrow|level-down"},
+{0xf3bf, false, "alternate level up|arrow|level-up"},
+{0xf1cd, false, "life ring|coast guard|help|overboard|save|support"},
+{0xf0eb, false, "lightbulb|energy|idea|inspiration|light"},
+{0xf0c1, false, "link|attach|attachment|chain|connect"},
+{0xf195, false, "turkish lira sign|currency|money|try|turkish"},
 {0xf03a, false, "list|checklist|completed|done|finished|ol|todo|ul"},
 {0xf022, false, "alternate list|checklist|completed|done|finished|ol|todo|ul"},
-{0xf0cb, false, "list-ol|checklist|list|numbers|ol|todo|ul"},
-{0xf0ca, false, "list-ul|checklist|list|ol|todo|ul"},
-{0xf124, false, "location-arrow|address|coordinates|gps|location|map|place|where"},
-{0xf023, false, "lock|admin|protect|security"},
-{0xf3c1, false, "lock open|admin|lock|open|password|protect"},
-{0xf309, false, "alternate long arrow down|long-arrow-down"},
+{0xf0cb, false, "list-ol|checklist|completed|done|finished|numbers|ol|todo|ul"},
+{0xf0ca, false, "list-ul|checklist|completed|done|finished|ol|todo|ul"},
+{0xf124, false, "location-arrow|address|compass|coordinate|direction|gps|map|navigation|place"},
+{0xf023, false, "lock|admin|lock|open|password|private|protect|security"},
+{0xf3c1, false, "lock open|admin|lock|open|password|private|protect|security"},
+{0xf309, false, "alternate long arrow down|download|long-arrow-down"},
 {0xf30a, false, "alternate long arrow left|back|long-arrow-left|previous"},
-{0xf30b, false, "alternate long arrow right|long-arrow-right"},
-{0xf30c, false, "alternate long arrow up|long-arrow-up"},
-{0xf2a8, false, "low vision"},
-{0xf59d, false, "luggage cart"},
-{0xf0d0, false, "magic|autocomplete|automatic|mage|magic|spell|witch|wizard"},
-{0xf076, false, "magnet"},
-{0xf674, false, "mail bulk"},
+{0xf30b, false, "alternate long arrow right|forward|long-arrow-right|next"},
+{0xf30c, false, "alternate long arrow up|long-arrow-up|upload"},
+{0xf2a8, false, "low vision|blind|eye|sight"},
+{0xf59d, false, "luggage cart|bag|baggage|suitcase|travel"},
+{0xf604, false, "lungs|air|breath|covid-19|organ|respiratory"},
+{0xf967, false, "lungs virus|breath|covid-19|respiratory|sick"},
+{0xf0d0, false, "magic|autocomplete|automatic|mage|magic|spell|wand|witch|wizard"},
+{0xf076, false, "magnet|Attract|lodestone|tool"},
+{0xf674, false, "mail bulk|archive|envelope|letter|post office|postal|postcard|send|stamp|usps"},
 {0xf183, false, "male|human|man|person|profile|user"},
-{0xf279, false, "map|coordinates|location|paper|place|travel"},
-{0xf59f, false, "map marked|address|coordinates|destination|gps|localize|location|map|paper|pin|place|point of interest|position|route|travel|where"},
-{0xf5a0, false, "alternate map marked|address|coordinates|destination|gps|localize|location|map|paper|pin|place|point of interest|position|route|travel|where"},
-{0xf041, false, "map-marker|address|coordinates|gps|localize|location|map|pin|place|position|travel|where"},
-{0xf3c5, false, "alternate map marker|address|coordinates|gps|localize|location|map|pin|place|position|travel|where"},
-{0xf276, false, "map pin|address|coordinates|gps|localize|location|map|marker|place|position|travel|where"},
-{0xf277, false, "map signs"},
-{0xf5a1, false, "marker|edit|sharpie|update|write"},
+{0xf279, false, "map|address|coordinates|destination|gps|localize|location|map|navigation|paper|pin|place|point of interest|position|route|travel"},
+{0xf59f, false, "map marked|address|coordinates|destination|gps|localize|location|map|navigation|paper|pin|place|point of interest|position|route|travel"},
+{0xf5a0, false, "alternate map marked|address|coordinates|destination|gps|localize|location|map|navigation|paper|pin|place|point of interest|position|route|travel"},
+{0xf041, false, "map-marker|address|coordinates|destination|gps|localize|location|map|navigation|paper|pin|place|point of interest|position|route|travel"},
+{0xf3c5, false, "alternate map marker|address|coordinates|destination|gps|localize|location|map|navigation|paper|pin|place|point of interest|position|route|travel"},
+{0xf276, false, "map pin|address|agree|coordinates|destination|gps|localize|location|map|marker|navigation|pin|place|position|travel"},
+{0xf277, false, "map signs|directions|directory|map|signage|wayfinding"},
+{0xf5a1, false, "marker|design|edit|sharpie|update|write"},
 {0xf222, false, "mars|male"},
 {0xf227, false, "mars double"},
 {0xf229, false, "mars stroke"},
 {0xf22b, false, "mars stroke horizontal"},
 {0xf22a, false, "mars stroke vertical"},
-{0xf6fa, false, "mask|costume|disguise|halloween|holiday|secret|super hero"},
-{0xf5a2, false, "medal"},
+{0xf6fa, false, "mask|carnivale|costume|disguise|halloween|secret|super hero"},
+{0xf5a2, false, "medal|award|ribbon|star|trophy"},
 {0xf0fa, false, "medkit|first aid|firstaid|health|help|support"},
 {0xf11a, false, "neutral face|emoticon|face|neutral|rating"},
 {0xf5a4, false, "face without mouth|emoticon|face|neutral|rating"},
 {0xf5a5, false, "face with rolling eyes|emoticon|face|neutral|rating"},
-{0xf538, false, "memory|DIMM|RAM|hardware|technology"},
+{0xf538, false, "memory|DIMM|RAM|hardware|storage|technology"},
 {0xf676, false, "menorah|candle|hanukkah|jewish|judaism|light"},
 {0xf223, false, "mercury|transgender"},
-{0xf753, false, "meteor"},
-{0xf2db, false, "microchip|cpu|processor"},
-{0xf130, false, "microphone|record|sound|voice"},
-{0xf3c9, false, "alternate microphone|record|sound|voice"},
-{0xf539, false, "alternate microphone slash|disable|mute|record|sound|voice"},
-{0xf131, false, "microphone slash|disable|mute|record|sound|voice"},
-{0xf610, false, "microscope"},
+{0xf753, false, "meteor|armageddon|asteroid|comet|shooting star|space"},
+{0xf2db, false, "microchip|cpu|hardware|processor|technology"},
+{0xf130, false, "microphone|audio|podcast|record|sing|sound|voice"},
+{0xf3c9, false, "alternate microphone|audio|podcast|record|sing|sound|voice"},
+{0xf539, false, "alternate microphone slash|audio|disable|mute|podcast|record|sing|sound|voice"},
+{0xf131, false, "microphone slash|audio|disable|mute|podcast|record|sing|sound|voice"},
+{0xf610, false, "microscope|covid-19|electron|lens|optics|science|shrink"},
 {0xf068, false, "minus|collapse|delete|hide|minify|negative|remove|trash"},
-{0xf056, false, "minus circle|delete|hide|negative|remove|trash"},
-{0xf146, false, "minus square|collapse|delete|hide|minify|negative|remove|trash"},
-{0xf7b5, false, "mitten|clothing|cold|hands|knitted|seasonal|warmth"},
-{0xf10b, false, "mobile phone|apple|call|cell phone|cellphone|device|iphone|number|screen|telephone|text"},
-{0xf3cd, false, "alternate mobile|apple|call|cell phone|cellphone|device|iphone|number|screen|telephone|text"},
+{0xf056, false, "minus circle|delete|hide|negative|remove|shape|trash"},
+{0xf146, false, "minus square|collapse|delete|hide|minify|negative|remove|shape|trash"},
+{0xf7b5, false, "mitten|clothing|cold|glove|hands|knitted|seasonal|warmth"},
+{0xf10b, false, "mobile phone|apple|call|cell phone|cellphone|device|iphone|number|screen|telephone"},
+{0xf3cd, false, "alternate mobile|apple|call|cell phone|cellphone|device|iphone|number|screen|telephone"},
 {0xf0d6, false, "money bill|buy|cash|checkout|money|payment|price|purchase"},
 {0xf3d1, false, "alternate money bill|buy|cash|checkout|money|payment|price|purchase"},
-{0xf53a, false, "wavy money bill"},
-{0xf53b, false, "alternate wavy money bill"},
-{0xf53c, false, "money check|bank check|cheque"},
-{0xf53d, false, "alternate money check|bank check|cheque"},
-{0xf5a6, false, "monument|building|historic|memoroable"},
-{0xf186, false, "moon|contrast|crescent|darker|lunar|night"},
-{0xf5a7, false, "mortar pestle|crush|culinary|grind|medical|mix|spices"},
-{0xf678, false, "mosque|building|islam|muslim"},
+{0xf53a, false, "wavy money bill|buy|cash|checkout|money|payment|price|purchase"},
+{0xf53b, false, "alternate wavy money bill|buy|cash|checkout|money|payment|price|purchase"},
+{0xf53c, false, "money check|bank check|buy|checkout|cheque|money|payment|price|purchase"},
+{0xf53d, false, "alternate money check|bank check|buy|checkout|cheque|money|payment|price|purchase"},
+{0xf5a6, false, "monument|building|historic|landmark|memorable"},
+{0xf186, false, "moon|contrast|crescent|dark|lunar|night"},
+{0xf5a7, false, "mortar pestle|crush|culinary|grind|medical|mix|pharmacy|prescription|spices"},
+{0xf678, false, "mosque|building|islam|landmark|muslim"},
 {0xf21c, false, "motorcycle|bike|machine|transportation|vehicle"},
-{0xf6fc, false, "mountain"},
-{0xf245, false, "mouse pointer|select"},
-{0xf7b6, false, "mug hot|caliente|cocoa|coffee|cup|drink|holiday|steam|tea|warmth"},
-{0xf001, false, "music|note|sound"},
-{0xf6ff, false, "wired network"},
+{0xf6fc, false, "mountain|glacier|hiking|hill|landscape|travel|view"},
+{0xf8cc, false, "mouse|click|computer|cursor|input|peripheral"},
+{0xf245, false, "mouse pointer|arrow|cursor|select"},
+{0xf7b6, false, "mug hot|caliente|cocoa|coffee|cup|drink|holiday|hot chocolate|steam|tea|warmth"},
+{0xf001, false, "music|lyrics|melody|note|sing|sound"},
+{0xf6ff, false, "wired network|computer|connect|ethernet|internet|intranet"},
 {0xf22c, false, "neuter"},
-{0xf1ea, false, "newspaper|article|press"},
-{0xf53e, false, "not equal"},
-{0xf481, false, "medical notes"},
-{0xf247, false, "object group|design"},
-{0xf248, false, "object ungroup|design"},
-{0xf613, false, "oil can"},
+{0xf1ea, false, "newspaper|article|editorial|headline|journal|journalism|news|press"},
+{0xf53e, false, "not equal|arithmetic|compare|math"},
+{0xf481, false, "medical notes|clipboard|doctor|ehr|health|history|records"},
+{0xf247, false, "object group|combine|copy|design|merge|select"},
+{0xf248, false, "object ungroup|copy|design|merge|select|separate"},
+{0xf613, false, "oil can|auto|crude|gasoline|grease|lubricate|petroleum"},
 {0xf679, false, "om|buddhism|hinduism|jainism|mantra"},
-{0xf700, false, "otter|fauna|mammmal"},
-{0xf03b, false, "outdent"},
-{0xf1fc, false, "paint brush"},
-{0xf5aa, false, "paint roller|brush|painting|tool"},
-{0xf53f, false, "palette|colors|painting"},
-{0xf482, false, "pallet"},
-{0xf1d8, false, "paper plane"},
-{0xf0c6, false, "paperclip|attachment"},
+{0xf700, false, "otter|animal|badger|fauna|fur|mammal|marten"},
+{0xf03b, false, "outdent|align|justify|paragraph|tab"},
+{0xf815, false, "pager|beeper|cellphone|communication"},
+{0xf1fc, false, "paint brush|acrylic|art|brush|color|fill|paint|pigment|watercolor"},
+{0xf5aa, false, "paint roller|acrylic|art|brush|color|fill|paint|pigment|watercolor"},
+{0xf53f, false, "palette|acrylic|art|brush|color|fill|paint|pigment|watercolor"},
+{0xf482, false, "pallet|archive|box|inventory|shipping|warehouse"},
+{0xf1d8, false, "paper plane|air|float|fold|mail|paper|send"},
+{0xf0c6, false, "paperclip|attach|attachment|connect|link"},
 {0xf4cd, false, "parachute box|aid|assistance|rescue|supplies"},
-{0xf1dd, false, "paragraph"},
-{0xf540, false, "parking"},
-{0xf5ab, false, "passport|document|identification|issued"},
+{0xf1dd, false, "paragraph|edit|format|text|writing"},
+{0xf540, false, "parking|auto|car|garage|meter"},
+{0xf5ab, false, "passport|document|id|identification|issued|travel"},
 {0xf67b, false, "pastafarianism|agnosticism|atheism|flying spaghetti monster|fsm"},
-{0xf0ea, false, "paste|clipboard|copy"},
-{0xf04c, false, "pause|wait"},
-{0xf28b, false, "pause circle"},
-{0xf1b0, false, "paw|animal|pet"},
-{0xf67c, false, "peace"},
+{0xf0ea, false, "paste|clipboard|copy|document|paper"},
+{0xf04c, false, "pause|hold|wait"},
+{0xf28b, false, "pause circle|hold|wait"},
+{0xf1b0, false, "paw|animal|cat|dog|pet|print"},
+{0xf67c, false, "peace|serenity|tranquility|truce|war"},
 {0xf304, false, "pen|design|edit|update|write"},
 {0xf305, false, "alternate pen|design|edit|update|write"},
 {0xf5ac, false, "pen fancy|design|edit|fountain pen|update|write"},
 {0xf5ad, false, "pen nib|design|edit|fountain pen|update|write"},
 {0xf14b, false, "pen square|edit|pencil-square|update|write"},
 {0xf303, false, "alternate pencil|design|edit|pencil|update|write"},
-{0xf5ae, false, "pencil ruler"},
-{0xf4ce, false, "people carry|movers"},
-{0xf295, false, "percent"},
-{0xf541, false, "percentage"},
+{0xf5ae, false, "pencil ruler|design|draft|draw|pencil"},
+{0xf968, false, "people arrows|covid-19|personal space|social distance|space|spread|users"},
+{0xf4ce, false, "people carry|box|carry|fragile|help|movers|package"},
+{0xf816, false, "hot pepper|buffalo wings|capsicum|chili|chilli|habanero|jalapeno|mexican|spicy|tabasco|vegetable"},
+{0xf295, false, "percent|discount|fraction|proportion|rate|ratio"},
+{0xf541, false, "percentage|discount|fraction|proportion|rate|ratio"},
 {0xf756, false, "person entering booth|changing|changing room|election|human|person|vote|voting"},
 {0xf095, false, "phone|call|earphone|number|support|telephone|voice"},
-{0xf3dd, false, "phone slash"},
-{0xf098, false, "phone square|call|number|support|telephone|voice"},
-{0xf2a0, false, "phone volume|telephone|volume-control-phone"},
-{0xf4d3, false, "piggy bank|save|savings"},
-{0xf484, false, "pills|drugs|medicine"},
+{0xf879, false, "alternate phone|call|earphone|number|support|telephone|voice"},
+{0xf3dd, false, "phone slash|call|cancel|earphone|mute|number|support|telephone|voice"},
+{0xf098, false, "phone square|call|earphone|number|support|telephone|voice"},
+{0xf87b, false, "alternate phone square|call|earphone|number|support|telephone|voice"},
+{0xf2a0, false, "phone volume|call|earphone|number|sound|support|telephone|voice|volume-control-phone"},
+{0xf87c, false, "photo video|av|film|image|library|media"},
+{0xf4d3, false, "piggy bank|bank|save|savings"},
+{0xf484, false, "pills|drugs|medicine|prescription|tablets"},
+{0xf818, false, "pizza slice|cheese|chicago|italian|mozzarella|new york|pepperoni|pie|slice|teenage mutant ninja turtles|tomato"},
 {0xf67f, false, "place of worship|building|church|holy|mosque|synagogue"},
 {0xf072, false, "plane|airplane|destination|fly|location|mode|travel|trip"},
 {0xf5af, false, "plane arrival|airplane|arriving|destination|fly|land|landing|location|mode|travel|trip"},
 {0xf5b0, false, "plane departure|airplane|departing|destination|fly|location|mode|take off|taking off|travel|trip"},
-{0xf04b, false, "play|music|playing|sound|start"},
-{0xf144, false, "play circle|playing|start"},
-{0xf1e6, false, "plug|connect|online|power"},
-{0xf067, false, "plus|add|create|expand|new|positive"},
-{0xf055, false, "plus circle|add|create|expand|new|positive"},
-{0xf0fe, false, "plus square|add|create|expand|new|positive"},
-{0xf2ce, false, "podcast"},
-{0xf681, false, "poll|results|survey|vote|voting"},
-{0xf682, false, "poll h|results|survey|vote|voting"},
-{0xf2fe, false, "poo"},
-{0xf75a, false, "poo storm|bolt|cloud|euphemism|lightning|mess|poop|shit"},
-{0xf619, false, "poop"},
-{0xf3e0, false, "portrait"},
-{0xf154, false, "pound sign|gbp"},
-{0xf011, false, "power off|on|reboot|restart"},
-{0xf683, false, "pray"},
-{0xf684, false, "praying hands"},
-{0xf5b1, false, "prescription|drugs|medical|medicine|rx"},
-{0xf485, false, "prescription bottle|drugs|medical|medicine|rx"},
-{0xf486, false, "alternate prescription bottle|drugs|medical|medicine|rx"},
-{0xf02f, false, "print"},
-{0xf487, false, "procedures"},
-{0xf542, false, "project diagram"},
-{0xf12e, false, "puzzle piece|add-on|addon|section"},
-{0xf029, false, "qrcode|scan"},
+{0xf969, false, "plane slash|airplane mode|canceled|covid-19|delayed|grounded|travel"},
+{0xf04b, false, "play|audio|music|playing|sound|start|video"},
+{0xf144, false, "play circle|audio|music|playing|sound|start|video"},
+{0xf1e6, false, "plug|connect|electric|online|power"},
+{0xf067, false, "plus|add|create|expand|new|positive|shape"},
+{0xf055, false, "plus circle|add|create|expand|new|positive|shape"},
+{0xf0fe, false, "plus square|add|create|expand|new|positive|shape"},
+{0xf2ce, false, "podcast|audio|broadcast|music|sound"},
+{0xf681, false, "poll|results|survey|trend|vote|voting"},
+{0xf682, false, "poll h|results|survey|trend|vote|voting"},
+{0xf2fe, false, "poo|crap|poop|shit|smile|turd"},
+{0xf75a, false, "poo storm|bolt|cloud|euphemism|lightning|mess|poop|shit|turd"},
+{0xf619, false, "poop|crap|poop|shit|smile|turd"},
+{0xf3e0, false, "portrait|id|image|photo|picture|selfie"},
+{0xf154, false, "pound sign|currency|gbp|money"},
+{0xf011, false, "power off|cancel|computer|on|reboot|restart"},
+{0xf683, false, "pray|kneel|preach|religion|worship"},
+{0xf684, false, "praying hands|kneel|preach|religion|worship"},
+{0xf5b1, false, "prescription|drugs|medical|medicine|pharmacy|rx"},
+{0xf485, false, "prescription bottle|drugs|medical|medicine|pharmacy|rx"},
+{0xf486, false, "alternate prescription bottle|drugs|medical|medicine|pharmacy|rx"},
+{0xf02f, false, "print|business|copy|document|office|paper"},
+{0xf487, false, "procedures|EKG|bed|electrocardiogram|health|hospital|life|patient|vital"},
+{0xf542, false, "project diagram|chart|graph|network|pert"},
+{0xf96a, false, "pump medical|anti-bacterial|clean|covid-19|disinfect|hygiene|medical grade|sanitizer|soap"},
+{0xf96b, false, "pump soap|anti-bacterial|clean|covid-19|disinfect|hygiene|sanitizer|soap"},
+{0xf12e, false, "puzzle piece|add-on|addon|game|section"},
+{0xf029, false, "qrcode|barcode|info|information|scan"},
 {0xf128, false, "question|help|information|support|unknown"},
 {0xf059, false, "question circle|help|information|support|unknown"},
-{0xf458, false, "quidditch"},
-{0xf10d, false, "quote-left"},
-{0xf10e, false, "quote-right"},
-{0xf687, false, "quran|book|islam|muslim"},
+{0xf458, false, "quidditch|ball|bludger|broom|golden snitch|harry potter|hogwarts|quaffle|sport|wizard"},
+{0xf10d, false, "quote-left|mention|note|phrase|text|type"},
+{0xf10e, false, "quote-right|mention|note|phrase|text|type"},
+{0xf687, false, "quran|book|islam|muslim|religion"},
 {0xf7b9, false, "radiation|danger|dangerous|deadly|hazard|nuclear|radioactive|warning"},
 {0xf7ba, false, "alternate radiation|danger|dangerous|deadly|hazard|nuclear|radioactive|warning"},
-{0xf75b, false, "rainbow"},
-{0xf074, false, "random|shuffle|sort"},
-{0xf543, false, "receipt|check|invoice|table"},
-{0xf1b8, false, "recycle"},
+{0xf75b, false, "rainbow|gold|leprechaun|prism|rain|sky"},
+{0xf074, false, "random|arrows|shuffle|sort|swap|switch|transfer"},
+{0xf543, false, "receipt|check|invoice|money|pay|table"},
+{0xf8d9, false, "record vinyl|LP|album|analog|music|phonograph|sound"},
+{0xf1b8, false, "recycle|Waste|compost|garbage|reuse|trash"},
 {0xf01e, false, "redo|forward|refresh|reload|repeat"},
 {0xf2f9, false, "alternate redo|forward|refresh|reload|repeat"},
-{0xf25d, false, "registered trademark"},
-{0xf3e5, false, "reply"},
-{0xf122, false, "reply-all"},
+{0xf25d, false, "registered trademark|copyright|mark|trademark"},
+{0xf87d, false, "remove format|cancel|font|format|remove|style|text"},
+{0xf3e5, false, "reply|mail|message|respond"},
+{0xf122, false, "reply-all|mail|message|respond"},
 {0xf75e, false, "republican|american|conservative|election|elephant|politics|republican party|right|right-wing|usa"},
 {0xf7bd, false, "restroom|bathroom|john|loo|potty|washroom|waste|wc"},
 {0xf079, false, "retweet|refresh|reload|share|swap"},
 {0xf4d6, false, "ribbon|badge|cause|lapel|pin"},
-{0xf70b, false, "ring|Dungeons & Dragons|Gollum|band|binding|d&d|dnd|fantasy|jewelry|precious"},
-{0xf018, false, "road|street"},
-{0xf544, false, "robot"},
-{0xf135, false, "rocket|app"},
-{0xf4d7, false, "route"},
-{0xf09e, false, "rss|blog"},
-{0xf143, false, "rss square|blog|feed"},
-{0xf158, false, "ruble sign|rub"},
-{0xf545, false, "ruler"},
-{0xf546, false, "ruler combined"},
-{0xf547, false, "ruler horizontal"},
-{0xf548, false, "ruler vertical"},
-{0xf70c, false, "running|jog|person|sprint"},
-{0xf156, false, "indian rupee sign|indian|inr"},
+{0xf70b, false, "ring|Dungeons & Dragons|Gollum|band|binding|d&d|dnd|engagement|fantasy|gold|jewelry|marriage|precious"},
+{0xf018, false, "road|highway|map|pavement|route|street|travel"},
+{0xf544, false, "robot|android|automate|computer|cyborg"},
+{0xf135, false, "rocket|aircraft|app|jet|launch|nasa|space"},
+{0xf4d7, false, "route|directions|navigation|travel"},
+{0xf09e, false, "rss|blog|feed|journal|news|writing"},
+{0xf143, false, "rss square|blog|feed|journal|news|writing"},
+{0xf158, false, "ruble sign|currency|money|rub"},
+{0xf545, false, "ruler|design|draft|length|measure|planning"},
+{0xf546, false, "ruler combined|design|draft|length|measure|planning"},
+{0xf547, false, "ruler horizontal|design|draft|length|measure|planning"},
+{0xf548, false, "ruler vertical|design|draft|length|measure|planning"},
+{0xf70c, false, "running|exercise|health|jog|person|run|sport|sprint"},
+{0xf156, false, "indian rupee sign|currency|indian|inr|money"},
 {0xf5b3, false, "crying face|emoticon|face|tear|tears"},
 {0xf5b4, false, "loudly crying face|emoticon|face|tear|tears"},
 {0xf7bf, false, "satellite|communications|hardware|orbit|space"},
-{0xf7c0, false, "satellite dish|SETI|communications|hardware|receiver|saucer|signal"},
-{0xf0c7, false, "save|floppy|floppy-o"},
-{0xf549, false, "school|building"},
-{0xf54a, false, "screwdriver|admin|fix|repair|settings|tool"},
-{0xf70e, false, "scroll|Dungeons & Dragons|announcement|d&d|dnd|fantasy|paper"},
-{0xf7c2, false, "sd card"},
-{0xf002, false, "search|bigger|enlarge|magnify|preview|zoom"},
-{0xf688, false, "search dollar"},
-{0xf689, false, "search location"},
+{0xf7c0, false, "satellite dish|SETI|communications|hardware|receiver|saucer|signal|space"},
+{0xf0c7, false, "save|disk|download|floppy|floppy-o"},
+{0xf549, false, "school|building|education|learn|student|teacher"},
+{0xf54a, false, "screwdriver|admin|fix|mechanic|repair|settings|tool"},
+{0xf70e, false, "scroll|Dungeons & Dragons|announcement|d&d|dnd|fantasy|paper|script"},
+{0xf7c2, false, "sd card|image|memory|photo|save"},
+{0xf002, false, "search|bigger|enlarge|find|magnify|preview|zoom"},
+{0xf688, false, "search dollar|bigger|enlarge|find|magnify|money|preview|zoom"},
+{0xf689, false, "search location|bigger|enlarge|find|magnify|preview|zoom"},
 {0xf010, false, "search minus|minify|negative|smaller|zoom|zoom out"},
 {0xf00e, false, "search plus|bigger|enlarge|magnify|positive|zoom|zoom in"},
-{0xf4d8, false, "seedling"},
-{0xf233, false, "server|cpu"},
-{0xf61f, false, "shapes|circle|square|triangle"},
-{0xf064, false, "share"},
-{0xf1e0, false, "alternate share"},
-{0xf1e1, false, "alternate share square"},
-{0xf14d, false, "share square|send|social"},
-{0xf20b, false, "shekel sign|ils"},
+{0xf4d8, false, "seedling|flora|grow|plant|vegan"},
+{0xf233, false, "server|computer|cpu|database|hardware|network"},
+{0xf61f, false, "shapes|blocks|build|circle|square|triangle"},
+{0xf064, false, "share|forward|save|send|social"},
+{0xf1e0, false, "alternate share|forward|save|send|social"},
+{0xf1e1, false, "alternate share square|forward|save|send|social"},
+{0xf14d, false, "share square|forward|save|send|social"},
+{0xf20b, false, "shekel sign|currency|ils|money"},
 {0xf3ed, false, "alternate shield|achievement|award|block|defend|security|winner"},
-{0xf21a, false, "ship|boat|sea"},
-{0xf48b, false, "shipping fast"},
-{0xf54b, false, "shoe prints|feet|footprints|steps"},
-{0xf290, false, "shopping bag"},
-{0xf291, false, "shopping basket"},
-{0xf07a, false, "shopping-cart|buy|checkout|payment|purchase"},
-{0xf2cc, false, "shower"},
-{0xf5b6, false, "shuttle van|machine|public-transportation|transportation|vehicle"},
-{0xf4d9, false, "sign"},
+{0xf96c, false, "shield virus|antibodies|barrier|covid-19|health|protect"},
+{0xf21a, false, "ship|boat|sea|water"},
+{0xf48b, false, "shipping fast|express|fedex|mail|overnight|package|ups"},
+{0xf54b, false, "shoe prints|feet|footprints|steps|walk"},
+{0xf290, false, "shopping bag|buy|checkout|grocery|payment|purchase"},
+{0xf291, false, "shopping basket|buy|checkout|grocery|payment|purchase"},
+{0xf07a, false, "shopping-cart|buy|checkout|grocery|payment|purchase"},
+{0xf2cc, false, "shower|bath|clean|faucet|water"},
+{0xf5b6, false, "shuttle van|airport|machine|public-transportation|transportation|travel|vehicle"},
+{0xf4d9, false, "sign|directions|real estate|signage|wayfinding"},
 {0xf2f6, false, "alternate sign in|arrow|enter|join|log in|login|sign in|sign up|sign-in|signin|signup"},
-{0xf2a7, false, "sign language"},
+{0xf2a7, false, "sign language|Translate|asl|deaf|hands"},
 {0xf2f5, false, "alternate sign out|arrow|exit|leave|log out|logout|sign-out"},
-{0xf012, false, "signal|bars|graph|online|status"},
+{0xf012, false, "signal|bars|graph|online|reception|status"},
 {0xf5b7, false, "signature|John Hancock|cursive|name|writing"},
 {0xf7c4, false, "sim card|hard drive|hardware|portable|storage|technology|tiny"},
 {0xf0e8, false, "sitemap|directory|hierarchy|ia|information architecture|organization"},
-{0xf7c5, false, "skating|activity|figure skating|fitness|ice|person|seasonal"},
-{0xf7c9, false, "skiing|activity|downhill|fast|fitness|outdoors|person|seasonal|slalom"},
+{0xf7c5, false, "skating|activity|figure skating|fitness|ice|person|winter"},
+{0xf7c9, false, "skiing|activity|downhill|fast|fitness|olympics|outdoors|person|seasonal|slalom"},
 {0xf7ca, false, "skiing nordic|activity|cross country|fitness|outdoors|person|seasonal"},
-{0xf54c, false, "skull|bones|skeleton|yorick"},
+{0xf54c, false, "skull|bones|skeleton|x-ray|yorick"},
 {0xf714, false, "skull & crossbones|Dungeons & Dragons|alert|bones|d&d|danger|dead|deadly|death|dnd|fantasy|halloween|holiday|jolly-roger|pirate|poison|skeleton|warning"},
-{0xf715, false, "slash"},
-{0xf7cc, false, "sleigh|christmas|claus|fly|holiday|santa|sled|xmas"},
-{0xf1de, false, "horizontal sliders|settings|sliders"},
+{0xf715, false, "slash|cancel|close|mute|off|stop|x"},
+{0xf7cc, false, "sleigh|christmas|claus|fly|holiday|santa|sled|snow|xmas"},
+{0xf1de, false, "horizontal sliders|adjust|settings|sliders|toggle"},
 {0xf118, false, "smiling face|approve|emoticon|face|happy|rating|satisfied"},
 {0xf5b8, false, "beaming face with smiling eyes|emoticon|face|happy|positive"},
-{0xf4da, false, "winking face|emoticon|face|happy"},
-{0xf75f, false, "smog|dragon"},
-{0xf48d, false, "smoking|cigarette|nicotine|smoking status"},
-{0xf54d, false, "smoking ban|no smoking|non-smoking"},
+{0xf4da, false, "winking face|emoticon|face|happy|hint|joke"},
+{0xf75f, false, "smog|dragon|fog|haze|pollution|smoke|weather"},
+{0xf48d, false, "smoking|cancer|cigarette|nicotine|smoking status|tobacco"},
+{0xf54d, false, "smoking ban|ban|cancel|no smoking|non-smoking"},
 {0xf7cd, false, "sms|chat|conversation|message|mobile|notification|phone|sms|texting"},
-{0xf7ce, false, "snowboarding|activity|fitness|outdoors|person|seasonal"},
-{0xf2dc, false, "snowflake|precipitation|seasonal|winter"},
-{0xf7d0, false, "snowman|decoration|frost|holiday"},
-{0xf7d2, false, "snowplow|clean up|cold|seasonal"},
-{0xf696, false, "socks|business socks|business time|clothing|flight of the conchords|wednesday"},
+{0xf7ce, false, "snowboarding|activity|fitness|olympics|outdoors|person"},
+{0xf2dc, false, "snowflake|precipitation|rain|winter"},
+{0xf7d0, false, "snowman|decoration|frost|frosty|holiday"},
+{0xf7d2, false, "snowplow|clean up|cold|road|storm|winter"},
+{0xf96e, false, "soap|bubbles|clean|covid-19|hygiene|wash"},
+{0xf696, false, "socks|business socks|business time|clothing|feet|flight of the conchords|wednesday"},
 {0xf5ba, false, "solar panel|clean|eco-friendly|energy|green|sun"},
-{0xf0dc, false, "sort|order"},
-{0xf15d, false, "sort alpha down|sort-alpha-asc"},
-{0xf15e, false, "sort alpha up|sort-alpha-desc"},
-{0xf160, false, "sort amount down|sort-amount-asc"},
-{0xf161, false, "sort amount up|sort-amount-desc"},
-{0xf0dd, false, "sort down (descending)|arrow|descending|sort-desc"},
-{0xf162, false, "sort numeric down|numbers|sort-numeric-asc"},
-{0xf163, false, "sort numeric up|numbers|sort-numeric-desc"},
-{0xf0de, false, "sort up (ascending)|arrow|ascending|sort-asc"},
-{0xf5bb, false, "spa|flora|mindfullness|plant|wellness"},
-{0xf197, false, "space shuttle|astronaut|machine|nasa|rocket|transportation"},
-{0xf717, false, "spider|arachnid|bug|charlotte|crawl|eight|halloween|holiday"},
-{0xf110, false, "spinner|loading|progress"},
-{0xf5bc, false, "splotch"},
-{0xf5bd, false, "spray can"},
-{0xf0c8, false, "square|block|box"},
-{0xf45c, false, "square full"},
-{0xf698, false, "alternate square root"},
-{0xf5bf, false, "stamp"},
+{0xf0dc, false, "sort|filter|order"},
+{0xf15d, false, "sort alphabetical down|alphabetical|arrange|filter|order|sort-alpha-asc"},
+{0xf881, false, "alternate sort alphabetical down|alphabetical|arrange|filter|order|sort-alpha-asc"},
+{0xf15e, false, "sort alphabetical up|alphabetical|arrange|filter|order|sort-alpha-desc"},
+{0xf882, false, "alternate sort alphabetical up|alphabetical|arrange|filter|order|sort-alpha-desc"},
+{0xf160, false, "sort amount down|arrange|filter|number|order|sort-amount-asc"},
+{0xf884, false, "alternate sort amount down|arrange|filter|order|sort-amount-asc"},
+{0xf161, false, "sort amount up|arrange|filter|order|sort-amount-desc"},
+{0xf885, false, "alternate sort amount up|arrange|filter|order|sort-amount-desc"},
+{0xf0dd, false, "sort down (descending)|arrow|descending|filter|order|sort-desc"},
+{0xf162, false, "sort numeric down|arrange|filter|numbers|order|sort-numeric-asc"},
+{0xf886, false, "alternate sort numeric down|arrange|filter|numbers|order|sort-numeric-asc"},
+{0xf163, false, "sort numeric up|arrange|filter|numbers|order|sort-numeric-desc"},
+{0xf887, false, "alternate sort numeric up|arrange|filter|numbers|order|sort-numeric-desc"},
+{0xf0de, false, "sort up (ascending)|arrow|ascending|filter|order|sort-asc"},
+{0xf5bb, false, "spa|flora|massage|mindfulness|plant|wellness"},
+{0xf197, false, "space shuttle|astronaut|machine|nasa|rocket|space|transportation"},
+{0xf891, false, "spell check|dictionary|edit|editor|grammar|text"},
+{0xf717, false, "spider|arachnid|bug|charlotte|crawl|eight|halloween"},
+{0xf110, false, "spinner|circle|loading|progress"},
+{0xf5bc, false, "splotch|Ink|blob|blotch|glob|stain"},
+{0xf5bd, false, "spray can|Paint|aerosol|design|graffiti|tag"},
+{0xf0c8, false, "square|block|box|shape"},
+{0xf45c, false, "square full|block|box|shape"},
+{0xf698, false, "alternate square root|arithmetic|calculus|division|math"},
+{0xf5bf, false, "stamp|art|certificate|imprint|rubber|seal"},
 {0xf005, false, "star|achievement|award|favorite|important|night|rating|score"},
-{0xf699, false, "star and crescent|islam|muslim"},
+{0xf699, false, "star and crescent|islam|muslim|religion"},
 {0xf089, false, "star-half|achievement|award|rating|score|star-half-empty|star-half-full"},
 {0xf5c0, false, "alternate star half|achievement|award|rating|score|star-half-empty|star-half-full"},
-{0xf69a, false, "star of david|jewish|judaism"},
-{0xf621, false, "star of life"},
+{0xf69a, false, "star of david|jewish|judaism|religion"},
+{0xf621, false, "star of life|doctor|emt|first aid|health|medical"},
 {0xf048, false, "step-backward|beginning|first|previous|rewind|start"},
 {0xf051, false, "step-forward|end|last|next"},
-{0xf0f1, false, "stethoscope"},
-{0xf249, false, "sticky note"},
+{0xf0f1, false, "stethoscope|covid-19|diagnosis|doctor|general practitioner|hospital|infirmary|medicine|office|outpatient"},
+{0xf249, false, "sticky note|message|note|paper|reminder|sticker"},
 {0xf04d, false, "stop|block|box|square"},
-{0xf28d, false, "stop circle"},
-{0xf2f2, false, "stopwatch|time"},
-{0xf54e, false, "store"},
-{0xf54f, false, "alternate store"},
-{0xf550, false, "stream"},
-{0xf21d, false, "street view|map"},
-{0xf0cc, false, "strikethrough"},
-{0xf551, false, "stroopwafel|dessert|food|sweets|waffle"},
-{0xf12c, false, "subscript"},
+{0xf28d, false, "stop circle|block|box|circle|square"},
+{0xf2f2, false, "stopwatch|clock|reminder|time"},
+{0xf96f, false, "stopwatch 20|ABCs|countdown|covid-19|happy birthday|i will survive|reminder|seconds|time|timer"},
+{0xf54e, false, "store|building|buy|purchase|shopping"},
+{0xf54f, false, "alternate store|building|buy|purchase|shopping"},
+{0xf970, false, "alternate store slash|building|buy|closed|covid-19|purchase|shopping"},
+{0xf971, false, "store slash|building|buy|closed|covid-19|purchase|shopping"},
+{0xf550, false, "stream|flow|list|timeline"},
+{0xf21d, false, "street view|directions|location|map|navigation"},
+{0xf0cc, false, "strikethrough|cancel|edit|font|format|text|type"},
+{0xf551, false, "stroopwafel|caramel|cookie|dessert|sweets|waffle"},
+{0xf12c, false, "subscript|edit|font|format|text|type"},
 {0xf239, false, "subway|machine|railway|train|transportation|vehicle"},
 {0xf0f2, false, "suitcase|baggage|luggage|move|suitcase|travel|trip"},
-{0xf5c1, false, "suitcase rolling"},
+{0xf5c1, false, "suitcase rolling|baggage|luggage|move|suitcase|travel|trip"},
 {0xf185, false, "sun|brighten|contrast|day|lighter|sol|solar|star|weather"},
-{0xf12b, false, "superscript|exponential"},
+{0xf12b, false, "superscript|edit|exponential|font|format|text|type"},
 {0xf5c2, false, "hushed face|emoticon|face|shocked"},
-{0xf5c3, false, "swatchbook"},
-{0xf5c4, false, "swimmer|athlete|head|man|person|water"},
-{0xf5c5, false, "swimming pool|ladder|recreation|water"},
-{0xf69b, false, "synagogue|building|jewish|judaism|star of david|temple"},
+{0xf5c3, false, "swatchbook|Pantone|color|design|hue|palette"},
+{0xf5c4, false, "swimmer|athlete|head|man|olympics|person|pool|water"},
+{0xf5c5, false, "swimming pool|ladder|recreation|swim|water"},
+{0xf69b, false, "synagogue|building|jewish|judaism|religion|star of david|temple"},
 {0xf021, false, "sync|exchange|refresh|reload|rotate|swap"},
-{0xf2f1, false, "alternate sync|refresh|reload|rotate"},
-{0xf48e, false, "syringe|immunizations|needle"},
+{0xf2f1, false, "alternate sync|exchange|refresh|reload|rotate|swap"},
+{0xf48e, false, "syringe|covid-19|doctor|immunizations|medical|needle"},
 {0xf0ce, false, "table|data|excel|spreadsheet"},
-{0xf45d, false, "table tennis"},
+{0xf45d, false, "table tennis|ball|paddle|ping pong"},
 {0xf10a, false, "tablet|apple|device|ipad|kindle|screen"},
 {0xf3fa, false, "alternate tablet|apple|device|ipad|kindle|screen"},
-{0xf490, false, "tablets|drugs|medicine"},
-{0xf3fd, false, "alternate tachometer|dashboard|tachometer"},
-{0xf02b, false, "tag|label"},
-{0xf02c, false, "tags|labels"},
-{0xf4db, false, "tape"},
-{0xf0ae, false, "tasks|downloading|downloads|loading|progress|settings"},
-{0xf1ba, false, "taxi|cab|cabbie|car|car service|lyft|machine|transportation|uber|vehicle"},
-{0xf62e, false, "teeth"},
-{0xf62f, false, "teeth open"},
-{0xf769, false, "high temperature|mercury|thermometer|warm"},
-{0xf76b, false, "low temperature|cool|mercury|thermometer"},
+{0xf490, false, "tablets|drugs|medicine|pills|prescription"},
+{0xf3fd, false, "alternate tachometer|dashboard|fast|odometer|speed|speedometer"},
+{0xf02b, false, "tag|discount|label|price|shopping"},
+{0xf02c, false, "tags|discount|label|price|shopping"},
+{0xf4db, false, "tape|design|package|sticky"},
+{0xf0ae, false, "tasks|checklist|downloading|downloads|loading|progress|project management|settings|to do"},
+{0xf1ba, false, "taxi|cab|cabbie|car|car service|lyft|machine|transportation|travel|uber|vehicle"},
+{0xf62e, false, "teeth|bite|dental|dentist|gums|mouth|smile|tooth"},
+{0xf62f, false, "teeth open|dental|dentist|gums bite|mouth|smile|tooth"},
+{0xf769, false, "high temperature|cook|covid-19|mercury|summer|thermometer|warm"},
+{0xf76b, false, "low temperature|cold|cool|covid-19|mercury|thermometer|winter"},
 {0xf7d7, false, "tenge|currency|kazakhstan|money|price"},
-{0xf120, false, "terminal|code|command|console|prompt"},
-{0xf034, false, "text-height"},
-{0xf035, false, "text-width"},
+{0xf120, false, "terminal|code|command|console|development|prompt"},
+{0xf034, false, "text-height|edit|font|format|text|type"},
+{0xf035, false, "text width|edit|font|format|text|type"},
 {0xf00a, false, "th|blocks|boxes|grid|squares"},
 {0xf009, false, "th-large|blocks|boxes|grid|squares"},
 {0xf00b, false, "th-list|checklist|completed|done|finished|ol|todo|ul"},
-{0xf630, false, "theater masks"},
-{0xf491, false, "thermometer|mercury|status|temperature"},
-{0xf2cb, false, "thermometer empty|mercury|status|temperature"},
-{0xf2c7, false, "thermometer full|fever|mercury|status|temperature"},
+{0xf630, false, "theater masks|comedy|perform|theatre|tragedy"},
+{0xf491, false, "thermometer|covid-19|mercury|status|temperature"},
+{0xf2cb, false, "thermometer empty|cold|mercury|status|temperature"},
+{0xf2c7, false, "thermometer full|fever|hot|mercury|status|temperature"},
 {0xf2c9, false, "thermometer 1/2 full|mercury|status|temperature"},
 {0xf2ca, false, "thermometer 1/4 full|mercury|status|temperature"},
 {0xf2c8, false, "thermometer 3/4 full|mercury|status|temperature"},
-{0xf165, false, "thumbs-down|disagree|disapprove|dislike|hand|thumbs-o-down"},
-{0xf164, false, "thumbs-up|agree|approve|favorite|hand|like|ok|okay|success|thumbs-o-up|yes|you got it dude"},
+{0xf165, false, "thumbs-down|disagree|disapprove|dislike|hand|social|thumbs-o-down"},
+{0xf164, false, "thumbs-up|agree|approve|favorite|hand|like|ok|okay|social|success|thumbs-o-up|yes|you got it dude"},
 {0xf08d, false, "thumbtack|coordinates|location|marker|pin|thumb-tack"},
-{0xf3ff, false, "alternate ticket|ticket"},
+{0xf3ff, false, "alternate ticket|movie|pass|support|ticket"},
 {0xf00d, false, "times|close|cross|error|exit|incorrect|notice|notification|notify|problem|wrong|x"},
 {0xf057, false, "times circle|close|cross|exit|incorrect|notice|notification|notify|problem|wrong|x"},
-{0xf043, false, "tint|drop|droplet|raindrop|waterdrop"},
-{0xf5c7, false, "tint slash"},
-{0xf5c8, false, "tired face|emoticon|face|grumpy"},
+{0xf043, false, "tint|color|drop|droplet|raindrop|waterdrop"},
+{0xf5c7, false, "tint slash|color|drop|droplet|raindrop|waterdrop"},
+{0xf5c8, false, "tired face|angry|emoticon|face|grumpy|upset"},
 {0xf204, false, "toggle off|switch"},
 {0xf205, false, "toggle on|switch"},
 {0xf7d8, false, "toilet|bathroom|flush|john|loo|pee|plumbing|poop|porcelain|potty|restroom|throne|washroom|waste|wc"},
-{0xf71e, false, "toilet paper|bathroom|halloween|holiday|lavatory|prank|restroom|roll"},
+{0xf71e, false, "toilet paper|bathroom|covid-19|halloween|holiday|lavatory|prank|restroom|roll"},
+{0xf972, false, "toilet paper slash|bathroom|covid-19|halloween|holiday|lavatory|leaves|prank|restroom|roll|trouble|ut oh"},
 {0xf552, false, "toolbox|admin|container|fix|repair|settings|tools"},
 {0xf7d9, false, "tools|admin|fix|repair|screwdriver|settings|tools|wrench"},
-{0xf5c9, false, "tooth|bicuspid|dental|molar|mouth|teeth"},
-{0xf6a0, false, "torah|book|jewish|judaism"},
+{0xf5c9, false, "tooth|bicuspid|dental|dentist|molar|mouth|teeth"},
+{0xf6a0, false, "torah|book|jewish|judaism|religion|scroll"},
 {0xf6a1, false, "torii gate|building|shintoism"},
-{0xf722, false, "tractor"},
-{0xf25c, false, "trademark"},
-{0xf637, false, "traffic light"},
-{0xf238, false, "train|bullet|locomotive|railway"},
+{0xf722, false, "tractor|agriculture|farm|vehicle"},
+{0xf25c, false, "trademark|copyright|register|symbol"},
+{0xf637, false, "traffic light|direction|road|signal|travel"},
+{0xf941, false, "trailer|carry|haul|moving|travel"},
+{0xf238, false, "train|bullet|commute|locomotive|railway|subway"},
 {0xf7da, false, "tram|crossing|machine|mountains|seasonal|transportation"},
 {0xf224, false, "transgender|intersex"},
-{0xf225, false, "alternate transgender"},
+{0xf225, false, "alternate transgender|intersex"},
 {0xf1f8, false, "trash|delete|garbage|hide|remove"},
-{0xf2ed, false, "alternate trash|delete|garbage|hide|remove|trash|trash-o"},
+{0xf2ed, false, "alternate trash|delete|garbage|hide|remove|trash-o"},
+{0xf829, false, "trash restore|back|control z|oops|undo"},
+{0xf82a, false, "alternative trash restore|back|control z|oops|undo"},
 {0xf1bb, false, "tree|bark|fall|flora|forest|nature|plant|seasonal"},
 {0xf091, false, "trophy|achievement|award|cup|game|winner"},
-{0xf0d1, false, "truck|delivery|shipping"},
-{0xf4de, false, "truck loading|inventory|moving|rental"},
-{0xf63b, false, "truck monster"},
-{0xf4df, false, "truck moving|inventory|rental"},
-{0xf63c, false, "truck side"},
-{0xf553, false, "t-shirt|clothing"},
-{0xf1e4, false, "tty"},
+{0xf0d1, false, "truck|cargo|delivery|shipping|vehicle"},
+{0xf4de, false, "truck loading|box|cargo|delivery|inventory|moving|rental|vehicle"},
+{0xf63b, false, "truck monster|offroad|vehicle|wheel"},
+{0xf4df, false, "truck moving|cargo|inventory|rental|vehicle"},
+{0xf63c, false, "truck side|cargo|vehicle"},
+{0xf553, false, "t-shirt|clothing|fashion|garment|shirt"},
+{0xf1e4, false, "tty|communication|deaf|telephone|teletypewriter|text"},
 {0xf26c, false, "television|computer|display|monitor|television"},
-{0xf0e9, false, "umbrella|protection|rain"},
-{0xf5ca, false, "umbrella beach|protection|recreation|sun"},
-{0xf0cd, false, "underline"},
+{0xf0e9, false, "umbrella|protection|rain|storm|wet"},
+{0xf5ca, false, "umbrella beach|protection|recreation|sand|shade|summer|sun"},
+{0xf0cd, false, "underline|edit|emphasis|format|text|writing"},
 {0xf0e2, false, "undo|back|control z|exchange|oops|return|rotate|swap"},
 {0xf2ea, false, "alternate undo|back|control z|exchange|oops|return|swap"},
-{0xf29a, false, "universal access"},
+{0xf29a, false, "universal access|accessibility|hearing|person|seeing|visual impairment"},
 {0xf19c, false, "university|bank|building|college|higher education - students|institution"},
-{0xf127, false, "unlink|chain|chain-broken|remove"},
-{0xf09c, false, "unlock|admin|lock|password|protect"},
-{0xf13e, false, "alternate unlock|admin|lock|password|protect"},
-{0xf093, false, "upload|export|publish"},
+{0xf127, false, "unlink|attachment|chain|chain-broken|remove"},
+{0xf09c, false, "unlock|admin|lock|password|private|protect"},
+{0xf13e, false, "alternate unlock|admin|lock|password|private|protect"},
+{0xf093, false, "upload|hard drive|import|publish"},
 {0xf007, false, "user|account|avatar|head|human|man|person|profile"},
 {0xf406, false, "alternate user|account|avatar|head|human|man|person|profile"},
-{0xf4fa, false, "alternate user slash"},
-{0xf4fb, false, "user astronaut|avatar|clothing|cosmonaut|space|suit"},
-{0xf4fc, false, "user check"},
+{0xf4fa, false, "alternate user slash|account|avatar|head|human|man|person|profile"},
+{0xf4fb, false, "user astronaut|avatar|clothing|cosmonaut|nasa|space|suit"},
+{0xf4fc, false, "user check|accept|check|person|verified"},
 {0xf2bd, false, "user circle|account|avatar|head|human|man|person|profile"},
-{0xf4fd, false, "user clock"},
-{0xf4fe, false, "user cog"},
-{0xf4ff, false, "user edit|edit|pen|pencil|update|write"},
-{0xf500, false, "user friends"},
-{0xf501, false, "user graduate|cap|clothing|commencement|gown|graduation|student"},
-{0xf728, false, "user injured|cast|ouch|sling"},
-{0xf502, false, "user lock"},
-{0xf0f0, false, "user-md|doctor|job|medical|nurse|occupation|profile"},
+{0xf4fd, false, "user clock|alert|person|remind|time"},
+{0xf4fe, false, "user cog|admin|cog|person|settings"},
+{0xf4ff, false, "user edit|edit|pen|pencil|person|update|write"},
+{0xf500, false, "user friends|group|people|person|team|users"},
+{0xf501, false, "user graduate|cap|clothing|commencement|gown|graduation|person|student"},
+{0xf728, false, "user injured|cast|injury|ouch|patient|person|sling"},
+{0xf502, false, "user lock|admin|lock|person|private|unlock"},
+{0xf0f0, false, "doctor|covid-19|job|medical|nurse|occupation|physician|profile|surgeon"},
 {0xf503, false, "user minus|delete|negative|remove"},
 {0xf504, false, "user ninja|assassin|avatar|dangerous|deadly|sneaky"},
-{0xf234, false, "user plus|positive|sign up|signup"},
-{0xf21b, false, "user secret|clothing|coat|hat|incognito|privacy|spy|whisper"},
-{0xf505, false, "user shield"},
-{0xf506, false, "user slash|ban|remove"},
-{0xf507, false, "user tag"},
-{0xf508, false, "user tie|avatar|business|clothing|formal"},
+{0xf82f, false, "nurse|covid-19|doctor|midwife|practitioner|surgeon"},
+{0xf234, false, "user plus|add|avatar|positive|sign up|signup|team"},
+{0xf21b, false, "user secret|clothing|coat|hat|incognito|person|privacy|spy|whisper"},
+{0xf505, false, "user shield|admin|person|private|protect|safe"},
+{0xf506, false, "user slash|ban|delete|remove"},
+{0xf507, false, "user tag|avatar|discount|label|person|role|special"},
+{0xf508, false, "user tie|avatar|business|clothing|formal|professional|suit"},
 {0xf235, false, "remove user|archive|delete|remove|x"},
-{0xf0c0, false, "users|people|persons|profiles"},
-{0xf509, false, "users cog"},
-{0xf2e5, false, "utensil spoon|spoon"},
-{0xf2e7, false, "utensils|cutlery|dinner|eat|food|knife|restaurant|spoon"},
-{0xf5cb, false, "vector square|anchors|lines|object"},
+{0xf0c0, false, "users|friends|group|people|persons|profiles|team"},
+{0xf509, false, "users cog|admin|cog|group|person|settings|team"},
+{0xf2e5, false, "utensil spoon|cutlery|dining|scoop|silverware|spoon"},
+{0xf2e7, false, "utensils|cutlery|dining|dinner|eat|food|fork|knife|restaurant"},
+{0xf5cb, false, "vector square|anchors|lines|object|render|shape"},
 {0xf221, false, "venus|female"},
-{0xf226, false, "venus double"},
-{0xf228, false, "venus mars"},
-{0xf492, false, "vial|test tube"},
-{0xf493, false, "vials|lab results|test tubes"},
+{0xf226, false, "venus double|female"},
+{0xf228, false, "venus mars|Gender"},
+{0xf492, false, "vial|experiment|lab|sample|science|test|test tube"},
+{0xf493, false, "vials|experiment|lab|sample|science|test|test tube"},
 {0xf03d, false, "video|camera|film|movie|record|video-camera"},
-{0xf4e2, false, "video slash"},
+{0xf4e2, false, "video slash|add|create|film|new|positive|record|video"},
 {0xf6a7, false, "vihara|buddhism|buddhist|building|monastery"},
-{0xf45f, false, "volleyball ball"},
+{0xf974, false, "virus|bug|covid-19|flu|health|sick|viral"},
+{0xf975, false, "virus slash|bug|covid-19|cure|eliminate|flu|health|sick|viral"},
+{0xf976, false, "viruses|bugs|covid-19|flu|health|multiply|sick|spread|viral"},
+{0xf897, false, "voicemail|answer|inbox|message|phone"},
+{0xf45f, false, "volleyball ball|beach|olympics|sport"},
 {0xf027, false, "volume down|audio|lower|music|quieter|sound|speaker"},
-{0xf6a9, false, "volume mute"},
-{0xf026, false, "volume off|audio|music|mute|sound"},
+{0xf6a9, false, "volume mute|audio|music|quiet|sound|speaker"},
+{0xf026, false, "volume off|audio|ban|music|mute|quiet|silent|sound"},
 {0xf028, false, "volume up|audio|higher|louder|music|sound|speaker"},
 {0xf772, false, "vote yea|accept|cast|election|politics|positive|yes"},
-{0xf729, false, "cardboard vr|google|reality|virtual"},
-{0xf554, false, "walking|person"},
-{0xf555, false, "wallet"},
+{0xf729, false, "cardboard vr|3d|augment|google|reality|virtual"},
+{0xf554, false, "walking|exercise|health|pedometer|person|steps"},
+{0xf555, false, "wallet|billfold|cash|currency|money"},
 {0xf494, false, "warehouse|building|capacity|garage|inventory|storage"},
-{0xf773, false, "water"},
-{0xf496, false, "weight|measurement|scale|weight"},
+{0xf773, false, "water|lake|liquid|ocean|sea|swim|wet"},
+{0xf83e, false, "square wave|frequency|pulse|signal"},
+{0xf496, false, "weight|health|measurement|scale|weight"},
 {0xf5cd, false, "hanging weight|anvil|heavy|measurement"},
-{0xf193, false, "wheelchair|handicap|person"},
+{0xf193, false, "wheelchair|accessible|handicap|person"},
 {0xf1eb, false, "wifi|connection|hotspot|internet|network|wireless"},
-{0xf72e, false, "wind|air|blow|breeze|fall|seasonal"},
-{0xf410, false, "window close"},
-{0xf2d0, false, "window maximize"},
-{0xf2d1, false, "window minimize"},
-{0xf2d2, false, "window restore"},
-{0xf72f, false, "wine bottle|alcohol|beverage|drink|glass|grapes"},
-{0xf4e3, false, "wine glass|alcohol|beverage|drink|grapes"},
-{0xf5ce, false, "alternate wine glas|alcohol|beverage|drink|grapes"},
-{0xf159, false, "won sign|krw"},
-{0xf0ad, false, "wrench|fix|settings|spanner|tool|update"},
-{0xf497, false, "x-ray|radiological images|radiology"},
+{0xf72e, false, "wind|air|blow|breeze|fall|seasonal|weather"},
+{0xf410, false, "window close|browser|cancel|computer|development"},
+{0xf2d0, false, "window maximize|browser|computer|development|expand"},
+{0xf2d1, false, "window minimize|browser|collapse|computer|development"},
+{0xf2d2, false, "window restore|browser|computer|development"},
+{0xf72f, false, "wine bottle|alcohol|beverage|cabernet|drink|glass|grapes|merlot|sauvignon"},
+{0xf4e3, false, "wine glass|alcohol|beverage|cabernet|drink|grapes|merlot|sauvignon"},
+{0xf5ce, false, "alternate wine glas|alcohol|beverage|cabernet|drink|grapes|merlot|sauvignon"},
+{0xf159, false, "won sign|currency|krw|money"},
+{0xf0ad, false, "wrench|construction|fix|mechanic|plumbing|settings|spanner|tool|update"},
+{0xf497, false, "x-ray|health|medical|radiological images|radiology|skeleton"},
 {0xf157, false, "yen sign|currency|jpy|money"},
 {0xf6ad, false, "yin yang|daoism|opposites|taoism"},
 {0xf26e, true, "500px"},
@@ -931,6 +1011,7 @@ constexpr Icon iconList[] = {
 {0xf778, true, "adobe|acrobat|app|design|illustrator|indesign|photoshop"},
 {0xf36a, true, "adversal"},
 {0xf36b, true, "affiliatetheme"},
+{0xf834, true, "airbnb"},
 {0xf36c, true, "algolia"},
 {0xf642, true, "alipay"},
 {0xf270, true, "amazon"},
@@ -943,7 +1024,7 @@ constexpr Icon iconList[] = {
 {0xf36f, true, "app store"},
 {0xf370, true, "ios app store"},
 {0xf371, true, "apper systems ab"},
-{0xf179, true, "apple|food|fruit|ios|mac|operating system|os|osx"},
+{0xf179, true, "apple|fruit|ios|mac|operating system|os|osx"},
 {0xf415, true, "apple pay"},
 {0xf77a, true, "artstation"},
 {0xf372, true, "asymmetrik, ltd."},
@@ -954,6 +1035,7 @@ constexpr Icon iconList[] = {
 {0xf421, true, "aviato"},
 {0xf375, true, "amazon web services (aws)"},
 {0xf2d5, true, "bandcamp"},
+{0xf835, true, "battle.net"},
 {0xf1b4, true, "behance"},
 {0xf1b5, true, "behance square"},
 {0xf378, true, "bimobject"},
@@ -966,8 +1048,11 @@ constexpr Icon iconList[] = {
 {0xf37d, true, "blogger b"},
 {0xf293, true, "bluetooth"},
 {0xf294, true, "bluetooth"},
+{0xf836, true, "bootstrap"},
 {0xf15a, true, "btc"},
+{0xf837, true, "buffer"},
 {0xf37f, true, "büromöbel-experte gmbh & co. kg."},
+{0xf8a6, true, "buy n large"},
 {0xf20d, true, "buysellads"},
 {0xf785, true, "canadian maple leaf|canada|flag|flora|nature|plant"},
 {0xf42d, true, "amazon pay credit card"},
@@ -983,6 +1068,7 @@ constexpr Icon iconList[] = {
 {0xf380, true, "centercode"},
 {0xf789, true, "centos|linux|operating system|os"},
 {0xf268, true, "chrome|browser"},
+{0xf838, true, "chromecast"},
 {0xf383, true, "cloudscale.ch"},
 {0xf384, true, "cloudsmith"},
 {0xf385, true, "cloudversify"},
@@ -991,6 +1077,7 @@ constexpr Icon iconList[] = {
 {0xf78d, true, "confluence|atlassian"},
 {0xf20e, true, "connect develop"},
 {0xf26d, true, "contao"},
+{0xf89e, true, "cotton bureau|clothing|t-shirts|tshirts"},
 {0xf388, true, "cpanel"},
 {0xf25e, true, "creative commons"},
 {0xf4e7, true, "creative commons attribution"},
@@ -1012,13 +1099,14 @@ constexpr Icon iconList[] = {
 {0xf38c, true, "cuttlefish"},
 {0xf38d, true, "dungeons & dragons"},
 {0xf6ca, true, "d&d beyond|Dungeons & Dragons|d&d|dnd|fantasy|gaming|tabletop"},
+{0xf952, true, "dailymotion"},
 {0xf210, true, "dashcube"},
-{0xf1a5, true, "delicious logo"},
+{0xf1a5, true, "delicious"},
 {0xf38e, true, "deploy.dog"},
 {0xf38f, true, "deskpro"},
 {0xf6cc, true, "dev"},
 {0xf1bd, true, "deviantart"},
-{0xf790, true, "dhl|Dalsey, Hillblom and Lynn|german|package|shipping"},
+{0xf790, true, "dhl|Dalsey|Hillblom and Lynn|german|package|shipping"},
 {0xf791, true, "diaspora"},
 {0xf1a6, true, "digg logo"},
 {0xf391, true, "digital ocean"},
@@ -1043,6 +1131,7 @@ constexpr Icon iconList[] = {
 {0xf39d, true, "erlang"},
 {0xf42e, true, "ethereum"},
 {0xf2d7, true, "etsy"},
+{0xf839, true, "evernote"},
 {0xf23e, true, "expeditedssl"},
 {0xf09a, true, "facebook|facebook-official|social network"},
 {0xf39e, true, "facebook f|facebook"},
@@ -1053,6 +1142,7 @@ constexpr Icon iconList[] = {
 {0xf798, true, "fedora|linux|operating system|os"},
 {0xf799, true, "figma|app|design|interface"},
 {0xf269, true, "firefox|browser"},
+{0xf907, true, "firefox browser|browser"},
 {0xf2b0, true, "first order"},
 {0xf50a, true, "alternate first order"},
 {0xf3a1, true, "firstdraft"},
@@ -1069,7 +1159,7 @@ constexpr Icon iconList[] = {
 {0xf3a3, true, "alternate fort awesome|castle"},
 {0xf211, true, "forumbee"},
 {0xf180, true, "foursquare"},
-{0xf2c5, true, "free code camp"},
+{0xf2c5, true, "freecodecamp"},
 {0xf3a4, true, "freebsd"},
 {0xf50b, true, "fulcrum"},
 {0xf50c, true, "galactic republic|politics|star wars"},
@@ -1078,6 +1168,7 @@ constexpr Icon iconList[] = {
 {0xf260, true, "gg currency"},
 {0xf261, true, "gg currency circle"},
 {0xf1d3, true, "git"},
+{0xf841, true, "git alt"},
 {0xf1d2, true, "git square"},
 {0xf09b, true, "github|octocat"},
 {0xf113, true, "alternate github|octocat"},
@@ -1113,12 +1204,15 @@ constexpr Icon iconList[] = {
 {0xf27c, true, "houzz"},
 {0xf13b, true, "html 5 logo"},
 {0xf3b2, true, "hubspot"},
+{0xf913, true, "ideal"},
 {0xf2d8, true, "imdb"},
 {0xf16d, true, "instagram"},
+{0xf955, true, "instagram square"},
 {0xf7af, true, "intercom|app|customer|messenger"},
 {0xf26b, true, "internet-explorer|browser|ie"},
 {0xf7b0, true, "invision|app|design|interface"},
 {0xf208, true, "ioxhost"},
+{0xf83a, true, "itch.io"},
 {0xf3b4, true, "itunes"},
 {0xf3b5, true, "itunes note"},
 {0xf4e4, true, "java"},
@@ -1153,6 +1247,7 @@ constexpr Icon iconList[] = {
 {0xf60f, true, "markdown"},
 {0xf4f6, true, "mastodon"},
 {0xf136, true, "maxcdn"},
+{0xf8ca, true, "material design for bootstrap"},
 {0xf3c6, true, "medapps"},
 {0xf23a, true, "medium"},
 {0xf3c7, true, "medium m"},
@@ -1160,16 +1255,17 @@ constexpr Icon iconList[] = {
 {0xf2e0, true, "meetup"},
 {0xf5a3, true, "megaport"},
 {0xf7b3, true, "mendeley"},
+{0xf91a, true, "micro.blog"},
 {0xf3ca, true, "microsoft"},
 {0xf3cb, true, "mix"},
 {0xf289, true, "mixcloud"},
+{0xf956, true, "mixer"},
 {0xf3cc, true, "mizuni"},
 {0xf285, true, "modx"},
 {0xf3d0, true, "monero"},
 {0xf3d2, true, "napster"},
 {0xf612, true, "neos"},
 {0xf5a8, true, "nimblr"},
-{0xf418, true, "nintendo switch"},
 {0xf419, true, "node.js"},
 {0xf3d3, true, "node.js js"},
 {0xf3d4, true, "npm"},
@@ -1182,6 +1278,7 @@ constexpr Icon iconList[] = {
 {0xf19b, true, "openid"},
 {0xf26a, true, "opera"},
 {0xf23c, true, "optin monster"},
+{0xf8d2, true, "orcid"},
 {0xf41a, true, "open source initiative"},
 {0xf3d7, true, "page4 corporation"},
 {0xf18c, true, "pagelines|eco|flora|leaf|leaves|nature|plant|tree"},
@@ -1195,9 +1292,10 @@ constexpr Icon iconList[] = {
 {0xf511, true, "phoenix squadron"},
 {0xf457, true, "php"},
 {0xf2ae, true, "pied piper logo"},
-{0xf1a8, true, "alternate pied piper logo"},
-{0xf4e5, true, "pied piper-hat|clothing"},
+{0xf1a8, true, "alternate pied piper logo (old)"},
+{0xf4e5, true, "pied piper hat (old)|clothing"},
 {0xf1a7, true, "pied piper pp logo (old)"},
+{0xf91e, true, "pied piper square logo (old)"},
 {0xf0d2, true, "pinterest"},
 {0xf231, true, "pinterest p"},
 {0xf0d3, true, "pinterest square"},
@@ -1228,6 +1326,7 @@ constexpr Icon iconList[] = {
 {0xf3e8, true, "rocket.chat"},
 {0xf3e9, true, "rockrms"},
 {0xf267, true, "safari|browser"},
+{0xf83b, true, "salesforce"},
 {0xf41e, true, "sass"},
 {0xf3ea, true, "schlix"},
 {0xf28a, true, "scribd"},
@@ -1236,6 +1335,7 @@ constexpr Icon iconList[] = {
 {0xf213, true, "sellsy"},
 {0xf3ec, true, "servicestack"},
 {0xf214, true, "shirts in bulk"},
+{0xf957, true, "shopify"},
 {0xf5b5, true, "shopware"},
 {0xf215, true, "simplybuilt"},
 {0xf3ee, true, "sistrix"},
@@ -1252,10 +1352,12 @@ constexpr Icon iconList[] = {
 {0xf1be, true, "soundcloud"},
 {0xf7d3, true, "sourcetree"},
 {0xf3f3, true, "speakap"},
+{0xf83c, true, "speaker deck"},
 {0xf1bc, true, "spotify"},
 {0xf5be, true, "squarespace"},
 {0xf18d, true, "stack exchange"},
 {0xf16c, true, "stack overflow"},
+{0xf842, true, "stackpath"},
 {0xf3f5, true, "staylinked"},
 {0xf1b6, true, "steam"},
 {0xf1b7, true, "steam square"},
@@ -1270,6 +1372,8 @@ constexpr Icon iconList[] = {
 {0xf2dd, true, "superpowers"},
 {0xf3f9, true, "supple"},
 {0xf7d6, true, "suse|linux|operating system|os"},
+{0xf8e1, true, "swift"},
+{0xf83d, true, "symfony"},
 {0xf4f9, true, "teamspeak"},
 {0xf2c6, true, "telegram"},
 {0xf3fe, true, "telegram plane"},
@@ -1290,7 +1394,9 @@ constexpr Icon iconList[] = {
 {0xf402, true, "uber"},
 {0xf7df, true, "ubuntu|linux|operating system|os"},
 {0xf403, true, "uikit"},
+{0xf8e8, true, "umbraco"},
 {0xf404, true, "uniregistry"},
+{0xf949, true, "unity 3d"},
 {0xf405, true, "untappd"},
 {0xf7e0, true, "ups|United Parcel Service|package|shipping"},
 {0xf287, true, "usb"},
@@ -1308,6 +1414,7 @@ constexpr Icon iconList[] = {
 {0xf189, true, "vk"},
 {0xf40b, true, "vnv"},
 {0xf41f, true, "vue.js"},
+{0xf83f, true, "waze"},
 {0xf5cc, true, "weebly"},
 {0xf18a, true, "weibo"},
 {0xf1d7, true, "weixin (wechat)"},
@@ -1330,6 +1437,7 @@ constexpr Icon iconList[] = {
 {0xf169, true, "xing square"},
 {0xf23b, true, "y combinator"},
 {0xf19e, true, "yahoo logo"},
+{0xf840, true, "yammer"},
 {0xf413, true, "yandex"},
 {0xf414, true, "yandex international"},
 {0xf7e3, true, "yarn"},
diff -pruN 3.10.0-1/src/gui/iconselectbutton.cpp 3.11.0-1/src/gui/iconselectbutton.cpp
--- 3.10.0-1/src/gui/iconselectbutton.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/iconselectbutton.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/iconselectbutton.h 3.11.0-1/src/gui/iconselectbutton.h
--- 3.10.0-1/src/gui/iconselectbutton.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/iconselectbutton.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/iconselectdialog.cpp 3.11.0-1/src/gui/iconselectdialog.cpp
--- 3.10.0-1/src/gui/iconselectdialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/iconselectdialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -165,7 +165,7 @@ IconSelectDialog::IconSelectDialog(const
     , m_iconList(new IconListWidget(this))
     , m_selectedIcon(defaultIcon)
 {
-    setWindowTitle( tr("CopyQ Select Icon") );
+    setWindowTitle( tr("Select Icon") );
 
     connect( m_iconList, &QAbstractItemView::activated,
              this, &IconSelectDialog::onIconListItemActivated );
diff -pruN 3.10.0-1/src/gui/iconselectdialog.h 3.11.0-1/src/gui/iconselectdialog.h
--- 3.10.0-1/src/gui/iconselectdialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/iconselectdialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/icons.h 3.11.0-1/src/gui/icons.h
--- 3.10.0-1/src/gui/icons.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/icons.h	2020-05-01 06:22:49.000000000 +0000
@@ -17,6 +17,7 @@ enum IconId {
     IconAdversal = 0xf36a,
     IconAffiliatetheme = 0xf36b,
     IconAirFreshener = 0xf5d0,
+    IconAirbnb = 0xf834,
     IconAlgolia = 0xf36c,
     IconAlignCenter = 0xf037,
     IconAlignJustify = 0xf039,
@@ -86,7 +87,11 @@ enum IconId {
     IconBabyCarriage = 0xf77d,
     IconBackspace = 0xf55a,
     IconBackward = 0xf04a,
+    IconBacon = 0xf7e5,
+    IconBahai = 0xf666,
     IconBalanceScale = 0xf24e,
+    IconBalanceScaleLeft = 0xf515,
+    IconBalanceScaleRight = 0xf516,
     IconBan = 0xf05e,
     IconBandAid = 0xf462,
     IconBandcamp = 0xf2d5,
@@ -100,6 +105,7 @@ enum IconId {
     IconBatteryHalf = 0xf242,
     IconBatteryQuarter = 0xf243,
     IconBatteryThreeQuarters = 0xf241,
+    IconBattleNet = 0xf835,
     IconBed = 0xf236,
     IconBeer = 0xf0fc,
     IconBehance = 0xf1b4,
@@ -109,6 +115,7 @@ enum IconId {
     IconBezierCurve = 0xf55b,
     IconBible = 0xf647,
     IconBicycle = 0xf206,
+    IconBiking = 0xf84a,
     IconBimobject = 0xf378,
     IconBinoculars = 0xf1e5,
     IconBiohazard = 0xf780,
@@ -133,21 +140,29 @@ enum IconId {
     IconBong = 0xf55c,
     IconBook = 0xf02d,
     IconBookDead = 0xf6b7,
+    IconBookMedical = 0xf7e6,
     IconBookOpen = 0xf518,
     IconBookReader = 0xf5da,
     IconBookmark = 0xf02e,
+    IconBootstrap = 0xf836,
+    IconBorderAll = 0xf84c,
+    IconBorderNone = 0xf850,
+    IconBorderStyle = 0xf853,
     IconBowlingBall = 0xf436,
     IconBox = 0xf466,
     IconBoxOpen = 0xf49e,
+    IconBoxTissue = 0xf95b,
     IconBoxes = 0xf468,
     IconBraille = 0xf2a1,
     IconBrain = 0xf5dc,
+    IconBreadSlice = 0xf7ec,
     IconBriefcase = 0xf0b1,
     IconBriefcaseMedical = 0xf469,
     IconBroadcastTower = 0xf519,
     IconBroom = 0xf51a,
     IconBrush = 0xf55d,
     IconBtc = 0xf15a,
+    IconBuffer = 0xf837,
     IconBug = 0xf188,
     IconBuilding = 0xf1ad,
     IconBullhorn = 0xf0a1,
@@ -157,6 +172,7 @@ enum IconId {
     IconBus = 0xf207,
     IconBusAlt = 0xf55e,
     IconBusinessTime = 0xf64a,
+    IconBuyNLarge = 0xf8a6,
     IconBuysellads = 0xf20d,
     IconCalculator = 0xf1ec,
     IconCalendar = 0xf133,
@@ -179,6 +195,7 @@ enum IconId {
     IconCarBattery = 0xf5df,
     IconCarCrash = 0xf5e1,
     IconCarSide = 0xf5e4,
+    IconCaravan = 0xf8ff,
     IconCaretDown = 0xf0d7,
     IconCaretLeft = 0xf0d9,
     IconCaretRight = 0xf0da,
@@ -217,6 +234,7 @@ enum IconId {
     IconCheckCircle = 0xf058,
     IconCheckDouble = 0xf560,
     IconCheckSquare = 0xf14a,
+    IconCheese = 0xf7ef,
     IconChess = 0xf439,
     IconChessBishop = 0xf43a,
     IconChessBoard = 0xf43c,
@@ -235,10 +253,12 @@ enum IconId {
     IconChevronUp = 0xf077,
     IconChild = 0xf1ae,
     IconChrome = 0xf268,
+    IconChromecast = 0xf838,
     IconChurch = 0xf51d,
     IconCircle = 0xf111,
     IconCircleNotch = 0xf1ce,
     IconCity = 0xf64f,
+    IconClinicMedical = 0xf7f2,
     IconClipboard = 0xf328,
     IconClipboardCheck = 0xf46c,
     IconClipboardList = 0xf46d,
@@ -272,12 +292,14 @@ enum IconId {
     IconCommentAlt = 0xf27a,
     IconCommentDollar = 0xf651,
     IconCommentDots = 0xf4ad,
+    IconCommentMedical = 0xf7f5,
     IconCommentSlash = 0xf4b3,
     IconComments = 0xf086,
     IconCommentsDollar = 0xf653,
     IconCompactDisc = 0xf51f,
     IconCompass = 0xf14e,
     IconCompress = 0xf066,
+    IconCompressAlt = 0xf422,
     IconCompressArrowsAlt = 0xf78c,
     IconConciergeBell = 0xf562,
     IconConfluence = 0xf78d,
@@ -287,6 +309,7 @@ enum IconId {
     IconCookieBite = 0xf564,
     IconCopy = 0xf0c5,
     IconCopyright = 0xf1f9,
+    IconCottonBureau = 0xf89e,
     IconCouch = 0xf4b8,
     IconCpanel = 0xf388,
     IconCreativeCommons = 0xf25e,
@@ -311,6 +334,7 @@ enum IconId {
     IconCrosshairs = 0xf05b,
     IconCrow = 0xf520,
     IconCrown = 0xf521,
+    IconCrutch = 0xf7f7,
     IconCss3 = 0xf13c,
     IconCss3Alt = 0xf38b,
     IconCube = 0xf1b2,
@@ -319,6 +343,7 @@ enum IconId {
     IconCuttlefish = 0xf38c,
     IconDAndD = 0xf38d,
     IconDAndDBeyond = 0xf6ca,
+    IconDailymotion = 0xf952,
     IconDashcube = 0xf210,
     IconDatabase = 0xf1c0,
     IconDeaf = 0xf2a4,
@@ -348,6 +373,7 @@ enum IconId {
     IconDirections = 0xf5eb,
     IconDiscord = 0xf392,
     IconDiscourse = 0xf393,
+    IconDisease = 0xf7fa,
     IconDivide = 0xf529,
     IconDizzy = 0xf567,
     IconDna = 0xf471,
@@ -383,6 +409,7 @@ enum IconId {
     IconEbay = 0xf4f4,
     IconEdge = 0xf282,
     IconEdit = 0xf044,
+    IconEgg = 0xf7fb,
     IconEject = 0xf052,
     IconElementor = 0xf430,
     IconEllipsisH = 0xf141,
@@ -402,11 +429,13 @@ enum IconId {
     IconEthernet = 0xf796,
     IconEtsy = 0xf2d7,
     IconEuroSign = 0xf153,
+    IconEvernote = 0xf839,
     IconExchangeAlt = 0xf362,
     IconExclamation = 0xf12a,
     IconExclamationCircle = 0xf06a,
     IconExclamationTriangle = 0xf071,
     IconExpand = 0xf065,
+    IconExpandAlt = 0xf424,
     IconExpandArrowsAlt = 0xf31e,
     IconExpeditedssl = 0xf23e,
     IconExternalLinkAlt = 0xf35d,
@@ -418,9 +447,11 @@ enum IconId {
     IconFacebookF = 0xf39e,
     IconFacebookMessenger = 0xf39f,
     IconFacebookSquare = 0xf082,
+    IconFan = 0xf863,
     IconFantasyFlightGames = 0xf6dc,
     IconFastBackward = 0xf049,
     IconFastForward = 0xf050,
+    IconFaucet = 0xf905,
     IconFax = 0xf1ac,
     IconFeather = 0xf52d,
     IconFeatherAlt = 0xf56b,
@@ -461,6 +492,7 @@ enum IconId {
     IconFireAlt = 0xf7e4,
     IconFireExtinguisher = 0xf134,
     IconFirefox = 0xf269,
+    IconFirefoxBrowser = 0xf907,
     IconFirstAid = 0xf479,
     IconFirstOrder = 0xf2b0,
     IconFirstOrderAlt = 0xf50a,
@@ -514,6 +546,7 @@ enum IconId {
     IconGift = 0xf06b,
     IconGifts = 0xf79c,
     IconGit = 0xf1d3,
+    IconGitAlt = 0xf841,
     IconGitSquare = 0xf1d2,
     IconGithub = 0xf09b,
     IconGithubAlt = 0xf113,
@@ -576,12 +609,16 @@ enum IconId {
     IconHackerNews = 0xf1d4,
     IconHackerNewsSquare = 0xf3af,
     IconHackerrank = 0xf5f7,
+    IconHamburger = 0xf805,
     IconHammer = 0xf6e3,
     IconHamsa = 0xf665,
     IconHandHolding = 0xf4bd,
     IconHandHoldingHeart = 0xf4be,
+    IconHandHoldingMedical = 0xf95c,
     IconHandHoldingUsd = 0xf4c0,
+    IconHandHoldingWater = 0xf4c1,
     IconHandLizard = 0xf258,
+    IconHandMiddleFinger = 0xf806,
     IconHandPaper = 0xf256,
     IconHandPeace = 0xf25b,
     IconHandPointDown = 0xf0a7,
@@ -591,15 +628,25 @@ enum IconId {
     IconHandPointer = 0xf25a,
     IconHandRock = 0xf255,
     IconHandScissors = 0xf257,
+    IconHandSparkles = 0xf95d,
     IconHandSpock = 0xf259,
     IconHands = 0xf4c2,
     IconHandsHelping = 0xf4c4,
+    IconHandsWash = 0xf95e,
     IconHandshake = 0xf2b5,
+    IconHandshakeAltSlash = 0xf95f,
+    IconHandshakeSlash = 0xf960,
     IconHanukiah = 0xf6e6,
+    IconHardHat = 0xf807,
     IconHashtag = 0xf292,
+    IconHatCowboy = 0xf8c0,
+    IconHatCowboySide = 0xf8c1,
     IconHatWizard = 0xf6e8,
-    IconHaykal = 0xf666,
     IconHdd = 0xf0a0,
+    IconHeadSideCough = 0xf961,
+    IconHeadSideCoughSlash = 0xf962,
+    IconHeadSideMask = 0xf963,
+    IconHeadSideVirus = 0xf964,
     IconHeading = 0xf1dc,
     IconHeadphones = 0xf025,
     IconHeadphonesAlt = 0xf58f,
@@ -624,7 +671,9 @@ enum IconId {
     IconHospital = 0xf0f8,
     IconHospitalAlt = 0xf47d,
     IconHospitalSymbol = 0xf47e,
+    IconHospitalUser = 0xf80d,
     IconHotTub = 0xf593,
+    IconHotdog = 0xf80f,
     IconHotel = 0xf594,
     IconHotjar = 0xf3b1,
     IconHourglass = 0xf254,
@@ -632,15 +681,19 @@ enum IconId {
     IconHourglassHalf = 0xf252,
     IconHourglassStart = 0xf251,
     IconHouseDamage = 0xf6f1,
+    IconHouseUser = 0xf965,
     IconHouzz = 0xf27c,
     IconHryvnia = 0xf6f2,
     IconHtml5 = 0xf13b,
     IconHubspot = 0xf3b2,
     IconICursor = 0xf246,
+    IconIceCream = 0xf810,
     IconIcicles = 0xf7ad,
+    IconIcons = 0xf86d,
     IconIdBadge = 0xf2c1,
     IconIdCard = 0xf2c2,
     IconIdCardAlt = 0xf47f,
+    IconIdeal = 0xf913,
     IconIgloo = 0xf7ae,
     IconImage = 0xf03e,
     IconImages = 0xf302,
@@ -652,11 +705,13 @@ enum IconId {
     IconInfo = 0xf129,
     IconInfoCircle = 0xf05a,
     IconInstagram = 0xf16d,
+    IconInstagramSquare = 0xf955,
     IconIntercom = 0xf7af,
     IconInternetExplorer = 0xf26b,
     IconInvision = 0xf7b0,
     IconIoxhost = 0xf208,
     IconItalic = 0xf033,
+    IconItchIo = 0xf83a,
     IconItunes = 0xf3b4,
     IconItunesNote = 0xf3b5,
     IconJava = 0xf4e4,
@@ -689,6 +744,8 @@ enum IconId {
     IconLanguage = 0xf1ab,
     IconLaptop = 0xf109,
     IconLaptopCode = 0xf5fc,
+    IconLaptopHouse = 0xf966,
+    IconLaptopMedical = 0xf812,
     IconLaravel = 0xf3bd,
     IconLastfm = 0xf202,
     IconLastfmSquare = 0xf203,
@@ -727,6 +784,8 @@ enum IconId {
     IconLongArrowAltUp = 0xf30c,
     IconLowVision = 0xf2a8,
     IconLuggageCart = 0xf59d,
+    IconLungs = 0xf604,
+    IconLungsVirus = 0xf967,
     IconLyft = 0xf3c3,
     IconMagento = 0xf3c4,
     IconMagic = 0xf0d0,
@@ -752,6 +811,7 @@ enum IconId {
     IconMask = 0xf6fa,
     IconMastodon = 0xf4f6,
     IconMaxcdn = 0xf136,
+    IconMdb = 0xf8ca,
     IconMedal = 0xf5a2,
     IconMedapps = 0xf3c6,
     IconMedium = 0xf23a,
@@ -768,6 +828,7 @@ enum IconId {
     IconMenorah = 0xf676,
     IconMercury = 0xf223,
     IconMeteor = 0xf753,
+    IconMicroblog = 0xf91a,
     IconMicrochip = 0xf2db,
     IconMicrophone = 0xf130,
     IconMicrophoneAlt = 0xf3c9,
@@ -781,6 +842,7 @@ enum IconId {
     IconMitten = 0xf7b5,
     IconMix = 0xf3cb,
     IconMixcloud = 0xf289,
+    IconMixer = 0xf956,
     IconMizuni = 0xf3cc,
     IconMobile = 0xf10b,
     IconMobileAlt = 0xf3cd,
@@ -798,6 +860,7 @@ enum IconId {
     IconMosque = 0xf678,
     IconMotorcycle = 0xf21c,
     IconMountain = 0xf6fc,
+    IconMouse = 0xf8cc,
     IconMousePointer = 0xf245,
     IconMugHot = 0xf7b6,
     IconMusic = 0xf001,
@@ -807,7 +870,6 @@ enum IconId {
     IconNeuter = 0xf22c,
     IconNewspaper = 0xf1ea,
     IconNimblr = 0xf5a8,
-    IconNintendoSwitch = 0xf418,
     IconNode = 0xf419,
     IconNodeJs = 0xf3d3,
     IconNotEqual = 0xf53e,
@@ -826,11 +888,13 @@ enum IconId {
     IconOpenid = 0xf19b,
     IconOpera = 0xf26a,
     IconOptinMonster = 0xf23c,
+    IconOrcid = 0xf8d2,
     IconOsi = 0xf41a,
     IconOtter = 0xf700,
     IconOutdent = 0xf03b,
     IconPage4 = 0xf3d7,
     IconPagelines = 0xf18c,
+    IconPager = 0xf815,
     IconPaintBrush = 0xf1fc,
     IconPaintRoller = 0xf5aa,
     IconPalette = 0xf53f,
@@ -858,7 +922,9 @@ enum IconId {
     IconPencilAlt = 0xf303,
     IconPencilRuler = 0xf5ae,
     IconPennyArcade = 0xf704,
+    IconPeopleArrows = 0xf968,
     IconPeopleCarry = 0xf4ce,
+    IconPepperHot = 0xf816,
     IconPercent = 0xf295,
     IconPercentage = 0xf541,
     IconPeriscope = 0xf3da,
@@ -867,23 +933,29 @@ enum IconId {
     IconPhoenixFramework = 0xf3dc,
     IconPhoenixSquadron = 0xf511,
     IconPhone = 0xf095,
+    IconPhoneAlt = 0xf879,
     IconPhoneSlash = 0xf3dd,
     IconPhoneSquare = 0xf098,
+    IconPhoneSquareAlt = 0xf87b,
     IconPhoneVolume = 0xf2a0,
+    IconPhotoVideo = 0xf87c,
     IconPhp = 0xf457,
     IconPiedPiper = 0xf2ae,
     IconPiedPiperAlt = 0xf1a8,
     IconPiedPiperHat = 0xf4e5,
     IconPiedPiperPp = 0xf1a7,
+    IconPiedPiperSquare = 0xf91e,
     IconPiggyBank = 0xf4d3,
     IconPills = 0xf484,
     IconPinterest = 0xf0d2,
     IconPinterestP = 0xf231,
     IconPinterestSquare = 0xf0d3,
+    IconPizzaSlice = 0xf818,
     IconPlaceOfWorship = 0xf67f,
     IconPlane = 0xf072,
     IconPlaneArrival = 0xf5af,
     IconPlaneDeparture = 0xf5b0,
+    IconPlaneSlash = 0xf969,
     IconPlay = 0xf04b,
     IconPlayCircle = 0xf144,
     IconPlaystation = 0xf3df,
@@ -909,6 +981,8 @@ enum IconId {
     IconProcedures = 0xf487,
     IconProductHunt = 0xf288,
     IconProjectDiagram = 0xf542,
+    IconPumpMedical = 0xf96a,
+    IconPumpSoap = 0xf96b,
     IconPushed = 0xf3e1,
     IconPuzzlePiece = 0xf12e,
     IconPython = 0xf3e2,
@@ -934,6 +1008,7 @@ enum IconId {
     IconReadme = 0xf4d5,
     IconRebel = 0xf1d0,
     IconReceipt = 0xf543,
+    IconRecordVinyl = 0xf8d9,
     IconRecycle = 0xf1b8,
     IconRedRiver = 0xf3e3,
     IconReddit = 0xf1a1,
@@ -943,6 +1018,7 @@ enum IconId {
     IconRedo = 0xf01e,
     IconRedoAlt = 0xf2f9,
     IconRegistered = 0xf25d,
+    IconRemoveFormat = 0xf87d,
     IconRenren = 0xf18b,
     IconReply = 0xf3e5,
     IconReplyAll = 0xf122,
@@ -973,6 +1049,7 @@ enum IconId {
     IconSadCry = 0xf5b3,
     IconSadTear = 0xf5b4,
     IconSafari = 0xf267,
+    IconSalesforce = 0xf83b,
     IconSass = 0xf41e,
     IconSatellite = 0xf7bf,
     IconSatelliteDish = 0xf7c0,
@@ -1001,10 +1078,12 @@ enum IconId {
     IconShareSquare = 0xf14d,
     IconShekelSign = 0xf20b,
     IconShieldAlt = 0xf3ed,
+    IconShieldVirus = 0xf96c,
     IconShip = 0xf21a,
     IconShippingFast = 0xf48b,
     IconShirtsinbulk = 0xf214,
     IconShoePrints = 0xf54b,
+    IconShopify = 0xf957,
     IconShoppingBag = 0xf290,
     IconShoppingBasket = 0xf291,
     IconShoppingCart = 0xf07a,
@@ -1050,22 +1129,31 @@ enum IconId {
     IconSnowflake = 0xf2dc,
     IconSnowman = 0xf7d0,
     IconSnowplow = 0xf7d2,
+    IconSoap = 0xf96e,
     IconSocks = 0xf696,
     IconSolarPanel = 0xf5ba,
     IconSort = 0xf0dc,
     IconSortAlphaDown = 0xf15d,
+    IconSortAlphaDownAlt = 0xf881,
     IconSortAlphaUp = 0xf15e,
+    IconSortAlphaUpAlt = 0xf882,
     IconSortAmountDown = 0xf160,
+    IconSortAmountDownAlt = 0xf884,
     IconSortAmountUp = 0xf161,
+    IconSortAmountUpAlt = 0xf885,
     IconSortDown = 0xf0dd,
     IconSortNumericDown = 0xf162,
+    IconSortNumericDownAlt = 0xf886,
     IconSortNumericUp = 0xf163,
+    IconSortNumericUpAlt = 0xf887,
     IconSortUp = 0xf0de,
     IconSoundcloud = 0xf1be,
     IconSourcetree = 0xf7d3,
     IconSpa = 0xf5bb,
     IconSpaceShuttle = 0xf197,
     IconSpeakap = 0xf3f3,
+    IconSpeakerDeck = 0xf83c,
+    IconSpellCheck = 0xf891,
     IconSpider = 0xf717,
     IconSpinner = 0xf110,
     IconSplotch = 0xf5bc,
@@ -1077,6 +1165,7 @@ enum IconId {
     IconSquarespace = 0xf5be,
     IconStackExchange = 0xf18d,
     IconStackOverflow = 0xf16c,
+    IconStackpath = 0xf842,
     IconStamp = 0xf5bf,
     IconStar = 0xf005,
     IconStarAndCrescent = 0xf699,
@@ -1096,8 +1185,11 @@ enum IconId {
     IconStop = 0xf04d,
     IconStopCircle = 0xf28d,
     IconStopwatch = 0xf2f2,
+    IconStopwatch20 = 0xf96f,
     IconStore = 0xf54e,
     IconStoreAlt = 0xf54f,
+    IconStoreAltSlash = 0xf970,
+    IconStoreSlash = 0xf971,
     IconStrava = 0xf428,
     IconStream = 0xf550,
     IconStreetView = 0xf21d,
@@ -1119,8 +1211,10 @@ enum IconId {
     IconSurprise = 0xf5c2,
     IconSuse = 0xf7d6,
     IconSwatchbook = 0xf5c3,
+    IconSwift = 0xf8e1,
     IconSwimmer = 0xf5c4,
     IconSwimmingPool = 0xf5c5,
+    IconSymfony = 0xf83d,
     IconSynagogue = 0xf69b,
     IconSync = 0xf021,
     IconSyncAlt = 0xf2f1,
@@ -1175,6 +1269,7 @@ enum IconId {
     IconToggleOn = 0xf205,
     IconToilet = 0xf7d8,
     IconToiletPaper = 0xf71e,
+    IconToiletPaperSlash = 0xf972,
     IconToolbox = 0xf552,
     IconTools = 0xf7d9,
     IconTooth = 0xf5c9,
@@ -1184,12 +1279,15 @@ enum IconId {
     IconTradeFederation = 0xf513,
     IconTrademark = 0xf25c,
     IconTrafficLight = 0xf637,
+    IconTrailer = 0xf941,
     IconTrain = 0xf238,
     IconTram = 0xf7da,
     IconTransgender = 0xf224,
     IconTransgenderAlt = 0xf225,
     IconTrash = 0xf1f8,
     IconTrashAlt = 0xf2ed,
+    IconTrashRestore = 0xf829,
+    IconTrashRestoreAlt = 0xf82a,
     IconTree = 0xf1bb,
     IconTrello = 0xf181,
     IconTripadvisor = 0xf262,
@@ -1211,12 +1309,14 @@ enum IconId {
     IconUber = 0xf402,
     IconUbuntu = 0xf7df,
     IconUikit = 0xf403,
+    IconUmbraco = 0xf8e8,
     IconUmbrella = 0xf0e9,
     IconUmbrellaBeach = 0xf5ca,
     IconUnderline = 0xf0cd,
     IconUndo = 0xf0e2,
     IconUndoAlt = 0xf2ea,
     IconUniregistry = 0xf404,
+    IconUnity = 0xf949,
     IconUniversalAccess = 0xf29a,
     IconUniversity = 0xf19c,
     IconUnlink = 0xf127,
@@ -1242,6 +1342,7 @@ enum IconId {
     IconUserMd = 0xf0f0,
     IconUserMinus = 0xf503,
     IconUserNinja = 0xf504,
+    IconUserNurse = 0xf82f,
     IconUserPlus = 0xf234,
     IconUserSecret = 0xf21b,
     IconUserShield = 0xf505,
@@ -1273,8 +1374,12 @@ enum IconId {
     IconVimeoSquare = 0xf194,
     IconVimeoV = 0xf27d,
     IconVine = 0xf1ca,
+    IconVirus = 0xf974,
+    IconVirusSlash = 0xf975,
+    IconViruses = 0xf976,
     IconVk = 0xf189,
     IconVnv = 0xf40b,
+    IconVoicemail = 0xf897,
     IconVolleyballBall = 0xf45f,
     IconVolumeDown = 0xf027,
     IconVolumeMute = 0xf6a9,
@@ -1287,6 +1392,8 @@ enum IconId {
     IconWallet = 0xf555,
     IconWarehouse = 0xf494,
     IconWater = 0xf773,
+    IconWaveSquare = 0xf83e,
+    IconWaze = 0xf83f,
     IconWeebly = 0xf5cc,
     IconWeibo = 0xf18a,
     IconWeight = 0xf496,
@@ -1324,6 +1431,7 @@ enum IconId {
     IconXingSquare = 0xf169,
     IconYCombinator = 0xf23b,
     IconYahoo = 0xf19e,
+    IconYammer = 0xf840,
     IconYandex = 0xf413,
     IconYandexInternational = 0xf414,
     IconYarn = 0xf7e3,
diff -pruN 3.10.0-1/src/gui/iconwidget.cpp 3.11.0-1/src/gui/iconwidget.cpp
--- 3.10.0-1/src/gui/iconwidget.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/iconwidget.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/iconwidget.h 3.11.0-1/src/gui/iconwidget.h
--- 3.10.0-1/src/gui/iconwidget.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/iconwidget.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/importexportdialog.cpp 3.11.0-1/src/gui/importexportdialog.cpp
--- 3.10.0-1/src/gui/importexportdialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/importexportdialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/importexportdialog.h 3.11.0-1/src/gui/importexportdialog.h
--- 3.10.0-1/src/gui/importexportdialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/importexportdialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/itemorderlist.cpp 3.11.0-1/src/gui/itemorderlist.cpp
--- 3.10.0-1/src/gui/itemorderlist.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/itemorderlist.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/itemorderlist.h 3.11.0-1/src/gui/itemorderlist.h
--- 3.10.0-1/src/gui/itemorderlist.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/itemorderlist.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/logdialog.cpp 3.11.0-1/src/gui/logdialog.cpp
--- 3.10.0-1/src/gui/logdialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/logdialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/logdialog.h 3.11.0-1/src/gui/logdialog.h
--- 3.10.0-1/src/gui/logdialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/logdialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/mainwindow.cpp 3.11.0-1/src/gui/mainwindow.cpp
--- 3.10.0-1/src/gui/mainwindow.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/mainwindow.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -430,6 +430,7 @@ MainWindow::MainWindow(ItemFactory *item
     ui->tabWidget->addToolBars(this);
     addToolBar(Qt::RightToolBarArea, ui->toolBar);
 
+    ui->dockWidgetItemPreview->setFocusProxy(ui->scrollAreaItemPreview);
     ui->dockWidgetItemPreview->hide();
 
     WindowGeometryGuard::create(this);
@@ -582,6 +583,9 @@ void MainWindow::createMenu()
     QMenu *menu;
     QAction *act;
 
+    // Some action should not be triggered from tab widget or preview dock.
+    QWidget *actionParent = ui->tabWidget;
+
     menubar->clear();
 
     // File
@@ -612,6 +616,12 @@ void MainWindow::createMenu()
     // - show clipboard content
     createAction( Actions::File_ShowClipboardContent, &MainWindow::showClipboardContent, menu );
 
+    // - show preview
+    QAction *togglePreviewAction =
+            createAction( Actions::File_ShowPreview, &MainWindow::toggleItemPreviewVisible, menu );
+    togglePreviewAction->setCheckable(true);
+    togglePreviewAction->setChecked(m_showItemPreview);
+
     // - active commands
     createAction( Actions::File_ProcessManager, &MainWindow::showProcessManagerDialog, menu );
 
@@ -630,25 +640,25 @@ void MainWindow::createMenu()
     menu = menubar->addMenu( tr("&Edit") );
 
     // - find
-    createAction( Actions::Edit_FindItems, &MainWindow::findNextOrPrevious, menu );
+    createAction( Actions::Edit_FindItems, &MainWindow::findNextOrPrevious, menu, actionParent );
 
     // - separator
     menu->addSeparator();
 
     // - sort
-    createAction( Actions::Edit_SortSelectedItems, &MainWindow::sortSelectedItems, menu );
+    createAction( Actions::Edit_SortSelectedItems, &MainWindow::sortSelectedItems, menu, actionParent );
 
     // - reverse order
-    createAction( Actions::Edit_ReverseSelectedItems, &MainWindow::reverseSelectedItems, menu );
+    createAction( Actions::Edit_ReverseSelectedItems, &MainWindow::reverseSelectedItems, menu, actionParent );
 
     // - separator
     menu->addSeparator();
 
     // - paste items
-    createAction( Actions::Edit_PasteItems, &MainWindow::pasteItems, menu );
+    createAction( Actions::Edit_PasteItems, &MainWindow::pasteItems, menu, actionParent );
 
     // - copy items
-    createAction( Actions::Edit_CopySelectedItems, &MainWindow::copyItems, menu );
+    createAction( Actions::Edit_CopySelectedItems, &MainWindow::copyItems, menu, actionParent );
 
     // Items
     m_menuItem = menubar->addMenu( tr("&Item") );
@@ -811,8 +821,6 @@ void MainWindow::updateContextMenuTimeou
 
     addItemAction( Actions::Item_MoveToClipboard, c, &ClipboardBrowser::moveToClipboard );
     addItemAction( Actions::Item_ShowContent, this, &MainWindow::showItemContent );
-    QAction *togglePreviewAction =
-            addItemAction( Actions::Item_ShowPreview, this, &MainWindow::updateItemPreviewTimeout );
     addItemAction( Actions::Item_Remove, c, &ClipboardBrowser::remove );
     addItemAction( Actions::Item_Edit, c, &ClipboardBrowser::editSelected );
     addItemAction( Actions::Item_EditNotes, c, &ClipboardBrowser::editNotes );
@@ -826,11 +834,6 @@ void MainWindow::updateContextMenuTimeou
     addItemAction( Actions::Item_MoveToTop, this, &MainWindow::moveToTop );
     addItemAction( Actions::Item_MoveToBottom, this, &MainWindow::moveToBottom );
 
-    togglePreviewAction->setCheckable(true);
-    togglePreviewAction->setChecked(m_showItemPreview);
-    connect( togglePreviewAction, &QAction::toggled,
-             this, &MainWindow::setItemPreviewVisible, Qt::UniqueConnection );
-
     // Disable the show-preview option when the preview dock is closed.
     connect( ui->dockWidgetItemPreview, &QDockWidget::visibilityChanged,
              this, [this]() {
@@ -873,6 +876,11 @@ void MainWindow::updateItemPreviewTimeou
     m_timerUpdatePreview.stop();
 }
 
+void MainWindow::toggleItemPreviewVisible()
+{
+    setItemPreviewVisible(!m_showItemPreview);
+}
+
 void MainWindow::setItemPreviewVisible(bool visible)
 {
     if (m_showItemPreview == visible)
@@ -980,7 +988,7 @@ void MainWindow::onTabWidgetDropItems(co
     if (browser) {
         const QVariantMap dataMap = data->hasFormat(mimeItems)
                 ? cloneData(*data, QStringList() << mimeItems) : cloneData(*data);
-        browser->paste(dataMap, 0);
+        browser->add(dataMap, 0);
     }
 }
 
@@ -1069,7 +1077,7 @@ void MainWindow::onBrowserCreated(Clipbo
     connect( browser, &ClipboardBrowser::searchHideRequest,
              ui->searchBar, &Utils::FilterLineEdit::hide );
     connect( browser, &ClipboardBrowser::searchShowRequest,
-             ui->searchBar, &Utils::FilterLineEdit::setText );
+             this, &MainWindow::onSearchShowRequest );
     connect( browser, &ClipboardBrowser::itemWidgetCreated,
              this, &MainWindow::onItemWidgetCreated );
 
@@ -1156,6 +1164,13 @@ void MainWindow::onActionDialogAccepted(
     m_actionHandler->action(act);
 }
 
+void MainWindow::onSearchShowRequest(const QString &text)
+{
+    enterSearchMode();
+    ui->searchBar->setText(text);
+    ui->searchBar->end(false);
+}
+
 void MainWindow::runDisplayCommands()
 {
     if ( m_displayItemList.isEmpty() )
@@ -1327,9 +1342,11 @@ ClipboardBrowserPlaceholder *MainWindow:
 }
 
 template <typename SlotReturnType>
-QAction *MainWindow::createAction(int id, MainWindowActionSlot<SlotReturnType> slot, QMenu *menu)
+QAction *MainWindow::createAction(int id, MainWindowActionSlot<SlotReturnType> slot, QMenu *menu, QWidget *parent)
 {
-    QAction *act = actionForMenuItem(id, this, Qt::WindowShortcut);
+    QAction *act = parent
+        ? actionForMenuItem(id, parent, Qt::WidgetWithChildrenShortcut)
+        : actionForMenuItem(id, this, Qt::WindowShortcut);
     connect(act, &QAction::triggered, this, slot, Qt::UniqueConnection);
     if (menu)
         menu->addAction(act);
@@ -1448,7 +1465,9 @@ void MainWindow::runMenuCommandFilters(M
     }
 
     const bool isRunning = isInternalActionId(menuMatchCommands->actionId);
-    if (!isRunning) {
+    if (isRunning) {
+        m_actionHandler->setActionData(menuMatchCommands->actionId, data);
+    } else {
         const auto act = runScript("runMenuCommandFilters()", data);
         menuMatchCommands->actionId = act->id();
     }
@@ -1457,7 +1476,6 @@ void MainWindow::runMenuCommandFilters(M
     QDataStream out(&bytes, QIODevice::WriteOnly);
     out << ++menuMatchCommands->currentRun;
     out << menuMatchCommands->matchCommands;
-    serializeData(&out, data);
     emit sendActionData(menuMatchCommands->actionId, bytes);
 }
 
@@ -1580,8 +1598,13 @@ bool MainWindow::isWindowVisible() const
 void MainWindow::onEscape()
 {
     if ( browseMode() ) {
-        hideWindow();
         auto c = browser();
+        if (c && !c->hasFocus()) {
+            enterBrowseMode();
+            return;
+        }
+
+        hideWindow();
         if (c)
             c->setCurrent(0);
     } else {
@@ -1671,7 +1694,8 @@ void MainWindow::addMenuItems(TrayMenu *
             if ( !itemText.contains(searchText.toLower()) )
                 continue;
         }
-        menu->addClipboardItemAction(index, m_options.trayImages);
+        const QVariantMap data = index.data(contentType::data).toMap();
+        menu->addClipboardItemAction(data, m_options.trayImages);
         ++itemCount;
     }
 }
@@ -1856,7 +1880,7 @@ bool MainWindow::importDataV3(QDataStrea
 
     if (options == ImportOptions::Select) {
         ImportExportDialog importDialog(this);
-        importDialog.setWindowTitle( tr("CopyQ Options for Import") );
+        importDialog.setWindowTitle( tr("Options for Import") );
         importDialog.setTabs(tabs);
         importDialog.setHasConfiguration( !settingsMap.isEmpty() );
         importDialog.setHasCommands( !commandsList.isEmpty() );
@@ -2091,7 +2115,8 @@ bool MainWindow::maybeCloseCommandDialog
 
 void MainWindow::showError(const QString &msg)
 {
-    auto notification = createNotification();
+    const auto notificationId = qHash(msg);
+    auto notification = createNotification( QString::number(notificationId) );
     notification->setTitle( tr("CopyQ Error", "Notification error message title") );
     notification->setMessage(msg);
     notification->setIcon(IconTimesCircle);
@@ -2224,11 +2249,6 @@ void MainWindow::keyPressEvent(QKeyEvent
 
         default:
             QMainWindow::keyPressEvent(event);
-            if ( !event->isAccepted() ) {
-                const auto txt = event->text();
-                if ( !txt.isEmpty() && txt[0].isPrint() )
-                    enterSearchMode(txt);
-            }
             break;
     }
 }
@@ -2407,8 +2427,9 @@ void MainWindow::loadSettings()
     m_options.trayMenuOpenOnLeftClick = appConfig.option<Config::tray_menu_open_on_left_click>();
     m_options.clipboardTab = appConfig.option<Config::clipboard_tab>();
 
-    m_trayMenu->setStyleSheet( theme().getToolTipStyleSheet() );
-    m_menu->setStyleSheet( theme().getToolTipStyleSheet() );
+    const auto toolTipStyleSheet = theme().getToolTipStyleSheet();
+    m_trayMenu->setStyleSheet(toolTipStyleSheet);
+    m_menu->setStyleSheet(toolTipStyleSheet);
 
     setTrayEnabled( !appConfig.option<Config::disable_tray>() );
     updateTrayMenuItems();
@@ -2463,7 +2484,6 @@ void MainWindow::showWindow()
 
     updateFocusWindows();
 
-    restoreWindowGeometry(this, true);
     moveToCurrentWorkspace(this);
 
     if (m_wasMaximized || isMaximized())
@@ -2660,7 +2680,6 @@ void MainWindow::tabsMoved(const QString
     const QStringList tabs = ui->tabWidget->tabs();
     Q_ASSERT( oldPrefix == newPrefix || !tabs.contains(oldPrefix) );
     Q_ASSERT( !tabs.contains(QString()) );
-    Q_ASSERT( tabs.toSet().size() == tabs.size() );
 
     const QString prefix = oldPrefix + '/';
 
@@ -3323,7 +3342,7 @@ void MainWindow::pasteItems()
     QModelIndexList list = c->selectionModel()->selectedIndexes();
     std::sort( list.begin(), list.end() );
     const int row = list.isEmpty() ? 0 : list.first().row();
-    c->paste( cloneData(*data), row );
+    c->add( cloneData(*data), row );
 }
 
 void MainWindow::copyItems()
@@ -3365,7 +3384,7 @@ bool MainWindow::saveTab(const QString &
 bool MainWindow::exportData()
 {
     ImportExportDialog exportDialog(this);
-    exportDialog.setWindowTitle( tr("CopyQ Options for Export") );
+    exportDialog.setWindowTitle( tr("Options for Export") );
     exportDialog.setTabs( ui->tabWidget->tabs() );
     if ( !ui->tabWidget->isTabGroupSelected() )
         exportDialog.setCurrentTab( getPlaceholder()->tabName() );
@@ -3386,7 +3405,7 @@ bool MainWindow::exportData()
 
     if ( !exportDataFrom(fileName, tabs, exportConfiguration, exportCommands) ) {
         QMessageBox::critical(
-                    this, tr("CopyQ Export Error"),
+                    this, tr("Export Error"),
                     tr("Failed to export file %1!")
                     .arg(quoteString(fileName)) );
         return false;
@@ -3475,7 +3494,7 @@ bool MainWindow::importData()
 
     if ( !importDataFrom(fileName, ImportOptions::Select) ) {
         QMessageBox::critical(
-                    this, tr("CopyQ Import Error"),
+                    this, tr("Import Error"),
                     tr("Failed to import file %1!")
                     .arg(quoteString(fileName)) );
         return false;
diff -pruN 3.10.0-1/src/gui/mainwindow.h 3.11.0-1/src/gui/mainwindow.h
--- 3.10.0-1/src/gui/mainwindow.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/mainwindow.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -475,6 +475,7 @@ private:
 
     void updateItemPreviewTimeout();
 
+    void toggleItemPreviewVisible();
     void setItemPreviewVisible(bool visible);
 
     /** Update icon snip animation. */
@@ -511,6 +512,8 @@ private:
 
     void onActionDialogAccepted(const Command &command, const QStringList &arguments, const QVariantMap &data);
 
+    void onSearchShowRequest(const QString &text);
+
     void updateEnabledCommands();
 
     void updateCommands(QVector<Command> allCommands, bool forceSave);
@@ -587,7 +590,7 @@ private:
     bool closeMinimizes() const;
 
     template <typename SlotReturnType>
-    QAction *createAction(int id, MainWindowActionSlot<SlotReturnType> slot, QMenu *menu);
+    QAction *createAction(int id, MainWindowActionSlot<SlotReturnType> slot, QMenu *menu, QWidget *parent = nullptr);
 
     QAction *addTrayAction(int id);
 
diff -pruN 3.10.0-1/src/gui/menuitems.cpp 3.11.0-1/src/gui/menuitems.cpp
--- 3.10.0-1/src/gui/menuitems.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/menuitems.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -75,6 +75,8 @@ MenuItems menuItems()
 
     addMenuItem( items, Actions::File_ShowClipboardContent, QObject::tr("Show &Clipboard Content"),
                   "show_clipboard_content", QObject::tr("Ctrl+Shift+C"), "dialog-information", IconPaste );
+    addMenuItem( items, Actions::File_ShowPreview, QObject::tr("&Show Preview"),
+                 "show_item_preview", QObject::tr("F7"), "document-print-preview", IconEye );
     addMenuItem( items, Actions::File_ToggleClipboardStoring, QObject::tr("&Toggle Clipboard Storing"),
                   "toggle_clipboard_storing", QObject::tr("Ctrl+Shift+X"), "" );
     addMenuItem( items, Actions::File_ProcessManager, QObject::tr("P&rocess Manager"),
@@ -99,8 +101,6 @@ MenuItems menuItems()
                   "move_to_clipboard", QKeySequence(), "clipboard", IconPaste );
     addMenuItem( items, Actions::Item_ShowContent, QObject::tr("&Show Content..."),
                   "show_item_content", QObject::tr("F4"), "dialog-information", IconInfoCircle );
-    addMenuItem( items, Actions::Item_ShowPreview, QObject::tr("&Show Preview"),
-                 "show_item_preview", QObject::tr("F7"), "document-print-preview", IconEye );
     addMenuItem( items, Actions::Item_Remove, QObject::tr("&Remove"),
                   "delete_item",  shortcutToRemove(), "list-remove", IconTrash );
     addMenuItem( items, Actions::Item_Edit, QObject::tr("&Edit"), "edit", QObject::tr("F2"),
diff -pruN 3.10.0-1/src/gui/menuitems.h 3.11.0-1/src/gui/menuitems.h
--- 3.10.0-1/src/gui/menuitems.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/menuitems.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -34,6 +34,7 @@ enum Id {
     File_Preferences,
     File_Commands,
     File_ShowClipboardContent,
+    File_ShowPreview,
     File_ToggleClipboardStoring,
     File_ProcessManager,
     File_Exit,
@@ -46,7 +47,6 @@ enum Id {
 
     Item_MoveToClipboard,
     Item_ShowContent,
-    Item_ShowPreview,
     Item_Remove,
     Item_Edit,
     Item_EditNotes,
diff -pruN 3.10.0-1/src/gui/notificationbutton.h 3.11.0-1/src/gui/notificationbutton.h
--- 3.10.0-1/src/gui/notificationbutton.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/notificationbutton.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/notification.cpp 3.11.0-1/src/gui/notification.cpp
--- 3.10.0-1/src/gui/notification.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/notification.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -88,12 +88,15 @@ Notification::Notification()
 
     m_msgLabel = new QLabel(this);
     m_msgLabel->setAlignment(Qt::AlignTop | Qt::AlignAbsolute);
+    m_msgLabel->setWordWrap(true);
 
     setTitle(QString());
 
     setWindowFlags(Qt::ToolTip);
     setWindowOpacity(m_opacity);
     setAttribute(Qt::WA_ShowWithoutActivating);
+
+    initSingleShotTimer( &m_timer, 0, this, &Notification::onTimeout );
 }
 
 void Notification::setTitle(const QString &title)
@@ -145,10 +148,12 @@ void Notification::setIcon(ushort icon)
 void Notification::setInterval(int msec)
 {
     if (msec >= 0) {
-        initSingleShotTimer( &m_timer, msec, this, &Notification::onTimeout );
-        m_timer.start();
+        m_autoclose = true;
+        m_timer.setInterval(msec);
+        if (isVisible())
+            m_timer.start();
     } else {
-        m_timer.stop();
+        m_autoclose = false;
     }
 }
 
@@ -223,8 +228,7 @@ void Notification::enterEvent(QEvent *ev
 void Notification::leaveEvent(QEvent *event)
 {
     setWindowOpacity(m_opacity);
-    if ( m_timer.interval() > 0 )
-        m_timer.start();
+    m_timer.start();
     QWidget::leaveEvent(event);
 }
 
@@ -245,6 +249,8 @@ void Notification::paintEvent(QPaintEven
 
 void Notification::showEvent(QShowEvent *event)
 {
+    m_timer.start();
+
     // QTBUG-33078: Window opacity must be set after show event.
     setWindowOpacity(m_opacity);
     QWidget::showEvent(event);
@@ -258,7 +264,8 @@ void Notification::hideEvent(QHideEvent
 
 void Notification::onTimeout()
 {
-    emit closeNotification(this);
+    if (m_autoclose)
+        emit closeNotification(this);
 }
 
 void Notification::onButtonClicked(const NotificationButton &button)
diff -pruN 3.10.0-1/src/gui/notificationdaemon.cpp 3.11.0-1/src/gui/notificationdaemon.cpp
--- 3.10.0-1/src/gui/notificationdaemon.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/notificationdaemon.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -41,6 +41,11 @@ int notificationMargin()
     return pointsToPixels(notificationMarginPoints);
 }
 
+bool isNotificationUnderCursor(const Notification *notification, QPoint cursor) {
+    const QRect rect = notification->window()->geometry();
+    return rect.contains(cursor);
+}
+
 } // namespace
 
 NotificationDaemon::NotificationDaemon(QObject *parent)
@@ -111,6 +116,17 @@ void NotificationDaemon::onNotificationC
 
 void NotificationDaemon::doUpdateNotifications()
 {
+    const QPoint cursor = QCursor::pos();
+
+    // Postpone update if mouse cursor is over a notification.
+    for (auto &notificationData : m_notifications) {
+        auto notification = notificationData.notification;
+        if ( notification->isVisible() && isNotificationUnderCursor(notification, cursor) ) {
+            m_timerUpdate.start();
+            return;
+        }
+    }
+
     const QRect screen = screenGeometry(0);
 
     int y = (m_position & Top) ? offsetY() : screen.bottom() - offsetY();
@@ -123,23 +139,27 @@ void NotificationDaemon::doUpdateNotific
         notification->adjust();
         notification->setMaximumSize( pointsToPixels(m_maximumWidthPoints), pointsToPixels(m_maximumHeightPoints) );
 
-        int x;
-        if (m_position & Left)
-            x = offsetX();
-        else if (m_position & Right)
-            x = screen.right() - notification->width() - offsetX();
-        else
-            x = screen.right() / 2 - notification->width() / 2;
-
-        if (m_position & Bottom)
-            y -= notification->height();
-
-        notification->move(x, y);
-
-        if (m_position & Top)
-            y += notification->height() + notificationMargin();
-        else
-            y -= notificationMargin();
+        do {
+            int x;
+            if (m_position & Left)
+                x = offsetX();
+            else if (m_position & Right)
+                x = screen.right() - notification->width() - offsetX();
+            else
+                x = screen.right() / 2 - notification->width() / 2;
+
+            if (m_position & Bottom)
+                y -= notification->height();
+
+            notification->move(x, y);
+
+            if (m_position & Top)
+                y += notification->height() + notificationMargin();
+            else
+                y -= notificationMargin();
+
+            // Avoid positioning a notification under mouse cursor.
+        } while( isNotificationUnderCursor(notification, cursor) );
 
         notification->show();
     }
diff -pruN 3.10.0-1/src/gui/notificationdaemon.h 3.11.0-1/src/gui/notificationdaemon.h
--- 3.10.0-1/src/gui/notificationdaemon.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/notificationdaemon.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/notification.h 3.11.0-1/src/gui/notification.h
--- 3.10.0-1/src/gui/notification.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/notification.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -73,6 +73,7 @@ private:
     QLabel *m_iconLabel = nullptr;
     QLabel *m_msgLabel = nullptr;
     QTimer m_timer;
+    bool m_autoclose = false;
     qreal m_opacity = 1.0;
     QString m_icon;
 };
diff -pruN 3.10.0-1/src/gui/pluginwidget.cpp 3.11.0-1/src/gui/pluginwidget.cpp
--- 3.10.0-1/src/gui/pluginwidget.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/pluginwidget.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/pluginwidget.h 3.11.0-1/src/gui/pluginwidget.h
--- 3.10.0-1/src/gui/pluginwidget.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/pluginwidget.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/screen.cpp 3.11.0-1/src/gui/screen.cpp
--- 3.10.0-1/src/gui/screen.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/screen.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -45,7 +45,7 @@ QRect screenAvailableGeometry(const QPoi
 {
 #if QT_VERSION >= QT_VERSION_CHECK(5,11,0)
     auto screen = QGuiApplication::screenAt(pos);
-    return screen ? screen->availableGeometry() : QRect();
+    return screen ? screen->availableGeometry() : screenGeometry(0);
 #else
     return QApplication::desktop()->availableGeometry(pos);
 #endif
diff -pruN 3.10.0-1/src/gui/shortcutbutton.cpp 3.11.0-1/src/gui/shortcutbutton.cpp
--- 3.10.0-1/src/gui/shortcutbutton.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/shortcutbutton.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/shortcutbutton.h 3.11.0-1/src/gui/shortcutbutton.h
--- 3.10.0-1/src/gui/shortcutbutton.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/shortcutbutton.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/shortcutdialog.cpp 3.11.0-1/src/gui/shortcutdialog.cpp
--- 3.10.0-1/src/gui/shortcutdialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/shortcutdialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/shortcutdialog.h 3.11.0-1/src/gui/shortcutdialog.h
--- 3.10.0-1/src/gui/shortcutdialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/shortcutdialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/shortcutswidget.cpp 3.11.0-1/src/gui/shortcutswidget.cpp
--- 3.10.0-1/src/gui/shortcutswidget.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/shortcutswidget.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/shortcutswidget.h 3.11.0-1/src/gui/shortcutswidget.h
--- 3.10.0-1/src/gui/shortcutswidget.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/shortcutswidget.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabbar.cpp 3.11.0-1/src/gui/tabbar.cpp
--- 3.10.0-1/src/gui/tabbar.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabbar.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabbar.h 3.11.0-1/src/gui/tabbar.h
--- 3.10.0-1/src/gui/tabbar.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabbar.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabdialog.cpp 3.11.0-1/src/gui/tabdialog.cpp
--- 3.10.0-1/src/gui/tabdialog.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabdialog.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -31,13 +31,13 @@ TabDialog::TabDialog(TabDialog::TabDialo
     ui->setupUi(this);
 
     if (type == TabNew) {
-        setWindowTitle( tr("CopyQ New Tab") );
+        setWindowTitle( tr("New Tab") );
         setWindowIcon( QIcon(":/images/tab_new") );
     } else if (type == TabRename) {
-        setWindowTitle( tr("CopyQ Rename Tab") );
+        setWindowTitle( tr("Rename Tab") );
         setWindowIcon( QIcon(":/images/tab_rename") );
     } else {
-        setWindowTitle( tr("CopyQ Rename Tab Group") );
+        setWindowTitle( tr("Rename Tab Group") );
         setWindowIcon( QIcon(":/images/tab_rename") );
     }
 
diff -pruN 3.10.0-1/src/gui/tabdialog.h 3.11.0-1/src/gui/tabdialog.h
--- 3.10.0-1/src/gui/tabdialog.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabdialog.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabicons.cpp 3.11.0-1/src/gui/tabicons.cpp
--- 3.10.0-1/src/gui/tabicons.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabicons.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabicons.h 3.11.0-1/src/gui/tabicons.h
--- 3.10.0-1/src/gui/tabicons.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabicons.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabpropertieswidget.cpp 3.11.0-1/src/gui/tabpropertieswidget.cpp
--- 3.10.0-1/src/gui/tabpropertieswidget.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabpropertieswidget.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabpropertieswidget.h 3.11.0-1/src/gui/tabpropertieswidget.h
--- 3.10.0-1/src/gui/tabpropertieswidget.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabpropertieswidget.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabswidgetinterface.h 3.11.0-1/src/gui/tabswidgetinterface.h
--- 3.10.0-1/src/gui/tabswidgetinterface.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabswidgetinterface.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabtree.cpp 3.11.0-1/src/gui/tabtree.cpp
--- 3.10.0-1/src/gui/tabtree.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabtree.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabtree.h 3.11.0-1/src/gui/tabtree.h
--- 3.10.0-1/src/gui/tabtree.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabtree.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabwidget.cpp 3.11.0-1/src/gui/tabwidget.cpp
--- 3.10.0-1/src/gui/tabwidget.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabwidget.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/tabwidget.h 3.11.0-1/src/gui/tabwidget.h
--- 3.10.0-1/src/gui/tabwidget.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/tabwidget.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/theme.cpp 3.11.0-1/src/gui/theme.cpp
--- 3.10.0-1/src/gui/theme.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/theme.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -21,10 +21,14 @@
 
 #include "ui_configtabappearance.h"
 
+#include "common/log.h"
 #include "gui/iconfont.h"
+#include "platform/platformnativeinterface.h"
 
 #include <QApplication>
 #include <QDesktopWidget>
+#include <QDir>
+#include <QFile>
 #include <QListView>
 #include <QSettings>
 #include <QStyleFactory>
@@ -33,6 +37,11 @@
 
 namespace {
 
+double normalizeFactor(double value)
+{
+    return qBound( 0.0, value, 1.0 );
+}
+
 int normalizeColorValue(float value)
 {
     return qBound( 0, static_cast<int>(value), 255 );
@@ -48,7 +57,7 @@ int addColor(int c1, float multiply, int
 
 void addColor(
         const QString &color, float multiply, int *r, int *g, int *b, int *a,
-        const Theme &theme, int maxRecursion)
+        const Theme &theme, const Values &values, int maxRecursion)
 {
     if (color.isEmpty())
         return;
@@ -64,8 +73,12 @@ void addColor(
         toAdd = QColor(1, 1, 1);
     } else if ( color.startsWith('#') || color.startsWith("rgba(") ) {
         toAdd = deserializeColor(color);
+        if ( !toAdd.isValid() )
+            toAdd = QColor(Qt::black);
     } else if (maxRecursion > 0) {
-        toAdd = evalColor(theme.value(color).toString(), theme, maxRecursion - 1);
+        const QVariant v = values.contains(color)
+                ? values.value(color) : theme.value(color);
+        toAdd = evalColor(v.toString(), theme, values, maxRecursion - 1);
     }
 
     *r = normalizeColorValue( addColor(*r, x, toAdd.red()) );
@@ -133,6 +146,7 @@ QString getFontStyleSheet(const QString
         size = font.pixelSize() * scale;
         sizeUnits = "px";
     }
+    size = qBound(0.1, size, 50.0);
 
     QString result;
     result.append( QString(";font-family: \"%1\"").arg(font.family()) );
@@ -160,7 +174,23 @@ QString getFontStyleSheet(const QString
 int itemMargin()
 {
     const int dpi = QApplication::desktop()->physicalDpiX();
-    return std::max(4, dpi / 30);
+    return std::max(2, dpi / 72);
+}
+
+QString themePrefix()
+{
+#ifdef COPYQ_THEME_PREFIX
+    return COPYQ_THEME_PREFIX;
+#else
+    return platformNativeInterface()->themePrefix();
+#endif
+}
+
+double getFactor(const QString &name, const QHash<QString, QVariant> &values)
+{
+    bool ok;
+    const double scale = values.value(name).toDouble(&ok);
+    return ok ? scale : 1.0;
 }
 
 } // namespace
@@ -232,8 +262,8 @@ void Theme::decorateMainWindow(QWidget *
     QPalette palette = QApplication::palette();
 
     // This seems to properly reset icon colors.
-    mainWindow->setPalette(palette);
     mainWindow->setStyleSheet(QString());
+    mainWindow->setPalette(palette);
 
     if ( !isMainWindowThemeEnabled() )
         return;
@@ -251,59 +281,8 @@ void Theme::decorateMainWindow(QWidget *
     palette.setColor( QPalette::HighlightedText, color("sel_fg") );
 
     mainWindow->setPalette(palette);
-    mainWindow->setStyleSheet(
-        "#searchBar{"
-        + themeStyleSheet("search_bar") +
-        "}"
-
-        "#searchBar:focus{"
-        + themeStyleSheet("search_bar_focused") +
-        "}"
-
-        "#tab_bar{" + themeStyleSheet("tab_bar_css") + "}"
-        "#tab_bar::tab:selected{" + themeStyleSheet("tab_bar_tab_selected_css") + "}"
-        "#tab_bar::tab:!selected{" + themeStyleSheet("tab_bar_tab_unselected_css") + "}"
-        "#tab_bar #tab_item_counter{" + themeStyleSheet("tab_bar_item_counter") + "}"
-        "#tab_bar #tab_item_counter[CopyQ_selected=\"true\"]{"
-        + themeStyleSheet("tab_bar_sel_item_counter") +
-        "}"
-
-        "#tab_bar QToolButton{" + themeStyleSheet("tab_bar_scroll_buttons_css") + "}"
-
-        "#tab_tree, #tab_tree_item{" + themeStyleSheet("tab_tree_css") + "}"
-
-        "#tab_tree::item:selected"
-        ",#tab_tree_item[CopyQ_selected=\"true\"]"
-        "{"
-        + themeStyleSheet("tab_tree_sel_item_css") +
-        "}"
-
-        "#tab_tree_item[CopyQ_selected=\"false\"]"
-        ",#tab_tree_item[CopyQ_selected=\"true\"]"
-        "{background:transparent}"
-
-        "#tab_tree #tab_item_counter{" + themeStyleSheet("tab_tree_item_counter") + "}"
-        "#tab_tree #tab_item_counter[CopyQ_selected=\"true\"]{"
-        + themeStyleSheet("tab_tree_sel_item_counter") +
-        "}"
-
-        // Remove border in toolbars.
-        "QToolBar{" + themeStyleSheet("tool_bar_css") + "}"
-        "QToolBar QToolButton{" + themeStyleSheet("tool_button_css") + "}"
-        "QToolBar QToolButton:hover{" + themeStyleSheet("tool_button_selected_css") + "}"
-        "QToolBar QToolButton:pressed{" + themeStyleSheet("tool_button_pressed_css") + "}"
-
-        "#menu_bar, #menu_bar::item {"
-          + themeStyleSheet("menu_bar_css") + "}"
-        "#menu_bar::item:selected {"
-          + themeStyleSheet("menu_bar_selected_css") + "}"
-        "#menu_bar::item:disabled {"
-          + themeStyleSheet("menu_bar_disabled_css") + "}"
-
-        + getMenuStyleSheet()
-
-        + themeStyleSheet("css")
-    );
+    const QString cssTemplate = value("css_template_main_window").toString();
+    mainWindow->setStyleSheet(getStyleSheet(cssTemplate));
 }
 
 void Theme::decorateScrollArea(QAbstractScrollArea *scrollArea) const
@@ -320,40 +299,14 @@ void Theme::decorateItemPreview(QAbstrac
 
 QString Theme::getToolTipStyleSheet() const
 {
-    const QString fg = themeColorString("notes_fg");
-    return QString("#item QToolTip, QMenu QToolTip {")
-            + getFontStyleSheet( value("notes_font").toString() )
-            + ";background:" + themeColorString("notes_bg")
-            + ";color:" + fg
-            // Reseting border helps in some cases to set correct backgroung color.
-            + ";border:1px solid " + fg
-            + ";" + themeStyleSheet("notes_css")
-            + "}";
+    const QString cssTemplate = value("css_template_tooltip").toString();
+    return getStyleSheet(cssTemplate);
 }
 
 QString Theme::getNotificationStyleSheet() const
 {
-    // Notification style sheet.
-    QColor notificationBg = color("notification_bg");
-    // Notification opacity should be set with NotificationDaemon::setNotificationOpacity().
-    notificationBg.setAlpha(255);
-
-    const QString fontString = value("notification_font").toString();
-
-    return "Notification, Notification QWidget{"
-           "background:" + serializeColor(notificationBg) + ";"
-           "}"
-           "Notification QWidget{"
-           "color:" + themeColorString("notification_fg") + ";"
-           + getFontStyleSheet(fontString) +
-           "}"
-           "Notification #NotificationTitle{"
-           + getFontStyleSheet(fontString, 1.2) +
-           "}"
-           "Notification #NotificationTip{"
-           "font-style: italic"
-           "}"
-            ;
+    const QString cssTemplate = value("css_template_notification").toString();
+    return getStyleSheet(cssTemplate);
 }
 
 Qt::ScrollBarPolicy Theme::scrollbarPolicy() const
@@ -440,6 +393,7 @@ void Theme::resetTheme()
     m_theme["item_css"] = Option("");
     m_theme["alt_item_css"] = Option("");
     m_theme["sel_item_css"] = Option("");
+    m_theme["hover_item_css"] = Option("");
     m_theme["cur_item_css"] = Option(
                 "\n    ;border: 0.1em solid ${sel_bg}"
                 );
@@ -524,6 +478,14 @@ void Theme::resetTheme()
     m_theme["use_system_icons"] = Option(false, "checked", ui ? ui->checkBoxSystemIcons : nullptr);
     m_theme["font_antialiasing"] = Option(true, "checked", ui ? ui->checkBoxAntialias : nullptr);
     m_theme["style_main_window"] = Option(false, "checked", ui ? ui->checkBoxStyleMainWindow : nullptr);
+
+    const int iconSize = iconFontSizePixels();
+    m_theme["icon_size"] = Option( QString::number(iconSize) );
+
+    m_theme["css_template_items"] = Option("items");
+    m_theme["css_template_main_window"] = Option("main_window");
+    m_theme["css_template_notification"] = Option("notification");
+    m_theme["css_template_tooltip"] = Option("tooltip");
 }
 
 void Theme::updateTheme()
@@ -554,65 +516,8 @@ void Theme::updateTheme()
 void Theme::decorateBrowser(QAbstractScrollArea *c) const
 {
     decorateScrollArea(c);
-
-    const QColor bg = color("bg");
-    QColor unfocusedSelectedBg = color("sel_bg");
-    unfocusedSelectedBg.setRgb(
-                (bg.red() + unfocusedSelectedBg.red()) / 2,
-                (bg.green() + unfocusedSelectedBg.green()) / 2,
-                (bg.blue() + unfocusedSelectedBg.blue()) / 2
-                );
-
-    Theme unfocusedTheme;
-    for (auto it = m_theme.constBegin(); it != m_theme.constEnd(); ++it)
-        unfocusedTheme.m_theme[it.key()] = Option(it.value().value());
-    unfocusedTheme.m_theme["sel_bg"].setValue( serializeColor(unfocusedSelectedBg) );
-
-    // colors and font
-    c->setStyleSheet(
-        "#ClipboardBrowser,#item,#item_child{"
-          + getFontStyleSheet( value("font").toString() ) +
-          "color:" + themeColorString("fg") + ";"
-          "background:" + themeColorString("bg") + ";"
-        "}"
-
-        "#ClipboardBrowser::item:alternate{"
-          "color:" + themeColorString("alt_fg") + ";"
-          "background:" + themeColorString("alt_bg") + ";"
-        "}"
-
-        "#ClipboardBrowser::item:selected,#item[CopyQ_selected=\"true\"],#item[CopyQ_selected=\"true\"] #item_child{"
-          "color:" + themeColorString("sel_fg") + ";"
-          "background:" + themeColorString("sel_bg") + ";"
-        "}"
-
-        "#item #item_child{background:transparent}"
-        "#item[CopyQ_selected=\"true\"] #item_child{background:transparent}"
-
-        // Desaturate selected item background if item list is not focused.
-        "#ClipboardBrowser::item:selected:!active{"
-          "background:" + serializeColor( evalColor("sel_bg", unfocusedTheme) ) + ";"
-          + unfocusedTheme.themeStyleSheet("sel_item_css") +
-        "}"
-
-        // Omit showing current item outline.
-        "#ClipboardBrowser::focus{outline:0}"
-
-        "#ClipboardBrowser::item:focus{"
-          + themeStyleSheet("cur_item_css") +
-        "}"
-
-        + getToolTipStyleSheet() +
-
-        // Allow user to change CSS.
-        "#ClipboardBrowser{" + themeStyleSheet("item_css") + "}"
-        "#ClipboardBrowser::item:alternate{" + themeStyleSheet("alt_item_css") + "}"
-        "#ClipboardBrowser::item:selected{" + themeStyleSheet("sel_item_css") + "}"
-
-        "#item_child[CopyQ_item_type=\"notes\"] {"
-          + getFontStyleSheet( value("notes_font").toString() ) +
-        "}"
-    );
+    const QString cssTemplate = value("css_template_items").toString();
+    c->setStyleSheet(getStyleSheet(cssTemplate));
 }
 
 bool Theme::isMainWindowThemeEnabled() const
@@ -620,57 +525,116 @@ bool Theme::isMainWindowThemeEnabled() c
     return m_theme.value("style_main_window").value().toBool();
 }
 
-QString Theme::themeStyleSheet(const QString &name) const
+QString Theme::themeColorString(const QString &name) const
 {
-    QString css = value(name).toString();
-    int i = 0;
+    return serializeColor( color(name) );
+}
 
-    forever {
-        i = css.indexOf("${", i);
-        if (i == -1)
-            break;
-        int j = css.indexOf('}', i + 2);
-        if (j == -1)
-            break;
+QString Theme::getStyleSheet(const QString &name, Values values, int maxRecursion) const
+{
+    const QString fileName = findThemeFile(name + ".css");
 
-        const QString var = css.mid(i + 2, j - i - 2);
+    if ( fileName.isEmpty() )
+        return QString();
 
-        const QString colorName = serializeColor( evalColor(var, *this) );
-        css.replace(i, j - i + 1, colorName);
-        i += colorName.size();
+    QFile file(fileName);
+    if ( !file.open(QIODevice::ReadOnly) ) {
+        log( QString("Failed to open stylesheet \"%1\": %2")
+             .arg(fileName)
+             .arg(file.errorString()), LogError );
+        return QString();
     }
 
-    return css;
+    const QString css = QString::fromUtf8( file.readAll() );
+    return parseStyleSheet(css, values, maxRecursion - 1);
 }
 
-QString Theme::themeColorString(const QString &name) const
+QString Theme::parseStyleSheet(const QString &css, Values values, int maxRecursion) const
 {
-    return serializeColor( color(name) );
+    QString output;
+    const QString variableBegin("${");
+    const QString variableEnd("}");
+    for ( int i = 0; i < css.size(); ++i ) {
+        const int a = css.indexOf(variableBegin, i);
+        if (a == -1) {
+            output.append(css.mid(i));
+            break;
+        }
+
+        const int b = css.indexOf(variableEnd, a + variableBegin.size());
+        if (b == -1) {
+            output.append(css.mid(i));
+            break;
+        }
+
+        output.append(css.mid(i, a - i));
+        i = b + variableEnd.size() - 1;
+
+        const QString name = css
+                .mid(a + variableBegin.size(), b - a - variableBegin.size())
+                .trimmed();
+        const QString result = parsePlaceholder(name, &values, maxRecursion);
+        output.append(result);
+    }
+
+    return output;
 }
 
-QString Theme::getMenuStyleSheet() const
+QString Theme::parsePlaceholder(const QString &name, Values *values, int maxRecursion) const
 {
-    const int iconSize = iconFontSizePixels();
-    return
-        // Remove icon border in menus.
-        "#MainWindow QMenu::item:selected{border:none}"
-        "#MainWindow QMenu::item{"
-          ";padding:0.2em 1em 0.2em 1em"
-          ";padding-left:" + QString::number(iconSize * 2) + "px}"
-        + "#MainWindow QMenu::icon{padding-left:" + QString::number(iconSize / 2) + "px}"
-
-        // Keep default item highlighted (removing icon border resets the style).
-        + "#MainWindow QMenu::item:default{font-weight:bold}"
-
-        + "#MainWindow QMenu {" + themeStyleSheet("menu_css") + "}"
-
-        + "#MainWindow QMenu::item,"
-        + "#MainWindow QMenu::separator {"
-          + themeStyleSheet("menu_bar_css") + "}"
-        + "#MainWindow QMenu::item:selected {"
-          + themeStyleSheet("menu_bar_selected_css") + "}"
-        + "#MainWindow  QMenu::item:disabled {"
-          + themeStyleSheet("menu_bar_disabled_css") + "}";
+    if (maxRecursion < 0) {
+        log("Max recursion reached when parsing style sheet", LogError);
+        return QString();
+    }
+
+    if ( name.contains("=") ) {
+        const int i = name.indexOf('=');
+        const QString k = name.mid(0, i).trimmed();
+        const QString v = name.mid(i + 1).trimmed();
+        if (k == "scale")
+            (*values)[k] = 1.0;
+        (*values)[k] = parsePlaceholder(v, values, maxRecursion - 1);
+        return QString();
+    }
+
+    if ( name.startsWith("css:") )
+        return getStyleSheet(name.mid(4), *values, maxRecursion - 1);
+
+    const double scale = getFactor("scale", *values);
+
+    const QString value = this->value(name).toString();
+    if (name.contains("font"))
+        return getFontStyleSheet(value, scale);
+
+    if (name.contains("css") || value.contains(":"))
+        return parseStyleSheet(value, *values, maxRecursion - 1);
+
+    {
+        bool ok;
+        const double v = name.toDouble(&ok);
+        if (ok)
+            return QString::number(v * scale);
+    }
+
+    {
+        bool ok;
+        const double v = value.toDouble(&ok);
+        if (ok)
+            return QString::number(v * scale);
+    }
+
+    QColor color = evalColor(name, *this, *values);
+    const double saturationF = getFactor("hsv_saturation_factor", *values);
+    const double valueF = getFactor("hsv_value_factor", *values);
+    if ( !qFuzzyCompare(saturationF, 1.0) || !qFuzzyCompare(valueF, 1.0) ) {
+        color.setHsvF(
+            color.hueF(),
+            normalizeFactor(color.saturationF() * saturationF),
+            normalizeFactor(color.valueF() * valueF),
+            color.alphaF()
+        );
+    }
+    return serializeColor(color);
 }
 
 QString serializeColor(const QColor &color)
@@ -687,6 +651,8 @@ QString serializeColor(const QColor &col
 
 QColor deserializeColor(const QString &colorName)
 {
+    QColor color;
+
     if ( colorName.startsWith("rgba(") ) {
         QStringList list = colorName.mid(5, colorName.indexOf(')') - 5).split(',');
         int r = list.value(0).toInt();
@@ -694,13 +660,18 @@ QColor deserializeColor(const QString &c
         int b = list.value(2).toInt();
         int a = static_cast<int>( list.value(3).toDouble() * 255 );
 
-        return QColor(r, g, b, a > 255 ? a / 255 : a);
+        color = QColor(r, g, b, a > 255 ? a / 255 : a);
+    } else {
+        color = QColor(colorName);
     }
 
-    return QColor(colorName);
+    if ( !color.isValid() )
+        log( QString("Failed to deserialize color \"%1\"").arg(colorName) );
+
+    return color;
 }
 
-QColor evalColor(const QString &expression, const Theme &theme, int maxRecursion)
+QColor evalColor(const QString &expression, const Theme &theme, const Values &values, int maxRecursion)
 {
     int r = 0;
     int g = 0;
@@ -712,10 +683,48 @@ QColor evalColor(const QString &expressi
         QStringList subList = add.split('-');
         float multiply = 1;
         for (const auto &sub : subList) {
-            addColor(sub, multiply, &r, &g, &b, &a, theme, maxRecursion);
+            addColor(sub, multiply, &r, &g, &b, &a, theme, values, maxRecursion);
             multiply = -1;
         }
     }
 
     return QColor(r, g, b, a);
 }
+
+QString defaultUserThemePath()
+{
+    QSettings settings(QSettings::IniFormat, QSettings::UserScope,
+                       QCoreApplication::organizationName(),
+                       QCoreApplication::applicationName());
+    return QDir::cleanPath(settings.fileName() + "/../themes");
+}
+
+QStringList themePaths()
+{
+    QStringList paths;
+
+    const QByteArray customThemsPath = qgetenv("COPYQ_THEME_PREFIX");
+    if ( !customThemsPath.isEmpty() )
+        paths.append(QString::fromLocal8Bit(customThemsPath));
+
+    const QString userThemesPath = defaultUserThemePath();
+    QDir themesDir(userThemesPath);
+    if ( themesDir.mkpath(".") )
+        paths.append(userThemesPath);
+
+    const QString themesPath = themePrefix();
+    if ( !themesPath.isEmpty() )
+        paths.append(themesPath);
+
+    return paths;
+}
+
+QString findThemeFile(const QString &fileName)
+{
+    for (const QString &path : themePaths()) {
+        const QDir dir(path);
+        if ( dir.exists(fileName) )
+            return dir.absoluteFilePath(fileName);
+    }
+    return QString();
+}
diff -pruN 3.10.0-1/src/gui/theme.h 3.11.0-1/src/gui/theme.h
--- 3.10.0-1/src/gui/theme.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/theme.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -25,6 +25,7 @@
 #include <QFont>
 #include <QHash>
 #include <QPalette>
+#include <QStringList>
 
 namespace Ui {
 class ConfigTabAppearance;
@@ -38,6 +39,8 @@ class QVariant;
 
 struct ClipboardBrowserShared;
 
+using Values = QHash<QString, QVariant>;
+
 class Theme final {
 public:
     Theme() = default;
@@ -115,7 +118,9 @@ private:
     /** Return parsed color name. */
     QString themeColorString(const QString &name) const;
 
-    QString getMenuStyleSheet() const;
+    QString getStyleSheet(const QString &name, Values values = Values(), int maxRecursion = 8) const;
+    QString parseStyleSheet(const QString &css, Values values, int maxRecursion) const;
+    QString parsePlaceholder(const QString &name, Values *values, int maxRecursion) const;
 
     QHash<QString, Option> m_theme;
     Ui::ConfigTabAppearance *ui = nullptr;
@@ -139,6 +144,12 @@ QString serializeColor(const QColor &col
 
 QColor deserializeColor(const QString &colorName);
 
-QColor evalColor(const QString &expression, const Theme &theme, int maxRecursion = 8);
+QColor evalColor(const QString &expression, const Theme &theme, const Values &values = Values(), int maxRecursion = 8);
+
+QString findThemeFile(const QString &fileName);
+
+QString defaultUserThemePath();
+
+QStringList themePaths();
 
 #endif // THEME_H
diff -pruN 3.10.0-1/src/gui/traymenu.cpp 3.11.0-1/src/gui/traymenu.cpp
--- 3.10.0-1/src/gui/traymenu.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/traymenu.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -22,6 +22,7 @@
 #include "common/contenttype.h"
 #include "common/common.h"
 #include "common/display.h"
+#include "common/mimetypes.h"
 #include "common/textdata.h"
 #include "common/timer.h"
 #include "gui/icons.h"
@@ -81,19 +82,19 @@ TrayMenu::TrayMenu(QWidget *parent)
     m_clipboardItemActionsSeparator = addSeparator();
     m_customActionsSeparator = addSeparator();
     initSingleShotTimer( &m_timerUpdateActiveAction, 0, this, &TrayMenu::updateActiveAction );
+    setAttribute(Qt::WA_InputMethodEnabled);
 }
 
-void TrayMenu::addClipboardItemAction(const QModelIndex &index, bool showImages)
+void TrayMenu::addClipboardItemAction(const QVariantMap &data, bool showImages)
 {
     // Show search text at top of the menu.
     if ( m_clipboardItemActionCount == 0 && m_searchText.isEmpty() )
         setSearchMenuItem( m_viMode ? tr("Press '/' to search") : tr("Type to search") );
 
-    const QVariantMap data = index.data(contentType::data).toMap();
     QAction *act = addAction(QString());
     act->setProperty(propertyClipboardItemAction, true);
 
-    act->setData(index.data(contentType::data));
+    act->setData(data);
 
     insertAction(m_clipboardItemActionsSeparator, act);
 
@@ -135,6 +136,15 @@ void TrayMenu::addClipboardItemAction(co
         }
     }
 
+    if ( act->icon().isNull() ) {
+        const QString icon = data.value(mimeIcon).toString();
+        if ( !icon.isEmpty() ) {
+            const QColor color = getDefaultIconColor(*this);
+            const QString tag = data.value(COPYQ_MIME_PREFIX "item-tag").toString();
+            act->setIcon( iconFromFile(icon, tag, color) );
+        }
+    }
+
     connect(act, &QAction::triggered, this, &TrayMenu::onClipboardItemActionTriggered);
 
     updateActiveAction();
@@ -254,6 +264,8 @@ void TrayMenu::mousePressEvent(QMouseEve
 
 void TrayMenu::showEvent(QShowEvent *event)
 {
+    search(QString());
+
     // If appmenu is used to handle the menu, most events won't be received
     // so search won't work.
     // This shows the search menu item only if show event is received.
@@ -285,6 +297,13 @@ void TrayMenu::leaveEvent(QEvent *event)
     setActiveAction(action);
 }
 
+void TrayMenu::inputMethodEvent(QInputMethodEvent *event)
+{
+    if (!event->commitString().isEmpty())
+        search(m_searchText + event->commitString());
+    event->ignore();
+}
+
 void TrayMenu::clearActionsWithProperty(const char *property)
 {
     for ( auto action : actions() ) {
diff -pruN 3.10.0-1/src/gui/traymenu.h 3.11.0-1/src/gui/traymenu.h
--- 3.10.0-1/src/gui/traymenu.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/traymenu.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -38,7 +38,7 @@ public:
      *
      * Triggering this action emits clipboardItemActionTriggered() signal.
      */
-    void addClipboardItemAction(const QModelIndex &index, bool showImages);
+    void addClipboardItemAction(const QVariantMap &data, bool showImages);
 
     void clearClipboardItems();
 
@@ -77,6 +77,8 @@ protected:
 
     void leaveEvent(QEvent *event) override;
 
+    void inputMethodEvent(QInputMethodEvent *event) override;
+
 private:
     void clearActionsWithProperty(const char *property);
 
diff -pruN 3.10.0-1/src/gui/windowgeometryguard.cpp 3.11.0-1/src/gui/windowgeometryguard.cpp
--- 3.10.0-1/src/gui/windowgeometryguard.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/windowgeometryguard.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/gui/windowgeometryguard.h 3.11.0-1/src/gui/windowgeometryguard.h
--- 3.10.0-1/src/gui/windowgeometryguard.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/gui/windowgeometryguard.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
Binary files 3.10.0-1/src/images/fontawesome-brands.ttf and 3.11.0-1/src/images/fontawesome-brands.ttf differ
Binary files 3.10.0-1/src/images/fontawesome-solid.ttf and 3.11.0-1/src/images/fontawesome-solid.ttf differ
diff -pruN 3.10.0-1/src/item/clipboarditem.cpp 3.11.0-1/src/item/clipboarditem.cpp
--- 3.10.0-1/src/item/clipboarditem.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/clipboarditem.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/clipboarditem.h 3.11.0-1/src/item/clipboarditem.h
--- 3.10.0-1/src/item/clipboarditem.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/clipboarditem.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/clipboardmodel.cpp 3.11.0-1/src/item/clipboardmodel.cpp
--- 3.10.0-1/src/item/clipboardmodel.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/clipboardmodel.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/clipboardmodel.h 3.11.0-1/src/item/clipboardmodel.h
--- 3.10.0-1/src/item/clipboardmodel.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/clipboardmodel.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/itemdelegate.cpp 3.11.0-1/src/item/itemdelegate.cpp
--- 3.10.0-1/src/item/itemdelegate.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemdelegate.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -40,6 +40,7 @@
 namespace {
 
 const char propertySelectedItem[] = "CopyQ_selected";
+const char propertySizeUpdated[] = "CopyQ_sizeUpdated";
 
 } // namespace
 
@@ -65,8 +66,8 @@ QSize ItemDelegate::sizeHint(const QMode
             QWidget *ww = w->widget();
             const auto margins = m_sharedData->theme.margins();
             const auto rowNumberSize = m_sharedData->theme.rowNumberSize();
-            return QSize( ww->width() + 2 * margins.width() + rowNumberSize.width(),
-                          qMax(ww->height() + 2 * margins.height(), rowNumberSize.height()) );
+            const int width = ww->isVisible() ? ww->width() + 2 * margins.width() + rowNumberSize.width() : 0;
+            return QSize( width, qMax(ww->height() + 2 * margins.height(), rowNumberSize.height()) );
         }
     }
     return QSize(0, 100);
@@ -139,8 +140,10 @@ bool ItemDelegate::showAt(const QModelIn
 
     ww->show();
 
-    if (m_idealWidth > 0)
+    if ( m_idealWidth > 0 && !ww->property(propertySizeUpdated).toBool() ) {
+        ww->setProperty(propertySizeUpdated, true);
         w->updateSize(m_maxSize, m_idealWidth);
+    }
 
     return true;
 }
@@ -158,6 +161,8 @@ QWidget *ItemDelegate::createPreview(con
 
     highlightMatches(itemWidget);
 
+    parent->setFocusProxy( itemWidget->widget() );
+
     return itemWidget->widget();
 }
 
@@ -204,7 +209,7 @@ void ItemDelegate::setItemSizes(QSize si
 {
     const auto margins = m_sharedData->theme.margins();
     const auto rowNumberSize = m_sharedData->theme.rowNumberSize();
-    const int margin = 2 * margins.width() + rowNumberSize.width() + m_view->spacing();
+    const int margin = 2 * margins.width() + rowNumberSize.width() + 2 * m_view->spacing();
     m_maxSize.setWidth(size.width() - margin);
     m_idealWidth = idealWidth - margin;
 
@@ -324,8 +329,6 @@ void ItemDelegate::setItemWidgetSelected
 
 void ItemDelegate::setIndexWidget(const QModelIndex &index, ItemWidget *w)
 {
-    const QSize oldSize = sizeHint(index);
-
     const int row = index.row();
     m_cache[row].reset(w);
     if (w == nullptr)
@@ -343,9 +346,6 @@ void ItemDelegate::setIndexWidget(const
     setWidgetSelected(ww, isSelected);
 
     ww->installEventFilter(this);
-
-    if ( oldSize != sizeHint(index) )
-        emit sizeHintChanged(index);
 }
 
 void ItemDelegate::setWidgetSelected(QWidget *ww, bool selected)
diff -pruN 3.10.0-1/src/item/itemdelegate.h 3.11.0-1/src/item/itemdelegate.h
--- 3.10.0-1/src/item/itemdelegate.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemdelegate.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/itemeditor.cpp 3.11.0-1/src/item/itemeditor.cpp
--- 3.10.0-1/src/item/itemeditor.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemeditor.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/itemeditor.h 3.11.0-1/src/item/itemeditor.h
--- 3.10.0-1/src/item/itemeditor.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemeditor.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/itemeditorwidget.cpp 3.11.0-1/src/item/itemeditorwidget.cpp
--- 3.10.0-1/src/item/itemeditorwidget.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemeditorwidget.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/itemeditorwidget.h 3.11.0-1/src/item/itemeditorwidget.h
--- 3.10.0-1/src/item/itemeditorwidget.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemeditorwidget.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/itemfactory.cpp 3.11.0-1/src/item/itemfactory.cpp
--- 3.10.0-1/src/item/itemfactory.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemfactory.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -114,6 +114,7 @@ public:
         , ItemWidget(this)
         , m_hasText( data.contains(mimeText) || data.contains(mimeUriList) )
         , m_data(data)
+        , m_preview(preview)
     {
         setMargin(0);
         setWordWrap(true);
@@ -130,6 +131,13 @@ public:
         }
 
         if (preview && !pixmap()) {
+            setTextInteractionFlags(
+                    textInteractionFlags()
+                    | Qt::TextSelectableByMouse
+                    | Qt::TextSelectableByKeyboard
+                    | Qt::LinksAccessibleByMouse
+                    | Qt::LinksAccessibleByKeyboard
+                    );
             setAlignment(Qt::AlignLeft | Qt::AlignTop);
             QString label = getTextData(m_data);
             if (label.isEmpty())
@@ -144,7 +152,7 @@ public:
     {
         setFixedWidth(idealWidth);
 
-        if (!pixmap()) {
+        if (!m_preview && !pixmap()) {
             const int width = contentsRect().width();
             const QString label =
                     textLabelForData(m_data, font(), QString(), false, width, 1);
@@ -161,6 +169,7 @@ private:
     bool m_hasText;
     QVariantMap m_data;
     QString m_imageFormat;
+    bool m_preview;
 };
 
 class DummySaver final : public ItemSaverInterface
diff -pruN 3.10.0-1/src/item/itemfactory.h 3.11.0-1/src/item/itemfactory.h
--- 3.10.0-1/src/item/itemfactory.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemfactory.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/itemstore.cpp 3.11.0-1/src/item/itemstore.cpp
--- 3.10.0-1/src/item/itemstore.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemstore.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/itemstore.h 3.11.0-1/src/item/itemstore.h
--- 3.10.0-1/src/item/itemstore.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemstore.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/itemwidget.cpp 3.11.0-1/src/item/itemwidget.cpp
--- 3.10.0-1/src/item/itemwidget.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemwidget.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -209,6 +209,11 @@ bool ItemSaverInterface::canRemoveItems(
 {
     return true;
 }
+
+bool ItemSaverInterface::canDropItem(const QModelIndex &)
+{
+    return true;
+}
 
 bool ItemSaverInterface::canMoveItems(const QList<QModelIndex> &)
 {
diff -pruN 3.10.0-1/src/item/itemwidget.h 3.11.0-1/src/item/itemwidget.h
--- 3.10.0-1/src/item/itemwidget.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/itemwidget.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -49,7 +49,7 @@ using ItemSaverPtr = std::shared_ptr<Ite
 class ItemScriptableFactoryInterface;
 using ItemScriptableFactoryPtr = std::shared_ptr<ItemScriptableFactoryInterface>;
 
-#define COPYQ_PLUGIN_ITEM_LOADER_ID "com.github.hluk.copyq.itemloader/3.10.0"
+#define COPYQ_PLUGIN_ITEM_LOADER_ID "com.github.hluk.copyq.itemloader/3.11.0"
 
 /**
  * Handles item in list.
@@ -218,6 +218,12 @@ public:
     virtual bool canRemoveItems(const QList<QModelIndex> &indexList, QString *error);
 
     /**
+     * Called before item is deleted from end so new items can be inserted.
+     * @return true if item can be dropped, false to disallow the drop
+     */
+    virtual bool canDropItem(const QModelIndex &index);
+
+    /**
      * Called before items are moved out of list (i.e. deleted) by user.
      * @return true if items can be moved, false to cancel the removal
      */
diff -pruN 3.10.0-1/src/item/persistentdisplayitem.cpp 3.11.0-1/src/item/persistentdisplayitem.cpp
--- 3.10.0-1/src/item/persistentdisplayitem.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/persistentdisplayitem.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/persistentdisplayitem.h 3.11.0-1/src/item/persistentdisplayitem.h
--- 3.10.0-1/src/item/persistentdisplayitem.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/persistentdisplayitem.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/serialize.cpp 3.11.0-1/src/item/serialize.cpp
--- 3.10.0-1/src/item/serialize.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/serialize.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/item/serialize.h 3.11.0-1/src/item/serialize.h
--- 3.10.0-1/src/item/serialize.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/item/serialize.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/main.cpp 3.11.0-1/src/main.cpp
--- 3.10.0-1/src/main.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/main.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -52,7 +52,7 @@ int evaluate(
         const QString &sessionName)
 {
     App app( platformNativeInterface()->createConsoleApplication(argc, argv), sessionName );
-    setCurrentThreadName("Prompt");
+    setLogLabel("Prompt");
 
     QScriptEngine engine;
     Scriptable scriptable(&engine, nullptr);
diff -pruN 3.10.0-1/src/platform/dummy/dummyclipboard.cpp 3.11.0-1/src/platform/dummy/dummyclipboard.cpp
--- 3.10.0-1/src/platform/dummy/dummyclipboard.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/dummy/dummyclipboard.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/dummy/dummyclipboard.h 3.11.0-1/src/platform/dummy/dummyclipboard.h
--- 3.10.0-1/src/platform/dummy/dummyclipboard.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/dummy/dummyclipboard.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/dummy/dummyplatform.cpp 3.11.0-1/src/platform/dummy/dummyplatform.cpp
--- 3.10.0-1/src/platform/dummy/dummyplatform.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/dummy/dummyplatform.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/dummy/dummyplatform.h 3.11.0-1/src/platform/dummy/dummyplatform.h
--- 3.10.0-1/src/platform/dummy/dummyplatform.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/dummy/dummyplatform.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/copyqpasteboardmime.h 3.11.0-1/src/platform/mac/copyqpasteboardmime.h
--- 3.10.0-1/src/platform/mac/copyqpasteboardmime.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/copyqpasteboardmime.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/copyqpasteboardmime.mm 3.11.0-1/src/platform/mac/copyqpasteboardmime.mm
--- 3.10.0-1/src/platform/mac/copyqpasteboardmime.mm	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/copyqpasteboardmime.mm	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/foregroundbackgroundfilter.h 3.11.0-1/src/platform/mac/foregroundbackgroundfilter.h
--- 3.10.0-1/src/platform/mac/foregroundbackgroundfilter.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/foregroundbackgroundfilter.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/foregroundbackgroundfilter.mm 3.11.0-1/src/platform/mac/foregroundbackgroundfilter.mm
--- 3.10.0-1/src/platform/mac/foregroundbackgroundfilter.mm	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/foregroundbackgroundfilter.mm	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/macactivity.h 3.11.0-1/src/platform/mac/macactivity.h
--- 3.10.0-1/src/platform/mac/macactivity.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/macactivity.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/macactivity.mm 3.11.0-1/src/platform/mac/macactivity.mm
--- 3.10.0-1/src/platform/mac/macactivity.mm	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/macactivity.mm	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/macclipboard.h 3.11.0-1/src/platform/mac/macclipboard.h
--- 3.10.0-1/src/platform/mac/macclipboard.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/macclipboard.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/macclipboard.mm 3.11.0-1/src/platform/mac/macclipboard.mm
--- 3.10.0-1/src/platform/mac/macclipboard.mm	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/macclipboard.mm	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/macplatform.h 3.11.0-1/src/platform/mac/macplatform.h
--- 3.10.0-1/src/platform/mac/macplatform.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/macplatform.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/macplatform.mm 3.11.0-1/src/platform/mac/macplatform.mm
--- 3.10.0-1/src/platform/mac/macplatform.mm	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/macplatform.mm	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/macplatformwindow.h 3.11.0-1/src/platform/mac/macplatformwindow.h
--- 3.10.0-1/src/platform/mac/macplatformwindow.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/macplatformwindow.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/macplatformwindow.mm 3.11.0-1/src/platform/mac/macplatformwindow.mm
--- 3.10.0-1/src/platform/mac/macplatformwindow.mm	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/macplatformwindow.mm	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/mactimer.h 3.11.0-1/src/platform/mac/mactimer.h
--- 3.10.0-1/src/platform/mac/mactimer.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/mactimer.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/mactimer.mm 3.11.0-1/src/platform/mac/mactimer.mm
--- 3.10.0-1/src/platform/mac/mactimer.mm	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/mactimer.mm	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/urlpasteboardmime.h 3.11.0-1/src/platform/mac/urlpasteboardmime.h
--- 3.10.0-1/src/platform/mac/urlpasteboardmime.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/urlpasteboardmime.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/mac/urlpasteboardmime.mm 3.11.0-1/src/platform/mac/urlpasteboardmime.mm
--- 3.10.0-1/src/platform/mac/urlpasteboardmime.mm	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/mac/urlpasteboardmime.mm	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2014, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/platformclipboard.h 3.11.0-1/src/platform/platformclipboard.h
--- 3.10.0-1/src/platform/platformclipboard.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/platformclipboard.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/platformcommon.cpp 3.11.0-1/src/platform/platformcommon.cpp
--- 3.10.0-1/src/platform/platformcommon.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/platformcommon.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/platformcommon.h 3.11.0-1/src/platform/platformcommon.h
--- 3.10.0-1/src/platform/platformcommon.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/platformcommon.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/platformnativeinterface.h 3.11.0-1/src/platform/platformnativeinterface.h
--- 3.10.0-1/src/platform/platformnativeinterface.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/platformnativeinterface.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/platformwindow.h 3.11.0-1/src/platform/platformwindow.h
--- 3.10.0-1/src/platform/platformwindow.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/platformwindow.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/unix/unixsignalhandler.cpp 3.11.0-1/src/platform/unix/unixsignalhandler.cpp
--- 3.10.0-1/src/platform/unix/unixsignalhandler.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/unix/unixsignalhandler.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/unix/unixsignalhandler.h 3.11.0-1/src/platform/unix/unixsignalhandler.h
--- 3.10.0-1/src/platform/unix/unixsignalhandler.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/unix/unixsignalhandler.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/win/winplatformclipboard.cpp 3.11.0-1/src/platform/win/winplatformclipboard.cpp
--- 3.10.0-1/src/platform/win/winplatformclipboard.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/win/winplatformclipboard.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/win/winplatformclipboard.h 3.11.0-1/src/platform/win/winplatformclipboard.h
--- 3.10.0-1/src/platform/win/winplatformclipboard.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/win/winplatformclipboard.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/win/winplatform.cpp 3.11.0-1/src/platform/win/winplatform.cpp
--- 3.10.0-1/src/platform/win/winplatform.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/win/winplatform.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/win/winplatform.h 3.11.0-1/src/platform/win/winplatform.h
--- 3.10.0-1/src/platform/win/winplatform.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/win/winplatform.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/win/winplatformwindow.cpp 3.11.0-1/src/platform/win/winplatformwindow.cpp
--- 3.10.0-1/src/platform/win/winplatformwindow.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/win/winplatformwindow.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/win/winplatformwindow.h 3.11.0-1/src/platform/win/winplatformwindow.h
--- 3.10.0-1/src/platform/win/winplatformwindow.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/win/winplatformwindow.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/x11/x11platformclipboard.cpp 3.11.0-1/src/platform/x11/x11platformclipboard.cpp
--- 3.10.0-1/src/platform/x11/x11platformclipboard.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/x11/x11platformclipboard.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -224,7 +224,6 @@ void X11PlatformClipboard::updateClipboa
         return;
 
     clipboardData->timerEmitChange.stop();
-    clipboardData->newDataTimestamp = newDataTimestamp;
     clipboardData->abortCloning = false;
     clipboardData->cloningData = true;
     clipboardData->newData = cloneData(*data, clipboardData->formats, &clipboardData->abortCloning);
@@ -239,6 +238,7 @@ void X11PlatformClipboard::updateClipboa
     if ( newDataTimestamp.isEmpty() && clipboardData->data == clipboardData->newData )
         return;
 
+    clipboardData->newDataTimestamp = newDataTimestamp;
     clipboardData->timerEmitChange.start();
 }
 
diff -pruN 3.10.0-1/src/platform/x11/x11platformclipboard.h 3.11.0-1/src/platform/x11/x11platformclipboard.h
--- 3.10.0-1/src/platform/x11/x11platformclipboard.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/x11/x11platformclipboard.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/x11/x11platform.cpp 3.11.0-1/src/platform/x11/x11platform.cpp
--- 3.10.0-1/src/platform/x11/x11platform.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/x11/x11platform.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/x11/x11platform.h 3.11.0-1/src/platform/x11/x11platform.h
--- 3.10.0-1/src/platform/x11/x11platform.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/x11/x11platform.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/x11/x11platformwindow.cpp 3.11.0-1/src/platform/x11/x11platformwindow.cpp
--- 3.10.0-1/src/platform/x11/x11platformwindow.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/x11/x11platformwindow.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/platform/x11/x11platformwindow.h 3.11.0-1/src/platform/x11/x11platformwindow.h
--- 3.10.0-1/src/platform/x11/x11platformwindow.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/platform/x11/x11platformwindow.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/commandhelp.cpp 3.11.0-1/src/scriptable/commandhelp.cpp
--- 3.10.0-1/src/scriptable/commandhelp.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/commandhelp.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -22,6 +22,8 @@
 #include "common/common.h"
 #include "scriptable/scriptable.h"
 
+constexpr int helpTextColumn = 23;
+
 CommandHelp::CommandHelp()
     : cmd()
     , desc()
@@ -48,12 +50,18 @@ QString CommandHelp::toString() const
     if (cmd.isNull())
         return "\n";
 
-    const int indent = 23;
-    bool indentFirst = desc.startsWith('\n');
-    return QString("    %1").arg(cmd + args, indentFirst ? 0 : -indent)
-            + (indentFirst ? QString() : QString("  "))
-            + QString(desc).replace('\n', "\n" + QString(' ')
-                                    .repeated(4 + 2 + (indentFirst ? 0 : indent))) + "\n";
+    const auto cmdArgs = cmd + args;
+    if ( cmdArgs.size() > helpTextColumn - 2 || desc.contains('\n') ) {
+        const auto indent = QString(' ').repeated(6);
+        return QString("    %1\n%2").arg(cmdArgs, indent)
+                + QString(desc)
+                    .replace('\n', "\n" + indent) + "\n";
+    }
+
+    return QString("    %1 ").arg(cmdArgs, -helpTextColumn)
+            + QString(desc)
+                .replace('\n', "\n" + QString(' ')
+                .repeated(6 + helpTextColumn)) + "\n";
 }
 
 QList<CommandHelp> commandHelp()
@@ -84,9 +92,12 @@ QList<CommandHelp> commandHelp()
             << CommandHelp("paste",
                            Scriptable::tr("Paste clipboard to current window\n"
                                           "(may not work with some applications)."))
+            << CommandHelp("copy",
+                           Scriptable::tr("Copy clipboard from current window\n"
+                                          "(may not work with some applications)."))
             << CommandHelp("copy", Scriptable::tr("Set clipboard text."))
                .addArg(Scriptable::tr("TEXT"))
-            << CommandHelp("copy", Scriptable::tr("\nSet clipboard content."))
+            << CommandHelp("copy", Scriptable::tr("Set clipboard content."))
                .addArg(Scriptable::tr("MIME"))
                .addArg(Scriptable::tr("DATA"))
                .addArg("[" + Scriptable::tr("MIME") + " " + Scriptable::tr("DATA") + "]...")
@@ -121,7 +132,7 @@ QList<CommandHelp> commandHelp()
             << CommandHelp("read",
                            Scriptable::tr("Print raw data of clipboard or item in row."))
                .addArg("[" + Scriptable::tr("MIME") + "|" + Scriptable::tr("ROW") + "]...")
-            << CommandHelp("write", Scriptable::tr("\nWrite raw data to given row."))
+            << CommandHelp("write", Scriptable::tr("Write raw data to given row."))
                .addArg("[" + Scriptable::tr("ROW") + "=0]")
                .addArg(Scriptable::tr("MIME"))
                .addArg(Scriptable::tr("DATA"))
@@ -131,12 +142,12 @@ QList<CommandHelp> commandHelp()
                            Scriptable::tr("Show action dialog."))
                .addArg("[" + Scriptable::tr("ROWS") + "=0...]")
             << CommandHelp("action",
-                           Scriptable::tr("\nRun PROGRAM on item text in the rows.\n"
+                           Scriptable::tr("Run PROGRAM on item text in the rows.\n"
                                           "Use %1 in PROGRAM to pass text as argument."))
                .addArg("[" + Scriptable::tr("ROWS") + "=0...]")
                .addArg("[" + Scriptable::tr("PROGRAM") + " [" + Scriptable::tr("SEPARATOR") + "=\\n]]")
             << CommandHelp("popup",
-                           Scriptable::tr("\nShow tray popup message for TIME milliseconds."))
+                           Scriptable::tr("Show tray popup message for TIME milliseconds."))
                .addArg(Scriptable::tr("TITLE"))
                .addArg(Scriptable::tr("MESSAGE"))
                .addArg("[" + Scriptable::tr("TIME") + "=8000]")
@@ -174,19 +185,17 @@ QList<CommandHelp> commandHelp()
                .addArg(Scriptable::tr("OPTION"))
                .addArg(Scriptable::tr("VALUE"))
             << CommandHelp()
-            << CommandHelp("eval, -e",
-                           Scriptable::tr("\nEvaluate ECMAScript program.\n"
-                                          "Arguments are accessible using with \"arguments[0..N]\"."))
+            << CommandHelp("eval, -e", Scriptable::tr("Evaluate script."))
                .addArg("[" + Scriptable::tr("SCRIPT") + "]")
                .addArg("[" + Scriptable::tr("ARGUMENTS") + "]...")
             << CommandHelp("session, -s, --session",
-                           Scriptable::tr("\nStarts or connects to application instance with given session name."))
+                           Scriptable::tr("Starts or connects to application instance with given session name."))
                .addArg(Scriptable::tr("SESSION"))
             << CommandHelp("help, -h, --help",
-                           Scriptable::tr("\nPrint help for COMMAND or all commands."))
+                           Scriptable::tr("Print help for COMMAND or all commands."))
                .addArg("[" + Scriptable::tr("COMMAND") + "]...")
             << CommandHelp("version, -v, --version",
-                           Scriptable::tr("\nPrint version of program and libraries."))
+                           Scriptable::tr("Print version of program and libraries."))
 #ifdef HAS_TESTS
             << CommandHelp("tests, --tests",
                            Scriptable::tr("Run application tests (append --help argument for more info)."))
diff -pruN 3.10.0-1/src/scriptable/commandhelp.h 3.11.0-1/src/scriptable/commandhelp.h
--- 3.10.0-1/src/scriptable/commandhelp.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/commandhelp.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/dirclass.cpp 3.11.0-1/src/scriptable/dirclass.cpp
--- 3.10.0-1/src/scriptable/dirclass.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/dirclass.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/dirclass.h 3.11.0-1/src/scriptable/dirclass.h
--- 3.10.0-1/src/scriptable/dirclass.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/dirclass.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/dirprototype.cpp 3.11.0-1/src/scriptable/dirprototype.cpp
--- 3.10.0-1/src/scriptable/dirprototype.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/dirprototype.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/dirprototype.h 3.11.0-1/src/scriptable/dirprototype.h
--- 3.10.0-1/src/scriptable/dirprototype.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/dirprototype.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/fileclass.cpp 3.11.0-1/src/scriptable/fileclass.cpp
--- 3.10.0-1/src/scriptable/fileclass.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/fileclass.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/fileclass.h 3.11.0-1/src/scriptable/fileclass.h
--- 3.10.0-1/src/scriptable/fileclass.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/fileclass.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/fileprototype.cpp 3.11.0-1/src/scriptable/fileprototype.cpp
--- 3.10.0-1/src/scriptable/fileprototype.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/fileprototype.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/fileprototype.h 3.11.0-1/src/scriptable/fileprototype.h
--- 3.10.0-1/src/scriptable/fileprototype.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/fileprototype.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/scriptableclass.cpp 3.11.0-1/src/scriptable/scriptableclass.cpp
--- 3.10.0-1/src/scriptable/scriptableclass.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/scriptableclass.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/scriptableclass.h 3.11.0-1/src/scriptable/scriptableclass.h
--- 3.10.0-1/src/scriptable/scriptableclass.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/scriptableclass.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/scriptable.cpp 3.11.0-1/src/scriptable/scriptable.cpp
--- 3.10.0-1/src/scriptable/scriptable.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/scriptable.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -102,7 +102,7 @@ private:
 
         ::log( QString("%1: %2")
                .arg(m_label, "Finished in %1 ms")
-               .arg(ms) );
+               .arg(ms), level );
     }
 
     QString m_label;
@@ -1150,6 +1150,19 @@ void Scriptable::remove()
         throwError(error);
 }
 
+void Scriptable::move()
+{
+    m_skipArguments = 1;
+
+    int row;
+    if ( !toInt(argument(0), &row) ) {
+        throwError(argumentError());
+        return;
+    }
+
+    m_proxy->browserMoveSelected(row);
+}
+
 void Scriptable::edit()
 {
     m_skipArguments = -1;
@@ -2012,6 +2025,27 @@ QScriptValue Scriptable::dialog()
     return result;
 }
 
+QScriptValue Scriptable::menuItems()
+{
+    const auto arg = argument(0);
+    if ( arg.isString() ) {
+        m_skipArguments = -1;
+        QVector<QVariantMap> items;
+        for (const auto &arg : arguments())
+            items.append(createDataMap(mimeText, arg));
+        const int i = m_proxy->menuItems(items);
+        if (i == -1 || i >= items.size())
+            return QString();
+        return getTextData(items[i]);
+    }
+
+    m_skipArguments = 1;
+    const auto items = fromScriptValue<QVector<QVariantMap>>( arg, this );
+    if ( items.isEmpty() )
+        return -1;
+    return m_proxy->menuItems(items);
+}
+
 QScriptValue Scriptable::settings()
 {
     m_skipArguments = 2;
@@ -2494,6 +2528,10 @@ void Scriptable::runMenuCommandFilters()
             timer.start();
     });
 
+    // Avoid modifying menu filter data.
+    const int actionId = m_actionId;
+    m_actionId = -1;
+
     connect(&timer, &QTimer::timeout, &loop, [&]() {
         if ( bytes.isEmpty() )
             return;
@@ -2514,18 +2552,14 @@ void Scriptable::runMenuCommandFilters()
             return;
         }
 
-        m_data.clear();
-        if ( !deserializeData(&in, &m_data) ) {
-            log("Failed to deserialize data for menu item filter", LogError);
-            return;
-        }
+        getActionData(actionId);
 
         PerformanceLogger logger( QLatin1String("Menu item filters") );
 
         for (int i = 0; i < matchCommands.length(); ++i) {
             const bool enabled = canExecuteCommandFilter(matchCommands[i]);
-            if ( !m_proxy->enableMenuItem(m_actionId, currentRun, i, enabled) )
-                return;
+            if ( !m_proxy->enableMenuItem(actionId, currentRun, i, enabled) )
+                break;
         }
     });
 
@@ -3280,8 +3314,13 @@ void Scriptable::printError(const QByteA
 
 void Scriptable::getActionData()
 {
-    if (m_actionId != -1)
-        m_data = m_oldData = m_proxy->getActionData(m_actionId);
+    getActionData(m_actionId);
+}
+
+void Scriptable::getActionData(int actionId)
+{
+    if (actionId != -1)
+        m_data = m_oldData = m_proxy->getActionData(actionId);
 }
 
 void Scriptable::setActionData()
diff -pruN 3.10.0-1/src/scriptable/scriptable.h 3.11.0-1/src/scriptable/scriptable.h
--- 3.10.0-1/src/scriptable/scriptable.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/scriptable.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -58,6 +58,7 @@ class Scriptable final : public QObject,
     Q_PROPERTY(QScriptValue mimeWindowTitle READ getMimeWindowTitle CONSTANT)
     Q_PROPERTY(QScriptValue mimeItems READ getMimeItems CONSTANT)
     Q_PROPERTY(QScriptValue mimeItemNotes READ getMimeItemNotes CONSTANT)
+    Q_PROPERTY(QScriptValue mimeIcon READ getMimeIcon CONSTANT)
     Q_PROPERTY(QScriptValue mimeOwner READ getMimeOwner CONSTANT)
     Q_PROPERTY(QScriptValue mimeClipboardMode READ getMimeClipboardMode CONSTANT)
     Q_PROPERTY(QScriptValue mimeCurrentTab READ getMimeCurrentTab CONSTANT)
@@ -132,6 +133,7 @@ public:
     QScriptValue getMimeWindowTitle() const { return mimeWindowTitle; }
     QScriptValue getMimeItems() const { return mimeItems; }
     QScriptValue getMimeItemNotes() const { return mimeItemNotes; }
+    QScriptValue getMimeIcon() const { return mimeIcon; }
     QScriptValue getMimeOwner() const { return mimeOwner; }
     QScriptValue getMimeClipboardMode() const { return mimeClipboardMode; }
     QScriptValue getMimeCurrentTab() const { return mimeCurrentTab; }
@@ -209,6 +211,7 @@ public slots:
     void insert();
     void remove();
     void edit();
+    void move();
 
     QScriptValue read();
     void write();
@@ -303,6 +306,8 @@ public slots:
 
     QScriptValue dialog();
 
+    QScriptValue menuItems();
+
     QScriptValue settings();
 
     QScriptValue dateString();
@@ -415,6 +420,7 @@ private:
     void printError(const QByteArray &message);
 
     void getActionData();
+    void getActionData(int actionId);
     void setActionData();
 
     QByteArray getClipboardData(const QString &mime, ClipboardMode mode = ClipboardMode::Clipboard);
diff -pruN 3.10.0-1/src/scriptable/scriptableprototype.h 3.11.0-1/src/scriptable/scriptableprototype.h
--- 3.10.0-1/src/scriptable/scriptableprototype.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/scriptableprototype.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/scriptableproxy.cpp 3.11.0-1/src/scriptable/scriptableproxy.cpp
--- 3.10.0-1/src/scriptable/scriptableproxy.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/scriptableproxy.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -42,6 +42,7 @@
 #include "gui/pixelratio.h"
 #include "gui/screen.h"
 #include "gui/tabicons.h"
+#include "gui/traymenu.h"
 #include "gui/windowgeometryguard.h"
 #include "item/serialize.h"
 #include "platform/platformnativeinterface.h"
@@ -754,14 +755,26 @@ private:
 
         const auto className = widget->metaObject()->className();
 
-        const auto widgetName = QString("%1:%2")
+        auto widgetName = QString("%1:%2")
                 .arg(widget->objectName(), className);
 
         const auto window = widget->window();
         if (window && widget != window) {
-            return widgetName
-                + QString(" in %1:%2")
-                    .arg(window->objectName(), window->metaObject()->className());
+            widgetName.append(
+                QString(" in %1:%2")
+                    .arg(window->objectName(), window->metaObject()->className())
+            );
+        }
+
+        auto parent = widget->parentWidget();
+        while (parent) {
+            if ( parent != window && !parent->objectName().startsWith("qt_") ) {
+                widgetName.append(
+                    QString(" in %1:%2")
+                        .arg(parent->objectName(), parent->metaObject()->className())
+                );
+            }
+            parent = parent->parentWidget();
         }
 
         return widgetName;
@@ -1285,6 +1298,25 @@ QString ScriptableProxy::browserRemoveRo
     return QString();
 }
 
+void ScriptableProxy::browserMoveSelected(int targetRow)
+{
+    INVOKE2(browserMoveSelected, (targetRow));
+
+    QVector<int> selectedRows;
+    const QList<QPersistentModelIndex> selected = selectedIndexes();
+    if ( selected.isEmpty() )
+        return;
+
+    ClipboardBrowser *c = m_wnd->browserForItem(selected.first());
+    if (c == nullptr)
+        return;
+
+    QModelIndexList indexes;
+    for (const auto index : selected)
+        indexes.append(index);
+    c->move(indexes, targetRow);
+}
+
 void ScriptableProxy::browserEditRow(const QString &tabName, int arg1)
 {
     INVOKE2(browserEditRow, (tabName, arg1));
@@ -1327,6 +1359,33 @@ int ScriptableProxy::findTabIndex(const
     return m_wnd->findTabIndex(arg1);
 }
 
+int ScriptableProxy::menuItems(const QVector<QVariantMap> &items)
+{
+    INVOKE(menuItems, (items));
+
+    TrayMenu menu;
+    menu.setObjectName("CustomMenu");
+
+    const auto addMenuItems = [&](const QString &searchText) {
+        menu.clearClipboardItems();
+        for (const QVariantMap &data : items) {
+            const QString text = getTextData(data);
+            if ( text.contains(searchText, Qt::CaseInsensitive) )
+                menu.addClipboardItemAction(data, true);
+        }
+    };
+    addMenuItems(QString());
+
+    connect(&menu, &TrayMenu::searchRequest, addMenuItems);
+
+    const QPoint pos = QCursor::pos();
+    QAction *act = menu.exec(pos);
+    if (act == nullptr)
+        return -1;
+
+    return items.indexOf(act->data().toMap());
+}
+
 void ScriptableProxy::openActionDialog(const QVariantMap &arg1)
 {
     INVOKE2(openActionDialog, (arg1));
@@ -1974,21 +2033,12 @@ void ScriptableProxy::setTitle(const QSt
 {
     INVOKE2(setTitle, (title));
 
-    const QString sessionName = qApp->property("CopyQ_session_name").toString();
     if (title.isEmpty()) {
-        m_wnd->setWindowTitle("CopyQ");
-        m_wnd->setTrayTooltip("CopyQ");
+        m_wnd->setWindowTitle(QString());
+        m_wnd->setTrayTooltip(QGuiApplication::applicationDisplayName());
     } else {
-        const QString fullTitle = sessionName.isEmpty()
-                ? tr("%1 - CopyQ",
-                     "Main window title format (%1 is clipboard content label)")
-                  .arg(title)
-                : tr("%1 - %2 - CopyQ",
-                     "Main window title format (%1 is clipboard content label, %2 is session name)")
-                  .arg(title, sessionName);
-
-        m_wnd->setWindowTitle(fullTitle);
-        m_wnd->setTrayTooltip(fullTitle);
+        m_wnd->setWindowTitle(title);
+        m_wnd->setTrayTooltip(title);
     }
 }
 
diff -pruN 3.10.0-1/src/scriptable/scriptableproxy.h 3.11.0-1/src/scriptable/scriptableproxy.h
--- 3.10.0-1/src/scriptable/scriptableproxy.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/scriptableproxy.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -138,6 +138,7 @@ public slots:
     void browserMoveToClipboard(const QString &tabName, int row);
     void browserSetCurrent(const QString &tabName, int arg1);
     QString browserRemoveRows(const QString &tabName, QVector<int> rows);
+    void browserMoveSelected(int targetRow);
 
     void browserEditRow(const QString &tabName, int arg1);
     void browserEditNew(const QString &tabName, const QString &arg1, bool changeClipboard);
@@ -148,6 +149,8 @@ public slots:
     bool toggleCurrentMenu();
     int findTabIndex(const QString &arg1);
 
+    int menuItems(const QVector<QVariantMap> &items);
+
     void openActionDialog(const QVariantMap &arg1);
 
     bool loadTab(const QString &arg1);
diff -pruN 3.10.0-1/src/scriptable/temporaryfileclass.cpp 3.11.0-1/src/scriptable/temporaryfileclass.cpp
--- 3.10.0-1/src/scriptable/temporaryfileclass.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/temporaryfileclass.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/temporaryfileclass.h 3.11.0-1/src/scriptable/temporaryfileclass.h
--- 3.10.0-1/src/scriptable/temporaryfileclass.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/temporaryfileclass.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/temporaryfileprototype.cpp 3.11.0-1/src/scriptable/temporaryfileprototype.cpp
--- 3.10.0-1/src/scriptable/temporaryfileprototype.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/temporaryfileprototype.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/scriptable/temporaryfileprototype.h 3.11.0-1/src/scriptable/temporaryfileprototype.h
--- 3.10.0-1/src/scriptable/temporaryfileprototype.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/scriptable/temporaryfileprototype.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/tests/testinterface.h 3.11.0-1/src/tests/testinterface.h
--- 3.10.0-1/src/tests/testinterface.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/tests/testinterface.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/tests/tests.cpp 3.11.0-1/src/tests/tests.cpp
--- 3.10.0-1/src/tests/tests.cpp	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/tests/tests.cpp	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -78,6 +78,7 @@ const auto clipboardBrowserRefreshButton
 const auto filterEditId = "focus:Utils::FilterLineEdit";
 const auto trayMenuId = "focus:TrayMenu";
 const auto menuId = "focus:Menu";
+const auto customMenuId = "focus:CustomMenu";
 const auto editorId = "focus::ItemEditorWidget";
 const auto tabDialogLineEditId = "focus:lineEditTabName";
 const auto commandDialogId = "focus:CommandDialog";
@@ -94,6 +95,7 @@ const auto actionHandlerTableId = "focus
 const auto clipboardDialogId = "focus:ClipboardDialog";
 const auto clipboardDialogFormatListId = "focus:listWidgetFormats";
 const auto confirmExitDialogId = "focus::QPushButton in :QMessageBox";
+const auto itemPreviewId = "focus:in dockWidgetItemPreviewContents";
 
 class PerformanceTimer final {
 public:
@@ -143,6 +145,7 @@ bool testStderr(const QByteArray &stderr
     output.remove("QtWarning: libpng warning: iCCP: known incorrect sRGB profile");
     output.remove("QtWarning: QMime::convertToMime: unhandled mimetype: text/plain");
     output.remove("QtWarning: QWindowsWindow::setGeometry: Unable to set geometry");
+    output.remove("QtWarning: setGeometry: Unable to set geometry");
     output.remove("ERROR: QtCritical: QWindowsPipeWriter::write failed. (The pipe is being closed.)");
     output.remove("ERROR: QtCritical: QWindowsPipeWriter: asynchronous write failed. (The pipe has been ended.)");
 #ifdef Q_OS_MAC
@@ -1113,6 +1116,47 @@ void Tests::commandDialogCloseOnDisconne
     RUN("afterMilliseconds(0, abort); dialog()", "");
 }
 
+void Tests::commandMenuItems()
+{
+    RUN(Args() << "keys" << clipboardBrowserId, "");
+    runMultiple(
+        [&]() { RUN(WITH_TIMEOUT "menuItems('a', 'b', 'c')", "a\n"); },
+        [&]() { RUN(Args() << "keys" << customMenuId << "ENTER", ""); }
+    );
+
+    RUN(Args() << "keys" << clipboardBrowserId, "");
+    runMultiple(
+        [&]() { RUN(WITH_TIMEOUT "menuItems([{'text/plain': 'a'}, {'text/plain': 'b'}])", "0\n"); },
+        [&]() { RUN(Args() << "keys" << customMenuId << "ENTER", ""); }
+    );
+
+    RUN(Args() << "keys" << clipboardBrowserId, "");
+    runMultiple(
+        [&]() { RUN(WITH_TIMEOUT "menuItems('a', 'b', 'c')", "\n"); },
+        [&]() { RUN(Args() << "keys" << customMenuId << "ESCAPE", ""); }
+    );
+
+    RUN(Args() << "keys" << clipboardBrowserId, "");
+    runMultiple(
+        [&]() { RUN(WITH_TIMEOUT "menuItems([{'text/plain': 'a'}, {'text/plain': 'b'}])", "-1\n"); },
+        [&]() { RUN(Args() << "keys" << customMenuId << "ESCAPE", ""); }
+    );
+
+    RUN(Args() << "keys" << clipboardBrowserId, "");
+    runMultiple(
+        [&]() { RUN(WITH_TIMEOUT "menuItems('a', 'b', 'c')", "b\n"); },
+        [&]() { RUN(Args() << "keys" << customMenuId << ":b" << "ENTER", ""); }
+    );
+
+    RUN(Args() << "keys" << clipboardBrowserId, "");
+    runMultiple(
+        [&]() { RUN(WITH_TIMEOUT "menuItems([{'text/plain': 'a'}, {'text/plain': 'b'}])", "1\n"); },
+        [&]() { RUN(Args() << "keys" << customMenuId << ":b" << "ENTER", ""); }
+    );
+
+    RUN("afterMilliseconds(0, abort); menuItems('a', 'b', 'c')", "");
+}
+
 void Tests::commandsPackUnpack()
 {
     QMap<QByteArray, QByteArray> data;
@@ -1551,6 +1595,16 @@ void Tests::commandLoadTheme()
         tmp.close();
         RUN("loadTheme" << tmp.fileName(), "");
     }
+
+    // Verify default stylesheets - if there is a syntax error,
+    // application prints a warning which should be captured by tests.
+    {
+        QTemporaryFile tmp;
+        QVERIFY(tmp.open());
+        tmp.write("[General]\nstyle_main_window=true");
+        tmp.close();
+        RUN("loadTheme" << tmp.fileName(), "");
+    }
 }
 
 void Tests::commandDateString()
@@ -1976,7 +2030,11 @@ void Tests::keysAndFocusing()
     RUN("disable", "");
     RUN("keys" << clipboardBrowserId << "CTRL+T", "");
 
-    WAIT_ON_OUTPUT("currentWindowTitle", "CopyQ New Tab\n");
+#ifdef Q_OS_WIN
+    WAIT_ON_OUTPUT("currentWindowTitle", "New Tab - CopyQ\n");
+#else
+    WAIT_ON_OUTPUT("currentWindowTitle", "New Tab — CopyQ\n");
+#endif
 
     RUN("keys" << tabDialogLineEditId << "ESC", "");
     WAIT_ON_OUTPUT("currentWindowTitle", "CopyQ\n");
@@ -2572,6 +2630,22 @@ void Tests::nextPreviousTab()
     }
 }
 
+void Tests::itemPreview()
+{
+    const auto tab1 = testTab(1);
+    RUN("tab" << tab1 << "add" << "def" << "abc", "");
+    RUN("setCurrentTab" << tab1, "");
+
+    RUN("keys" << clipboardBrowserId << "F7", "")
+    RUN("keys" << clipboardBrowserId << "TAB" << itemPreviewId, "")
+    RUN("keys" << itemPreviewId << "HOME", "")
+    RUN("keys" << itemPreviewId << "RIGHT", "")
+    RUN("keys" << itemPreviewId << "SHIFT+RIGHT", "")
+    RUN("keys" << itemPreviewId << keyNameFor(QKeySequence::Copy), "")
+    WAIT_FOR_CLIPBOARD("b");
+    RUN("keys" << itemPreviewId << "F7" << clipboardBrowserId, "")
+}
+
 void Tests::openAndSavePreferences()
 {
 #ifdef Q_OS_MAC
@@ -2957,6 +3031,48 @@ void Tests::shortcutCommandSelectedAndCu
     WAIT_ON_OUTPUT("tab" << tab1 << "read(0)", "1,2|2|" + tab1.toUtf8());
 }
 
+void Tests::shortcutCommandMoveSelected()
+{
+    const QString script = R"(
+        setCommands([{
+            name: 'Move Selected',
+            inMenu: true,
+            shortcuts: ['Ctrl+F1'],
+            output: 'text/plain',
+            cmd: 'copyq: move(%1)'
+        }])
+        )";
+    RUN(script.arg(1), "");
+
+    const Args args = Args("tab") << testTab(1) << "separator" << ",";
+    RUN("setCurrentTab" << testTab(1), "");
+    RUN(args << "add" << "4" << "3" << "2" << "1", "");
+
+    RUN(args << "selectItems" << "1" << "2", "true\n");
+    RUN("keys" << "CTRL+F1", "");
+    RUN(args << "read(0,1,2,3,4)", "1,2,3,4,");
+
+    RUN(args << "selectItems" << "2" << "3", "true\n");
+    RUN("keys" << "CTRL+F1", "");
+    RUN(args << "read(0,1,2,3,4)", "1,3,4,2,");
+
+    RUN(script.arg(5), "");
+    RUN("keys" << "CTRL+F1", "");
+    RUN(args << "read(0,1,2,3,4)", "1,3,4,2,");
+
+    RUN(script.arg(-1), "");
+    RUN("keys" << "CTRL+F1", "");
+    RUN(args << "read(0,1,2,3,4)", "1,3,4,2,");
+
+    RUN(script.arg(4), "");
+    RUN("keys" << "CTRL+F1", "");
+    RUN(args << "read(0,1,2,3,4)", "1,2,3,4,");
+
+    RUN(script.arg(0), "");
+    RUN("keys" << "CTRL+F1", "");
+    RUN(args << "read(0,1,2,3,4)", "3,4,1,2,");
+}
+
 void Tests::automaticCommandIgnore()
 {
     const auto script = R"(
diff -pruN 3.10.0-1/src/tests/tests.h 3.11.0-1/src/tests/tests.h
--- 3.10.0-1/src/tests/tests.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/tests/tests.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
@@ -81,6 +81,8 @@ private slots:
     void commandDialog();
     void commandDialogCloseOnDisconnect();
 
+    void commandMenuItems();
+
     void commandsPackUnpack();
     void commandsBase64();
     void commandsGetSetItem();
@@ -192,6 +194,8 @@ private slots:
 
     void nextPreviousTab();
 
+    void itemPreview();
+
     void openAndSavePreferences();
 
     void pasteFromMainWindow();
@@ -221,6 +225,7 @@ private slots:
     void shortcutCommandSelectedItemsData();
     void shortcutCommandSetSelectedItemsData();
     void shortcutCommandSelectedAndCurrent();
+    void shortcutCommandMoveSelected();
 
     void automaticCommandIgnore();
     void automaticCommandRemove();
diff -pruN 3.10.0-1/src/tests/test_utils.h 3.11.0-1/src/tests/test_utils.h
--- 3.10.0-1/src/tests/test_utils.h	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/tests/test_utils.h	2020-05-01 06:22:49.000000000 +0000
@@ -1,5 +1,5 @@
 /*
-    Copyright (c) 2019, Lukas Holecek <hluk@email.cz>
+    Copyright (c) 2020, Lukas Holecek <hluk@email.cz>
 
     This file is part of CopyQ.
 
diff -pruN 3.10.0-1/src/ui/aboutdialog.ui 3.11.0-1/src/ui/aboutdialog.ui
--- 3.10.0-1/src/ui/aboutdialog.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/aboutdialog.ui	2020-05-01 06:22:49.000000000 +0000
@@ -11,7 +11,7 @@
    </rect>
   </property>
   <property name="windowTitle">
-   <string>CopyQ About</string>
+   <string>About</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <property name="spacing">
diff -pruN 3.10.0-1/src/ui/actiondialog.ui 3.11.0-1/src/ui/actiondialog.ui
--- 3.10.0-1/src/ui/actiondialog.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/actiondialog.ui	2020-05-01 06:22:49.000000000 +0000
@@ -11,7 +11,7 @@
    </rect>
   </property>
   <property name="windowTitle">
-   <string>CopyQ Action Dialog</string>
+   <string>Action Dialog</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
diff -pruN 3.10.0-1/src/ui/actionhandlerdialog.ui 3.11.0-1/src/ui/actionhandlerdialog.ui
--- 3.10.0-1/src/ui/actionhandlerdialog.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/actionhandlerdialog.ui	2020-05-01 06:22:49.000000000 +0000
@@ -11,7 +11,7 @@
    </rect>
   </property>
   <property name="windowTitle">
-   <string>CopyQ Process Manager</string>
+   <string>Process Manager</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
diff -pruN 3.10.0-1/src/ui/addcommanddialog.ui 3.11.0-1/src/ui/addcommanddialog.ui
--- 3.10.0-1/src/ui/addcommanddialog.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/addcommanddialog.ui	2020-05-01 06:22:49.000000000 +0000
@@ -11,7 +11,7 @@
    </rect>
   </property>
   <property name="windowTitle">
-   <string>CopyQ Add Commands</string>
+   <string>Add Commands</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
diff -pruN 3.10.0-1/src/ui/clipboarddialog.ui 3.11.0-1/src/ui/clipboarddialog.ui
--- 3.10.0-1/src/ui/clipboarddialog.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/clipboarddialog.ui	2020-05-01 06:22:49.000000000 +0000
@@ -17,7 +17,7 @@
    </sizepolicy>
   </property>
   <property name="windowTitle">
-   <string>CopyQ Clipboard Content</string>
+   <string>Clipboard Content</string>
   </property>
   <layout class="QGridLayout" name="gridLayout">
    <item row="2" column="0">
diff -pruN 3.10.0-1/src/ui/commanddialog.ui 3.11.0-1/src/ui/commanddialog.ui
--- 3.10.0-1/src/ui/commanddialog.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/commanddialog.ui	2020-05-01 06:22:49.000000000 +0000
@@ -11,7 +11,7 @@
    </rect>
   </property>
   <property name="windowTitle">
-   <string>CopyQ Commands</string>
+   <string>Commands</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
diff -pruN 3.10.0-1/src/ui/commandwidget.ui 3.11.0-1/src/ui/commandwidget.ui
--- 3.10.0-1/src/ui/commandwidget.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/commandwidget.ui	2020-05-01 06:22:49.000000000 +0000
@@ -237,7 +237,7 @@
                    <string>Run the command automatically if clipboard has new content</string>
                   </property>
                   <property name="text">
-                   <string>Auto&amp;matic</string>
+                   <string extracomment="Type of command; triggered by whenever clipboard changes">Auto&amp;matic</string>
                   </property>
                  </widget>
                 </item>
@@ -247,28 +247,28 @@
                    <string>Show command in context menu of matching items</string>
                   </property>
                   <property name="text">
-                   <string>In M&amp;enu</string>
+                   <string extracomment="Type of command; triggered by a custom application shortcut">In M&amp;enu</string>
                   </property>
                  </widget>
                 </item>
                 <item>
                  <widget class="QCheckBox" name="checkBoxGlobalShortcut">
                   <property name="text">
-                   <string>Global Shortcut</string>
+                   <string extracomment="Type of command; triggered by a custom global/system shortcut">Global Shortcut</string>
                   </property>
                  </widget>
                 </item>
                 <item>
                  <widget class="QCheckBox" name="checkBoxIsScript">
                   <property name="text">
-                   <string>Script</string>
+                   <string extracomment="Type of command; allows to extend scripting capabilities">Script</string>
                   </property>
                  </widget>
                 </item>
                 <item>
                  <widget class="QCheckBox" name="checkBoxDisplay">
                   <property name="text">
-                   <string>Display</string>
+                   <string extracomment="Type of command; allows change how items are displayed">Display</string>
                   </property>
                  </widget>
                 </item>
diff -pruN 3.10.0-1/src/ui/configurationmanager.ui 3.11.0-1/src/ui/configurationmanager.ui
--- 3.10.0-1/src/ui/configurationmanager.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/configurationmanager.ui	2020-05-01 06:22:49.000000000 +0000
@@ -17,7 +17,7 @@
    </size>
   </property>
   <property name="windowTitle">
-   <string>CopyQ Configuration</string>
+   <string>Configuration</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_7">
    <item>
diff -pruN 3.10.0-1/src/ui/logdialog.ui 3.11.0-1/src/ui/logdialog.ui
--- 3.10.0-1/src/ui/logdialog.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/logdialog.ui	2020-05-01 06:22:49.000000000 +0000
@@ -11,7 +11,7 @@
    </rect>
   </property>
   <property name="windowTitle">
-   <string>CopyQ Log</string>
+   <string>Log</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
diff -pruN 3.10.0-1/src/ui/mainwindow.ui 3.11.0-1/src/ui/mainwindow.ui
--- 3.10.0-1/src/ui/mainwindow.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/mainwindow.ui	2020-05-01 06:22:49.000000000 +0000
@@ -14,7 +14,7 @@
    <enum>Qt::PreventContextMenu</enum>
   </property>
   <property name="windowTitle">
-   <string>CopyQ</string>
+   <string></string>
   </property>
   <widget class="QWidget" name="centralWidget">
    <layout class="QVBoxLayout" name="verticalLayout">
diff -pruN 3.10.0-1/src/ui/shortcutdialog.ui 3.11.0-1/src/ui/shortcutdialog.ui
--- 3.10.0-1/src/ui/shortcutdialog.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/shortcutdialog.ui	2020-05-01 06:22:49.000000000 +0000
@@ -11,7 +11,7 @@
    </rect>
   </property>
   <property name="windowTitle">
-   <string>CopyQ New Shortcut</string>
+   <string>New Shortcut</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
diff -pruN 3.10.0-1/src/ui/tabpropertieswidget.ui 3.11.0-1/src/ui/tabpropertieswidget.ui
--- 3.10.0-1/src/ui/tabpropertieswidget.ui	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/src/ui/tabpropertieswidget.ui	2020-05-01 06:22:49.000000000 +0000
@@ -81,7 +81,7 @@
    <item>
     <widget class="QCheckBox" name="storeItems">
      <property name="text">
-      <string>&amp;Store Items</string>
+      <string>&amp;Save Items</string>
      </property>
     </widget>
    </item>
diff -pruN 3.10.0-1/translations/copyq_ar.ts 3.11.0-1/translations/copyq_ar.ts
--- 3.10.0-1/translations/copyq_ar.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_ar.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>حول CopyQ</translation>
+        <source>About</source>
+        <translation>حول البرنامج</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>حوار إجرائات CopyQ</translation>
+        <source>Action Dialog</source>
+        <translation type="unfinished">حوار إجرائات</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -94,12 +94,12 @@
         <translation>تخزين العناصر في لسان تحت اسم معين (اترك فارغا للتعطيل)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>تم تخزين الامر</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>تم تخزين الامر و يمكن الوصول له من قائمة العناصر.
@@ -128,7 +128,7 @@ يمكنك انشاء الامر من ا
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
+        <source>Process Manager</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -146,8 +146,8 @@ يمكنك انشاء الامر من ا
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ اضف امر</translation>
+        <source>Add Commands</source>
+        <translation type="unfinished">اضف امر</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -321,24 +321,17 @@ يمكنك انشاء الامر من ا
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
-        <source>Cannot Add New Items</source>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
-        <source>Tab is full. Failed to remove any items.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>تجاهل التغييرات؟</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>هل تريد حقاً أن &lt;strong&gt;تتجاهل التغييرات&lt;/strong&gt;؟</translation>
     </message>
@@ -346,12 +339,12 @@ يمكنك انشاء الامر من ا
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>لا يمكن الاتصال بالملقم! بدء تشغيل ملقم CopyQ أولاً.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>فقد الاتصال!</translation>
     </message>
@@ -360,8 +353,8 @@ يمكنك انشاء الامر من ا
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>محتوى حافظة CopyQ</translation>
+        <source>Clipboard Content</source>
+        <translation type="unfinished">محتوى حافظة</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +373,40 @@ يمكنك انشاء الامر من ا
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>محتوى عنصر CopyQ</translation>
+        <source>Item Content</source>
+        <translation type="unfinished">محتوى عنصر</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
-        <comment>Size of data in bytes</comment>
+        <comment>Size of clipboard/item data in bytes</comment>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation type="unfinished"></translation>
     </message>
@@ -431,7 +424,7 @@ يمكنك انشاء الامر من ا
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
+        <source>Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -465,32 +458,32 @@ يمكنك انشاء الامر من ا
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation type="unfinished"></translation>
     </message>
@@ -564,6 +557,7 @@ يمكنك انشاء الامر من ا
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -574,6 +568,7 @@ يمكنك انشاء الامر من ا
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -589,6 +584,7 @@ يمكنك انشاء الامر من ا
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -615,11 +611,13 @@ Leave empty to disable this.</source>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -899,54 +897,54 @@ Note: If this is applied automatically,
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation type="unfinished"></translation>
@@ -1513,11 +1511,6 @@ Set to 0 to disable.</source>
 <context>
     <name>ConfigurationManager</name>
     <message>
-        <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
         <source>General</source>
         <translation type="unfinished"></translation>
@@ -1587,11 +1580,16 @@ Set to 0 to disable.</source>
         <source>Language will be changed after application is restarted.</source>
         <translation type="unfinished"></translation>
     </message>
+    <message>
+        <location filename="../src/ui/configurationmanager.ui" line="20"/>
+        <source>Configuration</source>
+        <translation type="unfinished"></translation>
+    </message>
 </context>
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -1623,7 +1621,7 @@ Set to 0 to disable.</source>
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
+        <source>Select Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -1681,89 +1679,89 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation type="unfinished">F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation type="unfinished">Escape</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2072,22 +2070,22 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2095,28 +2093,28 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2124,17 +2122,17 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2169,51 +2167,51 @@ Set to 0 to disable.</source>
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
-        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
-&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
-        <source>Extensions</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
-        <source>Item MIME Type</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
+        <source>Extensions</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2322,125 +2320,125 @@ Set to 0 to disable.</source>
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
+        <source>Log</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
-        <source>CopyQ</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
-        <source>CopyQ Error</source>
-        <comment>Notification error message title</comment>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
-        <source>&amp;Show/Hide</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
+        <source>CopyQ Error</source>
+        <comment>Notification error message title</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
+        <source>&amp;Show/Hide</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation type="unfinished"></translation>
@@ -2451,32 +2449,27 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2498,13 +2491,13 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2517,25 +2510,25 @@ Set to 0 to disable.</source>
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2608,92 +2601,92 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation type="unfinished">F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation type="unfinished">F7</translation>
     </message>
@@ -2876,7 +2869,7 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2889,7 +2882,7 @@ Set to 0 to disable.</source>
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2901,7 +2894,7 @@ which can be letters, digits, &apos;-&ap
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2909,413 +2902,410 @@ which can be letters, digits, &apos;-&ap
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
-        <source>Set clipboard text.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
-        <source>TEXT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
+        <source>Set clipboard text.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
-        <source>
-Set clipboard content.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
+        <source>TEXT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
-        <source>
-Write raw data to given row.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <source>Show action dialog.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
-        <source>Show action dialog.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
+        <source>PROGRAM</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
-        <source>
-Run PROGRAM on item text in the rows.
-Use %1 in PROGRAM to pass text as argument.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
-        <source>PROGRAM</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
-        <source>
-Show tray popup message for TIME milliseconds.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
-        <source>
-Evaluate ECMAScript program.
-Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
-        <source>SCRIPT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
-        <source>ARGUMENTS</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
-        <source>
-Starts or connects to application instance with given session name.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
-        <source>SESSION</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
+        <source>SCRIPT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
-        <source>
-Print help for COMMAND or all commands.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
+        <source>ARGUMENTS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
-        <source>
-Print version of program and libraries.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
+        <source>SESSION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -3323,32 +3313,20 @@ Print version of program and libraries.<
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation type="unfinished">أسم اللسان لا يمكن أن يكون فارغ!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation type="unfinished"></translation>
     </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
-        <source>%1 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
-        <source>%1 - %2 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation type="unfinished"></translation>
-    </message>
 </context>
 <context>
     <name>ShortcutButton</name>
@@ -3362,7 +3340,7 @@ Print version of program and libraries.<
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
+        <source>New Shortcut</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3405,7 +3383,7 @@ Print version of program and libraries.<
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3430,17 +3408,17 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
+        <source>New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
+        <source>Rename Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
+        <source>Rename Tab Group</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -3458,24 +3436,24 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation type="unfinished"></translation>
@@ -3484,12 +3462,12 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation type="unfinished"></translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_cs.ts 3.11.0-1/translations/copyq_cs.ts
--- 3.10.0-1/translations/copyq_cs.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_cs.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>CopyQ O aplikaci</translation>
+        <source>About</source>
+        <translation>O aplikaci</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ Dialog Akcí</translation>
+        <source>Action Dialog</source>
+        <translation>Dialog akcí</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -94,12 +94,12 @@
         <translation>Ulož prvky do záložky s daným názvem (do nyní otevřené záložky, pokud není název uveden)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Příkaz byl uložen</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Příkaz byl uložen a je přístupný z menu prvku.
@@ -128,8 +128,8 @@ Příkaz je možné zmenit v nastavení.
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>CopyQ Správce procesů</translation>
+        <source>Process Manager</source>
+        <translation>Správce procesů</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -146,8 +146,8 @@ Příkaz je možné zmenit v nastavení.
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ Přidat příkazy</translation>
+        <source>Add Commands</source>
+        <translation>Přidat příkazy</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -321,24 +321,25 @@ Příkaz je možné zmenit v nastavení.
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Nelze vytvořit nový prvek</translation>
+        <translation type="vanished">Nelze vytvořit nový prvek</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Záložka je zaplněna. Nepodařilo se odstranit žádné prvky.</translation>
+        <translation type="vanished">Záložka je zaplněna. Nepodařilo se odstranit žádné prvky.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation>Nelze přidat nové prvky do záložky %1. Pro uvolnění místa prosím odstraňte některé prvky.</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Zahodit změny?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Chcete opravdu &lt;strong&gt;zahodit změny&lt;/strong&gt;?</translation>
     </message>
@@ -346,12 +347,12 @@ Příkaz je možné zmenit v nastavení.
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Nelze se připojit k serveru! Nejdříve je nutné spustit CopyQ server.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Připojení ztraceno!</translation>
     </message>
@@ -360,8 +361,8 @@ Příkaz je možné zmenit v nastavení.
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ Obsah schránky</translation>
+        <source>Clipboard Content</source>
+        <translation>Obsah schránky</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +381,45 @@ Příkaz je možné zmenit v nastavení.
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ Obsah prvku</translation>
+        <source>Item Content</source>
+        <translation>Obsah prvku</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
-        <comment>Size of data in bytes</comment>
+        <comment>Size of clipboard/item data in bytes</comment>
         <translation>&lt;strong&gt;Velikost:&lt;/strong&gt; %1 bajtů</translation>
     </message>
+    <message>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of data in bytes</comment>
+        <translation type="vanished">&lt;strong&gt;Velikost:&lt;/strong&gt; %1 bajtů</translation>
+    </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>CopyQ server již běží.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Zrušit aktivní příkazy</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Zrušit aktivní příkazy a ukončit?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Přerušit ukončování</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Pokračovat v ukončování</translation>
     </message>
@@ -431,8 +437,8 @@ Příkaz je možné zmenit v nastavení.
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ Příkazy</translation>
+        <source>Commands</source>
+        <translation>Příkazy</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -465,32 +471,32 @@ Příkaz je možné zmenit v nastavení.
         <translation>Vložit příkazy</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Neuložené změny</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>Dialog příkazů obsahuje neuložené změny.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Otevřít soubory s příkazy</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Příkazy (*.ini);; CopyQ nastavení (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Uložit vybrané příkazy</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Příkazy (*.ini)</translation>
     </message>
@@ -560,6 +566,7 @@ Příkaz je možné zmenit v nastavení.
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Globální zkratka</translation>
     </message>
     <message>
@@ -664,6 +671,7 @@ Pro vypnutí zanechej prázné.</transla
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>&amp;Automaticky</translation>
     </message>
     <message>
@@ -674,6 +682,7 @@ Pro vypnutí zanechej prázné.</transla
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>V &amp;menu</translation>
     </message>
     <message>
@@ -733,11 +742,13 @@ Poznámka: Pokud je akce provedena autom
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Skript</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Zobrazení</translation>
     </message>
     <message>
@@ -909,55 +920,55 @@ Poznámka: Pokud je akce provedena autom
         <translation>Náhled:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Vyber prvek
 a stiskni F2 pro editaci.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Ukázkový prvek %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Nějaké poznámky (Shift+F2 pro editaci)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>prvek</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Vyhledávaný výraz je %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Otevřít soubor s tématem</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Uložit soubor s tématem</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Externí editor nenastaven</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Před editací je potřeba nastavit externí editor!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1548,8 +1559,8 @@ Nastav na 0 pro vypnutí.</translation>
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>CopyQ Nastavení</translation>
+        <source>Configuration</source>
+        <translation>Nastavení</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="181"/>
@@ -1625,7 +1636,7 @@ Nastav na 0 pro vypnutí.</translation>
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Nelze vytvořit adresář pro synchronizaci &quot;%1&quot;!</translation>
     </message>
@@ -1657,8 +1668,8 @@ Nastav na 0 pro vypnutí.</translation>
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>CopyQ Výběr ikony</translation>
+        <source>Select Icon</source>
+        <translation>Výběr ikony</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1715,89 +1726,89 @@ Nastav na 0 pro vypnutí.</translation>
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Uložit</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Uložit prvek (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Zrušit</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Zrušit editaci a vrátit změny</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Escape</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Písmo</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Tučné</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Kurzíva</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Podtržené</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Přeškrtnuté</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Popředí</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Pozadí</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Vymazat styl</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Hledat</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Zpět</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Znovu</translation>
     </message>
@@ -2106,22 +2117,22 @@ Nastav na 0 pro vypnutí.</translation>
         <translation>K odstranění je nutné prvek nejprve odepnout.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Připnout</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Odepnout</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Připnuté prvky</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt;Připnutí prvku k stávajícímu řádku a prevence odstranění.&lt;/p&gt;&lt;p&gt;Poskytuje klávesové zkratky a skriptovací funkce.&lt;/p&gt;</translation>
     </message>
@@ -2129,28 +2140,28 @@ Nastav na 0 pro vypnutí.</translation>
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Procházet...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Otevřít adresář pro synchronizaci</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Nelze vytvořit adresář pro synchronizaci</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Synchronizace</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Synchronizace prvků a poznámek s adresářem na disku.</translation>
     </message>
@@ -2158,17 +2169,17 @@ Nastav na 0 pro vypnutí.</translation>
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>Nelze synchronizovat záložku &quot;%1&quot; s adresářem &quot;%2&quot;!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Odstranit prvky?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>Opravdu chcete &lt;strong&gt;odebrat všechny prvky a přiřazené soubory&lt;/strong&gt;?</translation>
     </message>
@@ -2204,9 +2215,26 @@ Nastav na 0 pro vypnutí.</translation>
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation>&lt;p&gt;Nastav typ média na &lt;strong&gt;-&lt;/strong&gt; (znak mínus) pro ignorování souborů. Ostatní neznámé nebo skryté souboru jsou ignorovány.&lt;/p&gt;
+&lt;p&gt;Příklad: Nahraj soubory s příponou &lt;strong&gt;txt&lt;/strong&gt; jako &lt;strong&gt;text/plain&lt;/strong&gt; typ.&lt;/p&gt;</translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation>Typ média prvku</translation>
+    </message>
+    <message>
+        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <translation type="vanished">&lt;p&gt;Nastav MIME typ na &lt;strong&gt;-&lt;/strong&gt; (znak mínus) pro ignorování souborů. Ostatní neznámé nebo skryté souboru jsou ignorovány.&lt;/p&gt;
+&lt;p&gt;Příklad: Nahraj soubory s příponou &lt;strong&gt;txt&lt;/strong&gt; jako &lt;strong&gt;text/plain&lt;/strong&gt; MIME typ.&lt;/p&gt;</translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Nastav MIME typ na &lt;strong&gt;-&lt;/strong&gt; (pomlčka) pro ignorování souborů. Ostatní neznámé nebo skryté souboru jsou ignorovány.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;Nastav MIME typ na &lt;strong&gt;-&lt;/strong&gt; (pomlčka) pro ignorování souborů. Ostatní neznámé nebo skryté souboru jsou ignorovány.&lt;/p&gt;
 &lt;p&gt;Příklad: Nahraj soubory s příponou &lt;strong&gt;txt&lt;/strong&gt; jako &lt;strong&gt;text/plain&lt;/strong&gt; MIME typ.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2215,41 +2243,40 @@ Nastav na 0 pro vypnutí.</translation>
         <translation>Přípony</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>MIME typ prvku</translation>
+        <translation type="vanished">MIME typ prvku</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Přidat štítek</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Odebrat štítek</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Přidat štítek %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Odebrat štítek %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Důležité</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Odebrat všechny štítky</translation>
     </message>
@@ -2358,75 +2385,70 @@ Nastav na 0 pro vypnutí.</translation>
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>CopyQ Záznam běhu</translation>
+        <source>Log</source>
+        <translation>Záznam běhu</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
-        <source>CopyQ</source>
-        <translation></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Ukončit?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>Opravdu chcete aplikaci CopyQ &lt;strong&gt;ukončit&lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Soubor</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>&amp;Zobrazit/Skrýt</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>&amp;Editovat</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>&amp;Prvek</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>&amp;Záložky</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>CopyQ chyba</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>&amp;Nápověda</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>Po&amp;vol ukládání schránky</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>Za&amp;kaž ukládání schránky</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>&amp;Schránka:
@@ -2438,82 +2460,82 @@ Nastav na 0 pro vypnutí.</translation>
         <translation>CopyQ prvky (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Nová záložka</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Přejmenovat &amp;skupinu %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>&amp;Přejmenovat záložku %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>&amp;Odebrat záložku %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Odebrat skupinu %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>&amp;Změnit ikonu záložky</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>CopyQ Nastavení pro import</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation>Nastavení pro import</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>CopyQ Nastavení pro export</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation>Nastavení pro export</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>CopyQ Chyba exportu</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation>Chyba exportu</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>Nepodařilo se exportovat soubor %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>CopyQ Chyba importu</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation>Chyba importu</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>Nepodařilo se importovat soubor %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Odstranit všechny záložky ve skupině?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Opravdu chcete odebrat &lt;strong&gt;všechny záložky&lt;/strong&gt; ve skupině &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Odebrat záložku?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Opravdu chcete odebrat záložku &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
@@ -2529,7 +2551,7 @@ Nastav na 0 pro vypnutí.</translation>
 <context>
     <name>QObject</name>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2539,31 +2561,31 @@ Nastav na 0 pro vypnutí.</translation>
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;SKRYTÁ&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;OBRÁZEK&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;PRVKY&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;PRÁZDNÁ&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;DATA&gt;</translation>
@@ -2588,7 +2610,7 @@ which can be letters, digits, &apos;-&ap
 které mohou být pouze písmena bez diakritiky, čísla, &apos;-&apos; nebo &apos;_&apos;!</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2598,7 +2620,7 @@ které mohou být pouze písmena bez dia
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2665,92 +2687,92 @@ které mohou být pouze písmena bez dia
         <translation></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>&amp;Povol/zakaž ukládání schránky</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>&amp;Správce Procesů</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>&amp;Ukončit</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>&amp;Uspořádat vybrané prvky</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>&amp;Obrátit pořadí vybraných prvků</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>&amp;Vložit prvky</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>&amp;Kopírovat vybrané prvky</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>&amp;Najít</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>Přesunout do &amp;schránky</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>&amp;Zobrazit obsah...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>&amp;Zobrazit náhled</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2933,7 +2955,7 @@ které mohou být pouze písmena bez dia
         <translation>&amp;Nápověda</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>Záložka %1 je poškozená nebo chybí některé zásuvné moduly!</translation>
     </message>
@@ -2941,219 +2963,215 @@ které mohou být pouze písmena bez dia
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Skryje hlavní okno.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Zobrazí nebo skryje hlavní okno.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Otevře kontextové menu.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Ukončí server.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Vytiskne obsah schránky.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>Vytiskne obsah výběru kurzoru.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>ŘÁDEK</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Přidá text do schránky.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Vloží text do daného řádku.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>Odstraní prvky v daných řádcích.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>ŘÁDKY</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>Edituje existující prvky nebo nový.
 Hodnota -1 znamená text ve schránce.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Vytiskne data schránky nebo prvku v daném řádku.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Zobrazí hlavní okno a případně otevře záložku s daným jménem.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Povolí nebo zakaže ukládání obsahu schránky.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Vloží obsah schránky do aktuálního okna
 (nemusí vždy fungovat).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>Nastaní text ve schránce.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 Nastaví obsah schránky.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>Vytiskne počet prvků ve vybrané záložce.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>Zkopíruje prvek v řádku do schránky.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>Zkopíruje další prvek z vybrané záložky do schránky.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Zkopíruje předchozí prvek z vybrané záložky do schránky.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>Nastaví oddělovač prvků na výstupu.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>ODDĚLOVAČ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Zapíše surová data do daného řádku.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>Zobrazí dialog akcí.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 Spustí PROGRAM pro vstupní text v daných řádcích.
 Požij %1 v PROGRAMu k předání textu jako parametru.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 Zobrazí zprávu v liště na daný ČAS (milisekundy).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TITULEK</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>ZPRÁVA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>ČAS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>Vypíše názvy existujících záložek.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3162,208 +3180,253 @@ Záložka je vytvořena, pokud neexistuj
 Původní volba je první záložka.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 Spustí program v jazyce ECMASctipt.
 Argumenty jsou přístupně pomocí &quot;arguments[0..N]&quot;.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>Spustit testy (přidej argument --help pro více informací).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NÁZEV</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation>Zkopíruje obsah z aktuálního okna do schránky
+(nemusí vždy fungovat).</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation>Nastaví obsah schránky.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation>Zapíše surová data do daného řádku.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation>Spustí PROGRAM pro vstupní text v daných řádcích.
+Požij %1 v PROGRAMu k předání textu jako parametru.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation>Zobrazí zprávu v liště na daný ČAS (milisekundy).</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>PŘÍKAZ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Odstraní záložku.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Přejmenuje záložku.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NOVÝ_NÁZEV</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>Exportuje prvky do souboru.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>SOUBOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Importuje prvky ze souboru.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>Zobrazí všechna nastavení.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>Vytiskne hodnotu volby.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>VOLBA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Nastaví hodnotu volbu.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>HODNOTA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation>Vyhodnotí skript.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation>Spustí nebo se připojí k instanci applikace s daným názvem Sezení.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation>Vytiskne nápovědu pro PŘÍKAZ nebo všechny příkazy.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation>Vytiskne verzi programu a jeho knihoven.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Neplatné nastavení &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SKRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGUMENTY</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 Spustí nebo se připojí k instanci applikace s daným názvem Sezení.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SEZENÍ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 Vytiskne nápovědu pro PŘÍKAZ nebo všechny příkazy.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Vytiskne verzi programu a jeho knihoven.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Použití: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Spustí server pokud není zadán žádný příkaz.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  PŘÍKAZY:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>POZNÁMKY:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - Použij pomlčku (-) jako argument pro načtení dat ze standardního vstupu.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>Výjimka</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>Výjimka v %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Nepodařilo se kopírovat do schránky!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - Použij dvojitou pomlčku (--) pro načtení všech následujících argumentů
     bez expandování sekvencí jako jsou \n, \t a další.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - Použij ? pro MIME pro výpis dostupných MIME typů (implicitní hodnota MIME je &quot;text/plain&quot;).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Špatný počet argumentů!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Příkaz nenalezen!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Ukončuji server.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>Nelze uložit soubor &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>Nelze importovat soubor &quot;%1&quot;!</translation>
     </message>
@@ -3371,32 +3434,20 @@ Vytiskne verzi programu a jeho knihoven.
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>Záložka s daným názvem neexistuje!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>Název záložky nemůže být prázdný!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>Záložka se stejným jménem již existuje!</translation>
     </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
-        <source>%1 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
-        <source>%1 - %2 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation></translation>
-    </message>
 </context>
 <context>
     <name>ShortcutButton</name>
@@ -3410,8 +3461,8 @@ Vytiskne verzi programu a jeho knihoven.
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>CopyQ Nová klávesová zkratka</translation>
+        <source>New Shortcut</source>
+        <translation>Nová klávesová zkratka</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3458,8 +3509,12 @@ Vytiskne verzi programu a jeho knihoven.
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
+        <source>Application shortcuts can only be triggered from the main window.</source>
+        <translation>Aplikační klávesová zkratka může být aktivována pouze z hlavního okna.</translation>
+    </message>
+    <message>
         <source>Application shortcuts can be triggered only from the main window.</source>
-        <translation>Aplikační klávesová zkratka může být aktivována pouze z této aplikace.</translation>
+        <translation type="vanished">Aplikační klávesová zkratka může být aktivována pouze z této aplikace.</translation>
     </message>
 </context>
 <context>
@@ -3480,18 +3535,18 @@ Pouožij &lt;b&gt;/&lt;/b&gt; jako rozd
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>CopyQ Nová záložka</translation>
+        <source>New Tab</source>
+        <translation>Nová záložka</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>CopyQ Přejmenovat záložku</translation>
+        <source>Rename Tab</source>
+        <translation>Přejmenovat záložku</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>CopyQ Přejmenovat skupinu záložek</translation>
+        <source>Rename Tab Group</source>
+        <translation>Přejmenovat skupinu záložek</translation>
     </message>
 </context>
 <context>
@@ -3508,24 +3563,28 @@ Pouožij &lt;b&gt;/&lt;/b&gt; jako rozd
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation>&amp;Ukládat prvky</translation>
     </message>
+    <message>
+        <source>&amp;Store Items</source>
+        <translation type="vanished">&amp;Ukládat prvky</translation>
+    </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Stiskni &apos;/&apos; pro vyhledávání</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Začni psát pro vyhledávání</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3534,12 +3593,12 @@ Pouožij &lt;b&gt;/&lt;/b&gt; jako rozd
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Regulární výraz</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Nerozlišovat velká a malá písmena</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_da.ts 3.11.0-1/translations/copyq_da.ts
--- 3.10.0-1/translations/copyq_da.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_da.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>Om CopyQ</translation>
+        <source>About</source>
+        <translation type="unfinished">Om</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ handlingsdialog</translation>
+        <source>Action Dialog</source>
+        <translation type="unfinished">Handlingsdialog</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="58"/>
@@ -93,12 +93,12 @@
         <translation>Gemme elementer i fanen med følgende navn (tom gemmer i den aktuelle fane)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Kommandoen er gemt</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Kommandoen blev gemt og kan tilgås fra menuen.
@@ -128,8 +128,8 @@ Du kan ændre kommandoen i indstillinget
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation type="unfinished">CopyQ Proces Manager</translation>
+        <source>Process Manager</source>
+        <translation type="unfinished">Proces Manager</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -146,8 +146,8 @@ Du kan ændre kommandoen i indstillinget
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ tilføj kommandoer</translation>
+        <source>Add Commands</source>
+        <translation type="unfinished">Tilføj kommandoer</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -321,24 +321,25 @@ Du kan ændre kommandoen i indstillinget
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Kan ikke tilføje nye emner</translation>
+        <translation type="vanished">Kan ikke tilføje nye emner</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation type="unfinished">Fanen er fuld. Det lykkedes ikke at fjerne nogle emner.</translation>
+        <translation type="obsolete">Fanen er fuld. Det lykkedes ikke at fjerne nogle emner.</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Kasser ændringer?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Vil du &lt;strong&gt;slette ændringer&lt;/strong&gt;?</translation>
     </message>
@@ -346,12 +347,12 @@ Du kan ændre kommandoen i indstillinget
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Kan ikke forbinde til server! Start CopyQ server først.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Forbindelsen mistet!</translation>
     </message>
@@ -360,8 +361,8 @@ Du kan ændre kommandoen i indstillinget
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ Udklipsholder-indhold</translation>
+        <source>Clipboard Content</source>
+        <translation type="unfinished">Udklipsholder-indhold</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +381,45 @@ Du kan ændre kommandoen i indstillinget
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ element indhold</translation>
+        <source>Item Content</source>
+        <translation type="unfinished">Element indhold</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Størrelse:&lt;/strong&gt; %1 bytes</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Størrelse:&lt;/strong&gt; %1 bytes</translation>
+        <translation type="vanished">&lt;strong&gt;Størrelse:&lt;/strong&gt; %1 bytes</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>CopyQ serveren kører allerede.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Annuller aktive kommandoer</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Annuller aktive kommandoer og afslut?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Annuller afslut</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Afslut alligevel</translation>
     </message>
@@ -431,8 +437,8 @@ Du kan ændre kommandoen i indstillinget
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ kommandoer</translation>
+        <source>Commands</source>
+        <translation type="unfinished">Kommandoer</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -465,32 +471,32 @@ Du kan ændre kommandoen i indstillinget
         <translation>Indsæt kommandoer</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Ikke-gemte ændringer</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>Dialogen kommando har ikke gemte ændringer.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Åben filer med kommandoer</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Kommandoer (*.ini);; CopyQ konfiguration (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Gem valgte kommandoer</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Kommandoer (*.ini)</translation>
     </message>
@@ -564,6 +570,7 @@ Du kan ændre kommandoen i indstillinget
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Auto&amp;matisk</translation>
     </message>
     <message>
@@ -574,6 +581,7 @@ Du kan ændre kommandoen i indstillinget
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>I m&amp;enu</translation>
     </message>
     <message>
@@ -584,6 +592,7 @@ Du kan ændre kommandoen i indstillinget
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Global genvej</translation>
     </message>
     <message>
@@ -737,11 +746,13 @@ Bemærk: Hvis dette anvendes automatisk,
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Skript</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Visning</translation>
     </message>
     <message>
@@ -908,55 +919,55 @@ Bemærk: Hvis dette anvendes automatisk,
         <translation>Forhåndsvisning:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>Element</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Søgestrengen er %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Vælg et element og
 tryk F2 for at redigere.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Eksempel element %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Nogle tilfældige noter (Shift + F2 for at redigere)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Åben temafilen</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Gem temafil som</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Ingen ekstern Editor</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Angiv først en ekstern editor!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1543,8 +1554,8 @@ Sæt til 0 for at deaktivere.</translati
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>CopyQ indstillinger</translation>
+        <source>Configuration</source>
+        <translation type="unfinished">Indstillinger</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1620,7 +1631,7 @@ Sæt til 0 for at deaktivere.</translati
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Kunne ikke oprette synkroniseringsmappen &quot;%1&quot;!</translation>
     </message>
@@ -1652,8 +1663,8 @@ Sæt til 0 for at deaktivere.</translati
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>CopyQ vælg ikon</translation>
+        <source>Select Icon</source>
+        <translation type="unfinished">Vælg ikon</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1710,89 +1721,89 @@ Sæt til 0 for at deaktivere.</translati
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Gem</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Gem elementet (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Annuller</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Annuller redigering og fortryd ændringer</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Skrifttype</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Fed</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Kursiv</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Understreget</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Gennemstreget</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Forgrund</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Baggrund</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Slet formatering</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Søg</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Fortryd</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Gendan</translation>
     </message>
@@ -2101,22 +2112,22 @@ Sæt til 0 for at deaktivere.</translati
         <translation>Frigør først emner for at fjerne dem.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation type="unfinished">Fastgør</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation type="unfinished">Frigør</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Fastgjorte emner</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2124,28 +2135,28 @@ Sæt til 0 for at deaktivere.</translati
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Gennemse…</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Åbn mappe for synkronisering</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Kunne ikke oprette synkroniseringmappe</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Synkroniser</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Synkroniser elementet og noter med en mappe på disken.</translation>
     </message>
@@ -2153,17 +2164,17 @@ Sæt til 0 for at deaktivere.</translati
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation type="unfinished">Ikke kunne synkronisere fanen &quot;%1&quot; med mappen &quot;%2&quot;!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation type="unfinished">Fjern elementer?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation type="unfinished">Vil du &lt;strong&gt;fjerne elementer og tilhørende filer&lt;/strong&gt;?</translation>
     </message>
@@ -2199,9 +2210,19 @@ Sæt til 0 for at deaktivere.</translati
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Angiv MIME typen til &lt;strong&gt;-&lt;/strong&gt; (dash) for at ignorere filer. Andre ukendte eller skjulte filer bliver ignoreret.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;Angiv MIME typen til &lt;strong&gt;-&lt;/strong&gt; (dash) for at ignorere filer. Andre ukendte eller skjulte filer bliver ignoreret.&lt;/p&gt;
 &lt;p&gt;Eksempel: indlæs &lt;strong&gt;txt&lt;/strong&gt; filtypenavn som &lt;strong&gt;tekst/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2210,41 +2231,40 @@ Sæt til 0 for at deaktivere.</translati
         <translation>Udvidelser</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>MIME type for element</translation>
+        <translation type="vanished">MIME type for element</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Tilføj et mærke</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Fjern et mærke</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Mærk som %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Fjern mærket %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Vigtigt</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Ryd alle mærker</translation>
     </message>
@@ -2353,135 +2373,134 @@ Sæt til 0 for at deaktivere.</translati
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>CopyQ Log</translation>
+        <source>Log</source>
+        <translation type="unfinished">Log</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Afslut?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>Vil du &lt;strong&gt;afslutte&lt;/strong&gt; CopyQ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Fil</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>R&amp;ediger</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>Element</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>Faner</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>&amp;Hjælp</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>Vi&amp;s/Skjul</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Ny fane</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Omdøb &amp;gruppen %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>Omdøb fa&amp;nen %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>Fjern fanen %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Fjern gruppen %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>Ændre faneikon</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation type="unfinished">Aktiver udklipsholder lagring</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation type="unfinished">&amp;Deaktivere Udklipsholder lagring</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>CopyQ indstillinger for Import</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation type="unfinished">Indstillinger for Import</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>CopyQ fejl</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>CopyQ indstillinger for eksport</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation type="unfinished">Indstillinger for eksport</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>CopyQ eksport fejl</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation type="unfinished">Eksport fejl</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>Kunne ikke eksportere filen %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>CopyQ import fejl</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation type="unfinished">Import fejl</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>Kunne ikke importere filen %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>Udklipsholder: %1</translation>
@@ -2492,22 +2511,22 @@ Sæt til 0 for at deaktivere.</translati
         <translation>CopyQ elementer (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Fjerne alle faner i gruppen?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Vil du fjerne &lt;strong&gt;alle faner&lt;/strong&gt; i gruppen &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Fjern fanen?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Vil du fjerne fanen &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
@@ -2523,13 +2542,13 @@ Sæt til 0 for at deaktivere.</translati
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;SKJULT&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2538,25 +2557,25 @@ Sæt til 0 for at deaktivere.</translati
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;BILLED&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;TOM&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;DATA&gt;</translation>
@@ -2574,7 +2593,7 @@ Sæt til 0 for at deaktivere.</translati
         <translation>Slet</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2583,7 +2602,7 @@ Sæt til 0 for at deaktivere.</translati
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2657,92 +2676,92 @@ som kan bestå af bogstaver, tal, &apos;
         <translation>Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation type="unfinished">Skif&amp;t udklipsholderlagring</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation type="unfinished">P&amp;roces administrator</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation type="unfinished">Afslut</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>&amp;Sorter de markerede elementer</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation type="unfinished">Omvend valgte elementer</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>Indsæt elementer</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation type="unfinished">Kopiere markerede elementer</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>&amp;Find</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>Flyt til Udklipsholder</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation type="unfinished">Vis indhold…</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>Vis eksempel</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2925,7 +2944,7 @@ som kan bestå af bogstaver, tal, &apos;
         <translation>&amp;Hjælp</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>Fanen %1 er beskadiget eller nogle CopyQ udvidelser mangler!</translation>
     </message>
@@ -2933,209 +2952,205 @@ som kan bestå af bogstaver, tal, &apos;
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Skjul hovedvinduet.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Vis eller skjul hovedvinduet.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Åbn kontekstmenu.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Afslut server.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Deaktiverer eller aktiverer lagring af udklipsholder indhold.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Udskriv udklipsholderens indhold.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>Udskriv indholdet af X11 markering.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Indsæt Udklipsholderens aktuelle vindue
 (Virker muligvis ikke med nogle programmer).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation type="unfinished">Indstil udklipsholder teksten.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TEXT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation type="unfinished">
+        <translation type="obsolete">
 Indstil udklipsholder-indhold.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DATA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation type="unfinished">Kopiere element i rækken til Udklipsholder.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>ROW</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>Kopier næste element fra aktuelle fane til Udklipsholder.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Kopier forrige element fra den aktuelle fane til Udklipsholder.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Tilføj tekst til Udklipsholder.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Indsæt tekst i given række.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>Fjern elementer i givne rækker.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>ROWS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation type="unfinished">Rediger elementer eller redigere nye.
 Værdien -1 er for nuværende tekst i Udklipsholder.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation type="unfinished">Sæt separator til elementer på output.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>SEPARATOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Udskriv rådata i Udklipsholder eller element i rækken.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Skriv rådata til rækken.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation type="unfinished">Vis dialogboks for handling.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation type="unfinished">
+        <translation type="obsolete">
 Kør PROGRAM på elementtekst i rækkerne.↵
 Brug %1 i PROGRAM til videregive  tekst som argument.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation type="unfinished">
+        <translation type="obsolete">
 Vis skuffe popup besked til TID millisekunder.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TITEL</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>BESKED</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>TID</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>List tilgængelige fanenavnene.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3144,217 +3159,260 @@ Fanen oprettes, hvis den ikke findes.
 Standard er den første fane.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 Evaluer ECMAScript program.
 Argumenter er tilgængelige via &quot;arguments[0..N]&quot;.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>Kør program test (tilføj --help argument for mere information).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Vis hovedvinduet og eventuelt åbne fanen med navnet.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>Udskriv mængden af elementer i aktuelle fane.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>COMMAND</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Fjern fanen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Omdøbe fane.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NEW_NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>Eksportere element til fil.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>FILE_NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Importer elementer fra fil.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>List alle valgmuligheder.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation type="unfinished">Få optionsværdi.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>OPTION</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Angiv parameterværdi.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VALUE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SCRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGUMENTS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation type="unfinished">
+        <translation type="obsolete">
 Starter eller forbinder til ansøgning instans med given session navn.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SESSION</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 Udskriv hjælp for KOMMANDO eller alle kommandoer.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Udskriv programversion og biblioteker.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Brug: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Start server, hvis der ikke er specificeret nogen kommando.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  Kommandoer:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>NOTER:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation type="unfinished">  -Brug dobbelt-bindestreg argument (-) til at læse alle følgende argumenter uden at udvide escape-sekvenser (dvs. \n, \t m.fl.).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  -Brug ? for MIME til at udskrive tilgængelige MIME-typer (standard er &quot;text/plain&quot;).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Ugyldigt antal argumenter!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>Undtagelse</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Kunne ikke kopiere til udklipsholder!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Kommandoen blev ikke fundet!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Afslutter serveren.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>Undtagelse i %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>Kan ikke gemme filen &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  -Brug bindestreg argument (-) til at læse data fra standard input.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>K.an ikke importere filen &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Ugyldig indstilling &quot;%1&quot;!</translation>
     </message>
@@ -3362,31 +3420,29 @@ Udskriv programversion og biblioteker.</
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>Fanen med det pågældende navn eksisterer ikke!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>Fanenavn må ikke være tomt!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>Fanen med det angivne navn findes allerede!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation type="unfinished">%1 - CopyQ</translation>
+        <translation type="obsolete">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation type="unfinished">%1 - %2 - CopyQ</translation>
+        <translation type="obsolete">%1 - %2 - CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3401,8 +3457,8 @@ Udskriv programversion og biblioteker.</
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>CopyQ ny genvej</translation>
+        <source>New Shortcut</source>
+        <translation type="unfinished">Ny genvej</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3444,7 +3500,7 @@ Udskriv programversion og biblioteker.</
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3471,18 +3527,18 @@ Brug &lt;b&gt;/&lt;/b&gt; som sti separa
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>CopyQ ny fane</translation>
+        <source>New Tab</source>
+        <translation type="unfinished">Ny fane</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>CopyQ omdøb faneblad</translation>
+        <source>Rename Tab</source>
+        <translation type="unfinished">Omdøb faneblad</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>CopyQ omdøb fanegruppe</translation>
+        <source>Rename Tab Group</source>
+        <translation type="unfinished">Omdøb fanegruppe</translation>
     </message>
 </context>
 <context>
@@ -3499,24 +3555,24 @@ Brug &lt;b&gt;/&lt;/b&gt; som sti separa
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Tryk &apos;/&apos; for at søge</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Skriv for at søge</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3525,12 +3581,12 @@ Brug &lt;b&gt;/&lt;/b&gt; som sti separa
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Regulært udtryk</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Versal-ufølsom</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_de.ts 3.11.0-1/translations/copyq_de.ts
--- 3.10.0-1/translations/copyq_de.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_de.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>Über CopyQ</translation>
+        <source>About</source>
+        <translation>Info</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ Ausführen-Dialog</translation>
+        <source>Action Dialog</source>
+        <translation type="unfinished">Ausführen-Dialog</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -94,12 +94,12 @@
         <translation>Elemente in Reiter mit folgendem Namen speichern (leerlassen, um in den aktuellen Reiter zu speichern)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Befehl gespeichert</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Befehl wurde gespeichert und kann über das Menü erreicht werden. Sie könnnen den Befehl in den Einstellungen ändern.</translation>
@@ -127,8 +127,8 @@ You can set up the command in preference
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>CopyQ Prozessmanager</translation>
+        <source>Process Manager</source>
+        <translation type="unfinished">Prozessmanager</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -145,8 +145,8 @@ You can set up the command in preference
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ Befehle hinzufügen</translation>
+        <source>Add Commands</source>
+        <translation type="unfinished">Befehle hinzufügen</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -320,24 +320,25 @@ You can set up the command in preference
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Es können keine neuen Elemente hinzugefügt werden</translation>
+        <translation type="vanished">Es können keine neuen Elemente hinzugefügt werden</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Reiter ist voll. Es konnten keine Elemente entfernt werden.</translation>
+        <translation type="vanished">Reiter ist voll. Es konnten keine Elemente entfernt werden.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Änderungen verwerfen?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Wollen Sie wirklich die &lt;strong&gt;Änderungen verwerfen&lt;/strong&gt;?</translation>
     </message>
@@ -345,12 +346,12 @@ You can set up the command in preference
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Es kann keine Verbindung zum Server hergestellt werden! Bitte zuerst den CopyQ-Server starten.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Verbindung verloren!</translation>
     </message>
@@ -359,8 +360,8 @@ You can set up the command in preference
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ Inhalt der Zwischenablage</translation>
+        <source>Clipboard Content</source>
+        <translation type="unfinished">Inhalt der Zwischenablage</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -379,40 +380,45 @@ You can set up the command in preference
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ Inhalt des Elements</translation>
+        <source>Item Content</source>
+        <translation type="unfinished">Elementeinhalt</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Größe:&lt;/strong&gt; %1 Byte</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Größe:&lt;/strong&gt; %1 Byte</translation>
+        <translation type="vanished">&lt;strong&gt;Größe:&lt;/strong&gt; %1 Byte</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>CopyQ-Server ist bereits gestartet.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Aktive Befehle abbrechen</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Aktive Befehle abbrechen und beenden?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Doch nicht beenden</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Trotzdem beenden</translation>
     </message>
@@ -430,8 +436,8 @@ You can set up the command in preference
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ-Befehle</translation>
+        <source>Commands</source>
+        <translation type="unfinished">Befehle</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -464,32 +470,32 @@ You can set up the command in preference
         <translation>Befehle einfügen [Strg+V]</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Nicht gespeicherte Änderungen</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>Dialog „Befehl“ enthält nicht gespeicherte Änderungen.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Dateien mit Befehlen öffnen</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Befehle (*.ini);; CopyQ-Konfiguration (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Ausgewählte Befehle speichern</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Befehle (*.ini)</translation>
     </message>
@@ -559,6 +565,7 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Globale Tastenkombination</translation>
     </message>
     <message>
@@ -663,6 +670,7 @@ Zum Deaktivieren leerlassen.</translatio
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Auto&amp;matisch</translation>
     </message>
     <message>
@@ -673,6 +681,7 @@ Zum Deaktivieren leerlassen.</translatio
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>Im M&amp;enü</translation>
     </message>
     <message>
@@ -732,11 +741,13 @@ Anmerkung: Wenn diese Aktion automatisch
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Skript</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Anzeige</translation>
     </message>
     <message>
@@ -908,55 +919,55 @@ Anmerkung: Wenn diese Aktion automatisch
         <translation>Vorschau:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Ein Element wählen und
 F2 zum Bearbeiten drücken.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Beispielelement %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Einige zufällige Notizen (Umschalt+F2 zum Bearbeiten)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>Element</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Der Suchtext lautet %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Theme-Datei öffnen</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Theme-Datei speichern unter</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Kein externer Editor</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Erst einen externen Editor festlegen!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1547,8 +1558,8 @@ Zum Deaktivieren auf 0 setzen.</translat
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>CopyQ Einstellungen</translation>
+        <source>Configuration</source>
+        <translation>Einstellungen</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="181"/>
@@ -1624,7 +1635,7 @@ Zum Deaktivieren auf 0 setzen.</translat
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Erstellen des Synchronisiationsverzeichnis fehlgeschlagen „%1“!</translation>
     </message>
@@ -1656,8 +1667,8 @@ Zum Deaktivieren auf 0 setzen.</translat
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>CopyQ Symbol auswählen</translation>
+        <source>Select Icon</source>
+        <translation>Wähle Symbol</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1714,89 +1725,89 @@ Zum Deaktivieren auf 0 setzen.</translat
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Speichern</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Eintrag speichern (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Abbrechen</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Bearbeitung abbrechen und Änderungen rückgängig machen</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Schriftart</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Fett</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Kursiv</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Unterstrichen</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Durchgestrichen</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Vordergrund</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Hintergrund</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Formatierung entfernen</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Suche</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Rückgängig</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Wiederherstellen</translation>
     </message>
@@ -2105,22 +2116,22 @@ Zum Deaktivieren auf 0 setzen.</translat
         <translation>Bevor Elemente entfernt werden können, müssen diese losgelöst werden.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Anheften</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Loslösen</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Angeheftete Elemente</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt;Elemente anheften, um sie in der aktuellen Zeile zu sperren und ein Löschen zu verhindern (es sei denn, sie sind losgelöst).&lt;/p&gt;&lt;p&gt;Bietet Verknüpfungen und Skriptfunktionen.&lt;/p&gt;</translation>
     </message>
@@ -2128,28 +2139,28 @@ Zum Deaktivieren auf 0 setzen.</translat
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Durchsuchen …</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Verzeichnis für Synchronisierung öffnen</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Synchronisierungsverzeichnis konnte nicht erstellt werden</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Synchronisieren</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Elemente und Notizen mit einem Verzeichnis auf der Festplatte synchronisieren.</translation>
     </message>
@@ -2157,17 +2168,17 @@ Zum Deaktivieren auf 0 setzen.</translat
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>Synchronisieren des Reiters „%1“ mit Verzeichnis „%2“ fehlgeschlagen!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Elemente entfernen?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>Möchten Sie wirklich &lt;strong&gt;alle Elemente und zugehörige Dateien entfernen&lt;/strong&gt;?</translation>
     </message>
@@ -2203,9 +2214,19 @@ Zum Deaktivieren auf 0 setzen.</translat
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;MIME-Typ auf &lt;strong&gt;-&lt;/strong&gt;(Bindestrich) setzen, um Dateien zu ignorieren. Andere unbekannte oder versteckte Dateien werden ignoriert.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;MIME-Typ auf &lt;strong&gt;-&lt;/strong&gt;(Bindestrich) setzen, um Dateien zu ignorieren. Andere unbekannte oder versteckte Dateien werden ignoriert.&lt;/p&gt;
 &lt;p&gt;Beispiel: &lt;strong&gt;txt&lt;/strong&gt;-Dateierweiterung als &lt;strong&gt;text/plain&lt;/strong&gt; MIME-Typ laden.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2214,41 +2235,40 @@ Zum Deaktivieren auf 0 setzen.</translat
         <translation>Erweiterung</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>MIME-Typ-Eintrag</translation>
+        <translation type="vanished">MIME-Typ-Eintrag</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Ein Tag hinzufügen</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Ein Tag entfernen</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Als %1 taggen</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Tag %1 entfernen</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Wichtig</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Alle Tags entfernen</translation>
     </message>
@@ -2357,130 +2377,130 @@ Zum Deaktivieren auf 0 setzen.</translat
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>CopyQ Log</translation>
+        <source>Log</source>
+        <translation>Protokoll</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Beenden?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>Möchten Sie CopyQ &lt;strong&gt;beenden&lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Datei</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>CopyQ-Optionen für den Import</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation>Importoptionen</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>&amp;Anzeigen/Ausblenden</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>&amp;Bearbeiten</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>&amp;Element</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>&amp;Reiter</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>CopyQ-Fehler</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Neuer Reiter</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>&amp;Gruppe %1 umbenennen</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>Reiter %1 umbe&amp;nennen</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>Reiter %1 en&amp;tfernen</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Gruppe %1 entfernen</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>&amp;Reitersymbol ändern</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>CopyQ-Optionen für den Export</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation>Importoptionen</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>CopyQ-Exportfehler</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation>Exportfehler</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>Die Datei %1 konnte nicht exportiert werden!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>CopyQ-Importfehler</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation>Importfehler</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>Die Datei %1 konnte nicht importiert werden!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>&amp;Hilfe</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>Speichern der Zwisch&amp;enablage aktivieren</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>Speichern der Zwischenablage &amp;deaktivieren</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>&amp;Zwischenablage: %1</translation>
@@ -2491,29 +2511,28 @@ Zum Deaktivieren auf 0 setzen.</translat
         <translation>CopyQ-Elemente (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Alle Reiter in der Gruppe entfernen?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Wollen Sie wirklich &lt;strong&gt;alle Reiter&lt;/strong&gt; in der Gruppe &lt;strong&gt;%1&lt;/strong&gt; entfernen?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Reiter entfernen?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Wollen Sie den Reiter &lt;strong&gt;%1&lt;/strong&gt; entfernen?</translation>
     </message>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
 </context>
 <context>
@@ -2527,13 +2546,13 @@ Zum Deaktivieren auf 0 setzen.</translat
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;VERSTECKT&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2542,25 +2561,25 @@ Zum Deaktivieren auf 0 setzen.</translat
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;BILD&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;ELEMENTE&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;LEER&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;DATEN&gt;</translation>
@@ -2584,7 +2603,7 @@ which can be letters, digits, &apos;-&ap
         <translation>Sitzungsname darf höchstens 16 Zeichen enthalten, erlaubt sind Buchstaben, Zahlen, „-“ oder „_“!</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2593,7 +2612,7 @@ which can be letters, digits, &apos;-&ap
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2660,92 +2679,92 @@ which can be letters, digits, &apos;-&ap
         <translation>Strg+Umschalt+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>Speichern der Zwischenablage de-/ak&amp;tivieren</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Strg+Umschalt+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>P&amp;rozess Manager</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Strg+Umschalt+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>Beenden</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Strg+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>Ausgewählte Elemente &amp;sortieren</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Strg+Umschalt+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>&amp;Reihenfolge der ausgewählten Elemente umkehren</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Strg+Umschalt+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>Elemente einfügen</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>Ausgewählte Elemente &amp;kopieren</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>&amp;Suchen</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>In die Zwis&amp;chenablage verschieben</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>Inhalt anzeigen …</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>Vor&amp;schau anzeigen</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2928,7 +2947,7 @@ which can be letters, digits, &apos;-&ap
         <translation>&amp;Hilfe</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>Der Inhalt des Reiters %1 ist beschädigt oder benötigte CopyQ-Plugins sind nicht vorhanden!</translation>
     </message>
@@ -2936,218 +2955,214 @@ which can be letters, digits, &apos;-&ap
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Hauptfenster ausblenden.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Hauptfenster anzeigen oder ausblenden.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Kontextmenü öffnen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Server beenden.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Inhalt der Zwischenablage ausgeben.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>Inhalt der X11 Selektion(en) ausgeben.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>ROW</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Text in die Zwischenablage einfügen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TEXT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Text in die angegebene Zeile einfügen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>Elemente der angegebenen Reihe entfernen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>ROWS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>Elemente bearbeiten oder neue Elemente erstellen.
 Wert -1 steht für die aktuelle Zwischenablage.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Rohdaten der Zwischenablage oder des Elements in die Reihe ausgeben.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DATA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Hauptfenster anzeigen und optional den Reiter mit dem angegeben Namen öffnen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Speichern der Zwischenablage aktivieren oder deaktivieren.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Zwischenablage in das aktuelle Fenster einfügen (funktioniert möglicherweise mit einigen Anwendungen nicht).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>Zwischenablagetext festlegen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 Inhalt der Zwischenablage festlegen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>Anzahl der Elemente des aktiven Reiters ausgeben.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>Element der aktuellen Reihe in die Zwischenablage kopieren.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>Nächstes Element des aktuellen Reiters in die Zwischenablage kopieren.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Vorheriges Element des aktuellen Reiters in die Zwischenablage kopieren.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>Trennzeichen für Elemente bei der Ausgabe festlegen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>SEPARATOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Rohdaten in die aktuelle Zeile schreiben.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>Ausführungsdialog anzeigen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 PROGRAM auf Elementtexte in der Reihe ausführen.
 %1 in PROGRAM verwenden, um Elementtexte zu verarbeiten.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 Tray-Popupmeldung für TIME anzeigen (in Millisekunden).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TITLE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MESSAGE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>TIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>Verfügbare Reiternamen auflisten.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3156,208 +3171,251 @@ Reiter wird erstellt, falls er nicht vor
 Standard ist der erste Reiter.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 ECMAScript (JavaScript) Programm bestimmen .
 Argumente sind mit &quot;arguments[0..N]&quot; verfügbar.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>Anwendungstests ausführen (--help als Argument anhängen, um weitere Informationen zu erhalten).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>COMMAND</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Reiter entfernen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Reiter umbenennen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NEW_NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>Elemente in Datei exportieren.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>FILE_NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Elemente aus Datei importieren.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>Alle Optionen auflisten.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>Optionswert auslesen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>OPTION</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Optionswert festlegen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VALUE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Ungültige Option „%1“!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SKRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGUMENTE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 Startet oder stellt die Verbindung zur Anwendungsinstanz mit dem folgenden Sitzungsnamen her.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SITZUNG</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 Gibt die Hilfe für BEFEHL oder für alle Befehle aus.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Gibt die Versionen des Programms und der Bibliotheken aus.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Verwendung: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Startet Server, sofern kein Befehl angegeben wurde.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  BEFEHLe:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>NOTIZEN:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - Bindestrichargument (-) verwenden, um von der Standardeingabe zu lesen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>Fehler</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>Fehler in %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Das Kopieren in die Zwischenablage ist fehlgeschlagen!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - Doppelbindestrichargument (--) verwenden, um alle folgenden Argumente
-    zu lesen ohne die Escapesequenzen zu erweitern (z. B. \n, \t und weitere).</translation>
+    zu lesen ohne die Escapesequenzen zu erweitern (z.&#xa0;B. \n, \t und weitere).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - ? verwenden, um alle verfügbaren MIME-Typen auszugeben (Standard ist „text/plain“).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Ungültige Anzahl an Argumenten!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Befehl wurde nicht gefunden!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Server wird beendet.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>Datei „%1“ kann nicht gespeichert werden!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>Datei „%1“ kann nicht importiert werden!</translation>
     </message>
@@ -3365,31 +3423,29 @@ Gibt die Versionen des Programms und der
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>Es existiert kein Reiter mit dem angegebenen Namen!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>Der Name eines Reiters darf nicht leer sein!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>Es existiert bereits ein Reiter mit dem angegebenen Namen!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>%1 - CopyQ</translation>
+        <translation type="vanished">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>%1 - %2 - CopyQ</translation>
+        <translation type="vanished">%1 - %2 - CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3404,8 +3460,8 @@ Gibt die Versionen des Programms und der
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>CopyQ Neue Tastenkombination</translation>
+        <source>New Shortcut</source>
+        <translation type="unfinished">Neue Tastenkombination</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3447,10 +3503,14 @@ Gibt die Versionen des Programms und der
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation>Anwendungsweite Tastenkombinationen können nur innerhalb des Hauptfensters ausgelöst werden.</translation>
     </message>
     <message>
+        <source>Application shortcuts can be triggered only from the main window.</source>
+        <translation type="vanished">Anwendungsweite Tastenkombinationen können nur innerhalb des Hauptfensters ausgelöst werden.</translation>
+    </message>
+    <message>
         <location filename="../src/gui/shortcutswidget.cpp" line="246"/>
         <source>Shortcut already exists!</source>
         <translation>Diese Tastenkombination existiert bereits!</translation>
@@ -3474,18 +3534,18 @@ In der Baumansicht der Reiter kann &lt;b
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>CopyQ Neuer Reiter</translation>
+        <source>New Tab</source>
+        <translation type="unfinished">Neuer Reiter</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>CopyQ Reiter umbenennen</translation>
+        <source>Rename Tab</source>
+        <translation type="unfinished">Reiter umbenennen</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>CopyQ Reitergruppe umbenennen</translation>
+        <source>Rename Tab Group</source>
+        <translation type="unfinished">Reitergruppe umbenennen</translation>
     </message>
 </context>
 <context>
@@ -3502,24 +3562,28 @@ In der Baumansicht der Reiter kann &lt;b
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
+        <source>&amp;Save Items</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&amp;Store Items</source>
-        <translation>Elemente &amp;speichern</translation>
+        <translation type="vanished">Elemente &amp;speichern</translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Zum Suchen „/“ drücken</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Zum Suchen eingeben</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3528,12 +3592,12 @@ In der Baumansicht der Reiter kann &lt;b
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Regulärer Ausdruck</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Groß-/Kleinschreibung ignorieren</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_es.ts 3.11.0-1/translations/copyq_es.ts
--- 3.10.0-1/translations/copyq_es.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_es.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>Acerca de CopyQ</translation>
+        <source>About</source>
+        <translation>Acerca de</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>Diálogo de acción de CopyQ</translation>
+        <source>Action Dialog</source>
+        <translation>Diálogo de acción</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -64,7 +64,7 @@
     <message>
         <location filename="../src/ui/actiondialog.ui" line="85"/>
         <source>Create items from standard output of the program (leave empty to turn off)</source>
-        <translation type="unfinished"></translation>
+        <translation>Crear items de la salida estándar del programa (dejar vacío para desactivar)</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="102"/>
@@ -94,12 +94,12 @@
         <translation>Guardar los elementos en la pestaña con el nombre indicado (dejar en blanco para guardar en la pestaña actual)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Orden guardada</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Se guardó la orden y es accesible a través del menú de elementos.
@@ -111,13 +111,12 @@ Puede configurar la orden desde las pref
     <message>
         <location filename="../src/gui/actionhandler.cpp" line="141"/>
         <source>Error: %1</source>
-        <translation type="unfinished">Error: %1</translation>
+        <translation>Error: %1</translation>
     </message>
     <message>
         <location filename="../src/gui/actionhandler.cpp" line="151"/>
         <source>Exit code: %1</source>
-        <translation type="unfinished">Código de salida: %1
- {1?}</translation>
+        <translation>Código de salida: %1</translation>
     </message>
     <message>
         <location filename="../src/gui/actionhandler.cpp" line="183"/>
@@ -129,26 +128,26 @@ Puede configurar la orden desde las pref
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation type="unfinished">Administrador de procesos CopyQ</translation>
+        <source>Process Manager</source>
+        <translation>Administrador de procesos</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
         <source>Filter</source>
-        <translation type="unfinished"></translation>
+        <translation>Filtrar</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="32"/>
         <source>&amp;Terminate Selected</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Terminar seleccionado</translation>
     </message>
 </context>
 <context>
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ Añadir comandos</translation>
+        <source>Add Commands</source>
+        <translation>Agregar comandos</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -158,7 +157,7 @@ Puede configurar la orden desde las pref
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="79"/>
         <source>Show the tray menu</source>
-        <translation type="unfinished">Mostrar el menú de la bandeja</translation>
+        <translation>Mostrar el menú de la bandeja</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="80"/>
@@ -168,17 +167,17 @@ Puede configurar la orden desde las pref
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="81"/>
         <source>Edit clipboard</source>
-        <translation type="unfinished">Editar portapapeles</translation>
+        <translation>Editar portapapeles</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="82"/>
         <source>Edit first item</source>
-        <translation type="unfinished">Editar el primer elemento</translation>
+        <translation>Editar el primer elemento</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="83"/>
         <source>Copy second item</source>
-        <translation type="unfinished">Copiar el segundo elemento</translation>
+        <translation>Copiar el segundo elemento</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="84"/>
@@ -188,7 +187,7 @@ Puede configurar la orden desde las pref
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="85"/>
         <source>Create new item</source>
-        <translation type="unfinished">Crear un nuevo elemento</translation>
+        <translation>Crear nuevo elemento</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="86"/>
@@ -218,12 +217,12 @@ Puede configurar la orden desde las pref
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="91"/>
         <source>Paste and copy next</source>
-        <translation type="unfinished">Pegar y copiar el siguiente</translation>
+        <translation>Pegar y copiar el siguiente</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="92"/>
         <source>Paste and copy previous</source>
-        <translation type="unfinished">Pegar y copiar el anterior</translation>
+        <translation>Pegar y copiar el anterior</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="93"/>
@@ -285,23 +284,23 @@ Puede configurar la orden desde las pref
         <location filename="../src/common/predefinedcommands.cpp" line="123"/>
         <source>Add to %1 tab</source>
         <comment>%1 is quoted Tasks tab name</comment>
-        <translation type="unfinished">Agregar a %1 tab</translation>
+        <translation>Agregar a pestaña %1</translation>
     </message>
     <message>
         <location filename="../src/common/predefinedcommands.cpp" line="131"/>
         <source>Move to %1 tab</source>
         <comment>%1 is quoted Tasks tab name</comment>
-        <translation type="unfinished">Mover a %1 tab</translation>
+        <translation>Mover a pestaña %1</translation>
     </message>
     <message>
         <location filename="../src/common/predefinedcommands.cpp" line="140"/>
         <source>Ignore copied files</source>
-        <translation type="unfinished">Ignorar archivos copiados</translation>
+        <translation>Ignorar archivos copiados</translation>
     </message>
     <message>
         <location filename="../src/common/predefinedcommands.cpp" line="149"/>
         <source>Ignore *&quot;Password&quot;* window</source>
-        <translation type="unfinished">Ignorar ventana *&quot;Contraseña&quot;*</translation>
+        <translation>Ignorar ventana *&quot;Contraseña&quot;*</translation>
     </message>
     <message>
         <location filename="../src/common/predefinedcommands.cpp" line="150"/>
@@ -322,24 +321,25 @@ Puede configurar la orden desde las pref
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation type="unfinished">No puedo Agregar Nuevos Elementos</translation>
+        <translation type="vanished">No se pueden agregar nuevos elementos</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Pestaña llena. No se puede eliminar ningún elemento</translation>
+        <translation type="vanished">Pestaña llena. No se puede eliminar ningún elemento</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>¿Descartar los cambios?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>¿Está seguro de que desea &lt;strong&gt;descartar los cambios&lt;/strong&gt;?</translation>
     </message>
@@ -347,12 +347,12 @@ Puede configurar la orden desde las pref
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>¡No se pudo conectar al servidor! Inicie el servidor CopyQ primero.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>¡Se perdió la conexión!</translation>
     </message>
@@ -361,8 +361,8 @@ Puede configurar la orden desde las pref
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>Contenido del portapapeles CopyQ</translation>
+        <source>Clipboard Content</source>
+        <translation>Contenido del portapapeles</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -372,7 +372,7 @@ Puede configurar la orden desde las pref
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="112"/>
         <source>C&amp;ontent:</source>
-        <translation type="unfinished">C&amp;ontenido:</translation>
+        <translation>C&amp;ontenido:</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="205"/>
@@ -381,40 +381,45 @@ Puede configurar la orden desde las pref
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>Contenido del Elemento CopyQ</translation>
+        <source>Item Content</source>
+        <translation>Contenido del Elemento</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Tamaño:&lt;/strong&gt; %1 bytes</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Tamaño:&lt;/strong&gt; %1 bytes</translation>
+        <translation type="vanished">&lt;strong&gt;Tamaño:&lt;/strong&gt; %1 bytes</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>El servidor CopyQ ya está en ejecución.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Cancelar Órdenes Activas</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>¿Desea cancelar las Órdenes Activas y salir?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Cancelar Salir</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Salir de todas formas</translation>
     </message>
@@ -432,8 +437,8 @@ Puede configurar la orden desde las pref
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>Órdenes CopyQ</translation>
+        <source>Commands</source>
+        <translation>Comandos</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -448,7 +453,7 @@ Puede configurar la orden desde las pref
     <message>
         <location filename="../src/ui/commanddialog.ui" line="64"/>
         <source>&amp;Load Commands…</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Cargar comandos…</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="74"/>
@@ -466,32 +471,32 @@ Puede configurar la orden desde las pref
         <translation>Órdenes para Pegar [CTRL+V]</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Cambios No Guardados</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>La Orden tiene cambios no guardados.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Abrir archivos con órdenes</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Órdenes (*.ini);; Configuración CopyQ (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Guardar las Órdenes seleccionadas</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Órdenes (*.ini)</translation>
     </message>
@@ -674,6 +679,7 @@ Dejar en blanco para desactivarlo.</tran
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Auto&amp;mático</translation>
     </message>
     <message>
@@ -684,6 +690,7 @@ Dejar en blanco para desactivarlo.</tran
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>En el m&amp;enú</translation>
     </message>
     <message>
@@ -699,16 +706,19 @@ Dejar en blanco para desactivarlo.</tran
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Atajo Global</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -909,55 +919,55 @@ Nota: si se aplica automáticamente, no
         <translation>Previsualización:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Seleccionar un elemento y
 pulsar F2 para editar.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Elemento de ejemplo %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Algunas notas aleatorias (Shift+F2 para editar)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>elemento</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Buscar cadena %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Abrir archivo de tema</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Guardar archivo de tema como</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>No se encontró un editor externo</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>¡Defina la orden del editor primero!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1544,8 +1554,8 @@ Definir como 0 para desactivar.</transla
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>Configuración CopyQ</translation>
+        <source>Configuration</source>
+        <translation type="unfinished">Configuración</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="181"/>
@@ -1621,7 +1631,7 @@ Definir como 0 para desactivar.</transla
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>¡No se pudo crear el directorio de sincronización «%1»!</translation>
     </message>
@@ -1653,8 +1663,8 @@ Definir como 0 para desactivar.</transla
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>Ícono de selección de CopyQ</translation>
+        <source>Select Icon</source>
+        <translation type="unfinished">Ícono de selección de</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1711,89 +1721,89 @@ Definir como 0 para desactivar.</transla
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Guardar</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Guardar elemento (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Cancelar</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Cancelar la edición y deshacer los cambios</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Escape</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation type="unfinished">Tipografía</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Negrita</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Itálico</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Subrayar</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Tachado</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation type="unfinished">Principal</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation type="unfinished">Fondo</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation type="unfinished">Borrar Estilo</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Buscar</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Deshacer</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Rehacer</translation>
     </message>
@@ -2102,22 +2112,22 @@ Definir como 0 para desactivar.</transla
         <translation>Desfije los elementos para poder quitarlos.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Fijar</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Desfijar</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Elementos Fijados</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2125,28 +2135,28 @@ Definir como 0 para desactivar.</transla
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Navegar...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Abrir directorio para sincronizar</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>No se pudo crear el directorio de sincronización</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Sincronizar</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Sincronizar elementos y notas con un directorio en disco.</translation>
     </message>
@@ -2154,17 +2164,17 @@ Definir como 0 para desactivar.</transla
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation type="unfinished">¡No se pudo sincronizar la pestaña «%1» con el directorio «%2»!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation type="unfinished">¿Quitar elementos?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation type="unfinished">¿Realmente desea &lt;strong&gt;quitar los elementos y archivos asociados&lt;/strong&gt;?</translation>
     </message>
@@ -2200,9 +2210,19 @@ Definir como 0 para desactivar.</transla
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Definir el tipo MIME como &lt;strong&gt;-&lt;/strong&gt; (guión) para ignorar archivos. Se ignorarán todos los demás archivos desconocidos u ocultos.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;Definir el tipo MIME como &lt;strong&gt;-&lt;/strong&gt; (guión) para ignorar archivos. Se ignorarán todos los demás archivos desconocidos u ocultos.&lt;/p&gt;
 &lt;p&gt;Ejemplo: cargar los archivos de extensión &lt;strong&gt;txt&lt;/strong&gt; como el tipo MIME &lt;strong&gt;text/plain&lt;/strong&gt;.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2211,41 +2231,40 @@ Definir como 0 para desactivar.</transla
         <translation>Estensiones</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>Tipo MIME del elemento</translation>
+        <translation type="vanished">Tipo MIME del elemento</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Añadir etiqueta</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Quitar etiqueta</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Etiquetar como %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Quitar etiqueta %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Importante</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Quitar todas las marcas</translation>
     </message>
@@ -2354,75 +2373,74 @@ Definir como 0 para desactivar.</transla
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>Bitácora CopyQ</translation>
+        <source>Log</source>
+        <translation type="unfinished">Bitácora</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>¿Salir?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>¿Desea &lt;strong&gt;salir&lt;/strong&gt; de CopyQ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Archivo</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>&amp;Mostrar/ocultar</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>&amp;Editar</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>&amp;Elemento</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>&amp;Pestañas</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>&amp;Ayuda</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>&amp;Activar el almacenamiento del portapapeles</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>&amp;Desactivar el almacenamiento del portapapeles</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>Error de CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>&amp;Portapapeles: %1</translation>
@@ -2433,82 +2451,82 @@ Definir como 0 para desactivar.</transla
         <translation>Elementos CopyQ (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Nueva pestaña</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Renombrar &amp;grupo %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>Re&amp;nombrar pestaña %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>Qu&amp;itar pestaña %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Quitar grupo %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>&amp;Cambiar ícono de la pestaña</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>Opciones para importar CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation type="unfinished">Opciones para importar</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>Opciones para exportar CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation type="unfinished">Opciones para exportar</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>Error al Exportar CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation type="unfinished">Error al Exportar</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>Fracaso exportar archivo %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>Error al Importar CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation type="unfinished">Error al Importar</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>Fracaso importar archivo %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>¿Desea cerrar todas las pestañas del grupo?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>¿Desea cerrar &lt;strong&gt;todas las pestañas&lt;/strong&gt; del grupo &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>¿Desea quitar la pestaña?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>¿Desea quitar la pestaña &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
@@ -2524,7 +2542,7 @@ Definir como 0 para desactivar.</transla
 <context>
     <name>QObject</name>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2533,31 +2551,31 @@ Definir como 0 para desactivar.</transla
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation type="unfinished">&lt;OCULTO&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;IMAGEN&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;VACÍO&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;DATOS&gt;</translation>
@@ -2582,7 +2600,7 @@ which can be letters, digits, &apos;-&ap
 como máximo que pueden ser letras, dígitos, «-» o «_»!</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2591,7 +2609,7 @@ como máximo que pueden ser letras, díg
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2658,92 +2676,92 @@ como máximo que pueden ser letras, díg
         <translation type="unfinished">Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation type="unfinished">Al&amp;ternar almacenamiento del portapapeles</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation type="unfinished">Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation type="unfinished">Administrador de p&amp;rocesos</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation type="unfinished">Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation type="unfinished">&amp;Salir</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation type="unfinished">Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation type="unfinished">Ordenar Elementos Seleccionados (&amp;S)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation type="unfinished">Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation type="unfinished">&amp;Reversar Elementos Seleccionados</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation type="unfinished">Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>&amp;Pegar Elementos</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>&amp;Copiar Elementos Seleccionados</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation type="unfinished">&amp;Buscar</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>Mover al Portapapeles (&amp;C)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation type="unfinished">Mostrar Contenido... (&amp;S)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation type="unfinished">F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation type="unfinished">Mostrar Previsualizar &amp;S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation type="unfinished">F7</translation>
     </message>
@@ -2926,7 +2944,7 @@ como máximo que pueden ser letras, díg
         <translation type="unfinished">&amp;Ayuda</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2934,209 +2952,205 @@ como máximo que pueden ser letras, díg
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Ocultar la ventana principal.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Mostrar u ocultar la ventana principal.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Abrir menú contextual.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Apagar servidor.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Activar o desactivar el almacenamiento del contenido del portapapeles.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Imprimir el contenido del portapapeles.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>Imprimir el contenido de la selección X11.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Pegar el portapapeles a la ventana actual
 (puede que no funcione con algunos programas).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>Definir el texto del portapapeles.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TEXTO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 Definir el contenido del portapapeles.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DATOS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>Copiar el elemento de la fila al portapapeles.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>FILA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>Copiar el elemento siguiente desde la pestaña actual al portapapeles.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Copiar el elemento anterior desde la pestaña actual al portapapeles.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Añadir texto al portapapeles.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Insertar el texto en la fila indicada.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>Quitar los elementos de las filas indicadas.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>FILAS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>Editar elementos o editar uno nuevo.
 Use el valor -1 para editar el texto actual del portapapeles.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>Definir el separador para los elementos en la salida.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>SEPARADOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Imprimir los datos sin formato del portapapeles o el elemento en la fila.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Escribir datos sin formato a la fila indicada.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>Mostrar el diálogo de acción.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 Ejecutar PROGRAMA sobre el texto de los elementos de las filas.
 Use %1 en PROGRAMA para pasar el texto como parámetro.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAMA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 Mostrar el mensaje emergente en la bandeja durante TIEMPO milisegundos.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TÍTULO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MENSAJE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>TIEMPO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>Enumerar los nombres de las pestañas disponibles.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3145,218 +3159,261 @@ Se creará la pestaña si no existe.
 Se utilizará la primera pestaña de forma predeterminada.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation type="unfinished">
+        <translation type="obsolete">
 Considera el programa ECMAScript.
 Los argumentoss son accesibles usando con &quot;arguments[0..N]&quot;.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation type="unfinished">Ejecuta pruebas de la aplicación (adjunta el argumento --help para más información)</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NOMBRE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Mostrar la ventana principal y, opcionalmente, abrir la pestaña con el nombre indicado.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>Imprime la cantidad de elementos en la pestaña actual.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>ORDEN</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Quitar la pestaña.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Renombrar la pestaña.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NUEVO_NOMBRE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>Exportar los elementos a un archivo.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>ARCHIVO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Importar los elementos desde un archivo.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>Enumerar todas las opciones.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>Obtener el valor de la opción.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>OPCIÓN</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Definir el valor de la opción.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VALOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>¡La opción «%1» no es válida!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SCRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>PARÁMETROS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 Inicia o conecta a una instancia de la aplicación con el nombre de sesión indicado.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SESIÓN</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 Imprimir la ayuda para ORDEN o para todas las órdenes.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Imprimir la versión del programa y de las bibliotecas.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Uso: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Iniciar el servidor si no se especifica ninguna orden.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  ÓRDENes:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>NOTAS:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>Excepción</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>Excepción en %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Fracaso copiar al portapapeles!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - Use un doble guión (--) como parámetro para leer todos los parámetros siguientes sin
     expandir secuencias de escape (es decir: \n, \t y otras).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - Use ? para imprimir los tipos MIME disponibles (el valor predeterminado es «text/plain»).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>¡Cantidad incorrecta de parámetros!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>!No se encontró la orden!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Apagando servidor.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>!No se pudo guardar en el archivo «%1»!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>!No se pudo importar el archivo «%1»!</translation>
     </message>
@@ -3364,31 +3421,29 @@ Imprimir la versión del programa y de l
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation type="unfinished">¡No existe una pestaña con el nombre indicado!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation type="unfinished">¡El nombre de la pestaña no puede estar vacío!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation type="unfinished">¡Ya existe una pestaña con el nombre indicado!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation type="unfinished">%1 - CopyQ</translation>
+        <translation type="obsolete">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation type="unfinished">%1 - %2 - CopyQ</translation>
+        <translation type="obsolete">%1 - %2 - CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3403,8 +3458,8 @@ Imprimir la versión del programa y de l
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>Nuevo atajo CopyQ</translation>
+        <source>New Shortcut</source>
+        <translation type="unfinished">Nuevo atajo</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3451,7 +3506,7 @@ Imprimir la versión del programa y de l
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -3473,18 +3528,18 @@ Use &lt;b&gt;/&lt;/b&gt; como separador
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>Nueva Pestaña CopyQ</translation>
+        <source>New Tab</source>
+        <translation type="unfinished">Nueva Pestaña</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>Renombrar Pestaña CopyQ</translation>
+        <source>Rename Tab</source>
+        <translation type="unfinished">Renombrar Pestaña</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>Renombrar grupo de pestañas CopyQ</translation>
+        <source>Rename Tab Group</source>
+        <translation type="unfinished">Renombrar grupo de pestañas</translation>
     </message>
 </context>
 <context>
@@ -3501,24 +3556,24 @@ Use &lt;b&gt;/&lt;/b&gt; como separador
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Presione &apos;/&apos; para buscar</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Escriba para buscar</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1: %2</translation>
@@ -3527,12 +3582,12 @@ Use &lt;b&gt;/&lt;/b&gt; como separador
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Expresión Regular</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Ignorar mayúscula y minúsculas</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_fa.ts 3.11.0-1/translations/copyq_fa.ts
--- 3.10.0-1/translations/copyq_fa.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_fa.ts	2020-05-01 06:22:49.000000000 +0000
@@ -4,47 +4,47 @@
 <context>
     <name>AboutDialog</name>
     <message>
-        <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
         <source>Clipboard Manager</source>
-        <translation type="unfinished"></translation>
+        <translation>مدیریت حافظه‌ی موقت</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="114"/>
         <source>Author</source>
-        <translation type="unfinished"></translation>
+        <translation>سازنده</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="115"/>
         <source>E-mail</source>
-        <translation type="unfinished"></translation>
+        <translation>ایمیل</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="116"/>
         <source>Web</source>
-        <translation type="unfinished"></translation>
+        <translation>وب</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="117"/>
         <source>Donate</source>
-        <translation type="unfinished"></translation>
+        <translation>کمک مالی</translation>
+    </message>
+    <message>
+        <location filename="../src/ui/aboutdialog.ui" line="14"/>
+        <source>About</source>
+        <translation>درباره ما</translation>
     </message>
 </context>
 <context>
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation type="unfinished"></translation>
+        <source>Action Dialog</source>
+        <translation type="unfinished">پیام ها و خطا ها</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
         <source>Co&amp;mmand:</source>
-        <translation type="unfinished"></translation>
+        <translation>دستور:</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="58"/>
@@ -93,12 +93,12 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation type="unfinished"></translation>
@@ -126,7 +126,7 @@ You can set up the command in preference
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
+        <source>Process Manager</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -143,11 +143,6 @@ You can set up the command in preference
 <context>
     <name>AddCommandDialog</name>
     <message>
-        <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
         <source>Show/hide main window</source>
         <translation type="unfinished"></translation>
@@ -315,28 +310,26 @@ You can set up the command in preference
         <source>(trash)</source>
         <translation type="unfinished"></translation>
     </message>
-</context>
-<context>
-    <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
-        <source>Cannot Add New Items</source>
+        <location filename="../src/ui/addcommanddialog.ui" line="14"/>
+        <source>Add Commands</source>
         <translation type="unfinished"></translation>
     </message>
+</context>
+<context>
+    <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
-        <source>Tab is full. Failed to remove any items.</source>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -344,12 +337,12 @@ You can set up the command in preference
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation type="unfinished"></translation>
     </message>
@@ -358,7 +351,7 @@ You can set up the command in preference
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
+        <source>Clipboard Content</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -378,40 +371,40 @@ You can set up the command in preference
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
+        <source>Item Content</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
-        <comment>Size of data in bytes</comment>
+        <comment>Size of clipboard/item data in bytes</comment>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation type="unfinished"></translation>
     </message>
@@ -429,7 +422,7 @@ You can set up the command in preference
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
+        <source>Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -463,32 +456,32 @@ You can set up the command in preference
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation type="unfinished"></translation>
     </message>
@@ -582,6 +575,7 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -592,21 +586,25 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -897,55 +895,55 @@ Note: If this is applied automatically,
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation type="unfinished"></translation>
     </message>
@@ -1511,11 +1509,6 @@ Set to 0 to disable.</source>
 <context>
     <name>ConfigurationManager</name>
     <message>
-        <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
         <source>General</source>
         <translation type="unfinished"></translation>
@@ -1585,11 +1578,16 @@ Set to 0 to disable.</source>
         <source>Language will be changed after application is restarted.</source>
         <translation type="unfinished"></translation>
     </message>
+    <message>
+        <location filename="../src/ui/configurationmanager.ui" line="20"/>
+        <source>Configuration</source>
+        <translation type="unfinished"></translation>
+    </message>
 </context>
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -1621,7 +1619,7 @@ Set to 0 to disable.</source>
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
+        <source>Select Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -1679,89 +1677,89 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2069,22 +2067,22 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2092,28 +2090,28 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2121,17 +2119,17 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2166,51 +2164,51 @@ Set to 0 to disable.</source>
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
-        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
-&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
-        <source>Extensions</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
-        <source>Item MIME Type</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
+        <source>Extensions</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2299,7 +2297,7 @@ Set to 0 to disable.</source>
     <message>
         <location filename="../plugins/itemweb/itemweb.h" line="90"/>
         <source>Web</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">وب</translation>
     </message>
     <message>
         <location filename="../plugins/itemweb/itemweb.h" line="92"/>
@@ -2319,161 +2317,156 @@ Set to 0 to disable.</source>
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
+        <source>Log</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
-        <source>CopyQ</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <location filename="../src/gui/mainwindow.cpp" line="313"/>
         <source>CopyQ Items (*.cpq)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
-        <source>CopyQ Error</source>
-        <comment>Notification error message title</comment>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
-        <source>&amp;Show/Hide</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
+        <source>CopyQ Error</source>
+        <comment>Notification error message title</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
-        <source>Failed to export file %1!</source>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
+        <source>&amp;Show/Hide</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
+        <source>Failed to export file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2495,13 +2488,13 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2509,25 +2502,25 @@ Set to 0 to disable.</source>
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2600,92 +2593,92 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2868,7 +2861,7 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2879,7 +2872,7 @@ which can be letters, digits, &apos;-&ap
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2887,7 +2880,7 @@ which can be letters, digits, &apos;-&ap
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2896,413 +2889,410 @@ which can be letters, digits, &apos;-&ap
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
-        <source>Set clipboard text.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
-        <source>TEXT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
+        <source>Set clipboard text.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
-        <source>
-Set clipboard content.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
+        <source>TEXT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
-        <source>
-Write raw data to given row.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <source>Show action dialog.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
-        <source>Show action dialog.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
+        <source>PROGRAM</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
-        <source>
-Run PROGRAM on item text in the rows.
-Use %1 in PROGRAM to pass text as argument.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
-        <source>PROGRAM</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
-        <source>
-Show tray popup message for TIME milliseconds.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
-        <source>
-Evaluate ECMAScript program.
-Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
-        <source>SCRIPT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
-        <source>ARGUMENTS</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
-        <source>
-Starts or connects to application instance with given session name.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
-        <source>SESSION</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
+        <source>SCRIPT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
-        <source>
-Print help for COMMAND or all commands.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
+        <source>ARGUMENTS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
-        <source>
-Print version of program and libraries.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
+        <source>SESSION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -3310,32 +3300,20 @@ Print version of program and libraries.<
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation type="unfinished"></translation>
     </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
-        <source>%1 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
-        <source>%1 - %2 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation type="unfinished"></translation>
-    </message>
 </context>
 <context>
     <name>ShortcutButton</name>
@@ -3349,7 +3327,7 @@ Print version of program and libraries.<
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
+        <source>New Shortcut</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3392,7 +3370,7 @@ Print version of program and libraries.<
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3417,17 +3395,17 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
+        <source>New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
+        <source>Rename Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
+        <source>Rename Tab Group</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -3445,24 +3423,24 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation type="unfinished"></translation>
@@ -3471,12 +3449,12 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation type="unfinished"></translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_fr.ts 3.11.0-1/translations/copyq_fr.ts
--- 3.10.0-1/translations/copyq_fr.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_fr.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>À propos de CopyQ</translation>
+        <source>About</source>
+        <translation>À propos</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -26,20 +26,20 @@
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="116"/>
         <source>Web</source>
-        <translation>Site Internet</translation>
+        <translation>Site web</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="117"/>
         <source>Donate</source>
-        <translation>Faire un Don</translation>
+        <translation>Faire un don</translation>
     </message>
 </context>
 <context>
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>Gestionnaire d&apos;actions de CopyQ</translation>
+        <source>Action Dialog</source>
+        <translation>Gestionnaire d&apos;actions</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -59,12 +59,12 @@
     <message>
         <location filename="../src/ui/actiondialog.ui" line="78"/>
         <source>Send data of given media type to standard input of command (leave empty to turn off)</source>
-        <translation type="unfinished"></translation>
+        <translation>Envoyer les données d&apos;un type de support donné à l&apos;entrée de commande standard (laisser vide pour éteindre)</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="85"/>
         <source>Create items from standard output of the program (leave empty to turn off)</source>
-        <translation type="unfinished"></translation>
+        <translation>Créer des éléments à partir de la sortie standard du programme (laisser vide pour éteindre)</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="102"/>
@@ -95,12 +95,12 @@
         <translation>Enregistrer des éléments dans l&apos;onglet avec le nom donné (laisser vide pour enregistrer dans l&apos;onglet actuel)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Commande enregistrée</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>La commande a été enregistrée et est accessible à partir du menu de l&apos;élément.
@@ -129,8 +129,8 @@ Vous pouvez configurer la commande dans
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>Gestionnaire de processus de CopyQ</translation>
+        <source>Process Manager</source>
+        <translation>Gestionnaire de processus</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -147,8 +147,8 @@ Vous pouvez configurer la commande dans
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>Ajouter des commandes dans CopyQ</translation>
+        <source>Add Commands</source>
+        <translation>Ajouter des commandes</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -253,7 +253,7 @@ Vous pouvez configurer la commande dans
     <message>
         <location filename="../src/common/predefinedcommands.cpp" line="80"/>
         <source>Paste as Plain Text</source>
-        <translation>Coller en tant que Texte Brut</translation>
+        <translation>Coller en tant que texte brut</translation>
     </message>
     <message>
         <location filename="../src/common/predefinedcommands.cpp" line="88"/>
@@ -322,25 +322,26 @@ Vous pouvez configurer la commande dans
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Impossible d&apos;ajouter de nouveaux éléments</translation>
+        <translation type="vanished">Impossible d&apos;ajouter de nouveaux éléments</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
         <translatorcomment>Is this correct? Is it really &quot;remove&quot;?</translatorcomment>
-        <translation>L&apos;onglet est plein. Impossible d&apos;enlever des éléments.</translation>
+        <translation type="vanished">L&apos;onglet est plein. Impossible d&apos;enlever des éléments.</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Annuler les modifications ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Voulez-vous vraiment &lt;strong&gt;annuler les modifications&lt;/strong&gt; ?</translation>
     </message>
@@ -348,12 +349,12 @@ Vous pouvez configurer la commande dans
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Impossible de se connecter au serveur ! Lancer le serveur CopyQ en premier lieu.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Connexion perdue !</translation>
     </message>
@@ -362,8 +363,8 @@ Vous pouvez configurer la commande dans
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>Contenu du presse-papier de CopyQ</translation>
+        <source>Clipboard Content</source>
+        <translation>Contenu du presse-papiers</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -382,40 +383,45 @@ Vous pouvez configurer la commande dans
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>Contenu d&apos;élément de CopyQ</translation>
+        <source>Item Content</source>
+        <translation>Contenu de l&apos;élément</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Taille :&lt;/strong&gt; %1 octets</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Taille :&lt;/strong&gt; %1 octets</translation>
+        <translation type="vanished">&lt;strong&gt;Taille :&lt;/strong&gt; %1 octets</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>Le serveur CopyQ est déjà en cours d&apos;exécution.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Annuler les commandes en cours</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Annuler les commandes en cours et quitter ?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Annuler Quitter</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Quitter quand même</translation>
     </message>
@@ -433,8 +439,8 @@ Vous pouvez configurer la commande dans
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>Commandes de CopyQ</translation>
+        <source>Commands</source>
+        <translation>Commandes</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -467,32 +473,32 @@ Vous pouvez configurer la commande dans
         <translation>Coller les commandes</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Changements non sauvegardés</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>La fenêtre de commandes a des changements non sauvegardés.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Ouvrir des fichiers en utilisant des commandes</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Commandes (*.ini);; Configuration de CopyQ (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Enregistrer les commandes sélectionnées</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Commandes (*.ini)</translation>
     </message>
@@ -656,6 +662,7 @@ Laisser vide pour désactiver.</translat
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Automati&amp;que</translation>
     </message>
     <message>
@@ -666,6 +673,7 @@ Laisser vide pour désactiver.</translat
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>Dans le men&amp;u</translation>
     </message>
     <message>
@@ -681,16 +689,19 @@ Laisser vide pour désactiver.</translat
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Raccourci global</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Programme</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Affichage</translation>
     </message>
     <message>
@@ -911,55 +922,55 @@ Remarque : si cette option est automatiq
         <translation>Aperçu :</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Sélectionner un élément et
 appuyer sur F2 pour modifier.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Exemple d&apos;élément %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Des notes aléatoires (Maj+F2 pour modifier)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>élément</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Le texte de recherche est %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Ouvrir le fichier de thème</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Enregistrer le fichier du thème sous</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Aucun éditeur externe</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Définir la commande d&apos;éditeur externe d&apos;abord !</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -980,92 +991,92 @@ appuyer sur F2 pour modifier.</translati
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="96"/>
         <source>Wrap l&amp;ong text</source>
-        <translation type="unfinished">Ret&amp;our à la ligne pour les textes trop longs</translation>
+        <translation>Revenir à la ligne pour les textes trop longs</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="103"/>
         <source>Keep main window above other windows</source>
-        <translation type="unfinished">Garder la fenêtre principale au-dessus des autres fenêtres</translation>
+        <translation>Conserver la fenêtre principale au-dessus des autres fenêtres</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="106"/>
         <source>Alwa&amp;ys on Top</source>
-        <translation type="unfinished">Tou&amp;jours visible</translation>
+        <translation>Toujours au premier plan</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="113"/>
         <source>Close main window when other application has focus</source>
-        <translation type="unfinished">Fermer la fenêtre principale lorsqu&apos;une autre application a le focus</translation>
+        <translation>Fermer la fenêtre principale lorsqu&apos;une autre application est sélectionnée</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="116"/>
         <source>Close When Unfocused</source>
-        <translation type="unfinished">Fermer quand le focus est perdu</translation>
+        <translation>Fermer en cas de désélection</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="123"/>
         <source>Enable to open windows on current screen. Disable to open windows where they were last closed</source>
-        <translation type="unfinished">Activer pour ouvrir des fenêtres sur l&apos;écran actuel. Désactiver pour ouvrir les fenêtres là où elles ont été fermées la dernière fois</translation>
+        <translation>Activer pour ouvrir des fenêtres sur l&apos;écran actuel. Désactiver pour ouvrir les fenêtres là où elles ont été fermées la dernière fois</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="126"/>
         <source>O&amp;pen windows on current screen</source>
-        <translation type="unfinished">O&amp;uvrir les fenêtres sur l&apos;écran actuel</translation>
+        <translation>Ouvrir les fenêtres sur l&apos;écran actuel</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="133"/>
         <source>Confirm application exit</source>
-        <translation type="unfinished">Confirmer la sortie de l&apos;application</translation>
+        <translation>Confirmer la sortie de l&apos;application</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="136"/>
         <source>Confirm application e&amp;xit</source>
-        <translation type="unfinished">Confirmer la &amp;sortie de l&apos;application</translation>
+        <translation>Confirmer la sortie de l&apos;application</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="146"/>
         <source>Run the application on system startup</source>
-        <translation type="unfinished">Exécuter l&apos;application au démarrage du système</translation>
+        <translation>Exécuter l&apos;application au démarrage du système</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="149"/>
         <source>&amp;Autostart</source>
-        <translation type="unfinished">&amp;Démarrage automatique</translation>
+        <translation>Démarrage automatique</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="156"/>
         <source>Support for Vi navigation keys (H, J, K, L and more), slash (/) key to search</source>
-        <translation type="unfinished">Prise en charge des raccourcis clavier de Vi (touches H, J, K, L etc.), touche (/) pour rechercher</translation>
+        <translation>Prise en charge des raccourcis clavier de Vi (touches H, J, K, L etc.), touche (/) pour rechercher</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="159"/>
         <source>&amp;Vi style navigation</source>
-        <translation type="unfinished">Navigation de type &amp;Vi</translation>
+        <translation>Navigation de type Vi</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="166"/>
         <source>Save and restore history of item filters</source>
-        <translation type="unfinished">Sauvegarder et restaurer l&apos;historique des filtres</translation>
+        <translation>Sauvegarder et restaurer l&apos;historique des filtres</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="169"/>
         <source>Save Filter History</source>
-        <translation type="unfinished">Sauvegarder l&apos;historique des filtres</translation>
+        <translation>Sauvegarder l&apos;historique des filtres</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="176"/>
         <source>Automatically show popup to complete function, type and variable names in commands</source>
-        <translation type="unfinished">Afficher automatiquement une infobulle pour compléter la fonction, le type et les noms de variables dans les commandes</translation>
+        <translation>Afficher automatiquement une infobulle pour compléter la fonction, le type et les noms de variables dans les commandes</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="179"/>
         <source>Auto-complete Commands</source>
-        <translation type="unfinished">Auto-complétion des commandes</translation>
+        <translation>Auto-complétion des commandes</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="186"/>
         <source>Clipboard Manipulation</source>
-        <translation type="unfinished">Manipulation du presse-papier</translation>
+        <translation>Manipulation du presse-papiers</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="198"/>
@@ -1546,8 +1557,8 @@ Mettre à 0 pour désactiver.</translati
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>Configuration de CopyQ</translation>
+        <source>Configuration</source>
+        <translation type="unfinished">Configuration de</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="181"/>
@@ -1623,7 +1634,7 @@ Mettre à 0 pour désactiver.</translati
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Impossible de créer le répertoire de synchronisation &quot;%1&quot; !</translation>
     </message>
@@ -1655,8 +1666,8 @@ Mettre à 0 pour désactiver.</translati
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>Sélection d&apos;icône de CopyQ</translation>
+        <source>Select Icon</source>
+        <translation type="unfinished">Sélection d&apos;icône de</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1713,89 +1724,89 @@ Mettre à 0 pour désactiver.</translati
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Enregistrer</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Enregistrer l&apos;élément (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Annuler</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Annule l&apos;édition et supprime les modifications</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Échap</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Fonte</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Gras</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Italique</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Souligné</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Barré</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Premier plan</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Arrière-plan</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Effacer le style</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Rechercher</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Annuler</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Rétablir</translation>
     </message>
@@ -2105,22 +2116,22 @@ Mettre à 0 pour désactiver.</translati
         <translation>Désépingler les éléments avant de les supprimer.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Épingler</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Désépingler</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Éléments épinglés</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt;Épinglez des éléments pour les verrouiller dans la ligne en cours et éviter leur suppression.&lt;/p&gt;&lt;p&gt;Fournit des raccourcis et une fonctionnalité de script&lt;/p&gt;</translation>
     </message>
@@ -2128,28 +2139,28 @@ Mettre à 0 pour désactiver.</translati
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Parcourir...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Ouvrir le dossier pour synchroniser</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>La création des répertoires synchronisés a échouée</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Synchronisation</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Synchroniser les éléments et des notes avec un répertoire sur le disque.</translation>
     </message>
@@ -2157,17 +2168,17 @@ Mettre à 0 pour désactiver.</translati
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>Impossible de synchroniser l&apos;onglet &quot;%1&quot; avec le répertoire &quot;%2&quot; !</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Supprimer les éléments ?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>Voulez-vous vraiment &lt;strong&gt;supprimer les éléments et les fichiers associés&lt;/strong&gt; ?</translation>
     </message>
@@ -2203,9 +2214,19 @@ Mettre à 0 pour désactiver.</translati
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Utiliser le type MIME&lt;strong&gt;-&lt;/strong&gt;  (tiret) pour ignorer des fichiers. Les autres fichiers inconnus ou cachés sont ignorés.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;Utiliser le type MIME&lt;strong&gt;-&lt;/strong&gt;  (tiret) pour ignorer des fichiers. Les autres fichiers inconnus ou cachés sont ignorés.&lt;/p&gt;
 &lt;p&gt;Exemple : charger les fichiers d&apos;extension &lt;strong&gt;txt&lt;/strong&gt; avec le type MIME &lt;strong&gt;text/plain&lt;/strong&gt;.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2214,41 +2235,40 @@ Mettre à 0 pour désactiver.</translati
         <translation>Extensions</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>Le type MIME de l&apos;élément</translation>
+        <translation type="vanished">Le type MIME de l&apos;élément</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Ajouter une étiquette</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Supprimer une étiquette</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Étiqueter avec %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Supprimer l&apos;étiquette %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Important</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Supprimer toutes les étiquettes</translation>
     </message>
@@ -2358,75 +2378,74 @@ Mettre à 0 pour désactiver.</translati
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>Journal de CopyQ</translation>
+        <source>Log</source>
+        <translation type="unfinished">Journal de</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Quitter ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>Voulez-vous &lt;strong&gt;quitter&lt;/strong&gt; CopyQ ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Fichier</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>&amp;Afficher / Masquer</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>É&amp;dition</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>Élé&amp;ment</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>&amp;Onglets</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>Erreur de CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>&amp;Aide</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>&amp;Autoriser le stockage du presse-papier</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>&amp;Désactiver le stockage du presse-papier</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>&amp;Presse-papier : %1</translation>
@@ -2437,82 +2456,82 @@ Mettre à 0 pour désactiver.</translati
         <translation>Éléments de CopyQ (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Nouvel onglet</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Renommer le &amp;groupe %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>Re&amp;nommer l&apos;onglet %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>&amp;Supprimer l&apos;onglet %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Supprimer le groupe %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>&amp;Changer l’icône de l&apos;onglet</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>Options de CopyQ pour l&apos;import</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation type="unfinished">Options de CopyQ pour l&apos;import</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>Options de CopyQ pour l&apos;export</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation type="unfinished">Options de CopyQ pour l&apos;export</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>Erreur d&apos;exportation de CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation type="unfinished">Erreur d&apos;exportation de</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>L&apos;exportation du fichier %1 a échoué !</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>Erreur d&apos;importation de CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation type="unfinished">Erreur d&apos;importation de</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>L&apos;importation du fichier %1 a échoué !</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Supprimer tous les onglets dans le groupe ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Voulez-vous supprimer &lt;strong&gt;tous les onglets&lt;/strong&gt; dans le groupe &lt;strong&gt;%1&lt;/strong&gt; ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Supprimer l&apos;onglet ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Voulez-vous supprimer l&apos;onglet&lt;strong&gt;%1&lt;/strong&gt; ?</translation>
     </message>
@@ -2528,7 +2547,7 @@ Mettre à 0 pour désactiver.</translati
 <context>
     <name>QObject</name>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2537,31 +2556,31 @@ Mettre à 0 pour désactiver.</translati
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;CACHÉ&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;IMAGE&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;ARTICLES&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;VIDE&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;DONNÉES&gt;</translation>
@@ -2586,7 +2605,7 @@ which can be letters, digits, &apos;-&ap
 qui peuvent être des lettres, des chiffres, des &apos;-&apos; ou &apos;_&apos; !</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2595,7 +2614,7 @@ qui peuvent être des lettres, des chiff
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2662,92 +2681,92 @@ qui peuvent être des lettres, des chiff
         <translation>Ctrl+Maj+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>Commuter le stoc&amp;kage du presse-papier</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Maj+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>Gestionnaire de p&amp;rocessus</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Maj+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>&amp;Sortie</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>&amp;Trier les éléments sélectionnés</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Maj+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>&amp;Inverser les éléments sélectionnés</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Maj+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>&amp;Coller les éléments</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>&amp;Copier les éléments sélectionnés</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>&amp;Rechercher</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>Déplacer dans le &amp;presse-papier</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>&amp;Afficher le contenu...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>&amp;Afficher l’aperçu</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2930,7 +2949,7 @@ qui peuvent être des lettres, des chiff
         <translation>&amp;Aide</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>L&apos;onglet %1 est corrompu ou certains plugins CopyQ manquent !</translation>
     </message>
@@ -2938,221 +2957,217 @@ qui peuvent être des lettres, des chiff
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Masquer la fenêtre principale.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Afficher ou masquer la fenêtre principale.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Ouvrir le menu contextuel.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Quitter le serveur.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Afficher le contenu du presse-papier.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>Afficher le contenu sélectionné avec la souris (X11).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>LIGNE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Ajouter le texte dans le presse-papier.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TEXTE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Insérer le texte dans la ligne indiquée.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>Supprimer les éléments dans les lignes indiquées.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>LIGNES</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>Modifier des éléments ou créer un nouveau.
 La valeur -1 est pour le texte actuellement dans le presse-papier.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Afficher les données brutes du presse-papier ou de l&apos;élément dans la ligne.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DONNÉES</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Afficher la fenêtre principale et éventuellement ouvrir l&apos;onglet avec le nom donné.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Activer ou désactiver l&apos;enregistrement du contenu du presse-papier.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Coller le contenu du presse-papier dans la fenêtre active
 (peut ne pas fonctionner avec certaines applications).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>Définir le texte du presse-papier.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 Définir le contenu du presse-papier.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>Afficher le nombre d&apos;éléments contenus dans l&apos;onglet actuel.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>Copier l&apos;élément de la ligne dans le presse-papier.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>Copier l&apos;élément suivant de l&apos;onglet actuel dans le presse-papier.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Copier l&apos;élément précédent de l&apos;onglet actuel dans le presse-papier.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translatorcomment>pas sur</translatorcomment>
         <translation>Définir le séparateur des éléments sur la sortie.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>SÉPARATEUR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Écrire des données brutes à la ligne indiquée.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>Afficher le gestionnaire d&apos;actions.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 Exécuter PROGRAMME sur le texte des éléments dans les lignes.
 Utiliser %1 dans PROGRAMME pour passer le texte comme paramètre.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAMME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 Afficher un message dans une infobulle de la zone de notification pour TEMPS millisecondes.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TITRE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MESSAGE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>TEMPS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translatorcomment>Why &quot;available&quot;?</translatorcomment>
         <translation>Lister les noms des onglets disponibles.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3161,208 +3176,251 @@ L&apos;onglet est créé s&apos;il n&apo
 Par défaut cible le premier onglet.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 Évaluation du programme ECMAScript.
 Les arguments sont accessibles avec &quot;arguments[0..N]&quot;.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>Lancer les tests de l&apos;application (ajouter l&apos;argument --help pour plus d&apos;info).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NOM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>COMMANDE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Supprimer l&apos;onglet.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Renommer l&apos;onglet.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NOUVEAU_NOM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>Exporte les éléments dans un fichier.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>NOM_DE_FICHIER</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Importer des éléments d&apos;un fichier.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>Afficher toutes les options.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>Récupère la valeur de l&apos;option.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>OPTION</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Définit la valeur de l&apos;option.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VALEUR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Option incorrecte &quot;%1&quot; !</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SCRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGUMENTS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 Démarre ou connecte à une instance d&apos;application avec le nom de session donné.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SESSION</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 Afficher l&apos;aide pour COMMAND ou toutes les commandes.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Affiche la version du programme et de ses bibliothèques.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Usage : copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Lance le serveur s&apos;il n&apos;y a pas commande.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  COMMANDES :</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>NOTES :</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - Utiliser l&apos;argument tiret (-) pour lire des données depuis l&apos;entrée standard.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>Exception</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>Exception dans %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Impossible de copier dans le presse-papier !</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - Utiliser un double tiret (--) pour récupérer tous les arguments suivants
     sans l&apos;expansion des séquences d&apos;échappement (telles que \n, \t et autres).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - Utiliser le type MIME ? pour voir une liste des types MIME disponibles (la valeur par défaut est &quot;text/plain&quot;).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Nombre d&apos;arguments incorrect !</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>La commande n&apos;a pas été trouvée !</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Interruption serveur.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>Impossible d&apos;enregistrer le fichier &quot;%1&quot; !</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>Impossible d&apos;importer le fichier &quot;%1&quot; !</translation>
     </message>
@@ -3370,31 +3428,29 @@ Affiche la version du programme et de se
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>Aucun onglet avec ce nom !</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>Le nom de l&apos;onglet ne peut pas être vide !</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>Un onglet existe déjà avec ce nom !</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>%1 - CopyQ</translation>
+        <translation type="vanished">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>%1 - %2 - CopyQ</translation>
+        <translation type="vanished">%1 - %2 - CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3409,8 +3465,8 @@ Affiche la version du programme et de se
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>Nouveau raccourci de CopyQ</translation>
+        <source>New Shortcut</source>
+        <translation type="unfinished">Nouveau raccourci de</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3457,7 +3513,7 @@ Affiche la version du programme et de se
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -3479,18 +3535,18 @@ Utiliser &lt;b&gt;/&lt;/b&gt; comme sép
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>Nouvel onglet de CopyQ</translation>
+        <source>New Tab</source>
+        <translation type="unfinished">Nouvel onglet de</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>Renommer l&apos;onglet de CopyQ</translation>
+        <source>Rename Tab</source>
+        <translation type="unfinished">Renommer l&apos;onglet de</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>Renommer un groupe d&apos;onglets de CopyQ</translation>
+        <source>Rename Tab Group</source>
+        <translation type="unfinished">Renommer un groupe d&apos;onglets de</translation>
     </message>
 </context>
 <context>
@@ -3507,24 +3563,24 @@ Utiliser &lt;b&gt;/&lt;/b&gt; comme sép
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Appuyer sur &apos;/&apos; pour rechercher</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Taper pour rechercher</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3533,12 +3589,12 @@ Utiliser &lt;b&gt;/&lt;/b&gt; comme sép
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Expression régulière</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Ignorer la casse des lettres</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_hu.ts 3.11.0-1/translations/copyq_hu.ts
--- 3.10.0-1/translations/copyq_hu.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_hu.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>CopyQ névjegy</translation>
+        <source>About</source>
+        <translation type="unfinished">Névjegy</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ művelet párbeszédpanel</translation>
+        <source>Action Dialog</source>
+        <translation type="unfinished">Művelet párbeszédpanel</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -93,12 +93,12 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation type="unfinished"></translation>
@@ -126,7 +126,7 @@ You can set up the command in preference
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
+        <source>Process Manager</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -143,11 +143,6 @@ You can set up the command in preference
 <context>
     <name>AddCommandDialog</name>
     <message>
-        <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
         <source>Show/hide main window</source>
         <translation type="unfinished"></translation>
@@ -315,28 +310,26 @@ You can set up the command in preference
         <source>(trash)</source>
         <translation type="unfinished"></translation>
     </message>
-</context>
-<context>
-    <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
-        <source>Cannot Add New Items</source>
+        <location filename="../src/ui/addcommanddialog.ui" line="14"/>
+        <source>Add Commands</source>
         <translation type="unfinished"></translation>
     </message>
+</context>
+<context>
+    <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
-        <source>Tab is full. Failed to remove any items.</source>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -344,12 +337,12 @@ You can set up the command in preference
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -358,7 +351,7 @@ You can set up the command in preference
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
+        <source>Clipboard Content</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -378,40 +371,40 @@ You can set up the command in preference
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
+        <source>Item Content</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
-        <comment>Size of data in bytes</comment>
+        <comment>Size of clipboard/item data in bytes</comment>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation type="unfinished"></translation>
     </message>
@@ -429,7 +422,7 @@ You can set up the command in preference
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
+        <source>Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -463,32 +456,32 @@ You can set up the command in preference
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation type="unfinished"></translation>
     </message>
@@ -562,6 +555,7 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -572,6 +566,7 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -582,6 +577,7 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -608,11 +604,13 @@ Leave empty to disable this.</source>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -897,54 +895,54 @@ Note: If this is applied automatically,
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation type="unfinished"></translation>
@@ -1511,11 +1509,6 @@ Set to 0 to disable.</source>
 <context>
     <name>ConfigurationManager</name>
     <message>
-        <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
         <source>General</source>
         <translation type="unfinished"></translation>
@@ -1585,11 +1578,16 @@ Set to 0 to disable.</source>
         <source>Language will be changed after application is restarted.</source>
         <translation type="unfinished"></translation>
     </message>
+    <message>
+        <location filename="../src/ui/configurationmanager.ui" line="20"/>
+        <source>Configuration</source>
+        <translation type="unfinished"></translation>
+    </message>
 </context>
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -1621,7 +1619,7 @@ Set to 0 to disable.</source>
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
+        <source>Select Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -1679,89 +1677,89 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation type="unfinished">F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation type="unfinished">Escape</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2069,22 +2067,22 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2092,28 +2090,28 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2121,17 +2119,17 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2166,51 +2164,51 @@ Set to 0 to disable.</source>
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
-        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
-&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
-        <source>Extensions</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
-        <source>Item MIME Type</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
+        <source>Extensions</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2319,125 +2317,125 @@ Set to 0 to disable.</source>
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
+        <source>Log</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
-        <source>CopyQ</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
-        <source>CopyQ Error</source>
-        <comment>Notification error message title</comment>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
-        <source>&amp;Show/Hide</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
+        <source>CopyQ Error</source>
+        <comment>Notification error message title</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
+        <source>&amp;Show/Hide</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation type="unfinished"></translation>
@@ -2448,32 +2446,27 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2489,13 +2482,13 @@ Set to 0 to disable.</source>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2503,25 +2496,25 @@ Set to 0 to disable.</source>
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2539,7 +2532,7 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2547,7 +2540,7 @@ Set to 0 to disable.</source>
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2620,92 +2613,92 @@ which can be letters, digits, &apos;-&ap
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation type="unfinished">F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation type="unfinished">F7</translation>
     </message>
@@ -2888,7 +2881,7 @@ which can be letters, digits, &apos;-&ap
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2896,413 +2889,410 @@ which can be letters, digits, &apos;-&ap
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
-        <source>Set clipboard text.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
-        <source>TEXT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
+        <source>Set clipboard text.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
-        <source>
-Set clipboard content.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
+        <source>TEXT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
-        <source>
-Write raw data to given row.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <source>Show action dialog.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
-        <source>Show action dialog.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
+        <source>PROGRAM</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
-        <source>
-Run PROGRAM on item text in the rows.
-Use %1 in PROGRAM to pass text as argument.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
-        <source>PROGRAM</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
-        <source>
-Show tray popup message for TIME milliseconds.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
-        <source>
-Evaluate ECMAScript program.
-Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
-        <source>SCRIPT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
-        <source>ARGUMENTS</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
-        <source>
-Starts or connects to application instance with given session name.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
-        <source>SESSION</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
+        <source>SCRIPT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
-        <source>
-Print help for COMMAND or all commands.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
+        <source>ARGUMENTS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
-        <source>
-Print version of program and libraries.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
+        <source>SESSION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -3310,32 +3300,20 @@ Print version of program and libraries.<
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation type="unfinished"></translation>
     </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
-        <source>%1 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
-        <source>%1 - %2 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation type="unfinished"></translation>
-    </message>
 </context>
 <context>
     <name>ShortcutButton</name>
@@ -3349,7 +3327,7 @@ Print version of program and libraries.<
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
+        <source>New Shortcut</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3392,7 +3370,7 @@ Print version of program and libraries.<
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3417,17 +3395,17 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
+        <source>New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
+        <source>Rename Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
+        <source>Rename Tab Group</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -3445,24 +3423,24 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation type="unfinished"></translation>
@@ -3471,12 +3449,12 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation type="unfinished"></translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_it.ts 3.11.0-1/translations/copyq_it.ts
--- 3.10.0-1/translations/copyq_it.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_it.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>Informazioni su CopyQ</translation>
+        <source>About</source>
+        <translation>Informazioni su</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -21,7 +21,7 @@
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="115"/>
         <source>E-mail</source>
-        <translation>Email</translation>
+        <translation>E-mail</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="116"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>Finestra azione di CopyQ</translation>
+        <source>Action Dialog</source>
+        <translation type="unfinished">Finestra azione di</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="58"/>
@@ -94,12 +94,12 @@
         <translation>Salva gli elementi nella scheda con un dato nome (lasciare vuoto per salvare nella scheda in uso)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Il comando è stato salvato</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Il comando è stato salvato e può essere visualizzato dal menu dell&apos;elemento.
@@ -128,8 +128,8 @@ Potete impostare il comando nelle prefer
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>CopyQ gestore processo</translation>
+        <source>Process Manager</source>
+        <translation type="unfinished">Gestore processo</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -146,8 +146,8 @@ Potete impostare il comando nelle prefer
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>Comandi aggiungi CopyQ</translation>
+        <source>Add Commands</source>
+        <translation type="unfinished">Aggiungi comandi</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -321,24 +321,25 @@ Potete impostare il comando nelle prefer
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Impossibile aggiungere nuovi elementi</translation>
+        <translation type="vanished">Impossibile aggiungere nuovi elementi</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Scheda piena. Impossibile rimuovere qualsiasi elemento.</translation>
+        <translation type="vanished">Scheda piena. Impossibile rimuovere qualsiasi elemento.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Tralasciare le modifiche?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Vuoi veramente &lt;strong&gt;tralasciare le modifiche&lt;/strong&gt;?</translation>
     </message>
@@ -346,12 +347,12 @@ Potete impostare il comando nelle prefer
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Impossibile connettersi al server! Prima avviate CopyQ dal server.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Connessione perduta!</translation>
     </message>
@@ -360,8 +361,8 @@ Potete impostare il comando nelle prefer
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>Contenuto Appunti di CopyQ</translation>
+        <source>Clipboard Content</source>
+        <translation type="unfinished">Contenuto degli Appunti</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +381,45 @@ Potete impostare il comando nelle prefer
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>Contenuto elemento CopyQ</translation>
+        <source>Item Content</source>
+        <translation type="unfinished">Contenuto dell&apos;elemento</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Dimensione:&lt;/strong&gt; %1 byte</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Dimensione:&lt;/strong&gt; %1 byte</translation>
+        <translation type="vanished">&lt;strong&gt;Dimensione:&lt;/strong&gt; %1 byte</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>Il server CopyQ è già in esecuzione.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Annulla comandi attivi</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Vuoi annullare i comandi attivi ed uscire?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Annulla uscita</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Esci comunque</translation>
     </message>
@@ -431,8 +437,8 @@ Potete impostare il comando nelle prefer
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>Comandi CopyQ</translation>
+        <source>Commands</source>
+        <translation type="unfinished">Comandi</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -465,32 +471,32 @@ Potete impostare il comando nelle prefer
         <translation>Incolla comandi</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Modifiche non salvate</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>La finestra di dialogo ha comandi non salvati.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Apri file con comandi</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Coamndi (*.ini);; Configurazione CopyQ (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Salva comandi selezionati</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Comandi (*.ini)</translation>
     </message>
@@ -564,6 +570,7 @@ Potete impostare il comando nelle prefer
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Auto&amp;matico</translation>
     </message>
     <message>
@@ -574,6 +581,7 @@ Potete impostare il comando nelle prefer
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>Nel m&amp;enu</translation>
     </message>
     <message>
@@ -584,6 +592,7 @@ Potete impostare il comando nelle prefer
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Scorciatoia globale</translation>
     </message>
     <message>
@@ -594,7 +603,9 @@ Potete impostare il comando nelle prefer
     <message>
         <location filename="../src/ui/commandwidget.ui" line="344"/>
         <source>&lt;p&gt;Use command only for items copied to clipboard from window with title text that matches this regular expression (leave empty to match any window). On macOS, this contains the application name followed by a dash (&amp;quot;-&amp;quot;) then the window title. E.g. &amp;quot;Safari - GitHub&amp;quot;.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Usa il comando solo per gli elementi copiati negli appunti della finestra con il testo del titolo che corrisponde a questa espressione regolare (lasciare vuoto per riferirsi a qualsiasi finestra). Su macOS, questo consiste nel nome dell&apos;applicazione seguito da un trattino (&amp;quot;-&amp;quot;) seguito dal titolo della finestra. Ad esempio &amp;quot;Safari - GitHub&amp;quot;.&lt;/p&gt;.</translation>
+        <translation>&lt;p&gt;Usa il comando solo per gli elementi copiati negli appunti della finestra con il testo del titolo che corrisponde a questa espressione regolare (lascia vuoto per riferirti a qualsiasi finestra). 
+In macOS, questo consiste nel nome dell&apos;applicazione seguito da un trattino (&amp;quot;-&amp;quot;) seguito dal titolo della finestra. 
+Ad esempio &amp;quot;Safari - GitHub&amp;quot;.&lt;/p&gt;</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="384"/>
@@ -651,11 +662,13 @@ Lascialo vuoto per disabilitarlo.</trans
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Script</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Display</translation>
     </message>
     <message>
@@ -908,55 +921,55 @@ Nota: se questo è applicato automaticam
         <translation>Anteprima:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>elemento</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Stringa da cercare %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Seleziona un elemento e
 premi F2 per modificarlo.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Elemento esempio %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Alcune note casuali (Shift+F2 per modificarle)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Apri file tema</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Salva file tema come</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Nessun editor esterno</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Prima imposta il comando editor esterno!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -967,27 +980,27 @@ premi F2 per modificarlo.</translation>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="65"/>
         <source>&amp;Language:</source>
-        <translation type="unfinished">&amp;Lingua:</translation>
+        <translation>&amp;Lingua:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="93"/>
         <source>Break text if it&apos;s too long to fit on line</source>
-        <translation type="unfinished">Testo a capo se troppo lungo per una linea</translation>
+        <translation>Testo a capo se troppo lungo per una linea</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="96"/>
         <source>Wrap l&amp;ong text</source>
-        <translation type="unfinished">A cap&amp;o automatico</translation>
+        <translation>A cap&amp;o automatico</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="103"/>
         <source>Keep main window above other windows</source>
-        <translation type="unfinished">Mantieni finestra principale sempre in primo piano</translation>
+        <translation>Mantieni finestra principale sempre in primo piano</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="106"/>
         <source>Alwa&amp;ys on Top</source>
-        <translation type="unfinished">Sempre in &amp;primo piano</translation>
+        <translation>Sempre in &amp;primo piano</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="113"/>
@@ -1002,52 +1015,53 @@ premi F2 per modificarlo.</translation>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="123"/>
         <source>Enable to open windows on current screen. Disable to open windows where they were last closed</source>
-        <translation type="unfinished">Abilita per aprire una finestra nello schermo attuale. Disabilita per per aprire una finestra dove le altre sono state chiuse</translation>
+        <translation>Abilita per aprire una finestra nello schermo attuale. 
+Disabilita per per aprire una finestra dove le altre sono state chiuse</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="126"/>
         <source>O&amp;pen windows on current screen</source>
-        <translation type="unfinished">A&amp;pri finestra nello schermo attuale</translation>
+        <translation>A&amp;pri finestra nello schermo attuale</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="133"/>
         <source>Confirm application exit</source>
-        <translation type="unfinished">Conferma uscita dall&apos;applicazione</translation>
+        <translation>Conferma uscita dall&apos;applicazione</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="136"/>
         <source>Confirm application e&amp;xit</source>
-        <translation type="unfinished">Conferma &amp;uscita dall&apos;applicazione</translation>
+        <translation>Conferma &amp;uscita dall&apos;applicazione</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="146"/>
         <source>Run the application on system startup</source>
-        <translation type="unfinished">Esegui l&apos;applicazione all&apos;avvio del sistema</translation>
+        <translation>Esegui l&apos;applicazione all&apos;avvio del sistema</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="149"/>
         <source>&amp;Autostart</source>
-        <translation type="unfinished">&amp;Avvio automatico</translation>
+        <translation>&amp;Avvio automatico</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="156"/>
         <source>Support for Vi navigation keys (H, J, K, L and more), slash (/) key to search</source>
-        <translation type="unfinished">Supporto per tasti navigazione Vi (H, J, K, L e altri), tasto slash (/) per ricerca</translation>
+        <translation>Supporto per tasti navigazione Vi (H, J, K, L e altri), tasto slash (/) per ricerca</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="159"/>
         <source>&amp;Vi style navigation</source>
-        <translation type="unfinished">Stile navigazione &amp;Vi</translation>
+        <translation>Stile navigazione &amp;Vi</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="166"/>
         <source>Save and restore history of item filters</source>
-        <translation type="unfinished">Salva e ripristina cronologia degli elementi filtrati</translation>
+        <translation>Salva e ripristina cronologia degli elementi filtrati</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="169"/>
         <source>Save Filter History</source>
-        <translation type="unfinished">Salva cronologia filtri</translation>
+        <translation>Salva cronologia filtri</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="176"/>
@@ -1057,57 +1071,57 @@ premi F2 per modificarlo.</translation>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="179"/>
         <source>Auto-complete Commands</source>
-        <translation type="unfinished">Auto completamento comandi</translation>
+        <translation>Completamento automatico comandi</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="186"/>
         <source>Clipboard Manipulation</source>
-        <translation type="unfinished">Manipolazione Appunti</translation>
+        <translation>Manipolazione Appunti</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="198"/>
         <source>Allow to paste copied content the same way as mouse selections (usually by pressing middle mouse button)</source>
-        <translation type="unfinished">Permetti incollaggio contenuto nello stesso modo come la selezione mouse (di solito usando il tasto centrale del mouse)</translation>
+        <translation>Permetti incollaggio contenuto nello stesso modo della selezione con mouse (di solito usando il tasto centrale del mouse)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="201"/>
         <source>(&amp;3) Paste clipboard with mouse</source>
-        <translation type="unfinished">(&amp;3) Incolla Appunti con il mouse</translation>
+        <translation>(&amp;3) Incolla Appunti con il mouse</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="208"/>
         <source>Allow to paste mouse selections using shortcut (usually Ctrl+V or Shift+Insert)</source>
-        <translation type="unfinished">Permetti incollaggio selezioni mouse usando una scorciatoia (di solito Ctrl+V o Shift+Ins)</translation>
+        <translation>Permetti incollaggio selezioni mouse usando una scorciatoia (di solito Ctrl+V o Shift+Ins)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="211"/>
         <source>(&amp;4) Paste mouse selection with keyboard</source>
-        <translation type="unfinished">(&amp;4) Incolla selezione mouse con la tastiera</translation>
+        <translation>(&amp;4) Incolla selezione mouse con la tastiera</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="218"/>
         <source>Save clipboard in history</source>
-        <translation type="unfinished">Salva gli Appunti nella cronologia</translation>
+        <translation>Salva gli Appunti nella cronologia</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="221"/>
         <source>(&amp;1) Store clipboard</source>
-        <translation type="unfinished">(&amp;1) Salva gli Appunti</translation>
+        <translation>(&amp;1) Salva gli Appunti</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="231"/>
         <source>Save text selected with mouse (primary selection) in history</source>
-        <translation type="unfinished">Salva testo selezionato con il mouse (selezione primaria) nella cronologia</translation>
+        <translation>Salva testo selezionato con il mouse (selezione primaria) nella cronologia</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="234"/>
         <source>(&amp;2) Store text selected using mouse</source>
-        <translation type="unfinished">(&amp;2) Salva testo selezionato usando il mouse</translation>
+        <translation>(&amp;2) Salva testo selezionato usando il mouse</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="241"/>
         <source>(&amp;5) Run automatic commands on selection</source>
-        <translation type="unfinished"></translation>
+        <translation>(&amp;5) Esegui comandi automatici sulla selezione</translation>
     </message>
 </context>
 <context>
@@ -1115,31 +1129,31 @@ premi F2 per modificarlo.</translation>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="65"/>
         <source>Maximum &amp;number of items in history:</source>
-        <translation type="unfinished">&amp;Numero max elementi nella cronologia:</translation>
+        <translation>&amp;Numero max elementi nella cronologia:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="77"/>
         <source>Maximum number of items in each tab</source>
-        <translation type="unfinished">Numero max di elementi in ogni scheda</translation>
+        <translation>Numero max di elementi in ogni scheda</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="105"/>
         <source>&amp;Unload tab after an interval in minutes:</source>
-        <translation type="unfinished">Chiudi scheda dopo intervallo in min&amp;uti:</translation>
+        <translation>Chiudi scheda dopo intervallo (min&amp;uti):</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="117"/>
         <source>Unload each tab from memory after specified number of minutes of inactivity.
 
 Set to 0 not to unload tabs.</source>
-        <translation type="unfinished">Rimuove ogni scheda dalla memoria dopo uno specificato numero di minuti.
+        <translation>Rimuove ogni scheda dalla memoria dopo uno specificato numero di minuti.
 
 Se impostato a 0 non viene rimossa la scheda dalla memoria.</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="144"/>
         <source>External editor command (%&amp;1 is file to edit):</source>
-        <translation type="unfinished">Comando editor esterno (%&amp;1 è il file da editare):</translation>
+        <translation>Comando editor esterno (%&amp;1 è il file da modificare):</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="154"/>
@@ -1149,7 +1163,7 @@ Se impostato a 0 non viene rimossa la sc
     notepad %1
     gvim -f %1
     xterm -e vim %1</source>
-        <translation type="unfinished">Comando editor esterno (%1 è il file da modificare).
+        <translation>Comando editor esterno (%1 è il file da modificare).
   Esempi:
     gedit %1
     notepad %1
@@ -1159,99 +1173,100 @@ Se impostato a 0 non viene rimossa la sc
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="169"/>
         <source>Ta&amp;b for storing clipboard:</source>
-        <translation type="unfinished">Scheda per salvata&amp;ggio Appunti:</translation>
+        <translation>Scheda per salvata&amp;ggio Appunti:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="179"/>
         <source>Name of tab that will automatically store new clipboard content.
 
 Leave empty to disable automatic storing.</source>
-        <translation type="unfinished">Nome della scheda che salverà automaticamnete il nuovo contenuto Appunti.
+        <translation>Nome della scheda che salverà automaticamente il nuovo contenuto Appunti.
 
-Lascia vuoto per disabilitare il salvataggio automatico.</translation>
+Lascia il campo vuoto per disabilitare il salvataggio automatico.</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="193"/>
         <source>Leave unchecked for Return key to save edited item and Ctrl+Return create new line.
 
 Note: Edited items can be saved with F2 disregarding this option.</source>
-        <translation type="unfinished">Lascia non spuntato per usare il tasto &apos;invio&apos; per salvare elementi modificati e &apos;Ctrl+R&apos; per creare una nuova linea.
+        <translation>Lascia non spuntato per usare il tasto &apos;Invio&apos; per salvare elementi modificati e &apos;Ctrl+R&apos; per creare una nuova linea.
 
-Nota: gli elementi modificati possono eessere salvati con &apos;F2&apos; indipendentemente da questa opzione.</translation>
+Nota: gli elementi modificati possono essere salvati con &apos;F2&apos; indipendentemente da questa opzione.</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="198"/>
         <source>Sa&amp;ve edited item with Ctrl+Return and create new line with Return key</source>
-        <translation type="unfinished">Sal&amp;va elementi modificati con &apos;Ctrl+Invio&apos; e crea un nuova linea con &apos;Invio&apos;</translation>
+        <translation>Sal&amp;va elementi modificati con &apos;Ctrl+Invio&apos; e crea un nuova linea con &apos;Invio&apos;</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="205"/>
         <source>Show single line description of each item.
 
 Use Item Preview to display whole items.</source>
-        <translation type="unfinished">Visualizza descrizione singola linea per ogni elemento.
+        <translation>Per ogni elemento visualizza descrizione singola linea.
 
-Usa &apos;Anteprime elemento&apos; per visualizzare l&apos;intero elemento.</translation>
+Per visualizzare l&apos;intero elemento usa &apos;Anteprime elemento&apos; .</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="210"/>
         <source>Sho&amp;w simple items</source>
-        <translation type="unfinished">&amp;Visualizza elementi semplici</translation>
+        <translation>&amp;Visualizza elementi semplici</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="217"/>
         <source>Enable searching for numbers, otherwise pressing a digit key activates item on that position</source>
-        <translation type="unfinished">Abilita ricerca numeri. Altrimenti premendo un tasto nuemrico attiva l&apos;elemento alla posizione relativa</translation>
+        <translation>Abilita ricerca numeri. 
+Altrimenti premendo un tasto numerico attiva l&apos;elemento alla posizione relativa</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="220"/>
         <source>S&amp;earch for numbers</source>
-        <translation type="unfinished">Ric&amp;erca numeri</translation>
+        <translation>Ric&amp;erca numeri</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="227"/>
         <source>After item is activated (double-click or Enter key), copy it to clipboard and ...</source>
-        <translation type="unfinished">Dopo che l&apos;elemento è stato attivato (con doppio clic o tasto &apos;Invio&apos;). copialo negli Appunti e ...</translation>
+        <translation>Dopo che l&apos;elemento è stato attivato (con doppio clic o tasto &apos;Invio&apos;), copialo negli Appunti e ...</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="233"/>
         <source>Move item to the top of the list after it is activated</source>
-        <translation type="unfinished">Sposta elemento in cima all&apos;elenco dopo che è stato attivato</translation>
+        <translation>Sposta elemento in cima all&apos;elenco dopo che è stato attivato</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="236"/>
         <source>Move item to the t&amp;op</source>
-        <translation type="unfinished">Sp&amp;osta elemento in cima</translation>
+        <translation>Sp&amp;osta elemento in cima</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="243"/>
         <source>Close main window after item is activated</source>
-        <translation type="unfinished">Chiudi finestra principale dopo che l&apos;elemento è stato attivato</translation>
+        <translation>Chiudi finestra principale dopo che l&apos;elemento è stato attivato</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="246"/>
         <source>&amp;Close main window</source>
-        <translation type="unfinished">&amp;Chiudi finestra principale</translation>
+        <translation>&amp;Chiudi finestra principale</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="253"/>
         <source>Focus last window after item is activated</source>
-        <translation type="unfinished">Focus ultima finestra dopo che l&apos;elemento è stato attivato</translation>
+        <translation>Focus ultima finestra dopo che l&apos;elemento è stato attivato</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="256"/>
         <source>&amp;Focus last window</source>
-        <translation type="unfinished">&amp;Focus su ultima finestra</translation>
+        <translation>&amp;Focus su ultima finestra</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="263"/>
         <source>Paste to current window after item is activated</source>
-        <translation type="unfinished">Incolla nella fienstra attuale dopo che l&apos;elemento è stato attivato</translation>
+        <translation>Incolla nella finestra attuale dopo che l&apos;elemento è stato attivato</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="266"/>
         <source>&amp;Paste to current window</source>
-        <translation type="unfinished">&amp;Incolla nella finestra attuale</translation>
+        <translation>&amp;Incolla nella finestra attuale</translation>
     </message>
 </context>
 <context>
@@ -1259,91 +1274,95 @@ Usa &apos;Anteprime elemento&apos; per v
     <message>
         <location filename="../src/ui/configtablayout.ui" line="62"/>
         <source>Show/Hide</source>
-        <translation type="unfinished">Visualizza/nascondi</translation>
+        <translation>Visualizza/nascondi</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="68"/>
         <source>Hide tabs (press Alt key to show)</source>
-        <translation type="unfinished">Nascondi schede (premi ALt per visualizzarle)</translation>
+        <translation>Nascondi schede (premi &apos;Alt&apos; per visualizzarle)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="71"/>
         <source>Hi&amp;de tabs</source>
-        <translation type="unfinished">Nascon&amp;di schede</translation>
+        <translation>Nascon&amp;di schede</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="78"/>
         <source>Hide toolbar</source>
-        <translation type="unfinished">Nascondi barra strumenti</translation>
+        <translation>Nascondi barra strumenti</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="81"/>
         <source>Hide too&amp;lbar</source>
-        <translation type="unfinished">&amp;Nascondi barra strumenti</translation>
+        <translation>&amp;Nascondi barra strumenti</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="88"/>
         <source>Hide tool&amp;bar labels</source>
-        <translation type="unfinished">Nascondi etichette &amp;barra strumenti</translation>
+        <translation>Nascondi etichette &amp;barra strumenti</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="95"/>
         <source>Hide main window when closed</source>
-        <translation type="unfinished">Nascondi finestra principale quando chiusa</translation>
+        <translation>Nascondi finestra principale quando chiusa</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="98"/>
         <source>Hide &amp;main window</source>
-        <translation type="unfinished">Nascondi &amp;finestra principale</translation>
+        <translation>Nascondi &amp;finestra principale</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="108"/>
         <source>Layout and Transparency</source>
-        <translation type="unfinished">Disposizione e trasparenza</translation>
+        <translation>Layout e trasparenza</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="117"/>
         <source>Show tree with tabs instead of tab bar</source>
-        <translation type="unfinished">Visualizza struttura con schede invece che con barra schede</translation>
+        <translation>Visualizza struttura con schede invece che con barra schede</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="120"/>
         <source>Tab T&amp;ree</source>
-        <translation type="unfinished">Scheda st&amp;ruttura</translation>
+        <translation>Scheda st&amp;ruttura</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="127"/>
         <source>&amp;Focused transparency:</source>
-        <translation type="unfinished">&amp;Focus trasparenza:</translation>
+        <translation>&amp;Focus trasparenza:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="139"/>
         <source>Transparency of main window if focused.
 
 Note: This is not supported on all systems.</source>
-        <translation type="unfinished"></translation>
+        <translation>Trasparenza della finestra principale se focalizzata.
+
+Nota: questo non è supportato su tutti i sistemi.</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="169"/>
         <source>&amp;Unfocused transparency:</source>
-        <translation type="unfinished">Trasparenza non in foc&amp;us:</translation>
+        <translation>Trasparenza non in foc&amp;us:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="181"/>
         <source>Transparency of main window if unfocused.
 
 Note: This is not supported on all systems.</source>
-        <translation type="unfinished"></translation>
+        <translation>Trasparenza della finestra principale se non focalizzata.
+
+Nota: questo non è supportato su tutti i sistemi.</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="211"/>
         <source>Show number of items in tabs</source>
-        <translation type="unfinished">Visualizza numero elementi nella scheda</translation>
+        <translation>Visualizza numero elementi nelle schede</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="214"/>
         <source>Sho&amp;w Item Count</source>
-        <translation type="unfinished">&amp;Visualizza numero elementi</translation>
+        <translation>&amp;Visualizza numero elementi</translation>
     </message>
 </context>
 <context>
@@ -1351,47 +1370,47 @@ Note: This is not supported on all syste
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="65"/>
         <source>&amp;Notification position:</source>
-        <translation type="unfinished">Posizione &amp;notifiche:</translation>
+        <translation>Posizione &amp;notifiche:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="77"/>
         <source>Position on screen for notifications</source>
-        <translation type="unfinished">Posizione sullo schermo delle notifiche</translation>
+        <translation>Posizione delle notifiche sullo schermo</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="81"/>
         <source>Top</source>
-        <translation type="unfinished">In alto</translation>
+        <translation>In alto</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="86"/>
         <source>Bottom</source>
-        <translation type="unfinished">In basso</translation>
+        <translation>In basso</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="91"/>
         <source>Top Right</source>
-        <translation type="unfinished">In alto a destra</translation>
+        <translation>In alto a destra</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="96"/>
         <source>Bottom Right</source>
-        <translation type="unfinished">In basso a destra</translation>
+        <translation>In basso a destra</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="101"/>
         <source>Bottom Left</source>
-        <translation type="unfinished">In basso a sinistra</translation>
+        <translation>In basso a sinistra</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="106"/>
         <source>Top Left</source>
-        <translation type="unfinished">In alto a sinistra</translation>
+        <translation>In alto a sinistra</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="129"/>
         <source>Int&amp;erval in seconds to display notifications:</source>
-        <translation type="unfinished">Int&amp;ervallo in secondi per visualizzare le notifiche:</translation>
+        <translation>Int&amp;ervallo in secondi per visualizzare le notifiche:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="141"/>
@@ -1400,7 +1419,7 @@ Note: This is not supported on all syste
 Set to 0 to disable this.
 
 Set to -1 to keep visible until clicked.</source>
-        <translation type="unfinished">Inrtervallo in secondi visualizzazione notifica per nuovo contenuto Appunti o se l&apos;elemento è copiato negli Appunti (solo la finestra principale è chiusa).
+        <translation>Intervallo in secondi visualizzazione notifica per nuovo contenuto Appunti o se l&apos;elemento è copiato negli Appunti (solo la finestra principale è chiusa).
 
 Imposta a 0 per disabilitare la notifica.
 
@@ -1409,61 +1428,61 @@ Imposta a -1 se vuoi mantenere visibile
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="173"/>
         <source>Num&amp;ber of lines for clipboard notification:</source>
-        <translation type="unfinished">Numero di &amp;linee per la notifica Appunti:</translation>
+        <translation>Numero di &amp;linee per la notifica Appunti:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="185"/>
         <source>Number of lines to show for new clipboard content.
 
 Set to 0 to disable.</source>
-        <translation type="unfinished">Numero di linee da visualizzare per il nuovo contenuto degli Appunti.
+        <translation>Numero di linee da visualizzare per il nuovo contenuto degli Appunti.
 
 Imposta a 0 per disabilitare.</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="214"/>
         <source>Notification Geometry (in screen points)</source>
-        <translation type="unfinished">Geometria notifica (in puntio schermo)</translation>
+        <translation>Geometria notifica (in punti schermo)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="220"/>
         <source>Hori&amp;zontal offset:</source>
-        <translation type="unfinished">Offset ori&amp;zzontale:</translation>
+        <translation>Offset ori&amp;zzontale:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="232"/>
         <source>Notification distance from left or right screen edge in screen points</source>
-        <translation type="unfinished">Distanza notifiche dagli angoli sinistro destro nei punti dello schermo</translation>
+        <translation>Distanza notifiche in punti dagli angoli sinistro o destro dello schermo</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="260"/>
         <source>&amp;Vertical offset:</source>
-        <translation type="unfinished">Offset &amp;verticale:</translation>
+        <translation>Offset &amp;verticale:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="272"/>
         <source>Notification distance from top or bottom screen edge in screen points</source>
-        <translation type="unfinished">Distanza notifiche degli angoli superiore e inferiore dello schermo in punti</translation>
+        <translation>Distanza notifiche in punti degli angoli superiore o inferiore dello schermo</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="300"/>
         <source>Maximum &amp;width:</source>
-        <translation type="unfinished">Larg&amp;hezza massima:</translation>
+        <translation>Larg&amp;hezza massima:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="312"/>
         <source>Maximum width for notification in screen points</source>
-        <translation type="unfinished">Larghezza massima per le notifiche in punti</translation>
+        <translation>Larghezza massima in punti per le notifiche</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="337"/>
         <source>Ma&amp;ximum height:</source>
-        <translation type="unfinished">Altezza &amp;massima:</translation>
+        <translation>Altezza &amp;massima:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="349"/>
         <source>Maximum height for notification in screen points</source>
-        <translation type="unfinished">Altezza massima notifiche in punti</translation>
+        <translation>Altezza massima notifiche in punti</translation>
     </message>
 </context>
 <context>
@@ -1471,125 +1490,125 @@ Imposta a 0 per disabilitare.</translati
     <message>
         <location filename="../src/ui/configtabtray.ui" line="60"/>
         <source>Don&apos;t show tray icon; minimize window when closed</source>
-        <translation type="unfinished">Non visualizzare icona nella barra di sistema; minimma finestra alla chiusura</translation>
+        <translation>Non visualizzare icona nella barra di sistema; minimizza finestra alla chiusura</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="63"/>
         <source>Disabl&amp;e tray</source>
-        <translation type="unfinished">Disabilita icona nella &amp;barra di sistema</translation>
+        <translation>Disabilita icona nella &amp;barra di sistema</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="70"/>
         <source>Show command for current clipboard content in tray menu</source>
-        <translation type="unfinished">Visualizza comando per contenuto attuale Appunti nel menu barra di sistema</translation>
+        <translation>Visualizza comando per contenuto attuale Appunti nel menu barra di sistema</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="73"/>
         <source>Sho&amp;w commands for clipboard content</source>
-        <translation type="unfinished">&amp;Visualizza comandi per contenuto Appunti</translation>
+        <translation>&amp;Visualizza comandi per contenuto Appunti</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="82"/>
         <source>N&amp;umber of items in tray menu:</source>
-        <translation type="unfinished">N&amp;umero elementi nel menu barra di sistema:</translation>
+        <translation>N&amp;umero elementi nel menu barra di sistema:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="92"/>
         <source>Number of items in tray menu</source>
-        <translation type="unfinished">Numero elementi nel menu barra di sistema</translation>
+        <translation>Numero elementi nel menu barra di sistema</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="119"/>
         <source>Show items from current tab in tray menu</source>
-        <translation type="unfinished">Visualizza elementi dalla finestra attuale nel menu barra di sistema</translation>
+        <translation>Visualizza elementi dalla finestra attuale nel menu barra di sistema</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="122"/>
         <source>Show cu&amp;rrent tab in menu,</source>
-        <translation type="unfinished">Visualizza sc&amp;heda attuale nel menu,</translation>
+        <translation>Visualizza sc&amp;heda attuale nel menu,</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="129"/>
         <source>or &amp;choose other tab:</source>
-        <translation type="unfinished">o s&amp;cegli un&apos;altra scheda:</translation>
+        <translation>o s&amp;cegli un&apos;altra scheda:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="145"/>
         <source>Name of tab to show in tray menu (empty for the first tab)</source>
-        <translation type="unfinished">Nome scheda da visualizzare nel menu barra di sistema (vuoto per la prima scheda)</translation>
+        <translation>Nome scheda da visualizzare nel menu barra di sistema (vuoto per la prima scheda)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="170"/>
         <source>Paste item to current window after selecting it in menu</source>
-        <translation type="unfinished">Incolla elemento nella finestra attuale dopo averlo selezionato nel menu</translation>
+        <translation>Incolla elemento nella finestra attuale dopo averlo selezionato nel menu</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="173"/>
         <source>&amp;Paste activated item to current window</source>
-        <translation type="unfinished">&amp;Incolla elemento attivato nella finestra attuale</translation>
+        <translation>&amp;Incolla elemento attivato nella finestra attuale</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="180"/>
         <source>Show image preview next to menu items</source>
-        <translation type="unfinished">Visualizza anteprima immagine vicino agli elementi menu</translation>
+        <translation>Visualizza anteprima immagine vicino agli elementi menu</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="183"/>
         <source>Sh&amp;ow image preview as menu item icon</source>
-        <translation type="unfinished">Visualizza anteprima immagine come ic&amp;ona elemento menu</translation>
+        <translation>Visualizza anteprima immagine come ic&amp;ona elemento menu</translation>
     </message>
 </context>
 <context>
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>Impostazioni CopyQ</translation>
+        <source>Configuration</source>
+        <translation type="unfinished">Impostazioni</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
         <source>General</source>
-        <translation type="unfinished"></translation>
+        <translation>Generale</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="178"/>
         <source>Layout</source>
-        <translation type="unfinished"></translation>
+        <translation>Configurazione</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="179"/>
         <source>History</source>
-        <translation type="unfinished"></translation>
+        <translation>Cronologia</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="180"/>
         <source>Tray</source>
-        <translation type="unfinished"></translation>
+        <translation>Tray</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="181"/>
         <source>Notifications</source>
-        <translation type="unfinished"></translation>
+        <translation>Notifiche</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="182"/>
         <source>Tabs</source>
-        <translation type="unfinished"></translation>
+        <translation>Schede</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="183"/>
         <source>Items</source>
-        <translation type="unfinished"></translation>
+        <translation>Oggetti</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="184"/>
         <source>Shortcuts</source>
-        <translation type="unfinished"></translation>
+        <translation>Scorciatoie</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="185"/>
         <source>Appearance</source>
-        <translation type="unfinished"></translation>
+        <translation>Aspetto</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="419"/>
@@ -1620,7 +1639,7 @@ Imposta a 0 per disabilitare.</translati
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Impossibile creare cartella sincronizzazione: &quot;%1&quot;!</translation>
     </message>
@@ -1639,7 +1658,7 @@ Imposta a 0 per disabilitare.</translati
     <message>
         <location filename="../src/gui/iconselectbutton.cpp" line="39"/>
         <source>Select Icon…</source>
-        <translation type="unfinished"></translation>
+        <translation>Seleziona Icona…</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectbutton.cpp" line="74"/>
@@ -1652,8 +1671,8 @@ Imposta a 0 per disabilitare.</translati
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>Icona selezione CopyQ</translation>
+        <source>Select Icon</source>
+        <translation>Scegli l&apos;icona</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1710,89 +1729,89 @@ Imposta a 0 per disabilitare.</translati
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Salva</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Salva elemento (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Annulla</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Annulla modifica e inverti modifiche</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Font</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Grassetto</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Corsivo</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Sottolineato</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Ribattuto</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>In primo piano</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Sfondo</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Elimina stile</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Cerca</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Annulla azione</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Ripeti azione</translation>
     </message>
@@ -2047,17 +2066,17 @@ Imposta a 0 per disabilitare.</translati
     <message>
         <location filename="../plugins/itemnotes/itemnotessettings.ui" line="23"/>
         <source>Abo&amp;ve Item</source>
-        <translation type="unfinished"></translation>
+        <translation>Elemento soprastante</translation>
     </message>
     <message>
         <location filename="../plugins/itemnotes/itemnotessettings.ui" line="30"/>
         <source>Below Ite&amp;m</source>
-        <translation type="unfinished"></translation>
+        <translation>Ele&amp;mento sottostante</translation>
     </message>
     <message>
         <location filename="../plugins/itemnotes/itemnotessettings.ui" line="37"/>
         <source>Beside Ite&amp;m</source>
-        <translation type="unfinished"></translation>
+        <translation>Ele&amp;mento vicino</translation>
     </message>
     <message>
         <location filename="../plugins/itemnotes/itemnotessettings.ui" line="47"/>
@@ -2101,51 +2120,51 @@ Imposta a 0 per disabilitare.</translati
         <translation>Sblocca gli elementi prima di rimuoverli.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Blocca</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Sblocca</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Elementi bloccati</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
-        <translation type="unfinished"></translation>
+        <translation>&lt;p&gt; Appunta gli elementi per bloccarli nella riga corrente ed evita l&apos;eliminazione (a meno che non sia scollegato). &lt;/p&gt; &lt;p&gt; Fornisce scorciatoie e funzionalità di scripting. &lt;/p&gt;</translation>
     </message>
 </context>
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Sfoglia...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Apri cartella per sincronizzazione</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Impossibile creare la cartella della sincronizzazione</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Sincronizza</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Sincronizza elementi e note con una cartella su disco.</translation>
     </message>
@@ -2153,17 +2172,17 @@ Imposta a 0 per disabilitare.</translati
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>Sincronizzazione fallita della scheda &quot;%1&quot; con la cartella &quot;%2&quot;!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Vuoi rimuovere gli elementi?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>Vuoi veramente &lt;strong&gt;rimuovere gli elementi e i file associati&lt;/strong&gt;?</translation>
     </message>
@@ -2199,9 +2218,19 @@ Imposta a 0 per disabilitare.</translati
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Imposta tipo MIME a &lt;strong&gt;-&lt;/strong&gt; (lineetta) per ignorare i file. Qualsiasi altro file sconosciuto o nascosto sarà ignorato.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;Imposta tipo MIME a &lt;strong&gt;-&lt;/strong&gt; (lineetta) per ignorare i file. Qualsiasi altro file sconosciuto o nascosto sarà ignorato.&lt;/p&gt;
 &lt;p&gt;Esempio: Carica estensione file &lt;strong&gt;txt&lt;/strong&gt; come tipo MIME &lt;strong&gt;testo/semplice&lt;/strong&gt;.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2210,41 +2239,40 @@ Imposta a 0 per disabilitare.</translati
         <translation>Estensioni</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>Tipo elemento MIME</translation>
+        <translation type="vanished">Tipo elemento MIME</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Aggiungi un tag</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Rimuovi un tag</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Marca come %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Rimuovi tag %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Importante</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Azzera tutti tag</translation>
     </message>
@@ -2333,12 +2361,12 @@ Imposta a 0 per disabilitare.</translati
     <message>
         <location filename="../plugins/itemweb/itemweb.h" line="90"/>
         <source>Web</source>
-        <translation type="unfinished">Sito web</translation>
+        <translation>Sito web</translation>
     </message>
     <message>
         <location filename="../plugins/itemweb/itemweb.h" line="92"/>
         <source>Display web pages.</source>
-        <translation type="unfinished"></translation>
+        <translation>Visualizza pagine Web.</translation>
     </message>
 </context>
 <context>
@@ -2346,132 +2374,131 @@ Imposta a 0 per disabilitare.</translati
     <message>
         <location filename="../plugins/itemweb/itemwebsettings.ui" line="19"/>
         <source>Maximum height in pixels (0 for no limit):</source>
-        <translation type="unfinished">Aletzza max in pixel (0 per nessun limite):</translation>
+        <translation>Altezza max in pixel (0 per nessun limite):</translation>
     </message>
 </context>
 <context>
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>Registro eventi CopyQ</translation>
+        <source>Log</source>
+        <translation type="unfinished">Registro eventi</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Vuoi uscire?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>Vuoi &lt;strong&gt;uscire&lt;/strong&gt;da  CopyQ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;File</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>&amp;Modifica</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>&amp;Elemento</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>Sc&amp;hede</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>&amp;Aiuto</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>Opzioni importazione CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation type="unfinished">Opzioni importazione</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>Vi&amp;sualizza/nascondi</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>Opzioni esportazionei CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation>Opzioni esportazione</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>Errore esportazione CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation type="unfinished">Errore esportazione</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>Esportazione fallita nel file %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>Abili&amp;ta cronologia Appunti</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>&amp;Disabilita cronologia Appunti</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>Errore CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Nuova scheda</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Rinomina &amp;gruppo %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>Rinomi&amp;na scheda %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>Ri&amp;muovi scheda %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Rimuovui gruppo %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>Modifi&amp;ca icona scheda</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>&amp;Appunti: %1</translation>
@@ -2482,32 +2509,32 @@ Imposta a 0 per disabilitare.</translati
         <translation>Elementi CopyQ (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>Errore importazione CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation type="unfinished">Errore importazione</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>Impossibile importare il file %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Vuoi rimuovere tutte le schede nel gruppo?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Vuoi rimuovere &lt;strong&gt;tutte le schede&lt;/strong&gt; nel gruppo &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Vuoi rimuovere la scheda?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Vuoi rimuovere la scheda &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
@@ -2523,13 +2550,13 @@ Imposta a 0 per disabilitare.</translati
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;NASCOSTO&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2538,25 +2565,25 @@ Imposta a 0 per disabilitare.</translati
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;IMMAGINE&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
-        <translation type="unfinished"></translation>
+        <translation>&lt;OGGETTI&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;VUOTO&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;DATI&gt;</translation>
@@ -2574,7 +2601,7 @@ Imposta a 0 per disabilitare.</translati
         <translation>Elimina</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2583,7 +2610,7 @@ Imposta a 0 per disabilitare.</translati
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2657,92 +2684,92 @@ che possonoe ssre lettere, numeri, &apos
         <translation>Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>Cronologia App&amp;unti ON/OFF</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>Gestione elabo&amp;razione</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Shift+</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>&amp;Esci</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>Ordina elementi &amp;selezionati</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>Inve&amp;rsione elementi selezionati</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>Inco&amp;lla elementi</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>&amp;Copia elementi selezionati</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>&amp;Trova</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>Sposta ne&amp;gli Appunti</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>Vi&amp;sualizza contenuto...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>Vi&amp;sualizza anteprima</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2880,24 +2907,24 @@ che possonoe ssre lettere, numeri, &apos
         <location filename="../src/gui/menuitems.cpp" line="133"/>
         <source>Right</source>
         <comment>Default shortcut to focus next tab</comment>
-        <translation type="unfinished">Destra</translation>
+        <translation>Destra</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="136"/>
         <source>Left</source>
         <comment>Default shortcut to focus previous tab</comment>
-        <translation type="unfinished">Sinistra</translation>
+        <translation>Sinistra</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="146"/>
         <source>Open Item Context Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>Apri il Menu Contestuale dell&apos;Elemento</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="147"/>
         <source>Shift+F10</source>
         <comment>Default shortcut to open item context menu</comment>
-        <translation type="unfinished">Shift+F10</translation>
+        <translation>Shift+F10</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="135"/>
@@ -2925,7 +2952,7 @@ che possonoe ssre lettere, numeri, &apos
         <translation>&amp;Aiuto</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>La scheda %1 è corrotta o alcuni plugin CopyQ non sono presenti!</translation>
     </message>
@@ -2933,208 +2960,204 @@ che possonoe ssre lettere, numeri, &apos
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Nascondi finestra principale.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Visualizza/nascondi finestra principale.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Apri menu contestuale.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Esci dal server.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Disabilita/abilita cronologia contenuto Appunti.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Visualizza contenuto Appunti.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>Visualizza contenuto selezione X11.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Incolla contenuto Appunti nella finestra attuale.
 (potrebbe non funzionare con alcune applicazioni).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>Imposta testo Appunti.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TESTO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 Imposta contenuto Appunti.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DATI</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>Copia elemento nella colonna negli Appunti.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>RIGA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>Copia elemento successivo dalla scheda attuale negli Appunti.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Copia elemento precedente dalla scheda attuale negli Appunti.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Aggiungi testo negli Appunti.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Inserisci testo nelle righe indicate.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>Rimuovi elementi nelle colonne indicate.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>RIGHE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>Modifica elementi o elemento nuovo. valore -1 per testo attuale negli Appunti.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>Imposta separatore epr elementi nella destinazione.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>SEPARATORE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Visualizza dati RAW degli Appunti o elemento nella colonna.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Scrivi dati RAW nella colonna indicata.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>Visualizza finestra azione.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 Esegui PROGRAMMA su elemento testo nelle colonne.
 Usa %1 in PROGRAMMA per passare il testo come argomento.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAMMA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 Visualizza popup barra sistema per TEMPO in millisecondi.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TITOLO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MESSAGGIO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>ORA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>Visualizza nomi schede disponibili.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3143,218 +3166,261 @@ Se non esiste la scheda verrà creata.
 Predefinita è la rpima scheda.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 Valuta il programma ECMAScript.
 Gli argomenti sono accessibili usando con &quot;arguments[0..N]&quot;.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>Esegui test applicazione (aggiungi --hellp per maggiori info).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NOME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Visualizza finestra principale e opzionalmente apri scheda con il nome indicato.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>Visualizza numero elementi nella scheda attuale.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>COMANDO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Rimuovi scheda.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Rinomina scheda.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NUOVO_NOME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>Esporta elementi in un file.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>NOME_FILE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Importa elementi dal file.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>Visualizza tutte le opzioni.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>Ottieni valore opzione.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>OPZIONE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Imposta valore opzione.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VALORE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SCRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGOMENTI</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 Avvia o connetti all&apos;istanza applicazione con nome sessione indicato.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SESSIONE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 Visualizza COMANDI o tutti i comandi.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Visualizza programma e librerie.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Uso: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Avvia il server se non è specificato nessun comando.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  COMANDI:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>NOTE:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - Usa la doppia lineetta (--) per leggere i seguenti argomenti senza
     espandere le sequenze escape (es. \n, \t e altro).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  -Usa ? per MIME per visualizzare i tipi MIME disponibili (predefinito è &quot;testo/semplice&quot;).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Numero di argomenti non valido!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Comando non trovato!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Chiusura server.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>Eccezione</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>Eccezione in %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Impossibile copiare negli Appunti!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>Impossibile salvare nel file &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - Usa la lineetta (-) per leggere dati dall&apos;input standard.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>Impossibile importare il file &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Opzione &quot;%1&quot; non valida!</translation>
     </message>
@@ -3362,31 +3428,29 @@ Visualizza programma e librerie.</transl
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>Lla scheda con il nome indicato non esiste!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>Il mome scheda non può essere vuoto!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>La scheda con il nome indicato esiste già!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>%1 - CopyQ</translation>
+        <translation type="vanished">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>%1 - %2 - CopyQ</translation>
+        <translation type="vanished">%1 - %2 - CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3401,8 +3465,8 @@ Visualizza programma e librerie.</transl
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>Nuova scorciatoia CopyQ</translation>
+        <source>New Shortcut</source>
+        <translation type="unfinished">Nuova scorciatoia</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3430,22 +3494,26 @@ Visualizza programma e librerie.</transl
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="50"/>
         <source>Gl&amp;obal</source>
-        <translation type="unfinished"></translation>
+        <translation>Gl&amp;obale</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="56"/>
         <source>Global shortcuts can be triggered from any application.</source>
-        <translation type="unfinished"></translation>
+        <translation>Le scorciatoie globali possono essere attivate da qualsiasi applicazione.</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="77"/>
         <source>A&amp;pplication</source>
-        <translation type="unfinished"></translation>
+        <translation>A&amp;pplicazione</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
+        <source>Application shortcuts can only be triggered from the main window.</source>
+        <translation>I collegamenti alle applicazioni possono essere attivati solo dalla finestra principale.</translation>
+    </message>
+    <message>
         <source>Application shortcuts can be triggered only from the main window.</source>
-        <translation type="unfinished"></translation>
+        <translation type="vanished">I collegamenti alle applicazioni possono essere attivati solo dalla finestra principale.</translation>
     </message>
     <message>
         <location filename="../src/gui/shortcutswidget.cpp" line="246"/>
@@ -3471,18 +3539,18 @@ Usa &lt;b&gt;/&lt;/b&gt;  come separator
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>Nuova scheda CopyQ</translation>
+        <source>New Tab</source>
+        <translation type="unfinished">Nuova scheda</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>Rinomina scheda CopyQ</translation>
+        <source>Rename Tab</source>
+        <translation type="unfinished">Rinomina scheda</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>Rinomina gruppo scheda CopyQ</translation>
+        <source>Rename Tab Group</source>
+        <translation>Rinomina gruppo schede</translation>
     </message>
 </context>
 <context>
@@ -3490,33 +3558,37 @@ Usa &lt;b&gt;/&lt;/b&gt;  come separator
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="46"/>
         <source>&amp;Maximum number of items:</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Numero massimo di articoli:</translation>
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="56"/>
         <source>default</source>
-        <translation type="unfinished"></translation>
+        <translation>predefinito</translation>
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
+    <message>
+        <source>&amp;Store Items</source>
+        <translation type="vanished">&amp;Negozio Articoli</translation>
+    </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Premi &apos;/&apos; per la ricerca</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Ricerca stringa</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3525,12 +3597,12 @@ Usa &lt;b&gt;/&lt;/b&gt;  come separator
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Espressione regolare</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Ignora maisucole/minuscole</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_ja.ts 3.11.0-1/translations/copyq_ja.ts
--- 3.10.0-1/translations/copyq_ja.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_ja.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>CopyQ について</translation>
+        <source>About</source>
+        <translation>情報</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ アクションダイアログ</translation>
+        <source>Action Dialog</source>
+        <translation>アクションダイアログ</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="58"/>
@@ -94,12 +94,12 @@
         <translation>入力された名前のタブにアイテムを保存します (現在のタブに保存する場合は空にしてください)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>コマンドを保存しました</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>保存されたコマンドは、アイテムメニューからアクセスできます。
@@ -129,8 +129,8 @@ 設定画面でコマンドを設定で
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>CopyQ プロセスマネージャー</translation>
+        <source>Process Manager</source>
+        <translation>プロセスマネージャー</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -147,8 +147,8 @@ 設定画面でコマンドを設定で
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ コマンドを追加</translation>
+        <source>Add Commands</source>
+        <translation>コマンドを追加</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -322,24 +322,25 @@ 設定画面でコマンドを設定で
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>新しいアイテムを追加できません</translation>
+        <translation type="vanished">新しいアイテムを追加できません</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>タブが一杯です。アイテムの削除に失敗しました。</translation>
+        <translation type="vanished">タブが一杯です。アイテムの削除に失敗しました。</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation>タブ %1 に新しいアイテムを追加できません。手動でアイテムを削除して空きを確保してください。</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>変更を破棄しますか?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>本当に&lt;strong&gt;変更を破棄&lt;/strong&gt;しますか?</translation>
     </message>
@@ -347,12 +348,12 @@ 設定画面でコマンドを設定で
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>サーバーに接続できません! 最初に CopyQ サーバーを起動してください。</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>接続が切れました!</translation>
     </message>
@@ -361,8 +362,8 @@ 設定画面でコマンドを設定で
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ クリップボードの内容</translation>
+        <source>Clipboard Content</source>
+        <translation>クリップボードの内容</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -381,40 +382,45 @@ 設定画面でコマンドを設定で
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ アイテムの内容</translation>
+        <source>Item Content</source>
+        <translation>アイテムの内容</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
-        <comment>Size of data in bytes</comment>
+        <comment>Size of clipboard/item data in bytes</comment>
         <translation>&lt;strong&gt;サイズ:&lt;/strong&gt; %1 バイト</translation>
     </message>
+    <message>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of data in bytes</comment>
+        <translation type="vanished">&lt;strong&gt;サイズ:&lt;/strong&gt; %1 バイト</translation>
+    </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>CopyQ サーバーは既に稼働中です。</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>動作中のコマンドをキャンセル</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>動作中のコマンドをキャンセルして終了しますか?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>終了をキャンセル</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>終了を実行</translation>
     </message>
@@ -432,8 +438,8 @@ 設定画面でコマンドを設定で
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ コマンド</translation>
+        <source>Commands</source>
+        <translation>コマンド</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -466,32 +472,32 @@ 設定画面でコマンドを設定で
         <translation>コマンドを貼り付け</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>未保存の変更</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>コマンドダイアログに未保存の変更があります。</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>コマンド設定ファイルを開く</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>コマンド (*.ini);; CopyQ 設定 (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>選択コマンドを保存</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>コマンド (*.ini)</translation>
     </message>
@@ -570,6 +576,7 @@ 設定画面でコマンドを設定で
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>自動(&amp;M)</translation>
     </message>
     <message>
@@ -580,6 +587,7 @@ 設定画面でコマンドを設定で
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>メニュー内(&amp;E)</translation>
     </message>
     <message>
@@ -590,16 +598,19 @@ 設定画面でコマンドを設定で
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>グローバルショートカット</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>スクリプト</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>表示</translation>
     </message>
     <message>
@@ -909,55 +920,55 @@ 注意: この動作が自動的に適
         <translation>プレビュー:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>アイテム</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>検索文字列は %1 です。</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>アイテムを選択し、
 F2 キーを押すと編集できます。</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>アイテム例 %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>適当なノート (Shift+F2 で編集)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>テーマファイルを開く</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>テーマファイルを保存</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>外部エディターが設定されていません</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>外部エディターコマンドを最初に設定してください!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Aa あ</translation>
@@ -1550,8 +1561,8 @@ 無効にする場合は値を 0 にし
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>CopyQ の設定</translation>
+        <source>Configuration</source>
+        <translation>設定</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1627,7 +1638,7 @@ 無効にする場合は値を 0 にし
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>同期用ディレクトリ &quot;%1&quot; の作成に失敗しました!</translation>
     </message>
@@ -1659,8 +1670,8 @@ 無効にする場合は値を 0 にし
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>CopyQ アイコンを選択</translation>
+        <source>Select Icon</source>
+        <translation>アイコンを選択</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1717,89 +1728,89 @@ 無効にする場合は値を 0 にし
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>保存</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>アイテムを保存します (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>キャンセル</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>編集をキャンセルし変更を取り消します</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Escape</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>フォント</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>太字</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>斜体</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>下線</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>取り消し線</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>前景</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>背景</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>装飾を消去</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>検索</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>元に戻す</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>やり直す</translation>
     </message>
@@ -2108,22 +2119,22 @@ 無効にする場合は値を 0 にし
         <translation>アイテムのピン留めを外してから削除します。</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>ピン留め</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>ピン留めを外す</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>ピン留めされたアイテム</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt;アイテムを現在の行にピン留めして固定し、ピン留めを外すまで削除しないようにします。&lt;/p&gt;&lt;p&gt;スクリプト機能とショートカットを提供します。&lt;/p&gt;</translation>
     </message>
@@ -2131,28 +2142,28 @@ 無効にする場合は値を 0 にし
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>参照...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>同期用のディレクトリを開く</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>同期ディレクトリの作成に失敗しました</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>同期</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>アイテムとノートをディスク上のディレクトリへと同期します。</translation>
     </message>
@@ -2160,17 +2171,17 @@ 無効にする場合は値を 0 にし
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>タブ &quot;%1&quot; のディレクトリ &quot;%2&quot; への同期に失敗しました!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>アイテムを削除しますか?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>本当に&lt;strong&gt;アイテムと関連付けたファイルを削除&lt;/strong&gt;しますか?</translation>
     </message>
@@ -2206,9 +2217,26 @@ 無効にする場合は値を 0 にし
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation>&lt;p&gt;メディア形式に &lt;strong&gt;-&lt;/strong&gt; (マイナス文字) を設定するとファイルを無視します。不明なファイル形式や隠しファイルも無視します。&lt;/p&gt;
+&lt;p&gt;例: 拡張子が &lt;strong&gt;txt&lt;/strong&gt; のファイルを &lt;strong&gt;text/plain&lt;/strong&gt; メディア形式として読み込みます。&lt;/p&gt;</translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation>アイテムのメディア形式</translation>
+    </message>
+    <message>
+        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <translation type="vanished">&lt;p&gt;MIME タイプに &lt;strong&gt;-&lt;/strong&gt; (マイナス文字) を設定するとファイルを無視します。不明なファイル形式や隠しファイルも無視します。&lt;/p&gt;
+&lt;p&gt;例: 拡張子が &lt;strong&gt;txt&lt;/strong&gt; のファイルを &lt;strong&gt;text/plain&lt;/strong&gt; MIME タイプとして読み込みます。&lt;/p&gt;</translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;ファイルを無視する場合は MIME タイプに &lt;strong&gt;-&lt;/strong&gt; (ダッシュ) を設定してください。 隠しファイル、その他不明なファイルは無視されます。&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;ファイルを無視する場合は MIME タイプに &lt;strong&gt;-&lt;/strong&gt; (ダッシュ) を設定してください。 隠しファイル、その他不明なファイルは無視されます。&lt;/p&gt;
 &lt;p&gt;例: 拡張子が &lt;strong&gt;txt&lt;/strong&gt; のファイルを &lt;strong&gt;text/plain&lt;/strong&gt; MIME タイプとして読み込みます。&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2217,41 +2245,40 @@ 無効にする場合は値を 0 にし
         <translation>拡張子</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>アイテムの MIME タイプ</translation>
+        <translation type="vanished">アイテムの MIME タイプ</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>タグを追加</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>タグを削除</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>%1 としてタグ付け</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>タグ %1 を削除</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>重要</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>すべてのタグをクリア</translation>
     </message>
@@ -2360,135 +2387,134 @@ 無効にする場合は値を 0 にし
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>CopyQ ログ</translation>
+        <source>Log</source>
+        <translation>ログ</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>終了しますか?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>CopyQ を&lt;strong&gt;終了&lt;/strong&gt;しますか?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>ファイル(&amp;F)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>編集(&amp;E)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>アイテム(&amp;I)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>タブ(&amp;T)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>ヘルプ(&amp;H)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>表示切り替え(&amp;S)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>新しいタブ(&amp;N)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>グループ %1 の名前を変更(&amp;G)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>タブ %1 の名前を変更(&amp;N)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>タブ %1 を削除(&amp;M)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>グループ %1 を削除</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>タブアイコンを変更(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>クリップボードの記録を有効化(&amp;E)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>クリップボードの記録を無効化(&amp;D)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>CopyQ インポートオプション</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation>インポートオプション</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>CopyQ エラー</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>CopyQ エクスポートオプション</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation>エクスポートオプション</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>CopyQ エクスポートエラー</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation>エクスポートエラー</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>ファイル %1 へのエクスポートに失敗しました!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>CopyQ インポートエラー</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation>インポートエラー</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>ファイル %1 のインポートに失敗しました!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>クリップボード(&amp;C): %1</translation>
@@ -2499,22 +2525,22 @@ 無効にする場合は値を 0 にし
         <translation>CopyQ アイテム (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>グループの全てのタブを削除しますか?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>グループ &lt;strong&gt;%1&lt;/strong&gt; の &lt;strong&gt;全てのタブ&lt;/strong&gt; を削除しますか?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>タブを削除しますか?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>タブ &lt;strong&gt;%1&lt;/strong&gt; を削除しますか?</translation>
     </message>
@@ -2530,13 +2556,13 @@ 無効にする場合は値を 0 にし
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;非表示&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2544,25 +2570,25 @@ 無効にする場合は値を 0 にし
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;画像&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;アイテム&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;空&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;データ&gt;</translation>
@@ -2580,7 +2606,7 @@ 無効にする場合は値を 0 にし
         <translation>Delete</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2588,7 +2614,7 @@ 無効にする場合は値を 0 にし
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2662,92 +2688,92 @@ 最大でも16文字の文字列であ
         <translation>Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>クリップボードの記録を切り替え(&amp;T)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>プロセスマネージャー(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>終了(&amp;X)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>選択アイテムを昇順ソート(&amp;S)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>選択アイテムを降順ソート(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>アイテムを貼り付け(&amp;P)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>選択アイテムをコピー(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>検索(&amp;F)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>クリップボードに移動(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>内容を表示(&amp;S)...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>プレビューを表示(&amp;S)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2930,7 +2956,7 @@ 最大でも16文字の文字列であ
         <translation>ヘルプ(&amp;H)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>タブ %1 が破損しているか、または CopyQ のプラグインがありません!</translation>
     </message>
@@ -2938,209 +2964,205 @@ 最大でも16文字の文字列であ
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>メインウィンドウを隠します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>メインウィンドウの表示を切り替えます。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>コンテキストメニューを開きます。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>サーバーを終了します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>クリップボードの内容の記録を有効/無効にします。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>クリップボードの内容を出力します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>X11 セレクションの内容を出力します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>現在のウィンドウにクリップボードを貼り付けます
 (アプリケーションによっては動作しない場合があります)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>クリップボードにテキストを登録します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TEXT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 内容をクリップボードに登録します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DATA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>指定した履歴番号のアイテムをクリップボードにコピーします。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>ROW</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>現在のタブの次のアイテムをクリップボードにコピーします。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>現在のタブの前のアイテムをクリップボードにコピーします。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>テキストをクリップボードに追加します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>指定された履歴番号にテキストを挿入します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>指定された履歴番号のアイテムを削除します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>ROWS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>アイテムを編集、またはアイテムを新規作成します。
 -1 を指定すると現在クリップボード内にあるテキストを編集します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>出力するアイテムのセパレータを設定します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>SEPARATOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
-        <translation>クリップボードか指定した履歴番号のアイテムのデータを出力します。</translation>
+        <translation>クリップボードか指定した履歴番号のアイテムの生のデータを出力します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 指定した履歴番号にデータを書き込みます。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>アクションダイアログを表示します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 指定した履歴番号のアイテムテキストでプログラムを実行します。
 テキストを引数としてプログラムに渡すには %1 を使用してください。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 TIME で指定したミリ秒間トレイポップアップメッセージを表示します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TITLE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MESSAGE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>TIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>利用可能なタブ名のリストを表示します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3149,218 +3171,263 @@ タブが存在しない時は新規作
 デフォルトは最初のタブです。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 ECMAScript プログラムを診断します。
 引数には &quot;arguments[0..N]&quot; を使用してアクセスします。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>アプリケーションのテストを実行します (詳細を知りたい場合はコマンド引数に --help を追加してください)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>メインウィンドウを表示し、オプションとしてタブ名を指定するとそのタブを開きます。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation>現在のウィンドウからクリップボードにコピーします
+(アプリケーションによっては動作しない可能性があります)。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation>クリップボードの内容をセットします。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>現在のタブのアイテム数を出力します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation>指定した履歴番号に生のデータを書き込みます。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation>履歴番号のアイテムのテキストで PROGRAM を実行します。
+PROGRAM に引数としてテキストを渡す場合は %1 を使用します。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation>トレイポップアップメッセージを TIME ミリ秒間表示します。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>COMMAND</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>タブを削除します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>タブ名を変更します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NEW_NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>アイテムをファイルにエクスポートします。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>FILE_NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>ファイルからアイテムをインポートします。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>全てのオブションリストを表示します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>オプションの設定値を取得します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>OPTION</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>オプションを設定します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VALUE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation>スクリプトを審査します。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SCRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGUMENTS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation>指定したセッション名でアプリケーションのインスタンスを起動、または接続します。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation>COMMAND または全てのコマンドのヘルプを表示します。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation>プログラムとライブラリのバージョンを表示します。</translation>
+    </message>
+    <message>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 設定したセッション名でアプリケーションを開始、あるいは接続します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SESSION</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 コマンドのヘルプ、または全てのコマンドを表示します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 プログラムとライブラリーのバージョンを表示します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>使用法: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>コマンドを指定しない場合、サーバーを起動します。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  コマンド:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>注意:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - エスケープ文字列 (例えば \n や \t など) を展開せずに全ての引数を読み込むには
     ダブルダッシュ (--) を使用してください。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - 利用可能な MIME タイプを表示するには ? を使用してください (デフォルトは &quot;text/plain&quot;)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>引数の個数が無効です!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>例外</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>クリップボードへのコピーに失敗しました!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>コマンドが見つかりません!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>サーバーを終了中。
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>%1 の例外</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>ファイル &quot;%1&quot; を保存できません!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - 標準入力からデータを読み込むには引数にダッシュ (-) を使用してください。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>ファイル &quot;%1&quot; をインポートできません!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>&quot;%1&quot; は無効なオプションです!</translation>
     </message>
@@ -3368,31 +3435,29 @@ プログラムとライブラリーの
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>そのような名前のタブは存在しません!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>名前のないタブは作成できません!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>その名前のタブは既に存在します!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>%1 - CopyQ</translation>
+        <translation type="vanished">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>%1 - %2 - CopyQ</translation>
+        <translation type="vanished">%1 - %2 - CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3407,8 +3472,8 @@ プログラムとライブラリーの
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>CopyQ 新しいショートカット</translation>
+        <source>New Shortcut</source>
+        <translation>新しいショートカット</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3441,7 +3506,7 @@ プログラムとライブラリーの
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="56"/>
         <source>Global shortcuts can be triggered from any application.</source>
-        <translation>グローバルショートカットはどのアプリケーションがアクティブでも使用できます。</translation>
+        <translation>グローバルショートカットは、どのアプリケーションがアクティブでも使用できます。</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="77"/>
@@ -3450,13 +3515,17 @@ プログラムとライブラリーの
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
+        <source>Application shortcuts can only be triggered from the main window.</source>
+        <translation>アプリケーションショートカットは、メインウィンドウがアクティブな場合のみ使用できます。</translation>
+    </message>
+    <message>
         <source>Application shortcuts can be triggered only from the main window.</source>
-        <translation>アプリケーションショートカットはメインウィンドウがアクティブな場合に使用できます。</translation>
+        <translation type="vanished">アプリケーションショートカットはメインウィンドウがアクティブな場合に使用できます。</translation>
     </message>
     <message>
         <location filename="../src/gui/shortcutswidget.cpp" line="246"/>
         <source>Shortcut already exists!</source>
-        <translation>ショートカットは既に存在しています!</translation>
+        <translation>ショートカットは既に存在します!</translation>
     </message>
 </context>
 <context>
@@ -3476,18 +3545,18 @@ レイアウトをタブツリーにし
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>CopyQ 新しいタブ</translation>
+        <source>New Tab</source>
+        <translation>新しいタブ</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>CopyQ タブ名を変更</translation>
+        <source>Rename Tab</source>
+        <translation>タブ名を変更</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>CopyQ タブグループ名を変更</translation>
+        <source>Rename Tab Group</source>
+        <translation>タブグループ名を変更</translation>
     </message>
 </context>
 <context>
@@ -3504,24 +3573,28 @@ レイアウトをタブツリーにし
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
+        <source>&amp;Save Items</source>
+        <translation>アイテムを保存(&amp;S)</translation>
+    </message>
+    <message>
         <source>&amp;Store Items</source>
-        <translation>アイテムを復元(&amp;S)</translation>
+        <translation type="vanished">アイテムを復元(&amp;S)</translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>&apos;/&apos; を押すと検索を開始します</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>キー入力で検索を開始します</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3530,12 +3603,12 @@ レイアウトをタブツリーにし
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>正規表現</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>大文字と小文字を区別しない</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_lt.ts 3.11.0-1/translations/copyq_lt.ts
--- 3.10.0-1/translations/copyq_lt.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_lt.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>CopyQ apie</translation>
+        <source>About</source>
+        <translation type="unfinished">Apie</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,7 +38,7 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
+        <source>Action Dialog</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -93,12 +93,12 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation type="unfinished"></translation>
@@ -127,7 +127,7 @@ You can set up the command in preference
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
+        <source>Process Manager</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -144,11 +144,6 @@ You can set up the command in preference
 <context>
     <name>AddCommandDialog</name>
     <message>
-        <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
         <source>Show/hide main window</source>
         <translation type="unfinished"></translation>
@@ -316,28 +311,26 @@ You can set up the command in preference
         <source>(trash)</source>
         <translation>(šiukšlinė)</translation>
     </message>
-</context>
-<context>
-    <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
-        <source>Cannot Add New Items</source>
+        <location filename="../src/ui/addcommanddialog.ui" line="14"/>
+        <source>Add Commands</source>
         <translation type="unfinished"></translation>
     </message>
+</context>
+<context>
+    <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
-        <source>Tab is full. Failed to remove any items.</source>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -345,12 +338,12 @@ You can set up the command in preference
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation type="unfinished"></translation>
     </message>
@@ -359,7 +352,7 @@ You can set up the command in preference
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
+        <source>Clipboard Content</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -379,40 +372,40 @@ You can set up the command in preference
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
+        <source>Item Content</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
-        <comment>Size of data in bytes</comment>
+        <comment>Size of clipboard/item data in bytes</comment>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation type="unfinished"></translation>
     </message>
@@ -430,7 +423,7 @@ You can set up the command in preference
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
+        <source>Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -464,32 +457,32 @@ You can set up the command in preference
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation type="unfinished"></translation>
     </message>
@@ -563,6 +556,7 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -573,6 +567,7 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -588,6 +583,7 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -614,11 +610,13 @@ Leave empty to disable this.</source>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -898,54 +896,54 @@ Note: If this is applied automatically,
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation type="unfinished"></translation>
@@ -1512,11 +1510,6 @@ Set to 0 to disable.</source>
 <context>
     <name>ConfigurationManager</name>
     <message>
-        <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
         <source>General</source>
         <translation type="unfinished"></translation>
@@ -1586,11 +1579,16 @@ Set to 0 to disable.</source>
         <source>Language will be changed after application is restarted.</source>
         <translation type="unfinished"></translation>
     </message>
+    <message>
+        <location filename="../src/ui/configurationmanager.ui" line="20"/>
+        <source>Configuration</source>
+        <translation type="unfinished"></translation>
+    </message>
 </context>
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -1622,7 +1620,7 @@ Set to 0 to disable.</source>
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
+        <source>Select Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -1680,89 +1678,89 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation type="unfinished">F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation type="unfinished">Išeiti</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2071,22 +2069,22 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2094,28 +2092,28 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2123,17 +2121,17 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2168,51 +2166,51 @@ Set to 0 to disable.</source>
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
-        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
-&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
-        <source>Extensions</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
-        <source>Item MIME Type</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
+        <source>Extensions</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2321,125 +2319,129 @@ Set to 0 to disable.</source>
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>CopyQ žurnalas</translation>
+        <source>Log</source>
+        <translation type="unfinished">Žurnalas</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Išeiti?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>Failas</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>Keisti</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>Elementas</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>Kortelės</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>Pagalba</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>Nauja kortelė</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Pervadinti grupę %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>Pervadinti kortelę %2</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>Pašalinti kortelę %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Pašalinti grupę %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
-        <source>CopyQ Error</source>
-        <comment>Notification error message title</comment>
-        <translation>CopyQ klaida</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
-        <source>&amp;Show/Hide</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
+        <source>CopyQ Error</source>
+        <comment>Notification error message title</comment>
+        <translation>CopyQ klaida</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
+        <source>&amp;Show/Hide</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation type="unfinished"></translation>
@@ -2450,32 +2452,27 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Pašalinti visas grupės korteles?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Pašalinti kortelę?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2497,13 +2494,13 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2513,25 +2510,25 @@ Set to 0 to disable.</source>
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2604,92 +2601,92 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>Išeiti</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>Įklijuoti elementus</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>Rasti</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>Rodyti turinį...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation type="unfinished">F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>Rodyti peržiūrą</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation type="unfinished">F7</translation>
     </message>
@@ -2872,7 +2869,7 @@ Set to 0 to disable.</source>
         <translation type="unfinished">Pagalba</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2882,7 +2879,7 @@ Set to 0 to disable.</source>
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2894,7 +2891,7 @@ which can be letters, digits, &apos;-&ap
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2902,413 +2899,410 @@ which can be letters, digits, &apos;-&ap
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
-        <source>Set clipboard text.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
-        <source>TEXT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
+        <source>Set clipboard text.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
-        <source>
-Set clipboard content.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
+        <source>TEXT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
-        <source>
-Write raw data to given row.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <source>Show action dialog.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
-        <source>Show action dialog.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
+        <source>PROGRAM</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
-        <source>
-Run PROGRAM on item text in the rows.
-Use %1 in PROGRAM to pass text as argument.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
-        <source>PROGRAM</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
-        <source>
-Show tray popup message for TIME milliseconds.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
-        <source>
-Evaluate ECMAScript program.
-Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
-        <source>SCRIPT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
-        <source>ARGUMENTS</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
-        <source>
-Starts or connects to application instance with given session name.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
-        <source>SESSION</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
+        <source>SCRIPT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
-        <source>
-Print help for COMMAND or all commands.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
+        <source>ARGUMENTS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
-        <source>
-Print version of program and libraries.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
+        <source>SESSION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -3316,32 +3310,20 @@ Print version of program and libraries.<
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation type="unfinished"></translation>
     </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
-        <source>%1 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
-        <source>%1 - %2 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation type="unfinished"></translation>
-    </message>
 </context>
 <context>
     <name>ShortcutButton</name>
@@ -3355,7 +3337,7 @@ Print version of program and libraries.<
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
+        <source>New Shortcut</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3398,7 +3380,7 @@ Print version of program and libraries.<
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3423,17 +3405,17 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
+        <source>New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
+        <source>Rename Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
+        <source>Rename Tab Group</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -3451,24 +3433,24 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation type="unfinished"></translation>
@@ -3477,12 +3459,12 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation type="unfinished"></translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_nb.ts 3.11.0-1/translations/copyq_nb.ts
--- 3.10.0-1/translations/copyq_nb.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_nb.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>Om CopyQ</translation>
+        <source>About</source>
+        <translation type="unfinished">Om</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ Handlingsdialog</translation>
+        <source>Action Dialog</source>
+        <translation type="unfinished">Handlingsdialog</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -94,12 +94,12 @@
         <translation>Lagre elementer i fane med oppgitt navn (lagrer i nåværende fane hvis tom)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Kommando lagret</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Kommandoen ble lagret og kan åpnes fra element-menyen.
@@ -128,8 +128,8 @@ Du kan sette opp kommandoen i innstillin
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation type="unfinished">CopyQ Prosessmanager</translation>
+        <source>Process Manager</source>
+        <translation type="unfinished">Prosessmanager</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -146,8 +146,8 @@ Du kan sette opp kommandoen i innstillin
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ Legg til Kommandoer</translation>
+        <source>Add Commands</source>
+        <translation type="unfinished">Legg til Kommandoer</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -321,24 +321,25 @@ Du kan sette opp kommandoen i innstillin
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Kan ikke legge til nye elementer</translation>
+        <translation type="vanished">Kan ikke legge til nye elementer</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Fanen er full. Kan ikke fjerne noen elementer.</translation>
+        <translation type="vanished">Fanen er full. Kan ikke fjerne noen elementer.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation>Kan ikke legge til nye elementer i fane %1. Fjern elementer manuelt for å frigjøre plass.</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Forkaste Endringer?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Ønsker du virkelig å &lt;strong&gt;forkaste endringer&lt;/strong&gt;?</translation>
     </message>
@@ -346,12 +347,12 @@ Du kan sette opp kommandoen i innstillin
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Mistet forbindelsen!</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Kan ikke koble til tjener! Start CopyQ-tjener først.</translation>
     </message>
@@ -360,8 +361,8 @@ Du kan sette opp kommandoen i innstillin
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ Utklippstavle-innhold</translation>
+        <source>Clipboard Content</source>
+        <translation type="unfinished">Utklippstavle-innhold</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +381,45 @@ Du kan sette opp kommandoen i innstillin
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ Element-innhold</translation>
+        <source>Item Content</source>
+        <translation type="unfinished">Element-innhold</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Størrelse:&lt;/strong&gt; %1 bytes</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Størrelse:&lt;/strong&gt; %1 bytes</translation>
+        <translation type="vanished">&lt;strong&gt;Størrelse:&lt;/strong&gt; %1 bytes</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>CopyQ-tjeneren kjører allerede.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Avbryt aktive kommandoer</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Avbryt aktive kommandoer og avslutt?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Avbryt avslutting</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Avslutt likevel</translation>
     </message>
@@ -431,8 +437,8 @@ Du kan sette opp kommandoen i innstillin
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ-kommandoer</translation>
+        <source>Commands</source>
+        <translation type="unfinished">-kommandoer</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -465,32 +471,32 @@ Du kan sette opp kommandoen i innstillin
         <translation>Lim inn Kommandoer</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Ulagrede Endringer</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>Kommandodialogen har ulagrede endringer.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Åpne Filer med Kommandoer</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Kommandoer (*.ini);; CopyQ Konfigurasjon (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Lagre Valgte Kommandoer</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Kommandoer (*.ini)</translation>
     </message>
@@ -564,6 +570,7 @@ Du kan sette opp kommandoen i innstillin
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Auto&amp;matisk</translation>
     </message>
     <message>
@@ -574,6 +581,7 @@ Du kan sette opp kommandoen i innstillin
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>I M&amp;eny</translation>
     </message>
     <message>
@@ -589,6 +597,7 @@ Du kan sette opp kommandoen i innstillin
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation type="unfinished">Global snarvei</translation>
     </message>
     <message>
@@ -727,11 +736,13 @@ Merk: Hvis dette påføres automatisk, v
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Skript</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation type="unfinished">Vis</translation>
     </message>
     <message>
@@ -908,55 +919,55 @@ Merk: Hvis dette påføres automatisk, v
         <translation>Forhåndsvisning:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>element</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Søkestrengen er %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Velg et element og
 trykk F2 for å redigere.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Eksempel-element %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Noen tilfeldige notater (Shift+F2 for å redigere)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Åpne Tema-fil</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Lagre Tema-fil Som</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Inget Eksternt Redigeringsprogram</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Oppgi eksternt redigeringsprogram først!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1549,8 +1560,8 @@ Settes til 0 for å deaktivere.</transla
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>CopyQ Konfigurasjon</translation>
+        <source>Configuration</source>
+        <translation type="unfinished">Konfigurasjon</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1626,7 +1637,7 @@ Settes til 0 for å deaktivere.</transla
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Kunne ikke opprette synkroniseringsmappen &quot;%1&quot;!</translation>
     </message>
@@ -1658,8 +1669,8 @@ Settes til 0 for å deaktivere.</transla
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>CopyQ Velg Ikon</translation>
+        <source>Select Icon</source>
+        <translation type="unfinished">Velg Ikon</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1716,89 +1727,89 @@ Settes til 0 for å deaktivere.</transla
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Lagre</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Lagre element (&lt;strong&gt;F2&lt;/strong&gt;</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Avbryt</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Avbryt Redigering og Tilbakestill Endringer</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Skrift</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Fet</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Kursiv</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Understreket</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Gjennomstreket</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Forgrunn</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Bakgrunn</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation type="unfinished">Korrigeringsstil</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Søk</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Tilbakestill</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Gjør Om</translation>
     </message>
@@ -2107,22 +2118,22 @@ Settes til 0 for å deaktivere.</transla
         <translation>Løsne elementer først for å fjerne dem.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Fest</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Løsne</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Festede elementer</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt;Fest elementer for å låse dem i nåværende rad og unngå sletting (med mindre de avhektes).&lt;/p&gt;&lt;p&gt;Medfører snarveis- og skriptings-funksjonalitet.&lt;/p&gt;</translation>
     </message>
@@ -2130,28 +2141,28 @@ Settes til 0 for å deaktivere.</transla
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Bla Gjennom...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Åpne mappe for synkronisering</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Kunne ikke opprette synkroniseringskatalog</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Synkroniser</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Synkroniser elementer og notater med en mappe på disken.</translation>
     </message>
@@ -2159,17 +2170,17 @@ Settes til 0 for å deaktivere.</transla
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation type="unfinished">Kunne ikke synkronisere fanen &quot;%1&quot; med katalogen &quot;%2&quot;!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Fjern elementer?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>Ønsker du virkelig å &lt;strong&gt;fjerne elementer og tilhørende filer&lt;/strong&gt;?</translation>
     </message>
@@ -2205,9 +2216,19 @@ Settes til 0 for å deaktivere.</transla
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Angi MIME -typen som &lt;strong&gt;-&lt;/strong&gt; (bindestrek) for å ignorere filer. Alle andre ukjente eller skjulte filer blir ignorert.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;Angi MIME -typen som &lt;strong&gt;-&lt;/strong&gt; (bindestrek) for å ignorere filer. Alle andre ukjente eller skjulte filer blir ignorert.&lt;/p&gt;
 &lt;p&gt;Eksempel: Les &lt;strong&gt;txt&lt;/strong&gt; -filtype som &lt;strong&gt;text/plain&lt;/strong&gt; MIME-type.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2216,41 +2237,40 @@ Settes til 0 for å deaktivere.</transla
         <translation>Utvidelser</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>MIME-type for Element</translation>
+        <translation type="vanished">MIME-type for Element</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Legg til Etikett</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Fjern en Etikett</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Angi etiketten %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Fjern etiketten %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Viktig</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Fjern alle etiketter</translation>
     </message>
@@ -2359,135 +2379,134 @@ Settes til 0 for å deaktivere.</transla
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>CopyQ Logg</translation>
+        <source>Log</source>
+        <translation type="unfinished">Logg</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Avslutte?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>Vil du &lt;strong&gt;avslutte&lt;/strong&gt; CopyQ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Fil</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>R&amp;ediger</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>Element</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>Faner</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>&amp;Hjelp</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Ny Fane</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Gi Nytt navn til &amp;Gruppe %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>Gi Nytt Navn til Fane %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>Fjern Fane %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Fjern Gruppe %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>Endre Faneikon</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>Aktiv&amp;er Lagring av Utklippstavle</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>Deaktiv&amp;er Lagring av Utklippstavle</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>CopyQ-innstillinger for import</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation type="unfinished">-innstillinger for import</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>CopyQ Feil</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>Vi&amp;s/Skjul</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>CopyQ-alternativ for eksport</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation type="unfinished">-alternativ for eksport</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>CopyQ-eksportfeil</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation type="unfinished">-eksportfeil</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>Klarte ikke å eksportere fila %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>CopyQ-importfeil</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation type="unfinished">-importfeil</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>Klarte ikke å importere fila %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>Utklippstavle: %1</translation>
@@ -2498,22 +2517,22 @@ Settes til 0 for å deaktivere.</transla
         <translation>CopyQ Elementer (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Fjerne alle faner i gruppen?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Vil du fjerne &lt;strong&gt;alle faner&lt;/strong&gt; i gruppen &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Fjern Fane?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Vil du fjerne fanen &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
@@ -2535,13 +2554,13 @@ Settes til 0 for å deaktivere.</transla
         <translation>&amp;utklippstavle</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;SKJULT&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2550,25 +2569,25 @@ Settes til 0 for å deaktivere.</transla
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;BILDE&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;UTKLIPP&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;TOM&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;DATA&gt;</translation>
@@ -2641,92 +2660,92 @@ Settes til 0 for å deaktivere.</transla
         <translation>Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>Veksle Utklipps&amp;tavle-lagring</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>P&amp;rosessmanager</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>Avslutt</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>&amp;Sorter Valgte Elementer</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>&amp;Reverser Valgte Elementer</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>Lim Inn Elementer</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>Kopier Valgte Elementer</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>&amp;Finn</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>Flytt til Utklippstavle</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>Vi&amp;s Innhold...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>Forhånd&amp;svis</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2909,7 +2928,7 @@ Settes til 0 for å deaktivere.</transla
         <translation>&amp;Hjelp</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2918,7 +2937,7 @@ Settes til 0 for å deaktivere.</transla
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2931,7 +2950,7 @@ which can be letters, digits, &apos;-&ap
 som kan bestå av bokstaver, tall, &apos;-&apos; eeler &apos;_&apos;!</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation type="unfinished">Fanen %1 er skadet, eller så mangler noen CopyQ-programtillegg!</translation>
     </message>
@@ -2939,227 +2958,250 @@ som kan bestå av bokstaver, tall, &apos
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Vis hovedvinduet og eventuelt åpne fanen med oppgitt navn.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NAVN</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Skjul hovedvindu.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Veksler visning av hovedvindu.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Åpne kontekstmeny.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Avslutt tjener.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Deaktiver eller aktiver lagring av utklippstavlens innhold.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Skriv ut utklippstavlens innhold.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>Skriv ut innhold fra X11-markering.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Lim inn utklippstavle til vindu med fokus
 (virker kanskje ikke med noen programmer).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>Sett utklippstavle-tekst.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TEKST</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 Angi utklippstavle-innhold.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DATA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>Skriv ut antall elementer i åpen fane.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>Kopier elementer i raden til utklippstavle.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>RAD</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>Kopier neste element fra åpen fane til utklippstavle.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Kopier forrige element fra åpen fane til utklippstavle.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Legg tekst til utklippstavle.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Sett tekst inn i gitt rad.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>Fjern elementer i gitt rad.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>RADER</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>Rediger elementer eller rediger et nytt.
 Verdien -1 er for nåværende tekst i utklippstavle.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>Angi separator for elementer i utdata.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>SEPARATOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Skriv ut rådata fra utklippstavle eller element i rad.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Skriv rådata til gitt rad.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>Vis handlingsdialog.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 Kjør PROGRAM på element-tekst i radene.
 Bruk %1 i PROGRAM for å sende tekst som argument.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 Vis systemstatusfelt-melding i TIME milisekunder.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TITTEL</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MELDING</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>TID</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>List opp tilgjengelige fanenavn.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3168,200 +3210,216 @@ Fanen opprettes hvis den ikke eksisterer
 Standard er første fane.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>KOMMANDO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Fjern fanen.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Gi fanen nytt navn.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NYTT_NAVN</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>Eksporter elementer til fil.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>FIL_NAVN</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Importer elementer fra fil.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>List opp parametre.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>Hent parameterverdi.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>VALG</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Angi parameterverdi.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VERDI</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 Evaluer program for ECMAScript.
 Argumenter er tilgjengelige via &quot;arguments[0..N]&quot;.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SCRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGUMENTER</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 Starter eller kobler til programforekomst med gitt sesjonsnavn.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SESJON</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 Skriv ut hjelp for KOMMANDO eller alle kommandoer.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Skriv ut programversjon og biblioteker.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>Kjør programtest (tilføy --hjelp argumentet for mere info).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Bruk: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Start tjener hvis ingen kommando er spesifisert.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  KOMMANDOer:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>NOTATER:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - Bruk dobbelt bindestrek-argument (--) for å lese alle etterfølgende argumenter uten
      ekspanderende escape-sekvenser (som \n, \t og andre).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - Bruk ? for MIME til å skrive ut tilgjengelige MIME-typer (standard er &quot;text\plain&quot;).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Ugyldig antall argumenter!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>Unntak</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Klarte ikke å kopiere til utklippstavle.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - Bruk bindestrek-argument (-) for å lese data fra standard inndata.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Kommandoen ble ikke funnet!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Avslutter tjeneren.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>Kan ikke lagre til filen &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>Kan ikke importere filen &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Ugyldig parameter &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>Unntak i %1</translation>
     </message>
@@ -3369,31 +3427,29 @@ Skriv ut programversjon og biblioteker.<
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation type="unfinished">Fanen med oppgitt navn eksisterer ikke!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation type="unfinished">Fanenavnet kan ikke være tomt!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation type="unfinished">Fane med angitt navn eksisterer allerede!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>%1 - CopyQ</translation>
+        <translation type="vanished">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>%1 - %2 - CopyQ</translation>
+        <translation type="vanished">%1 - %2 - CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3408,8 +3464,8 @@ Skriv ut programversjon og biblioteker.<
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>CopyQ Ny Snarvei</translation>
+        <source>New Shortcut</source>
+        <translation type="unfinished">Ny Snarvei</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3451,8 +3507,12 @@ Skriv ut programversjon og biblioteker.<
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
+        <source>Application shortcuts can only be triggered from the main window.</source>
+        <translation>Programsnarveier kan kun utløses fra hovedvinduet.</translation>
+    </message>
+    <message>
         <source>Application shortcuts can be triggered only from the main window.</source>
-        <translation>Programsvarveier kan kun utløses fra hovedvinduet.</translation>
+        <translation type="vanished">Programsvarveier kan kun utløses fra hovedvinduet.</translation>
     </message>
     <message>
         <location filename="../src/gui/shortcutswidget.cpp" line="246"/>
@@ -3478,18 +3538,18 @@ Bruk &lt;b&gt;/&lt;/b&gt; som sti-separa
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>CopyQ Ny Fane</translation>
+        <source>New Tab</source>
+        <translation type="unfinished">Ny Fane</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>CopyQ Gi Fane Nytt Navn</translation>
+        <source>Rename Tab</source>
+        <translation type="unfinished">Gi Fane Nytt Navn</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>CopyQ Gi Fanegruppe Nytt Navn</translation>
+        <source>Rename Tab Group</source>
+        <translation type="unfinished">Gi Fanegruppe Nytt Navn</translation>
     </message>
 </context>
 <context>
@@ -3506,24 +3566,28 @@ Bruk &lt;b&gt;/&lt;/b&gt; som sti-separa
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
+        <source>&amp;Save Items</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&amp;Store Items</source>
-        <translation>&amp;Lagre elementer</translation>
+        <translation type="vanished">&amp;Lagre elementer</translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Trykk &quot;/&quot; for å søke</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Skriv for å søke</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3532,12 +3596,12 @@ Bruk &lt;b&gt;/&lt;/b&gt; som sti-separa
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Regulært Uttrykk</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Ikke skill mellom små og store bokstaver</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_nl.ts 3.11.0-1/translations/copyq_nl.ts
--- 3.10.0-1/translations/copyq_nl.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_nl.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>Over CopyQ</translation>
+        <source>About</source>
+        <translation type="unfinished">Over</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ Actie-venster</translation>
+        <source>Action Dialog</source>
+        <translation type="unfinished">Actie-venster</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -94,12 +94,12 @@
         <translation>Items opslaan op het tabblad met de opgegeven naam (laat leeg om op te slaan op het huidige tabblad)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>De opdracht is opgeslagen</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>De opdracht is opgeslagen en kan worden geopend vanuit het item-menu.
@@ -128,8 +128,8 @@ U kunt de opdracht instellen in het Voor
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation type="unfinished">CopyQ Proces Manager</translation>
+        <source>Process Manager</source>
+        <translation type="unfinished">Proces Manager</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -146,8 +146,8 @@ U kunt de opdracht instellen in het Voor
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ - Opdrachten toevoegen</translation>
+        <source>Add Commands</source>
+        <translation type="unfinished">- Opdrachten toevoegen</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -321,24 +321,25 @@ U kunt de opdracht instellen in het Voor
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Kan geen nieuwe items toevoegen</translation>
+        <translation type="vanished">Kan geen nieuwe items toevoegen</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Tabblad is vol; kan geen items verwijderen.</translation>
+        <translation type="vanished">Tabblad is vol; kan geen items verwijderen.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Wijzigingen verwerpen?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Weet u zeker dat u de &lt;strong&gt;wijzigingen wilt verwerpen&lt;/strong&gt;?</translation>
     </message>
@@ -346,12 +347,12 @@ U kunt de opdracht instellen in het Voor
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Het verbinden met de server is mislukt. Start de CopyQ-server.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Verbinding verbroken!</translation>
     </message>
@@ -360,8 +361,8 @@ U kunt de opdracht instellen in het Voor
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ-klembordinhoud</translation>
+        <source>Clipboard Content</source>
+        <translation type="unfinished">-klembordinhoud</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +381,45 @@ U kunt de opdracht instellen in het Voor
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ-iteminhoud</translation>
+        <source>Item Content</source>
+        <translation type="unfinished">-iteminhoud</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Grootte:&lt;/strong&gt; %1 bytes</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Grootte:&lt;/strong&gt; %1 bytes</translation>
+        <translation type="vanished">&lt;strong&gt;Grootte:&lt;/strong&gt; %1 bytes</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>De CopyQ-server draait al.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Actieve opdrachten annuleren</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Wilt u de actieve opdrachten annuleren en afsluiten?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Afsluiten annuleren</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Tóch afsluiten</translation>
     </message>
@@ -431,8 +437,8 @@ U kunt de opdracht instellen in het Voor
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ-opdrachten</translation>
+        <source>Commands</source>
+        <translation type="unfinished">-opdrachten</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -465,32 +471,32 @@ U kunt de opdracht instellen in het Voor
         <translation>Opdrachten plakken</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Niet-opgeslagen wijzigingen</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>Het Opdracht-venster bevat niet-opgeslagen wijzigingen.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Bestanden openen met opdrachten</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Opdrachten (*.ini);; CopyQ-configuratie (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Geselecteerde opdrachten opslaan</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Opdrachten (*.ini)</translation>
     </message>
@@ -564,6 +570,7 @@ U kunt de opdracht instellen in het Voor
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Auto&amp;matisch</translation>
     </message>
     <message>
@@ -574,6 +581,7 @@ U kunt de opdracht instellen in het Voor
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>In m&amp;enu</translation>
     </message>
     <message>
@@ -589,6 +597,7 @@ U kunt de opdracht instellen in het Voor
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Algemene snelkoppeling</translation>
     </message>
     <message>
@@ -727,11 +736,13 @@ Let op: als dit automatisch wordt toegep
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Script</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Weergave</translation>
     </message>
     <message>
@@ -908,55 +919,55 @@ Let op: als dit automatisch wordt toegep
         <translation>Voorbeeld:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>item</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>De zoekopdracht is %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Selecteer een item en
 druk op F2 om te bewerken.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Voorbeelditem %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Enkele willekeurige notities (Shift+F2 om te bewerken)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Themabestand openen</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Themabestand opslaan als</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Geen externe tekstverwerker</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Stel eerst de opdracht voor de externe tekstverwerker in!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1543,8 +1554,8 @@ Deze op 0 zetten om dit uit te schakelen
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>CopyQ-instellingen</translation>
+        <source>Configuration</source>
+        <translation type="unfinished">-instellingen</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1620,7 +1631,7 @@ Deze op 0 zetten om dit uit te schakelen
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Er kan geen synchronisatie map &quot;%1&quot; worden gemaakt!</translation>
     </message>
@@ -1652,8 +1663,8 @@ Deze op 0 zetten om dit uit te schakelen
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>CopyQ Pictogram Selecteren</translation>
+        <source>Select Icon</source>
+        <translation type="unfinished">Pictogram Selecteren</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1710,89 +1721,89 @@ Deze op 0 zetten om dit uit te schakelen
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Opslaan</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Bewaar item (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Annuleren</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Annuleren van gemaakte wijzigingen tijdens het bewerken</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Lettertype</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Vet</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Cursief</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Onderstrepen</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Doorhalen</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Voorgrond</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Achtergrond</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Wissen Stijl</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Zoeken</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Ongedaan maken</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Opnieuw</translation>
     </message>
@@ -2101,22 +2112,22 @@ Deze op 0 zetten om dit uit te schakelen
         <translation>Verwijder eerst de speld om de notities te kunnen verwijderen.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Speld</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Losmaken speld</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Vastgemaakte Spelden</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt; Speld items om ze in de huidige rij te vergrendelen en te voorkomen dat ze kunnen worden verwijderd (behalve als ze geen speld hebben).&lt;/p&gt;&lt;p&gt; Biedt snelkoppelingen en scriptfunctionaliteit.&lt;/p&gt;</translation>
     </message>
@@ -2124,28 +2135,28 @@ Deze op 0 zetten om dit uit te schakelen
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Bladeren...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Open Directory voor synchronisatie</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Er kan geen synchronisatie map worden gemaakt</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Synchroniseren</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Synchroniseer items en notities met een map op onze schijf.</translation>
     </message>
@@ -2153,17 +2164,17 @@ Deze op 0 zetten om dit uit te schakelen
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>Mislukt om tabblad te synchroniseren &quot;%1&quot; met map &quot;%2&quot;!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Items verwijderen?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>Wilt u echt &lt;strong&gt; 1 Notities en bijbehorende bestanden&lt;/strong&gt; verwijderen2?</translation>
     </message>
@@ -2199,9 +2210,19 @@ Deze op 0 zetten om dit uit te schakelen
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;stel  MIME typen in op &lt;strong&gt;-&lt;/strong&gt; (streepje) om deze bestanden te negeren. Alle andere onbekende of verborgen bestanden worden al genegeerd.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;stel  MIME typen in op &lt;strong&gt;-&lt;/strong&gt; (streepje) om deze bestanden te negeren. Alle andere onbekende of verborgen bestanden worden al genegeerd.&lt;/p&gt;
 &lt;p&gt;voorbeeld: Laad &lt;strong&gt;txt&lt;/strong&gt; bestandsextensie als &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2210,41 +2231,40 @@ Deze op 0 zetten om dit uit te schakelen
         <translation>Uitbreidingen</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>MIME type notitie</translation>
+        <translation type="vanished">MIME type notitie</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Een label toevoegen</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Een label verwijderen</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Label als %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Verwijder label %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Belangrijk</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Alle labels wissen</translation>
     </message>
@@ -2353,125 +2373,124 @@ Deze op 0 zetten om dit uit te schakelen
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>CopyQ logboek</translation>
+        <source>Log</source>
+        <translation type="unfinished">Logboek</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Afsluiten?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>Wilt u CopyQ&lt;strong&gt;geforceerd afsluiten&lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Bestand</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>&amp;Bewerken</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>&amp;Item</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>&amp;Tabs</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>&amp;Help</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Nieuw Tabblad</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Hernoemen &amp;Groep %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>Her&amp;noemen Tab %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>Verwijderen Tab%1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Verwijderen Groep %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>&amp;Aanpassen Picogram van Tab</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>&amp;Inschakelen Klembord Opslag</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>Uitschakelen Opslaan op Klembord</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>CopyQ Opties voor Importeren</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation type="unfinished">Opties voor Importeren</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>CopyQ Fout</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>&amp;Weergeven/Verbergen</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>CopyQ opties voor exporteren</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation type="unfinished">Opties voor exporteren</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>CopyQ Export Fout</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation type="unfinished">Export Fout</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>Mislukt om bestand te exporteren %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>&amp;klembord: 1%</translation>
@@ -2482,32 +2501,32 @@ Deze op 0 zetten om dit uit te schakelen
         <translation>CopyQ Notities(*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>CopyQ Fout Bij Importeren</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation type="unfinished">Fout Bij Importeren</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>Het is niet gelukt om bestand %1 te importeren!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Alle tabbladen in de groep verwijderen?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Wilt u &lt;strong&gt;alle tabbladen&lt;/strong&gt; in groep &lt;strong&gt;%1&lt;/strong&gt; verwijderen?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Tabblad verwijderen?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Wilt u het tabblad &lt;strong&gt;%1&lt;/strong&gt; verwijderen?</translation>
     </message>
@@ -2523,13 +2542,13 @@ Deze op 0 zetten om dit uit te schakelen
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;VERBORGEN&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2538,25 +2557,25 @@ Deze op 0 zetten om dit uit te schakelen
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;AFBEELDING&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;NOTITIES&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;LEEG&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;GEGEVENS&gt;</translation>
@@ -2574,7 +2593,7 @@ Deze op 0 zetten om dit uit te schakelen
         <translation>Verwijderen</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2583,7 +2602,7 @@ Deze op 0 zetten om dit uit te schakelen
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2656,92 +2675,92 @@ which can be letters, digits, &apos;-&ap
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>&amp;Items plakken</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2924,7 +2943,7 @@ which can be letters, digits, &apos;-&ap
         <translation type="unfinished">&amp;Help</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2932,415 +2951,418 @@ which can be letters, digits, &apos;-&ap
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
-        <source>Set clipboard text.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
-        <source>TEXT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
+        <source>Set clipboard text.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
-        <source>
-Set clipboard content.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
+        <source>TEXT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
-        <source>
-Write raw data to given row.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <source>Show action dialog.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
-        <source>Show action dialog.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
+        <source>PROGRAM</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
-        <source>
-Run PROGRAM on item text in the rows.
-Use %1 in PROGRAM to pass text as argument.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
-        <source>PROGRAM</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
-        <source>
-Show tray popup message for TIME milliseconds.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
-        <source>
-Evaluate ECMAScript program.
-Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
-Uitvoeren van ECMAScript-programma.
-Argumenten zijn toe te voegen door het gebruik van &quot;argumenten[0..N]&quot;.</translation>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
-        <source>SCRIPT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
-        <source>ARGUMENTS</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
-        <source>
-Starts or connects to application instance with given session name.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
-        <source>SESSION</source>
+        <source>
+Evaluate ECMAScript program.
+Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
+        <translation type="vanished">
+Uitvoeren van ECMAScript-programma.
+Argumenten zijn toe te voegen door het gebruik van &quot;argumenten[0..N]&quot;.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
+        <source>SCRIPT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
-        <source>
-Print help for COMMAND or all commands.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
+        <source>ARGUMENTS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
-        <source>
-Print version of program and libraries.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
+        <source>SESSION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -3348,32 +3370,20 @@ Print version of program and libraries.<
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>Er bestaat al een tabblad met deze naam!</translation>
     </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
-        <source>%1 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
-        <source>%1 - %2 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation type="unfinished"></translation>
-    </message>
 </context>
 <context>
     <name>ShortcutButton</name>
@@ -3387,7 +3397,7 @@ Print version of program and libraries.<
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
+        <source>New Shortcut</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3430,7 +3440,7 @@ Print version of program and libraries.<
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3455,17 +3465,17 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
+        <source>New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
+        <source>Rename Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
+        <source>Rename Tab Group</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -3483,24 +3493,24 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation type="unfinished"></translation>
@@ -3509,12 +3519,12 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation type="unfinished"></translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_pl.ts 3.11.0-1/translations/copyq_pl.ts
--- 3.10.0-1/translations/copyq_pl.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_pl.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>O programie CopyQ</translation>
+        <source>About</source>
+        <translation>O programie</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ Makropolecenia</translation>
+        <source>Action Dialog</source>
+        <translation type="unfinished">Makropolecenia</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -94,12 +94,12 @@
         <translation>Zapisz elementy w karcie z podaną nazwą (pozostaw puste, aby zapisać w bieżącej karcie)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Polecenie zapisane</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Polecenie zostało zapisane i można uzyskać do niego dostęp z menu elementów.
@@ -128,8 +128,8 @@ Możesz je skonfigurować w Preferencjac
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>Menedżer procesów CopyQ</translation>
+        <source>Process Manager</source>
+        <translation type="unfinished">Menedżer procesów</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -146,8 +146,8 @@ Możesz je skonfigurować w Preferencjac
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ Dodawanie poleceń</translation>
+        <source>Add Commands</source>
+        <translation type="unfinished">Dodawanie poleceń</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -321,24 +321,25 @@ Możesz je skonfigurować w Preferencjac
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Nie Można Dodać Nowych Obiektów</translation>
+        <translation type="vanished">Nie Można Dodać Nowych Obiektów</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Karta jest pełna. Nie udało się usunąć żadnych elementów.</translation>
+        <translation type="vanished">Karta jest pełna. Nie udało się&#xa0;usunąć żadnych elementów.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Odrzucić Zmiany?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Czy na pewno chcesz &lt;strong&gt;odrzucić zmiany&lt;/strong&gt;?</translation>
     </message>
@@ -346,12 +347,12 @@ Możesz je skonfigurować w Preferencjac
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Nie można połączyć się z serwerem! Uruchom serwer CopyQ.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Połączenie zostało utracone!</translation>
     </message>
@@ -360,8 +361,8 @@ Możesz je skonfigurować w Preferencjac
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ Zawartość Schowka</translation>
+        <source>Clipboard Content</source>
+        <translation type="unfinished">Zawartość Schowka</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +381,45 @@ Możesz je skonfigurować w Preferencjac
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ Zawartość Elementu</translation>
+        <source>Item Content</source>
+        <translation type="unfinished">Zawartość Elementu</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Wielkość:&lt;/strong&gt; %1 bajt(ów)</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Wielkość:&lt;/strong&gt; %1 bajt(ów)</translation>
+        <translation type="vanished">&lt;strong&gt;Wielkość:&lt;/strong&gt; %1 bajt(ów)</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>Serwer CopyQ jest już uruchomiony.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Anuluj Aktywne Polecenia</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Anulować aktywne polecenia oraz wyjść?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Anuluj Wyjście</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Wyjdź Mimo Wszystko</translation>
     </message>
@@ -431,8 +437,8 @@ Możesz je skonfigurować w Preferencjac
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ Makropolecenia</translation>
+        <source>Commands</source>
+        <translation type="unfinished">Makropolecenia</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -465,32 +471,32 @@ Możesz je skonfigurować w Preferencjac
         <translation>Wklej Polecenia</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Niezapisane Zmiany</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>Okno dialogowe poleceń zawiera niezapisane zmiany.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Wczytaj Plik Poleceń</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Polecenia (*.ini);; CopyQ Konfiguracja (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Zapisz Zaznaczone Polecenia</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Polecenia (*.ini)</translation>
     </message>
@@ -564,6 +570,7 @@ Możesz je skonfigurować w Preferencjac
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Auto&amp;matycznie</translation>
     </message>
     <message>
@@ -574,6 +581,7 @@ Możesz je skonfigurować w Preferencjac
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>W M&amp;enu</translation>
     </message>
     <message>
@@ -621,6 +629,7 @@ Pozostaw puste, aby wyłączyć.</transl
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Globalne Skróty Klawiszowe</translation>
     </message>
     <message>
@@ -641,11 +650,13 @@ Pozostaw puste, aby wyłączyć.</transl
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Skrypt</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Ekran</translation>
     </message>
     <message>
@@ -902,55 +913,55 @@ Uwaga: Jeżeli zaaplikowany automatyczni
         <translation>Podgląd:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>element</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Ciągiem wyszukiwania jest %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Zaznacz element i
 naciśnij klawisz F2, aby edytować.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Przykładowy element %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Parę losowych notatek (Shift+F2, aby edytować)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Otwórz Plik Motywu</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Zapisz Plik Motywu Jako</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Brak Edytora Zewnętrznego</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Ustaw polecenie edytora zewnętrznego!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1204,7 +1215,7 @@ Użyj Podglądu, aby wyświetlić całe
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="233"/>
         <source>Move item to the top of the list after it is activated</source>
-        <translation type="unfinished">Przenieś aktywowany element do górnej części listy</translation>
+        <translation type="unfinished">Przenieś&#xa0;aktywowany element do górnej części listy</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="236"/>
@@ -1445,7 +1456,7 @@ Set to 0 to disable.</source>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="349"/>
         <source>Maximum height for notification in screen points</source>
-        <translation type="unfinished">Maksymalna wysokość powiadomienia w pikselach</translation>
+        <translation type="unfinished">Maksymalna wysokość&#xa0;powiadomienia w pikselach</translation>
     </message>
 </context>
 <context>
@@ -1525,8 +1536,8 @@ Set to 0 to disable.</source>
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>CopyQ Konfiguracja</translation>
+        <source>Configuration</source>
+        <translation type="unfinished">Konfiguracja</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1602,7 +1613,7 @@ Set to 0 to disable.</source>
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -1634,7 +1645,7 @@ Set to 0 to disable.</source>
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
+        <source>Select Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -1692,89 +1703,89 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation type="unfinished">F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Escape</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation type="unfinished">Czcionka</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation type="unfinished">Kolor czcionki</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation type="unfinished">Tło</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2083,22 +2094,22 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2106,28 +2117,28 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2135,17 +2146,17 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2180,51 +2191,51 @@ Set to 0 to disable.</source>
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
-        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
-&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
-        <source>Extensions</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
-        <source>Item MIME Type</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
+        <source>Extensions</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2333,125 +2344,125 @@ Set to 0 to disable.</source>
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
+        <source>Log</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
-        <source>CopyQ</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Plik</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>Edycja</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>&amp;Element</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>&amp;Karty</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>&amp;Pomoc</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation type="unfinished">&amp;Nowa karta</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation type="unfinished">Zmień ikonę ka&amp;rty</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
-        <source>CopyQ Error</source>
-        <comment>Notification error message title</comment>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
+        <source>CopyQ Error</source>
+        <comment>Notification error message title</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation type="unfinished"></translation>
@@ -2462,32 +2473,27 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Usunąć kartę?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Czy chcesz usunąć kartę &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
@@ -2503,13 +2509,13 @@ Set to 0 to disable.</source>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2519,25 +2525,25 @@ Set to 0 to disable.</source>
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2555,7 +2561,7 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2565,7 +2571,7 @@ Set to 0 to disable.</source>
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2638,92 +2644,92 @@ which can be letters, digits, &apos;-&ap
         <translation type="unfinished">Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation type="unfinished">Menedżer p&amp;rocesów</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation type="unfinished">Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation type="unfinished">&amp;Wyjście</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation type="unfinished">Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation type="unfinished">&amp;Sortuj zaznaczone elementy rosnąco</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation type="unfinished">Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation type="unfinished">So&amp;rtuj zaznaczone elementy malejąco</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation type="unfinished">Wst&amp;aw elementy</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation type="unfinished">Kopiuj zaznaczone elementy</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation type="unfinished">&amp;Znajdź</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation type="unfinished">Przenieś do s&amp;chowka</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation type="unfinished">&amp;Pokaż zawartość...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation type="unfinished">F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation type="unfinished">F7</translation>
     </message>
@@ -2735,7 +2741,7 @@ which can be letters, digits, &apos;-&ap
     <message>
         <location filename="../src/gui/menuitems.cpp" line="106"/>
         <source>&amp;Edit</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Edycja</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="106"/>
@@ -2906,7 +2912,7 @@ which can be letters, digits, &apos;-&ap
         <translation type="unfinished">&amp;Pomoc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2914,414 +2920,411 @@ which can be letters, digits, &apos;-&ap
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
-        <source>
-Set clipboard content.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
-        <source>
-Write raw data to given row.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
-        <source>
-Run PROGRAM on item text in the rows.
-Use %1 in PROGRAM to pass text as argument.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
-        <source>
-Show tray popup message for TIME milliseconds.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
-        <source>
-Evaluate ECMAScript program.
-Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
-        <source>
-Starts or connects to application instance with given session name.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
-        <source>SESSION</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
-        <source>
-Print help for COMMAND or all commands.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
-        <source>
-Print version of program and libraries.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
+        <source>SESSION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Nieprawidłowa liczba argumentów!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Nie znaleziono polecenia!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Zamykanie serwera.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>Nie można zapisać w pliku &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>Nie można zaimportować z pliku &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Nie właściwa opcja &quot;%1&quot;!</translation>
     </message>
@@ -3329,32 +3332,20 @@ Print version of program and libraries.<
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation type="unfinished">Karta o podanej nazwie nie istnieje!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation type="unfinished">Nazwa karty nie może być pusta!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation type="unfinished">Karta o podanej nazwie już istnieje!</translation>
     </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
-        <source>%1 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
-        <source>%1 - %2 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation type="unfinished"></translation>
-    </message>
 </context>
 <context>
     <name>ShortcutButton</name>
@@ -3368,8 +3359,8 @@ Print version of program and libraries.<
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>CopyQ Nowy skrót</translation>
+        <source>New Shortcut</source>
+        <translation type="unfinished">Nowy skrót</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3411,7 +3402,7 @@ Print version of program and libraries.<
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3436,18 +3427,18 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>CopyQ Nowa karta</translation>
+        <source>New Tab</source>
+        <translation type="unfinished">Nowa karta</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>CopyQ Zmiana nazwy karty</translation>
+        <source>Rename Tab</source>
+        <translation type="unfinished">Zmiana nazwy karty</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>CopyQ Zmień nazwę grupy kart</translation>
+        <source>Rename Tab Group</source>
+        <translation type="unfinished">Zmień nazwę grupy kart</translation>
     </message>
 </context>
 <context>
@@ -3464,24 +3455,24 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Wciśnij &apos;/&apos;, by wyszukać</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Wpisz, by wyszukać</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3490,12 +3481,12 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Wyrażenie regularne</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Rozróżnianie liter małych i wielkich</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_pt_BR.ts 3.11.0-1/translations/copyq_pt_BR.ts
--- 3.10.0-1/translations/copyq_pt_BR.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_pt_BR.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>Sobre o CopyQ</translation>
+        <source>About</source>
+        <translation>Sobre</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>Diálogo de Ação do CopyQ</translation>
+        <source>Action Dialog</source>
+        <translation>Diálogo de Ação</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -94,12 +94,12 @@
         <translation>Salve itens na aba com o nome dado (deixe em branco para economizar na aba atual)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Comando Salvo</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Comando foi salvo e pode ser acessado a partir do item menu.
@@ -128,8 +128,8 @@ Você pode configurar o comando nas pref
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>Gerenciador de Processos do CopyQ</translation>
+        <source>Process Manager</source>
+        <translation>Gerente de Processos</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -146,8 +146,8 @@ Você pode configurar o comando nas pref
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ Adicionar Comandos</translation>
+        <source>Add Commands</source>
+        <translation>Adicionar Comandos</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -321,24 +321,25 @@ Você pode configurar o comando nas pref
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Não é possível adicionar novos itens</translation>
+        <translation type="vanished">Não é possível adicionar novos itens</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Aba cheia. Falha ao remover itens.</translation>
+        <translation type="vanished">Aba cheia. Falha ao remover itens.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation>Não é possível adicionar novos itens à guia % 1. Remova itens manualmente para liberar espaço.</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Descartar as alterações?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Você realmente deseja &lt;strong&gt; descartar as alterações &lt;/strong&gt;?</translation>
     </message>
@@ -346,12 +347,12 @@ Você pode configurar o comando nas pref
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Não é possível conectar ao servidor! Comece servidor CopyQ primeiro.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Conexão perdida!</translation>
     </message>
@@ -360,8 +361,8 @@ Você pode configurar o comando nas pref
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>Conteúdo de área de transferência do CopyQ</translation>
+        <source>Clipboard Content</source>
+        <translation>Conteúdo da Área de Transferência</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +381,45 @@ Você pode configurar o comando nas pref
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>Conteúdo do Item CopyQ</translation>
+        <source>Item Content</source>
+        <translation>Teor dos itens</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
-        <comment>Size of data in bytes</comment>
+        <comment>Size of clipboard/item data in bytes</comment>
         <translation>&lt;strong&gt;Tamanho:&lt;/strong&gt; %1 bytes</translation>
     </message>
+    <message>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of data in bytes</comment>
+        <translation type="vanished">&lt;strong&gt;Tamanho:&lt;/strong&gt; %1 bytes</translation>
+    </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>O Servidor CopyQ já está em execução.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Cancelar comandos ativos</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Cancelar comandos ativos e saída?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Cancelar e Sair</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Sair assim mesmo</translation>
     </message>
@@ -431,8 +437,8 @@ Você pode configurar o comando nas pref
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>Comandos CopyQ</translation>
+        <source>Commands</source>
+        <translation>Comandos</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -465,32 +471,32 @@ Você pode configurar o comando nas pref
         <translation>Colar comandos</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Alterações não salvas</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>Diálogo de comandos tem mudanças não salvas.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Abrir arquivos com comandos</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Comandos (* ini) ;; Configuração CopyQ (copyq.conf copyq - *. Conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Salve comandos selecionados</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Comandos (* ini)</translation>
     </message>
@@ -564,6 +570,7 @@ Você pode configurar o comando nas pref
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Auto&amp;mático</translation>
     </message>
     <message>
@@ -574,6 +581,7 @@ Você pode configurar o comando nas pref
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>No m&amp;enu</translation>
     </message>
     <message>
@@ -621,6 +629,7 @@ Deixe em branco para desabilitar esta.</
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Atalho Global</translation>
     </message>
     <message>
@@ -641,11 +650,13 @@ Deixe em branco para desabilitar esta.</
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Script</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Exibição</translation>
     </message>
     <message>
@@ -907,55 +918,55 @@ Nota: Se este é aplicado automaticament
         <translation>Visualização:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>item</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>O termo de pesquisa é %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Selecione um item e
 pressione F2 para editar.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Produto Exemplo %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Algumas notas aleatórias (Shift + F2 para editar)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Abrir Arquivo de Tema</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Salvar Arquivo de Tema Como</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Nenhum editor externo</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Defina o comando do editor externo primeiro!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1546,8 +1557,8 @@ Defina como 0 para desativar.</translati
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>Configuração do CopyQ</translation>
+        <source>Configuration</source>
+        <translation>Configuração</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1623,7 +1634,7 @@ Defina como 0 para desativar.</translati
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Falha ao criar a pasta de sincronização &quot;%1&quot;!</translation>
     </message>
@@ -1655,8 +1666,8 @@ Defina como 0 para desativar.</translati
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>Seleção de Ícone do CopyQ</translation>
+        <source>Select Icon</source>
+        <translation>Ícone selecionado</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1713,89 +1724,89 @@ Defina como 0 para desativar.</translati
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Salvar</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Salvar Item (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Cancelar</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Cancelar edição e reverter alterações</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Fonte</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Negrito</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Itálico</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Sublinhado</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Riscado</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Primeiro plano</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Segundo plano</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Apagar estilo</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Pesquisar</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Desfazer</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Refazer</translation>
     </message>
@@ -2104,22 +2115,22 @@ Defina como 0 para desativar.</translati
         <translation>Desafixar itens primeiro para removê-los.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Fixar</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Desafixar</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Itens fixados</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt;Fixe itens para bloqueá-los na linha atual e evitar a exclusão (a menos que não sejam desafixados).&lt;/p&gt;&lt;p&gt;Fornece atalhos e funcionalidade de scripting.&lt;/p&gt;</translation>
     </message>
@@ -2127,28 +2138,28 @@ Defina como 0 para desativar.</translati
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Procurar...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Abrir Pasta para Sincronização</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Falha ao criar pasta de sincronização</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Sincronizar</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Sincronizar itens e notas com uma pasta no disco.</translation>
     </message>
@@ -2156,17 +2167,17 @@ Defina como 0 para desativar.</translati
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>Falha ao sincronizar a aba &quot;%1&quot; com a pasta &quot;%2&quot;!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Remover Itens?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>Deseja realmente &lt;strong&gt;remover os itens e os arquivos associados&lt;/strong&gt;?</translation>
     </message>
@@ -2202,9 +2213,26 @@ Defina como 0 para desativar.</translati
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished">&lt;p&gt;Definir tipo de media para &lt;strong&gt;-&lt;/strong&gt; (menos caractere) para ignorar arquivos. Quaisquer outros arquivos desconhecidos ou ocultos são ignorados.&lt;/p&gt;
+&lt;p&gt;Exemplo: Carregar &lt;strong&gt;txt&lt;/strong&gt; extensão de arquivo como &lt;strong&gt;texto/pleno&lt;/strong&gt; tipo de mídia.&lt;/p&gt;</translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation>Tipo de mídia do item</translation>
+    </message>
+    <message>
+        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <translation type="vanished">&lt;p&gt; Defina o tipo MIME como &lt;strong&gt; - &lt;/strong&gt; (caractere de menos) para ignorar arquivos.
+Qualquer um dos outros arquivos desconhecidos ou ocultos são ignorados. &lt;/p&gt; &lt;p&gt; Exemplo: Carregue a extensão de arquivo &lt;strong&gt; txt &lt;/strong&gt; como o tipo MIME &lt;strong&gt; text / plain &lt;/strong&gt;. &lt;/p&gt;</translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Defina o tipo MIME para &lt;strong&gt;-&lt;/strong&gt; (traço) para ignorar arquivos. Quaisquer outros arquivos desconhecidos ou ocultos serão ignorados.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;Defina o tipo MIME para &lt;strong&gt;-&lt;/strong&gt; (traço) para ignorar arquivos. Quaisquer outros arquivos desconhecidos ou ocultos serão ignorados.&lt;/p&gt;
 &lt;p&gt;Exemplo: Carregue a extensão de arquivo &lt;strong&gt;txt&lt;/strong&gt; como tipo MIME &lt;strong&gt;texto/simples&lt;/strong&gt;.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2213,41 +2241,40 @@ Defina como 0 para desativar.</translati
         <translation>Extensões</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>Tipo MIME do item</translation>
+        <translation type="vanished">Tipo MIME do item</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Adicionar Tag</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Remover Tag</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Definir tag %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Remover tag %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Importante</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Limpar todas as tags</translation>
     </message>
@@ -2356,125 +2383,124 @@ Defina como 0 para desativar.</translati
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>Log do CopyQ</translation>
+        <source>Log</source>
+        <translation>Log</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Sair?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>Deseja realmente &lt;strong&gt;sair&lt;/strong&gt; do CopyQ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Arquivo</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>&amp;Editar</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>&amp;Item</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>A&amp;bas</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>A&amp;juda</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>Mo&amp;strar/Ocultar</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Nova Aba</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Renomear &amp;Grupo %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>Re&amp;nomear Aba %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>Re&amp;mover Aba %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Renomear Grupo %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>Alterar í&amp;cone da Aba</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>Habilitar Armaz&amp;enamento da Área de Transferência</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>&amp;Desativar Armazenamento da Área de Transferência</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>Opções de Importação do CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation>Opções de Importação</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>Erro do CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>Opções de Exportação do CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation>Opções para Exportação</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>Erro de Exportação do CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation>Erro de Exportação</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>Falha ao exportar arquivo %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>Área de &amp;Transferência: %1</translation>
@@ -2485,32 +2511,32 @@ Defina como 0 para desativar.</translati
         <translation>Itens do CopyQ (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>Erro de Importação do CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation>Erro de Importação</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>Falha ao importar arquivo %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Remover todas as abas do grupo?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Deseja remover &lt;strong&gt;todas as abas&lt;/strong&gt; do grupo &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Remover aba?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Deseja remover a aba &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
@@ -2526,13 +2552,13 @@ Defina como 0 para desativar.</translati
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;OCULTO&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2541,25 +2567,25 @@ Defina como 0 para desativar.</translati
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;IMAGEM&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;ITEMS&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;VAZIO&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;DADOS&gt;</translation>
@@ -2577,7 +2603,7 @@ Defina como 0 para desativar.</translati
         <translation>Delete</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2586,7 +2612,7 @@ Defina como 0 para desativar.</translati
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2660,92 +2686,92 @@ que podem ser letras, dígitos, &apos;-&
         <translation>Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>Al&amp;ternar Armazenamento da Área de Transferência</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>Gerenciador de P&amp;rocessos</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>&amp;Sair</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>Cla&amp;ssificar itens selecionados</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>Inverte&amp;r itens selecionados</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>&amp;Colar itens</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>&amp;Copiar itens selecionados</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>&amp;Localizar</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>Mo&amp;ver para a área de transferência</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>Mo&amp;strar Conteúdo...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>Mo&amp;strar Prévia</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2928,7 +2954,7 @@ que podem ser letras, dígitos, &apos;-&
         <translation>A&amp;juda</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>A aba %1 está corrompida ou alguns plugins do CopyQ estão faltando!</translation>
     </message>
@@ -2936,209 +2962,205 @@ que podem ser letras, dígitos, &apos;-&
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Ocultar a janela principal.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Mostrar ou ocultar a janela principal.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Abrir o menu de contexto.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Sair do servidor.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Desabilitar ou habilitar armazenamento de área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Imprimir conteúdo da área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>Imprimir conteúdo da seleção X11.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Colar área de transferência na janela atual
 (pode não funcionar com certos aplicativos).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>Definir texto da área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TEXTO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 Definir conteúdo da área de trasnferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DADOS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>Copiar item da linha para a área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>LINHA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>Copiar próximo item da aba atual para a área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Copiar item anterior da aba atual para a área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Adicionar texto para a área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Inserir texto na linha definida.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>Remover itens da linha definida.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>LINHAS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>Editar itens ou editar um novo.
 O valor -1 é para o texto atual na área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>Definir separador para itens na saída.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>SEPARADOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Imprimir dados brutos da área de transferência ou item da linha.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Salvar dados brutos na linha fornecida.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>Mostrar diálogo de ações.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 Executar PROGRAMA no texto do item nas linhas.
 Use %1 em PROGRAMA para passar o texto como arguemnto.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAMA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 Mostrar mensagem popup na área de notificação pelo TEMPO definido em milissegundos.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TÍTULO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MENSAGEM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>TEMPO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>Lista de nomes de abas disponíveis.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3147,218 +3169,263 @@ A aba é criada se ela não existir.
 O padrão é a primeira aba.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
-Avaliar programa ECMAScript.
-Argumentos são acessíveis usando com &quot;argumentos[0..N]&quot;.</translation>
+        <translation type="vanished">
+Avaliar o programa ECMAScript.
+Os argumentos são acessíveis usando &quot;argumentos[0..N]&quot;.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>Executar testes de aplicativo (anexe o argumento --help mais mais informações).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NOME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Mostrar janela principal e opcionalmente abrir uma aba com o nome informado.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation>Copiar área de transferência da janela atual
+(pode não funcionar em alguns aplicativos).</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation>Definir conteúdo da área de transferência.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>Imprimir quantidade de itens na aba atual.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation>Escrever dados brutos na linha especificada.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation>Executar PROGRAM no texto do item nas linhas.
+Use %1 em PROGRAM para passar texto como argumento.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation>Mostrar mensagem pop-up da bandeja por TIME milissegundos.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>COMANDO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Remover aba.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Renomear aba.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NOVO_NOME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>Exportar itens para arquivo.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>NOME_ARQUIVO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Importar itens do arquivo.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>Listar todas as opções.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>Obter valor da opção.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>OPÇÃO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Defina um valor para a opção.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VALOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation>Avaliar script.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SCRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGUMENTOS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation>Inicia ou se conecta à instância do aplicativo com o nome da sessão especificado.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation>Imprimir ajuda para COMMAND ou todos os comandos.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation>Imprimir versão do programa e das bibliotecas.</translation>
+    </message>
+    <message>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 Iniciar ou conectar à instância do aplicativo com o nome fornecido da sessão.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SESSÃO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 Imprimir ajuda para o COMANDO ou todos os comandos.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Imprimir versão do programa e bibliotecas.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Modo de Uso: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Inicia o servidor se nenhum comando for especificado.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  COMANDOS:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>NOTAS:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - Use o argumento traço duplo (--) para ler todos os seguintes argumentos
     sem expandir as seqüências de escape (ex.: \n, \t e outros).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - Use ? para MIME para imprimir os tipos MIME disponíveis (o padrão é &quot;texto/plano&quot;).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Número inválido de argumentos!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Comando não encontrado!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Finalizando servidor.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>Exceção</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>Exceção em %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Falha ao copiar para a área de transferência!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>Não foi possível salvar o arquivo &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - Use o argumento traço (-) para ler os dados da entrada padrão.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>Não foi possível importar o arquivo &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Opção inválida &quot;%1&quot;!</translation>
     </message>
@@ -3366,31 +3433,29 @@ Imprimir versão do programa e bibliotec
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>A aba com o nome informado não existe!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>O nome da aba não pode estar vazio!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>Uma aba com esse nome já existe!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>%1 - CopyQ</translation>
+        <translation type="vanished">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>CopyQ - %1 - %2</translation>
+        <translation type="vanished">CopyQ - %1 - %2</translation>
     </message>
 </context>
 <context>
@@ -3405,8 +3470,8 @@ Imprimir versão do programa e bibliotec
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>Novo Atalho do CopyQ</translation>
+        <source>New Shortcut</source>
+        <translation>Novo Atalho</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3448,8 +3513,12 @@ Imprimir versão do programa e bibliotec
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
+        <source>Application shortcuts can only be triggered from the main window.</source>
+        <translation>Os atalhos de aplicação só podem ser acionados a partir da janela principal.</translation>
+    </message>
+    <message>
         <source>Application shortcuts can be triggered only from the main window.</source>
-        <translation>Os atalhos de aplicativo só podem ser disparados a partir da janela principal.</translation>
+        <translation type="vanished">Os atalhos de aplicativo só podem ser disparados a partir da janela principal.</translation>
     </message>
     <message>
         <location filename="../src/gui/shortcutswidget.cpp" line="246"/>
@@ -3475,18 +3544,18 @@ Use &lt;b&gt;/&lt;/b&gt; como serapador
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>Nova aba do CopyQ</translation>
+        <source>New Tab</source>
+        <translation>Nova Aba</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>Renomear aba do CopyQ</translation>
+        <source>Rename Tab</source>
+        <translation>Renomear a Aba</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>Renomear grupo de abas do CopyQ</translation>
+        <source>Rename Tab Group</source>
+        <translation>Renomear o Grupo de Abas</translation>
     </message>
 </context>
 <context>
@@ -3503,24 +3572,28 @@ Use &lt;b&gt;/&lt;/b&gt; como serapador
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
+        <source>&amp;Save Items</source>
+        <translation>&amp;Salvar Itens</translation>
+    </message>
+    <message>
         <source>&amp;Store Items</source>
-        <translation>Itens &amp;Armazenados</translation>
+        <translation type="vanished">Itens &amp;Armazenados</translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Pressione &apos;/&apos; para pesquisar</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Digite para pesquisar</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3529,12 +3602,12 @@ Use &lt;b&gt;/&lt;/b&gt; como serapador
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Expressão Regular</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Não diferenciar maiúsculas de minúsculas</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_pt_PT.ts 3.11.0-1/translations/copyq_pt_PT.ts
--- 3.10.0-1/translations/copyq_pt_PT.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_pt_PT.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>Sobre o CopyQ</translation>
+        <source>About</source>
+        <translation>Sobre</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>Janela de Ação do CopyQ</translation>
+        <source>Action Dialog</source>
+        <translation>Diálogo de Ação</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -94,12 +94,12 @@
         <translation>Guardar itens no separador com o nome indicado (deixar em branco para guardar no separador atual)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Comando guardado</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>O comando foi guardado e pode ser acedido no menu de itens.
@@ -129,8 +129,8 @@ Pode definir o comando nas preferências
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>Gestor de Processos do CopyQ</translation>
+        <source>Process Manager</source>
+        <translation>Gestor de Processos</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -147,8 +147,8 @@ Pode definir o comando nas preferências
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>Adicionar Comandos do CopyQ</translation>
+        <source>Add Commands</source>
+        <translation>Adicionar Comandos</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -322,24 +322,25 @@ Pode definir o comando nas preferências
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Impossível adicionar novos itens</translation>
+        <translation type="vanished">Impossível adicionar novos itens</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Separador cheio. Falha ao remover itens.</translation>
+        <translation type="vanished">Separador cheio. Falha ao remover itens.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation>Não é possível adicional itens ao separador %1. Por favor remova itens manualmente para arranjar espaço.</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Ignorar alterações?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Tem a certeza que deseja &lt;strong&gt;ignorar as alterações&lt;/strong&gt;?</translation>
     </message>
@@ -347,12 +348,12 @@ Pode definir o comando nas preferências
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Não é possível ligar ao servidor! Inicie primeiro o servidor do CopyQ.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Ligação perdida!</translation>
     </message>
@@ -361,8 +362,8 @@ Pode definir o comando nas preferências
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>Conteúdo da área de transferência CopyQ</translation>
+        <source>Clipboard Content</source>
+        <translation>Conteúdo da Área de Transferência</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -381,40 +382,45 @@ Pode definir o comando nas preferências
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>Conteúdo do Item do CopyQ</translation>
+        <source>Item Content</source>
+        <translation>Conteúdo do Item</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
-        <comment>Size of data in bytes</comment>
+        <comment>Size of clipboard/item data in bytes</comment>
         <translation>&lt;strong&gt;Tamanho:&lt;/strong&gt; %1 bytes</translation>
     </message>
+    <message>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of data in bytes</comment>
+        <translation type="vanished">&lt;strong&gt;Tamanho:&lt;/strong&gt; %1 bytes</translation>
+    </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>O servidor CopyQ já está em execução.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Cancelar comandos ativos</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Cancelar comandos ativos e sair?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Cancelar saída</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Sair mesmo assim</translation>
     </message>
@@ -432,8 +438,8 @@ Pode definir o comando nas preferências
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>Comandos do CopyQ</translation>
+        <source>Commands</source>
+        <translation>Comandos</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -466,32 +472,32 @@ Pode definir o comando nas preferências
         <translation>Colar Comandos</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Alterações não guardadas</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>A janela de comando tem alterações não guardadas.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Abrir Ficheiros com Comandos</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Comandos (*.ini);; Configuração CopyQ (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Guardar comandos selecionados</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Comandos (*.ini)</translation>
     </message>
@@ -565,6 +571,7 @@ Pode definir o comando nas preferências
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Auto&amp;mático</translation>
     </message>
     <message>
@@ -575,6 +582,7 @@ Pode definir o comando nas preferências
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>No m&amp;enu</translation>
     </message>
     <message>
@@ -590,6 +598,7 @@ Pode definir o comando nas preferências
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Atalho Global</translation>
     </message>
     <message>
@@ -728,11 +737,13 @@ Nota: se for aplicado manualmente, nenhu
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Script</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Exibir</translation>
     </message>
     <message>
@@ -909,55 +920,55 @@ Nota: se for aplicado manualmente, nenhu
         <translation>Pré-visualizar:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>item</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Cadeia de pesquisa é %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Selecione um item e
 prima F2 para editar.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Item exemplo %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Algumas notas aleatórias (Shift+F2 para editar)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Abrir Ficheiro de Tema</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Guardar Ficheiro de Tema Como</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Sem editor externo</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Defina primeiro o comando do editor externo!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1548,8 +1559,8 @@ Defina como 0 para desativar.</translati
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>Configuração do CopyQ</translation>
+        <source>Configuration</source>
+        <translation>Configuração</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1625,7 +1636,7 @@ Defina como 0 para desativar.</translati
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Falha ao criar pasta de sincronização &quot;%1&quot;!</translation>
     </message>
@@ -1657,8 +1668,8 @@ Defina como 0 para desativar.</translati
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>Ícone de seleção CopyQ</translation>
+        <source>Select Icon</source>
+        <translation>Selecionar Ícone</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1715,89 +1726,89 @@ Defina como 0 para desativar.</translati
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Guardar</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Guardar Item (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Cancelar</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Cancelar a edição e reverter as alterações</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Letra</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Negrito</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Itálico</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Sublinhado</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Rasurado</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Primeiro plano</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Segundo plano</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Estilo da eliminação</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Procurar</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Anular</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Refazer</translation>
     </message>
@@ -2106,22 +2117,22 @@ Defina como 0 para desativar.</translati
         <translation>Desafixe primeiro os itens para os remover.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Afixar</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Desafixar</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Itens afixados</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt;Afixe os itens para bloqueá-los na linha atual e evitar a eliminação (a não ser que sejam desafixados).&lt;/p&gt;&lt;p&gt;Fornece atalhos e funcionalidade de scripting.&lt;/p&gt;</translation>
     </message>
@@ -2129,28 +2140,28 @@ Defina como 0 para desativar.</translati
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Explorar...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Abrir Diretoria para Sincronização</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Falha ao criar a pasta de sincronização</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Sincronizar</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Sincronizar itens e notas com uma pasta no disco.</translation>
     </message>
@@ -2158,17 +2169,17 @@ Defina como 0 para desativar.</translati
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>Não foi possível sincronizar o separador &quot;%1&quot; com a diretoria &quot;%2&quot;!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Remover itens?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>Deseja &lt;strong&gt;remover os itens e os ficheiros associados&lt;/strong&gt;?</translation>
     </message>
@@ -2204,9 +2215,20 @@ Defina como 0 para desativar.</translati
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation>&lt;p&gt;Definir tipo de media para &lt;strong&gt;-&lt;/strong&gt; (caractere menos) para ignorar ficheiros. Quaisquer outros ficheiros desconhecidos ou escondidos são ignorados.&lt;/p&gt;
+&lt;p&gt;Exemplo: Carregar &lt;strong&gt;txt&lt;/strong&gt; extensão de ficheiro como &lt;strong&gt;texto/pleno&lt;/strong&gt; tipo de media.&lt;/p&gt;</translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation>Tipo de Item de Media</translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Defina o tipo MIME como &lt;strong&gt;-&lt;/strong&gt; (hífen) para ignorar ficheiros. Quaisquer outros ficheiros ocultos ou desconhecidos são ignorados.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;Defina o tipo MIME como &lt;strong&gt;-&lt;/strong&gt; (hífen) para ignorar ficheiros. Quaisquer outros ficheiros ocultos ou desconhecidos são ignorados.&lt;/p&gt;
 &lt;p&gt;Exemplo: carregar ficheiros &lt;strong&gt;txt&lt;/strong&gt; como tipo MIME &lt;strong&gt;texto/simples&lt;/strong&gt;.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2215,41 +2237,40 @@ Defina como 0 para desativar.</translati
         <translation>Extensões</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>Tipo MIME do item</translation>
+        <translation type="vanished">Tipo MIME do item</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Adicionar etiqueta</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Remover etiqueta</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Etiquetar como %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Remover etiqueta %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Importante</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Limpar todas as etiquetas</translation>
     </message>
@@ -2358,125 +2379,124 @@ Defina como 0 para desativar.</translati
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>Diário CopyQ</translation>
+        <source>Log</source>
+        <translation>Histórico</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Sair?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>Quer &lt;strong&gt;sair&lt;/strong&gt; do CopyQ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Ficheiro</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>&amp;Editar</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>&amp;Item</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>&amp;Separadores</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>A&amp;juda</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Novo Separador</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Renomear &amp;Grupo %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>Re&amp;nomear Separador %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>Re&amp;mover Separador %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Remover Grupo %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>Alterar Í&amp;cone do Separador</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>Ativar Guardar na Ár&amp;ea de Transferência</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>Desativar &amp;Guardar na Área de Transferência</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>Opções do CopyQ para Importar</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation>Opções para Importação</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>Erro do CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>Mo&amp;strar/Ocultar</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>Opções do CopyQ para exportar</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation>Opções para Exportação</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>Erro do CopyQ ao exportar</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation>Erro de Exportação</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>Falha ao exportar %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>Área de transferên&amp;cia: %1</translation>
@@ -2487,32 +2507,32 @@ Defina como 0 para desativar.</translati
         <translation>Itens CopyQ (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>Erro de importação do CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation>Erro de Importação</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>Falha ao importar %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Remover todos os separadores no grupo?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Quer remover &lt;strong&gt;todos os separadores&lt;/strong&gt; no grupo &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Remover separador?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Quer remover o separador &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
@@ -2528,13 +2548,13 @@ Defina como 0 para desativar.</translati
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;OCULTO&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2543,25 +2563,25 @@ Defina como 0 para desativar.</translati
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;IMAGEM&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;ITEMS&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;VAZIO&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;DADOS&gt;</translation>
@@ -2579,7 +2599,7 @@ Defina como 0 para desativar.</translati
         <translation>Eliminar</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2588,7 +2608,7 @@ Defina como 0 para desativar.</translati
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2662,92 +2682,92 @@ que podem ser letras, dígitos, &quot;-&
         <translation>Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>Al&amp;ternar Guardar Área de Transferência</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>Gestor de P&amp;rocessos</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>&amp;Sair</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>Ordenar itens &amp;selecionados</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>&amp;Reverter itens selecionados</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>Co&amp;lar itens</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>&amp;Copiar itens selecionados</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>&amp;Localizar</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>Mover para área de transferên&amp;cia</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>Mo&amp;strar conteúdo...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>Mo&amp;strar antevisão</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2930,7 +2950,7 @@ que podem ser letras, dígitos, &quot;-&
         <translation>A&amp;juda</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>Separador %1 está corrompido ou alguns plugins do CopyQ estão em falta!</translation>
     </message>
@@ -2938,227 +2958,252 @@ que podem ser letras, dígitos, &quot;-&
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Mostrar janela principal e opcionalmente abrir separador com o nome indicado.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NOME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Ocultar a janela principal.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Mostrar ou ocultar a janela principal.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Abrir menu contextual.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Sair do servidor.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Desativar ou ativar armazenamento do conteúdo.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Imprimir conteúdo da área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>Imprimir conteúdo da seleção X11.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Colar área de transferência na janela atual
 (pode não funcionar com algumas aplicações).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation>Copiar área de transferência da janela atual
+(pode não funcionar corretamente com algumas aplicações).</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>Definir texto da área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TEXTO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 Definir conteúdo da área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DADOS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>Imprimir número de itens no separador atual.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>Copiar item na linha para a área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>LINHA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>Copiar item seguinte do separador atual para a área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Copiar item anterior do separador atual para a área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Adicionar texto à área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Inserir texto na linha indicada.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>Remover itens nas linhas indicadas.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>LINHAS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>Editar itens ou editar novo.
 Valor -1 é do texto na área de transferência.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>Definir separador para itens na saída.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>SEPARADOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Imprimir dados brutos da área de transferência ou item na linha.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Escrever dados brutos na linha indicada.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>Mostrar diálogo de ação.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 Executar PROGRAMA no texto do item nas linhas.
 Usar %1 no PROGRAMA para passar texto como argumento.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAMA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 Mostrar balão com TEMPO mili-segundos.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation>Definir conteúdo da área de transferência.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation>Escrever dados em bruto para linha dada.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation>Correr PROGRAMA ao ter item de texto nas linhas.
+Use %1 em PROGRAMA para passar texto como argumento.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation>Mostrar mensagem popup no tray durante TEMPO em milissegundos.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TÍTULO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MENSAGEM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>TEMPO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>Listar nomes de separadores disponíveis.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3167,200 +3212,216 @@ Cria o separador se não existir.
 A predefinição é o primeiro.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>COMANDO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Remover separador.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Renomear separador.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NOVO_NOME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>Exportar itens para ficheiro.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>NOME_FICHEIRO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Importar itens de ficheiro.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>Listar todas as opções.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>Obter valor da opção.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>OPÇÂO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Definir valor da opção.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VALOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation>Avaliar script.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation>Inicia ou conecta à instância da aplicação com o nome da sessão dada.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation>Mostra ajuda para COMANDO ou todos os comandos.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation>Mostra versão do programa e das bibliotecas.</translation>
+    </message>
+    <message>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 Avalie o programa ECMAScript.
 Os argumentos estão acessíveis ao utilizar com &quot;arguments[0..N]&quot;.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SCRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGUMENTOS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 Inicia ou liga à instância da aplicação com o nome de sessão indicado.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SESSÃO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 Imprimir ajuda para COMANDO ou todos os comandos.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Imprimir versão do programa e bibliotecas.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>Executar testes da aplicação (usar -help para mais informação).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Utilização: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Inicia o servidor se não for especificado um comando.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  COMANDOs:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>NOTAS:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - Utilize argumento travessão (-) para ler dados da entrada padrão.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - Utilize argumento travessão duplo (--) para ler todos os argumentos seguintes sem
    expandir sequências de escape (i.e. \n, \t e outras).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - Utilizar ? para MIME para imprimir todos os tipos MIME disponíveis (predefinição é &quot;text/plain&quot;).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Número de argumentos inválido!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Comando não encontrado!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>A terminar o servidor.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>Não é possível guardar no ficheiro &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>Impossível importar &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Opção &quot;%1&quot; inválida!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>Exceção</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>Exceção em %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Não foi possível copiar para a área de transferência!</translation>
     </message>
@@ -3368,31 +3429,29 @@ Imprimir versão do programa e bibliotec
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>Não existe um separador com esse nome!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>O nome de separador não pode estar vazio!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>Já existe um separador com esse nome!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>CopyQ - %1</translation>
+        <translation type="vanished">CopyQ - %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>CopyQ - %1 - %2</translation>
+        <translation type="vanished">CopyQ - %1 - %2</translation>
     </message>
 </context>
 <context>
@@ -3407,8 +3466,8 @@ Imprimir versão do programa e bibliotec
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>Novo Atalho do CopyQ</translation>
+        <source>New Shortcut</source>
+        <translation>Novo Atalho</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3450,8 +3509,12 @@ Imprimir versão do programa e bibliotec
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
+        <source>Application shortcuts can only be triggered from the main window.</source>
+        <translation>Atalhos da aplicação apenas podem ser despoletados a partir da janela principal.</translation>
+    </message>
+    <message>
         <source>Application shortcuts can be triggered only from the main window.</source>
-        <translation>Os atalhos da aplicação só podem ser acionados a partir da janela principal.</translation>
+        <translation type="vanished">Os atalhos da aplicação só podem ser acionados a partir da janela principal.</translation>
     </message>
     <message>
         <location filename="../src/gui/shortcutswidget.cpp" line="246"/>
@@ -3477,18 +3540,18 @@ Use &lt;b&gt;/&lt;/b&gt; como separador
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>Novo Separador do CopyQ</translation>
+        <source>New Tab</source>
+        <translation>Novo Separador</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>Renomear Separador do CopyQ</translation>
+        <source>Rename Tab</source>
+        <translation>Renomear Separador</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>Renomear Grupo de Separadores do CopyQ</translation>
+        <source>Rename Tab Group</source>
+        <translation>Renomear Grupo de Separadores</translation>
     </message>
 </context>
 <context>
@@ -3505,24 +3568,28 @@ Use &lt;b&gt;/&lt;/b&gt; como separador
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
+        <source>&amp;Save Items</source>
+        <translation>&amp;Salvar Itens</translation>
+    </message>
+    <message>
         <source>&amp;Store Items</source>
-        <translation>&amp;Guardar Itens</translation>
+        <translation type="vanished">&amp;Guardar Itens</translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Pressione &quot;/&quot; para procurar</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Digite para procurar</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3531,12 +3598,12 @@ Use &lt;b&gt;/&lt;/b&gt; como separador
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Expressão Regular</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Não diferencia maiúsculas de minúsculas</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_ru.ts 3.11.0-1/translations/copyq_ru.ts
--- 3.10.0-1/translations/copyq_ru.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_ru.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>CopyQ: О программе</translation>
+        <source>About</source>
+        <translation>О программе</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ: Диалог действий</translation>
+        <source>Action Dialog</source>
+        <translation>Диалог действий</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="58"/>
@@ -54,22 +54,22 @@
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
         <source>Co&amp;mmand:</source>
-        <translation>(&amp;m) Команда:</translation>
+        <translation>Ко&amp;манда:</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="78"/>
         <source>Send data of given media type to standard input of command (leave empty to turn off)</source>
-        <translation type="unfinished"></translation>
+        <translation>Отправить данные этого типа медиа в стандартный ввод команды (оставьте пустым для отключения)</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="85"/>
         <source>Create items from standard output of the program (leave empty to turn off)</source>
-        <translation type="unfinished"></translation>
+        <translation>Создавать элементы из стандартного вывода программы (оставьте пустым для отключения)</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="102"/>
         <source>&amp;Separator for new items:</source>
-        <translation>(&amp;s) Разделитель новых элементов:</translation>
+        <translation>&amp;Разделитель новых элементов:</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="112"/>
@@ -86,7 +86,7 @@
     <message>
         <location filename="../src/ui/actiondialog.ui" line="123"/>
         <source>Output &amp;tab:</source>
-        <translation>(&amp;t) Вкладка вывода:</translation>
+        <translation>Вкла&amp;дка вывода:</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="133"/>
@@ -94,12 +94,12 @@
         <translation>Сохранить элементы во вкладке с данным именем (оставьте пустым для сохранения в текущей вкладке)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Команда сохранена</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Команда была сохранена и теперь она доступна из меню элементов.↵
@@ -128,8 +128,8 @@ Вы можете настроить к
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>Диспетчер процессов CopyQ</translation>
+        <source>Process Manager</source>
+        <translation>Диспетчер процессов</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -139,15 +139,15 @@ Вы можете настроить к
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="32"/>
         <source>&amp;Terminate Selected</source>
-        <translation type="unfinished">&amp;Удалить выбранное</translation>
+        <translation>&amp;Удалить выбранное</translation>
     </message>
 </context>
 <context>
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ: Добавить команды</translation>
+        <source>Add Commands</source>
+        <translation>Добавить команды</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -167,12 +167,12 @@ Вы можете настроить к
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="81"/>
         <source>Edit clipboard</source>
-        <translation>Редактировать буфер обмена</translation>
+        <translation>Изменить буфер обмена</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="82"/>
         <source>Edit first item</source>
-        <translation>Редактировать первый элемент</translation>
+        <translation>Изменить первый элемент</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="83"/>
@@ -247,7 +247,7 @@ Вы можете настроить к
     <message>
         <location filename="../src/common/predefinedcommands.cpp" line="72"/>
         <source>Open in &amp;Browser</source>
-        <translation>(&amp;b) Открыть в браузере</translation>
+        <translation>Открыть в &amp;браузере</translation>
     </message>
     <message>
         <location filename="../src/common/predefinedcommands.cpp" line="80"/>
@@ -321,24 +321,25 @@ Вы можете настроить к
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Не удалось добавить новые элементы</translation>
+        <translation type="vanished">Не удалось добавить новые элементы</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Вкладка заполнена. Ошибка удаления каких-либо элементов.</translation>
+        <translation type="vanished">Вкладка заполнена. Не удалось удалить какие-либо элементы.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation>Не удаётся добавить новые элементы во вкладку %1. Пожалуйста, удалите элементы вручную, чтобы освободить место.</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Отменить изменения?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Вы точно хотите &lt;strong&gt;отменить изменения&lt;/strong&gt;?</translation>
     </message>
@@ -346,12 +347,12 @@ Вы можете настроить к
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Невозможно подключится к серверу! Вначале запустите сервер CopyQ.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Соединение потеряно!</translation>
     </message>
@@ -360,18 +361,18 @@ Вы можете настроить к
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ: Содержимое буфера обмена</translation>
+        <source>Clipboard Content</source>
+        <translation>Содержимое буфера обмена</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
         <source>&amp;Formats:</source>
-        <translation>(&amp;f) Форматы:</translation>
+        <translation>&amp;Форматы:</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="112"/>
         <source>C&amp;ontent:</source>
-        <translation>(&amp;o) Содержимое:</translation>
+        <translation>С&amp;одержимое:</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="205"/>
@@ -380,40 +381,45 @@ Вы можете настроить к
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ: Содержимое элемента</translation>
+        <source>Item Content</source>
+        <translation>Содержимое элемента</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
-        <comment>Size of data in bytes</comment>
+        <comment>Size of clipboard/item data in bytes</comment>
         <translation>&lt;strong&gt;Размер:&lt;/strong&gt; %1 байт</translation>
     </message>
+    <message>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of data in bytes</comment>
+        <translation type="vanished">&lt;strong&gt;Размер:&lt;/strong&gt; %1 байт</translation>
+    </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>Сервер CopyQ уже запущен.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Отменить запущенные команды</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Отменить запущенные команды и выйти?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Отменить выход</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Всё равно выйти</translation>
     </message>
@@ -431,18 +437,18 @@ Вы можете настроить к
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ Команды</translation>
+        <source>Commands</source>
+        <translation>Команды</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
         <source>Define new commands that can be either invoked automatically on new clipboard content or by user from menu or using system shortcut.</source>
-        <translation>Определите новые команды, которые могут быть автоматически вызваны в новом содержимом буфера обмена или пользователем из меню или с помощью ярлыка системы.</translation>
+        <translation>Определите новые команды, которые могут быть автоматически вызваны в новом содержимом буфера обмена или пользователем из меню или с помощью сочетания клавиш системы.</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="51"/>
         <source>&amp;Find:</source>
-        <translation>(&amp;f) Найти:</translation>
+        <translation>&amp;Найти:</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="64"/>
@@ -465,32 +471,32 @@ Вы можете настроить к
         <translation>Вставить комманды</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Несохранённые Изменения</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>В диалоге Команды есть несохранённые изменения.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Открыть файл с командами</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Файлы команд (*.ini);; Файлы конфигурации CopyQ (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Сохранить выбранные команды</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Файлы команд (*.ini)</translation>
     </message>
@@ -536,7 +542,7 @@ Вы можете настроить к
         <location filename="../src/gui/commandhelpbutton.cpp" line="98"/>
         <source>&amp;clipboard</source>
         <comment>Example tab name</comment>
-        <translation>(&amp;c) буфер обмена</translation>
+        <translation>&amp;буфер обмена</translation>
     </message>
 </context>
 <context>
@@ -544,7 +550,7 @@ Вы можете настроить к
     <message>
         <location filename="../src/ui/commandwidget.ui" line="31"/>
         <source>&amp;Name:</source>
-        <translation>(&amp;n) Имя:</translation>
+        <translation>&amp;Имя:</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="41"/>
@@ -564,7 +570,8 @@ Вы можете настроить к
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
-        <translation>(&amp;m) Автоматически</translation>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
+        <translation>Авто&amp;матически</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="247"/>
@@ -574,12 +581,13 @@ Вы можете настроить к
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
-        <translation>(&amp;e) В меню</translation>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
+        <translation>В м&amp;еню</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="100"/>
         <source>&amp;Global Shortcut:</source>
-        <translation>(&amp;g) Глобальный ярлык:</translation>
+        <translation>&amp;Глобальное сочетание клавиш:</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="287"/>
@@ -596,7 +604,7 @@ Оставьте пустым для о
     <message>
         <location filename="../src/ui/commandwidget.ui" line="143"/>
         <source>Comman&amp;d</source>
-        <translation>(&amp;d) Команда</translation>
+        <translation>Коман&amp;да</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="481"/>
@@ -611,7 +619,7 @@ Оставьте пустым для о
     <message>
         <location filename="../src/ui/commandwidget.ui" line="603"/>
         <source>Tr&amp;ansform</source>
-        <translation>(&amp;a) Трансформация</translation>
+        <translation>Тр&amp;ансформация</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="533"/>
@@ -621,12 +629,13 @@ Оставьте пустым для о
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
-        <translation>Глобальные ярлыки</translation>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
+        <translation>Глобальное сочетание клавиш</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="334"/>
         <source>&amp;Window:</source>
-        <translation>(&amp;w) Окно:</translation>
+        <translation>&amp;Окно:</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="327"/>
@@ -636,27 +645,29 @@ Оставьте пустым для о
     <message>
         <location filename="../src/ui/commandwidget.ui" line="175"/>
         <source>&amp;Advanced</source>
-        <translation type="unfinished">&amp;Продвинутый</translation>
+        <translation>&amp;Дополнительно</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Сценарий</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Дисплей</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="317"/>
         <source>&amp;Content:</source>
-        <translation>(&amp;c) Содержимое:</translation>
+        <translation>&amp;Содержимое:</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="351"/>
         <source>&amp;Filter:</source>
-        <translation>(&amp;f) Фильтр:</translation>
+        <translation>&amp;Фильтр:</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="361"/>
@@ -678,7 +689,7 @@ Оставьте пустым для о
     <message>
         <location filename="../src/ui/commandwidget.ui" line="374"/>
         <source>For&amp;mat:</source>
-        <translation>(&amp;) Формат:</translation>
+        <translation>Фор&amp;мат:</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="400"/>
@@ -688,7 +699,7 @@ Оставьте пустым для о
     <message>
         <location filename="../src/ui/commandwidget.ui" line="423"/>
         <source>Cop&amp;y to tab:</source>
-        <translation>(&amp;y) Копировать во вкладку:</translation>
+        <translation>Коп&amp;ировать во вкладку:</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="433"/>
@@ -707,7 +718,7 @@ Примечание: Если прим
     <message>
         <location filename="../src/ui/commandwidget.ui" line="450"/>
         <source>&amp;Remove Item</source>
-        <translation>(&amp;r) Удалить объект</translation>
+        <translation>&amp;Удалить элемент</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="460"/>
@@ -717,7 +728,7 @@ Примечание: Если прим
     <message>
         <location filename="../src/ui/commandwidget.ui" line="484"/>
         <source>&amp;Hide main window after activation</source>
-        <translation>(&amp;h) Скрыть главное окно после активации</translation>
+        <translation>&amp;Скрыть главное окно после активации</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="675"/>
@@ -727,12 +738,12 @@ Примечание: Если прим
     <message>
         <location filename="../src/ui/commandwidget.ui" line="62"/>
         <source>&amp;Shortcut:</source>
-        <translation>(&amp;s) Ярлык:</translation>
+        <translation>&amp;Сочетание клавиш:</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="344"/>
         <source>&lt;p&gt;Use command only for items copied to clipboard from window with title text that matches this regular expression (leave empty to match any window). On macOS, this contains the application name followed by a dash (&amp;quot;-&amp;quot;) then the window title. E.g. &amp;quot;Safari - GitHub&amp;quot;.&lt;/p&gt;</source>
-        <translation type="unfinished">&lt;p&gt;Используйте команду только для элементов, скопированных в буфер обмена из окна с заголовком текста, совпадающим с обычным выражением (оставьте пустым, чтобы подходило к каждому окну). На macOS это включает в себя название приложения, сопровождаемое тире &amp;quot;-&amp;quot; затем заголовок окна. Например &amp;quot;Safari - GitHub&amp;quot;&lt;/p&gt;</translation>
+        <translation>&lt;p&gt;Используйте команду только для элементов, скопированных в буфер обмена из окна с заголовком текста, совпадающим с обычным выражением (оставьте пустым, чтобы подходило к каждому окну). В macOS это включает в себя название приложения с последующими тире &amp;quot;-&amp;quot; и заголовком окна. Например &amp;quot;Safari - GitHub&amp;quot;&lt;/p&gt;</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="494"/>
@@ -747,17 +758,17 @@ Примечание: Если прим
     <message>
         <location filename="../src/ui/commandwidget.ui" line="593"/>
         <source>&amp;Wait</source>
-        <translation>(&amp;w) Подождите</translation>
+        <translation>&amp;Ждать</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="523"/>
         <source>O&amp;utput:</source>
-        <translation>(&amp;u) Вывод:</translation>
+        <translation>В&amp;ывод:</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="543"/>
         <source>&amp;Separator:</source>
-        <translation>(&amp;s) Разделитель:</translation>
+        <translation>&amp;Разделитель:</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="553"/>
@@ -772,7 +783,7 @@ Примечание: Если прим
     <message>
         <location filename="../src/ui/commandwidget.ui" line="563"/>
         <source>Output &amp;tab:</source>
-        <translation>(&amp;t) Вкладка вывода:</translation>
+        <translation>Вкладка &amp;вывода:</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="573"/>
@@ -840,7 +851,7 @@ Примечание: Если прим
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="283"/>
         <source>Show &amp;Number</source>
-        <translation>(&amp;n) Показать номер</translation>
+        <translation>Показать &amp;номер</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="290"/>
@@ -850,7 +861,7 @@ Примечание: Если прим
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="293"/>
         <source>S&amp;crollbars</source>
-        <translation>(&amp;c) Полосы прокрутки</translation>
+        <translation>Поло&amp;сы прокрутки</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="300"/>
@@ -860,22 +871,22 @@ Примечание: Если прим
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="319"/>
         <source>S&amp;et colors for tabs, tool bar and menus</source>
-        <translation>(&amp;e) Установить цвета для вкладок, панели инструментов и меню</translation>
+        <translation>Ус&amp;тановить цвета для вкладок, панели инструментов и меню</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="303"/>
         <source>S&amp;ystem Icons</source>
-        <translation>(&amp;y) Системные иконки</translation>
+        <translation>С&amp;истемные значки</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="310"/>
         <source>&amp;Antialias</source>
-        <translation>(&amp;a) Сглаживание</translation>
+        <translation>&amp;Сглаживание</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="341"/>
         <source>&amp;Reset Theme</source>
-        <translation>(&amp;r) Сбросить тему</translation>
+        <translation>С&amp;бросить тему</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="348"/>
@@ -885,22 +896,22 @@ Примечание: Если прим
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="355"/>
         <source>&amp;Load Theme</source>
-        <translation>(&amp;l) Загрузить тему</translation>
+        <translation>&amp;Загрузить тему</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="362"/>
         <source>&amp;Save Theme</source>
-        <translation>(&amp;s) Сохранить тему</translation>
+        <translation>&amp;Сохранить тему</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="369"/>
         <source>Edit current theme in external editor</source>
-        <translation>Редактировать текущую тему во внешнем редакторе</translation>
+        <translation>Изменить текущую тему во внешнем редакторе</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="372"/>
         <source>E&amp;dit Theme</source>
-        <translation>(&amp;d) Редактировать тему</translation>
+        <translation>П&amp;равить тему</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="393"/>
@@ -908,55 +919,55 @@ Примечание: Если прим
         <translation>Предварительный просмотр:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>элемент</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Строка поиска %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Выберите элемент и
-нажмите F2 для редактирования.</translation>
+нажмите F2 для изменения.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Элемент образец %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
-        <translation>Некоторые случайные заметки (Shift+F2 для редактирования)</translation>
+        <translation>Некоторые случайные заметки (Shift+F2 для изменения)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Открыть файл темы</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Сохранить файл темы как</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Нет внешнего редактора</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Сначала укажите команду внешнего редактора!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Абв</translation>
@@ -977,7 +988,7 @@ нажмите F2 для редакти
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="96"/>
         <source>Wrap l&amp;ong text</source>
-        <translation type="unfinished">(&amp;o) Перенести длинный текст</translation>
+        <translation>Переносить &amp;длинный текст</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="103"/>
@@ -987,7 +998,7 @@ нажмите F2 для редакти
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="106"/>
         <source>Alwa&amp;ys on Top</source>
-        <translation>(&amp;y) Всегда поверх других окон</translation>
+        <translation>Всегда &amp;поверх других окон</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="113"/>
@@ -1007,7 +1018,7 @@ нажмите F2 для редакти
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="126"/>
         <source>O&amp;pen windows on current screen</source>
-        <translation>(&amp;p) Открыть окна на текущем экране</translation>
+        <translation>О&amp;ткрыть окна на текущем экране</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="133"/>
@@ -1017,7 +1028,7 @@ нажмите F2 для редакти
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="136"/>
         <source>Confirm application e&amp;xit</source>
-        <translation>(&amp;x) Подтверждение выхода из приложения</translation>
+        <translation>Подтвер&amp;ждение выхода из приложения</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="146"/>
@@ -1027,7 +1038,7 @@ нажмите F2 для редакти
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="149"/>
         <source>&amp;Autostart</source>
-        <translation>(&amp;a) Автоматический запуск</translation>
+        <translation>&amp;Автоматический запуск</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="156"/>
@@ -1037,7 +1048,7 @@ нажмите F2 для редакти
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="159"/>
         <source>&amp;Vi style navigation</source>
-        <translation>(&amp;v) Стиль навигации Vi</translation>
+        <translation>&amp;Стиль навигации Vi</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="166"/>
@@ -1077,7 +1088,7 @@ нажмите F2 для редакти
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="208"/>
         <source>Allow to paste mouse selections using shortcut (usually Ctrl+V or Shift+Insert)</source>
-        <translation>Разрешить вставить выбор мыши с помощью клавиш (обычно Ctrl+V или Shift+Insert)</translation>
+        <translation>Разрешить вставку выбора мыши с помощью сочетания клавиш (обычно Ctrl+V или Shift+Insert)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="211"/>
@@ -1097,12 +1108,12 @@ нажмите F2 для редакти
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="231"/>
         <source>Save text selected with mouse (primary selection) in history</source>
-        <translation>Сохранить текст выбранный с помощью мыши (основной выбор) в истории</translation>
+        <translation>Сохранить текст, выбранный с помощью мыши (основной выбор), в истории</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="234"/>
         <source>(&amp;2) Store text selected using mouse</source>
-        <translation>(&amp;2) Сохранить выбранный текст с помощью мыши</translation>
+        <translation>(&amp;2) Сохранить текст, выбранный с помощью мыши</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="241"/>
@@ -1115,17 +1126,17 @@ нажмите F2 для редакти
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="65"/>
         <source>Maximum &amp;number of items in history:</source>
-        <translation>(&amp;n) Максимальное количество элементов в истории:</translation>
+        <translation>&amp;Максимальное число элементов в истории:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="77"/>
         <source>Maximum number of items in each tab</source>
-        <translation>Максимальное количество элементов в каждой вкладке</translation>
+        <translation>Максимальное число элементов в каждой вкладке</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="105"/>
         <source>&amp;Unload tab after an interval in minutes:</source>
-        <translation>(&amp;u) Выгрузить вкладку после перерыва в минутах:</translation>
+        <translation>&amp;Выгрузить вкладку после перерыва в минутах:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="117"/>
@@ -1139,7 +1150,7 @@ Установите 0, чтобы не
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="144"/>
         <source>External editor command (%&amp;1 is file to edit):</source>
-        <translation>Команда внешнего редактора (%&amp;1 файл для редактирования):</translation>
+        <translation>Команда внешнего редактора (%&amp;1 файл для изменения):</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="154"/>
@@ -1149,7 +1160,7 @@ Установите 0, чтобы не
     notepad %1
     gvim -f %1
     xterm -e vim %1</source>
-        <translation>Команда внешнего редактора (%1 файл для редактирования).
+        <translation>Команда внешнего редактора (%1 файл для изменения).
   Примеры:
     gedit %1
     notepad %1
@@ -1159,7 +1170,7 @@ Установите 0, чтобы не
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="169"/>
         <source>Ta&amp;b for storing clipboard:</source>
-        <translation>(&amp;b) Вкладка для хранения буфера обмена:</translation>
+        <translation>В&amp;кладка для хранения буфера обмена:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="179"/>
@@ -1175,14 +1186,14 @@ Оставьте пустым, чтоб
         <source>Leave unchecked for Return key to save edited item and Ctrl+Return create new line.
 
 Note: Edited items can be saved with F2 disregarding this option.</source>
-        <translation>Оставьте флажок для ключа Return, чтобы сохранить отредактированный элемент и Ctrl+Return, чтобы создать новую строку.
+        <translation>Оставьте флажок для ключа Return, чтобы сохранить изменённый элемент, и Ctrl+Return, чтобы создать новую строку.
 
-Примечание: Отредактированные элементы могут быть сохранены с помощью F2 игнорируя эту опцию.</translation>
+Примечание: Изменённые элементы можно сохранить с помощью F2 вне зависимости от этого параметра.</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="198"/>
         <source>Sa&amp;ve edited item with Ctrl+Return and create new line with Return key</source>
-        <translation>Сохраните измененный элемент с помощью Ctrl + Return и создайте новую строку с помощью ключа Return</translation>
+        <translation>Сохраните изменённый элемент с помощью Ctrl+Return и создайте новую строку с помощью ключа Return</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="205"/>
@@ -1196,7 +1207,7 @@ Используйте предвари
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="210"/>
         <source>Sho&amp;w simple items</source>
-        <translation>(&amp;w) Показать простые элементы</translation>
+        <translation>Пока&amp;зать простые элементы</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="217"/>
@@ -1211,7 +1222,7 @@ Используйте предвари
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="227"/>
         <source>After item is activated (double-click or Enter key), copy it to clipboard and ...</source>
-        <translation>После того, как элемент активирован (двойной щелчок или кнопка Enter), скопировать его в буфер обмена и ...</translation>
+        <translation>После активации элемента (двойной щелчок или кнопка Enter) скопировать его в буфер обмена и...</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="233"/>
@@ -1221,7 +1232,7 @@ Используйте предвари
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="236"/>
         <source>Move item to the t&amp;op</source>
-        <translation>(&amp;o) Переместить элемент наверх</translation>
+        <translation>Переместить элемент в &amp;начало</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="243"/>
@@ -1231,7 +1242,7 @@ Используйте предвари
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="246"/>
         <source>&amp;Close main window</source>
-        <translation>(&amp;c) Закрыть главное окно</translation>
+        <translation>&amp;Закрыть главное окно</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="253"/>
@@ -1241,7 +1252,7 @@ Используйте предвари
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="256"/>
         <source>&amp;Focus last window</source>
-        <translation>(&amp;f) Фокус на последнем окне</translation>
+        <translation>&amp;Фокус на последнем окне</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="263"/>
@@ -1251,7 +1262,7 @@ Используйте предвари
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="266"/>
         <source>&amp;Paste to current window</source>
-        <translation>(&amp;p) Вставить в текущее окно</translation>
+        <translation>&amp;Вставить в текущее окно</translation>
     </message>
 </context>
 <context>
@@ -1269,7 +1280,7 @@ Используйте предвари
     <message>
         <location filename="../src/ui/configtablayout.ui" line="71"/>
         <source>Hi&amp;de tabs</source>
-        <translation>(&amp;d) Скрыть вкладки</translation>
+        <translation>С&amp;крыть вкладки</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="78"/>
@@ -1279,12 +1290,12 @@ Используйте предвари
     <message>
         <location filename="../src/ui/configtablayout.ui" line="81"/>
         <source>Hide too&amp;lbar</source>
-        <translation>(&amp;l) Скрыть панель инструментов</translation>
+        <translation>Скрыть пане&amp;ль инструментов</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="88"/>
         <source>Hide tool&amp;bar labels</source>
-        <translation>(&amp;b) Скрыть ярлыки панели инструментов</translation>
+        <translation>Скрыть &amp;значки панели инструментов</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="95"/>
@@ -1294,7 +1305,7 @@ Используйте предвари
     <message>
         <location filename="../src/ui/configtablayout.ui" line="98"/>
         <source>Hide &amp;main window</source>
-        <translation>(&amp;m) Скрыть главное окно</translation>
+        <translation>Скрыть &amp;главное окно</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="108"/>
@@ -1309,12 +1320,12 @@ Используйте предвари
     <message>
         <location filename="../src/ui/configtablayout.ui" line="120"/>
         <source>Tab T&amp;ree</source>
-        <translation>(&amp;r) Дерево вкладок</translation>
+        <translation>&amp;Дерево вкладок</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="127"/>
         <source>&amp;Focused transparency:</source>
-        <translation>(&amp;f) Прозрачность в фокусе:</translation>
+        <translation>&amp;Прозрачность в фокусе:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="139"/>
@@ -1327,7 +1338,7 @@ Примечание: Поддержив
     <message>
         <location filename="../src/ui/configtablayout.ui" line="169"/>
         <source>&amp;Unfocused transparency:</source>
-        <translation>(&amp;u) Прозрачность не в фокусе:</translation>
+        <translation>Прозрачность &amp;не в фокусе:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="181"/>
@@ -1340,12 +1351,12 @@ Примечание: Поддержив
     <message>
         <location filename="../src/ui/configtablayout.ui" line="211"/>
         <source>Show number of items in tabs</source>
-        <translation>Показать количество элементов во вкладках</translation>
+        <translation>Показать число элементов во вкладках</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="214"/>
         <source>Sho&amp;w Item Count</source>
-        <translation>(&amp;w) Показать количество элементов</translation>
+        <translation>Пока&amp;зать число элементов</translation>
     </message>
 </context>
 <context>
@@ -1353,7 +1364,7 @@ Примечание: Поддержив
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="65"/>
         <source>&amp;Notification position:</source>
-        <translation>(&amp;n) Позиция уведомления:</translation>
+        <translation>Позиция &amp;уведомления:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="77"/>
@@ -1393,7 +1404,7 @@ Примечание: Поддержив
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="129"/>
         <source>Int&amp;erval in seconds to display notifications:</source>
-        <translation>(&amp;e) Интервал в секундах для отображения уведомлений:</translation>
+        <translation>Инт&amp;ервал отображения уведомлений в секундах:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="141"/>
@@ -1411,7 +1422,7 @@ Установите в -1, чтобы 
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="173"/>
         <source>Num&amp;ber of lines for clipboard notification:</source>
-        <translation>(&amp;b) Число строк в уведомлении буфера обмена:</translation>
+        <translation>&amp;Число строк в уведомлении буфера обмена:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="185"/>
@@ -1430,7 +1441,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="220"/>
         <source>Hori&amp;zontal offset:</source>
-        <translation>(&amp;z) Горизонтальное смещение:</translation>
+        <translation>Гори&amp;зонтальное смещение:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="232"/>
@@ -1440,7 +1451,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="260"/>
         <source>&amp;Vertical offset:</source>
-        <translation>(&amp;v) Вертикальное смещение:</translation>
+        <translation>&amp;Вертикальное смещение:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="272"/>
@@ -1450,7 +1461,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="300"/>
         <source>Maximum &amp;width:</source>
-        <translation>(&amp;w) Максимальная ширина:</translation>
+        <translation>Максимальная &amp;ширина:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="312"/>
@@ -1460,7 +1471,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="337"/>
         <source>Ma&amp;ximum height:</source>
-        <translation>(&amp;x) Максимальная высота:</translation>
+        <translation>Ма&amp;ксимальная высота:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="349"/>
@@ -1478,7 +1489,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../src/ui/configtabtray.ui" line="63"/>
         <source>Disabl&amp;e tray</source>
-        <translation>(&amp;e) Отключить трей</translation>
+        <translation>Отключить тр&amp;ей</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="70"/>
@@ -1488,32 +1499,32 @@ Установите в 0, чтобы в
     <message>
         <location filename="../src/ui/configtabtray.ui" line="73"/>
         <source>Sho&amp;w commands for clipboard content</source>
-        <translation>(&amp;w) Показать команды для содержимого буфера обмена</translation>
+        <translation>Показ&amp;ать команды для содержимого буфера обмена</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="82"/>
         <source>N&amp;umber of items in tray menu:</source>
-        <translation>(&amp;u) Количество элементов в меню в трее:</translation>
+        <translation>&amp;Число элементов в меню трея:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="92"/>
         <source>Number of items in tray menu</source>
-        <translation>Количество элементов в меню в трее</translation>
+        <translation>Число элементов в меню трея</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="119"/>
         <source>Show items from current tab in tray menu</source>
-        <translation>Показать элементы из текущей вкладки в меню в трее</translation>
+        <translation>Показать элементы из текущей вкладки в меню трея</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="122"/>
         <source>Show cu&amp;rrent tab in menu,</source>
-        <translation>(&amp;r) Показать текущую вкладку в меню,</translation>
+        <translation>Показать &amp;текущую вкладку в меню,</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="129"/>
         <source>or &amp;choose other tab:</source>
-        <translation>(&amp;c) или выбрать другую вкладку:</translation>
+        <translation>или вы&amp;брать другую вкладку:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="145"/>
@@ -1528,7 +1539,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../src/ui/configtabtray.ui" line="173"/>
         <source>&amp;Paste activated item to current window</source>
-        <translation>(&amp;p) Вставить активированный элемент в текущее окно</translation>
+        <translation>&amp;Вставить активный элемент в текущее окно</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="180"/>
@@ -1538,15 +1549,15 @@ Установите в 0, чтобы в
     <message>
         <location filename="../src/ui/configtabtray.ui" line="183"/>
         <source>Sh&amp;ow image preview as menu item icon</source>
-        <translation>(&amp;o) Показать предварительный просмотр изображения в качестве значка пункта меню</translation>
+        <translation>Пока&amp;зать предварительный просмотр изображения в качестве значка пункта меню</translation>
     </message>
 </context>
 <context>
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>Конфигурация CopyQ</translation>
+        <source>Configuration</source>
+        <translation>Конфигурация</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1622,7 +1633,7 @@ Установите в 0, чтобы в
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Не удалось создать каталог синхронизации &quot;%1&quot;!</translation>
     </message>
@@ -1654,8 +1665,8 @@ Установите в 0, чтобы в
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>CopyQ выбирете значек</translation>
+        <source>Select Icon</source>
+        <translation>Выберите значок</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1678,22 +1689,22 @@ Установите в 0, чтобы в
     <message>
         <location filename="../src/ui/importexportdialog.ui" line="17"/>
         <source>&amp;All</source>
-        <translation>(&amp;a) Все</translation>
+        <translation>&amp;Все</translation>
     </message>
     <message>
         <location filename="../src/ui/importexportdialog.ui" line="27"/>
         <source>&amp;Tabs:</source>
-        <translation>(&amp;t) Вкладки:</translation>
+        <translation>&amp;Вкладки:</translation>
     </message>
     <message>
         <location filename="../src/ui/importexportdialog.ui" line="44"/>
         <source>Co&amp;nfiguration</source>
-        <translation>(&amp;n) Конфигурация</translation>
+        <translation>Ко&amp;нфигурация</translation>
     </message>
     <message>
         <location filename="../src/ui/importexportdialog.ui" line="51"/>
         <source>Co&amp;mmands</source>
-        <translation>(&amp;m) Команды</translation>
+        <translation>Ко&amp;манды</translation>
     </message>
 </context>
 <context>
@@ -1701,102 +1712,102 @@ Установите в 0, чтобы в
     <message>
         <location filename="../src/item/itemeditor.cpp" line="149"/>
         <source>editor exit code is %1</source>
-        <translation>Код выхода редактора -% 1</translation>
+        <translation>Код завершения редактора: %1</translation>
     </message>
     <message>
         <location filename="../src/item/itemeditor.cpp" line="192"/>
         <source>Editor command: %1</source>
-        <translation>Команда редактора:% 1</translation>
+        <translation>Команда редактора: %1</translation>
     </message>
 </context>
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Сохранить</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
-        <translation>Сохранить элемент &lt;strong&gt;F2&lt;/strong&gt;</translation>
+        <translation>Сохранить элемент (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
-        <translation>Завершить</translation>
+        <translation>Отмена</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
-        <translation>Завершить редактирование и вернуть изменения</translation>
+        <translation>Отменить правку и вернуть изменения</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Шрифт</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Жирный</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Курсив</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
-        <translation>Подчеркивание</translation>
+        <translation>Подчёркивание</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
-        <translation>Зачеркнутый</translation>
+        <translation>Зачёркнутый</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Передний план</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Фон</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Стиль стирания</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Поиск</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
-        <translation>Отмена</translation>
+        <translation>Отменить действие</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
-        <translation>Применить</translation>
+        <translation>Вернуть действие</translation>
     </message>
 </context>
 <context>
@@ -1881,7 +1892,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../plugins/itemencrypted/itemencrypted.cpp" line="904"/>
         <source>Encryption keys &lt;strong&gt;must be generated&lt;/strong&gt; before item encryption can be used.</source>
-        <translation>Ключи шифрования&lt;strong&gt; должны быть сгенерированы &lt;/strong&gt;перед использованием шифрования элемента.</translation>
+        <translation>Ключи шифрования &lt;strong&gt;должны быть сгенерированы&lt;/strong&gt; перед использованием шифрования элемента.</translation>
     </message>
     <message>
         <location filename="../plugins/itemencrypted/itemencrypted.cpp" line="907"/>
@@ -1954,7 +1965,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../plugins/itemfakevim/itemfakevim.h" line="46"/>
         <source>Emulate Vim editor while editing items.</source>
-        <translation>Эмулируйте редактор Vim во время редактирования элементов.</translation>
+        <translation>Эмулировать редактор Vim во время изменения элементов.</translation>
     </message>
 </context>
 <context>
@@ -1962,7 +1973,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../plugins/itemfakevim/itemfakevimsettings.ui" line="17"/>
         <source>Enable FakeVim for Editing Items</source>
-        <translation>Включить FakeVim для редактирования элементов</translation>
+        <translation>Включить FakeVim для изменения элементов</translation>
     </message>
     <message>
         <location filename="../plugins/itemfakevim/itemfakevimsettings.ui" line="24"/>
@@ -1988,7 +1999,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../plugins/itemimage/itemimagesettings.ui" line="19"/>
         <source>Maximum Image &amp;Width:</source>
-        <translation>(&amp;w) Максимальная ширина изображения:</translation>
+        <translation>Максимальная &amp;ширина изображения:</translation>
     </message>
     <message>
         <location filename="../plugins/itemimage/itemimagesettings.ui" line="34"/>
@@ -1998,7 +2009,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../plugins/itemimage/itemimagesettings.ui" line="59"/>
         <source>Maximum Image &amp;Height:</source>
-        <translation>(&amp;h) Максимальная высота изображения:</translation>
+        <translation>Максимальная &amp;высота изображения:</translation>
     </message>
     <message>
         <location filename="../plugins/itemimage/itemimagesettings.ui" line="77"/>
@@ -2008,7 +2019,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../plugins/itemimage/itemimagesettings.ui" line="109"/>
         <source>&amp;Image editor command:</source>
-        <translation>(&amp;i) Команда редактора изображения:</translation>
+        <translation>Команда &amp;редактора изображений:</translation>
     </message>
     <message>
         <location filename="../plugins/itemimage/itemimagesettings.ui" line="119"/>
@@ -2018,12 +2029,12 @@ Установите в 0, чтобы в
     <message>
         <location filename="../plugins/itemimage/itemimagesettings.ui" line="126"/>
         <source>&amp;SVG editor command:</source>
-        <translation>(&amp;s) Команда редактора SVG:</translation>
+        <translation>К&amp;оманда редактора SVG:</translation>
     </message>
     <message>
         <location filename="../plugins/itemimage/itemimagesettings.ui" line="136"/>
         <source>Editor command for SVG image format.</source>
-        <translation>Редактор для формата изображения SVG.</translation>
+        <translation>Редактор для формата изображений SVG.</translation>
     </message>
 </context>
 <context>
@@ -2064,7 +2075,7 @@ Установите в 0, чтобы в
     <message>
         <location filename="../plugins/itemnotes/itemnotessettings.ui" line="47"/>
         <source>Show Too&amp;l Tip</source>
-        <translation>(&amp;l) Показать всплывающую подсказку</translation>
+        <translation>Показать всп&amp;лывающую подсказку</translation>
     </message>
 </context>
 <context>
@@ -2072,22 +2083,22 @@ Установите в 0, чтобы в
     <message>
         <location filename="../src/ui/itemorderlist.ui" line="50"/>
         <source>&amp;Add</source>
-        <translation>(&amp;a) Добавить</translation>
+        <translation>&amp;Добавить</translation>
     </message>
     <message>
         <location filename="../src/ui/itemorderlist.ui" line="63"/>
         <source>&amp;Remove</source>
-        <translation>(&amp;r) Удалить</translation>
+        <translation>&amp;Удалить</translation>
     </message>
     <message>
         <location filename="../src/ui/itemorderlist.ui" line="73"/>
         <source>&amp;Up</source>
-        <translation>(&amp;u) Вверх</translation>
+        <translation>&amp;Вверх</translation>
     </message>
     <message>
         <location filename="../src/ui/itemorderlist.ui" line="83"/>
         <source>&amp;Down</source>
-        <translation>(&amp;d) Вниз</translation>
+        <translation>Вни&amp;з</translation>
     </message>
 </context>
 <context>
@@ -2095,30 +2106,30 @@ Установите в 0, чтобы в
     <message>
         <location filename="../plugins/itempinned/itempinned.cpp" line="200"/>
         <source>Cannot Remove Pinned Items</source>
-        <translation>Не удается удалить закрепленные элементы</translation>
+        <translation>Не удается удалить закреплённые элементы</translation>
     </message>
     <message>
         <location filename="../plugins/itempinned/itempinned.cpp" line="201"/>
         <source>Unpin items first to remove them.</source>
-        <translation>Сначала открепите элементы, чтобы удалить их.</translation>
+        <translation>Открепите элементы перед тем, как удалить.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Прикрепить</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Открепить</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
-        <translation>Закрепленные элементы</translation>
+        <translation>Закреплённые элементы</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt;Закрепить элементы, чтобы заблокировать их в текущей строке и избежать удаления (пока они не откреплены).&lt;/p&gt;&lt;p&gt;Обеспечивает функциональность комбинаций клавиш и сценариев.&lt;/p&gt;</translation>
     </message>
@@ -2126,28 +2137,28 @@ Установите в 0, чтобы в
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Обзор...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Открыть каталог для синхронизации</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Не удалось создать каталог синхронизации</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Синхронизация</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Синхронизировать элементы и заметки с каталогом на диске.</translation>
     </message>
@@ -2155,17 +2166,17 @@ Установите в 0, чтобы в
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>Не удалось синхронизировать вкладку «% 1» с каталогом «% 2»!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Удалить элементы?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>Вы действительно хотите &lt;strong&gt;удалить элементы и связанные файлы&lt;/strong&gt;?</translation>
     </message>
@@ -2181,7 +2192,7 @@ Установите в 0, чтобы в
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="42"/>
         <source>&lt;p&gt;Synchronize contents of &lt;strong&gt;tab&lt;/strong&gt; with directory with given &lt;strong&gt;path&lt;/strong&gt;.&lt;/p&gt;
 &lt;p&gt;Set &lt;strong&gt;empty path&lt;/strong&gt; not to save items in &lt;strong&gt;tab&lt;/strong&gt;.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Синхронизировать содержимое &lt;strong&gt;вкладки&lt;/strong&gt; с каталогом с данным &lt;strong&gt;путем&lt;/strong&gt;.&lt;/p&gt;
+        <translation>&lt;p&gt;Синхронизировать содержимое &lt;strong&gt;вкладки&lt;/strong&gt; с каталогом с данным &lt;strong&gt;путём&lt;/strong&gt;.&lt;/p&gt;
 &lt;p&gt;Задать &lt;strong&gt;пустой путь&lt;/strong&gt;для того, чтобы не сохранять элементы во &lt;strong&gt;вкладке&lt;/strong&gt;.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2201,9 +2212,26 @@ Установите в 0, чтобы в
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation>&lt;p&gt;Для пропуска файлов установите медиа-тип в &lt;strong&gt;-&lt;/strong&gt; (символ минуса) . Любые другие неизвестные или скрытые файлы будут проигнорированы.&lt;/p&gt;
+&lt;p&gt;Пример: загрузка файла с расширением &lt;strong&gt;txt&lt;/strong&gt; в виде медиа-типа &lt;strong&gt;text/plain&lt;/strong&gt;.&lt;/p&gt;</translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation>Медиа-тип элемента</translation>
+    </message>
+    <message>
+        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <translation type="vanished">&lt;p&gt;Установите тип MIME на &lt;strong&gt;-&lt;/strong&gt; (символ минуса) для пропуска файлов. Любые другие неизвестные или скрытые файлы игнорируются.&lt;/p&gt;
+&lt;p&gt;Пример: Загрузить тип файла &lt;strong&gt;txt&lt;/strong&gt; в виде типа MIME &lt;strong&gt;text/plain&lt;/strong&gt;.&lt;/p&gt;</translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Установите MIME тип на&lt;strong&gt;-&lt;/strong&gt; (тире), чтобы игнорировать файлы. Любые другие неизвестные или скрытые файлы игнорируются.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;Установите MIME тип на&lt;strong&gt;-&lt;/strong&gt; (тире), чтобы игнорировать файлы. Любые другие неизвестные или скрытые файлы игнорируются.&lt;/p&gt;
 &lt;p&gt;Пример. Загрузите расширение файла&lt;strong&gt;txt&lt;/strong&gt; в виде&lt;strong&gt; текстового / простого&lt;/strong&gt; MIME-типа.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2212,41 +2240,40 @@ Установите в 0, чтобы в
         <translation>Расширения</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>MIME тип элемента</translation>
+        <translation type="vanished">MIME-тип элемента</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Добавить метку</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Удалить метку</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Пометить как %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Удалить метку %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Важный</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Очистить все метки</translation>
     </message>
@@ -2355,161 +2382,160 @@ Установите в 0, чтобы в
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>Журнал CopyQ</translation>
+        <source>Log</source>
+        <translation>Журнал</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Выход?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>Вы хотите &lt;strong&gt;выйти из &lt;/strong&gt;CopyQ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
-        <translation>(&amp;f) Файл</translation>
+        <translation>&amp;Файл</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
-        <translation>(&amp;e) Редактировать</translation>
+        <translation>&amp;Правка</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
-        <translation>(&amp;i) Элемент</translation>
+        <translation>&amp;Элемент</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
-        <translation>(&amp;t) Закладки</translation>
+        <translation>&amp;Закладки</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
-        <translation>(&amp;h) Помощь</translation>
+        <translation>&amp;Справка</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>Параметры CopyQ для импорта</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation>Параметры импорта</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
-        <translation>(&amp;s) Показать/спрятать</translation>
+        <translation>&amp;Показать/спрятать</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>Параметры CopyQ для экспорта</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation>Параметры экспорта</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>Ошибка копирования CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation>Ошибка экспорта</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>Не удалось экспортировать файл% 1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
-        <translation>(&amp;e) Включить сохранение буфера обмена</translation>
+        <translation>&amp;Включить сохранение буфера обмена</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
-        <translation>(&amp;d) Отключить хранение буфера обмен</translation>
+        <translation>&amp;Отключить хранение буфера обмена</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>Ошибка CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
-        <translation>(&amp;n) Новая вкладка</translation>
+        <translation>&amp;Новая вкладка</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
-        <translation>(&amp;g) Переименовать группу %1</translation>
+        <translation>Переименовать &amp;группу %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
-        <translation>(&amp;n) Переименовать вкладку %1</translation>
+        <translation>Переиме&amp;новать вкладку %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
-        <translation>(&amp;m) Удалить вкладку %1</translation>
+        <translation>У&amp;далить вкладку %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Удалить группу %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
-        <translation>(&amp;c) Изменить значек вкладки</translation>
+        <translation>&amp;Изменить значок вкладки</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
-        <translation>(&amp;c) Буфер обмена: %1</translation>
+        <translation>&amp;Буфер обмена: %1</translation>
     </message>
     <message>
         <location filename="../src/gui/mainwindow.cpp" line="313"/>
         <source>CopyQ Items (*.cpq)</source>
-        <translation>Элементы CopyQ (* .cpq)</translation>
+        <translation>Элементы CopyQ (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>Ошибка копирования CopyQ</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation>Ошибка импорта</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>Не удалось импортировать файл %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Удалить все вкладки в группе?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Вы хотите удалить &lt;strong&gt;все вкладки&lt;/strong&gt; в группе &lt;strong&gt;%1 &lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Удалить вкладку ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Вы хотите удалить вкладку &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
@@ -2525,13 +2551,13 @@ Установите в 0, чтобы в
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;Скрыто&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2541,25 +2567,25 @@ Установите в 0, чтобы в
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;Изображение&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;Элементы&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;Пусто&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;Данные&gt;</translation>
@@ -2568,26 +2594,26 @@ Установите в 0, чтобы в
         <location filename="../src/common/shortcuts.cpp" line="49"/>
         <source>Backspace</source>
         <comment>Key to remove item or MIME on OS X</comment>
-        <translation>BACKSPACE</translation>
+        <translation>Backspace</translation>
     </message>
     <message>
         <location filename="../src/common/shortcuts.cpp" line="51"/>
         <source>Delete</source>
         <comment>Key to remove item or MIME</comment>
-        <translation>Удалить</translation>
+        <translation>Delete</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
             <numerusform>%1 тег&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; не %n строк того &amp;mdash;&lt;/small&gt;&lt;/div&gt;</numerusform>
+            <numerusform>%1 тега&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; не %n строк того &amp;mdash;&lt;/small&gt;&lt;/div&gt;</numerusform>
             <numerusform>%1 тегов&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; не %n строк того &amp;mdash;&lt;/small&gt;&lt;/div&gt;</numerusform>
-            <numerusform>%1 тег&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; не %n строк того &amp;mdash;&lt;/small&gt;&lt;/div&gt;</numerusform>
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2603,12 +2629,12 @@ которые могут быть бу
         <location filename="../src/common/appconfig.cpp" line="39"/>
         <source>&amp;clipboard</source>
         <comment>Default name of the tab that automatically stores new clipboard content</comment>
-        <translation>(&amp;c) буфер обмена</translation>
+        <translation>&amp;буфер обмена</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="60"/>
         <source>&amp;New Item</source>
-        <translation>(&amp;n) Новый элемент</translation>
+        <translation>&amp;Новый элемент</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="62"/>
@@ -2618,17 +2644,17 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="62"/>
         <source>&amp;Import...</source>
-        <translation>(&amp;i) Импорт...</translation>
+        <translation>&amp;Импорт...</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="64"/>
         <source>&amp;Export...</source>
-        <translation>(&amp;e) Экспорт...</translation>
+        <translation>&amp;Экспорт...</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="66"/>
         <source>&amp;Preferences...</source>
-        <translation>(&amp;p) Предпочтения...</translation>
+        <translation>&amp;Настройки...</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="66"/>
@@ -2638,12 +2664,12 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="70"/>
         <source>C&amp;ommands/Global Shortcuts...</source>
-        <translation>(&amp;o) Команды/Глобальные сочетания клавиш...</translation>
+        <translation>К&amp;оманды/глобальные сочетания клавиш...</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="72"/>
         <source>C&amp;ommands...</source>
-        <translation>(&amp;o) Команды...</translation>
+        <translation>К&amp;оманды...</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="74"/>
@@ -2653,7 +2679,7 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="76"/>
         <source>Show &amp;Clipboard Content</source>
-        <translation>(&amp;c) Показать содержимого буфера обмена</translation>
+        <translation>Показать содержимое &amp;буфера обмена</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="77"/>
@@ -2661,104 +2687,104 @@ которые могут быть бу
         <translation>Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
-        <translation>(&amp;t) Переключение сохранения буфера обмена</translation>
+        <translation>&amp;Переключение сохранения буфера обмена</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
-        <translation>(&amp;r) Менеджер процессов</translation>
+        <translation>Менеджер п&amp;роцессов</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
-        <translation>(&amp;x) Выход</translation>
+        <translation>В&amp;ыход</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
-        <translation>(&amp;s) Сортировка Выбранных Элементов</translation>
+        <translation>&amp;Сортировка выбранных элементов</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
-        <translation>(&amp;r) Отменить выбранные элементы</translation>
+        <translation>&amp;Обратить выбор элементов</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
-        <translation>(&amp;p) Вставить элементы</translation>
+        <translation>&amp;Вставить элементы</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
-        <translation>(&amp;с) Скопировать выбранные элементы</translation>
+        <translation>&amp;Копировать выбранные элементы</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
-        <translation>(&amp;f) Найти</translation>
+        <translation>&amp;Найти</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
-        <translation>(&amp;c) Переместить в буфер обмена</translation>
+        <translation>Переместить в &amp;буфер обмена</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
-        <translation>(&amp;s) Показать содержимое...</translation>
+        <translation>&amp;Показать содержимое...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
-        <translation>(&amp;s) Показать Предварительный Просмотр</translation>
+        <translation>&amp;Показать предварительный просмотр</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="104"/>
         <source>&amp;Remove</source>
-        <translation>(&amp;r) Удалить</translation>
+        <translation>&amp;Удалить</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="106"/>
         <source>&amp;Edit</source>
-        <translation>(&amp;e) Редактировать</translation>
+        <translation>&amp;Правка</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="106"/>
@@ -2768,7 +2794,7 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="108"/>
         <source>Edit &amp;Notes</source>
-        <translation>(&amp;n) Редактировать Заметки</translation>
+        <translation>Изменить &amp;заметки</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="109"/>
@@ -2778,7 +2804,7 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="110"/>
         <source>E&amp;dit with editor</source>
-        <translation>(&amp;d) Редактировать с помощью редактора</translation>
+        <translation>&amp;Изменить в редакторе</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="111"/>
@@ -2788,7 +2814,7 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="112"/>
         <source>&amp;Action...</source>
-        <translation>(&amp;a) Действие...</translation>
+        <translation>&amp;Действие...</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="112"/>
@@ -2838,7 +2864,7 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="124"/>
         <source>&amp;New Tab</source>
-        <translation>(&amp;n) Новая вкладка</translation>
+        <translation>&amp;Новая вкладка</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="125"/>
@@ -2848,7 +2874,7 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="126"/>
         <source>R&amp;ename Tab</source>
-        <translation>(&amp;e) Переименовать вкладку</translation>
+        <translation>П&amp;ереименовать вкладку</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="127"/>
@@ -2858,7 +2884,7 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="128"/>
         <source>Re&amp;move Tab</source>
-        <translation>(&amp;m) Удалить вкладку</translation>
+        <translation>Уд&amp;алить вкладку</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="129"/>
@@ -2868,7 +2894,7 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="130"/>
         <source>&amp;Change Tab Icon</source>
-        <translation>(&amp;c) Изменить Значок Вкладки</translation>
+        <translation>&amp;Изменить значок вкладки</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="131"/>
@@ -2878,7 +2904,7 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="132"/>
         <source>Ne&amp;xt Tab</source>
-        <translation>(&amp;x) Следующая вкладка</translation>
+        <translation>Сле&amp;дующая вкладка</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="133"/>
@@ -2906,12 +2932,12 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="135"/>
         <source>&amp;Previous Tab</source>
-        <translation>(&amp;p) Предидущая вкладка</translation>
+        <translation>Предыду&amp;щая вкладка</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="141"/>
         <source>&amp;Show Log</source>
-        <translation>(&amp;s) Показать журнал</translation>
+        <translation>&amp;Показать журнал</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="141"/>
@@ -2921,15 +2947,15 @@ которые могут быть бу
     <message>
         <location filename="../src/gui/menuitems.cpp" line="143"/>
         <source>&amp;About</source>
-        <translation>(&amp;a) О программе</translation>
+        <translation>&amp;О программе</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="139"/>
         <source>&amp;Help</source>
-        <translation>(&amp;h) Помощь</translation>
+        <translation>&amp;Справка</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>Закладка %1 повреждены или отсутствуют некоторые плагины CopyQ!</translation>
     </message>
@@ -2937,209 +2963,205 @@ которые могут быть бу
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Скрыть главное окно.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Показать или скрыть главное окно.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Открыть контекстное меню.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Отключиться от сервера.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Отключить или включить хранение содержимого буфера обмена.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Печать содержимого буфера обмена.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>Печать X11 содержимого выделения.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Вставить содержимое буфера обмена в текущее окно
 (может не работать с некоторыми приложениями).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>Задать текст из буфера обмена.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>ТЕКСТ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 Установить содержимое буфера обмена.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>Данные</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>Копировать элемент в строке в буфер обмена.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>СТРОКА</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
-        <translation>Скопировать следующий элемент из текущей вкладки в буфер обмена.</translation>
+        <translation>Копировать следующий элемент из текущей вкладки в буфер обмена.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Копировать предыдущий элемент из текущей вкладки в буфер обмена.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Добавить текст в буфер обмена.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Вставить текст в данной строке.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
-        <translation>Удалить элементы в заданных строк.</translation>
+        <translation>Удалить элементы в заданных строках.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>Строки</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
-        <translation>Изменять или редактировать новый.
+        <translation>Изменить или редактировать новый.
 Значение -1 для текущего текста в буфер обмена.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>Задать разделитель для элементов на выходе.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>Разделитель</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Печать необработанные данные буфера обмена или элемента в строке.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Запись исходных данных в данной строке.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>Показать диалог действий.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 Запустите программу на текст элемента в строках.
 Используйте %1 в программе для передачи текста в качестве аргумента.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>Программа</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 Показать всплывающее сообщение в трее на время миллисекундах.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>Заголовок</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>Сообщение</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>Время</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>Список имен доступных вкладок.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3148,218 +3170,263 @@ Если она не существуе
 Значение по умолчанию — первая вкладка.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 Оценка программы на ECMAScript.
 Аргументы могут быть доступны при использовании с &quot;аргументами[0..N]&quot;.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>Выполнения тестов приложение (добавить аргумент --help для получения дополнительной информации).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>Имя</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Показать главное окно и при необходимости открыть вкладку с заданным именем.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation>Копировать буфер обмена из текущего окна
+(может работать не со всеми приложениями).</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation>Установить содержимое буфера обмена.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
-        <translation>Печать количества элементов в текущей вкладке.</translation>
+        <translation>Печатать число элементов в текущей вкладке.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation>Записать необработанные данные в эту строку.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation>Запустить ПРОГРАММУ на элементах текста в строках.
+Используйте %1 в ПРОГРАММЕ для обработки текста в видео аргумента.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation>Показывать всплывающее сообщение лотка в течении ВРЕМЕНИ миллисекунд.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>Команда</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Вкладка удалить.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Переименуйте вкладку.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>НОВОЕ_ИМЯ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
-        <translation>Экспорта элементов в файл.</translation>
+        <translation>Экспорт элементов в файл.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>ИМЯ_ФАЙЛА</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Импорт элементов из файла.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>Список всех параметров.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>Получите значение параметра.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>ПАРАМЕТР</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Задать значение параметра.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>Значение</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation>Оценить сценарий.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>Сценарий</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>АРГУМЕНТЫ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation>Запускает или подключается к экземпляру приложения с указаным именем сеанса.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation>Вывести справку для КОМАНДЫ или для всех команд.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation>Вывести версию программы и библиотек.</translation>
+    </message>
+    <message>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 Начинается или подключается к экземпляру приложения с указанным именем сессии.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>СЕССИЯ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 Распечатать справку для команды или всех команд.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Печатать версию программы и библиотек.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Использование: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Запуск сервера, если команда не указана.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  Команды:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>ЗАМЕТКИ:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  -Используйте аргумент двойной тире (-) для чтения все следующие аргументы без расширения escape
 -последовательности (например, \n, \t и другие).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
-        <translation>  -Использования? для MIME печати доступных типов MIME (значение по умолчанию — «text/plain»).</translation>
+        <translation>  - Использовать для MIME символ ? для распечатки доступных MIME-типов (значение по умолчанию — «text/plain»).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Неверное число аргументов!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Команда не найдена!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Сервер завершает работу.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>Исключение</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>Исключение в %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Не удается скопировать в буфер обмена!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>Не удается сохранить в файл «%1»!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  -Используйте аргумент тире (-) для чтения данных из стандартного ввода.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>Не удается импортировать файл «%1»!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Недопустимый параметр «%1»!</translation>
     </message>
@@ -3367,31 +3434,29 @@ Печатать версию прогр
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>Вкладки с таким именем не существует!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>Имя вкладки не может быть пустым!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>Вкладка с таким именем уже существует!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>%1 - CopyQ</translation>
+        <translation type="vanished">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>%1 - %2 - CopyQ</translation>
+        <translation type="vanished">%1 - %2 - CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3399,15 +3464,15 @@ Печатать версию прогр
     <message>
         <location filename="../src/gui/shortcutbutton.cpp" line="47"/>
         <source>Add shortcut</source>
-        <translation>Добавить ярлык</translation>
+        <translation>Добавить сочетание клавиш</translation>
     </message>
 </context>
 <context>
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>CopyQ новый ярлык</translation>
+        <source>New Shortcut</source>
+        <translation>Новое сочетание клавиш</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3422,7 +3487,7 @@ Печатать версию прогр
     <message>
         <location filename="../src/gui/shortcutdialog.cpp" line="64"/>
         <source>Remove Shortcut</source>
-        <translation>Удалить Ярлык</translation>
+        <translation>Удалить сочетание клавиш</translation>
     </message>
 </context>
 <context>
@@ -3430,12 +3495,12 @@ Печатать версию прогр
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="31"/>
         <source>&amp;Find:</source>
-        <translation>(&amp;f) Найти:</translation>
+        <translation>&amp;Найти:</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="50"/>
         <source>Gl&amp;obal</source>
-        <translation type="unfinished">&amp;Общий</translation>
+        <translation>&amp;Общие</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="56"/>
@@ -3449,13 +3514,17 @@ Печатать версию прогр
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
+        <source>Application shortcuts can only be triggered from the main window.</source>
+        <translation>Сочетания клавиш приложения работают только в главном окне.</translation>
+    </message>
+    <message>
         <source>Application shortcuts can be triggered only from the main window.</source>
-        <translation>Активировать ярлыки приложений можно только из главного окна.</translation>
+        <translation type="vanished">Активировать ярлыки приложений можно только из главного окна.</translation>
     </message>
     <message>
         <location filename="../src/gui/shortcutswidget.cpp" line="246"/>
         <source>Shortcut already exists!</source>
-        <translation>Ярлык уже существует!</translation>
+        <translation>Сочетание клавиш уже существует!</translation>
     </message>
 </context>
 <context>
@@ -3466,28 +3535,28 @@ Печатать версию прогр
 Tab &lt;b&gt;No&amp;amp;tes&lt;/b&gt; can be opened using &lt;b&gt;Alt+t&lt;/b&gt;.&lt;br /&gt;
 Use &lt;b&gt;/&lt;/b&gt; as path separator in tree view tab layout.</source>
         <translation>Имя вкладки должно быть не пустым и уникальным.&lt;br /&gt; 
-Вкладка &lt;b&gt;Заметки&lt;/b&gt; может быть открыта с помощью &lt;b&gt;Alt+T&lt;/b&gt;.&lt;br /&gt;
+Вкладку &lt;b&gt;Заметки&lt;/b&gt; можно открыть с помощью &lt;b&gt;Alt+T&lt;/b&gt;.&lt;br /&gt;
 Используйте &lt;b&gt;/&lt;/b&gt; в качестве разделителя пути в вкладке вида дерева.</translation>
     </message>
     <message>
         <location filename="../src/ui/tabdialog.ui" line="43"/>
         <source>&amp;Name:</source>
-        <translation>(&amp;т) Имя:</translation>
+        <translation>&amp;Имя:</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>CopyQ новая вкладка</translation>
+        <source>New Tab</source>
+        <translation>Новая вкладка</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>CopyQ Переименовать вкладку</translation>
+        <source>Rename Tab</source>
+        <translation>Переименовать вкладку</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>CopyQ Переименование группы вкладок</translation>
+        <source>Rename Tab Group</source>
+        <translation>Переименовать группу вкладок</translation>
     </message>
 </context>
 <context>
@@ -3495,7 +3564,7 @@ Используйте &lt;b&gt;/&lt;/b&
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="46"/>
         <source>&amp;Maximum number of items:</source>
-        <translation>&amp;Максимальное количество элементов:</translation>
+        <translation>&amp;Максимальное число элементов:</translation>
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="56"/>
@@ -3504,24 +3573,28 @@ Используйте &lt;b&gt;/&lt;/b&
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation>&amp;Сохранить элементы</translation>
     </message>
+    <message>
+        <source>&amp;Store Items</source>
+        <translation type="vanished">&amp;Сохранить элементы</translation>
+    </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Пресс &apos;/&apos; для поиска</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Введите для поиска</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3530,14 +3603,14 @@ Используйте &lt;b&gt;/&lt;/b&
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
-        <translation>Регулярное Выражение</translation>
+        <translation>Регулярное выражение</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
-        <translation>Регистронезависимый</translation>
+        <translation>Без учёта регистра</translation>
     </message>
 </context>
 </TS>
diff -pruN 3.10.0-1/translations/copyq_sk.ts 3.11.0-1/translations/copyq_sk.ts
--- 3.10.0-1/translations/copyq_sk.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_sk.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>O programe CopyQ</translation>
+        <source>About</source>
+        <translation>O programe</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ akcia</translation>
+        <source>Action Dialog</source>
+        <translation>Akcia</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -64,7 +64,7 @@
     <message>
         <location filename="../src/ui/actiondialog.ui" line="78"/>
         <source>Send data of given media type to standard input of command (leave empty to turn off)</source>
-        <translation type="unfinished"></translation>
+        <translation>Poslať dáta daného MIME typu na štandardný vstup príkazu (pre vypnutie ponechať prázdne)</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="85"/>
@@ -99,12 +99,12 @@
         <translation>Uložiť prvky do záložky s daným názvom (do aktuálne otvorenej záložky, ak nie je názov uvedený)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Príkaz bol uložený</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Príkaz bol uložený a je prístupný z menu prvku.
@@ -133,8 +133,8 @@ Príkaz je možné zmeniť v nastaveniac
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>CopyQ Správca procesov</translation>
+        <source>Process Manager</source>
+        <translation>Správca procesov</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -151,8 +151,8 @@ Príkaz je možné zmeniť v nastaveniac
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ Pridať príkazy</translation>
+        <source>Add Commands</source>
+        <translation>Pridať príkazy</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -326,24 +326,25 @@ Príkaz je možné zmeniť v nastaveniac
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Nemožno sa vytvoriť nový prvok</translation>
+        <translation type="vanished">Nemožno sa vytvoriť nový prvok</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Záložka je zaplnená. Nepodarilo sa odstrániť žiadne prvky.</translation>
+        <translation type="vanished">Záložka je zaplnená. Nepodarilo sa odstrániť žiadne prvky.</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation>Na kartu %1 nie je možné pridať nové položky. Vyberte miesto ručne, aby ste uvoľnili miesto.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Zahodiť zmeny?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Chcete naozaj &lt;strong&gt;zahodiť zmeny&lt;/strong&gt;?</translation>
     </message>
@@ -351,12 +352,12 @@ Príkaz je možné zmeniť v nastaveniac
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Pripojenie stratené!</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Nedá sa pripojiť k serveru. Najskôr je nutné spustiť CopyQ server.</translation>
     </message>
@@ -365,8 +366,8 @@ Príkaz je možné zmeniť v nastaveniac
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ Obsah schránky</translation>
+        <source>Clipboard Content</source>
+        <translation>Obsah schránky</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -385,40 +386,45 @@ Príkaz je možné zmeniť v nastaveniac
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ Obsah položky</translation>
+        <source>Item Content</source>
+        <translation>Obsah položky</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Veľkosť: &lt;/strong&gt; %1 bajtov</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Veľkosť: &lt;/strong&gt; %1 bajtov</translation>
+        <translation type="vanished">&lt;strong&gt;Veľkosť: &lt;/strong&gt; %1 bajtov</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>Server CopyQ je už spustený.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Zrušiť aktívne príkazy</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Zrušiť aktívne príkazy a ukončiť?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Zrušiť ukončenie</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Ukončiť napriek tomu</translation>
     </message>
@@ -436,8 +442,8 @@ Príkaz je možné zmeniť v nastaveniac
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ Príkazy</translation>
+        <source>Commands</source>
+        <translation>Príkazy</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -470,32 +476,32 @@ Príkaz je možné zmeniť v nastaveniac
         <translation>Vložiť príkazy</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Neuložené zmeny</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>V dialógovom okne príkazu sú neuložené zmeny.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Otvoriť súbory s príkazmi</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Príkazy (*.ini);; CopyQ nastavenia (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Uložiť vybraté príkazy</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Príkazy (*. ini)</translation>
     </message>
@@ -569,6 +575,7 @@ Príkaz je možné zmeniť v nastaveniac
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>&amp;Automaticky</translation>
     </message>
     <message>
@@ -579,6 +586,7 @@ Príkaz je možné zmeniť v nastaveniac
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>V &amp;menu</translation>
     </message>
     <message>
@@ -594,6 +602,7 @@ Príkaz je možné zmeniť v nastaveniac
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Globálna klávesová skratka</translation>
     </message>
     <message>
@@ -621,11 +630,13 @@ Pre vypnutie ponechať prázdne.</transl
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Skript</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Zobrazenie</translation>
     </message>
     <message>
@@ -651,7 +662,7 @@ Pre vypnutie ponechať prázdne.</transl
 
 &lt;p&gt;Text prvku je odoslaný na &lt;b&gt;štandardný vstup&lt;/b&gt; filtra. Príkaz sa &lt;b&gt;vykoná iba ak filter skončí z nulovým kódom&lt;/b&gt;.&lt;/p&gt;
 
-&lt;p&gt;Výraz %1 bude nahradený za text prvku a %2 až %9 za texty zachytené pomocou regulárneho výrazu (časti uzatvorené v zátvorkách).&lt;/p&gt;
+&lt;p&gt;Výraz &lt;b&gt;%1&lt;/b&gt; bude nahradený za text prvku a &lt;b&gt;%2&lt;/b&gt; až &lt;b&gt;%9&lt;/b&gt; za texty zachytené pomocou regulárneho výrazu (časti uzatvorené v zátvorkách).&lt;/p&gt;
 
 &lt;p&gt;Použite &lt;b&gt;|&lt;/b&gt; na zreťazenie viacerých príkazov (odovzdanie štandardného výstupu do ďalšieho príkazu).&lt;/p&gt;</translation>
     </message>
@@ -782,7 +793,7 @@ Poznámka: Ak sa aplikuje automaticky, n
     <message>
         <location filename="../src/ui/commandwidget.ui" line="675"/>
         <source>Show Advanced</source>
-        <translation type="unfinished"></translation>
+        <translation>Zobraziť rozšírené</translation>
     </message>
 </context>
 <context>
@@ -790,180 +801,181 @@ Poznámka: Ak sa aplikuje automaticky, n
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="62"/>
         <source>Background</source>
-        <translation type="unfinished"></translation>
+        <translation>Pozadie</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="69"/>
         <source>Notes</source>
-        <translation type="unfinished"></translation>
+        <translation>Poznámky</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="104"/>
         <source>Found</source>
-        <translation type="unfinished"></translation>
+        <translation>Nájdené</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="111"/>
         <source>Selected</source>
-        <translation type="unfinished"></translation>
+        <translation>Vybrané</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="174"/>
         <source>Number</source>
-        <translation type="unfinished"></translation>
+        <translation>Číslo</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="181"/>
         <source>Normal</source>
-        <translation type="unfinished"></translation>
+        <translation>Normálne</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="188"/>
         <source>Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>Editor</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="195"/>
         <source>Font</source>
-        <translation type="unfinished"></translation>
+        <translation>Písmo</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="223"/>
         <source>Alternate</source>
-        <translation type="unfinished"></translation>
+        <translation>Alternatívne</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="230"/>
         <source>Foreground</source>
-        <translation type="unfinished"></translation>
+        <translation>Popredí</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="251"/>
         <source>Notification</source>
-        <translation type="unfinished"></translation>
+        <translation>Upozornenie</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="283"/>
         <source>Show &amp;Number</source>
-        <translation type="unfinished"></translation>
+        <translation>Zobra&amp;ziť číslo</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="290"/>
         <source>Show scrollbars</source>
-        <translation type="unfinished"></translation>
+        <translation>Zobraziť posuvníky</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="293"/>
         <source>S&amp;crollbars</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Posuvníky</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="300"/>
         <source>Use icons from desktop environment whenever possible</source>
-        <translation type="unfinished"></translation>
+        <translation>Použiť ikony z desktopového prostredie, kedykoľvek je to možné</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="303"/>
         <source>S&amp;ystem Icons</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Systémové ikony</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="310"/>
         <source>&amp;Antialias</source>
-        <translation type="unfinished"></translation>
+        <translation>V&amp;yhladzovanie</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="319"/>
         <source>S&amp;et colors for tabs, tool bar and menus</source>
-        <translation type="unfinished"></translation>
+        <translation>Nastaviť &amp;farby pre karty, panely nástrojov a ponuky</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="341"/>
         <source>&amp;Reset Theme</source>
-        <translation type="unfinished"></translation>
+        <translation>O&amp;bnoviť tému</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="348"/>
         <source>Theme:</source>
-        <translation type="unfinished"></translation>
+        <translation>Téma:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="355"/>
         <source>&amp;Load Theme</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Načítať tému</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="362"/>
         <source>&amp;Save Theme</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Uložiť tému</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="369"/>
         <source>Edit current theme in external editor</source>
-        <translation type="unfinished"></translation>
+        <translation>Upraviť aktuálnu tému v externom editore</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="372"/>
         <source>E&amp;dit Theme</source>
-        <translation type="unfinished"></translation>
+        <translation>Up&amp;raviť tému</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabappearance.ui" line="393"/>
         <source>Preview:</source>
-        <translation type="unfinished"></translation>
+        <translation>Náhľad:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
-        <translation type="unfinished"></translation>
+        <translation>položka</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
-        <translation type="unfinished"></translation>
+        <translation>Vyhľadávací reťazec je %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
-        <translation type="unfinished"></translation>
+        <translation>Vyberte položku a
+stlačte F2 pre editáciu.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Príklad položky %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
-        <translation type="unfinished"></translation>
+        <translation>Náhodné poznámky (Shift+F2 pro úpravu)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
-        <translation type="unfinished"></translation>
+        <translation>Otvorte súbor tém</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
-        <translation type="unfinished"></translation>
+        <translation>Uložiť súbor s témou ako</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>Žiadny externý editor</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
-        <translation type="unfinished"></translation>
+        <translation>Najskôr nastavte príkaz externého editora!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
-        <translation type="unfinished"></translation>
+        <translation>Abc</translation>
     </message>
 </context>
 <context>
@@ -971,37 +983,37 @@ press F2 to edit.</source>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="65"/>
         <source>&amp;Language:</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Jazyk:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="93"/>
         <source>Break text if it&apos;s too long to fit on line</source>
-        <translation type="unfinished"></translation>
+        <translation>Zalomiť text, ak je príliš dlhý na to, aby sa zmestil na riadok</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="96"/>
         <source>Wrap l&amp;ong text</source>
-        <translation type="unfinished"></translation>
+        <translation>Zalomiť &amp;dlhý text</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="103"/>
         <source>Keep main window above other windows</source>
-        <translation type="unfinished"></translation>
+        <translation>Ponechať hlavné okno nad ostatnými oknami</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="106"/>
         <source>Alwa&amp;ys on Top</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Ponechať nad ostatnými oknami</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="113"/>
         <source>Close main window when other application has focus</source>
-        <translation type="unfinished"></translation>
+        <translation>Po aktivácii inej aplikácie zavrieť hlavné okno</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="116"/>
         <source>Close When Unfocused</source>
-        <translation type="unfinished"></translation>
+        <translation>Zatvoriť pri deaktivácii</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="123"/>
@@ -1011,107 +1023,107 @@ press F2 to edit.</source>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="126"/>
         <source>O&amp;pen windows on current screen</source>
-        <translation type="unfinished"></translation>
+        <translation>O&amp;tvárať okná na aktuálnej obrazovke</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="133"/>
         <source>Confirm application exit</source>
-        <translation type="unfinished"></translation>
+        <translation>Potvrdzovať ukončenie aplikácie</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="136"/>
         <source>Confirm application e&amp;xit</source>
-        <translation type="unfinished"></translation>
+        <translation>Potvrdzovať &amp;ukončenie aplikácie</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="146"/>
         <source>Run the application on system startup</source>
-        <translation type="unfinished"></translation>
+        <translation>Spustiť aplikáciu po prihlasení do systému</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="149"/>
         <source>&amp;Autostart</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Automaticky spustiť</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="156"/>
         <source>Support for Vi navigation keys (H, J, K, L and more), slash (/) key to search</source>
-        <translation type="unfinished"></translation>
+        <translation>Podpora pre Vi navigáciu (klávesy H, J, K, L atď.), lomítko (/) pre vyhľadávanie</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="159"/>
         <source>&amp;Vi style navigation</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Vi navigácia</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="166"/>
         <source>Save and restore history of item filters</source>
-        <translation type="unfinished"></translation>
+        <translation>Ukladať a načítať históriu filtrov pre prvky</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="169"/>
         <source>Save Filter History</source>
-        <translation type="unfinished"></translation>
+        <translation>Ukladať históriu filtrovania prvkov</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="176"/>
         <source>Automatically show popup to complete function, type and variable names in commands</source>
-        <translation type="unfinished"></translation>
+        <translation>Automaticky zobrazí menu pre dokončenie názvu funkcií, typov a premenných v príkazoch</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="179"/>
         <source>Auto-complete Commands</source>
-        <translation type="unfinished"></translation>
+        <translation>Automaticky dokončovať príkazy</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="186"/>
         <source>Clipboard Manipulation</source>
-        <translation type="unfinished"></translation>
+        <translation>Manipulácia so schránkou</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="198"/>
         <source>Allow to paste copied content the same way as mouse selections (usually by pressing middle mouse button)</source>
-        <translation type="unfinished"></translation>
+        <translation>Povoliť vkladanie skopírovaného textu pomocou myši (obvykle stredné tlačidlo myši)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="201"/>
         <source>(&amp;3) Paste clipboard with mouse</source>
-        <translation type="unfinished"></translation>
+        <translation>(&amp;3) Vkladať schránku pomocou myši</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="208"/>
         <source>Allow to paste mouse selections using shortcut (usually Ctrl+V or Shift+Insert)</source>
-        <translation type="unfinished"></translation>
+        <translation>Povoliť vkladanie textu vybraného pomocou myši (zvyčajne Ctrl+V alebo Shift+Insert)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="211"/>
         <source>(&amp;4) Paste mouse selection with keyboard</source>
-        <translation type="unfinished"></translation>
+        <translation>(&amp;4) Vkladať text vybraný myší pomocou klaves</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="218"/>
         <source>Save clipboard in history</source>
-        <translation type="unfinished"></translation>
+        <translation>Uložiť schránku v histórii</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="221"/>
         <source>(&amp;1) Store clipboard</source>
-        <translation type="unfinished"></translation>
+        <translation>(&amp;1) Ukladať schránku</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="231"/>
         <source>Save text selected with mouse (primary selection) in history</source>
-        <translation type="unfinished"></translation>
+        <translation>Ukladať text vybraný myšou do histórie</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="234"/>
         <source>(&amp;2) Store text selected using mouse</source>
-        <translation type="unfinished"></translation>
+        <translation>(&amp;2) Ukladať text vybraný myšou</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="241"/>
         <source>(&amp;5) Run automatic commands on selection</source>
-        <translation type="unfinished"></translation>
+        <translation>(&amp;5) Spúšťať automatické príkazy pre výber myši</translation>
     </message>
 </context>
 <context>
@@ -1119,29 +1131,31 @@ press F2 to edit.</source>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="65"/>
         <source>Maximum &amp;number of items in history:</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Maximálny počet prvkov v histórii:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="77"/>
         <source>Maximum number of items in each tab</source>
-        <translation type="unfinished"></translation>
+        <translation>Maximálny počet prvkov v každej záložke</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="105"/>
         <source>&amp;Unload tab after an interval in minutes:</source>
-        <translation type="unfinished"></translation>
+        <translation>&amp;Interval v minútach pre odstránenie prvkov z pamäte:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="117"/>
         <source>Unload each tab from memory after specified number of minutes of inactivity.
 
 Set to 0 not to unload tabs.</source>
-        <translation type="unfinished"></translation>
+        <translation>Odstráň načítané záložky z pamäti po ubehnutí daného intervalu v minútach.
+
+Nastav na 0 pre zachovanie záložiek v pamäti.</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="144"/>
         <source>External editor command (%&amp;1 is file to edit):</source>
-        <translation type="unfinished"></translation>
+        <translation>Príkaz pre editor (%&amp;1 je názov súboru):</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="154"/>
@@ -1151,19 +1165,26 @@ Set to 0 not to unload tabs.</source>
     notepad %1
     gvim -f %1
     xterm -e vim %1</source>
-        <translation type="unfinished"></translation>
+        <translation>Príkaz pre externý editor (%1 je názov súboru).
+   Príklady:
+    gedit %1
+    notepad %1
+    gvim -f %1
+    xterm -e vim %1</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="169"/>
         <source>Ta&amp;b for storing clipboard:</source>
-        <translation type="unfinished"></translation>
+        <translation>Záložk&amp;a pre ukladanie schránky:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="179"/>
         <source>Name of tab that will automatically store new clipboard content.
 
 Leave empty to disable automatic storing.</source>
-        <translation type="unfinished"></translation>
+        <translation>Názov karty, ktorá bude automaticky ukladať nový obsah schránky.
+
+Nechajte prázdne, ak chcete vypnúť automatické ukladanie.</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="193"/>
@@ -1527,11 +1548,6 @@ Set to 0 to disable.</source>
 <context>
     <name>ConfigurationManager</name>
     <message>
-        <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
         <source>General</source>
         <translation type="unfinished"></translation>
@@ -1601,11 +1617,16 @@ Set to 0 to disable.</source>
         <source>Language will be changed after application is restarted.</source>
         <translation type="unfinished"></translation>
     </message>
+    <message>
+        <location filename="../src/ui/configurationmanager.ui" line="20"/>
+        <source>Configuration</source>
+        <translation type="unfinished"></translation>
+    </message>
 </context>
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -1637,7 +1658,7 @@ Set to 0 to disable.</source>
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
+        <source>Select Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -1695,89 +1716,89 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Písmo</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Popredí</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Pozadie</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation type="unfinished"></translation>
     </message>
@@ -1833,7 +1854,7 @@ Set to 0 to disable.</source>
     <message>
         <location filename="../plugins/itemencrypted/itemencrypted.cpp" line="877"/>
         <source>Error: %1</source>
-        <translation type="unfinished">Chyba: %1</translation>
+        <translation>Chyba: %1</translation>
     </message>
     <message>
         <location filename="../plugins/itemencrypted/itemencrypted.cpp" line="865"/>
@@ -2013,7 +2034,7 @@ Set to 0 to disable.</source>
     <message>
         <location filename="../plugins/itemnotes/itemnotes.h" line="82"/>
         <source>Notes</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Poznámky</translation>
     </message>
     <message>
         <location filename="../plugins/itemnotes/itemnotes.h" line="84"/>
@@ -2085,22 +2106,22 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2108,28 +2129,28 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2137,17 +2158,17 @@ Set to 0 to disable.</source>
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2182,51 +2203,51 @@ Set to 0 to disable.</source>
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
-        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
-&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
-        <source>Extensions</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
-        <source>Item MIME Type</source>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="121"/>
+        <source>Extensions</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2315,7 +2336,7 @@ Set to 0 to disable.</source>
     <message>
         <location filename="../plugins/itemweb/itemweb.h" line="90"/>
         <source>Web</source>
-        <translation type="unfinished">Web</translation>
+        <translation>Web</translation>
     </message>
     <message>
         <location filename="../plugins/itemweb/itemweb.h" line="92"/>
@@ -2335,125 +2356,125 @@ Set to 0 to disable.</source>
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
+        <source>Log</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
-        <source>CopyQ</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
-        <source>CopyQ Error</source>
-        <comment>Notification error message title</comment>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
-        <source>&amp;Show/Hide</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
+        <source>CopyQ Error</source>
+        <comment>Notification error message title</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
+        <source>&amp;Show/Hide</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation type="unfinished"></translation>
@@ -2464,32 +2485,27 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2508,16 +2524,16 @@ Set to 0 to disable.</source>
         <location filename="../src/common/appconfig.cpp" line="39"/>
         <source>&amp;clipboard</source>
         <comment>Default name of the tab that automatically stores new clipboard content</comment>
-        <translation type="unfinished">&amp;schránka</translation>
+        <translation>&amp;schránka</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2527,25 +2543,25 @@ Set to 0 to disable.</source>
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2618,92 +2634,92 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2886,7 +2902,7 @@ Set to 0 to disable.</source>
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2896,7 +2912,7 @@ Set to 0 to disable.</source>
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2908,7 +2924,7 @@ which can be letters, digits, &apos;-&ap
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2916,413 +2932,410 @@ which can be letters, digits, &apos;-&ap
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
-        <source>Set clipboard text.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
-        <source>TEXT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
+        <source>Set clipboard text.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
-        <source>
-Set clipboard content.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
+        <source>TEXT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
-        <source>
-Write raw data to given row.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <source>Show action dialog.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
-        <source>Show action dialog.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
+        <source>PROGRAM</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
-        <source>
-Run PROGRAM on item text in the rows.
-Use %1 in PROGRAM to pass text as argument.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
-        <source>PROGRAM</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
-        <source>
-Show tray popup message for TIME milliseconds.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
-        <source>
-Evaluate ECMAScript program.
-Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
-        <source>SCRIPT</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
-        <source>ARGUMENTS</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
-        <source>
-Starts or connects to application instance with given session name.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
-        <source>SESSION</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
+        <source>SCRIPT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
-        <source>
-Print help for COMMAND or all commands.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
+        <source>ARGUMENTS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
-        <source>
-Print version of program and libraries.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
+        <source>SESSION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -3330,32 +3343,20 @@ Print version of program and libraries.<
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation type="unfinished"></translation>
     </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
-        <source>%1 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
-        <source>%1 - %2 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation type="unfinished"></translation>
-    </message>
 </context>
 <context>
     <name>ShortcutButton</name>
@@ -3369,7 +3370,7 @@ Print version of program and libraries.<
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
+        <source>New Shortcut</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3393,7 +3394,7 @@ Print version of program and libraries.<
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="31"/>
         <source>&amp;Find:</source>
-        <translation type="unfinished">&amp;Hľadať:</translation>
+        <translation>&amp;Hľadať:</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="50"/>
@@ -3412,7 +3413,7 @@ Print version of program and libraries.<
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3433,21 +3434,21 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     <message>
         <location filename="../src/ui/tabdialog.ui" line="43"/>
         <source>&amp;Name:</source>
-        <translation type="unfinished">&amp;Názov:</translation>
+        <translation>&amp;Názov:</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
+        <source>New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
+        <source>Rename Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
+        <source>Rename Tab Group</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -3465,24 +3466,24 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation type="unfinished"></translation>
@@ -3491,12 +3492,12 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation type="unfinished"></translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_sv.ts 3.11.0-1/translations/copyq_sv.ts
--- 3.10.0-1/translations/copyq_sv.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_sv.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>Om CopyQ</translation>
+        <source>About</source>
+        <translation>Om</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ-åtgärdsdialog</translation>
+        <source>Action Dialog</source>
+        <translation>Åtgärdsdialog</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -94,12 +94,12 @@
         <translation>Spara objekt i flik med angivet namn (lämna tomt för att spara i aktuell flik)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Kommandot sparat</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Kommandot sparades och kan kommas åt från objektmenyn.
@@ -128,8 +128,8 @@ Du kan konfigurera kommandot i inställn
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>CopyQ-processhanterare</translation>
+        <source>Process Manager</source>
+        <translation>Processhanterare</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -146,8 +146,8 @@ Du kan konfigurera kommandot i inställn
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ Lägg till kommandon</translation>
+        <source>Add Commands</source>
+        <translation>Lägg till kommandon</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -321,24 +321,25 @@ Du kan konfigurera kommandot i inställn
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Det går inte att lägga till nya objekt</translation>
+        <translation type="vanished">Det går inte att lägga till nya objekt</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Fliken är full. Kunde inte ta bort några objekt.</translation>
+        <translation type="vanished">Fliken är full. Kunde inte ta bort några objekt.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Förkasta ändringar?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Vill du verkligen &lt;strong&gt;förkasta ändringar&lt;/strong&gt;?</translation>
     </message>
@@ -346,12 +347,12 @@ Du kan konfigurera kommandot i inställn
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Det går inte att ansluta till servern! Starta CopyQ-servern först.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Anslutningen förlorades!</translation>
     </message>
@@ -360,8 +361,8 @@ Du kan konfigurera kommandot i inställn
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ-urklippsinnehåll</translation>
+        <source>Clipboard Content</source>
+        <translation>Urklippsinnehåll</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +381,45 @@ Du kan konfigurera kommandot i inställn
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ-objektinnehåll</translation>
+        <source>Item Content</source>
+        <translation>Objektinnehåll</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Storlek:&lt;/strong&gt; %1 byte</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Storlek:&lt;/strong&gt; %1 byte</translation>
+        <translation type="vanished">&lt;strong&gt;Storlek:&lt;/strong&gt; %1 byte</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>CopyQ-servern körs redan.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Avbryt aktiva kommandon</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Avbryt aktiva kommandon och avsluta?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Avbryt avslutande</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Avsluta i alla fall</translation>
     </message>
@@ -431,8 +437,8 @@ Du kan konfigurera kommandot i inställn
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ-kommandon</translation>
+        <source>Commands</source>
+        <translation>Kommandon</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -465,32 +471,32 @@ Du kan konfigurera kommandot i inställn
         <translation>Klistra in kommandon</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Osparade ändringar</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>Kommandodialogen har osparade ändringar.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Öppna filer med kommandon</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Kommandon (*.ini);; CopyQ-konfiguration (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Spara valda kommandon</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Kommandon (*.ini)</translation>
     </message>
@@ -564,6 +570,7 @@ Du kan konfigurera kommandot i inställn
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Auto&amp;matiskt</translation>
     </message>
     <message>
@@ -574,6 +581,7 @@ Du kan konfigurera kommandot i inställn
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>I m&amp;eny</translation>
     </message>
     <message>
@@ -589,6 +597,7 @@ Du kan konfigurera kommandot i inställn
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Global genväg</translation>
     </message>
     <message>
@@ -616,11 +625,13 @@ Lämna tomt för att inaktivera detta.</
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Skript</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Visa</translation>
     </message>
     <message>
@@ -908,55 +919,55 @@ Observera: Om detta verkställs automati
         <translation>Förhandsvisning:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>objekt</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Söksträngen är %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Välj ett objekt och tryck
 F2 för att redigera.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Exempelobjekt %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Några slumpmässiga anteckningar (Skift+F2 för att redigera)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Öppna temafil</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Spara temafil som</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Ingen extern redigerare</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Ställ in kommando för extern redigerare först!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1125,14 +1136,14 @@ F2 för att redigera.</translation>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="105"/>
         <source>&amp;Unload tab after an interval in minutes:</source>
-        <translation type="unfinished">&amp;Glöm flik efter ett visst antal minuter:</translation>
+        <translation>&amp;Glöm flik efter ett visst antal minuter:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="117"/>
         <source>Unload each tab from memory after specified number of minutes of inactivity.
 
 Set to 0 not to unload tabs.</source>
-        <translation type="unfinished">Glöm varje flik i minnet efter ett angivet antal minuter av inaktivitet.
+        <translation>Glöm varje flik i minnet efter ett angivet antal minuter av inaktivitet.
 
 Ställ in till 0 för att inte glömma flikar.</translation>
     </message>
@@ -1149,7 +1160,7 @@ Ställ in till 0 för att inte glömma f
     notepad %1
     gvim -f %1
     xterm -e vim %1</source>
-        <translation type="unfinished">Kommando för extern redigerare (%1 är filen som ska redigeras):
+        <translation>Kommando för extern redigerare (%1 är filen som ska redigeras).
   Exempel:
     gedit %1
     notepad %1
@@ -1159,14 +1170,14 @@ Ställ in till 0 för att inte glömma f
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="169"/>
         <source>Ta&amp;b for storing clipboard:</source>
-        <translation type="unfinished">Fli&amp;k för att lagra urklipp:</translation>
+        <translation>Fli&amp;k för att lagra urklipp:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="179"/>
         <source>Name of tab that will automatically store new clipboard content.
 
 Leave empty to disable automatic storing.</source>
-        <translation type="unfinished">Namn på flik som automatiskt kommer att lagra nytt urklippsinnehåll.
+        <translation>Namn på flik som automatiskt kommer att lagra nytt urklippsinnehåll.
 
 Lämna tomt för att inaktivera automatisk lagring.</translation>
     </message>
@@ -1175,28 +1186,28 @@ Lämna tomt för att inaktivera automati
         <source>Leave unchecked for Return key to save edited item and Ctrl+Return create new line.
 
 Note: Edited items can be saved with F2 disregarding this option.</source>
-        <translation type="unfinished">Lämna okryssad för att Retur ska spara redigerat objekt och Ctrl+Retur skapa en ny rad.
+        <translation>Lämna okryssad för att Retur ska spara redigerat objekt och Ctrl+Retur skapa en ny rad.
 
 Observera: Redigerade objekt kan sparas med F2 oavsett detta alternativ.</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="198"/>
         <source>Sa&amp;ve edited item with Ctrl+Return and create new line with Return key</source>
-        <translation type="unfinished">Spa&amp;ra redigerat objekt med Ctrl+Retur och skapa ny rad med Retur</translation>
+        <translation>Spa&amp;ra redigerat objekt med Ctrl+Retur och skapa ny rad med Retur</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="205"/>
         <source>Show single line description of each item.
 
 Use Item Preview to display whole items.</source>
-        <translation type="unfinished">Visa enradsbeskrivning för varje objekt.
+        <translation>Visa enradsbeskrivning för varje objekt.
 
 Använd objektförhandsvisning för att visa hela objekt.</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="210"/>
         <source>Sho&amp;w simple items</source>
-        <translation type="unfinished">Vis&amp;a enkla objekt</translation>
+        <translation>Vis&amp;a enkla objekt</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="217"/>
@@ -1211,47 +1222,47 @@ Använd objektförhandsvisning för att
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="227"/>
         <source>After item is activated (double-click or Enter key), copy it to clipboard and ...</source>
-        <translation type="unfinished">Efter att ett objekt har aktiverats (dubbelklick eller Retur), kopiera det till urklipp och…</translation>
+        <translation>Efter att ett objekt har aktiverats (dubbelklick eller Retur), kopiera det till urklipp och…</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="233"/>
         <source>Move item to the top of the list after it is activated</source>
-        <translation type="unfinished">Flytta objekt överst i listan efter att det har aktiverats</translation>
+        <translation>Flytta objekt överst i listan efter att det har aktiverats</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="236"/>
         <source>Move item to the t&amp;op</source>
-        <translation type="unfinished">Flytta objekt ö&amp;verst</translation>
+        <translation>Flytta objekt ö&amp;verst</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="243"/>
         <source>Close main window after item is activated</source>
-        <translation type="unfinished">Stäng huvudfönster efter objekt aktiverats</translation>
+        <translation>Stäng huvudfönster efter objekt aktiverats</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="246"/>
         <source>&amp;Close main window</source>
-        <translation type="unfinished">S&amp;täng huvudfönster</translation>
+        <translation>S&amp;täng huvudfönster</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="253"/>
         <source>Focus last window after item is activated</source>
-        <translation type="unfinished">Fokusera senaste fönster efter objekt har aktiverats</translation>
+        <translation>Fokusera senaste fönster efter objekt har aktiverats</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="256"/>
         <source>&amp;Focus last window</source>
-        <translation type="unfinished">&amp;Fokusera senaste fönster</translation>
+        <translation>&amp;Fokusera senaste fönster</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="263"/>
         <source>Paste to current window after item is activated</source>
-        <translation type="unfinished">Klistra in till aktuellt fönster efter objekt har aktiverats</translation>
+        <translation>Klistra in till aktuellt fönster efter objekt har aktiverats</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="266"/>
         <source>&amp;Paste to current window</source>
-        <translation type="unfinished">&amp;Klistra in till aktuellt fönster</translation>
+        <translation>&amp;Klistra in till aktuellt fönster</translation>
     </message>
 </context>
 <context>
@@ -1259,62 +1270,62 @@ Använd objektförhandsvisning för att
     <message>
         <location filename="../src/ui/configtablayout.ui" line="62"/>
         <source>Show/Hide</source>
-        <translation type="unfinished">Visa/dölj</translation>
+        <translation>Visa/dölj</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="68"/>
         <source>Hide tabs (press Alt key to show)</source>
-        <translation type="unfinished">Dölj flikar (tryck Alt för att visa)</translation>
+        <translation>Dölj flikar (tryck Alt för att visa)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="71"/>
         <source>Hi&amp;de tabs</source>
-        <translation type="unfinished">&amp;Dölj flikar</translation>
+        <translation>&amp;Dölj flikar</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="78"/>
         <source>Hide toolbar</source>
-        <translation type="unfinished">Dölj verktygsfält</translation>
+        <translation>Dölj verktygsfält</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="81"/>
         <source>Hide too&amp;lbar</source>
-        <translation type="unfinished">Dö&amp;lj verktygsfält</translation>
+        <translation>Dö&amp;lj verktygsfält</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="88"/>
         <source>Hide tool&amp;bar labels</source>
-        <translation type="unfinished">Dölj verk&amp;tygsfältsetiketter</translation>
+        <translation>Dölj verk&amp;tygsfältsetiketter</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="95"/>
         <source>Hide main window when closed</source>
-        <translation type="unfinished">Dölj huvudfönster då det stängs</translation>
+        <translation>Dölj huvudfönster då det stängs</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="98"/>
         <source>Hide &amp;main window</source>
-        <translation type="unfinished">Döl&amp;j huvudfönster</translation>
+        <translation>Döl&amp;j huvudfönster</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="108"/>
         <source>Layout and Transparency</source>
-        <translation type="unfinished">Layout och transparens</translation>
+        <translation>Layout och transparens</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="117"/>
         <source>Show tree with tabs instead of tab bar</source>
-        <translation type="unfinished">Visa träd med flikar istället för flikrad</translation>
+        <translation>Visa träd med flikar istället för flikrad</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="120"/>
         <source>Tab T&amp;ree</source>
-        <translation type="unfinished">Flikt&amp;räd</translation>
+        <translation>Flikt&amp;räd</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="127"/>
         <source>&amp;Focused transparency:</source>
-        <translation type="unfinished">&amp;Fokuserad transparens:</translation>
+        <translation>&amp;Fokuserad transparens:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="139"/>
@@ -1328,7 +1339,7 @@ Obs: detta stöds inte på alla system.<
     <message>
         <location filename="../src/ui/configtablayout.ui" line="169"/>
         <source>&amp;Unfocused transparency:</source>
-        <translation type="unfinished">Ofok&amp;userad transparens:</translation>
+        <translation>Ofok&amp;userad transparens:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="181"/>
@@ -1342,12 +1353,12 @@ Obs: detta stöds inte på alla system.<
     <message>
         <location filename="../src/ui/configtablayout.ui" line="211"/>
         <source>Show number of items in tabs</source>
-        <translation type="unfinished">Visa antal objekt i flikar</translation>
+        <translation>Visa antal objekt i flikar</translation>
     </message>
     <message>
         <location filename="../src/ui/configtablayout.ui" line="214"/>
         <source>Sho&amp;w Item Count</source>
-        <translation type="unfinished">&amp;Visa objektantal</translation>
+        <translation>&amp;Visa objektantal</translation>
     </message>
 </context>
 <context>
@@ -1355,47 +1366,47 @@ Obs: detta stöds inte på alla system.<
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="65"/>
         <source>&amp;Notification position:</source>
-        <translation type="unfinished">&amp;Aviseringsposition:</translation>
+        <translation>&amp;Aviseringsposition:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="77"/>
         <source>Position on screen for notifications</source>
-        <translation type="unfinished">Aviseringars position på skärmen</translation>
+        <translation>Aviseringars position på skärmen</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="81"/>
         <source>Top</source>
-        <translation type="unfinished">Överst</translation>
+        <translation>Överst</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="86"/>
         <source>Bottom</source>
-        <translation type="unfinished">Nederst</translation>
+        <translation>Nederst</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="91"/>
         <source>Top Right</source>
-        <translation type="unfinished">Överst till höger</translation>
+        <translation>Överst till höger</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="96"/>
         <source>Bottom Right</source>
-        <translation type="unfinished">Nederst till höger</translation>
+        <translation>Nederst till höger</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="101"/>
         <source>Bottom Left</source>
-        <translation type="unfinished">Nederst till vänster</translation>
+        <translation>Nederst till vänster</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="106"/>
         <source>Top Left</source>
-        <translation type="unfinished">Överst till vänster</translation>
+        <translation>Överst till vänster</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="129"/>
         <source>Int&amp;erval in seconds to display notifications:</source>
-        <translation type="unfinished">Int&amp;ervall i sekunder som aviseringar ska visas:</translation>
+        <translation>Int&amp;ervall i sekunder som aviseringar ska visas:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="141"/>
@@ -1404,7 +1415,7 @@ Obs: detta stöds inte på alla system.<
 Set to 0 to disable this.
 
 Set to -1 to keep visible until clicked.</source>
-        <translation type="unfinished">Intervall i sekunder att visa avisering för nytt urklippsinnehåll eller om objekt kopieras till urklipp (endast om huvudfönstret är stängt).
+        <translation>Intervall i sekunder att visa avisering för nytt urklippsinnehåll eller om objekt kopieras till urklipp (endast om huvudfönstret är stängt).
 
 Ställ in till 0 för att inaktivera detta.
 
@@ -1413,14 +1424,14 @@ Ställ in till -1 för att hålla synlig
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="173"/>
         <source>Num&amp;ber of lines for clipboard notification:</source>
-        <translation type="unfinished">An&amp;tal rader för urklippsavisering:</translation>
+        <translation>An&amp;tal rader för urklippsavisering:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="185"/>
         <source>Number of lines to show for new clipboard content.
 
 Set to 0 to disable.</source>
-        <translation type="unfinished">Antal rader att visa för nytt urklippsinnehåll.
+        <translation>Antal rader att visa för nytt urklippsinnehåll.
 
 Ställ in till 0 för att inaktivera.</translation>
     </message>
@@ -1442,7 +1453,7 @@ Ställ in till 0 för att inaktivera.</t
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="260"/>
         <source>&amp;Vertical offset:</source>
-        <translation type="unfinished">&amp;Vertikal position:</translation>
+        <translation>&amp;Vertikal position:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="272"/>
@@ -1452,7 +1463,7 @@ Ställ in till 0 för att inaktivera.</t
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="300"/>
         <source>Maximum &amp;width:</source>
-        <translation type="unfinished">Maximal &amp;bredd:</translation>
+        <translation>Maximal &amp;bredd:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="312"/>
@@ -1462,7 +1473,7 @@ Ställ in till 0 för att inaktivera.</t
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="337"/>
         <source>Ma&amp;ximum height:</source>
-        <translation type="unfinished">Ma&amp;ximal höjd:</translation>
+        <translation>Ma&amp;ximal höjd:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabnotifications.ui" line="349"/>
@@ -1475,80 +1486,80 @@ Ställ in till 0 för att inaktivera.</t
     <message>
         <location filename="../src/ui/configtabtray.ui" line="60"/>
         <source>Don&apos;t show tray icon; minimize window when closed</source>
-        <translation type="unfinished">Visa inte aktivitetsfältsikon, minimera fönster då det stängs</translation>
+        <translation>Visa inte aktivitetsfältsikon, minimera fönster då det stängs</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="63"/>
         <source>Disabl&amp;e tray</source>
-        <translation type="unfinished">Inaktiv&amp;era systemfält</translation>
+        <translation>Inaktiv&amp;era aktivitetsfält</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="70"/>
         <source>Show command for current clipboard content in tray menu</source>
-        <translation type="unfinished">Visa kommando för aktuellt urklippsinnehåll i aktivitetsfältsmeny</translation>
+        <translation>Visa kommando för aktuellt urklippsinnehåll i aktivitetsfältsmeny</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="73"/>
         <source>Sho&amp;w commands for clipboard content</source>
-        <translation type="unfinished">Vis&amp;a kommandon för urklippsinnehåll</translation>
+        <translation>Vis&amp;a kommandon för urklippsinnehåll</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="82"/>
         <source>N&amp;umber of items in tray menu:</source>
-        <translation type="unfinished">An&amp;tal objekt i aktivitetsfältsmeny:</translation>
+        <translation>An&amp;tal objekt i aktivitetsfältsmeny:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="92"/>
         <source>Number of items in tray menu</source>
-        <translation type="unfinished">Antal objekt i aktivitetsfältsmeny</translation>
+        <translation>Antal objekt i aktivitetsfältsmeny</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="119"/>
         <source>Show items from current tab in tray menu</source>
-        <translation type="unfinished">Visa objekt från aktuell flik i aktivitetsfältsmeny</translation>
+        <translation>Visa objekt från aktuell flik i aktivitetsfältsmeny</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="122"/>
         <source>Show cu&amp;rrent tab in menu,</source>
-        <translation type="unfinished">Visa ak&amp;tuell flik i meny,</translation>
+        <translation>Visa ak&amp;tuell flik i meny,</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="129"/>
         <source>or &amp;choose other tab:</source>
-        <translation type="unfinished">eller &amp;välj en annan flik:</translation>
+        <translation>eller &amp;välj en annan flik:</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="145"/>
         <source>Name of tab to show in tray menu (empty for the first tab)</source>
-        <translation type="unfinished">Namn på flik att visa i aktivitetsfältsmeny (tomt för den första fliken)</translation>
+        <translation>Namn på flik att visa i aktivitetsfältsmeny (tomt för den första fliken)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="170"/>
         <source>Paste item to current window after selecting it in menu</source>
-        <translation type="unfinished">Klistra in objekt i aktuellt fönster efter att ha valt det i menyn</translation>
+        <translation>Klistra in objekt i aktuellt fönster efter att ha valt det i menyn</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="173"/>
         <source>&amp;Paste activated item to current window</source>
-        <translation type="unfinished">&amp;Klistra in aktiverat objekt till aktuellt fönster</translation>
+        <translation>&amp;Klistra in aktiverat objekt till aktuellt fönster</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="180"/>
         <source>Show image preview next to menu items</source>
-        <translation type="unfinished">Visa bildförhandsvisning intill menyobjekt</translation>
+        <translation>Visa bildförhandsvisning intill menyobjekt</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="183"/>
         <source>Sh&amp;ow image preview as menu item icon</source>
-        <translation type="unfinished">Vi&amp;sa bildförhandsvisning som menyobjektsikon</translation>
+        <translation>Vi&amp;sa bildförhandsvisning som menyobjektsikon</translation>
     </message>
 </context>
 <context>
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>CopyQ-konfiguration</translation>
+        <source>Configuration</source>
+        <translation>Konfiguration</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1624,7 +1635,7 @@ Ställ in till 0 för att inaktivera.</t
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Misslyckades med att skapa synkroniseringskatalogen ”%1”!</translation>
     </message>
@@ -1656,8 +1667,8 @@ Ställ in till 0 för att inaktivera.</t
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>CopyQ Välj ikon</translation>
+        <source>Select Icon</source>
+        <translation>Välj ikon</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1714,89 +1725,89 @@ Ställ in till 0 för att inaktivera.</t
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Spara</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Spara objekt (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Avbryt</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Avbryt redigering och återställ ändringar</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Typsnitt</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Fet</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Kursiv</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Understruken</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Genomstruken</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Förgrund</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Bakgrund</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Radera stil</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Sök</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Ångra</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Gör om</translation>
     </message>
@@ -2105,22 +2116,22 @@ Ställ in till 0 för att inaktivera.</t
         <translation>Avnåla objekt först för att ta bort dem.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Nåla</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Avnåla</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Nålade objekt</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt;Fäst objekt för att låsa dem i den aktuella raden och undvika borttagning (såvida det inte är ofäst).&lt;/p&gt;&lt;p&gt;Ger genvägar och skriptfunktioner.&lt;/p&gt;</translation>
     </message>
@@ -2128,28 +2139,28 @@ Ställ in till 0 för att inaktivera.</t
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Bläddra…</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Öppna katalog för synkronisering</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Misslyckades med att skapa synkroniseringskatalog</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Synkronisera</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Synkronisera objekt och anteckningar med en katalog på disk.</translation>
     </message>
@@ -2157,17 +2168,17 @@ Ställ in till 0 för att inaktivera.</t
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>Misslyckades med att synkronisera fliken ”%1” med katalogen ”%2”!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Ta bort objekt?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>Vill du verkligen &lt;strong&gt;ta bort objekt och associerade filer&lt;/strong&gt;?</translation>
     </message>
@@ -2203,9 +2214,19 @@ Ställ in till 0 för att inaktivera.</t
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Ställ in MIME-typ till &lt;strong&gt;-&lt;/strong&gt; (bindestreck) för att ignorera filer. Alla andra okända eller dolda filer ignoreras.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;Ställ in MIME-typ till &lt;strong&gt;-&lt;/strong&gt; (bindestreck) för att ignorera filer. Alla andra okända eller dolda filer ignoreras.&lt;/p&gt;
 &lt;p&gt;Exempel: Läs in filändelsen &lt;strong&gt;txt&lt;/strong&gt; som MIME-typen &lt;strong&gt;text/plain&lt;/strong&gt;.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2214,41 +2235,40 @@ Ställ in till 0 för att inaktivera.</t
         <translation>Filändelser</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>MIME-typ för objekt</translation>
+        <translation type="vanished">MIME-typ för objekt</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Lägg till en tagg</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Ta bort en tagg</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Tagga som %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Ta bort taggen %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Viktigt</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Rensa alla taggar</translation>
     </message>
@@ -2337,7 +2357,7 @@ Ställ in till 0 för att inaktivera.</t
     <message>
         <location filename="../plugins/itemweb/itemweb.h" line="90"/>
         <source>Web</source>
-        <translation type="unfinished">Webb</translation>
+        <translation>Webb</translation>
     </message>
     <message>
         <location filename="../plugins/itemweb/itemweb.h" line="92"/>
@@ -2350,132 +2370,131 @@ Ställ in till 0 för att inaktivera.</t
     <message>
         <location filename="../plugins/itemweb/itemwebsettings.ui" line="19"/>
         <source>Maximum height in pixels (0 for no limit):</source>
-        <translation type="unfinished">Maximal höjd i bildpunkter (0 för ingen gräns):</translation>
+        <translation>Maximal höjd i bildpunkter (0 för ingen gräns):</translation>
     </message>
 </context>
 <context>
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>CopyQ-logg</translation>
+        <source>Log</source>
+        <translation>Logg</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Avsluta?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>Vill du &lt;strong&gt;avsluta&lt;/strong&gt; CopyQ?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Arkiv</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>R&amp;edigera</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>&amp;Objekt</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>&amp;Flikar</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>&amp;Hjälp</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Ny flik</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Byt namn på &amp;gruppen %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>B&amp;yt namn på flik %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>Ta &amp;bort fliken %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Ta bort gruppen %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>Än&amp;dra flikikon</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>&amp;Aktivera urklippslagring</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>&amp;Inaktivera urklippslagring</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>CopyQ-alternativ för import</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation>Alternativ för import</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>CopyQ-fel</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>&amp;Visa/dölj</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>CopyQ-alternativ för Export</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation>Alternativ för Export</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>CopyQ-exportfel</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation>Exportfel</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>Misslyckades med att exportera filen %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>&amp;Urklipp: %1</translation>
@@ -2486,32 +2505,32 @@ Ställ in till 0 för att inaktivera.</t
         <translation>CopyQ-objekt (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>CopyQ-importfel</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation>Importfel</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>Misslyckades med att importera filen %1!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Ta bort alla flikar i grupp?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Vill du ta bort &lt;strong&gt;alla flikar&lt;/strong&gt; i gruppen &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Ta bort flik?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>Vill du ta bort fliken &lt;strong&gt;%1&lt;/strong&gt;?</translation>
     </message>
@@ -2533,13 +2552,13 @@ Ställ in till 0 för att inaktivera.</t
         <translation>&amp;urklipp</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;DOLD&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2548,25 +2567,25 @@ Ställ in till 0 för att inaktivera.</t
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;BILD&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;OBJEKT&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;TOM&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;DATA&gt;</translation>
@@ -2639,92 +2658,92 @@ Ställ in till 0 för att inaktivera.</t
         <translation>Ctrl+Skift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>&amp;Växla urklippslagring</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Skift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>P&amp;rocesshanterare</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Skift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>A&amp;vsluta</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>&amp;Sortera valda objekt</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Skift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>&amp;Vänd valda objekt</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Skift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>&amp;Klistra in objekt</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>&amp;Kopiera valda objekt</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>&amp;Sök</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>Flytta till &amp;urklipp</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>Vi&amp;sa innehåll…</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>Vi&amp;sa förhandsvisning</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2862,13 +2881,13 @@ Ställ in till 0 för att inaktivera.</t
         <location filename="../src/gui/menuitems.cpp" line="133"/>
         <source>Right</source>
         <comment>Default shortcut to focus next tab</comment>
-        <translation type="unfinished">Höger</translation>
+        <translation>Höger</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="136"/>
         <source>Left</source>
         <comment>Default shortcut to focus previous tab</comment>
-        <translation type="unfinished">Vänster</translation>
+        <translation>Vänster</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="146"/>
@@ -2879,7 +2898,7 @@ Ställ in till 0 för att inaktivera.</t
         <location filename="../src/gui/menuitems.cpp" line="147"/>
         <source>Shift+F10</source>
         <comment>Default shortcut to open item context menu</comment>
-        <translation type="unfinished">Skift+F10</translation>
+        <translation>Skift+F10</translation>
     </message>
     <message>
         <location filename="../src/gui/menuitems.cpp" line="135"/>
@@ -2907,7 +2926,7 @@ Ställ in till 0 för att inaktivera.</t
         <translation>&amp;Hjälp</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2916,7 +2935,7 @@ Ställ in till 0 för att inaktivera.</t
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2929,7 +2948,7 @@ which can be letters, digits, &apos;-&ap
 vilket kan vara bokstäver, siffror, ”-” eller ”_”!</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>Fliken %1 är skadad eller några CopyQ-plugins saknas!</translation>
     </message>
@@ -2937,227 +2956,250 @@ vilket kan vara bokstäver, siffror, ”
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Visa huvudfönster och öppna valfritt fliken med angivet namn.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NAMN</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Dölj huvudfönster.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Visa eller dölj huvudfönster.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Öppna snabbvalsmeny.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Lämna server.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Inaktivera eller aktivera lagring av urklippsinnehåll.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Skriv ut urklippsinnehåll.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>Skriv ut X11-markeringsinnehåll.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Kopiera urklipp till aktuellt fönster
 (fungerar kanske inte med vissa program).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>Ställ in urklippstext.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TEXT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 Ställ in urklippsinnehåll.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DATA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>Skriv ut antal objekt i aktuell flik.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>Kopiera objekt i raden till urklipp.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>RAD</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>Kopiera nästa objekt från aktuell flik till urklipp.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Kopiera föregående objekt från aktuell flik till urklipp.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Lägg till text till urklipp.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Infoga text i angiven rad.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>Ta bort objekt i angivna rader.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>RADER</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>Redigera objekt eller redigera ett nytt.
 Värdet -1 är för aktuell text i urklipp.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>Ställ in avskiljare för objekt vid utmatning.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>AVSKILJARE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Skriv ut rådata för urklipp eller objekt i rad.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Skriv rådata till angiven rad.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>Visa åtgärdsdialog.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 Kör PROGRAM på objekttext i raderna.
 Använd %1 i PROGRAM för att skicka text som argument.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 Visa aktivitetsfältsmeddelande under TID millisekunder.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TITEL</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MEDDELANDE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>TID</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>Lista tillgängliga fliknamn.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3166,200 +3208,216 @@ Fliken skapas om den inte finns.
 Standard är den första fliken.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>KOMMANDO</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Ta bort flik.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Byt namn på flik.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NYTT_NAMN</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>Exportera objekt till fil.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>FILNAMN</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Importera objekt från fil.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>Lista alla flaggor.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>Erhåll värde på flagga.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>FLAGGA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Ställ in värde på flagga.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VÄRDE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 Evaluera ECMAScript-program.
 Argument är åtkomliga med &quot;arguments[0..N]&quot;.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SKRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGUMENT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 Startar eller ansluter till programinstans med angivet sessionsnamn.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SESSION</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 Skriv ut hjälp för KOMMANDO eller alla kommandon.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Skriv ut version på program och bibliotek.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>Kör programtest (lägg till flaggan --help för mer info).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Användning: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Startar server om inget kommando anges.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  KOMMANDOn:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>ANTECKNINGAR:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - Använd flaggan bindestreck (-) för att läsa data från standard in.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - Använd argument med dubbelt bindestreck (--) för att läsa alla följande 
     argument utan att expandera kontrollsekvenser (d.v.s. \n, \t med mera).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - Använd ? som MIME för att skriva ut tillgängliga MIME-typer (standard är &quot;text/plain&quot;).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Ogiltigt antal argument!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Kommando hittades inte!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Avslutar server.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>Det går inte att spara till filen ”%1”!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>Det går inte att importera filen ”%1”!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Ogiltigt alternativ ”%1”!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>Undantag</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>Undantag i %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Misslyckades med att kopiera till urklipp!</translation>
     </message>
@@ -3367,31 +3425,29 @@ Skriv ut version på program och bibliot
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>Det finns ingen flik med det angivna namnet!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>Fliknamn kan inte vara tomt!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>Det finns redan en flik med det angivna namnet!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>%1 — CopyQ</translation>
+        <translation type="vanished">%1 — CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>%1 — %2 — CopyQ</translation>
+        <translation type="vanished">%1 — %2 — CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3406,8 +3462,8 @@ Skriv ut version på program och bibliot
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>CopyQ Ny genväg</translation>
+        <source>New Shortcut</source>
+        <translation>Ny genväg</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3449,8 +3505,12 @@ Skriv ut version på program och bibliot
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
+        <source>Application shortcuts can only be triggered from the main window.</source>
+        <translation>Programgenvägar kan endast lösas ut från huvudfönstret.</translation>
+    </message>
+    <message>
         <source>Application shortcuts can be triggered only from the main window.</source>
-        <translation>Programgenvägar kan endast utlösas från huvudfönstret.</translation>
+        <translation type="vanished">Programgenvägar kan endast utlösas från huvudfönstret.</translation>
     </message>
     <message>
         <location filename="../src/gui/shortcutswidget.cpp" line="246"/>
@@ -3476,18 +3536,18 @@ Använd &lt;b&gt;/&lt;/b&gt; som sökvä
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>CopyQ Ny flik</translation>
+        <source>New Tab</source>
+        <translation>Ny flik</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>CopyQ Byt namn på flik</translation>
+        <source>Rename Tab</source>
+        <translation>Byt namn på flik</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>CopyQ Byt namn på flikgrupp</translation>
+        <source>Rename Tab Group</source>
+        <translation>Byt namn på flikgrupp</translation>
     </message>
 </context>
 <context>
@@ -3504,24 +3564,28 @@ Använd &lt;b&gt;/&lt;/b&gt; som sökvä
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
+        <source>&amp;Save Items</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&amp;Store Items</source>
-        <translation>&amp;Lagra Objekt</translation>
+        <translation type="vanished">&amp;Lagra Objekt</translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Tryck ”/” för att söka</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Skriv för att söka</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3530,12 +3594,12 @@ Använd &lt;b&gt;/&lt;/b&gt; som sökvä
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Reguljärt uttryck</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Ej skiftlägeskänsligt</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_tr.ts 3.11.0-1/translations/copyq_tr.ts
--- 3.10.0-1/translations/copyq_tr.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_tr.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>CopyQ Hakkında</translation>
+        <source>About</source>
+        <translation>Hakkında</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ Hareket Dökümü</translation>
+        <source>Action Dialog</source>
+        <translation>Eylem İletişim Kutusu</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -94,12 +94,12 @@
         <translation>Öğeleri verilen adla sekmesine kaydedin (geçerli sekmede kaydetmek için boş bırakın)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Komut kaydedildi</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Komut kaydedildi. Öğe menüsünden tekrar ulaşabilir, seçeneklerini istediğiniz gibi düzeneleyebilirsiniz.</translation>
@@ -127,8 +127,8 @@ You can set up the command in preference
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>CopyQ İşlem Yöneticisi</translation>
+        <source>Process Manager</source>
+        <translation>İşlem Yöneticisi</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -145,8 +145,8 @@ You can set up the command in preference
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ komut ekle</translation>
+        <source>Add Commands</source>
+        <translation>Komut Ekle</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -320,24 +320,25 @@ You can set up the command in preference
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Yeni öğeler eklenemiyor</translation>
+        <translation type="vanished">Yeni öğeler eklenemiyor</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Sekme dolu. Herhangi bir öğe kaldırılamadı.</translation>
+        <translation type="vanished">Sekme dolu. Herhangi bir öğe kaldırılamadı.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation type="unfinished">%1 sekmesine yeni öğeler eklenemiyor. Yer açmak için lütfen öğeleri el ile kaldırın.</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Değişikliklerden vazgeç?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Gerçekten &lt;strong&gt;değişiklerden vazgeçmek&lt;/strong&gt; istiyor musunuz?</translation>
     </message>
@@ -345,12 +346,12 @@ You can set up the command in preference
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Bağlantı koptu!</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Sunucu bağlantısı yapılamıyor! Öncelikle CopyQ sunucusunu başlatın.</translation>
     </message>
@@ -359,8 +360,8 @@ You can set up the command in preference
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ Pano İçeriği</translation>
+        <source>Clipboard Content</source>
+        <translation>Pano İçeriği</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -379,40 +380,45 @@ You can set up the command in preference
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ Öğe İçerik</translation>
+        <source>Item Content</source>
+        <translation>Öğe İçeriği</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Boyut:&lt;/strong&gt; %1 bytes</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Boyut:&lt;/strong&gt; %1 bytes</translation>
+        <translation type="vanished">&lt;strong&gt;Boyut:&lt;/strong&gt; %1 bytes</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>CopyQ sunucusu zaten çalışıyor.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Aktif Komutları İptal Et</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Aktif komutları iptal edip çıkmak istiyor musunuz?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Çıkmaktan vazgeç</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Her şekilde çık</translation>
     </message>
@@ -430,8 +436,8 @@ You can set up the command in preference
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ Komutları</translation>
+        <source>Commands</source>
+        <translation>Komutlar</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -464,32 +470,32 @@ You can set up the command in preference
         <translation>Komutları yapıştır</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Değişiklikler Kaydedilmedi</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>Komut kutusunda kaydedilmemiş değişiklikler var.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Dosyaları komutlarla aç</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Komutlar (*.ini);; CopyQ Yapılandırma (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Seçili Komutları Kaydet</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Komutlar (*.ini)</translation>
     </message>
@@ -563,6 +569,7 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Oto&amp;matik</translation>
     </message>
     <message>
@@ -573,6 +580,7 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>M&amp;enü içerisi</translation>
     </message>
     <message>
@@ -588,6 +596,7 @@ You can set up the command in preference
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Genel Kısayol</translation>
     </message>
     <message>
@@ -614,11 +623,13 @@ Leave empty to disable this.</source>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Script</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Ekran</translation>
     </message>
     <message>
@@ -907,55 +918,55 @@ Not: Eğer bu otomatik olarak uygulanır
         <translation>Önizleme:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>öğe</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Arama dizesi %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Bir öğe seçin ve
 düzenlemek için F2&apos;ye basın.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Örnek öğe %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Bazı rastgele notlar (düzenlemek için Shift+F2)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Tema Dosyası Aç</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Temayı Farklı Kaydet</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Editör Yok</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Önce harici düzenleyici komutunu seçin!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1546,8 +1557,8 @@ Devre dışı bırakmak için 0 olarak a
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>CopyQ Ayarları</translation>
+        <source>Configuration</source>
+        <translation>Yapılandırma</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1623,7 +1634,7 @@ Devre dışı bırakmak için 0 olarak a
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Senkronizasyon dizini oluşturulamadı &quot;%1&quot;!</translation>
     </message>
@@ -1655,8 +1666,8 @@ Devre dışı bırakmak için 0 olarak a
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>CopyQ İkon Seç</translation>
+        <source>Select Icon</source>
+        <translation>Simge Seç</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1713,89 +1724,89 @@ Devre dışı bırakmak için 0 olarak a
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Kaydet</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Öğeyi Kaydet (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Çıkış</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Düzenlemeden Çık ve Değişiklikleri Geri Al</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Escape</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Font</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Kalın</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>İtalik</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Altı çizili</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Çizili</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Önplan</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Arkaplan</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Stili Temizle</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Ara</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Geri Al</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Yeniden Yap</translation>
     </message>
@@ -2104,22 +2115,22 @@ Devre dışı bırakmak için 0 olarak a
         <translation>Öğeleri kaldırmak için önce işaretini kaldırın.</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>İşaretle</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>İşareti kaldır</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>İşaretli Öğeler</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt;Geçerli satırda kilitlemek için öğeleri işaretleyin ve silmeyi önlemeyin (işaretlenmemişse).&lt;/p&gt;&lt;p&gt;Kısayollar ve komut dosyası işlevselliği sağlar.&lt;/p&gt;</translation>
     </message>
@@ -2127,28 +2138,28 @@ Devre dışı bırakmak için 0 olarak a
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Gözat...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Eşitleme için klasörü açın</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Eşitleme dizini oluşturulamadı</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Eşitleme</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Öğeleri ve notları diskteki bir klasörle eşitle.</translation>
     </message>
@@ -2156,17 +2167,17 @@ Devre dışı bırakmak için 0 olarak a
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>&quot;%1&quot; sekmesini &quot;%2&quot; klasörüyle eşitleyemedi!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Öğeleri Kaldır?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>&lt;strong&gt;Öğeleri ve ilişkili dosyaları kaldırmayı&lt;/strong&gt; gerçekten istiyor musunuz?</translation>
     </message>
@@ -2202,9 +2213,25 @@ Devre dışı bırakmak için 0 olarak a
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <translation type="obsolete">&lt;p&gt;Dosyaları yok saymak için MIME tipini &lt;strong&gt;-&lt;/strong&gt; (eksi karakteri) olarak ayarlayın. Diğer tüm bilinmeyen veya gizli dosyalar yok sayıldı.&lt;/p&gt;
+&lt;p&gt;Örnek: &lt;strong&gt;txt&lt;/strong&gt; dosya uzantısını &lt;strong&gt;text/plain&lt;/strong&gt; MIME tipi olarak yükleyin.&lt;/p&gt;</translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;Dosyaları yoksaymak için MIME türünü &lt;strong&gt;-&lt;/strong&gt; (çizgi) olarak ayarlayın. Diğer bilinmeyen veya gizli dosyalar dikkate alınmaz.&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;Dosyaları yoksaymak için MIME türünü &lt;strong&gt;-&lt;/strong&gt; (çizgi) olarak ayarlayın. Diğer bilinmeyen veya gizli dosyalar dikkate alınmaz.&lt;/p&gt;
 &lt;p&gt;Örnek: &lt;strong&gt;txt&lt;/strong&gt; dosya uzantısını &lt;strong&gt;metin/düz&lt;/strong&gt; MIME türü olarak yükleyin.&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2213,41 +2240,40 @@ Devre dışı bırakmak için 0 olarak a
         <translation>Uzantılar</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>Öğe MIME Tipi</translation>
+        <translation type="vanished">Öğe MIME Tipi</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Bir Etiket Ekle</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Bir etiket kaldır</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>%1 olarak etiketle</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>%1 etiketini kaldır</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Önemli</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Tüm etiketleri temizle</translation>
     </message>
@@ -2356,125 +2382,124 @@ Devre dışı bırakmak için 0 olarak a
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>CopyQ günlüğü</translation>
+        <source>Log</source>
+        <translation>Günlük</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>Çıkış?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>CopyQ&apos;dan &lt;strong&gt;çıkmak&lt;/strong&gt; ister misiniz?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>&amp;Dosya</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>&amp;Düzenle</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>&amp;Öğe</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>&amp;Sekmeler</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>Yardım</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>&amp;Yeni Sekme</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>Yeniden Adlandır &amp;Grup %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>&amp;Ad değiştir Sekme %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>&amp;Kaldır Sekme %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>Kaldır Grup %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>&amp;Sekme Simgesini Değiştir</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>&amp;Pano Depolamasını Etkinleştir</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>&amp;Pano Depolamayı Devre Dışı Bırak</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>İçe aktarma için CopyQ Seçenekleri</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation>İçe Aktarma Seçenekleri</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>CopyQ Hata</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>&amp;Göster/Gizle</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>Dışa aktarma için CopyQ Seçenekleri</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation>Dışa Aktarma Seçenekleri</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>CopyQ Dışa Aktarma Hatası</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation>Dışa Aktarma Hatası</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>%1 dosyası dışa aktarılamadı!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>&amp;Pano: %1</translation>
@@ -2485,32 +2510,32 @@ Devre dışı bırakmak için 0 olarak a
         <translation>CopyQ öğeler (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>CopyQ İçe Aktarma Hatası</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation>İçe Aktarma Hatası</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>%1 dosyası içe aktarılamadı!</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>Gruptaki Tüm Sekmeleri Kaldır?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>&lt;strong&gt;%1&lt;/strong&gt; grubundaki &lt;strong&gt;tüm sekmeleri&lt;/strong&gt; kaldırmak istiyor musun?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>Sekmeleri Kaldır?</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>&lt;strong&gt;%1&lt;/strong&gt; sekmesini kaldırmak istiyor musunuz?</translation>
     </message>
@@ -2532,40 +2557,39 @@ Devre dışı bırakmak için 0 olarak a
         <translation>&amp;pano</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;HIDDEN&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
             <numerusform>%1 (%n satır)</numerusform>
-            <numerusform>%1 (%n satır)</numerusform>
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;IMAGE&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;ITEMS&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;EMPTY&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;DATA&gt;</translation>
@@ -2638,92 +2662,92 @@ Devre dışı bırakmak için 0 olarak a
         <translation>Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>&amp;Pano Depolamasını Aç/Kapat</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>&amp;İşlem Yöneticisi</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>&amp;Çıkış</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>&amp;Seçili Öğeleri Sırala</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>&amp;Seçili Öğeler Tersine</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>&amp;Öğeleri Yapıştır</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>&amp;Seçili Öğeleri Kopyala</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>&amp;Bul</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>&amp;Panoya taşı</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>&amp;İçeriği Göster...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>&amp;Önizlemeyi Göster</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2906,16 +2930,15 @@ Devre dışı bırakmak için 0 olarak a
         <translation>&amp;Yardım</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
-        <translation>
-            <numerusform>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n satır &amp;mdash;&lt;/small&gt;&lt;/div&gt;</numerusform>
+        <translation type="unfinished">
             <numerusform>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n satır &amp;mdash;&lt;/small&gt;&lt;/div&gt;</numerusform>
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2928,7 +2951,7 @@ which can be letters, digits, &apos;-&ap
 en fazla 16 karakter içermelidir!</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>%1 sekmesi bozuk veya bazı CopyQ eklentileri eksik!</translation>
     </message>
@@ -2936,227 +2959,252 @@ en fazla 16 karakter içermelidir!</tran
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Ana pencereyi göster ve isteğe bağlı olarak verilen isim ile sekmeyi aç.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>ADI</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>Ana pencereyi gizle.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>Ana pencereyi göster veya gizle.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>Bağlam menüsünü aç.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>Sunucudan çık.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>Pano içerik depolamasını devre dışı bırak veya etkinleştir.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>Pano içeriğini yazdır.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>X11 seçim içeriğini yazdır.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>Panoyu geçerli pencereye yapıştırın
 (bazı uygulamalarla çalışmayabilir).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation>Panoyu geçerli pencereden kopyala
+(bazı uygulamalarda çalışmayabilir).</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>Pano metnini ayarla.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>METİN</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 Pano içeriği ayarla.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>VERİ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>Geçerli sekmedeki öğelerin miktarını yazdır.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>Satırdaki öğeyi panoya kopyalayın.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>SATIR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>Bir sonraki öğeyi geçerli sekmeden panoya kopyalayın.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>Önceki öğeyi geçerli sekmeden panoya kopyala.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>Panoya metin ekle.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>Verilen satıra metin ekleyin.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>Verilen satırlardaki öğeleri kaldırın.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>SATIRLAR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>Öğeleri düzenleyin veya yenisini düzenleyin.
 -1 değeri panodaki geçerli metin içindir.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>Çıkıştaki öğeler için ayırıcı ayarlayın.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>AYIRICI</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>Satırdaki öğenin veya panonun ham verilerini yazdır.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 Ham verileri verilen satıra yazın.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>Eylem iletişim kutusunu göster.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 PROGRAM, satırlardaki öğe metninde çalıştırın.
 Metni argüman olarak iletmek için PROGRAM içindeki %1&apos;i kullanın.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 Tepsi açılır mesajını TIME milisaniye için göster.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation>Pano içeriğini ayarla.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation>Ham verileri verilen satıra yazın.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished">PROGRAM&apos;ı satırlardaki öğe metninde çalıştırın.
+PROGRAM içerisinde metni argüman olarak iletmek için % 1 kullanın.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished">Tepsi açılır mesajını TIME milisaniye göster.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>BAŞLIK</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MESAJ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>ZAMAN</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>Kullanılabilir sekme adlarını listele.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3165,200 +3213,216 @@ Eğer yoksa sekme oluşturulur.
 Varsayılan ayar ilk sekmedir.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>KOMUT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>Sekmeyi Kaldır.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>Sekmeyi Yeniden Adlandır.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>YENİ_AD</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>Öğeleri dosyaya aktarın.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>DOSYA_ADI</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>Öğeleri dosyadan içe aktar.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>Tüm seçenekleri listele.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>Seçenek değerini al.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>SEÇENEK</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>Seçenek değeri ayarla.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>DEĞER</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished">Betiği değerlendir.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation type="unfinished">Verilen oturum adıyla uygulama örneğini başlatır veya uygulama örneğine bağlanır.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation type="unfinished">COMMAND veya tüm komutlar için yardımı yazdırın.</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation>Programın ve kütüphanelerin sürümünü yazdır.</translation>
+    </message>
+    <message>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 ECMAScript programını değerlendir.
 Argümanlara &quot;argümanlar[0..N]&quot; ile erişilebilir.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>BETİK</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGÜMANLAR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 Verilen oturum adıyla uygulama örneğini başlatır veya bağlar.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>OTURUM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 COMMAND veya tüm komutlar için help yazın.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 Programın ve kütüphanelerin sürümünü yazdır.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>Uygulama testlerini çalıştırın (ekleme daha fazla bilgi için --help argümanı).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>Kullanımı: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>Hiçbir komut belirtilmezse sunucuyu başlatır.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  KOMUTlar:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>NOTLAR:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - Standart girişteki verileri okumak için çizgi (-) argümanını kullanın.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - Kaçış dizilerini genişletmeden aşağıdaki tüm argümanları okumak için
     çift çizgi argümanını (--) kullanın (yani, \n, \t ve diğerleri).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - MIME&apos;nin kullanılabilir MIME türlerini yazdırması için ? kullan (varsayılan &quot;text/plain&quot;).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>Geçersiz sayıda argüman!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Komut bulunamadı!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>Sunucu sonlandırılıyor.
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>&quot;%1&quot; dosyasına kaydedilemiyor!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>&quot;%1&quot; dosyası içe aktarılamıyor!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Geçersiz seçenek &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>İstisna</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>%1’de İstisna</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>Panoya kopyalanamadı!</translation>
     </message>
@@ -3366,31 +3430,29 @@ Programın ve kütüphanelerin sürümü
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>Verilen adla sekme mevcut değil!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>Sekme adı boş olamaz!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>Verilen adla sekme zaten var!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>%1 - CopyQ</translation>
+        <translation type="vanished">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>%1 - %2 - CopyQ</translation>
+        <translation type="vanished">%1 - %2 - CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3405,8 +3467,8 @@ Programın ve kütüphanelerin sürümü
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>CopyQ Yeni Kısayol</translation>
+        <source>New Shortcut</source>
+        <translation>Yeni Kısayol</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3448,10 +3510,14 @@ Programın ve kütüphanelerin sürümü
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation>Uygulama kısayolları yalnızca ana pencereden tetiklenebilir.</translation>
     </message>
     <message>
+        <source>Application shortcuts can be triggered only from the main window.</source>
+        <translation type="vanished">Uygulama kısayolları yalnızca ana pencereden tetiklenebilir.</translation>
+    </message>
+    <message>
         <location filename="../src/gui/shortcutswidget.cpp" line="246"/>
         <source>Shortcut already exists!</source>
         <translation>Kısayol zaten var!</translation>
@@ -3475,18 +3541,18 @@ Ağaç görünümü sekme düzeninde yol
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>CopyQ Yeni Sekme</translation>
+        <source>New Tab</source>
+        <translation>Yeni Sekme</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>CopyQ Yeniden Adlandır Sekmesi</translation>
+        <source>Rename Tab</source>
+        <translation>Yeniden Adlandır Sekmesi</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>CopyQ Yeniden Adlandır Sekme Grubu</translation>
+        <source>Rename Tab Group</source>
+        <translation>Sekme Grubunu Yeniden Adlandır</translation>
     </message>
 </context>
 <context>
@@ -3503,24 +3569,28 @@ Ağaç görünümü sekme düzeninde yol
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
+        <source>&amp;Save Items</source>
+        <translation type="unfinished">Öğeleri &amp;Kaydet</translation>
+    </message>
+    <message>
         <source>&amp;Store Items</source>
-        <translation>&amp;Mağaza Öğeleri</translation>
+        <translation type="vanished">&amp;Mağaza Öğeleri</translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Aramak için &apos;/&apos; tuşuna basın</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>Aramak için yazın</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3529,12 +3599,12 @@ Ağaç görünümü sekme düzeninde yol
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>Düzenli ifade</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Büyük/Küçük Harf Duyarsız</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_uk.ts 3.11.0-1/translations/copyq_uk.ts
--- 3.10.0-1/translations/copyq_uk.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_uk.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>Про програму CopyQ</translation>
+        <source>About</source>
+        <translation type="unfinished">Про програму</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>Діалог дій CopyQ</translation>
+        <source>Action Dialog</source>
+        <translation type="unfinished">Діалог дій</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -94,12 +94,12 @@
         <translation>Зберегти елементи в вкладку із заданим ім&apos;ям (залишите порожнім, щоб зберегти лише поточну)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>Команда збережена</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>Команда збережена, і тепер її можна викликати з меню.
@@ -128,13 +128,13 @@ Змінити команду можна
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation type="unfinished"></translation>
+        <source>Process Manager</source>
+        <translation>Менеджер процесів</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
         <source>Filter</source>
-        <translation type="unfinished"></translation>
+        <translation>Фільтр</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="32"/>
@@ -146,8 +146,8 @@ Змінити команду можна
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ Додати Команду</translation>
+        <source>Add Commands</source>
+        <translation type="unfinished">Додати Команду</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -321,24 +321,25 @@ Змінити команду можна
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>Не вдається додати нові елементи</translation>
+        <translation type="vanished">Не вдається додати нові елементи</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>Вкладку заповнено. Не вдалося видалити будь-які предмети.</translation>
+        <translation type="vanished">Вкладку заповнено. Не вдалося видалити будь-які предмети.</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>Скасувати зміни?</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>Ви дійсно хочете &lt;strong&gt;скасувати зміни&lt;/strong&gt;?</translation>
     </message>
@@ -346,12 +347,12 @@ Змінити команду можна
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>Не вдалося підключитися до сервера! Спочатку запустіть сервер CopyQ.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>Втрачено з’єднання!</translation>
     </message>
@@ -360,8 +361,8 @@ Змінити команду можна
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ вміст буфера обміну</translation>
+        <source>Clipboard Content</source>
+        <translation type="unfinished">Вміст буфера обміну</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +381,45 @@ Змінити команду можна
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ: Вміст елементу</translation>
+        <source>Item Content</source>
+        <translation type="unfinished">: Вміст елементу</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;Розмір:&lt;/strong&gt; %1 байт</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;Розмір:&lt;/strong&gt; %1 байт</translation>
+        <translation type="vanished">&lt;strong&gt;Розмір:&lt;/strong&gt; %1 байт</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>Сервер CopyQ вже запущено.</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>Скасувати активні команди</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>Скасувати активні команди та вийти?</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>Скасувати вихід</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>Вийти в будь-якому випадку</translation>
     </message>
@@ -431,8 +437,8 @@ Змінити команду можна
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ команди</translation>
+        <source>Commands</source>
+        <translation type="unfinished">Команди</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -465,32 +471,32 @@ Змінити команду можна
         <translation>Вставити команди</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>Незбережені зміни</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>В діалозі Команди є незбережені зміни.</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>Відкрити файли з командами</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>Файли команд (*.ini);; Файли конфігурації CopyQ (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>Зберегти вибрані команди</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>Файли команд (*.ini)</translation>
     </message>
@@ -564,6 +570,7 @@ Змінити команду можна
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>Автоматично</translation>
     </message>
     <message>
@@ -574,6 +581,7 @@ Змінити команду можна
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -621,6 +629,7 @@ Залиште поле порожнім
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>Глобальні ярлики</translation>
     </message>
     <message>
@@ -641,11 +650,13 @@ Залиште поле порожнім
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>Скрипт</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>Дисплей</translation>
     </message>
     <message>
@@ -902,55 +913,55 @@ Примітка: Якщо це заст
         <translation>Попередній перегляд:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>елемент</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>Рядок пошуку %1.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>Виберіть елемент і
 натисніть клавішу F2 для редагування.</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>Приклад елемента %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>Деякі випадкові нотатки (Shift+F2 для редагування)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>Відкрити файл теми</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>Зберегти тему як файл</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>Немає зовнішнього редактора</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>Спочатку вкажіть команду зовнішнього редактора!</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Абв</translation>
@@ -1537,8 +1548,8 @@ Встановіть 0 для вимкн
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>Конфігурація CopyQ</translation>
+        <source>Configuration</source>
+        <translation type="unfinished">Конфігурація</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1614,7 +1625,7 @@ Встановіть 0 для вимкн
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>Не вдалось створити теку синхронізації &quot;%1&quot;!</translation>
     </message>
@@ -1646,8 +1657,8 @@ Встановіть 0 для вимкн
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>оберіть піктограму CopyQ</translation>
+        <source>Select Icon</source>
+        <translation type="unfinished">Оберіть піктограму</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1704,89 +1715,89 @@ Встановіть 0 для вимкн
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>Зберегти</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>Зберегти елемент (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>Скасувати</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>Закінчити редагування та повернути зміни</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>Шрифт</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>Жирний</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>Курсив</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>Підкреслення</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>Закреслений</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>Колір шрифту</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>Колір тла</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>Стиль стирання</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>Пошук</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>Скасувати</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>Вернути</translation>
     </message>
@@ -2094,22 +2105,22 @@ Встановіть 0 для вимкн
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>Закріпити</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>Відкріпити</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>Закріплені елементи</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2117,28 +2128,28 @@ Встановіть 0 для вимкн
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>Огляд...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>Відкрити теку для синхронізації</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>Невдача при створенні теки синхронізації</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>Синхронізація</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>Синхронізувати елементи та нотатки з текою на диску.</translation>
     </message>
@@ -2146,17 +2157,17 @@ Встановіть 0 для вимкн
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>Не вдалось синхронізувати вкладку &quot;%1&quot; з текою &quot;%2&quot;!</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>Видалити  елементи?</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>Ви точно хочете &lt;strong&gt;видалити елементи та пов’язані файли&lt;/strong&gt;?</translation>
     </message>
@@ -2191,8 +2202,13 @@ Встановіть 0 для вимкн
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
-        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
-&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -2200,42 +2216,37 @@ Встановіть 0 для вимкн
         <source>Extensions</source>
         <translation>Розширення</translation>
     </message>
-    <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
-        <source>Item MIME Type</source>
-        <translation type="unfinished"></translation>
-    </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>Додати мітку</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>Видалити мітку</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>Помітити як %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>Видалити мітку %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>Важливо</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>Очистити всі мітки</translation>
     </message>
@@ -2344,125 +2355,125 @@ Встановіть 0 для вимкн
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
+        <source>Log</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
-        <source>CopyQ</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
-        <source>&amp;Show/Hide</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
+        <source>&amp;Show/Hide</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation type="unfinished"></translation>
@@ -2473,32 +2484,27 @@ Встановіть 0 для вимкн
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2514,13 +2520,13 @@ Встановіть 0 для вимкн
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2530,25 +2536,25 @@ Встановіть 0 для вимкн
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2566,7 +2572,7 @@ Встановіть 0 для вимкн
         <translation type="unfinished"></translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation type="unfinished">
@@ -2576,7 +2582,7 @@ Встановіть 0 для вимкн
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation type="unfinished"></translation>
@@ -2649,92 +2655,92 @@ which can be letters, digits, &apos;-&ap
         <translation>Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2917,7 +2923,7 @@ which can be letters, digits, &apos;-&ap
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation type="unfinished"></translation>
     </message>
@@ -2925,413 +2931,410 @@ which can be letters, digits, &apos;-&ap
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
-        <source>
-Set clipboard content.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
-        <source>
-Write raw data to given row.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
-        <source>
-Run PROGRAM on item text in the rows.
-Use %1 in PROGRAM to pass text as argument.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
-        <source>
-Show tray popup message for TIME milliseconds.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
-        <source>
-Evaluate ECMAScript program.
-Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>Показати головне вікно та відкрити вкладку із заданою назвою (за бажанням).</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
-        <source>
-Starts or connects to application instance with given session name.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
-        <source>SESSION</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
-        <source>
-Print help for COMMAND or all commands.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
-        <source>
-Print version of program and libraries.</source>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
+        <source>SESSION</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>Команду не знайдено!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>Не вдається імпортувати файл &quot;%1&quot;!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>Неприпустимий параметр &quot;%1&quot;!</translation>
     </message>
@@ -3339,32 +3342,20 @@ Print version of program and libraries.<
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>Назва вкладки не може бути порожньою!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>Вкладка з такою назвою вже існує!</translation>
     </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
-        <source>%1 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
-        <source>%1 - %2 - CopyQ</source>
-        <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation type="unfinished"></translation>
-    </message>
 </context>
 <context>
     <name>ShortcutButton</name>
@@ -3378,7 +3369,7 @@ Print version of program and libraries.<
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
+        <source>New Shortcut</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3421,7 +3412,7 @@ Print version of program and libraries.<
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
-        <source>Application shortcuts can be triggered only from the main window.</source>
+        <source>Application shortcuts can only be triggered from the main window.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -3446,17 +3437,17 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
+        <source>New Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
+        <source>Rename Tab</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
+        <source>Rename Tab Group</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
@@ -3474,24 +3465,24 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>Натисніть &apos;/&apos; для пошуку</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3500,12 +3491,12 @@ Use &lt;b&gt;/&lt;/b&gt; as path separat
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>Чутливість до регістру</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_zh_CN.ts 3.11.0-1/translations/copyq_zh_CN.ts
--- 3.10.0-1/translations/copyq_zh_CN.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_zh_CN.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>关于 CopyQ</translation>
+        <source>About</source>
+        <translation>关于</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ 动作对话框</translation>
+        <source>Action Dialog</source>
+        <translation>动作对话框</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="58"/>
@@ -94,12 +94,12 @@
         <translation>将条目存入指名的标签页（留空则存入当前标签页）</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>命令已保存</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>命令已保存，你可以通过条目菜单来访问。
@@ -128,8 +128,8 @@ 你可以在首选项中建立命令。<
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>CopyQ 进程管理器</translation>
+        <source>Process Manager</source>
+        <translation>进程管理器</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -146,8 +146,8 @@ 你可以在首选项中建立命令。<
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ 添加命令</translation>
+        <source>Add Commands</source>
+        <translation>添加 命令</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -321,24 +321,25 @@ 你可以在首选项中建立命令。<
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>不能添加新的条目</translation>
+        <translation type="vanished">不能添加新的条目</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>标签页已满。没有删除任何条目。</translation>
+        <translation type="vanished">标签页已满。没有删除任何条目。</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>放弃更改？</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>你真的要&lt;strong&gt;放弃更改&lt;/strong&gt;吗？</translation>
     </message>
@@ -346,12 +347,12 @@ 你可以在首选项中建立命令。<
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>无法连接到服务端！请先启动 CopyQ 服务端。</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>连接丢失！</translation>
     </message>
@@ -360,8 +361,8 @@ 你可以在首选项中建立命令。<
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ 剪贴板内容</translation>
+        <source>Clipboard Content</source>
+        <translation>剪贴板内容</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +381,45 @@ 你可以在首选项中建立命令。<
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ 条目内容</translation>
+        <source>Item Content</source>
+        <translation>条目内容</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of clipboard/item data in bytes</comment>
+        <translation type="unfinished">&lt;strong&gt;大小:&lt;/strong&gt; %1 字节</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
         <comment>Size of data in bytes</comment>
-        <translation>&lt;strong&gt;大小:&lt;/strong&gt; %1 字节</translation>
+        <translation type="vanished">&lt;strong&gt;大小:&lt;/strong&gt; %1 字节</translation>
     </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>CopyQ 服务端已在运行了。</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>取消正在运行的命令</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>取消正在运行的命令并退出？</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>取消退出</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>强制退出</translation>
     </message>
@@ -431,8 +437,8 @@ 你可以在首选项中建立命令。<
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ 命令</translation>
+        <source>Commands</source>
+        <translation>命令</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -465,32 +471,32 @@ 你可以在首选项中建立命令。<
         <translation>粘贴命令</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>更改未保存</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>命令对话框还未保存。</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>用命令打开文件</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>命令 (*.ini);; CopyQ 配置 (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>保存选中的命令</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>命令 (*.ini)</translation>
     </message>
@@ -569,6 +575,7 @@ 你可以在首选项中建立命令。<
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>自动执行(&amp;M)</translation>
     </message>
     <message>
@@ -579,6 +586,7 @@ 你可以在首选项中建立命令。<
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>菜单中(&amp;E)</translation>
     </message>
     <message>
@@ -589,16 +597,19 @@ 你可以在首选项中建立命令。<
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>全局快捷键</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>脚本</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>显示</translation>
     </message>
     <message>
@@ -908,55 +919,55 @@ 注意：如果这是自动应用的，
         <translation>预览:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>条目</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>搜索字串为 %1。</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
         <translation>选定一条然后
 按 F2 键来编辑。</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>示例 条目 %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>这是随机备注（Shift+F2 切换编辑模式）</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>打开主题文件</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>主题文件另存为</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>无外部编辑器</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>首先要设置外部编辑器命令！</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>Abc</translation>
@@ -1539,8 +1550,8 @@ 设为 0 则禁用.</translation>
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>CopyQ 配置</translation>
+        <source>Configuration</source>
+        <translation>配置</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1616,7 +1627,7 @@ 设为 0 则禁用.</translation>
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>创建同步文件夹 &quot;%1&quot; 失败！</translation>
     </message>
@@ -1648,8 +1659,8 @@ 设为 0 则禁用.</translation>
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>CopyQ 选择图标</translation>
+        <source>Select Icon</source>
+        <translation>选择图标</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1706,89 +1717,89 @@ 设为 0 则禁用.</translation>
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>保存</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>保存项目 (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>取消</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>取消编辑，还原变更</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>字体</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>粗体</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>斜体</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>下划线</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>删除线</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>前景</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>背景</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>清除样式</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>查找</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>撤销</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>重做</translation>
     </message>
@@ -2097,22 +2108,22 @@ 设为 0 则禁用.</translation>
         <translation>移除条目前请先解除固定。</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>固定</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>解除固定</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>已固定条目</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
         <translation>&lt;p&gt;固定条目以吧它们锁定在当前行并避免删除（除非接触固定）&lt;/p&gt;&lt;p&gt;提供快捷方式和脚本功能&lt;/p&gt;</translation>
     </message>
@@ -2120,28 +2131,28 @@ 设为 0 则禁用.</translation>
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>浏览...</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>打开需要同步的文件夹</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>创建同步文件夹失败</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>同步</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>使用磁盘上的目录来同步条目和备注。</translation>
     </message>
@@ -2149,17 +2160,17 @@ 设为 0 则禁用.</translation>
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
         <translation>在文件夹“%2”中同步标签页“%1”失败！</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>确认移除条目？</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>您确定想&lt;strong&gt;移除条目和与其关联的文件&lt;/strong&gt;吗？</translation>
     </message>
@@ -2195,9 +2206,19 @@ 设为 0 则禁用.</translation>
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;设置MIME类型为&lt;strong&gt;&lt;/strong&gt;（破折号）来忽略文件。任何其他未知或隐藏的文件将被忽略&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;设置MIME类型为&lt;strong&gt;&lt;/strong&gt;（破折号）来忽略文件。任何其他未知或隐藏的文件将被忽略&lt;/p&gt;
 &lt;p&gt;比如：将&lt;strong&gt;txt&lt;/strong&gt;文件扩展名加载为&lt;strong&gt;纯文本&lt;/strong&gt;MIME类型&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2206,41 +2227,40 @@ 设为 0 则禁用.</translation>
         <translation>扩展名</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>条目 MIME 类型</translation>
+        <translation type="vanished">条目 MIME 类型</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>添加一个标签</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>移除标签</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
         <translation>标签作为 %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
         <translation>移除标签 %1</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>重要</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>清理所有标签</translation>
     </message>
@@ -2349,135 +2369,134 @@ 设为 0 则禁用.</translation>
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>CopyQ 日志</translation>
+        <source>Log</source>
+        <translation>日志</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>退出？</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>你想&lt;strong&gt;退出&lt;/strong&gt; CopyQ 吗？</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>文件(&amp;F)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>编辑(&amp;E)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>条目(&amp;I)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>标签页(&amp;T)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>帮助(&amp;H)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>CopyQ 的导入选项</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation>导入选项</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>显示/隐藏(&amp;S)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
-        <translation>CopyQ 的导出选项</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
+        <translation>导出选项</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
-        <translation>CopyQ 导出错误</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
+        <translation>导出错误</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>导出到文件 %1 失败！</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
-        <translation>CopyQ 导入错误</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
+        <translation>导入错误</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>导入文件 %1 失败！</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>启用剪贴板存储(&amp;E)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>禁用剪贴板存储(&amp;D)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
         <translation>CopyQ 错误</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>新建标签页(&amp;N)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>重命名标签页组(&amp;G): %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
         <translation>重命名标签页(&amp;N): %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
         <translation>删除标签页(&amp;M): %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>删除标签页组: %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>更改标签页图标(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>剪贴板(&amp;C): %1</translation>
@@ -2488,22 +2507,22 @@ 设为 0 则禁用.</translation>
         <translation>CopyQ 项目 (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>删除组中的全部标签页？</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>你想要删除 &lt;strong&gt;%1&lt;/strong&gt; 标签页组中的&lt;strong&gt;全部标签页&lt;/strong&gt;吗？</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>删除标签页？</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
         <translation>你想要删除 &lt;strong&gt;%1&lt;/strong&gt; 标签页吗？</translation>
     </message>
@@ -2519,13 +2538,13 @@ 设为 0 则禁用.</translation>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;隐藏&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2533,25 +2552,25 @@ 设为 0 则禁用.</translation>
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;图像&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;条目&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;空&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;数据&gt;</translation>
@@ -2569,7 +2588,7 @@ 设为 0 则禁用.</translation>
         <translation>Delete</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2577,7 +2596,7 @@ 设为 0 则禁用.</translation>
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2651,92 +2670,92 @@ 必须为字母、数字、&quot;-&quot;
         <translation>Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>切换剪贴板存储内容(&amp;T)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>进程管理器(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>退出(&amp;X)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>排序所选条目(&amp;S)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>反选条目(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>粘贴条目(&amp;P)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>复制所选条目(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>查找(&amp;F)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
         <translation>移动到剪贴板(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>显示内容(&amp;S)...</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>&amp;显示预览</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2919,7 +2938,7 @@ 必须为字母、数字、&quot;-&quot;
         <translation>帮助(&amp;H)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
         <translation>标签 %1损坏或一些CopyQ插件丢失！</translation>
     </message>
@@ -2927,209 +2946,205 @@ 必须为字母、数字、&quot;-&quot;
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>隐藏主窗口。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>显示/隐藏主窗口。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>打开上下文菜单。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>退出服务器。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>禁用或启用剪贴板内容存储。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>打印剪贴板内容。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>打印 X11 所选择的内容。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>粘贴剪贴板内容到当前窗口
 （部分程序可能无效）。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>设置剪贴板文本。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TEXT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 设置剪贴板内容。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DATA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>复制行中的条目到剪贴板。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>ROW</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>复制当前标签页的下一个项目到剪贴板。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>复制当前标签页的上一个项目到剪贴板。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>添加文本到剪贴板。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>插入文本到指定的行。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>删除条目中给出的行。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>ROWS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>编辑条目或新建一个。
 值为 -1 时为当前剪贴板中的文本。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>设置输出的条目分隔符。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>SEPARATOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>打印剪贴板或行中条目的原始数据。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 写入原始数据到指定行。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>显示操作对话框。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 在指定行内的条目文本中运行 PROGRAM。
 PROGRAM 后的 %1 为参数，用来传递文本参数。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 显示托盘弹出信息 TIME 毫秒。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TITLE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MESSAGE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>TIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>列出可用的标签页名称。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3138,217 +3153,260 @@ 如果标签页不存在将创建。
 默认为第一个标签页。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 执行 ECMAScript 程序。
 参数可以使用 &quot;arguments[0..N]&quot; 来进行访问。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>运行程序测试 (后面加 &quot; --help&quot; 参数查看更多信息)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>显示主窗口，可选提供名称打开指定标签页。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>印出当前标签页中项目的数量。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>COMMAND</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>删除标签页。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>重命名标签页。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NEW_NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>导出条目到文件。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>FILE_NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>从文件中倒入条目。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>列出所有选项。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>获取选项值。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
         <translation>OPTION</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>设置选项值。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VALUE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>SCRIPT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>ARGUMENTS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 使用指定会话名称开始或连接到应用实例。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>对话</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 打印 COMMAND 或所有命令的帮助信息。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 打印程序和库的版本。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>用法: copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>如果没有指定命令则开始服务。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  COMMAND:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>注意事项：</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - 使用双引号参数（“--”）读取所有跟随的参数，同时不展开转义序列（例如 \n、\t 等等)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - 为 MIME 使用 ? 以打印可用的 MIME 类型 (默认为 &quot;text/plain&quot;)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>参数个数不对!</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>异常</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>无法复制到剪贴板！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>命令未找到！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>正在终止服务器。
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>异常发生在 %1</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>无法保存文件“%1”！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - 使用短横线（-）作为参数以从标准输入读取数据。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>无法导入文件“%1”！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>无效选项“%1”！</translation>
     </message>
@@ -3356,31 +3414,29 @@ 打印程序和库的版本。</translat
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>不存在该名称的标签页！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>标签页名称不能为空 ！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>已存在同名标签页！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>%1 - CopyQ</translation>
+        <translation type="vanished">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>%1 - %2 - CopyQ</translation>
+        <translation type="vanished">%1 - %2 - CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3395,8 +3451,8 @@ 打印程序和库的版本。</translat
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>CopyQ 新建快捷键</translation>
+        <source>New Shortcut</source>
+        <translation>新建快捷键</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3438,8 +3494,12 @@ 打印程序和库的版本。</translat
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
+        <source>Application shortcuts can only be triggered from the main window.</source>
+        <translation>应用程序快捷方式只能从主窗口中触发。</translation>
+    </message>
+    <message>
         <source>Application shortcuts can be triggered only from the main window.</source>
-        <translation>只能从主窗口触发程序快捷键.</translation>
+        <translation type="vanished">只能从主窗口触发程序快捷键.</translation>
     </message>
     <message>
         <location filename="../src/gui/shortcutswidget.cpp" line="246"/>
@@ -3465,18 +3525,18 @@ 使用 &lt;b&gt;/&lt;/b&gt; 作为在标
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>CopyQ 新建标签页</translation>
+        <source>New Tab</source>
+        <translation>新建标签页</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>CopyQ 重命名标签页</translation>
+        <source>Rename Tab</source>
+        <translation>重命名标签页</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>CopyQ 重命名标签页组</translation>
+        <source>Rename Tab Group</source>
+        <translation>重命名标签页组</translation>
     </message>
 </context>
 <context>
@@ -3493,38 +3553,42 @@ 使用 &lt;b&gt;/&lt;/b&gt; 作为在标
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
+        <source>&amp;Save Items</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <source>&amp;Store Items</source>
-        <translation>&amp;储存条目</translation>
+        <translation type="vanished">&amp;储存条目</translation>
     </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>按『/』以进行搜索</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
         <translation>输入文字进行搜索</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
-        <translation>%1. %2</translation>
+        <translation>&amp;%1. %2</translation>
     </message>
 </context>
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
         <translation>正则表达式</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>区分大小写</translation>
     </message>
diff -pruN 3.10.0-1/translations/copyq_zh_TW.ts 3.11.0-1/translations/copyq_zh_TW.ts
--- 3.10.0-1/translations/copyq_zh_TW.ts	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/translations/copyq_zh_TW.ts	2020-05-01 06:22:49.000000000 +0000
@@ -5,8 +5,8 @@
     <name>AboutDialog</name>
     <message>
         <location filename="../src/ui/aboutdialog.ui" line="14"/>
-        <source>CopyQ About</source>
-        <translation>關於 CopyQ</translation>
+        <source>About</source>
+        <translation>關於</translation>
     </message>
     <message>
         <location filename="../src/gui/aboutdialog.cpp" line="107"/>
@@ -38,8 +38,8 @@
     <name>ActionDialog</name>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="14"/>
-        <source>CopyQ Action Dialog</source>
-        <translation>CopyQ 動作對話框</translation>
+        <source>Action Dialog</source>
+        <translation>動作對話框</translation>
     </message>
     <message>
         <location filename="../src/ui/actiondialog.ui" line="33"/>
@@ -75,7 +75,7 @@
         <location filename="../src/ui/actiondialog.ui" line="112"/>
         <source>&lt;p&gt;Regular expression for splitting output into multiple items.&lt;\p&gt;
 &lt;p&gt;Use &lt;b&gt;\n&lt;/b&gt; to store each line to separate item.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;將輸出分解成多個項目的類型表達式。&lt;\p&gt;
+        <translation>&lt;p&gt;將輸出分解成多個項目的類型式。&lt;\p&gt;
 &lt;p&gt;使用 &lt;b&gt;\n&lt;/b&gt;儲存每行成分解項目。&lt;/p&gt;</translation>
     </message>
     <message>
@@ -94,12 +94,12 @@
         <translation>以後面名稱儲存分頁中的項目(要儲存於目前分頁則留白)</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="217"/>
+        <location filename="../src/gui/actiondialog.cpp" line="220"/>
         <source>Command saved</source>
         <translation>命令已儲存</translation>
     </message>
     <message>
-        <location filename="../src/gui/actiondialog.cpp" line="218"/>
+        <location filename="../src/gui/actiondialog.cpp" line="221"/>
         <source>Command was saved and can be accessed from item menu.
 You can set up the command in preferences.</source>
         <translation>命令已儲存，能從項目功能表取用
@@ -128,8 +128,8 @@ 於偏好中可設定命令。</translat
     <name>ActionHandlerDialog</name>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="14"/>
-        <source>CopyQ Process Manager</source>
-        <translation>CopyQ 程序管理器</translation>
+        <source>Process Manager</source>
+        <translation>程序管理器</translation>
     </message>
     <message>
         <location filename="../src/ui/actionhandlerdialog.ui" line="22"/>
@@ -146,8 +146,8 @@ 於偏好中可設定命令。</translat
     <name>AddCommandDialog</name>
     <message>
         <location filename="../src/ui/addcommanddialog.ui" line="14"/>
-        <source>CopyQ Add Commands</source>
-        <translation>CopyQ 增加命令</translation>
+        <source>Add Commands</source>
+        <translation>加入命令</translation>
     </message>
     <message>
         <location filename="../src/common/globalshortcutcommands.cpp" line="78"/>
@@ -284,13 +284,13 @@ 於偏好中可設定命令。</translat
         <location filename="../src/common/predefinedcommands.cpp" line="123"/>
         <source>Add to %1 tab</source>
         <comment>%1 is quoted Tasks tab name</comment>
-        <translation>增加到 %1 分頁</translation>
+        <translation>加到 %1 分頁</translation>
     </message>
     <message>
         <location filename="../src/common/predefinedcommands.cpp" line="131"/>
         <source>Move to %1 tab</source>
         <comment>%1 is quoted Tasks tab name</comment>
-        <translation>移動到 %1 分頁</translation>
+        <translation>移到 %1 分頁</translation>
     </message>
     <message>
         <location filename="../src/common/predefinedcommands.cpp" line="140"/>
@@ -321,24 +321,25 @@ 於偏好中可設定命令。</translat
 <context>
     <name>ClipboardBrowser</name>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="816"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1642"/>
         <source>Cannot Add New Items</source>
-        <translation>無法加入新的項目</translation>
+        <translation type="vanished">無法加入新的項目</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="817"/>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1643"/>
         <source>Tab is full. Failed to remove any items.</source>
-        <translation>分頁已滿，無法移除任何項目。</translation>
+        <translation type="vanished">分頁已滿，無法移除任何項目。</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1892"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1578"/>
+        <source>Cannot add new items to tab %1. Please remove items manually to make space.</source>
+        <translation>無法再加入新項目至 %1 分頁。請手工移除一些項目以騰出空位。</translation>
+    </message>
+    <message>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1860"/>
         <source>Discard Changes?</source>
         <translation>放棄變更？</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboardbrowser.cpp" line="1893"/>
+        <location filename="../src/gui/clipboardbrowser.cpp" line="1861"/>
         <source>Do you really want to &lt;strong&gt;discard changes&lt;/strong&gt;?</source>
         <translation>真想 &lt;strong&gt;放棄變更&lt;/strong&gt; 嗎？</translation>
     </message>
@@ -346,12 +347,12 @@ 於偏好中可設定命令。</translat
 <context>
     <name>ClipboardClient</name>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="124"/>
+        <location filename="../src/app/clipboardclient.cpp" line="130"/>
         <source>Cannot connect to server! Start CopyQ server first.</source>
         <translation>無法連上伺服器！先啟動 CopyQ 伺服器。</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardclient.cpp" line="117"/>
+        <location filename="../src/app/clipboardclient.cpp" line="123"/>
         <source>Connection lost!</source>
         <translation>失去連線！</translation>
     </message>
@@ -360,8 +361,8 @@ 於偏好中可設定命令。</translat
     <name>ClipboardDialog</name>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="20"/>
-        <source>CopyQ Clipboard Content</source>
-        <translation>CopyQ 剪貼簿內容</translation>
+        <source>Clipboard Content</source>
+        <translation>剪貼簿內容</translation>
     </message>
     <message>
         <location filename="../src/ui/clipboarddialog.ui" line="73"/>
@@ -380,40 +381,45 @@ 於偏好中可設定命令。</translat
     </message>
     <message>
         <location filename="../src/gui/clipboarddialog.cpp" line="106"/>
-        <source>CopyQ Item Content</source>
-        <translation>CopyQ 項目內容</translation>
+        <source>Item Content</source>
+        <translation>項目內容</translation>
     </message>
     <message>
-        <location filename="../src/gui/clipboarddialog.cpp" line="172"/>
+        <location filename="../src/gui/clipboarddialog.cpp" line="173"/>
         <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
-        <comment>Size of data in bytes</comment>
+        <comment>Size of clipboard/item data in bytes</comment>
         <translation>&lt;strong&gt;大小:&lt;/strong&gt; %1 bytes</translation>
     </message>
+    <message>
+        <source>&lt;strong&gt;Size:&lt;/strong&gt; %1 bytes</source>
+        <comment>Size of data in bytes</comment>
+        <translation type="vanished">&lt;strong&gt;大小:&lt;/strong&gt; %1 bytes</translation>
+    </message>
 </context>
 <context>
     <name>ClipboardServer</name>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="90"/>
+        <location filename="../src/app/clipboardserver.cpp" line="111"/>
         <source>CopyQ server is already running.</source>
         <translation>CopyQ 伺服器已運行。</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="308"/>
+        <location filename="../src/app/clipboardserver.cpp" line="341"/>
         <source>Cancel Active Commands</source>
         <translation>取消目前命令</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="309"/>
+        <location filename="../src/app/clipboardserver.cpp" line="342"/>
         <source>Cancel active commands and exit?</source>
         <translation>取消目前命令並退出？</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="312"/>
+        <location filename="../src/app/clipboardserver.cpp" line="345"/>
         <source>Cancel Exiting</source>
         <translation>取消退出</translation>
     </message>
     <message>
-        <location filename="../src/app/clipboardserver.cpp" line="313"/>
+        <location filename="../src/app/clipboardserver.cpp" line="346"/>
         <source>Exit Anyway</source>
         <translation>退出</translation>
     </message>
@@ -431,8 +437,8 @@ 於偏好中可設定命令。</translat
     <name>CommandDialog</name>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="14"/>
-        <source>CopyQ Commands</source>
-        <translation>CopyQ 命令</translation>
+        <source>Commands</source>
+        <translation>命令</translation>
     </message>
     <message>
         <location filename="../src/ui/commanddialog.ui" line="26"/>
@@ -465,32 +471,32 @@ 於偏好中可設定命令。</translat
         <translation>貼上命令</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Unsaved Changes</source>
         <translation>未儲存的變更</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="215"/>
+        <location filename="../src/gui/commanddialog.cpp" line="212"/>
         <source>Command dialog has unsaved changes.</source>
         <translation>命令對話方塊有未儲存的變更。</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="293"/>
+        <location filename="../src/gui/commanddialog.cpp" line="288"/>
         <source>Open Files with Commands</source>
         <translation>以命令開啟檔案</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="294"/>
+        <location filename="../src/gui/commanddialog.cpp" line="289"/>
         <source>Commands (*.ini);; CopyQ Configuration (copyq.conf copyq-*.conf)</source>
         <translation>命令 (*.ini);; CopyQ 設定 (copyq.conf copyq-*.conf)</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="305"/>
+        <location filename="../src/gui/commanddialog.cpp" line="300"/>
         <source>Save Selected Commands</source>
         <translation>儲存所選命令</translation>
     </message>
     <message>
-        <location filename="../src/gui/commanddialog.cpp" line="306"/>
+        <location filename="../src/gui/commanddialog.cpp" line="301"/>
         <source>Commands (*.ini)</source>
         <translation>命令 (*.ini)</translation>
     </message>
@@ -505,7 +511,7 @@ 於偏好中可設定命令。</translat
     <message>
         <location filename="../src/gui/commandhelpbutton.cpp" line="77"/>
         <source>Program argument %1 will be substituted for item text, and %2 through %9 for texts captured by regular expression.</source>
-        <translation>項目文會替換程式參元 %1，符合類型表達式的文字則替換參數 %2 至 %9。</translation>
+        <translation>項目文會替換程式參元 %1，符合類型式的文字則替換參元 %2 至 %9。</translation>
     </message>
     <message>
         <location filename="../src/gui/commandhelpbutton.cpp" line="81"/>
@@ -564,6 +570,7 @@ 於偏好中可設定命令。</translat
     <message>
         <location filename="../src/ui/commandwidget.ui" line="240"/>
         <source>Auto&amp;matic</source>
+        <extracomment>Type of command; triggered by whenever clipboard changes</extracomment>
         <translation>自動的(&amp;M)</translation>
     </message>
     <message>
@@ -574,6 +581,7 @@ 於偏好中可設定命令。</translat
     <message>
         <location filename="../src/ui/commandwidget.ui" line="250"/>
         <source>In M&amp;enu</source>
+        <extracomment>Type of command; triggered by a custom application shortcut</extracomment>
         <translation>於功能表(&amp;E)</translation>
     </message>
     <message>
@@ -584,6 +592,7 @@ 於偏好中可設定命令。</translat
     <message>
         <location filename="../src/ui/commandwidget.ui" line="257"/>
         <source>Global Shortcut</source>
+        <extracomment>Type of command; triggered by a custom global/system shortcut</extracomment>
         <translation>全域快捷鍵</translation>
     </message>
     <message>
@@ -616,7 +625,7 @@ 要關閉則留白。</translation>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="351"/>
         <source>&amp;Filter:</source>
-        <translation>轉換器(&amp;F):</translation>
+        <translation type="unfinished">篩選器(&amp;F):</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="361"/>
@@ -627,13 +636,13 @@ 要關閉則留白。</translation>
 &lt;p&gt;Use &lt;b&gt;%1&lt;/b&gt; for item text passed as argument and &lt;b&gt;%2&lt;/b&gt; to &lt;b&gt;%9&lt;/b&gt; for arguments captured by regular expression (parts enclosed in parentheses).&lt;/p&gt;
 
 &lt;p&gt;Use &lt;b&gt;|&lt;/b&gt; to chain commands (pass standard output to next command).&lt;/p&gt;</source>
-        <translation>&lt;p&gt;只當轉換命令成功才使用命令。&lt;/p&gt;
+        <translation>&lt;p&gt;只當篩選命令成功才使用命令。&lt;/p&gt;
 
-&lt;p&gt;項目文被傳送到轉換器命令的&lt;b&gt;標準輸入&lt;/b&gt;。The item is &lt;b&gt;matched only if the filter command exit code is 0&lt;/b&gt;.&lt;/p&gt;
+&lt;p&gt;項目文被傳送到篩選器命令的&lt;b&gt;標準輸入&lt;/b&gt;。該項目 &lt;b&gt;只在篩選器命令的結束碼為 0 時，才被挑出&lt;/b&gt;。&lt;/p&gt;
 
-&lt;p&gt;Use &lt;b&gt;%1&lt;/b&gt; for item text passed as argument and &lt;b&gt;%2&lt;/b&gt; to &lt;b&gt;%9&lt;/b&gt; for arguments captured by regular expression (parts enclosed in parentheses).&lt;/p&gt;
+&lt;p&gt;用 &lt;b&gt;%1&lt;/b&gt; 作為參元接收傳送的項目文，並用 &lt;b&gt;%2&lt;/b&gt; 至 &lt;b&gt;%9&lt;/b&gt; 作為參元接收類型式(regular expression)抓出的文 (括在括號中的部分)。&lt;/p&gt;
 
-&lt;p&gt;Use &lt;b&gt;|&lt;/b&gt; to chain commands (pass standard output to next command).&lt;/p&gt;</translation>
+&lt;p&gt;用 &lt;b&gt;|&lt;/b&gt; 去串接命令 (將標準輸出傳給下一命令)。&lt;/p&gt;</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="143"/>
@@ -732,11 +741,13 @@ 說明: 如果這自動套用，其他
     <message>
         <location filename="../src/ui/commandwidget.ui" line="264"/>
         <source>Script</source>
+        <extracomment>Type of command; allows to extend scripting capabilities</extracomment>
         <translation>隨譯即行碼(Script)</translation>
     </message>
     <message>
         <location filename="../src/ui/commandwidget.ui" line="271"/>
         <source>Display</source>
+        <extracomment>Type of command; allows change how items are displayed</extracomment>
         <translation>顯示</translation>
     </message>
     <message>
@@ -908,55 +919,55 @@ 說明: 如果這自動套用，其他
         <translation>預覽:</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="476"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="441"/>
         <source>item</source>
         <comment>Search expression in preview in Appearance tab.</comment>
         <translation>項目</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="479"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="443"/>
         <source>Search string is %1.</source>
         <translation>搜尋的字串為 %1。</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="480"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="444"/>
         <source>Select an item and
 press F2 to edit.</source>
-        <translation>選一項目然後
+        <translation>選一項目，然後
 按 F2 來編輯。</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="483"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="446"/>
         <source>Example item %1</source>
         <translation>示例項目 %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="488"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="451"/>
         <source>Some random notes (Shift+F2 to edit)</source>
         <translation>一些雜記 (Shift+F2 編輯)</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="147"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="134"/>
         <source>Open Theme File</source>
         <translation>開啟主題檔</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="157"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="144"/>
         <source>Save Theme File As</source>
         <translation>主題檔儲存為</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="176"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="163"/>
         <source>No External Editor</source>
         <translation>不使用外部編輯器</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="177"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="164"/>
         <source>Set external editor command first!</source>
         <translation>首先設定外部編輯器命令！</translation>
     </message>
     <message>
-        <location filename="../src/gui/configtabappearance.cpp" line="391"/>
+        <location filename="../src/gui/configtabappearance.cpp" line="364"/>
         <source>Abc</source>
         <comment>Preview text for font settings in appearance dialog</comment>
         <translation>測試</translation>
@@ -1042,12 +1053,12 @@ 按 F2 來編輯。</translation>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="166"/>
         <source>Save and restore history of item filters</source>
-        <translation>儲存和還原項目處理器的歷史記錄</translation>
+        <translation>儲存和還原項目篩選器的歷史記錄</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="169"/>
         <source>Save Filter History</source>
-        <translation>儲存處理器歷史</translation>
+        <translation type="unfinished">儲存篩選器歷史</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabgeneral.ui" line="176"/>
@@ -1211,7 +1222,7 @@ 可透過項目預覽顯示整個項目
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="227"/>
         <source>After item is activated (double-click or Enter key), copy it to clipboard and ...</source>
-        <translation>(按兩下或按 Enter) 項目被啟用後，即複製到系統剪貼簿，然後…</translation>
+        <translation>(按兩下或按 Enter) 項目被啟用後，即複製到系統剪貼簿，然後</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabhistory.ui" line="233"/>
@@ -1510,7 +1521,7 @@ 設為 0，則停用此功能。</transl
     <message>
         <location filename="../src/ui/configtabtray.ui" line="122"/>
         <source>Show cu&amp;rrent tab in menu,</source>
-        <translation>顯示功能表中的目前分頁(&amp;R)，</translation>
+        <translation>顯示功能表中的目前分頁(&amp;R)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="129"/>
@@ -1530,7 +1541,7 @@ 設為 0，則停用此功能。</transl
     <message>
         <location filename="../src/ui/configtabtray.ui" line="173"/>
         <source>&amp;Paste activated item to current window</source>
-        <translation>將啟用的項目貼到目前窗格(&amp;P)</translation>
+        <translation>雙點項目以貼到目前窗格(&amp;P)</translation>
     </message>
     <message>
         <location filename="../src/ui/configtabtray.ui" line="180"/>
@@ -1547,8 +1558,8 @@ 設為 0，則停用此功能。</transl
     <name>ConfigurationManager</name>
     <message>
         <location filename="../src/ui/configurationmanager.ui" line="20"/>
-        <source>CopyQ Configuration</source>
-        <translation>CopyQ 設定</translation>
+        <source>Configuration</source>
+        <translation>設定</translation>
     </message>
     <message>
         <location filename="../src/gui/configurationmanager.cpp" line="177"/>
@@ -1624,7 +1635,7 @@ 設為 0，則停用此功能。</transl
 <context>
     <name>FileWatcher</name>
     <message>
-        <location filename="../plugins/itemsync/filewatcher.cpp" line="630"/>
+        <location filename="../plugins/itemsync/filewatcher.cpp" line="683"/>
         <source>Failed to create synchronization directory &quot;%1&quot;!</source>
         <translation>無法建立同步(雙向更新)用的目錄 &quot;%1&quot;！</translation>
     </message>
@@ -1656,8 +1667,8 @@ 設為 0，則停用此功能。</transl
     <name>IconSelectDialog</name>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="168"/>
-        <source>CopyQ Select Icon</source>
-        <translation>CopyQ 選擇圖示</translation>
+        <source>Select Icon</source>
+        <translation>選擇圖示</translation>
     </message>
     <message>
         <location filename="../src/gui/iconselectdialog.cpp" line="175"/>
@@ -1714,89 +1725,89 @@ 設為 0，則停用此功能。</transl
 <context>
     <name>ItemEditorWidget</name>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="281"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
         <source>Save</source>
         <translation>儲存</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="283"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="285"/>
         <source>Save Item (&lt;strong&gt;F2&lt;/strong&gt;)</source>
         <translation>儲存項目 (&lt;strong&gt;F2&lt;/strong&gt;)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="284"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="286"/>
         <source>F2</source>
         <comment>Shortcut to save item editor changes</comment>
         <translation>F2</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="288"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
         <source>Cancel</source>
         <translation>取消</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="290"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="292"/>
         <source>Cancel Editing and Revert Changes</source>
         <translation>取消編輯，復原變更</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="291"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="293"/>
         <source>Escape</source>
         <comment>Shortcut to revert item editor changes</comment>
         <translation>Esc</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="315"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="317"/>
         <source>Font</source>
         <translation>字型</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="320"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="322"/>
         <source>Bold</source>
         <translation>粗體</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="326"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="328"/>
         <source>Italic</source>
         <translation>斜體</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="332"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="334"/>
         <source>Underline</source>
         <translation>下劃線</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="338"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="340"/>
         <source>Strikethrough</source>
         <translation>刪除線</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="345"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="347"/>
         <source>Foreground</source>
         <translation>前景</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="350"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="352"/>
         <source>Background</source>
         <translation>背景</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="357"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="359"/>
         <source>Erase Style</source>
         <translation>擦除樣式</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="364"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="366"/>
         <source>Search</source>
         <translation>搜尋</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="299"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="301"/>
         <source>Undo</source>
         <translation>復原</translation>
     </message>
     <message>
-        <location filename="../src/item/itemeditorwidget.cpp" line="306"/>
+        <location filename="../src/item/itemeditorwidget.cpp" line="308"/>
         <source>Redo</source>
         <translation>重複</translation>
     </message>
@@ -2105,51 +2116,51 @@ 設為 0，則停用此功能。</transl
         <translation>先解除釘選才能移除它們。</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="384"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="389"/>
         <source>Pin</source>
         <translation>釘選</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.cpp" line="391"/>
+        <location filename="../plugins/itempinned/itempinned.cpp" line="396"/>
         <source>Unpin</source>
         <translation>取消釘選</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="101"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="103"/>
         <source>Pinned Items</source>
         <translation>已釘選項目</translation>
     </message>
     <message>
-        <location filename="../plugins/itempinned/itempinned.h" line="104"/>
+        <location filename="../plugins/itempinned/itempinned.h" line="106"/>
         <source>&lt;p&gt;Pin items to lock them in current row and avoid deletion (unless unpinned).&lt;/p&gt;&lt;p&gt;Provides shortcuts and scripting functionality.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;釘選項目鎖在目前的行列中，並避免被刪除（除非已取消釘選）。&lt;/p&gt;&lt;p&gt;提供捷徑和腳本功能。&lt;/p&gt;</translation>
+        <translation>&lt;p&gt;釘選項目以將它們鎖於目前行，避免被刪除（除非取消釘選）。&lt;/p&gt;&lt;p&gt;供快鍵和隨譯即行程式碼使用。&lt;/p&gt;</translation>
     </message>
 </context>
 <context>
     <name>ItemSyncLoader</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="123"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="124"/>
         <source>Browse...</source>
         <comment>Button text for opening file dialog to select synchronization directory</comment>
         <translation>瀏覽…</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="826"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="814"/>
         <source>Open Directory for Synchronization</source>
         <translation>開啟與分頁同步(雙向更新)的目錄</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="840"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="828"/>
         <source>Failed to create synchronization directory</source>
         <translation>無法建立用來同步(雙向更新)的目錄</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="145"/>
         <source>Synchronize</source>
         <translation>同步(雙向更新)</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.h" line="149"/>
+        <location filename="../plugins/itemsync/itemsync.h" line="147"/>
         <source>Synchronize items and notes with a directory on disk.</source>
         <translation>項目、備註與磁碟上的目錄同步(雙向更新)。</translation>
     </message>
@@ -2157,17 +2168,17 @@ 設為 0，則停用此功能。</transl
 <context>
     <name>ItemSyncSaver</name>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="481"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="493"/>
         <source>Failed to synchronize tab &quot;%1&quot; with directory &quot;%2&quot;!</source>
-        <translation>無法同步(雙向更新)分頁 &quot;%1&quot; 與目錄 &quot;%2&quot;！</translation>
+        <translation>無法同步(雙向更新)&quot;%1&quot;分頁與&quot;%2&quot;目錄！</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="516"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="528"/>
         <source>Remove Items?</source>
         <translation>移除項目？</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsync.cpp" line="517"/>
+        <location filename="../plugins/itemsync/itemsync.cpp" line="529"/>
         <source>Do you really want to &lt;strong&gt;remove items and associated files&lt;/strong&gt;?</source>
         <translation>真要 &lt;strong&gt;移除項目與它同步的檔案&lt;/strong&gt;？</translation>
     </message>
@@ -2203,9 +2214,26 @@ 設為 0，則停用此功能。</transl
     </message>
     <message>
         <location filename="../plugins/itemsync/itemsyncsettings.ui" line="106"/>
+        <source>&lt;p&gt;Set media type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; media type.&lt;/p&gt;</source>
+        <translation>&lt;p&gt;媒體類型設成 &lt;strong&gt;-&lt;/strong&gt; (減號字元) 以忽略檔案。任何其他未知或隱藏檔會被忽略。&lt;/p&gt;
+&lt;p&gt;例如: 若採用 &lt;strong&gt;text/plain&lt;/strong&gt; 媒體類型，則會載入以 &lt;strong&gt;txt&lt;/strong&gt; 為附檔名的檔案。&lt;/p&gt;</translation>
+    </message>
+    <message>
+        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
+        <source>Item Media Type</source>
+        <translation>項目媒體類型</translation>
+    </message>
+    <message>
+        <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (minus character) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
+&lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
+        <translation type="vanished">&lt;p&gt;將 MIME 類型設成 &lt;strong&gt;-&lt;/strong&gt; (短橫線字元)以忽略有此類型的檔案的雙向更新。會忽略其他未知副檔名與類型的檔案或隱藏檔。&lt;/p&gt;
+&lt;p&gt;例如，設定  &lt;strong&gt;txt&lt;/strong&gt; (副檔名的)檔對應 &lt;strong&gt;text/plain&lt;/strong&gt; (MIME 項目類型) 的項目。&lt;/p&gt;</translation>
+    </message>
+    <message>
         <source>&lt;p&gt;Set MIME type to &lt;strong&gt;-&lt;/strong&gt; (dash) to ignore files. Any other unknown or hidden files are ignored.&lt;/p&gt;
 &lt;p&gt;Example: Load &lt;strong&gt;txt&lt;/strong&gt; file extension as &lt;strong&gt;text/plain&lt;/strong&gt; MIME type.&lt;/p&gt;</source>
-        <translation>&lt;p&gt;將 MIME 類型設成 &lt;strong&gt;-&lt;/strong&gt; (短橫線) 以忽略[有此類型的資料的雙向更新]。會忽略其他未知[副檔名與類型的檔案]或隱藏檔。&lt;/p&gt;
+        <translation type="vanished">&lt;p&gt;將 MIME 類型設成 &lt;strong&gt;-&lt;/strong&gt; (短橫線) 以忽略[有此類型的資料的雙向更新]。會忽略其他未知[副檔名與類型的檔案]或隱藏檔。&lt;/p&gt;
 &lt;p&gt;例如，設定 &lt;strong&gt;txt&lt;/strong&gt; (副檔名) 的檔對應 &lt;strong&gt;text/plain&lt;/strong&gt; (MIME 項目類型) 的項目。&lt;/p&gt;</translation>
     </message>
     <message>
@@ -2214,41 +2242,40 @@ 設為 0，則停用此功能。</transl
         <translation>副檔名</translation>
     </message>
     <message>
-        <location filename="../plugins/itemsync/itemsyncsettings.ui" line="126"/>
         <source>Item MIME Type</source>
-        <translation>項目的 MIME 類型</translation>
+        <translation type="vanished">項目的 MIME 類型</translation>
     </message>
 </context>
 <context>
     <name>ItemTagsLoader</name>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="154"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="156"/>
         <source>Add a Tag</source>
         <translation>新增標籤</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="159"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="161"/>
         <source>Remove a Tag</source>
         <translation>移除標籤</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="178"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="180"/>
         <source>Tag as %1</source>
-        <translation>加上標籤 %1</translation>
+        <translation>加上 %1 標籤</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="184"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="186"/>
         <source>Remove tag %1</source>
-        <translation>移除標籤 %1</translation>
+        <translation>移除 %1 標籤</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="697"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="696"/>
         <source>Important</source>
         <comment>Tag name for example command</comment>
         <translation>重要</translation>
     </message>
     <message>
-        <location filename="../plugins/itemtags/itemtags.cpp" line="718"/>
+        <location filename="../plugins/itemtags/itemtags.cpp" line="717"/>
         <source>Clear all tags</source>
         <translation>移除所有標籤</translation>
     </message>
@@ -2357,135 +2384,134 @@ 設為 0，則停用此功能。</transl
     <name>LogDialog</name>
     <message>
         <location filename="../src/ui/logdialog.ui" line="14"/>
-        <source>CopyQ Log</source>
-        <translation>CopyQ 紀錄</translation>
+        <source>Log</source>
+        <translation>紀錄</translation>
     </message>
 </context>
 <context>
     <name>MainWindow</name>
     <message>
-        <location filename="../src/ui/mainwindow.ui" line="17"/>
         <source>CopyQ</source>
-        <translation>CopyQ</translation>
+        <translation type="vanished">CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="525"/>
+        <location filename="../src/gui/mainwindow.cpp" line="541"/>
         <source>Exit?</source>
         <translation>結束？</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="526"/>
+        <location filename="../src/gui/mainwindow.cpp" line="542"/>
         <source>Do you want to &lt;strong&gt;exit&lt;/strong&gt; CopyQ?</source>
         <translation>想要 &lt;strong&gt;結束&lt;/strong&gt; CopyQ？</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="573"/>
+        <location filename="../src/gui/mainwindow.cpp" line="592"/>
         <source>&amp;File</source>
         <translation>檔案(&amp;F)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="615"/>
+        <location filename="../src/gui/mainwindow.cpp" line="640"/>
         <source>&amp;Edit</source>
         <translation>編輯(&amp;E)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="639"/>
+        <location filename="../src/gui/mainwindow.cpp" line="664"/>
         <source>&amp;Item</source>
         <translation>項目(&amp;I)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="643"/>
+        <location filename="../src/gui/mainwindow.cpp" line="668"/>
         <source>&amp;Tabs</source>
         <translation>分頁(&amp;T)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="668"/>
+        <location filename="../src/gui/mainwindow.cpp" line="693"/>
         <source>&amp;Help</source>
         <translation>說明(&amp;H)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="693"/>
+        <location filename="../src/gui/mainwindow.cpp" line="718"/>
         <source>&amp;New Tab</source>
         <translation>新增分頁(&amp;N)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="695"/>
+        <location filename="../src/gui/mainwindow.cpp" line="720"/>
         <source>Rename &amp;Group %1</source>
         <translation>重新命名群組 %1(&amp;G)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="697"/>
+        <location filename="../src/gui/mainwindow.cpp" line="722"/>
         <source>Re&amp;name Tab %1</source>
-        <translation>重新命名分頁 %1(&amp;N)</translation>
+        <translation>重新命名 %1 分頁(&amp;N)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="699"/>
+        <location filename="../src/gui/mainwindow.cpp" line="724"/>
         <source>Re&amp;move Tab %1</source>
-        <translation>移除分頁 %1(&amp;M)</translation>
+        <translation>移除 %1 分頁(&amp;M)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="701"/>
+        <location filename="../src/gui/mainwindow.cpp" line="726"/>
         <source>Remove Group %1</source>
         <translation>移除群組 %1</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="703"/>
+        <location filename="../src/gui/mainwindow.cpp" line="728"/>
         <source>&amp;Change Tab Icon</source>
         <translation>變更分頁圖示(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1222"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1278"/>
         <source>&amp;Enable Clipboard Storing</source>
         <translation>啟用剪貼歷史之儲存(&amp;E)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1223"/>
+        <location filename="../src/gui/mainwindow.cpp" line="1279"/>
         <source>&amp;Disable Clipboard Storing</source>
         <translation>停用剪貼歷史之儲存(&amp;D)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="1777"/>
-        <source>CopyQ Options for Import</source>
-        <translation>匯入 CopyQ 的選項</translation>
+        <location filename="../src/gui/mainwindow.cpp" line="1882"/>
+        <source>Options for Import</source>
+        <translation>用於匯入 CopyQ 的選項</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="2013"/>
+        <location filename="../src/gui/mainwindow.cpp" line="2119"/>
         <source>CopyQ Error</source>
         <comment>Notification error message title</comment>
-        <translation>Copyq 出錯</translation>
+        <translation>Copyq 錯誤</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3045"/>
+        <location filename="../src/gui/mainwindow.cpp" line="510"/>
         <source>&amp;Show/Hide</source>
         <translation>顯示/隱藏(&amp;S)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3307"/>
-        <source>CopyQ Options for Export</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3386"/>
+        <source>Options for Export</source>
         <translation>用於匯出 CopyQ 的選項</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3328"/>
-        <source>CopyQ Export Error</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3407"/>
+        <source>Export Error</source>
         <translation>匯出 CopyQ 錯誤</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3329"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3408"/>
         <source>Failed to export file %1!</source>
         <translation>匯出檔案 %1失敗！</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3417"/>
-        <source>CopyQ Import Error</source>
+        <location filename="../src/gui/mainwindow.cpp" line="3496"/>
+        <source>Import Error</source>
         <translation>匯入 CopyQ 錯誤</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3418"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3497"/>
         <source>Failed to import file %1!</source>
         <translation>匯入檔案 %1失敗！</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="744"/>
+        <location filename="../src/gui/mainwindow.cpp" line="772"/>
         <source>&amp;Clipboard: %1</source>
         <comment>Tray menu clipboard item format</comment>
         <translation>剪貼簿內容(&amp;C): %1</translation>
@@ -2496,24 +2522,24 @@ 設為 0，則停用此功能。</transl
         <translation>CopyQ 項目 (*.cpq)</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3570"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3649"/>
         <source>Remove All Tabs in Group?</source>
         <translation>移除群組中的所有分頁？</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3571"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3650"/>
         <source>Do you want to remove &lt;strong&gt;all tabs&lt;/strong&gt; in group &lt;strong&gt;%1&lt;/strong&gt;?</source>
-        <translation>想移除群組 &lt;strong&gt;%1&lt;/strong&gt; 中的&lt;strong&gt;所有分頁&lt;/strong&gt;？</translation>
+        <translation>想移除&lt;strong&gt;%1&lt;/strong&gt;群組中的&lt;strong&gt;所有分頁&lt;/strong&gt;？</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3618"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3697"/>
         <source>Remove Tab?</source>
         <translation>移除分頁？</translation>
     </message>
     <message>
-        <location filename="../src/gui/mainwindow.cpp" line="3619"/>
+        <location filename="../src/gui/mainwindow.cpp" line="3698"/>
         <source>Do you want to remove tab &lt;strong&gt;%1&lt;/strong&gt;?</source>
-        <translation>想要移除分頁 &lt;strong&gt;%1&lt;/strong&gt;？</translation>
+        <translation>想要移除&lt;strong&gt;%1&lt;/strong&gt;分頁？</translation>
     </message>
 </context>
 <context>
@@ -2527,13 +2553,13 @@ 設為 0，則停用此功能。</transl
 <context>
     <name>QObject</name>
     <message>
-        <location filename="../src/common/common.cpp" line="506"/>
+        <location filename="../src/common/common.cpp" line="560"/>
         <source>&lt;HIDDEN&gt;</source>
         <comment>Label for hidden/secret clipboard content</comment>
         <translation>&lt;隱藏&gt;</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/common/common.cpp" line="512"/>
+        <location filename="../src/common/common.cpp" line="566"/>
         <source>%1 (%n lines)</source>
         <comment>Label for multi-line text in clipboard</comment>
         <translation>
@@ -2541,25 +2567,25 @@ 設為 0，則停用此功能。</transl
         </translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="522"/>
+        <location filename="../src/common/common.cpp" line="576"/>
         <source>&lt;IMAGE&gt;</source>
         <comment>Label for image in clipboard</comment>
         <translation>&lt;圖片&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="524"/>
+        <location filename="../src/common/common.cpp" line="578"/>
         <source>&lt;ITEMS&gt;</source>
         <comment>Label for copied items in clipboard</comment>
         <translation>&lt;項目&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="526"/>
+        <location filename="../src/common/common.cpp" line="580"/>
         <source>&lt;EMPTY&gt;</source>
         <comment>Label for empty clipboard</comment>
         <translation>&lt;空&gt;</translation>
     </message>
     <message>
-        <location filename="../src/common/common.cpp" line="528"/>
+        <location filename="../src/common/common.cpp" line="582"/>
         <source>&lt;DATA&gt;</source>
         <comment>Label for data in clipboard</comment>
         <translation>&lt;資料&gt;</translation>
@@ -2577,7 +2603,7 @@ 設為 0，則停用此功能。</transl
         <translation>Delete</translation>
     </message>
     <message numerus="yes">
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2048"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2050"/>
         <source>%1&lt;div align=&quot;right&quot;&gt;&lt;small&gt;&amp;mdash; %n lines &amp;mdash;&lt;/small&gt;&lt;/div&gt;</source>
         <comment>Notification label for multi-line text in clipboard</comment>
         <translation>
@@ -2585,7 +2611,7 @@ 設為 0，則停用此功能。</transl
         </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="2051"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="2053"/>
         <source>%1</source>
         <comment>Notification label for single-line text in clipboard</comment>
         <translation>%1</translation>
@@ -2659,92 +2685,92 @@ 可以是字母、數字、&apos;-&apos;
         <translation>Ctrl+Shift+C</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="78"/>
+        <location filename="../src/gui/menuitems.cpp" line="80"/>
         <source>&amp;Toggle Clipboard Storing</source>
         <translation>開/關剪貼簿之儲存(&amp;T)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="79"/>
+        <location filename="../src/gui/menuitems.cpp" line="81"/>
         <source>Ctrl+Shift+X</source>
         <translation>Ctrl+Shift+X</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="80"/>
+        <location filename="../src/gui/menuitems.cpp" line="82"/>
         <source>P&amp;rocess Manager</source>
         <translation>程序管理器(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="81"/>
+        <location filename="../src/gui/menuitems.cpp" line="83"/>
         <source>Ctrl+Shift+Z</source>
         <translation>Ctrl+Shift+Z</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>E&amp;xit</source>
         <translation>離開(&amp;X)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="82"/>
+        <location filename="../src/gui/menuitems.cpp" line="84"/>
         <source>Ctrl+Q</source>
         <translation>Ctrl+Q</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="85"/>
+        <location filename="../src/gui/menuitems.cpp" line="87"/>
         <source>&amp;Sort Selected Items</source>
         <translation>排序所選項(&amp;S)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="86"/>
+        <location filename="../src/gui/menuitems.cpp" line="88"/>
         <source>Ctrl+Shift+S</source>
         <translation>Ctrl+Shift+S</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="88"/>
+        <location filename="../src/gui/menuitems.cpp" line="90"/>
         <source>&amp;Reverse Selected Items</source>
         <translation>反排所選項(&amp;R)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="89"/>
+        <location filename="../src/gui/menuitems.cpp" line="91"/>
         <source>Ctrl+Shift+R</source>
         <translation>Ctrl+Shift+R</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="91"/>
+        <location filename="../src/gui/menuitems.cpp" line="93"/>
         <source>&amp;Paste Items</source>
         <translation>貼上項目(&amp;P)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="93"/>
+        <location filename="../src/gui/menuitems.cpp" line="95"/>
         <source>&amp;Copy Selected Items</source>
         <translation>複製所選項目(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="95"/>
+        <location filename="../src/gui/menuitems.cpp" line="97"/>
         <source>&amp;Find</source>
         <translation>尋找(&amp;F)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="98"/>
+        <location filename="../src/gui/menuitems.cpp" line="100"/>
         <source>Move to &amp;Clipboard</source>
-        <translation>移到剪貼簿(&amp;C)</translation>
+        <translation>複製到剪貼簿(&amp;C)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="100"/>
+        <location filename="../src/gui/menuitems.cpp" line="102"/>
         <source>&amp;Show Content...</source>
         <translation>顯示[項目]內容(&amp;S)…</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="101"/>
+        <location filename="../src/gui/menuitems.cpp" line="103"/>
         <source>F4</source>
         <translation>F4</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="102"/>
+        <location filename="../src/gui/menuitems.cpp" line="78"/>
         <source>&amp;Show Preview</source>
         <translation>顯示預覽(&amp;S)</translation>
     </message>
     <message>
-        <location filename="../src/gui/menuitems.cpp" line="103"/>
+        <location filename="../src/gui/menuitems.cpp" line="79"/>
         <source>F7</source>
         <translation>F7</translation>
     </message>
@@ -2927,235 +2953,260 @@ 可以是字母、數字、&apos;-&apos;
         <translation>說明(&amp;H)</translation>
     </message>
     <message>
-        <location filename="../src/item/itemfactory.cpp" line="389"/>
+        <location filename="../src/item/itemfactory.cpp" line="399"/>
         <source>Tab %1 is corrupted or some CopyQ plugins are missing!</source>
-        <translation>分頁 %1 已損壞或某些 CopyQ 外掛遺失！</translation>
+        <translation>%1 分頁已損壞或某些 CopyQ 外掛遺失！</translation>
     </message>
 </context>
 <context>
     <name>Scriptable</name>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="63"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="71"/>
         <source>Show main window and optionally open tab with given name.</source>
         <translation>顯示主窗；可加上名稱(NAME)，以開啟指定分頁。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="64"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="154"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="157"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
         <source>NAME</source>
         <translation>NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="66"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
         <source>Hide main window.</source>
         <translation>隱藏主窗。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="68"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="76"/>
         <source>Show or hide main window.</source>
         <translation>顯示或隱藏主窗。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="70"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
         <source>Open context menu.</source>
         <translation>開啟(通知區圖示的)右鍵功能表。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="72"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="80"/>
         <source>Exit server.</source>
         <translation>結束伺服器。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="74"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
         <source>Disable or enable clipboard content storing.</source>
         <translation>停用或啟用剪貼簿之儲存。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="77"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
         <source>Print clipboard content.</source>
         <translation>印出系統剪貼簿內容。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="78"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="82"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="86"/>
         <location filename="../src/scriptable/commandhelp.cpp" line="90"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="126"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="101"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>MIME</source>
         <translation>MIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="81"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>Print X11 selection content.</source>
         <translation>印出 X11 選取的內容。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="85"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="93"/>
         <source>Paste clipboard to current window
 (may not work with some applications).</source>
         <translation>將系統剪貼簿內容貼到目前窗格
 (在某些應用程式可能無作用)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="87"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="96"/>
+        <source>Copy clipboard from current window
+(may not work with some applications).</source>
+        <translation>將目前窗格內容複製到系統剪貼簿
+(在某些應用程式可能無作用)。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
         <source>Set clipboard text.</source>
         <translation>設定剪貼簿內的文字。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="88"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="105"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="99"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
         <source>TEXT</source>
         <translation>TEXT</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="89"/>
         <source>
 Set clipboard content.</source>
-        <translation>
+        <translation type="vanished">
 設定剪貼簿的內容。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="91"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="92"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="128"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="103"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="138"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>DATA</source>
         <translation>DATA</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="95"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="106"/>
         <source>Print amount of items in current tab.</source>
         <translation>印出目前分頁中項目的數量。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="97"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
         <source>Copy item in the row to clipboard.</source>
         <translation>複製目前項目到剪貼簿。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="98"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="108"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="116"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="109"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="127"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
         <source>ROW</source>
         <translation>ROW</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
         <source>Copy next item from current tab to clipboard.</source>
         <translation>將目前分頁的下一項複製到剪貼簿。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="102"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="113"/>
         <source>Copy previous item from current tab to clipboard.</source>
         <translation>將目前分頁的上一項複製到剪貼簿。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="104"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="115"/>
         <source>Add text into clipboard.</source>
         <translation>將文字(TEXT)加入剪貼簿。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="107"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="118"/>
         <source>Insert text into given row.</source>
         <translation>將文字(TEXT)插入指定行(ROW)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="111"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
         <source>Remove items in given rows.</source>
         <translation>移除各指定行(ROWS)的項目。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="112"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="132"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="136"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="123"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="143"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
         <source>ROWS</source>
         <translation>ROWS</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="114"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="125"/>
         <source>Edit items or edit new one.
 Value -1 is for current text in clipboard.</source>
         <translation>編輯項目或編輯新項目。
 ～Value -1 is for current text in clipboard.</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="119"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="130"/>
         <source>Set separator for items on output.</source>
         <translation>輸出時放入項目分隔號。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="120"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>SEPARATOR</source>
         <translation>SEPARATOR</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="122"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="133"/>
         <source>Print raw data of clipboard or item in row.</source>
         <translation>印出歷史項目的原始資料(raw data)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="124"/>
         <source>
 Write raw data to given row.</source>
-        <translation>
+        <translation type="vanished">
 將原始資料(raw data)寫入指定項目所在行(row)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="131"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
         <source>Show action dialog.</source>
         <translation>顯示動作對話框。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="134"/>
         <source>
 Run PROGRAM on item text in the rows.
 Use %1 in PROGRAM to pass text as argument.</source>
-        <translation>
+        <translation type="vanished">
 對行(rows)中項目文字執行程式(PROGRAM)。
 於程式(PROGRAM)中用 %1 將文字作為參數傳遞。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="137"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="148"/>
         <source>PROGRAM</source>
         <translation>PROGRAM</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="139"/>
         <source>
 Show tray popup message for TIME milliseconds.</source>
-        <translation>
+        <translation type="vanished">
 顯示 TIME 的通知區圖示的彈出訊息時間(以毫秒為單位)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="140"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="100"/>
+        <source>Set clipboard content.</source>
+        <translation>設定剪貼簿內容。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="135"/>
+        <source>Write raw data to given row.</source>
+        <translation>將原始資料寫入指定行。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <source>Run PROGRAM on item text in the rows.
+Use %1 in PROGRAM to pass text as argument.</source>
+        <translation>對行中項目文字執行 PROGRAM。
+於 PROGRAM 中用 %1，可將文字作為參元傳入 PROGRAM。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="150"/>
+        <source>Show tray popup message for TIME milliseconds.</source>
+        <translation>於 TIME 微秒顯示系統匣彈出訊息。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
         <source>TITLE</source>
         <translation>TITLE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="141"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="152"/>
         <source>MESSAGE</source>
         <translation>MESSAGE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="142"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
         <source>TIME</source>
         <translation>TIME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="145"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
         <source>List available tab names.</source>
         <translation>列出可用的分頁名稱。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="147"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
         <source>Run command on tab with given name.
 Tab is created if it doesn&apos;t exist.
 Default is the first tab.</source>
@@ -3164,199 +3215,215 @@ 若分頁不存在，就會新增分頁
 預設是第一分頁。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="151"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="187"/>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="196"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>COMMAND</source>
         <translation>COMMAND</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="153"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
         <source>Remove tab.</source>
         <translation>移除分頁。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="156"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="167"/>
         <source>Rename tab.</source>
         <translation>重新命名分頁。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="158"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="169"/>
         <source>NEW_NAME</source>
         <translation>NEW_NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="161"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="172"/>
         <source>Export items to file.</source>
         <translation>匯出項目至檔案。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="162"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="165"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="176"/>
         <source>FILE_NAME</source>
         <translation>FILE_NAME</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="164"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
         <source>Import items from file.</source>
         <translation>從檔案匯入項目。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="168"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="179"/>
         <source>List all options.</source>
         <translation>列出所有選項。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="170"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
         <source>Get option value.</source>
         <translation>取得選項值。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="171"/>
-        <location filename="../src/scriptable/commandhelp.cpp" line="174"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="182"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="185"/>
         <source>OPTION</source>
-        <translation>選項</translation>
+        <translation>OPTION</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="173"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
         <source>Set option value.</source>
         <translation>設定選項值。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="175"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>VALUE</source>
         <translation>VALUE</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="178"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="188"/>
+        <source>Evaluate script.</source>
+        <translation>執行隨意即行碼。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <source>Starts or connects to application instance with given session name.</source>
+        <translation type="unfinished">以指定的工作(session)名稱，啟動或連接到應用程式實例。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="195"/>
+        <source>Print help for COMMAND or all commands.</source>
+        <translation>於螢幕印出 COMMAND 的說明或全部命令的說明。</translation>
+    </message>
+    <message>
+        <location filename="../src/scriptable/commandhelp.cpp" line="198"/>
+        <source>Print version of program and libraries.</source>
+        <translation>於螢幕印出程式與程式庫的版本。</translation>
+    </message>
+    <message>
         <source>
 Evaluate ECMAScript program.
 Arguments are accessible using with &quot;arguments[0..N]&quot;.</source>
-        <translation>
+        <translation type="vanished">
 執行(Evaluate) ECMAScript 程式。
 用 &quot;arguments[0..N]&quot; 去讀寫參數。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="180"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>SCRIPT</source>
         <translation>隨譯即行碼(SCRIPT)</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="181"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="190"/>
         <source>ARGUMENTS</source>
         <translation>參元</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="183"/>
         <source>
 Starts or connects to application instance with given session name.</source>
-        <translation>
+        <translation type="vanished">
 以指定的 copyq 工作(SESSION)，啟動或連到應用程式個例。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="184"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="193"/>
         <source>SESSION</source>
         <translation>SESSION</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="186"/>
         <source>
 Print help for COMMAND or all commands.</source>
-        <translation>
+        <translation type="vanished">
 印出某命令(COMMAND)或所有命令的說明。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="189"/>
         <source>
 Print version of program and libraries.</source>
-        <translation>
+        <translation type="vanished">
 印出程式與程式庫的版本(version)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/commandhelp.cpp" line="192"/>
+        <location filename="../src/scriptable/commandhelp.cpp" line="201"/>
         <source>Run application tests (append --help argument for more info).</source>
         <translation>執行應用程式測試 (附加 &quot;--help&quot; 參元可得更多資訊)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="78"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="114"/>
         <source>Usage: copyq [%1]</source>
         <translation>使用：copyq [%1]</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="79"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="115"/>
         <source>Starts server if no command is specified.</source>
         <translation>若沒指定命令，啟動伺服器。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="80"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="116"/>
         <source>  COMMANDs:</source>
         <translation>  命令:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="85"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="121"/>
         <source>NOTES:</source>
         <translation>注意事項:</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="87"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="123"/>
         <source>  - Use double-dash argument (--) to read all following arguments without
     expanding escape sequences (i.e. \n, \t and others).</source>
         <translation>  - 用雙短橫線參元 (--)，使以不展開脫逸字串如 \n, \t 等的方式，讀取後面所有參元。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="89"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="125"/>
         <source>  - Use ? for MIME to print available MIME types (default is &quot;text/plain&quot;).</source>
         <translation>  - 用 &quot;?&quot; 印出所有可用的 MIME 類型 (預設值是 &quot;text/plain&quot;)。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="94"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="130"/>
         <source>Invalid number of arguments!</source>
         <translation>無效的參元數量！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2661"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2797"/>
         <source>Exception</source>
         <translation>異常</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2704"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2840"/>
         <source>Failed to copy to clipboard!</source>
         <translation>複製到剪貼簿失敗！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="86"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="122"/>
         <source>  - Use dash argument (-) to read data from standard input.</source>
         <translation>  - 用短橫線參元 (-) 使從標準輸入讀入資料。</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="787"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="827"/>
         <source>Command not found!</source>
         <translation>未找到命令！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="887"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="927"/>
         <source>Terminating server.
 </source>
         <translation>正結束伺服器。
 </translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="689"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="729"/>
         <source>Cannot save to file &quot;%1&quot;!</source>
         <translation>無法存到檔案 &quot;%1&quot;！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="694"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="734"/>
         <source>Cannot import file &quot;%1&quot;!</source>
         <translation>無法匯入檔案 &quot;%1&quot;！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="1350"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="1390"/>
         <source>Invalid option &quot;%1&quot;!</source>
         <translation>無效選項 &quot;%1&quot;！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptable.cpp" line="2662"/>
+        <location filename="../src/scriptable/scriptable.cpp" line="2798"/>
         <source>Exception in %1</source>
         <translation>在 %1 有異常</translation>
     </message>
@@ -3364,31 +3431,29 @@ 印出程式與程式庫的版本(versio
 <context>
     <name>ScriptableProxy</name>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="603"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="605"/>
         <source>Tab with given name doesn&apos;t exist!</source>
         <translation>有給定名稱的項目不存在！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="608"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="610"/>
         <source>Tab name cannot be empty!</source>
         <translation>分頁名稱不可空白！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1090"/>
+        <location filename="../src/scriptable/scriptableproxy.cpp" line="1104"/>
         <source>Tab with given name already exists!</source>
         <translation>有給定名稱的分頁已存在！</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1984"/>
         <source>%1 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label)</comment>
-        <translation>%1 - CopyQ</translation>
+        <translation type="vanished">%1 - CopyQ</translation>
     </message>
     <message>
-        <location filename="../src/scriptable/scriptableproxy.cpp" line="1987"/>
         <source>%1 - %2 - CopyQ</source>
         <comment>Main window title format (%1 is clipboard content label, %2 is session name)</comment>
-        <translation>%1 - %2 - CopyQ</translation>
+        <translation type="vanished">%1 - %2 - CopyQ</translation>
     </message>
 </context>
 <context>
@@ -3403,8 +3468,8 @@ 印出程式與程式庫的版本(versio
     <name>ShortcutDialog</name>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="14"/>
-        <source>CopyQ New Shortcut</source>
-        <translation>CopyQ 新快鍵</translation>
+        <source>New Shortcut</source>
+        <translation>新增快鍵</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutdialog.ui" line="20"/>
@@ -3437,7 +3502,7 @@ 印出程式與程式庫的版本(versio
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="56"/>
         <source>Global shortcuts can be triggered from any application.</source>
-        <translation>全局快鍵在任何應用程式都有作用。</translation>
+        <translation>全局快鍵在任何應用程式都可作用。</translation>
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="77"/>
@@ -3446,8 +3511,12 @@ 印出程式與程式庫的版本(versio
     </message>
     <message>
         <location filename="../src/ui/shortcutswidget.ui" line="83"/>
+        <source>Application shortcuts can only be triggered from the main window.</source>
+        <translation>應用程式快鍵只在CopyQ主窗取得焦點時有作用。</translation>
+    </message>
+    <message>
         <source>Application shortcuts can be triggered only from the main window.</source>
-        <translation>應用程式快鍵只在主窗格有作用。</translation>
+        <translation type="vanished">應用程式快鍵只在主窗格有作用。</translation>
     </message>
     <message>
         <location filename="../src/gui/shortcutswidget.cpp" line="246"/>
@@ -3463,7 +3532,7 @@ 印出程式與程式庫的版本(versio
 Tab &lt;b&gt;No&amp;amp;tes&lt;/b&gt; can be opened using &lt;b&gt;Alt+t&lt;/b&gt;.&lt;br /&gt;
 Use &lt;b&gt;/&lt;/b&gt; as path separator in tree view tab layout.</source>
         <translation>分頁名稱不可留白，且必須是唯一。&lt;br /&gt;
-分頁 &lt;b&gt;注意(&amp;amp;T)&lt;/b&gt;可用&lt;b&gt;Alt+t&lt;/b&gt;開啟。&lt;br /&gt;
+例如分頁 &lt;b&gt;筆記(&amp;amp;T)&lt;/b&gt;可用&lt;b&gt;Alt+t&lt;/b&gt;開啟。&lt;br /&gt;
 於樹狀檢視分頁版面，用 &lt;b&gt;/&lt;/b&gt; 作為路徑分隔號。</translation>
     </message>
     <message>
@@ -3473,18 +3542,18 @@ 於樹狀檢視分頁版面，用 &lt;b&
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="34"/>
-        <source>CopyQ New Tab</source>
-        <translation>CopyQ 新分頁</translation>
+        <source>New Tab</source>
+        <translation>新增分頁</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="37"/>
-        <source>CopyQ Rename Tab</source>
-        <translation>CopyQ 重新命名分頁</translation>
+        <source>Rename Tab</source>
+        <translation>重新命名分頁</translation>
     </message>
     <message>
         <location filename="../src/gui/tabdialog.cpp" line="40"/>
-        <source>CopyQ Rename Tab Group</source>
-        <translation>CopyQ 重新命名分頁群組</translation>
+        <source>Rename Tab Group</source>
+        <translation>重新命名分頁群組</translation>
     </message>
 </context>
 <context>
@@ -3501,24 +3570,28 @@ 於樹狀檢視分頁版面，用 &lt;b&
     </message>
     <message>
         <location filename="../src/ui/tabpropertieswidget.ui" line="84"/>
-        <source>&amp;Store Items</source>
+        <source>&amp;Save Items</source>
         <translation>儲存項目(&amp;S)</translation>
     </message>
+    <message>
+        <source>&amp;Store Items</source>
+        <translation type="vanished">儲存項目(&amp;S)</translation>
+    </message>
 </context>
 <context>
     <name>TrayMenu</name>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Press &apos;/&apos; to search</source>
         <translation>按 &apos;/&apos; 進行搜尋</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="88"/>
+        <location filename="../src/gui/traymenu.cpp" line="91"/>
         <source>Type to search</source>
-        <translation>搜尋類型</translation>
+        <translation>打字搜尋</translation>
     </message>
     <message>
-        <location filename="../src/gui/traymenu.cpp" line="101"/>
+        <location filename="../src/gui/traymenu.cpp" line="105"/>
         <source>&amp;%1. %2</source>
         <comment>Key hint (number shortcut) for items in tray menu (%1 is number, %2 is item label)</comment>
         <translation>&amp;%1. %2</translation>
@@ -3527,12 +3600,12 @@ 於樹狀檢視分頁版面，用 &lt;b&
 <context>
     <name>Utils::FilterLineEdit</name>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="117"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="118"/>
         <source>Regular Expression</source>
-        <translation>類型表達式</translation>
+        <translation>類型式(regular expression)</translation>
     </message>
     <message>
-        <location filename="../src/gui/filterlineedit.cpp" line="120"/>
+        <location filename="../src/gui/filterlineedit.cpp" line="121"/>
         <source>Case Insensitive</source>
         <translation>不區分大小寫</translation>
     </message>
diff -pruN 3.10.0-1/utils/appveyor/after_build.bat 3.11.0-1/utils/appveyor/after_build.bat
--- 3.10.0-1/utils/appveyor/after_build.bat	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/utils/appveyor/after_build.bat	2020-05-01 06:22:49.000000000 +0000
@@ -4,7 +4,6 @@ git describe --tags --always HEAD > _git
 set /p AppVersion=<_git_tag.tmp
 del _git_tag.tmp
 
-set QtRoot=%QTDIR%
 set Source=%APPVEYOR_BUILD_FOLDER%
 set Name=copyq-%AppVersion%
 set Destination=%APPVEYOR_BUILD_FOLDER%\%Name%
@@ -29,6 +28,8 @@ xcopy /F "%BuildRoot%\src\*.qm" "%Destin
 mkdir "%Destination%\plugins"
 xcopy /F "%BuildPlugins%\*.dll" "%Destination%\plugins" || goto :error
 
+%QTDIR%\bin\windeployqt --version
+%QTDIR%\bin\windeployqt --help
 %QTDIR%\bin\windeployqt --release --no-system-d3d-compiler --no-angle --no-opengl-sw "%Executable%" || goto :error
 
 7z a "%Name%.zip" -r "%Destination%" || goto :error
diff -pruN 3.10.0-1/utils/appveyor/before_build.bat 3.11.0-1/utils/appveyor/before_build.bat
--- 3.10.0-1/utils/appveyor/before_build.bat	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/utils/appveyor/before_build.bat	2020-05-01 06:22:49.000000000 +0000
@@ -1,3 +1,4 @@
 @echo on
 
+%QTDIR%\bin\qmake --version
 cmake -H. -Bbuild -DWITH_TESTS=ON -DCMAKE_BUILD_TYPE=Release -G "%CMAKE_GENERATOR%" -A "%CMAKE_GENERATOR_ARCH%"
diff -pruN 3.10.0-1/utils/download_obs_packages.sh 3.11.0-1/utils/download_obs_packages.sh
--- 3.10.0-1/utils/download_obs_packages.sh	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/utils/download_obs_packages.sh	2020-05-01 06:22:49.000000000 +0000
@@ -16,7 +16,7 @@ pkg="${project}_${version}"
 pkg_deb="amd64/${pkg}${xdeb}"
 pkg_deb_i386="i386/${pkg}${xdeb_i386}"
 pkg_rpm="x86_64/${project}-${version}-${rpm_version}${xrpm}"
-pkg_rpm_lp15="x86_64/${project}-${version}-lp151.${rpm_version}${xrpm}"
+pkg_rpm_lp15="x86_64/${project}-${version}-lp152.${rpm_version}${xrpm}"
 
 failed=""
 
diff -pruN 3.10.0-1/utils/fix-translations.py 3.11.0-1/utils/fix-translations.py
--- 3.10.0-1/utils/fix-translations.py	1970-01-01 00:00:00.000000000 +0000
+++ 3.11.0-1/utils/fix-translations.py	2020-05-01 06:22:49.000000000 +0000
@@ -0,0 +1,62 @@
+#!/usr/bin/env python3
+"""
+One time script to fix window title translation strings in CopyQ.
+
+Removes unneeded application from window titles from translation files.
+
+The application name is added to the title by using
+QGuiApplication::setApplicationDisplayName().
+"""
+from glob import glob
+import re
+
+import xml.etree.ElementTree as ET
+
+
+def main():
+    prefix = re.compile('^CopyQ\\s*')
+    suffix = re.compile('\\s*CopyQ$')
+    sources = {
+        "CopyQ About",
+        "CopyQ Action Dialog",
+        "CopyQ Add Commands",
+        "CopyQ Clipboard Content",
+        "CopyQ Commands",
+        "CopyQ Configuration",
+        "CopyQ Export Error",
+        "CopyQ Import Error",
+        "CopyQ Item Content",
+        "CopyQ Log",
+        "CopyQ New Tab",
+        "CopyQ New Shortcut",
+        "CopyQ Options for Export",
+        "CopyQ Options for Import",
+        "CopyQ Process Manager",
+        "CopyQ Rename Tab",
+        "CopyQ Rename Tab Group",
+        "CopyQ Select Icon",
+    }
+
+    for fn in glob('translations/*.ts'):
+        tree = ET.parse(fn)
+        root = tree.getroot()
+        for context in root.iter('context'):
+            for message in context.iter('message'):
+                source = message.find('source')
+                if source.text in sources:
+                    tr = message.find('translation')
+                    if not tr.text:
+                        continue
+
+                    source.text = re.sub(prefix, '', source.text)
+                    tr.text = re.sub(prefix, '', tr.text)
+                    tr.text = re.sub(suffix, '', tr.text)
+                    if tr.text[0].islower():
+                        tr.text = tr.text[0].upper() + tr.text[1:]
+                    tr.set('type', 'unfinished')
+
+        tree.write(fn)
+
+
+if __name__ == "__main__":
+    main()
diff -pruN 3.10.0-1/utils/lupdate.sh 3.11.0-1/utils/lupdate.sh
--- 3.10.0-1/utils/lupdate.sh	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/utils/lupdate.sh	2020-05-01 06:22:49.000000000 +0000
@@ -1,6 +1,5 @@
 #!/bin/bash
 lupdate_args=(
-    -no-obsolete
     src/
     plugins/*/*.{cpp,h,ui}
     -ts
diff -pruN 3.10.0-1/utils/windows_copyq_update.sh 3.11.0-1/utils/windows_copyq_update.sh
--- 3.10.0-1/utils/windows_copyq_update.sh	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/utils/windows_copyq_update.sh	2020-05-01 06:22:49.000000000 +0000
@@ -13,7 +13,7 @@ update() {
 }
 
 update "$src"/{README.md,AUTHORS,HACKING,LICENSE} "$dst"
-update "$src"/shared/themes/*.ini "$dst/themes"
+update "$src"/shared/themes/*.{css,ini} "$dst/themes"
 update "$build"/copyq.exe "$dst"
 update "$build"/plugins/*.dll "$dst/plugins"
 update "$build"/src/*.qm "$dst/translations"
diff -pruN 3.10.0-1/version.cmake 3.11.0-1/version.cmake
--- 3.10.0-1/version.cmake	2020-02-02 12:56:41.000000000 +0000
+++ 3.11.0-1/version.cmake	2020-05-01 06:22:49.000000000 +0000
@@ -1,4 +1,4 @@
-set(copyq_version "v3.10.0")
+set(copyq_version "v3.11.0")
 
 find_package(Git)
 if(GIT_FOUND)
